/*******************************************************************************
* Copyright (C) 2013-2016, Cypress Semiconductor Corporation or a              *
* subsidiary of Cypress Semiconductor Corporation.  All rights reserved.       *
*                                                                              *
* This software, including source code, documentation and related              *
* materials ("Software"), is owned by Cypress Semiconductor Corporation or     *
* one of its subsidiaries ("Cypress") and is protected by and subject to       *
* worldwide patent protection (United States and foreign), United States       *
* copyright laws and international treaty provisions. Therefore, you may use   *
* this Software only as provided in the license agreement accompanying the     *
* software package from which you obtained this Software ("EULA").             *
*                                                                              *
* If no EULA applies, Cypress hereby grants you a personal, non-exclusive,     *
* non-transferable license to copy, modify, and compile the                    *
* Software source code solely for use in connection with Cypress's             *
* integrated circuit products.  Any reproduction, modification, translation,   *
* compilation, or representation of this Software except as specified          *
* above is prohibited without the express written permission of Cypress.       *
*                                                                              *
* Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                         *
* WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                         *
* BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                 *
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                              *
* PARTICULAR PURPOSE. Cypress reserves the right to make                       *
* changes to the Software without notice. Cypress does not assume any          *
* liability arising out of the application or use of the Software or any       *
* product or circuit described in the Software. Cypress does not               *
* authorize its products for use in any products where a malfunction or        *
* failure of the Cypress product may reasonably be expected to result in       *
* significant property damage, injury or death ("High Risk Product"). By       *
* including Cypress's product in a High Risk Product, the manufacturer         *
* of such system or application assumes all risk of such use and in doing      *
* so agrees to indemnify Cypress against all liability.                        *
*******************************************************************************/
/**
 ******************************************************************************
 ** \file   mb9af11xn.h
 **
 ** MCU Headerfile
 **
 ** History:
 
 **
 ******************************************************************************/

#ifndef _MB9AF11XN_H_
#define _MB9AF11XN_H_
#define __MB9AF11XN_H__
#define __MB9A110N_H__

#if defined __cplusplus
extern "C" {
#endif

#define FM_GENERAL_MCUHEADER_VERSION              0201


#ifndef FM_DEVICE_PACKAGE_MB_N
#define FM_DEVICE_PACKAGE_MB_N
#endif 

/******************************************************************************
 ** Configuration of the Cortex-M4 Processor and Core Peripherals
 ** 
 ******************************************************************************/
#define FM3_DEVICE_TYPE                           1
#define FM_DEVICE_TYPE                            3001u
#define FM_CORE_TYPE_FM3                          1
#define __CM3_REV                                 0x0201
#define __MPU_PRESENT                             1
#define __NVIC_PRIO_BITS                          4
#define __Vendor_SysTickConfig                    0
#define __FPU_PRESENT                             0
#define __FPU_DP                                  0
#define __ICACHE_PRESENT                          0
#define __DCACHE_PRESENT                          0
#define __DTCM_PRESENT                            0

/******************************************************************************
 ** Peripheral Types
 ** 
 ******************************************************************************/
#define FM3_ADC_TYPE_A                            1
#define FM3_BT_TYPE_A                             1
#define FM3_BTIOSEL03_TYPE_A                      1
#define FM3_BTIOSEL47_TYPE_A                      1
#define FM3_CRC_TYPE_A                            1
#define FM3_CRG_TYPE_A                            1
#define FM3_CRTRIM_TYPE_A                         1
#define FM3_DMAC_TYPE_A                           1
#define FM3_DT_TYPE_A                             1
#define FM3_EXBUS_TYPE_A                          1
#define FM3_EXTI_TYPE_A                           1
#define FM3_FLASH_IF_TYPE_A                       1
#define FM3_GPIO_TYPE_A                           1
#define FM3_HWWDT_TYPE_A                          1
#define FM3_INTREQ_TYPE_A                         1
#define FM3_LVD_TYPE_A                            1
#define FM3_MFS_TYPE_A                            1
#define FM3_MFS_NFC_TYPE_A                        1
#define FM3_MFT_TYPE_A                            1
#define FM3_MFT_PPG_TYPE_A                        1
#define FM3_QPRC_TYPE_A                           1
#define FM3_SBSSR_TYPE_A                          1
#define FM3_SWWDT_TYPE_A                          1
#define FM3_UNIQUE_ID_TYPE_A                      1
#define FM3_WC_TYPE_A                             1

/******************************************************************************
 ** Available Peripherals
 ** 
 ******************************************************************************/
#define FM3_ADC_AVAILABLE                         1
#define FM_ADC_AVAILABLE                          1
#define FM3_BT_AVAILABLE                          1
#define FM_BT_AVAILABLE                           1
#define FM3_BT_PPG_AVAILABLE                      1
#define FM_BT_PPG_AVAILABLE                       1
#define FM3_BT_PWC_AVAILABLE                      1
#define FM_BT_PWC_AVAILABLE                       1
#define FM3_BT_PWM_AVAILABLE                      1
#define FM_BT_PWM_AVAILABLE                       1
#define FM3_BT_RT_AVAILABLE                       1
#define FM_BT_RT_AVAILABLE                        1
#define FM3_BTIOSEL03_AVAILABLE                   1
#define FM_BTIOSEL03_AVAILABLE                    1
#define FM3_BTIOSEL47_AVAILABLE                   1
#define FM_BTIOSEL47_AVAILABLE                    1
#define FM3_CRC_AVAILABLE                         1
#define FM_CRC_AVAILABLE                          1
#define FM3_CRG_AVAILABLE                         1
#define FM_CRG_AVAILABLE                          1
#define FM3_CRTRIM_AVAILABLE                      1
#define FM_CRTRIM_AVAILABLE                       1
#define FM3_DMAC_AVAILABLE                        1
#define FM_DMAC_AVAILABLE                         1
#define FM3_DT_AVAILABLE                          1
#define FM_DT_AVAILABLE                           1
#define FM3_EXBUS_AVAILABLE                       1
#define FM_EXBUS_AVAILABLE                        1
#define FM3_EXTI_AVAILABLE                        1
#define FM_EXTI_AVAILABLE                         1
#define FM3_FLASH_IF_AVAILABLE                    1
#define FM_FLASH_IF_AVAILABLE                     1
#define FM3_GPIO_AVAILABLE                        1
#define FM_GPIO_AVAILABLE                         1
#define FM3_HWWDT_AVAILABLE                       1
#define FM_HWWDT_AVAILABLE                        1
#define FM3_INTREQ_AVAILABLE                      1
#define FM_INTREQ_AVAILABLE                       1
#define FM3_LVD_AVAILABLE                         1
#define FM_LVD_AVAILABLE                          1
#define FM3_MFS_AVAILABLE                         1
#define FM_MFS_AVAILABLE                          1
#define FM3_MFS_CSIO_AVAILABLE                    1
#define FM_MFS_CSIO_AVAILABLE                     1
#define FM3_MFS_I2C_AVAILABLE                     1
#define FM_MFS_I2C_AVAILABLE                      1
#define FM3_MFS_LIN_AVAILABLE                     1
#define FM_MFS_LIN_AVAILABLE                      1
#define FM3_MFS_NFC_AVAILABLE                     1
#define FM_MFS_NFC_AVAILABLE                      1
#define FM3_MFS_UART_AVAILABLE                    1
#define FM_MFS_UART_AVAILABLE                     1
#define FM3_MFT_AVAILABLE                         1
#define FM_MFT_AVAILABLE                          1
#define FM3_MFT_ADCMP_AVAILABLE                   1
#define FM_MFT_ADCMP_AVAILABLE                    1
#define FM3_MFT_FRT_AVAILABLE                     1
#define FM_MFT_FRT_AVAILABLE                      1
#define FM3_MFT_ICU_AVAILABLE                     1
#define FM_MFT_ICU_AVAILABLE                      1
#define FM3_MFT_OCU_AVAILABLE                     1
#define FM_MFT_OCU_AVAILABLE                      1
#define FM3_MFT_PPG_AVAILABLE                     1
#define FM_MFT_PPG_AVAILABLE                      1
#define FM3_MFT_WFG_AVAILABLE                     1
#define FM_MFT_WFG_AVAILABLE                      1
#define FM3_QPRC_AVAILABLE                        1
#define FM_QPRC_AVAILABLE                         1
#define FM3_SBSSR_AVAILABLE                       1
#define FM_SBSSR_AVAILABLE                        1
#define FM3_SWWDT_AVAILABLE                       1
#define FM_SWWDT_AVAILABLE                        1
#define FM3_UNIQUE_ID_AVAILABLE                   1
#define FM_UNIQUE_ID_AVAILABLE                    1
#define FM3_WC_AVAILABLE                          1
#define FM_WC_AVAILABLE                           1

/******************************************************************************
 ** \brief Interrupt number definition for all type MCUs
 ** 
 ******************************************************************************/
#define FM_INTERRUPT_TYPE                         0x300Au

#define IRQ_NMI_AVAILABLE                         1
#define IRQ_HARDFAULT_AVAILABLE                   1
#define IRQ_MEMMANAGE_AVAILABLE                   1
#define IRQ_BUSFAULT_AVAILABLE                    1
#define IRQ_USAGEFAULT_AVAILABLE                  1
#define IRQ_SVC_AVAILABLE                         1
#define IRQ_DEBUGMONITOR_AVAILABLE                1
#define IRQ_PENDSV_AVAILABLE                      1
#define IRQ_SYSTICK_AVAILABLE                     1

#define IRQ_CSV_AVAILABLE                         1
#define IRQ_SWDT_AVAILABLE                        1
#define IRQ_LVD_AVAILABLE                         1
#define IRQ_MFT0_2_WFG_DTIF_AVAILABLE             1
#define IRQ_EXINT0_7_AVAILABLE                    1
#define IRQ_EXINT8_31_AVAILABLE                   1
#define IRQ_DT_QPRC0_2_AVAILABLE                  1
#define IRQ_MFS0_RX_AVAILABLE                     1
#define IRQ_MFS0_TX_AVAILABLE                     1
#define IRQ_MFS1_RX_AVAILABLE                     1
#define IRQ_MFS1_TX_AVAILABLE                     1
#define IRQ_MFS2_RX_AVAILABLE                     1
#define IRQ_MFS2_TX_AVAILABLE                     1
#define IRQ_MFS3_RX_AVAILABLE                     1
#define IRQ_MFS3_TX_AVAILABLE                     1
#define IRQ_MFS4_RX_AVAILABLE                     1
#define IRQ_MFS4_TX_AVAILABLE                     1
#define IRQ_MFS5_RX_AVAILABLE                     1
#define IRQ_MFS5_TX_AVAILABLE                     1
#define IRQ_MFS6_RX_AVAILABLE                     1
#define IRQ_MFS6_TX_AVAILABLE                     1
#define IRQ_MFS7_RX_AVAILABLE                     1
#define IRQ_MFS7_TX_AVAILABLE                     1
#define IRQ_PPG00_02_04_08_10_12_16_18_20_AVAILABLE 1
#define IRQ_TIM_WC_RTC_AVAILABLE                  1
#define IRQ_ADC0_AVAILABLE                        1
#define IRQ_ADC1_AVAILABLE                        1
#define IRQ_ADC2_AVAILABLE                        1
#define IRQ_MFT0_2_FRT_AVAILABLE                  1
#define IRQ_MFT0_2_ICU_AVAILABLE                  1
#define IRQ_MFT0_2_OCU_AVAILABLE                  1
#define IRQ_BT0_7_AVAILABLE                       1
#define IRQ_DMAC0_AVAILABLE                       1
#define IRQ_DMAC1_AVAILABLE                       1
#define IRQ_DMAC2_AVAILABLE                       1
#define IRQ_DMAC3_AVAILABLE                       1
#define IRQ_DMAC4_AVAILABLE                       1
#define IRQ_DMAC5_AVAILABLE                       1
#define IRQ_DMAC6_AVAILABLE                       1
#define IRQ_DMAC7_AVAILABLE                       1
#define IRQ_FLASHIF_AVAILABLE                     1


typedef enum IRQn
{
    NMI_IRQn                                      =  -14, /* Non Maskable Interrupt NMI */
    HardFault_IRQn                                =  -13, /* HardFault HardFault */
    MemManage_IRQn                                =  -12, /* Memory Management MemManage */
    BusFault_IRQn                                 =  -11, /* Bus Fault BusFault */
    UsageFault_IRQn                               =  -10, /* Usage Fault UsageFault */
    SVC_IRQn                                      =   -5, /* SV Call SVC */
    DebugMonitor_IRQn                             =   -4, /* Debug Monitor DebugMonitor */
    PendSV_IRQn                                   =   -2, /* Pend SV PendSV */
    SysTick_IRQn                                  =   -1, /* System Tick SysTick */

    CSV_IRQn                                      =    0, /* CSV_IRQ */
    SWDT_IRQn                                     =    1, /* SWDT_IRQ */
    LVD_IRQn                                      =    2, /* LVD_IRQ */
    MFT0_2_WFG_DTIF_IRQn                          =    3, /* MFT0_2_WFG_DTIF_IRQ */
    EXINT0_7_IRQn                                 =    4, /* EXINT0_7_IRQ */
    EXINT8_31_IRQn                                =    5, /* EXINT8_31_IRQ */
    DT_QPRC0_2_IRQn                               =    6, /* DT_QPRC0_2_IRQ */
    MFS0_RX_IRQn                                  =    7, /* MFS0_RX_IRQ */
    MFS0_TX_IRQn                                  =    8, /* MFS0_TX_IRQ */
    MFS1_RX_IRQn                                  =    9, /* MFS1_RX_IRQ */
    MFS1_TX_IRQn                                  =   10, /* MFS1_TX_IRQ */
    MFS2_RX_IRQn                                  =   11, /* MFS2_RX_IRQ */
    MFS2_TX_IRQn                                  =   12, /* MFS2_TX_IRQ */
    MFS3_RX_IRQn                                  =   13, /* MFS3_RX_IRQ */
    MFS3_TX_IRQn                                  =   14, /* MFS3_TX_IRQ */
    MFS4_RX_IRQn                                  =   15, /* MFS4_RX_IRQ */
    MFS4_TX_IRQn                                  =   16, /* MFS4_TX_IRQ */
    MFS5_RX_IRQn                                  =   17, /* MFS5_RX_IRQ */
    MFS5_TX_IRQn                                  =   18, /* MFS5_TX_IRQ */
    MFS6_RX_IRQn                                  =   19, /* MFS6_RX_IRQ */
    MFS6_TX_IRQn                                  =   20, /* MFS6_TX_IRQ */
    MFS7_RX_IRQn                                  =   21, /* MFS7_RX_IRQ */
    MFS7_TX_IRQn                                  =   22, /* MFS7_TX_IRQ */
    PPG00_02_04_08_10_12_16_18_20_IRQn            =   23, /* PPG00_02_04_08_10_12_16_18_20_IRQ */
    TIM_WC_RTC_IRQn                               =   24, /* TIM_WC_RTC_IRQ */
    ADC0_IRQn                                     =   25, /* ADC0_IRQ */
    ADC1_IRQn                                     =   26, /* ADC1_IRQ */
    ADC2_IRQn                                     =   27, /* ADC2_IRQ */
    MFT0_2_FRT_IRQn                               =   28, /* MFT0_2_FRT_IRQ */
    MFT0_2_ICU_IRQn                               =   29, /* MFT0_2_ICU_IRQ */
    MFT0_2_OCU_IRQn                               =   30, /* MFT0_2_OCU_IRQ */
    BT0_7_IRQn                                    =   31, /* BT0_7_IRQ */
    DMAC0_IRQn                                    =   38, /* DMAC0_IRQ */
    DMAC1_IRQn                                    =   39, /* DMAC1_IRQ */
    DMAC2_IRQn                                    =   40, /* DMAC2_IRQ */
    DMAC3_IRQn                                    =   41, /* DMAC3_IRQ */
    DMAC4_IRQn                                    =   42, /* DMAC4_IRQ */
    DMAC5_IRQn                                    =   43, /* DMAC5_IRQ */
    DMAC6_IRQn                                    =   44, /* DMAC6_IRQ */
    DMAC7_IRQn                                    =   45, /* DMAC7_IRQ */
    FLASHIF_IRQn                                  =   47, /* FLASHIF_IRQ */
} IRQn_Type;

#include "core_cm3.h"
#include "system_mb9a110n.h"
#include <stdint.h>

/******************************************************************************
 ** Device Specific Peripheral Registers structures
 ** 
 ******************************************************************************/
#if defined ( __CC_ARM   )
#pragma anon_unions
#endif

/******************************************************************************
 ** ADC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_adc_adsr_field
{
        __IO   uint8_t  SCS                      :1;
        __IO   uint8_t  PCS                      :1;
        __IO   uint8_t  PCNS                     :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  FDAS                     :1;
        __IO   uint8_t  ADSTP                    :1;
} stc_adc_adsr_field_t;

typedef struct stc_adc_adcr_field
{
        __IO   uint8_t  OVRIE                    :1;
        __IO   uint8_t  CMPIE                    :1;
        __IO   uint8_t  PCIE                     :1;
        __IO   uint8_t  SCIE                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  CMPIF                    :1;
        __IO   uint8_t  PCIF                     :1;
        __IO   uint8_t  SCIF                     :1;
} stc_adc_adcr_field_t;

typedef struct stc_adc_sfns_field
{
    union {
        struct {
            __IO   uint8_t  SFS                  :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SFS0                 :1;
            __IO   uint8_t  SFS1                 :1;
            __IO   uint8_t  SFS2                 :1;
            __IO   uint8_t  SFS3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sfns_field_t;

typedef struct stc_adc_sccr_field
{
        __IO   uint8_t  SSTR                     :1;
        __IO   uint8_t  SHEN                     :1;
        __IO   uint8_t  RPT                      :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  SFCLR                    :1;
        __IO   uint8_t  SOVR                     :1;
        __IO   uint8_t  SFUL                     :1;
        __IO   uint8_t  SEMP                     :1;
} stc_adc_sccr_field_t;

typedef struct stc_adc_scfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  CS                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  SD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  CS0                  :1;
            __IO  uint32_t  CS1                  :1;
            __IO  uint32_t  CS2                  :1;
            __IO  uint32_t  CS3                  :1;
            __IO  uint32_t  CS4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :6;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_scfd_fdas1_field_t;

typedef struct stc_adc_scfd_field
{
    union {
        struct {
            __IO  uint32_t  CS                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  SD                   :12;
        };
        struct {
            __IO  uint32_t  CS0                  :1;
            __IO  uint32_t  CS1                  :1;
            __IO  uint32_t  CS2                  :1;
            __IO  uint32_t  CS3                  :1;
            __IO  uint32_t  CS4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :10;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
        };
    };
} stc_adc_scfd_field_t;

typedef struct stc_adc_scis23_field
{
        __IO  uint16_t  AN16                     :1;
        __IO  uint16_t  AN17                     :1;
        __IO  uint16_t  AN18                     :1;
        __IO  uint16_t  AN19                     :1;
        __IO  uint16_t  AN20                     :1;
        __IO  uint16_t  AN21                     :1;
        __IO  uint16_t  AN22                     :1;
        __IO  uint16_t  AN23                     :1;
        __IO  uint16_t  AN24                     :1;
        __IO  uint16_t  AN25                     :1;
        __IO  uint16_t  AN26                     :1;
        __IO  uint16_t  AN27                     :1;
        __IO  uint16_t  AN28                     :1;
        __IO  uint16_t  AN29                     :1;
        __IO  uint16_t  AN30                     :1;
        __IO  uint16_t  AN31                     :1;
} stc_adc_scis23_field_t;

typedef struct stc_adc_scis01_field
{
        __IO  uint16_t  AN0                      :1;
        __IO  uint16_t  AN1                      :1;
        __IO  uint16_t  AN2                      :1;
        __IO  uint16_t  AN3                      :1;
        __IO  uint16_t  AN4                      :1;
        __IO  uint16_t  AN5                      :1;
        __IO  uint16_t  AN6                      :1;
        __IO  uint16_t  AN7                      :1;
        __IO  uint16_t  AN8                      :1;
        __IO  uint16_t  AN9                      :1;
        __IO  uint16_t  AN10                     :1;
        __IO  uint16_t  AN11                     :1;
        __IO  uint16_t  AN12                     :1;
        __IO  uint16_t  AN13                     :1;
        __IO  uint16_t  AN14                     :1;
        __IO  uint16_t  AN15                     :1;
} stc_adc_scis01_field_t;

typedef struct stc_adc_pfns_field
{
    union {
        struct {
            __IO   uint8_t  PFS                  :2;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  TEST                 :2;
            __IO   uint8_t  RESERVED2            :2;
        };
        struct {
            __IO   uint8_t  PFS0                 :1;
            __IO   uint8_t  PFS1                 :1;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  TEST0                :1;
            __IO   uint8_t  TEST1                :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_adc_pfns_field_t;

typedef struct stc_adc_pccr_field
{
        __IO   uint8_t  PSTR                     :1;
        __IO   uint8_t  PHEN                     :1;
        __IO   uint8_t  PEEN                     :1;
        __IO   uint8_t  ESCE                     :1;
        __IO   uint8_t  PFCLR                    :1;
        __IO   uint8_t  POVR                     :1;
        __IO   uint8_t  PFUL                     :1;
        __IO   uint8_t  PEMP                     :1;
} stc_adc_pccr_field_t;

typedef struct stc_adc_pcfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  PD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :5;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_pcfd_fdas1_field_t;

typedef struct stc_adc_pcfd_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  PD                   :12;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :9;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
        };
    };
} stc_adc_pcfd_field_t;

typedef struct stc_adc_pcis_field
{
    union {
        struct {
            __IO   uint8_t  P1A                  :3;
            __IO   uint8_t  P2A                  :5;
        };
        struct {
            __IO   uint8_t  P1A0                 :1;
            __IO   uint8_t  P1A1                 :1;
            __IO   uint8_t  P1A2                 :1;
            __IO   uint8_t  P2A0                 :1;
            __IO   uint8_t  P2A1                 :1;
            __IO   uint8_t  P2A2                 :1;
            __IO   uint8_t  P2A3                 :1;
            __IO   uint8_t  P2A4                 :1;
        };
    };
} stc_adc_pcis_field_t;

typedef struct stc_adc_cmpcr_field
{
    union {
        struct {
            __IO   uint8_t  CCH                  :5;
            __IO   uint8_t  CMD0                 :1;
            __IO   uint8_t  CMD1                 :1;
            __IO   uint8_t  CMPEN                :1;
        };
        struct {
            __IO   uint8_t  CCH0                 :1;
            __IO   uint8_t  CCH1                 :1;
            __IO   uint8_t  CCH2                 :1;
            __IO   uint8_t  CCH3                 :1;
            __IO   uint8_t  CCH4                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
    };
} stc_adc_cmpcr_field_t;

typedef struct stc_adc_cmpd_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMAD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMAD0                :1;
            __IO  uint16_t  CMAD1                :1;
            __IO  uint16_t  CMAD2                :1;
            __IO  uint16_t  CMAD3                :1;
            __IO  uint16_t  CMAD4                :1;
            __IO  uint16_t  CMAD5                :1;
            __IO  uint16_t  CMAD6                :1;
            __IO  uint16_t  CMAD7                :1;
            __IO  uint16_t  CMAD8                :1;
            __IO  uint16_t  CMAD9                :1;
        };
    };
} stc_adc_cmpd_field_t;

typedef struct stc_adc_adss23_field
{
        __IO  uint16_t  TS16                     :1;
        __IO  uint16_t  TS17                     :1;
        __IO  uint16_t  TS18                     :1;
        __IO  uint16_t  TS19                     :1;
        __IO  uint16_t  TS20                     :1;
        __IO  uint16_t  TS21                     :1;
        __IO  uint16_t  TS22                     :1;
        __IO  uint16_t  TS23                     :1;
        __IO  uint16_t  TS24                     :1;
        __IO  uint16_t  TS25                     :1;
        __IO  uint16_t  TS26                     :1;
        __IO  uint16_t  TS27                     :1;
        __IO  uint16_t  TS28                     :1;
        __IO  uint16_t  TS29                     :1;
        __IO  uint16_t  TS30                     :1;
        __IO  uint16_t  TS31                     :1;
} stc_adc_adss23_field_t;

typedef struct stc_adc_adss01_field
{
        __IO  uint16_t  TS0                      :1;
        __IO  uint16_t  TS1                      :1;
        __IO  uint16_t  TS2                      :1;
        __IO  uint16_t  TS3                      :1;
        __IO  uint16_t  TS4                      :1;
        __IO  uint16_t  TS5                      :1;
        __IO  uint16_t  TS6                      :1;
        __IO  uint16_t  TS7                      :1;
        __IO  uint16_t  TS8                      :1;
        __IO  uint16_t  TS9                      :1;
        __IO  uint16_t  TS10                     :1;
        __IO  uint16_t  TS11                     :1;
        __IO  uint16_t  TS12                     :1;
        __IO  uint16_t  TS13                     :1;
        __IO  uint16_t  TS14                     :1;
        __IO  uint16_t  TS15                     :1;
} stc_adc_adss01_field_t;

typedef struct stc_adc_adst01_field
{
    union {
        struct {
            __IO  uint16_t  ST1                  :5;
            __IO  uint16_t  STX1                 :3;
            __IO  uint16_t  ST0                  :5;
            __IO  uint16_t  STX0                 :3;
        };
        struct {
            __IO  uint16_t  ST10                 :1;
            __IO  uint16_t  ST11                 :1;
            __IO  uint16_t  ST12                 :1;
            __IO  uint16_t  ST13                 :1;
            __IO  uint16_t  ST14                 :1;
            __IO  uint16_t  STX10                :1;
            __IO  uint16_t  STX11                :1;
            __IO  uint16_t  STX12                :1;
            __IO  uint16_t  ST00                 :1;
            __IO  uint16_t  ST01                 :1;
            __IO  uint16_t  ST02                 :1;
            __IO  uint16_t  ST03                 :1;
            __IO  uint16_t  ST04                 :1;
            __IO  uint16_t  STX00                :1;
            __IO  uint16_t  STX01                :1;
            __IO  uint16_t  STX02                :1;
        };
    };
} stc_adc_adst01_field_t;

typedef struct stc_adc_adct_field
{
    union {
        struct {
            __IO   uint8_t  CT                   :8;
        };
        struct {
            __IO   uint8_t  CT0                  :1;
            __IO   uint8_t  CT1                  :1;
            __IO   uint8_t  CT2                  :1;
            __IO   uint8_t  CT3                  :1;
            __IO   uint8_t  CT4                  :1;
            __IO   uint8_t  CT5                  :1;
            __IO   uint8_t  CT6                  :1;
            __IO   uint8_t  CT7                  :1;
        };
    };
} stc_adc_adct_field_t;

typedef struct stc_adc_prtsl_field
{
    union {
        struct {
            __IO   uint8_t  PRTSL                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  PRTSL0               :1;
            __IO   uint8_t  PRTSL1               :1;
            __IO   uint8_t  PRTSL2               :1;
            __IO   uint8_t  PRTSL3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_prtsl_field_t;

typedef struct stc_adc_sctsl_field
{
    union {
        struct {
            __IO   uint8_t  SCTSL                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SCTSL0               :1;
            __IO   uint8_t  SCTSL1               :1;
            __IO   uint8_t  SCTSL2               :1;
            __IO   uint8_t  SCTSL3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sctsl_field_t;

typedef struct stc_adc_adcen_field
{
    union {
        struct {
            __IO   uint8_t  ENBL                 :1;
            __IO   uint8_t  READY                :1;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CYCLSL               :2;
            __IO   uint8_t  RESERVED2            :2;
        };
        struct {
            __IO   uint8_t  RESERVED1            :4;
            __IO   uint8_t  CYCLSL0              :1;
            __IO   uint8_t  CYCLSL1              :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_adc_adcen_field_t;

/******************************************************************************
 ** BT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_bt_tmcr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  STRG             :1;
                __IO  uint16_t  CTEN             :1;
                __IO  uint16_t  MDSE             :1;
                __IO  uint16_t  OSEL             :1;
                __IO  uint16_t  FMD              :3;
                __IO  uint16_t  RESERVED1        :1;
                __IO  uint16_t  EGS              :2;
                __IO  uint16_t  PMSK             :1;
                __IO  uint16_t  RTGEN            :1;
                __IO  uint16_t  CKS              :3;
                __IO  uint16_t  RESERVED4        :1;
            };
            struct {
                __IO  uint16_t  RESERVED0        :4;
                __IO  uint16_t  FMD0             :1;
                __IO  uint16_t  FMD1             :1;
                __IO  uint16_t  FMD2             :1;
                __IO  uint16_t  RESERVED2        :1;
                __IO  uint16_t  EGS0             :1;
                __IO  uint16_t  EGS1             :1;
                __IO  uint16_t  RESERVED3        :2;
                __IO  uint16_t  CKS0             :1;
                __IO  uint16_t  CKS1             :1;
                __IO  uint16_t  CKS2             :1;
                __IO  uint16_t  RESERVED5        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED6        :7;
                __IO  uint16_t  T32              :1;
                __IO  uint16_t  RESERVED7        :8;
            };
            struct {
                __IO  uint16_t  RESERVED8        :16;
            };
        };
    };
} stc_bt_tmcr_field_t;

typedef struct stc_bt_stc_field
{
    union {
        struct {
            __IO   uint8_t  UDIR                 :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  TGIR                 :1;
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  UDIE                 :1;
            __IO   uint8_t  RESERVED2            :1;
            __IO   uint8_t  TGIE                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  OVIR                 :1;
            __IO   uint8_t  RESERVED5            :1;
            __IO   uint8_t  EDIR                 :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  OVIE                 :1;
            __IO   uint8_t  RESERVED7            :1;
            __IO   uint8_t  EDIE                 :1;
            __IO   uint8_t  ERR                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  DTIR                 :1;
            __IO   uint8_t  RESERVED10           :3;
            __IO   uint8_t  DTIE                 :1;
            __IO   uint8_t  RESERVED11           :2;
        };
    };
} stc_bt_stc_field_t;

typedef struct stc_bt_tmcr2_field
{
    union {
        struct {
            __IO   uint8_t  CKS3                 :1;
            __IO   uint8_t  RESERVED0            :7;
        };
    };
} stc_bt_tmcr2_field_t;

typedef struct stc_bt_ppg_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED4            :1;
        };
        struct {
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED2            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED3            :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_bt_ppg_tmcr_field_t;

typedef struct stc_bt_pwc_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED6            :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  RESERVED7            :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :3;
            __IO  uint16_t  RESERVED10           :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED12           :1;
        };
        struct {
            __IO  uint16_t  RESERVED8            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED9            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  EGS2                 :1;
            __IO  uint16_t  RESERVED11           :1;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED13           :1;
        };
    };
} stc_bt_pwc_tmcr_field_t;

typedef struct stc_bt_pwm_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED15           :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED18           :1;
        };
        struct {
            __IO  uint16_t  RESERVED14           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED16           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED17           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED19           :1;
        };
    };
} stc_bt_pwm_tmcr_field_t;

typedef struct stc_bt_rt_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  RESERVED22           :2;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED24           :1;
        };
        struct {
            __IO  uint16_t  RESERVED20           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED21           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED23           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED25           :1;
        };
    };
} stc_bt_rt_tmcr_field_t;

typedef struct stc_bt_ppg_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED1                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED2                :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED3                :1;
} stc_bt_ppg_stc_field_t;

typedef struct stc_bt_pwc_stc_field
{
        __IO   uint8_t  OVIR                     :1;
        __IO   uint8_t  RESERVED5                :1;
        __IO   uint8_t  EDIR                     :1;
        __IO   uint8_t  RESERVED6                :1;
        __IO   uint8_t  OVIE                     :1;
        __IO   uint8_t  RESERVED7                :1;
        __IO   uint8_t  EDIE                     :1;
        __IO   uint8_t  ERR                      :1;
} stc_bt_pwc_stc_field_t;

typedef struct stc_bt_pwm_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  DTIR                     :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED9                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  DTIE                     :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED10               :1;
} stc_bt_pwm_stc_field_t;

typedef struct stc_bt_rt_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED12               :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED13               :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED14               :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED15               :1;
} stc_bt_rt_stc_field_t;

typedef struct stc_bt_ppg_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_bt_ppg_tmcr2_field_t;

typedef struct stc_bt_pwc_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED2                :7;
} stc_bt_pwc_tmcr2_field_t;

typedef struct stc_bt_pwm_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED4                :7;
} stc_bt_pwm_tmcr2_field_t;

typedef struct stc_bt_rt_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED6                :7;
} stc_bt_rt_tmcr2_field_t;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel03_btsel0123_field
{
    union {
        struct {
            __IO   uint8_t  SEL01                :4;
            __IO   uint8_t  SEL23                :4;
        };
        struct {
            __IO   uint8_t  SEL010               :1;
            __IO   uint8_t  SEL011               :1;
            __IO   uint8_t  SEL012               :1;
            __IO   uint8_t  SEL013               :1;
            __IO   uint8_t  SEL230               :1;
            __IO   uint8_t  SEL231               :1;
            __IO   uint8_t  SEL232               :1;
            __IO   uint8_t  SEL233               :1;
        };
    };
} stc_btiosel03_btsel0123_field_t;

/******************************************************************************
 ** BTIOSEL47_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel47_btsel4567_field
{
    union {
        struct {
            __IO   uint8_t  SEL45                :4;
            __IO   uint8_t  SEL67                :4;
        };
        struct {
            __IO   uint8_t  SEL450               :1;
            __IO   uint8_t  SEL451               :1;
            __IO   uint8_t  SEL452               :1;
            __IO   uint8_t  SEL453               :1;
            __IO   uint8_t  SEL670               :1;
            __IO   uint8_t  SEL671               :1;
            __IO   uint8_t  SEL672               :1;
            __IO   uint8_t  SEL673               :1;
        };
    };
} stc_btiosel47_btsel4567_field_t;

/******************************************************************************
 ** CRC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crc_crccr_field
{
        __IO   uint8_t  INIT                     :1;
        __IO   uint8_t  CRC32                    :1;
        __IO   uint8_t  LTLEND                   :1;
        __IO   uint8_t  LSBFST                   :1;
        __IO   uint8_t  CRCLTE                   :1;
        __IO   uint8_t  CRCLSF                   :1;
        __IO   uint8_t  FXOR                     :1;
        __IO   uint8_t  RESERVED0                :1;
} stc_crc_crccr_field_t;

typedef struct stc_crc_crcinit_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcinit_field_t;

typedef struct stc_crc_crcin_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcin_field_t;

typedef struct stc_crc_crcr_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcr_field_t;

/******************************************************************************
 ** CRG_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crg_scm_ctl_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MOSCE                :1;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  SOSCE                :1;
            __IO  uint32_t  PLLE                 :1;
            __IO  uint32_t  RCS                  :3;
            __IO  uint32_t  RESERVED3            :24;
        };
        struct {
            __IO  uint32_t  RESERVED2            :5;
            __IO  uint32_t  RCS0                 :1;
            __IO  uint32_t  RCS1                 :1;
            __IO  uint32_t  RCS2                 :1;
            __IO  uint32_t  RESERVED4            :24;
        };
    };
} stc_crg_scm_ctl_field_t;

typedef struct stc_crg_scm_str_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MORDY                :1;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  SORDY                :1;
            __IO  uint32_t  PLRDY                :1;
            __IO  uint32_t  RCM                  :3;
            __IO  uint32_t  RESERVED3            :24;
        };
        struct {
            __IO  uint32_t  RESERVED2            :5;
            __IO  uint32_t  RCM0                 :1;
            __IO  uint32_t  RCM1                 :1;
            __IO  uint32_t  RCM2                 :1;
            __IO  uint32_t  RESERVED4            :24;
        };
    };
} stc_crg_scm_str_field_t;

typedef struct stc_crg_stb_ctl_field
{
    union {
        struct {
            __IO  uint32_t  STM                  :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  SPL                  :1;
            __IO  uint32_t  RESERVED1            :11;
            __IO  uint32_t  KEY                  :16;
        };
        struct {
            __IO  uint32_t  STM0                 :1;
            __IO  uint32_t  STM1                 :1;
            __IO  uint32_t  RESERVED2            :14;
            __IO  uint32_t  KEY0                 :1;
            __IO  uint32_t  KEY1                 :1;
            __IO  uint32_t  KEY2                 :1;
            __IO  uint32_t  KEY3                 :1;
            __IO  uint32_t  KEY4                 :1;
            __IO  uint32_t  KEY5                 :1;
            __IO  uint32_t  KEY6                 :1;
            __IO  uint32_t  KEY7                 :1;
            __IO  uint32_t  KEY8                 :1;
            __IO  uint32_t  KEY9                 :1;
            __IO  uint32_t  KEY10                :1;
            __IO  uint32_t  KEY11                :1;
            __IO  uint32_t  KEY12                :1;
            __IO  uint32_t  KEY13                :1;
            __IO  uint32_t  KEY14                :1;
            __IO  uint32_t  KEY15                :1;
        };
    };
} stc_crg_stb_ctl_field_t;

typedef struct stc_crg_rst_str_field
{
        __IO  uint32_t  PONR                     :1;
        __IO  uint32_t  INITX                    :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  SWDT                     :1;
        __IO  uint32_t  HWDT                     :1;
        __IO  uint32_t  CSVR                     :1;
        __IO  uint32_t  FCSR                     :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  RESERVED1                :23;
} stc_crg_rst_str_field_t;

typedef struct stc_crg_bsc_psr_field
{
    union {
        struct {
            __IO  uint32_t  BSR                  :3;
            __IO  uint32_t  RESERVED0            :29;
        };
        struct {
            __IO  uint32_t  BSR0                 :1;
            __IO  uint32_t  BSR1                 :1;
            __IO  uint32_t  BSR2                 :1;
            __IO  uint32_t  RESERVED1            :29;
        };
    };
} stc_crg_bsc_psr_field_t;

typedef struct stc_crg_apbc0_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC0                :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  APBC00               :1;
            __IO  uint32_t  APBC01               :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_crg_apbc0_psr_field_t;

typedef struct stc_crg_apbc1_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC1                :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  APBC1RST             :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  APBC1EN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  APBC10               :1;
            __IO  uint32_t  APBC11               :1;
            __IO  uint32_t  RESERVED3            :30;
        };
    };
} stc_crg_apbc1_psr_field_t;

typedef struct stc_crg_apbc2_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC2                :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  APBC2RST             :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  APBC2EN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  APBC20               :1;
            __IO  uint32_t  APBC21               :1;
            __IO  uint32_t  RESERVED3            :30;
        };
    };
} stc_crg_apbc2_psr_field_t;

typedef struct stc_crg_swc_psr_field
{
    union {
        struct {
            __IO  uint32_t  SWDS                 :2;
            __IO  uint32_t  RESERVED0            :5;
            __IO  uint32_t  TESTB                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
        struct {
            __IO  uint32_t  SWDS0                :1;
            __IO  uint32_t  SWDS1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_crg_swc_psr_field_t;

typedef struct stc_crg_ttc_psr_field
{
        __IO  uint32_t  TTC                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_crg_ttc_psr_field_t;

typedef struct stc_crg_csw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  MOWT                 :4;
            __IO  uint32_t  SOWT                 :3;
            __IO  uint32_t  RESERVED0            :25;
        };
        struct {
            __IO  uint32_t  MOWT0                :1;
            __IO  uint32_t  MOWT1                :1;
            __IO  uint32_t  MOWT2                :1;
            __IO  uint32_t  MOWT3                :1;
            __IO  uint32_t  SOWT0                :1;
            __IO  uint32_t  SOWT1                :1;
            __IO  uint32_t  SOWT2                :1;
            __IO  uint32_t  RESERVED1            :25;
        };
    };
} stc_crg_csw_tmr_field_t;

typedef struct stc_crg_psw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  POWT                 :3;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  PINC                 :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  POWT0                :1;
            __IO  uint32_t  POWT1                :1;
            __IO  uint32_t  POWT2                :1;
            __IO  uint32_t  RESERVED2            :29;
        };
    };
} stc_crg_psw_tmr_field_t;

typedef struct stc_crg_pll_ctl1_field
{
    union {
        struct {
            __IO  uint32_t  PLLM                 :4;
            __IO  uint32_t  PLLK                 :4;
            __IO  uint32_t  RESERVED0            :24;
        };
        struct {
            __IO  uint32_t  PLLM0                :1;
            __IO  uint32_t  PLLM1                :1;
            __IO  uint32_t  PLLM2                :1;
            __IO  uint32_t  PLLM3                :1;
            __IO  uint32_t  PLLK0                :1;
            __IO  uint32_t  PLLK1                :1;
            __IO  uint32_t  PLLK2                :1;
            __IO  uint32_t  PLLK3                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
    };
} stc_crg_pll_ctl1_field_t;

typedef struct stc_crg_pll_ctl2_field
{
    union {
        struct {
            __IO  uint32_t  PLLN                 :6;
            __IO  uint32_t  RESERVED0            :26;
        };
        struct {
            __IO  uint32_t  PLLN0                :1;
            __IO  uint32_t  PLLN1                :1;
            __IO  uint32_t  PLLN2                :1;
            __IO  uint32_t  PLLN3                :1;
            __IO  uint32_t  PLLN4                :1;
            __IO  uint32_t  PLLN5                :1;
            __IO  uint32_t  RESERVED1            :26;
        };
    };
} stc_crg_pll_ctl2_field_t;

typedef struct stc_crg_csv_ctl_field
{
    union {
        struct {
            __IO  uint32_t  MCSVE                :1;
            __IO  uint32_t  SCSVE                :1;
            __IO  uint32_t  RESERVED0            :6;
            __IO  uint32_t  FCSDE                :1;
            __IO  uint32_t  FCSRE                :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  FCD                  :3;
            __IO  uint32_t  RESERVED3            :17;
        };
        struct {
            __IO  uint32_t  RESERVED2            :12;
            __IO  uint32_t  FCD0                 :1;
            __IO  uint32_t  FCD1                 :1;
            __IO  uint32_t  FCD2                 :1;
            __IO  uint32_t  RESERVED4            :17;
        };
    };
} stc_crg_csv_ctl_field_t;

typedef struct stc_crg_csv_str_field
{
        __IO  uint32_t  MCMF                     :1;
        __IO  uint32_t  SCMF                     :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_crg_csv_str_field_t;

typedef struct stc_crg_fcswh_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWH                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWH0                 :1;
            __IO  uint32_t  FWH1                 :1;
            __IO  uint32_t  FWH2                 :1;
            __IO  uint32_t  FWH3                 :1;
            __IO  uint32_t  FWH4                 :1;
            __IO  uint32_t  FWH5                 :1;
            __IO  uint32_t  FWH6                 :1;
            __IO  uint32_t  FWH7                 :1;
            __IO  uint32_t  FWH8                 :1;
            __IO  uint32_t  FWH9                 :1;
            __IO  uint32_t  FWH10                :1;
            __IO  uint32_t  FWH11                :1;
            __IO  uint32_t  FWH12                :1;
            __IO  uint32_t  FWH13                :1;
            __IO  uint32_t  FWH14                :1;
            __IO  uint32_t  FWH15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswh_ctl_field_t;

typedef struct stc_crg_fcswl_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWL                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWL0                 :1;
            __IO  uint32_t  FWL1                 :1;
            __IO  uint32_t  FWL2                 :1;
            __IO  uint32_t  FWL3                 :1;
            __IO  uint32_t  FWL4                 :1;
            __IO  uint32_t  FWL5                 :1;
            __IO  uint32_t  FWL6                 :1;
            __IO  uint32_t  FWL7                 :1;
            __IO  uint32_t  FWL8                 :1;
            __IO  uint32_t  FWL9                 :1;
            __IO  uint32_t  FWL10                :1;
            __IO  uint32_t  FWL11                :1;
            __IO  uint32_t  FWL12                :1;
            __IO  uint32_t  FWL13                :1;
            __IO  uint32_t  FWL14                :1;
            __IO  uint32_t  FWL15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswl_ctl_field_t;

typedef struct stc_crg_fcswd_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWD                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWD0                 :1;
            __IO  uint32_t  FWD1                 :1;
            __IO  uint32_t  FWD2                 :1;
            __IO  uint32_t  FWD3                 :1;
            __IO  uint32_t  FWD4                 :1;
            __IO  uint32_t  FWD5                 :1;
            __IO  uint32_t  FWD6                 :1;
            __IO  uint32_t  FWD7                 :1;
            __IO  uint32_t  FWD8                 :1;
            __IO  uint32_t  FWD9                 :1;
            __IO  uint32_t  FWD10                :1;
            __IO  uint32_t  FWD11                :1;
            __IO  uint32_t  FWD12                :1;
            __IO  uint32_t  FWD13                :1;
            __IO  uint32_t  FWD14                :1;
            __IO  uint32_t  FWD15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswd_ctl_field_t;

typedef struct stc_crg_dbwdt_ctl_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  DPSWBE                   :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  DPHWBE                   :1;
        __IO  uint32_t  RESERVED2                :24;
} stc_crg_dbwdt_ctl_field_t;

typedef struct stc_crg_int_enr_field
{
        __IO  uint32_t  MCSE                     :1;
        __IO  uint32_t  SCSE                     :1;
        __IO  uint32_t  PCSE                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSE                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_enr_field_t;

typedef struct stc_crg_int_str_field
{
        __IO  uint32_t  MCSI                     :1;
        __IO  uint32_t  SCSI                     :1;
        __IO  uint32_t  PCSI                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSI                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_str_field_t;

typedef struct stc_crg_int_clr_field
{
        __IO  uint32_t  MCSC                     :1;
        __IO  uint32_t  SCSC                     :1;
        __IO  uint32_t  PCSC                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSC                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_clr_field_t;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crtrim_mcr_psr_field
{
    union {
        struct {
            __IO   uint8_t  CSR                  :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  CSR0                 :1;
            __IO   uint8_t  CSR1                 :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_crtrim_mcr_psr_field_t;

typedef struct stc_crtrim_mcr_ftrm_field
{
    union {
        struct {
            __IO  uint16_t  TRD                  :8;
            __IO  uint16_t  RESERVED0            :8;
        };
        struct {
            __IO  uint16_t  TRD0                 :1;
            __IO  uint16_t  TRD1                 :1;
            __IO  uint16_t  TRD2                 :1;
            __IO  uint16_t  TRD3                 :1;
            __IO  uint16_t  TRD4                 :1;
            __IO  uint16_t  TRD5                 :1;
            __IO  uint16_t  TRD6                 :1;
            __IO  uint16_t  TRD7                 :1;
            __IO  uint16_t  RESERVED1            :8;
        };
    };
} stc_crtrim_mcr_ftrm_field_t;

typedef struct stc_crtrim_mcr_rlr_field
{
    union {
        struct {
            __IO  uint32_t  TRMLCK               :32;
        };
        struct {
            __IO  uint32_t  TRMLCK0              :1;
            __IO  uint32_t  TRMLCK1              :1;
            __IO  uint32_t  TRMLCK2              :1;
            __IO  uint32_t  TRMLCK3              :1;
            __IO  uint32_t  TRMLCK4              :1;
            __IO  uint32_t  TRMLCK5              :1;
            __IO  uint32_t  TRMLCK6              :1;
            __IO  uint32_t  TRMLCK7              :1;
            __IO  uint32_t  TRMLCK8              :1;
            __IO  uint32_t  TRMLCK9              :1;
            __IO  uint32_t  TRMLCK10             :1;
            __IO  uint32_t  TRMLCK11             :1;
            __IO  uint32_t  TRMLCK12             :1;
            __IO  uint32_t  TRMLCK13             :1;
            __IO  uint32_t  TRMLCK14             :1;
            __IO  uint32_t  TRMLCK15             :1;
            __IO  uint32_t  TRMLCK16             :1;
            __IO  uint32_t  TRMLCK17             :1;
            __IO  uint32_t  TRMLCK18             :1;
            __IO  uint32_t  TRMLCK19             :1;
            __IO  uint32_t  TRMLCK20             :1;
            __IO  uint32_t  TRMLCK21             :1;
            __IO  uint32_t  TRMLCK22             :1;
            __IO  uint32_t  TRMLCK23             :1;
            __IO  uint32_t  TRMLCK24             :1;
            __IO  uint32_t  TRMLCK25             :1;
            __IO  uint32_t  TRMLCK26             :1;
            __IO  uint32_t  TRMLCK27             :1;
            __IO  uint32_t  TRMLCK28             :1;
            __IO  uint32_t  TRMLCK29             :1;
            __IO  uint32_t  TRMLCK30             :1;
            __IO  uint32_t  TRMLCK31             :1;
        };
    };
} stc_crtrim_mcr_rlr_field_t;

/******************************************************************************
 ** DMAC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dmac_dmacr_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :24;
            __IO  uint32_t  DH                   :4;
            __IO  uint32_t  PR                   :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  DS                   :1;
            __IO  uint32_t  DE                   :1;
        };
        struct {
            __IO  uint32_t  RESERVED1            :24;
            __IO  uint32_t  DH0                  :1;
            __IO  uint32_t  DH1                  :1;
            __IO  uint32_t  DH2                  :1;
            __IO  uint32_t  DH3                  :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_dmac_dmacr_field_t;

typedef struct stc_dmac_dmaca0_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca0_field_t;

typedef struct stc_dmac_dmacb0_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb0_field_t;

typedef struct stc_dmac_dmaca1_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca1_field_t;

typedef struct stc_dmac_dmacb1_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb1_field_t;

typedef struct stc_dmac_dmaca2_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca2_field_t;

typedef struct stc_dmac_dmacb2_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb2_field_t;

typedef struct stc_dmac_dmaca3_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca3_field_t;

typedef struct stc_dmac_dmacb3_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb3_field_t;

typedef struct stc_dmac_dmaca4_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca4_field_t;

typedef struct stc_dmac_dmacb4_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb4_field_t;

typedef struct stc_dmac_dmaca5_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca5_field_t;

typedef struct stc_dmac_dmacb5_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb5_field_t;

typedef struct stc_dmac_dmaca6_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca6_field_t;

typedef struct stc_dmac_dmacb6_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb6_field_t;

typedef struct stc_dmac_dmaca7_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca7_field_t;

typedef struct stc_dmac_dmacb7_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb7_field_t;

/******************************************************************************
 ** DT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dt_timer1control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer1control_field_t;

typedef struct stc_dt_timer1ris_field
{
        __IO  uint32_t  TIMER1RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1ris_field_t;

typedef struct stc_dt_timer1mis_field
{
        __IO  uint32_t  TIMER1MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1mis_field_t;

typedef struct stc_dt_timer2control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer2control_field_t;

typedef struct stc_dt_timer2ris_field
{
        __IO  uint32_t  TIMER2RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2ris_field_t;

typedef struct stc_dt_timer2mis_field
{
        __IO  uint32_t  TIMER2MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2mis_field_t;

/******************************************************************************
 ** EXBUS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_exbus_mode0_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode0_field_t;

typedef struct stc_exbus_mode1_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode1_field_t;

typedef struct stc_exbus_mode2_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode2_field_t;

typedef struct stc_exbus_mode3_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode3_field_t;

typedef struct stc_exbus_mode4_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode4_field_t;

typedef struct stc_exbus_mode5_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode5_field_t;

typedef struct stc_exbus_mode6_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode6_field_t;

typedef struct stc_exbus_mode7_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode7_field_t;

typedef struct stc_exbus_tim0_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim0_field_t;

typedef struct stc_exbus_tim1_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim1_field_t;

typedef struct stc_exbus_tim2_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim2_field_t;

typedef struct stc_exbus_tim3_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim3_field_t;

typedef struct stc_exbus_tim4_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim4_field_t;

typedef struct stc_exbus_tim5_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim5_field_t;

typedef struct stc_exbus_tim6_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim6_field_t;

typedef struct stc_exbus_tim7_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim7_field_t;

typedef struct stc_exbus_area0_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area0_field_t;

typedef struct stc_exbus_area1_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area1_field_t;

typedef struct stc_exbus_area2_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area2_field_t;

typedef struct stc_exbus_area3_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area3_field_t;

typedef struct stc_exbus_area4_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area4_field_t;

typedef struct stc_exbus_area5_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area5_field_t;

typedef struct stc_exbus_area6_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area6_field_t;

typedef struct stc_exbus_area7_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area7_field_t;

typedef struct stc_exbus_atim0_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim0_field_t;

typedef struct stc_exbus_atim1_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim1_field_t;

typedef struct stc_exbus_atim2_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim2_field_t;

typedef struct stc_exbus_atim3_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim3_field_t;

typedef struct stc_exbus_atim4_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim4_field_t;

typedef struct stc_exbus_atim5_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim5_field_t;

typedef struct stc_exbus_atim6_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim6_field_t;

typedef struct stc_exbus_atim7_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim7_field_t;

typedef struct stc_exbus_dclkr_field
{
    union {
        struct {
            __IO  uint32_t  MDIV                 :4;
            __IO  uint32_t  MCLKON               :1;
            __IO  uint32_t  RESERVED0            :27;
        };
        struct {
            __IO  uint32_t  MDIV0                :1;
            __IO  uint32_t  MDIV1                :1;
            __IO  uint32_t  MDIV2                :1;
            __IO  uint32_t  MDIV3                :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_exbus_dclkr_field_t;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_exti_enir_field
{
        __IO  uint32_t  EN0                      :1;
        __IO  uint32_t  EN1                      :1;
        __IO  uint32_t  EN2                      :1;
        __IO  uint32_t  EN3                      :1;
        __IO  uint32_t  EN4                      :1;
        __IO  uint32_t  EN5                      :1;
        __IO  uint32_t  EN6                      :1;
        __IO  uint32_t  EN7                      :1;
        __IO  uint32_t  EN8                      :1;
        __IO  uint32_t  EN9                      :1;
        __IO  uint32_t  EN10                     :1;
        __IO  uint32_t  EN11                     :1;
        __IO  uint32_t  EN12                     :1;
        __IO  uint32_t  EN13                     :1;
        __IO  uint32_t  EN14                     :1;
        __IO  uint32_t  EN15                     :1;
        __IO  uint32_t  EN16                     :1;
        __IO  uint32_t  EN17                     :1;
        __IO  uint32_t  EN18                     :1;
        __IO  uint32_t  EN19                     :1;
        __IO  uint32_t  EN20                     :1;
        __IO  uint32_t  EN21                     :1;
        __IO  uint32_t  EN22                     :1;
        __IO  uint32_t  EN23                     :1;
        __IO  uint32_t  EN24                     :1;
        __IO  uint32_t  EN25                     :1;
        __IO  uint32_t  EN26                     :1;
        __IO  uint32_t  EN27                     :1;
        __IO  uint32_t  EN28                     :1;
        __IO  uint32_t  EN29                     :1;
        __IO  uint32_t  EN30                     :1;
        __IO  uint32_t  EN31                     :1;
} stc_exti_enir_field_t;

typedef struct stc_exti_eirr_field
{
        __IO  uint32_t  ER0                      :1;
        __IO  uint32_t  ER1                      :1;
        __IO  uint32_t  ER2                      :1;
        __IO  uint32_t  ER3                      :1;
        __IO  uint32_t  ER4                      :1;
        __IO  uint32_t  ER5                      :1;
        __IO  uint32_t  ER6                      :1;
        __IO  uint32_t  ER7                      :1;
        __IO  uint32_t  ER8                      :1;
        __IO  uint32_t  ER9                      :1;
        __IO  uint32_t  ER10                     :1;
        __IO  uint32_t  ER11                     :1;
        __IO  uint32_t  ER12                     :1;
        __IO  uint32_t  ER13                     :1;
        __IO  uint32_t  ER14                     :1;
        __IO  uint32_t  ER15                     :1;
        __IO  uint32_t  ER16                     :1;
        __IO  uint32_t  ER17                     :1;
        __IO  uint32_t  ER18                     :1;
        __IO  uint32_t  ER19                     :1;
        __IO  uint32_t  ER20                     :1;
        __IO  uint32_t  ER21                     :1;
        __IO  uint32_t  ER22                     :1;
        __IO  uint32_t  ER23                     :1;
        __IO  uint32_t  ER24                     :1;
        __IO  uint32_t  ER25                     :1;
        __IO  uint32_t  ER26                     :1;
        __IO  uint32_t  ER27                     :1;
        __IO  uint32_t  ER28                     :1;
        __IO  uint32_t  ER29                     :1;
        __IO  uint32_t  ER30                     :1;
        __IO  uint32_t  ER31                     :1;
} stc_exti_eirr_field_t;

typedef struct stc_exti_eicl_field
{
        __IO  uint32_t  ECL0                     :1;
        __IO  uint32_t  ECL1                     :1;
        __IO  uint32_t  ECL2                     :1;
        __IO  uint32_t  ECL3                     :1;
        __IO  uint32_t  ECL4                     :1;
        __IO  uint32_t  ECL5                     :1;
        __IO  uint32_t  ECL6                     :1;
        __IO  uint32_t  ECL7                     :1;
        __IO  uint32_t  ECL8                     :1;
        __IO  uint32_t  ECL9                     :1;
        __IO  uint32_t  ECL10                    :1;
        __IO  uint32_t  ECL11                    :1;
        __IO  uint32_t  ECL12                    :1;
        __IO  uint32_t  ECL13                    :1;
        __IO  uint32_t  ECL14                    :1;
        __IO  uint32_t  ECL15                    :1;
        __IO  uint32_t  ECL16                    :1;
        __IO  uint32_t  ECL17                    :1;
        __IO  uint32_t  ECL18                    :1;
        __IO  uint32_t  ECL19                    :1;
        __IO  uint32_t  ECL20                    :1;
        __IO  uint32_t  ECL21                    :1;
        __IO  uint32_t  ECL22                    :1;
        __IO  uint32_t  ECL23                    :1;
        __IO  uint32_t  ECL24                    :1;
        __IO  uint32_t  ECL25                    :1;
        __IO  uint32_t  ECL26                    :1;
        __IO  uint32_t  ECL27                    :1;
        __IO  uint32_t  ECL28                    :1;
        __IO  uint32_t  ECL29                    :1;
        __IO  uint32_t  ECL30                    :1;
        __IO  uint32_t  ECL31                    :1;
} stc_exti_eicl_field_t;

typedef struct stc_exti_elvr_field
{
        __IO  uint32_t  LA0                      :1;
        __IO  uint32_t  LB0                      :1;
        __IO  uint32_t  LA1                      :1;
        __IO  uint32_t  LB1                      :1;
        __IO  uint32_t  LA2                      :1;
        __IO  uint32_t  LB2                      :1;
        __IO  uint32_t  LA3                      :1;
        __IO  uint32_t  LB3                      :1;
        __IO  uint32_t  LA4                      :1;
        __IO  uint32_t  LB4                      :1;
        __IO  uint32_t  LA5                      :1;
        __IO  uint32_t  LB5                      :1;
        __IO  uint32_t  LA6                      :1;
        __IO  uint32_t  LB6                      :1;
        __IO  uint32_t  LA7                      :1;
        __IO  uint32_t  LB7                      :1;
        __IO  uint32_t  LA8                      :1;
        __IO  uint32_t  LB8                      :1;
        __IO  uint32_t  LA9                      :1;
        __IO  uint32_t  LB9                      :1;
        __IO  uint32_t  LA10                     :1;
        __IO  uint32_t  LB10                     :1;
        __IO  uint32_t  LA11                     :1;
        __IO  uint32_t  LB11                     :1;
        __IO  uint32_t  LA12                     :1;
        __IO  uint32_t  LB12                     :1;
        __IO  uint32_t  LA13                     :1;
        __IO  uint32_t  LB13                     :1;
        __IO  uint32_t  LA14                     :1;
        __IO  uint32_t  LB14                     :1;
        __IO  uint32_t  LA15                     :1;
        __IO  uint32_t  LB15                     :1;
} stc_exti_elvr_field_t;

typedef struct stc_exti_elvr1_field
{
        __IO  uint32_t  LA16                     :1;
        __IO  uint32_t  LB16                     :1;
        __IO  uint32_t  LA17                     :1;
        __IO  uint32_t  LB17                     :1;
        __IO  uint32_t  LA18                     :1;
        __IO  uint32_t  LB18                     :1;
        __IO  uint32_t  LA19                     :1;
        __IO  uint32_t  LB19                     :1;
        __IO  uint32_t  LA20                     :1;
        __IO  uint32_t  LB20                     :1;
        __IO  uint32_t  LA21                     :1;
        __IO  uint32_t  LB21                     :1;
        __IO  uint32_t  LA22                     :1;
        __IO  uint32_t  LB22                     :1;
        __IO  uint32_t  LA23                     :1;
        __IO  uint32_t  LB23                     :1;
        __IO  uint32_t  LA24                     :1;
        __IO  uint32_t  LB24                     :1;
        __IO  uint32_t  LA25                     :1;
        __IO  uint32_t  LB25                     :1;
        __IO  uint32_t  LA26                     :1;
        __IO  uint32_t  LB26                     :1;
        __IO  uint32_t  LA27                     :1;
        __IO  uint32_t  LB27                     :1;
        __IO  uint32_t  LA28                     :1;
        __IO  uint32_t  LB28                     :1;
        __IO  uint32_t  LA29                     :1;
        __IO  uint32_t  LB29                     :1;
        __IO  uint32_t  LA30                     :1;
        __IO  uint32_t  LB30                     :1;
        __IO  uint32_t  LA31                     :1;
        __IO  uint32_t  LB31                     :1;
} stc_exti_elvr1_field_t;

typedef struct stc_exti_nmirr_field
{
        __IO  uint16_t  NR                       :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmirr_field_t;

typedef struct stc_exti_nmicl_field
{
        __IO  uint16_t  NCL                      :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmicl_field_t;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_flash_if_faszr_field
{
    union {
        struct {
            __IO  uint32_t  ASZ                  :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  ASZ0                 :1;
            __IO  uint32_t  ASZ1                 :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_flash_if_faszr_field_t;

typedef struct stc_flash_if_frwtr_field
{
    union {
        struct {
            __IO  uint32_t  RWT                  :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  RWT0                 :1;
            __IO  uint32_t  RWT1                 :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_flash_if_frwtr_field_t;

typedef struct stc_flash_if_fstr_field
{
        __IO  uint32_t  RDY                      :1;
        __IO  uint32_t  HNG                      :1;
        __IO  uint32_t  ERR                      :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_flash_if_fstr_field_t;

typedef struct stc_flash_if_fsyndn_field
{
    union {
        struct {
            __IO  uint32_t  SD                   :3;
            __IO  uint32_t  RESERVED0            :29;
        };
        struct {
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  RESERVED1            :29;
        };
    };
} stc_flash_if_fsyndn_field_t;

typedef struct stc_flash_if_crtrmm_field
{
    union {
        struct {
            __IO  uint32_t  TRMM                 :10;
            __IO  uint32_t  RESERVED0            :22;
        };
        struct {
            __IO  uint32_t  TRMM0                :1;
            __IO  uint32_t  TRMM1                :1;
            __IO  uint32_t  TRMM2                :1;
            __IO  uint32_t  TRMM3                :1;
            __IO  uint32_t  TRMM4                :1;
            __IO  uint32_t  TRMM5                :1;
            __IO  uint32_t  TRMM6                :1;
            __IO  uint32_t  TRMM7                :1;
            __IO  uint32_t  TRMM8                :1;
            __IO  uint32_t  TRMM9                :1;
            __IO  uint32_t  RESERVED1            :22;
        };
    };
} stc_flash_if_crtrmm_field_t;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_gpio_pfr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr0_field_t;

typedef struct stc_gpio_pfr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr1_field_t;

typedef struct stc_gpio_pfr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr2_field_t;

typedef struct stc_gpio_pfr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr3_field_t;

typedef struct stc_gpio_pfr4_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr4_field_t;

typedef struct stc_gpio_pfr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr5_field_t;

typedef struct stc_gpio_pfr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr6_field_t;

typedef struct stc_gpio_pfr7_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr7_field_t;

typedef struct stc_gpio_pfr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr8_field_t;

typedef struct stc_gpio_pfr9_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfr9_field_t;

typedef struct stc_gpio_pfra_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfra_field_t;

typedef struct stc_gpio_pfrb_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfrb_field_t;

typedef struct stc_gpio_pfrc_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfrc_field_t;

typedef struct stc_gpio_pfrd_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfrd_field_t;

typedef struct stc_gpio_pfre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfre_field_t;

typedef struct stc_gpio_pfrf_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pfrf_field_t;

typedef struct stc_gpio_pcr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr0_field_t;

typedef struct stc_gpio_pcr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr1_field_t;

typedef struct stc_gpio_pcr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr2_field_t;

typedef struct stc_gpio_pcr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr3_field_t;

typedef struct stc_gpio_pcr4_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr4_field_t;

typedef struct stc_gpio_pcr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr5_field_t;

typedef struct stc_gpio_pcr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr6_field_t;

typedef struct stc_gpio_pcr7_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr7_field_t;

typedef struct stc_gpio_pcr9_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcr9_field_t;

typedef struct stc_gpio_pcra_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcra_field_t;

typedef struct stc_gpio_pcrb_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcrb_field_t;

typedef struct stc_gpio_pcrc_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcrc_field_t;

typedef struct stc_gpio_pcrd_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcrd_field_t;

typedef struct stc_gpio_pcre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcre_field_t;

typedef struct stc_gpio_pcrf_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pcrf_field_t;

typedef struct stc_gpio_ddr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr0_field_t;

typedef struct stc_gpio_ddr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr1_field_t;

typedef struct stc_gpio_ddr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr2_field_t;

typedef struct stc_gpio_ddr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr3_field_t;

typedef struct stc_gpio_ddr4_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr4_field_t;

typedef struct stc_gpio_ddr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr5_field_t;

typedef struct stc_gpio_ddr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr6_field_t;

typedef struct stc_gpio_ddr7_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr7_field_t;

typedef struct stc_gpio_ddr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr8_field_t;

typedef struct stc_gpio_ddr9_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddr9_field_t;

typedef struct stc_gpio_ddra_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddra_field_t;

typedef struct stc_gpio_ddrb_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddrb_field_t;

typedef struct stc_gpio_ddrc_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddrc_field_t;

typedef struct stc_gpio_ddrd_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddrd_field_t;

typedef struct stc_gpio_ddre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddre_field_t;

typedef struct stc_gpio_ddrf_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_ddrf_field_t;

typedef struct stc_gpio_pdir0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir0_field_t;

typedef struct stc_gpio_pdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir1_field_t;

typedef struct stc_gpio_pdir2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir2_field_t;

typedef struct stc_gpio_pdir3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir3_field_t;

typedef struct stc_gpio_pdir4_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir4_field_t;

typedef struct stc_gpio_pdir5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir5_field_t;

typedef struct stc_gpio_pdir6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir6_field_t;

typedef struct stc_gpio_pdir7_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir7_field_t;

typedef struct stc_gpio_pdir8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir8_field_t;

typedef struct stc_gpio_pdir9_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdir9_field_t;

typedef struct stc_gpio_pdira_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdira_field_t;

typedef struct stc_gpio_pdirb_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdirb_field_t;

typedef struct stc_gpio_pdirc_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdirc_field_t;

typedef struct stc_gpio_pdird_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdird_field_t;

typedef struct stc_gpio_pdire_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdire_field_t;

typedef struct stc_gpio_pdirf_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdirf_field_t;

typedef struct stc_gpio_pdor0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor0_field_t;

typedef struct stc_gpio_pdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor1_field_t;

typedef struct stc_gpio_pdor2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor2_field_t;

typedef struct stc_gpio_pdor3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor3_field_t;

typedef struct stc_gpio_pdor4_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor4_field_t;

typedef struct stc_gpio_pdor5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor5_field_t;

typedef struct stc_gpio_pdor6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor6_field_t;

typedef struct stc_gpio_pdor7_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor7_field_t;

typedef struct stc_gpio_pdor8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor8_field_t;

typedef struct stc_gpio_pdor9_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdor9_field_t;

typedef struct stc_gpio_pdora_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdora_field_t;

typedef struct stc_gpio_pdorb_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdorb_field_t;

typedef struct stc_gpio_pdorc_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdorc_field_t;

typedef struct stc_gpio_pdord_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdord_field_t;

typedef struct stc_gpio_pdore_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdore_field_t;

typedef struct stc_gpio_pdorf_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pdorf_field_t;

typedef struct stc_gpio_ade_field
{
        __IO  uint32_t  AN00                     :1;
        __IO  uint32_t  AN01                     :1;
        __IO  uint32_t  AN02                     :1;
        __IO  uint32_t  AN03                     :1;
        __IO  uint32_t  AN04                     :1;
        __IO  uint32_t  AN05                     :1;
        __IO  uint32_t  AN06                     :1;
        __IO  uint32_t  AN07                     :1;
        __IO  uint32_t  AN08                     :1;
        __IO  uint32_t  AN09                     :1;
        __IO  uint32_t  AN10                     :1;
        __IO  uint32_t  AN11                     :1;
        __IO  uint32_t  AN12                     :1;
        __IO  uint32_t  AN13                     :1;
        __IO  uint32_t  AN14                     :1;
        __IO  uint32_t  AN15                     :1;
        __IO  uint32_t  AN16                     :1;
        __IO  uint32_t  AN17                     :1;
        __IO  uint32_t  AN18                     :1;
        __IO  uint32_t  AN19                     :1;
        __IO  uint32_t  AN20                     :1;
        __IO  uint32_t  AN21                     :1;
        __IO  uint32_t  AN22                     :1;
        __IO  uint32_t  AN23                     :1;
        __IO  uint32_t  AN24                     :1;
        __IO  uint32_t  AN25                     :1;
        __IO  uint32_t  AN26                     :1;
        __IO  uint32_t  AN27                     :1;
        __IO  uint32_t  AN28                     :1;
        __IO  uint32_t  AN29                     :1;
        __IO  uint32_t  AN30                     :1;
        __IO  uint32_t  AN31                     :1;
} stc_gpio_ade_field_t;

typedef struct stc_gpio_spsr_field
{
    union {
        struct {
            __IO  uint32_t  SUBXC                :2;
            __IO  uint32_t  MAINXC               :2;
            __IO  uint32_t  USB0C                :1;
            __IO  uint32_t  USB1C                :1;
            __IO  uint32_t  RESERVED0            :26;
        };
        struct {
            __IO  uint32_t  SUBXC0               :1;
            __IO  uint32_t  SUBXC1               :1;
            __IO  uint32_t  MAINXC0              :1;
            __IO  uint32_t  MAINXC1              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_gpio_spsr_field_t;

typedef struct stc_gpio_epfr00_field
{
    union {
        struct {
            __IO  uint32_t  NMIS                 :1;
            __IO  uint32_t  CROUTE               :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  RTCCOE               :2;
            __IO  uint32_t  SUBOUTE              :2;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  USBP0E               :1;
            __IO  uint32_t  RESERVED4            :3;
            __IO  uint32_t  USBP1E               :1;
            __IO  uint32_t  RESERVED5            :2;
            __IO  uint32_t  JTAGEN0B             :1;
            __IO  uint32_t  JTAGEN1S             :1;
            __IO  uint32_t  RESERVED6            :6;
            __IO  uint32_t  TRC0E                :1;
            __IO  uint32_t  TRC1E                :1;
            __IO  uint32_t  RESERVED7            :6;
        };
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  CROUTE0              :1;
            __IO  uint32_t  CROUTE1              :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  RTCCOE0              :1;
            __IO  uint32_t  RTCCOE1              :1;
            __IO  uint32_t  SUBOUTE0             :1;
            __IO  uint32_t  SUBOUTE1             :1;
            __IO  uint32_t  RESERVED8            :24;
        };
    };
} stc_gpio_epfr00_field_t;

typedef struct stc_gpio_epfr01_field
{
    union {
        struct {
            __IO  uint32_t  RTO00E               :2;
            __IO  uint32_t  RTO01E               :2;
            __IO  uint32_t  RTO02E               :2;
            __IO  uint32_t  RTO03E               :2;
            __IO  uint32_t  RTO04E               :2;
            __IO  uint32_t  RTO05E               :2;
            __IO  uint32_t  DTTI0C               :1;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  DTTI0S               :2;
            __IO  uint32_t  FRCK0S               :2;
            __IO  uint32_t  IC00S                :3;
            __IO  uint32_t  IC01S                :3;
            __IO  uint32_t  IC02S                :3;
            __IO  uint32_t  IC03S                :3;
        };
        struct {
            __IO  uint32_t  RTO00E0              :1;
            __IO  uint32_t  RTO00E1              :1;
            __IO  uint32_t  RTO01E0              :1;
            __IO  uint32_t  RTO01E1              :1;
            __IO  uint32_t  RTO02E0              :1;
            __IO  uint32_t  RTO02E1              :1;
            __IO  uint32_t  RTO03E0              :1;
            __IO  uint32_t  RTO03E1              :1;
            __IO  uint32_t  RTO04E0              :1;
            __IO  uint32_t  RTO04E1              :1;
            __IO  uint32_t  RTO05E0              :1;
            __IO  uint32_t  RTO05E1              :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  DTTI0S0              :1;
            __IO  uint32_t  DTTI0S1              :1;
            __IO  uint32_t  FRCK0S0              :1;
            __IO  uint32_t  FRCK0S1              :1;
            __IO  uint32_t  IC00S0               :1;
            __IO  uint32_t  IC00S1               :1;
            __IO  uint32_t  IC00S2               :1;
            __IO  uint32_t  IC01S0               :1;
            __IO  uint32_t  IC01S1               :1;
            __IO  uint32_t  IC01S2               :1;
            __IO  uint32_t  IC02S0               :1;
            __IO  uint32_t  IC02S1               :1;
            __IO  uint32_t  IC02S2               :1;
            __IO  uint32_t  IC03S0               :1;
            __IO  uint32_t  IC03S1               :1;
            __IO  uint32_t  IC03S2               :1;
        };
    };
} stc_gpio_epfr01_field_t;

typedef struct stc_gpio_epfr02_field
{
    union {
        struct {
            __IO  uint32_t  RTO10E               :2;
            __IO  uint32_t  RTO11E               :2;
            __IO  uint32_t  RTO12E               :2;
            __IO  uint32_t  RTO13E               :2;
            __IO  uint32_t  RTO14E               :2;
            __IO  uint32_t  RTO15E               :2;
            __IO  uint32_t  DTTI1C               :1;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  DTTI1S               :2;
            __IO  uint32_t  FRCK1S               :2;
            __IO  uint32_t  IC10S                :3;
            __IO  uint32_t  IC11S                :3;
            __IO  uint32_t  IC12S                :3;
            __IO  uint32_t  IC13S                :3;
        };
        struct {
            __IO  uint32_t  RTO10E0              :1;
            __IO  uint32_t  RTO10E1              :1;
            __IO  uint32_t  RTO11E0              :1;
            __IO  uint32_t  RTO11E1              :1;
            __IO  uint32_t  RTO12E0              :1;
            __IO  uint32_t  RTO12E1              :1;
            __IO  uint32_t  RTO13E0              :1;
            __IO  uint32_t  RTO13E1              :1;
            __IO  uint32_t  RTO14E0              :1;
            __IO  uint32_t  RTO14E1              :1;
            __IO  uint32_t  RTO15E0              :1;
            __IO  uint32_t  RTO15E1              :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  DTTI1S0              :1;
            __IO  uint32_t  DTTI1S1              :1;
            __IO  uint32_t  FRCK1S0              :1;
            __IO  uint32_t  FRCK1S1              :1;
            __IO  uint32_t  IC10S0               :1;
            __IO  uint32_t  IC10S1               :1;
            __IO  uint32_t  IC10S2               :1;
            __IO  uint32_t  IC11S0               :1;
            __IO  uint32_t  IC11S1               :1;
            __IO  uint32_t  IC11S2               :1;
            __IO  uint32_t  IC12S0               :1;
            __IO  uint32_t  IC12S1               :1;
            __IO  uint32_t  IC12S2               :1;
            __IO  uint32_t  IC13S0               :1;
            __IO  uint32_t  IC13S1               :1;
            __IO  uint32_t  IC13S2               :1;
        };
    };
} stc_gpio_epfr02_field_t;

typedef struct stc_gpio_epfr03_field
{
    union {
        struct {
            __IO  uint32_t  RTO20E               :2;
            __IO  uint32_t  RTO21E               :2;
            __IO  uint32_t  RTO22E               :2;
            __IO  uint32_t  RTO23E               :2;
            __IO  uint32_t  RTO24E               :2;
            __IO  uint32_t  RTO25E               :2;
            __IO  uint32_t  DTTI2C               :1;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  DTTI2S               :2;
            __IO  uint32_t  FRCK2S               :2;
            __IO  uint32_t  IC20S                :3;
            __IO  uint32_t  IC21S                :3;
            __IO  uint32_t  IC22S                :3;
            __IO  uint32_t  IC23S                :3;
        };
        struct {
            __IO  uint32_t  RTO20E0              :1;
            __IO  uint32_t  RTO20E1              :1;
            __IO  uint32_t  RTO21E0              :1;
            __IO  uint32_t  RTO21E1              :1;
            __IO  uint32_t  RTO22E0              :1;
            __IO  uint32_t  RTO22E1              :1;
            __IO  uint32_t  RTO23E0              :1;
            __IO  uint32_t  RTO23E1              :1;
            __IO  uint32_t  RTO24E0              :1;
            __IO  uint32_t  RTO24E1              :1;
            __IO  uint32_t  RTO25E0              :1;
            __IO  uint32_t  RTO25E1              :1;
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  DTTI2S0              :1;
            __IO  uint32_t  DTTI2S1              :1;
            __IO  uint32_t  FRCK2S0              :1;
            __IO  uint32_t  FRCK2S1              :1;
            __IO  uint32_t  IC20S0               :1;
            __IO  uint32_t  IC20S1               :1;
            __IO  uint32_t  IC20S2               :1;
            __IO  uint32_t  IC21S0               :1;
            __IO  uint32_t  IC21S1               :1;
            __IO  uint32_t  IC21S2               :1;
            __IO  uint32_t  IC22S0               :1;
            __IO  uint32_t  IC22S1               :1;
            __IO  uint32_t  IC22S2               :1;
            __IO  uint32_t  IC23S0               :1;
            __IO  uint32_t  IC23S1               :1;
            __IO  uint32_t  IC23S2               :1;
        };
    };
} stc_gpio_epfr03_field_t;

typedef struct stc_gpio_epfr04_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA0E               :2;
            __IO  uint32_t  TIOB0S               :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  TIOA1S               :2;
            __IO  uint32_t  TIOA1E               :2;
            __IO  uint32_t  TIOB1S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA2E               :2;
            __IO  uint32_t  TIOB2S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA3S               :2;
            __IO  uint32_t  TIOA3E               :2;
            __IO  uint32_t  TIOB3S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA0E0              :1;
            __IO  uint32_t  TIOA0E1              :1;
            __IO  uint32_t  TIOB0S0              :1;
            __IO  uint32_t  TIOB0S1              :1;
            __IO  uint32_t  TIOB0S2              :1;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  TIOA1S0              :1;
            __IO  uint32_t  TIOA1S1              :1;
            __IO  uint32_t  TIOA1E0              :1;
            __IO  uint32_t  TIOA1E1              :1;
            __IO  uint32_t  TIOB1S0              :1;
            __IO  uint32_t  TIOB1S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA2E0              :1;
            __IO  uint32_t  TIOA2E1              :1;
            __IO  uint32_t  TIOB2S0              :1;
            __IO  uint32_t  TIOB2S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA3S0              :1;
            __IO  uint32_t  TIOA3S1              :1;
            __IO  uint32_t  TIOA3E0              :1;
            __IO  uint32_t  TIOA3E1              :1;
            __IO  uint32_t  TIOB3S0              :1;
            __IO  uint32_t  TIOB3S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr04_field_t;

typedef struct stc_gpio_epfr05_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA4E               :2;
            __IO  uint32_t  TIOB4S               :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  TIOA5S               :2;
            __IO  uint32_t  TIOA5E               :2;
            __IO  uint32_t  TIOB5S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA6E               :2;
            __IO  uint32_t  TIOB6S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA7S               :2;
            __IO  uint32_t  TIOA7E               :2;
            __IO  uint32_t  TIOB7S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA4E0              :1;
            __IO  uint32_t  TIOA4E1              :1;
            __IO  uint32_t  TIOB4S0              :1;
            __IO  uint32_t  TIOB4S1              :1;
            __IO  uint32_t  RESERVED3            :2;
            __IO  uint32_t  TIOA5S0              :1;
            __IO  uint32_t  TIOA5S1              :1;
            __IO  uint32_t  TIOA5E0              :1;
            __IO  uint32_t  TIOA5E1              :1;
            __IO  uint32_t  TIOB5S0              :1;
            __IO  uint32_t  TIOB5S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA6E0              :1;
            __IO  uint32_t  TIOA6E1              :1;
            __IO  uint32_t  TIOB6S0              :1;
            __IO  uint32_t  TIOB6S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA7S0              :1;
            __IO  uint32_t  TIOA7S1              :1;
            __IO  uint32_t  TIOA7E0              :1;
            __IO  uint32_t  TIOA7E1              :1;
            __IO  uint32_t  TIOB7S0              :1;
            __IO  uint32_t  TIOB7S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr05_field_t;

typedef struct stc_gpio_epfr06_field
{
    union {
        struct {
            __IO  uint32_t  EINT00S              :2;
            __IO  uint32_t  EINT01S              :2;
            __IO  uint32_t  EINT02S              :2;
            __IO  uint32_t  EINT03S              :2;
            __IO  uint32_t  EINT04S              :2;
            __IO  uint32_t  EINT05S              :2;
            __IO  uint32_t  EINT06S              :2;
            __IO  uint32_t  EINT07S              :2;
            __IO  uint32_t  EINT08S              :2;
            __IO  uint32_t  EINT09S              :2;
            __IO  uint32_t  EINT10S              :2;
            __IO  uint32_t  EINT11S              :2;
            __IO  uint32_t  EINT12S              :2;
            __IO  uint32_t  EINT13S              :2;
            __IO  uint32_t  EINT14S              :2;
            __IO  uint32_t  EINT15S              :2;
        };
        struct {
            __IO  uint32_t  EINT00S0             :1;
            __IO  uint32_t  EINT00S1             :1;
            __IO  uint32_t  EINT01S0             :1;
            __IO  uint32_t  EINT01S1             :1;
            __IO  uint32_t  EINT02S0             :1;
            __IO  uint32_t  EINT02S1             :1;
            __IO  uint32_t  EINT03S0             :1;
            __IO  uint32_t  EINT03S1             :1;
            __IO  uint32_t  EINT04S0             :1;
            __IO  uint32_t  EINT04S1             :1;
            __IO  uint32_t  EINT05S0             :1;
            __IO  uint32_t  EINT05S1             :1;
            __IO  uint32_t  EINT06S0             :1;
            __IO  uint32_t  EINT06S1             :1;
            __IO  uint32_t  EINT07S0             :1;
            __IO  uint32_t  EINT07S1             :1;
            __IO  uint32_t  EINT08S0             :1;
            __IO  uint32_t  EINT08S1             :1;
            __IO  uint32_t  EINT09S0             :1;
            __IO  uint32_t  EINT09S1             :1;
            __IO  uint32_t  EINT10S0             :1;
            __IO  uint32_t  EINT10S1             :1;
            __IO  uint32_t  EINT11S0             :1;
            __IO  uint32_t  EINT11S1             :1;
            __IO  uint32_t  EINT12S0             :1;
            __IO  uint32_t  EINT12S1             :1;
            __IO  uint32_t  EINT13S0             :1;
            __IO  uint32_t  EINT13S1             :1;
            __IO  uint32_t  EINT14S0             :1;
            __IO  uint32_t  EINT14S1             :1;
            __IO  uint32_t  EINT15S0             :1;
            __IO  uint32_t  EINT15S1             :1;
        };
    };
} stc_gpio_epfr06_field_t;

typedef struct stc_gpio_epfr07_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN0S                :2;
            __IO  uint32_t  SOT0B                :2;
            __IO  uint32_t  SCK0B                :2;
            __IO  uint32_t  SIN1S                :2;
            __IO  uint32_t  SOT1B                :2;
            __IO  uint32_t  SCK1B                :2;
            __IO  uint32_t  SIN2S                :2;
            __IO  uint32_t  SOT2B                :2;
            __IO  uint32_t  SCK2B                :2;
            __IO  uint32_t  SIN3S                :2;
            __IO  uint32_t  SOT3B                :2;
            __IO  uint32_t  SCK3B                :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN0S0               :1;
            __IO  uint32_t  SIN0S1               :1;
            __IO  uint32_t  SOT0B0               :1;
            __IO  uint32_t  SOT0B1               :1;
            __IO  uint32_t  SCK0B0               :1;
            __IO  uint32_t  SCK0B1               :1;
            __IO  uint32_t  SIN1S0               :1;
            __IO  uint32_t  SIN1S1               :1;
            __IO  uint32_t  SOT1B0               :1;
            __IO  uint32_t  SOT1B1               :1;
            __IO  uint32_t  SCK1B0               :1;
            __IO  uint32_t  SCK1B1               :1;
            __IO  uint32_t  SIN2S0               :1;
            __IO  uint32_t  SIN2S1               :1;
            __IO  uint32_t  SOT2B0               :1;
            __IO  uint32_t  SOT2B1               :1;
            __IO  uint32_t  SCK2B0               :1;
            __IO  uint32_t  SCK2B1               :1;
            __IO  uint32_t  SIN3S0               :1;
            __IO  uint32_t  SIN3S1               :1;
            __IO  uint32_t  SOT3B0               :1;
            __IO  uint32_t  SOT3B1               :1;
            __IO  uint32_t  SCK3B0               :1;
            __IO  uint32_t  SCK3B1               :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr07_field_t;

typedef struct stc_gpio_epfr08_field
{
    union {
        struct {
            __IO  uint32_t  RTS4E                :2;
            __IO  uint32_t  CTS4S                :2;
            __IO  uint32_t  SIN4S                :2;
            __IO  uint32_t  SOT4B                :2;
            __IO  uint32_t  SCK4B                :2;
            __IO  uint32_t  SIN5S                :2;
            __IO  uint32_t  SOT5B                :2;
            __IO  uint32_t  SCK5B                :2;
            __IO  uint32_t  SIN6S                :2;
            __IO  uint32_t  SOT6B                :2;
            __IO  uint32_t  SCK6B                :2;
            __IO  uint32_t  SIN7S                :2;
            __IO  uint32_t  SOT7B                :2;
            __IO  uint32_t  SCK7B                :2;
            __IO  uint32_t  RESERVED0            :4;
        };
        struct {
            __IO  uint32_t  RTS4E0               :1;
            __IO  uint32_t  RTS4E1               :1;
            __IO  uint32_t  CTS4S0               :1;
            __IO  uint32_t  CTS4S1               :1;
            __IO  uint32_t  SIN4S0               :1;
            __IO  uint32_t  SIN4S1               :1;
            __IO  uint32_t  SOT4B0               :1;
            __IO  uint32_t  SOT4B1               :1;
            __IO  uint32_t  SCK4B0               :1;
            __IO  uint32_t  SCK4B1               :1;
            __IO  uint32_t  SIN5S0               :1;
            __IO  uint32_t  SIN5S1               :1;
            __IO  uint32_t  SOT5B0               :1;
            __IO  uint32_t  SOT5B1               :1;
            __IO  uint32_t  SCK5B0               :1;
            __IO  uint32_t  SCK5B1               :1;
            __IO  uint32_t  SIN6S0               :1;
            __IO  uint32_t  SIN6S1               :1;
            __IO  uint32_t  SOT6B0               :1;
            __IO  uint32_t  SOT6B1               :1;
            __IO  uint32_t  SCK6B0               :1;
            __IO  uint32_t  SCK6B1               :1;
            __IO  uint32_t  SIN7S0               :1;
            __IO  uint32_t  SIN7S1               :1;
            __IO  uint32_t  SOT7B0               :1;
            __IO  uint32_t  SOT7B1               :1;
            __IO  uint32_t  SCK7B0               :1;
            __IO  uint32_t  SCK7B1               :1;
            __IO  uint32_t  RESERVED1            :4;
        };
    };
} stc_gpio_epfr08_field_t;

typedef struct stc_gpio_epfr09_field
{
    union {
        struct {
            __IO  uint32_t  QAIN0S               :2;
            __IO  uint32_t  QBIN0S               :2;
            __IO  uint32_t  QZIN0S               :2;
            __IO  uint32_t  QAIN1S               :2;
            __IO  uint32_t  QBIN1S               :2;
            __IO  uint32_t  QZIN1S               :2;
            __IO  uint32_t  ADTRG0S              :4;
            __IO  uint32_t  ADTRG1S              :4;
            __IO  uint32_t  ADTRG2S              :4;
            __IO  uint32_t  CRX0S                :2;
            __IO  uint32_t  CTX0E                :2;
            __IO  uint32_t  CRX1S                :2;
            __IO  uint32_t  CTX1E                :2;
        };
        struct {
            __IO  uint32_t  QAIN0S0              :1;
            __IO  uint32_t  QAIN0S1              :1;
            __IO  uint32_t  QBIN0S0              :1;
            __IO  uint32_t  QBIN0S1              :1;
            __IO  uint32_t  QZIN0S0              :1;
            __IO  uint32_t  QZIN0S1              :1;
            __IO  uint32_t  QAIN1S0              :1;
            __IO  uint32_t  QAIN1S1              :1;
            __IO  uint32_t  QBIN1S0              :1;
            __IO  uint32_t  QBIN1S1              :1;
            __IO  uint32_t  QZIN1S0              :1;
            __IO  uint32_t  QZIN1S1              :1;
            __IO  uint32_t  ADTRG0S0             :1;
            __IO  uint32_t  ADTRG0S1             :1;
            __IO  uint32_t  ADTRG0S2             :1;
            __IO  uint32_t  ADTRG0S3             :1;
            __IO  uint32_t  ADTRG1S0             :1;
            __IO  uint32_t  ADTRG1S1             :1;
            __IO  uint32_t  ADTRG1S2             :1;
            __IO  uint32_t  ADTRG1S3             :1;
            __IO  uint32_t  ADTRG2S0             :1;
            __IO  uint32_t  ADTRG2S1             :1;
            __IO  uint32_t  ADTRG2S2             :1;
            __IO  uint32_t  ADTRG2S3             :1;
            __IO  uint32_t  CRX0S0               :1;
            __IO  uint32_t  CRX0S1               :1;
            __IO  uint32_t  CTX0E0               :1;
            __IO  uint32_t  CTX0E1               :1;
            __IO  uint32_t  CRX1S0               :1;
            __IO  uint32_t  CRX1S1               :1;
            __IO  uint32_t  CTX1E0               :1;
            __IO  uint32_t  CTX1E1               :1;
        };
    };
} stc_gpio_epfr09_field_t;

typedef struct stc_gpio_epfr10_field
{
        __IO  uint32_t  UEDEFB                   :1;
        __IO  uint32_t  UEDTHB                   :1;
        __IO  uint32_t  UECLKE                   :1;
        __IO  uint32_t  UEWEXE                   :1;
        __IO  uint32_t  UEDQME                   :1;
        __IO  uint32_t  UEOEXE                   :1;
        __IO  uint32_t  UEFLSE                   :1;
        __IO  uint32_t  UECS1E                   :1;
        __IO  uint32_t  UECS2E                   :1;
        __IO  uint32_t  UECS3E                   :1;
        __IO  uint32_t  UECS4E                   :1;
        __IO  uint32_t  UECS5E                   :1;
        __IO  uint32_t  UECS6E                   :1;
        __IO  uint32_t  UECS7E                   :1;
        __IO  uint32_t  UEAOOE                   :1;
        __IO  uint32_t  UEA08E                   :1;
        __IO  uint32_t  UEA09E                   :1;
        __IO  uint32_t  UEA10E                   :1;
        __IO  uint32_t  UEA11E                   :1;
        __IO  uint32_t  UEA12E                   :1;
        __IO  uint32_t  UEA13E                   :1;
        __IO  uint32_t  UEA14E                   :1;
        __IO  uint32_t  UEA15E                   :1;
        __IO  uint32_t  UEA16E                   :1;
        __IO  uint32_t  UEA17E                   :1;
        __IO  uint32_t  UEA18E                   :1;
        __IO  uint32_t  UEA19E                   :1;
        __IO  uint32_t  UEA20E                   :1;
        __IO  uint32_t  UEA21E                   :1;
        __IO  uint32_t  UEA22E                   :1;
        __IO  uint32_t  UEA23E                   :1;
        __IO  uint32_t  UEA24E                   :1;
} stc_gpio_epfr10_field_t;

typedef struct stc_gpio_epfr11_field
{
        __IO  uint32_t  UEALEE                   :1;
        __IO  uint32_t  UECS0E                   :1;
        __IO  uint32_t  UEA01E                   :1;
        __IO  uint32_t  UEA02E                   :1;
        __IO  uint32_t  UEA03E                   :1;
        __IO  uint32_t  UEA04E                   :1;
        __IO  uint32_t  UEA05E                   :1;
        __IO  uint32_t  UEA06E                   :1;
        __IO  uint32_t  UEA07E                   :1;
        __IO  uint32_t  UED00B                   :1;
        __IO  uint32_t  UED01B                   :1;
        __IO  uint32_t  UED02B                   :1;
        __IO  uint32_t  UED03B                   :1;
        __IO  uint32_t  UED04B                   :1;
        __IO  uint32_t  UED05B                   :1;
        __IO  uint32_t  UED06B                   :1;
        __IO  uint32_t  UED07B                   :1;
        __IO  uint32_t  UED08B                   :1;
        __IO  uint32_t  UED09B                   :1;
        __IO  uint32_t  UED10B                   :1;
        __IO  uint32_t  UED11B                   :1;
        __IO  uint32_t  UED12B                   :1;
        __IO  uint32_t  UED13B                   :1;
        __IO  uint32_t  UED14B                   :1;
        __IO  uint32_t  UED15B                   :1;
        __IO  uint32_t  UERLC                    :1;
        __IO  uint32_t  RESERVED0                :6;
} stc_gpio_epfr11_field_t;

typedef struct stc_gpio_epfr12_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA8E               :2;
            __IO  uint32_t  TIOB8S               :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  TIOA9S               :2;
            __IO  uint32_t  TIOA9E               :2;
            __IO  uint32_t  TIOB9S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA10E              :2;
            __IO  uint32_t  TIOB10S              :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA11S              :2;
            __IO  uint32_t  TIOA11E              :2;
            __IO  uint32_t  TIOB11S              :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA8E0              :1;
            __IO  uint32_t  TIOA8E1              :1;
            __IO  uint32_t  TIOB8S0              :1;
            __IO  uint32_t  TIOB8S1              :1;
            __IO  uint32_t  RESERVED3            :2;
            __IO  uint32_t  TIOA9S0              :1;
            __IO  uint32_t  TIOA9S1              :1;
            __IO  uint32_t  TIOA9E0              :1;
            __IO  uint32_t  TIOA9E1              :1;
            __IO  uint32_t  TIOB9S0              :1;
            __IO  uint32_t  TIOB9S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA10E0             :1;
            __IO  uint32_t  TIOA10E1             :1;
            __IO  uint32_t  TIOB10S0             :1;
            __IO  uint32_t  TIOB10S1             :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA11S0             :1;
            __IO  uint32_t  TIOA11S1             :1;
            __IO  uint32_t  TIOA11E0             :1;
            __IO  uint32_t  TIOA11E1             :1;
            __IO  uint32_t  TIOB11S0             :1;
            __IO  uint32_t  TIOB11S1             :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr12_field_t;

typedef struct stc_gpio_epfr13_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA12E              :2;
            __IO  uint32_t  TIOB12S              :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  TIOA13S              :2;
            __IO  uint32_t  TIOA13E              :2;
            __IO  uint32_t  TIOB13S              :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA14E              :2;
            __IO  uint32_t  TIOB14S              :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA15S              :2;
            __IO  uint32_t  TIOA15E              :2;
            __IO  uint32_t  TIOB15S              :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA12E0             :1;
            __IO  uint32_t  TIOA12E1             :1;
            __IO  uint32_t  TIOB12S0             :1;
            __IO  uint32_t  TIOB12S1             :1;
            __IO  uint32_t  RESERVED3            :2;
            __IO  uint32_t  TIOA13S0             :1;
            __IO  uint32_t  TIOA13S1             :1;
            __IO  uint32_t  TIOA13E0             :1;
            __IO  uint32_t  TIOA13E1             :1;
            __IO  uint32_t  TIOB13S0             :1;
            __IO  uint32_t  TIOB13S1             :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA14E0             :1;
            __IO  uint32_t  TIOA14E1             :1;
            __IO  uint32_t  TIOB14S0             :1;
            __IO  uint32_t  TIOB14S1             :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA15S0             :1;
            __IO  uint32_t  TIOA15S1             :1;
            __IO  uint32_t  TIOA15E0             :1;
            __IO  uint32_t  TIOA15E1             :1;
            __IO  uint32_t  TIOB15S0             :1;
            __IO  uint32_t  TIOB15S1             :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr13_field_t;

typedef struct stc_gpio_epfr14_field
{
    union {
        struct {
            __IO  uint32_t  QAIN2S               :2;
            __IO  uint32_t  QBIN2S               :2;
            __IO  uint32_t  QZIN2S               :2;
            __IO  uint32_t  RESERVED0            :12;
            __IO  uint32_t  E_TD0E               :1;
            __IO  uint32_t  E_TD1E               :1;
            __IO  uint32_t  E_TE0E               :1;
            __IO  uint32_t  E_TE1E               :1;
            __IO  uint32_t  E_MC0E               :1;
            __IO  uint32_t  E_MC1B               :1;
            __IO  uint32_t  E_MD0B               :1;
            __IO  uint32_t  E_MD1B               :1;
            __IO  uint32_t  E_CKE                :1;
            __IO  uint32_t  E_PSE                :1;
            __IO  uint32_t  E_SPLC               :2;
            __IO  uint32_t  CEC0B                :1;
            __IO  uint32_t  CEC1B                :1;
        };
        struct {
            __IO  uint32_t  QAIN2S0              :1;
            __IO  uint32_t  QAIN2S1              :1;
            __IO  uint32_t  QBIN2S0              :1;
            __IO  uint32_t  QBIN2S1              :1;
            __IO  uint32_t  QZIN2S0              :1;
            __IO  uint32_t  QZIN2S1              :1;
            __IO  uint32_t  RESERVED1            :22;
            __IO  uint32_t  E_SPLC0              :1;
            __IO  uint32_t  E_SPLC1              :1;
            __IO  uint32_t  RESERVED2            :2;
        };
    };
} stc_gpio_epfr14_field_t;

typedef struct stc_gpio_epfr15_field
{
    union {
        struct {
            __IO  uint32_t  EINT16S              :2;
            __IO  uint32_t  EINT17S              :2;
            __IO  uint32_t  EINT18S              :2;
            __IO  uint32_t  EINT19S              :2;
            __IO  uint32_t  EINT20S              :2;
            __IO  uint32_t  EINT21S              :2;
            __IO  uint32_t  EINT22S              :2;
            __IO  uint32_t  EINT23S              :2;
            __IO  uint32_t  EINT24S              :2;
            __IO  uint32_t  EINT25S              :2;
            __IO  uint32_t  EINT26S              :2;
            __IO  uint32_t  EINT27S              :2;
            __IO  uint32_t  EINT28S              :2;
            __IO  uint32_t  EINT29S              :2;
            __IO  uint32_t  EINT30S              :2;
            __IO  uint32_t  EINT31S              :2;
        };
        struct {
            __IO  uint32_t  EINT16S0             :1;
            __IO  uint32_t  EINT16S1             :1;
            __IO  uint32_t  EINT17S0             :1;
            __IO  uint32_t  EINT17S1             :1;
            __IO  uint32_t  EINT18S0             :1;
            __IO  uint32_t  EINT18S1             :1;
            __IO  uint32_t  EINT19S0             :1;
            __IO  uint32_t  EINT19S1             :1;
            __IO  uint32_t  EINT20S0             :1;
            __IO  uint32_t  EINT20S1             :1;
            __IO  uint32_t  EINT21S0             :1;
            __IO  uint32_t  EINT21S1             :1;
            __IO  uint32_t  EINT22S0             :1;
            __IO  uint32_t  EINT22S1             :1;
            __IO  uint32_t  EINT23S0             :1;
            __IO  uint32_t  EINT23S1             :1;
            __IO  uint32_t  EINT24S0             :1;
            __IO  uint32_t  EINT24S1             :1;
            __IO  uint32_t  EINT25S0             :1;
            __IO  uint32_t  EINT25S1             :1;
            __IO  uint32_t  EINT26S0             :1;
            __IO  uint32_t  EINT26S1             :1;
            __IO  uint32_t  EINT27S0             :1;
            __IO  uint32_t  EINT27S1             :1;
            __IO  uint32_t  EINT28S0             :1;
            __IO  uint32_t  EINT28S1             :1;
            __IO  uint32_t  EINT29S0             :1;
            __IO  uint32_t  EINT29S1             :1;
            __IO  uint32_t  EINT30S0             :1;
            __IO  uint32_t  EINT30S1             :1;
            __IO  uint32_t  EINT31S0             :1;
            __IO  uint32_t  EINT31S1             :1;
        };
    };
} stc_gpio_epfr15_field_t;

typedef struct stc_gpio_epfr16_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN8S                :2;
            __IO  uint32_t  SOT8B                :2;
            __IO  uint32_t  SCK8B                :2;
            __IO  uint32_t  SIN9S                :2;
            __IO  uint32_t  SOT9B                :2;
            __IO  uint32_t  SCK9B                :2;
            __IO  uint32_t  SIN10S               :2;
            __IO  uint32_t  SOT10B               :2;
            __IO  uint32_t  SCK10B               :2;
            __IO  uint32_t  SIN11S               :2;
            __IO  uint32_t  SOT11B               :2;
            __IO  uint32_t  SCK11B               :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN8S0               :1;
            __IO  uint32_t  SIN8S1               :1;
            __IO  uint32_t  SOT8B0               :1;
            __IO  uint32_t  SOT8B1               :1;
            __IO  uint32_t  SCK8B0               :1;
            __IO  uint32_t  SCK8B1               :1;
            __IO  uint32_t  SIN9S0               :1;
            __IO  uint32_t  SIN9S1               :1;
            __IO  uint32_t  SOT9B0               :1;
            __IO  uint32_t  SOT9B1               :1;
            __IO  uint32_t  SCK9B0               :1;
            __IO  uint32_t  SCK9B1               :1;
            __IO  uint32_t  SIN10S0              :1;
            __IO  uint32_t  SIN10S1              :1;
            __IO  uint32_t  SOT10B0              :1;
            __IO  uint32_t  SOT10B1              :1;
            __IO  uint32_t  SCK10B0              :1;
            __IO  uint32_t  SCK10B1              :1;
            __IO  uint32_t  SIN11S0              :1;
            __IO  uint32_t  SIN11S1              :1;
            __IO  uint32_t  SOT11B0              :1;
            __IO  uint32_t  SOT11B1              :1;
            __IO  uint32_t  SCK11B0              :1;
            __IO  uint32_t  SCK11B1              :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr16_field_t;

typedef struct stc_gpio_epfr17_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN12S               :2;
            __IO  uint32_t  SOT12B               :2;
            __IO  uint32_t  SCK12B               :2;
            __IO  uint32_t  SIN13S               :2;
            __IO  uint32_t  SOT13B               :2;
            __IO  uint32_t  SCK13B               :2;
            __IO  uint32_t  SIN14S               :2;
            __IO  uint32_t  SOT14B               :2;
            __IO  uint32_t  SCK14B               :2;
            __IO  uint32_t  SIN15S               :2;
            __IO  uint32_t  SOT15B               :2;
            __IO  uint32_t  SCK15B               :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN12S0              :1;
            __IO  uint32_t  SIN12S1              :1;
            __IO  uint32_t  SOT12B0              :1;
            __IO  uint32_t  SOT12B1              :1;
            __IO  uint32_t  SCK12B0              :1;
            __IO  uint32_t  SCK12B1              :1;
            __IO  uint32_t  SIN13S0              :1;
            __IO  uint32_t  SIN13S1              :1;
            __IO  uint32_t  SOT13B0              :1;
            __IO  uint32_t  SOT13B1              :1;
            __IO  uint32_t  SCK13B0              :1;
            __IO  uint32_t  SCK13B1              :1;
            __IO  uint32_t  SIN14S0              :1;
            __IO  uint32_t  SIN14S1              :1;
            __IO  uint32_t  SOT14B0              :1;
            __IO  uint32_t  SOT14B1              :1;
            __IO  uint32_t  SCK14B0              :1;
            __IO  uint32_t  SCK14B1              :1;
            __IO  uint32_t  SIN15S0              :1;
            __IO  uint32_t  SIN15S1              :1;
            __IO  uint32_t  SOT15B0              :1;
            __IO  uint32_t  SOT15B1              :1;
            __IO  uint32_t  SCK15B0              :1;
            __IO  uint32_t  SCK15B1              :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr17_field_t;

typedef struct stc_gpio_epfr18_field
{
    union {
        struct {
            __IO  uint32_t  CECR0B               :2;
            __IO  uint32_t  CECR1B               :2;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  CECR0B0              :1;
            __IO  uint32_t  CECR0B1              :1;
            __IO  uint32_t  CECR1B0              :1;
            __IO  uint32_t  CECR1B1              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_gpio_epfr18_field_t;

typedef struct stc_gpio_pzr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr0_field_t;

typedef struct stc_gpio_pzr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr1_field_t;

typedef struct stc_gpio_pzr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr2_field_t;

typedef struct stc_gpio_pzr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr3_field_t;

typedef struct stc_gpio_pzr4_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr4_field_t;

typedef struct stc_gpio_pzr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr5_field_t;

typedef struct stc_gpio_pzr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr6_field_t;

typedef struct stc_gpio_pzr7_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr7_field_t;

typedef struct stc_gpio_pzr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr8_field_t;

typedef struct stc_gpio_pzr9_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzr9_field_t;

typedef struct stc_gpio_pzra_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzra_field_t;

typedef struct stc_gpio_pzrb_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzrb_field_t;

typedef struct stc_gpio_pzrc_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzrc_field_t;

typedef struct stc_gpio_pzrd_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzrd_field_t;

typedef struct stc_gpio_pzre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzre_field_t;

typedef struct stc_gpio_pzrf_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_gpio_pzrf_field_t;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_hwwdt_wdg_ctl_field
{
        __IO  uint32_t  INTEN                    :1;
        __IO  uint32_t  RESEN                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_hwwdt_wdg_ctl_field_t;

typedef struct stc_hwwdt_wdg_ris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_hwwdt_wdg_ris_field_t;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_intreq_drqsel_field
{
        __IO  uint32_t  USBEP1                   :1;
        __IO  uint32_t  USBEP2                   :1;
        __IO  uint32_t  USBEP3                   :1;
        __IO  uint32_t  USBEP4                   :1;
        __IO  uint32_t  USBEP5                   :1;
        __IO  uint32_t  ADCSCAN0                 :1;
        __IO  uint32_t  ADCSCAN1                 :1;
        __IO  uint32_t  ADCSCAN2                 :1;
        __IO  uint32_t  IRQ0BT0                  :1;
        __IO  uint32_t  IRQ0BT2                  :1;
        __IO  uint32_t  IRQ0BT4                  :1;
        __IO  uint32_t  IRQ0BT6                  :1;
        __IO  uint32_t  MFS0RX                   :1;
        __IO  uint32_t  MFS0TX                   :1;
        __IO  uint32_t  MFS1RX                   :1;
        __IO  uint32_t  MFS1TX                   :1;
        __IO  uint32_t  MFS2RX                   :1;
        __IO  uint32_t  MFS2TX                   :1;
        __IO  uint32_t  MFS3RX                   :1;
        __IO  uint32_t  MFS3TX                   :1;
        __IO  uint32_t  MFS4RX                   :1;
        __IO  uint32_t  MFS4TX                   :1;
        __IO  uint32_t  MFS5RX                   :1;
        __IO  uint32_t  MFS5TX                   :1;
        __IO  uint32_t  MFS6RX                   :1;
        __IO  uint32_t  MFS6TX                   :1;
        __IO  uint32_t  MFS7RX                   :1;
        __IO  uint32_t  MFS7TX                   :1;
        __IO  uint32_t  EXINT0                   :1;
        __IO  uint32_t  EXINT1                   :1;
        __IO  uint32_t  EXINT2                   :1;
        __IO  uint32_t  EXINT3                   :1;
} stc_intreq_drqsel_field_t;

typedef struct stc_intreq_oddpks_field
{
        __IO   uint8_t  ODDPKS0                  :1;
        __IO   uint8_t  ODDPKS1                  :1;
        __IO   uint8_t  ODDPKS2                  :1;
        __IO   uint8_t  ODDPKS3                  :1;
        __IO   uint8_t  ODDPKS4                  :1;
        __IO   uint8_t  RESERVED0                :3;
} stc_intreq_oddpks_field_t;

typedef struct stc_intreq_exc02mon_field
{
        __IO  uint32_t  NMI                      :1;
        __IO  uint32_t  HWINT                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_intreq_exc02mon_field_t;

typedef struct stc_intreq_irq00mon_field
{
        __IO  uint32_t  FCSINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq00mon_field_t;

typedef struct stc_intreq_irq01mon_field
{
        __IO  uint32_t  SWWDTINT                 :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq01mon_field_t;

typedef struct stc_intreq_irq02mon_field
{
        __IO  uint32_t  LVDINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq02mon_field_t;

typedef struct stc_intreq_irq03mon_field
{
    union {
        struct {
            __IO  uint32_t  WAVE0INT             :4;
            __IO  uint32_t  WAVE1INT             :4;
            __IO  uint32_t  WAVE2INT             :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  WAVE0INT0            :1;
            __IO  uint32_t  WAVE0INT1            :1;
            __IO  uint32_t  WAVE0INT2            :1;
            __IO  uint32_t  WAVE0INT3            :1;
            __IO  uint32_t  WAVE1INT0            :1;
            __IO  uint32_t  WAVE1INT1            :1;
            __IO  uint32_t  WAVE1INT2            :1;
            __IO  uint32_t  WAVE1INT3            :1;
            __IO  uint32_t  WAVE2INT0            :1;
            __IO  uint32_t  WAVE2INT1            :1;
            __IO  uint32_t  WAVE2INT2            :1;
            __IO  uint32_t  WAVE2INT3            :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_intreq_irq03mon_field_t;

typedef struct stc_intreq_irq04mon_field
{
        __IO  uint32_t  EXTINT0                  :1;
        __IO  uint32_t  EXTINT1                  :1;
        __IO  uint32_t  EXTINT2                  :1;
        __IO  uint32_t  EXTINT3                  :1;
        __IO  uint32_t  EXTINT4                  :1;
        __IO  uint32_t  EXTINT5                  :1;
        __IO  uint32_t  EXTINT6                  :1;
        __IO  uint32_t  EXTINT7                  :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_intreq_irq04mon_field_t;

typedef struct stc_intreq_irq05mon_field
{
        __IO  uint32_t  EXTINT8                  :1;
        __IO  uint32_t  EXTINT9                  :1;
        __IO  uint32_t  EXTINT10                 :1;
        __IO  uint32_t  EXTINT11                 :1;
        __IO  uint32_t  EXTINT12                 :1;
        __IO  uint32_t  EXTINT13                 :1;
        __IO  uint32_t  EXTINT14                 :1;
        __IO  uint32_t  EXTINT15                 :1;
        __IO  uint32_t  EXTINT16                 :1;
        __IO  uint32_t  EXTINT17                 :1;
        __IO  uint32_t  EXTINT18                 :1;
        __IO  uint32_t  EXTINT19                 :1;
        __IO  uint32_t  EXTINT20                 :1;
        __IO  uint32_t  EXTINT21                 :1;
        __IO  uint32_t  EXTINT22                 :1;
        __IO  uint32_t  EXTINT23                 :1;
        __IO  uint32_t  EXTINT24                 :1;
        __IO  uint32_t  EXTINT25                 :1;
        __IO  uint32_t  EXTINT26                 :1;
        __IO  uint32_t  EXTINT27                 :1;
        __IO  uint32_t  EXTINT28                 :1;
        __IO  uint32_t  EXTINT29                 :1;
        __IO  uint32_t  EXTINT30                 :1;
        __IO  uint32_t  EXTINT31                 :1;
        __IO  uint32_t  RESERVED0                :8;
} stc_intreq_irq05mon_field_t;

typedef struct stc_intreq_irq06mon_field
{
    union {
        struct {
            __IO  uint32_t  TIMINT               :2;
            __IO  uint32_t  QUD0INT              :6;
            __IO  uint32_t  QUD1INT              :6;
            __IO  uint32_t  QUD2INT              :6;
            __IO  uint32_t  RESERVED0            :12;
        };
        struct {
            __IO  uint32_t  TIMINT0              :1;
            __IO  uint32_t  TIMINT1              :1;
            __IO  uint32_t  QUD0INT0             :1;
            __IO  uint32_t  QUD0INT1             :1;
            __IO  uint32_t  QUD0INT2             :1;
            __IO  uint32_t  QUD0INT3             :1;
            __IO  uint32_t  QUD0INT4             :1;
            __IO  uint32_t  QUD0INT5             :1;
            __IO  uint32_t  QUD1INT0             :1;
            __IO  uint32_t  QUD1INT1             :1;
            __IO  uint32_t  QUD1INT2             :1;
            __IO  uint32_t  QUD1INT3             :1;
            __IO  uint32_t  QUD1INT4             :1;
            __IO  uint32_t  QUD1INT5             :1;
            __IO  uint32_t  QUD2INT0             :1;
            __IO  uint32_t  QUD2INT1             :1;
            __IO  uint32_t  QUD2INT2             :1;
            __IO  uint32_t  QUD2INT3             :1;
            __IO  uint32_t  QUD2INT4             :1;
            __IO  uint32_t  QUD2INT5             :1;
            __IO  uint32_t  RESERVED1            :12;
        };
    };
} stc_intreq_irq06mon_field_t;

typedef struct stc_intreq_irq07mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq07mon_field_t;

typedef struct stc_intreq_irq08mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq08mon_field_t;

typedef struct stc_intreq_irq09mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq09mon_field_t;

typedef struct stc_intreq_irq10mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq10mon_field_t;

typedef struct stc_intreq_irq11mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq11mon_field_t;

typedef struct stc_intreq_irq12mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq12mon_field_t;

typedef struct stc_intreq_irq13mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq13mon_field_t;

typedef struct stc_intreq_irq14mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq14mon_field_t;

typedef struct stc_intreq_irq15mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq15mon_field_t;

typedef struct stc_intreq_irq16mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq16mon_field_t;

typedef struct stc_intreq_irq17mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq17mon_field_t;

typedef struct stc_intreq_irq18mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq18mon_field_t;

typedef struct stc_intreq_irq19mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq19mon_field_t;

typedef struct stc_intreq_irq20mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq20mon_field_t;

typedef struct stc_intreq_irq21mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq21mon_field_t;

typedef struct stc_intreq_irq22mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq22mon_field_t;

typedef struct stc_intreq_irq23mon_field
{
        __IO  uint32_t  PPGINT00                 :1;
        __IO  uint32_t  PPGINT02                 :1;
        __IO  uint32_t  PPGINT04                 :1;
        __IO  uint32_t  PPGINT08                 :1;
        __IO  uint32_t  PPGINT10                 :1;
        __IO  uint32_t  PPGINT12                 :1;
        __IO  uint32_t  PPGINT16                 :1;
        __IO  uint32_t  PPGINT18                 :1;
        __IO  uint32_t  PPGINT20                 :1;
        __IO  uint32_t  RESERVED0                :23;
} stc_intreq_irq23mon_field_t;

typedef struct stc_intreq_irq24mon_field
{
        __IO  uint32_t  MOSCINT                  :1;
        __IO  uint32_t  SOSCINT                  :1;
        __IO  uint32_t  MPLLINT                  :1;
        __IO  uint32_t  UPLLINT                  :1;
        __IO  uint32_t  WCINT                    :1;
        __IO  uint32_t  RTCINT                   :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq24mon_field_t;

typedef struct stc_intreq_irq25mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_intreq_irq25mon_field_t;

typedef struct stc_intreq_irq26mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_intreq_irq26mon_field_t;

typedef struct stc_intreq_irq27mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  LCDCINT                  :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_irq27mon_field_t;

typedef struct stc_intreq_irq28mon_field
{
    union {
        struct {
            __IO  uint32_t  FRT0INT              :6;
            __IO  uint32_t  FRT1INT              :6;
            __IO  uint32_t  FRT2INT              :6;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  FRT0INT0             :1;
            __IO  uint32_t  FRT0INT1             :1;
            __IO  uint32_t  FRT0INT2             :1;
            __IO  uint32_t  FRT0INT3             :1;
            __IO  uint32_t  FRT0INT4             :1;
            __IO  uint32_t  FRT0INT5             :1;
            __IO  uint32_t  FRT1INT0             :1;
            __IO  uint32_t  FRT1INT1             :1;
            __IO  uint32_t  FRT1INT2             :1;
            __IO  uint32_t  FRT1INT3             :1;
            __IO  uint32_t  FRT1INT4             :1;
            __IO  uint32_t  FRT1INT5             :1;
            __IO  uint32_t  FRT2INT0             :1;
            __IO  uint32_t  FRT2INT1             :1;
            __IO  uint32_t  FRT2INT2             :1;
            __IO  uint32_t  FRT2INT3             :1;
            __IO  uint32_t  FRT2INT4             :1;
            __IO  uint32_t  FRT2INT5             :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_intreq_irq28mon_field_t;

typedef struct stc_intreq_irq29mon_field
{
    union {
        struct {
            __IO  uint32_t  ICU0INT              :4;
            __IO  uint32_t  ICU1INT              :4;
            __IO  uint32_t  ICU2INT              :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ICU0INT0             :1;
            __IO  uint32_t  ICU0INT1             :1;
            __IO  uint32_t  ICU0INT2             :1;
            __IO  uint32_t  ICU0INT3             :1;
            __IO  uint32_t  ICU1INT0             :1;
            __IO  uint32_t  ICU1INT1             :1;
            __IO  uint32_t  ICU1INT2             :1;
            __IO  uint32_t  ICU1INT3             :1;
            __IO  uint32_t  ICU2INT0             :1;
            __IO  uint32_t  ICU2INT1             :1;
            __IO  uint32_t  ICU2INT2             :1;
            __IO  uint32_t  ICU2INT3             :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_intreq_irq29mon_field_t;

typedef struct stc_intreq_irq30mon_field
{
    union {
        struct {
            __IO  uint32_t  OCU0INT              :6;
            __IO  uint32_t  OCU1INT              :6;
            __IO  uint32_t  OCU2INT              :6;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  OCU0INT0             :1;
            __IO  uint32_t  OCU0INT1             :1;
            __IO  uint32_t  OCU0INT2             :1;
            __IO  uint32_t  OCU0INT3             :1;
            __IO  uint32_t  OCU0INT4             :1;
            __IO  uint32_t  OCU0INT5             :1;
            __IO  uint32_t  OCU1INT0             :1;
            __IO  uint32_t  OCU1INT1             :1;
            __IO  uint32_t  OCU1INT2             :1;
            __IO  uint32_t  OCU1INT3             :1;
            __IO  uint32_t  OCU1INT4             :1;
            __IO  uint32_t  OCU1INT5             :1;
            __IO  uint32_t  OCU2INT0             :1;
            __IO  uint32_t  OCU2INT1             :1;
            __IO  uint32_t  OCU2INT2             :1;
            __IO  uint32_t  OCU2INT3             :1;
            __IO  uint32_t  OCU2INT4             :1;
            __IO  uint32_t  OCU2INT5             :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_intreq_irq30mon_field_t;

typedef struct stc_intreq_irq31mon_field
{
        __IO  uint32_t  BTINT0                   :1;
        __IO  uint32_t  BTINT1                   :1;
        __IO  uint32_t  BTINT2                   :1;
        __IO  uint32_t  BTINT3                   :1;
        __IO  uint32_t  BTINT4                   :1;
        __IO  uint32_t  BTINT5                   :1;
        __IO  uint32_t  BTINT6                   :1;
        __IO  uint32_t  BTINT7                   :1;
        __IO  uint32_t  BTINT8                   :1;
        __IO  uint32_t  BTINT9                   :1;
        __IO  uint32_t  BTINT10                  :1;
        __IO  uint32_t  BTINT11                  :1;
        __IO  uint32_t  BTINT12                  :1;
        __IO  uint32_t  BTINT13                  :1;
        __IO  uint32_t  BTINT14                  :1;
        __IO  uint32_t  BTINT15                  :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_intreq_irq31mon_field_t;

typedef struct stc_intreq_irq32mon_field
{
        __IO  uint32_t  CAN0INT                  :1;
        __IO  uint32_t  MAC0SBD                  :1;
        __IO  uint32_t  MAC0PMI                  :1;
        __IO  uint32_t  MAC0LPI                  :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_intreq_irq32mon_field_t;

typedef struct stc_intreq_irq33mon_field
{
        __IO  uint32_t  CAN1INT                  :1;
        __IO  uint32_t  MAC1SBD                  :1;
        __IO  uint32_t  MAC1PMI                  :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq33mon_field_t;

typedef struct stc_intreq_irq34mon_field
{
        __IO  uint32_t  USB0INT0                 :1;
        __IO  uint32_t  USB0INT1                 :1;
        __IO  uint32_t  USB0INT2                 :1;
        __IO  uint32_t  USB0INT3                 :1;
        __IO  uint32_t  USB0INT4                 :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_irq34mon_field_t;

typedef struct stc_intreq_irq35mon_field
{
        __IO  uint32_t  USB0INT0                 :1;
        __IO  uint32_t  USB0INT1                 :1;
        __IO  uint32_t  USB0INT2                 :1;
        __IO  uint32_t  USB0INT3                 :1;
        __IO  uint32_t  USB0INT4                 :1;
        __IO  uint32_t  USB0INT5                 :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq35mon_field_t;

typedef struct stc_intreq_irq36mon_field
{
        __IO  uint32_t  USB1INT0                 :1;
        __IO  uint32_t  USB1INT1                 :1;
        __IO  uint32_t  USB1INT2                 :1;
        __IO  uint32_t  USB1INT3                 :1;
        __IO  uint32_t  USB1INT4                 :1;
        __IO  uint32_t  RCEC0INT                 :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq36mon_field_t;

typedef struct stc_intreq_irq37mon_field
{
        __IO  uint32_t  USB1INT0                 :1;
        __IO  uint32_t  USB1INT1                 :1;
        __IO  uint32_t  USB1INT2                 :1;
        __IO  uint32_t  USB1INT3                 :1;
        __IO  uint32_t  USB1INT4                 :1;
        __IO  uint32_t  USB1INT5                 :1;
        __IO  uint32_t  RCEC1INT                 :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_intreq_irq37mon_field_t;

typedef struct stc_intreq_irq38mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq38mon_field_t;

typedef struct stc_intreq_irq39mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq39mon_field_t;

typedef struct stc_intreq_irq40mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq40mon_field_t;

typedef struct stc_intreq_irq41mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq41mon_field_t;

typedef struct stc_intreq_irq42mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq42mon_field_t;

typedef struct stc_intreq_irq43mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq43mon_field_t;

typedef struct stc_intreq_irq44mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq44mon_field_t;

typedef struct stc_intreq_irq45mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq45mon_field_t;

typedef struct stc_intreq_irq46mon_field
{
        __IO  uint32_t  BTINT0                   :1;
        __IO  uint32_t  BTINT1                   :1;
        __IO  uint32_t  BTINT2                   :1;
        __IO  uint32_t  BTINT3                   :1;
        __IO  uint32_t  BTINT4                   :1;
        __IO  uint32_t  BTINT5                   :1;
        __IO  uint32_t  BTINT6                   :1;
        __IO  uint32_t  BTINT7                   :1;
        __IO  uint32_t  BTINT8                   :1;
        __IO  uint32_t  BTINT9                   :1;
        __IO  uint32_t  BTINT10                  :1;
        __IO  uint32_t  BTINT11                  :1;
        __IO  uint32_t  BTINT12                  :1;
        __IO  uint32_t  BTINT13                  :1;
        __IO  uint32_t  BTINT14                  :1;
        __IO  uint32_t  BTINT15                  :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_intreq_irq46mon_field_t;

typedef struct stc_intreq_irq47mon_field
{
        __IO  uint32_t  RESERVED0                :11;
        __IO  uint32_t  FLASHINT                 :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_intreq_irq47mon_field_t;

/******************************************************************************
 ** LVD_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lvd_lvd_ctl_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  SVHI                 :4;
            __IO   uint8_t  RESERVED2            :1;
            __IO   uint8_t  LVDIE                :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  SVHI0                :1;
            __IO   uint8_t  SVHI1                :1;
            __IO   uint8_t  SVHI2                :1;
            __IO   uint8_t  SVHI3                :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_lvd_lvd_ctl_field_t;

typedef struct stc_lvd_lvd_str_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDIR                    :1;
} stc_lvd_lvd_str_field_t;

typedef struct stc_lvd_lvd_clr_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDCL                    :1;
} stc_lvd_lvd_clr_field_t;

typedef struct stc_lvd_lvd_rlr_field
{
    union {
        struct {
            __IO  uint32_t  LVDLCK               :32;
        };
        struct {
            __IO  uint32_t  LVDLCK0              :1;
            __IO  uint32_t  LVDLCK1              :1;
            __IO  uint32_t  LVDLCK2              :1;
            __IO  uint32_t  LVDLCK3              :1;
            __IO  uint32_t  LVDLCK4              :1;
            __IO  uint32_t  LVDLCK5              :1;
            __IO  uint32_t  LVDLCK6              :1;
            __IO  uint32_t  LVDLCK7              :1;
            __IO  uint32_t  LVDLCK8              :1;
            __IO  uint32_t  LVDLCK9              :1;
            __IO  uint32_t  LVDLCK10             :1;
            __IO  uint32_t  LVDLCK11             :1;
            __IO  uint32_t  LVDLCK12             :1;
            __IO  uint32_t  LVDLCK13             :1;
            __IO  uint32_t  LVDLCK14             :1;
            __IO  uint32_t  LVDLCK15             :1;
            __IO  uint32_t  LVDLCK16             :1;
            __IO  uint32_t  LVDLCK17             :1;
            __IO  uint32_t  LVDLCK18             :1;
            __IO  uint32_t  LVDLCK19             :1;
            __IO  uint32_t  LVDLCK20             :1;
            __IO  uint32_t  LVDLCK21             :1;
            __IO  uint32_t  LVDLCK22             :1;
            __IO  uint32_t  LVDLCK23             :1;
            __IO  uint32_t  LVDLCK24             :1;
            __IO  uint32_t  LVDLCK25             :1;
            __IO  uint32_t  LVDLCK26             :1;
            __IO  uint32_t  LVDLCK27             :1;
            __IO  uint32_t  LVDLCK28             :1;
            __IO  uint32_t  LVDLCK29             :1;
            __IO  uint32_t  LVDLCK30             :1;
            __IO  uint32_t  LVDLCK31             :1;
        };
    };
} stc_lvd_lvd_rlr_field_t;

typedef struct stc_lvd_lvd_str2_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDIRDY                  :1;
} stc_lvd_lvd_str2_field_t;

/******************************************************************************
 ** MFS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfs_smr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  SOE              :1;
                __IO   uint8_t  SCKE             :1;
                __IO   uint8_t  BDS              :1;
                __IO   uint8_t  SCINV            :1;
                __IO   uint8_t  RESERVED0        :1;
                __IO   uint8_t  MD               :3;
            };
            struct {
                __IO   uint8_t  RESERVED1        :5;
                __IO   uint8_t  MD0              :1;
                __IO   uint8_t  MD1              :1;
                __IO   uint8_t  MD2              :1;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED2        :2;
                __IO   uint8_t  TIE              :1;
                __IO   uint8_t  RIE              :1;
                __IO   uint8_t  RESERVED3        :4;
            };
            struct {
                __IO   uint8_t  RESERVED4        :8;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED5        :3;
                __IO   uint8_t  SBL              :1;
                __IO   uint8_t  RESERVED6        :4;
            };
            struct {
                __IO   uint8_t  RESERVED7        :8;
            };
        };
    };
} stc_mfs_smr_field_t;

typedef struct stc_mfs_ibcr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :5;
            __IO   uint8_t  LBR                  :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_mfs_ibcr_field_t;

typedef struct stc_mfs_scr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :5;
            __IO   uint8_t  LBR                  :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_mfs_scr_field_t;

typedef struct stc_mfs_escr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  RESERVED0        :2;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED1        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  DEL              :2;
                __IO   uint8_t  LBL              :2;
                __IO   uint8_t  LBIE             :1;
                __IO   uint8_t  RESERVED3        :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  RESERVED4        :1;
            };
            struct {
                __IO   uint8_t  DEL0             :1;
                __IO   uint8_t  DEL1             :1;
                __IO   uint8_t  LBL0             :1;
                __IO   uint8_t  LBL1             :1;
                __IO   uint8_t  RESERVED5        :4;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED6        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  RESERVED7        :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED8        :8;
            };
        };
    };
} stc_mfs_escr_field_t;

typedef struct stc_mfs_ibsr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  RESERVED0        :2;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED1        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  DEL              :2;
                __IO   uint8_t  LBL              :2;
                __IO   uint8_t  LBIE             :1;
                __IO   uint8_t  RESERVED3        :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  RESERVED4        :1;
            };
            struct {
                __IO   uint8_t  DEL0             :1;
                __IO   uint8_t  DEL1             :1;
                __IO   uint8_t  LBL0             :1;
                __IO   uint8_t  LBL1             :1;
                __IO   uint8_t  RESERVED5        :4;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED6        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  RESERVED7        :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED8        :8;
            };
        };
    };
} stc_mfs_ibsr_field_t;

typedef struct stc_mfs_ssr_field
{
    union {
        struct {
            __IO   uint8_t  TBI                  :1;
            __IO   uint8_t  TDRE                 :1;
            __IO   uint8_t  RDRF                 :1;
            __IO   uint8_t  ORE                  :1;
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  REC                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :4;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  DMA                  :1;
            __IO   uint8_t  TSET                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  RESERVED5            :4;
            __IO   uint8_t  FRE                  :1;
            __IO   uint8_t  LBD                  :1;
            __IO   uint8_t  RESERVED6            :2;
        };
        struct {
            __IO   uint8_t  RESERVED8            :5;
            __IO   uint8_t  PE                   :1;
            __IO   uint8_t  RESERVED9            :2;
        };
    };
} stc_mfs_ssr_field_t;

typedef struct stc_mfs_rdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :9;
                __IO  uint16_t  RESERVED0        :7;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  RESERVED1        :7;
            };
        };
    };
} stc_mfs_rdr_field_t;

typedef struct stc_mfs_tdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :9;
                __IO  uint16_t  RESERVED0        :7;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  RESERVED1        :7;
            };
        };
    };
} stc_mfs_tdr_field_t;

typedef struct stc_mfs_bgr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  BGR              :15;
                __IO  uint16_t  RESERVED0        :1;
            };
            struct {
                __IO  uint16_t  BGR0             :1;
                __IO  uint16_t  BGR1             :1;
                __IO  uint16_t  BGR2             :1;
                __IO  uint16_t  BGR3             :1;
                __IO  uint16_t  BGR4             :1;
                __IO  uint16_t  BGR5             :1;
                __IO  uint16_t  BGR6             :1;
                __IO  uint16_t  BGR7             :1;
                __IO  uint16_t  BGR8             :1;
                __IO  uint16_t  BGR9             :1;
                __IO  uint16_t  BGR10            :1;
                __IO  uint16_t  BGR11            :1;
                __IO  uint16_t  BGR12            :1;
                __IO  uint16_t  BGR13            :1;
                __IO  uint16_t  BGR14            :1;
                __IO  uint16_t  RESERVED1        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED4        :15;
                __IO  uint16_t  EXT              :1;
            };
            struct {
                __IO  uint16_t  RESERVED5        :16;
            };
        };
    };
} stc_mfs_bgr_field_t;

typedef struct stc_mfs_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_isba_field_t;

typedef struct stc_mfs_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_ismk_field_t;

typedef struct stc_mfs_fcr_field
{
    union {
        struct {
            __IO  uint16_t  FE1                  :1;
            __IO  uint16_t  FE2                  :1;
            __IO  uint16_t  FCL1                 :1;
            __IO  uint16_t  FCL2                 :1;
            __IO  uint16_t  FSET                 :1;
            __IO  uint16_t  FLD                  :1;
            __IO  uint16_t  FLST                 :1;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  FSEL                 :1;
            __IO  uint16_t  FTIE                 :1;
            __IO  uint16_t  FDRQ                 :1;
            __IO  uint16_t  FRIIE                :1;
            __IO  uint16_t  FLSTE                :1;
            __IO  uint16_t  RESERVED1            :3;
        };
    };
} stc_mfs_fcr_field_t;

typedef struct stc_mfs_csio_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  SCKE                 :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SCINV                :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED1            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_csio_smr_field_t;

typedef struct stc_mfs_i2c_smr_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED2            :2;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  RESERVED3            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED4            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_i2c_smr_field_t;

typedef struct stc_mfs_lin_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED5            :2;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED7            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_lin_smr_field_t;

typedef struct stc_mfs_uart_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED8            :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED10           :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_uart_smr_field_t;

typedef struct stc_mfs_csio_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  SPI                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_csio_scr_field_t;

typedef struct stc_mfs_i2c_ibcr_field
{
        __IO   uint8_t  INT                      :1;
        __IO   uint8_t  BER                      :1;
        __IO   uint8_t  INTE                     :1;
        __IO   uint8_t  CNDE                     :1;
        __IO   uint8_t  WSEL                     :1;
        __IO   uint8_t  ACKE                     :1;
        __IO   uint8_t  ACT_SCC                  :1;
        __IO   uint8_t  MSS                      :1;
} stc_mfs_i2c_ibcr_field_t;

typedef struct stc_mfs_lin_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  LBR                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_lin_scr_field_t;

typedef struct stc_mfs_uart_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  RESERVED3                :2;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_uart_scr_field_t;

typedef struct stc_mfs_csio_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  WT                   :2;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  SOP                  :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  WT0                  :1;
            __IO   uint8_t  WT1                  :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mfs_csio_escr_field_t;

typedef struct stc_mfs_i2c_ibsr_field
{
        __IO   uint8_t  BB                       :1;
        __IO   uint8_t  SPC                      :1;
        __IO   uint8_t  RSC                      :1;
        __IO   uint8_t  AL                       :1;
        __IO   uint8_t  TRX                      :1;
        __IO   uint8_t  RSA                      :1;
        __IO   uint8_t  RACK                     :1;
        __IO   uint8_t  FBT                      :1;
} stc_mfs_i2c_ibsr_field_t;

typedef struct stc_mfs_lin_escr_field
{
    union {
        struct {
            __IO   uint8_t  DEL                  :2;
            __IO   uint8_t  LBL                  :2;
            __IO   uint8_t  LBIE                 :1;
            __IO   uint8_t  RESERVED3            :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  RESERVED4            :1;
        };
        struct {
            __IO   uint8_t  DEL0                 :1;
            __IO   uint8_t  DEL1                 :1;
            __IO   uint8_t  LBL0                 :1;
            __IO   uint8_t  LBL1                 :1;
            __IO   uint8_t  RESERVED5            :4;
        };
    };
} stc_mfs_lin_escr_field_t;

typedef struct stc_mfs_uart_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  P                    :1;
            __IO   uint8_t  PEN                  :1;
            __IO   uint8_t  INV                  :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  FLWEN                :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  RESERVED6            :5;
        };
    };
} stc_mfs_uart_escr_field_t;

typedef struct stc_mfs_csio_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  REC                      :1;
} stc_mfs_csio_ssr_field_t;

typedef struct stc_mfs_i2c_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  DMA                      :1;
        __IO   uint8_t  TSET                     :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_i2c_ssr_field_t;

typedef struct stc_mfs_lin_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  LBD                      :1;
        __IO   uint8_t  RESERVED3                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_lin_ssr_field_t;

typedef struct stc_mfs_uart_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  RESERVED5                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_uart_ssr_field_t;

typedef struct stc_mfs_csio_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED0            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED1            :7;
        };
    };
} stc_mfs_csio_rdr_field_t;

typedef struct stc_mfs_csio_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED2            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED3            :7;
        };
    };
} stc_mfs_csio_tdr_field_t;

typedef struct stc_mfs_i2c_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED4            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED5            :8;
        };
    };
} stc_mfs_i2c_rdr_field_t;

typedef struct stc_mfs_i2c_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED6            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED7            :8;
        };
    };
} stc_mfs_i2c_tdr_field_t;

typedef struct stc_mfs_lin_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED8            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED9            :8;
        };
    };
} stc_mfs_lin_rdr_field_t;

typedef struct stc_mfs_lin_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED10           :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED11           :8;
        };
    };
} stc_mfs_lin_tdr_field_t;

typedef struct stc_mfs_uart_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED12           :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED13           :7;
        };
    };
} stc_mfs_uart_rdr_field_t;

typedef struct stc_mfs_uart_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED14           :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED15           :7;
        };
    };
} stc_mfs_uart_tdr_field_t;

typedef struct stc_mfs_csio_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED0            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED1            :1;
        };
    };
} stc_mfs_csio_bgr_field_t;

typedef struct stc_mfs_i2c_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED2            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED3            :1;
        };
    };
} stc_mfs_i2c_bgr_field_t;

typedef struct stc_mfs_lin_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED4            :1;
        };
    };
} stc_mfs_lin_bgr_field_t;

typedef struct stc_mfs_uart_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_mfs_uart_bgr_field_t;

typedef struct stc_mfs_i2c_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_isba_field_t;

typedef struct stc_mfs_i2c_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_ismk_field_t;

typedef struct stc_mfs_csio_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED1                :3;
} stc_mfs_csio_fcr_field_t;

typedef struct stc_mfs_i2c_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED3                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED4                :3;
} stc_mfs_i2c_fcr_field_t;

typedef struct stc_mfs_lin_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED6                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED7                :3;
} stc_mfs_lin_fcr_field_t;

typedef struct stc_mfs_uart_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED9                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED10               :3;
} stc_mfs_uart_fcr_field_t;

/******************************************************************************
 ** MFS_NFC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfs_nfc_i2cdnf_field
{
    union {
        struct {
            __IO  uint16_t  I2CDNF0              :2;
            __IO  uint16_t  I2CDNF1              :2;
            __IO  uint16_t  I2CDNF2              :2;
            __IO  uint16_t  I2CDNF3              :2;
            __IO  uint16_t  I2CDNF4              :2;
            __IO  uint16_t  I2CDNF5              :2;
            __IO  uint16_t  I2CDNF6              :2;
            __IO  uint16_t  I2CDNF7              :2;
        };
        struct {
            __IO  uint16_t  I2CDNF00             :1;
            __IO  uint16_t  I2CDNF01             :1;
            __IO  uint16_t  I2CDNF10             :1;
            __IO  uint16_t  I2CDNF11             :1;
            __IO  uint16_t  I2CDNF20             :1;
            __IO  uint16_t  I2CDNF21             :1;
            __IO  uint16_t  I2CDNF30             :1;
            __IO  uint16_t  I2CDNF31             :1;
            __IO  uint16_t  I2CDNF40             :1;
            __IO  uint16_t  I2CDNF41             :1;
            __IO  uint16_t  I2CDNF50             :1;
            __IO  uint16_t  I2CDNF51             :1;
            __IO  uint16_t  I2CDNF60             :1;
            __IO  uint16_t  I2CDNF61             :1;
            __IO  uint16_t  I2CDNF70             :1;
            __IO  uint16_t  I2CDNF71             :1;
        };
    };
} stc_mfs_nfc_i2cdnf_field_t;

/******************************************************************************
 ** MFT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mft_ocsa10_field
{
        __IO   uint8_t  CST0                     :1;
        __IO   uint8_t  CST1                     :1;
        __IO   uint8_t  BDIS0                    :1;
        __IO   uint8_t  BDIS1                    :1;
        __IO   uint8_t  IOE0                     :1;
        __IO   uint8_t  IOE1                     :1;
        __IO   uint8_t  IOP0                     :1;
        __IO   uint8_t  IOP1                     :1;
} stc_mft_ocsa10_field_t;

typedef struct stc_mft_ocsb10_field
{
        __IO   uint8_t  OTD0                     :1;
        __IO   uint8_t  OTD1                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  BTS0                     :1;
        __IO   uint8_t  BTS1                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_ocsb10_field_t;

typedef struct stc_mft_ocsa32_field
{
        __IO   uint8_t  CST2                     :1;
        __IO   uint8_t  CST3                     :1;
        __IO   uint8_t  BDIS2                    :1;
        __IO   uint8_t  BDIS3                    :1;
        __IO   uint8_t  IOE2                     :1;
        __IO   uint8_t  IOE3                     :1;
        __IO   uint8_t  IOP2                     :1;
        __IO   uint8_t  IOP3                     :1;
} stc_mft_ocsa32_field_t;

typedef struct stc_mft_ocsb32_field
{
        __IO   uint8_t  OTD2                     :1;
        __IO   uint8_t  OTD3                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  BTS2                     :1;
        __IO   uint8_t  BTS3                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_ocsb32_field_t;

typedef struct stc_mft_ocsa54_field
{
        __IO   uint8_t  CST4                     :1;
        __IO   uint8_t  CST5                     :1;
        __IO   uint8_t  BDIS4                    :1;
        __IO   uint8_t  BDIS5                    :1;
        __IO   uint8_t  IOE4                     :1;
        __IO   uint8_t  IOE5                     :1;
        __IO   uint8_t  IOP4                     :1;
        __IO   uint8_t  IOP5                     :1;
} stc_mft_ocsa54_field_t;

typedef struct stc_mft_ocsb54_field
{
        __IO   uint8_t  OTD4                     :1;
        __IO   uint8_t  OTD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  BTS4                     :1;
        __IO   uint8_t  BTS5                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_ocsb54_field_t;

typedef struct stc_mft_ocsc_field
{
        __IO   uint8_t  MOD0                     :1;
        __IO   uint8_t  MOD1                     :1;
        __IO   uint8_t  MOD2                     :1;
        __IO   uint8_t  MOD3                     :1;
        __IO   uint8_t  MOD4                     :1;
        __IO   uint8_t  MOD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mft_ocsc_field_t;

typedef struct stc_mft_tccp0_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_tccp0_field_t;

typedef struct stc_mft_tcsa0_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_tcsa0_field_t;

typedef struct stc_mft_tcsb0_field
{
        __IO  uint16_t  AD0E                     :1;
        __IO  uint16_t  AD1E                     :1;
        __IO  uint16_t  AD2E                     :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_mft_tcsb0_field_t;

typedef struct stc_mft_tccp1_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_tccp1_field_t;

typedef struct stc_mft_tcsa1_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_tcsa1_field_t;

typedef struct stc_mft_tcsb1_field
{
        __IO  uint16_t  AD0E                     :1;
        __IO  uint16_t  AD1E                     :1;
        __IO  uint16_t  AD2E                     :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_mft_tcsb1_field_t;

typedef struct stc_mft_tccp2_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_tccp2_field_t;

typedef struct stc_mft_tcsa2_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_tcsa2_field_t;

typedef struct stc_mft_tcsb2_field
{
        __IO  uint16_t  AD0E                     :1;
        __IO  uint16_t  AD1E                     :1;
        __IO  uint16_t  AD2E                     :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_mft_tcsb2_field_t;

typedef struct stc_mft_ocfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSO0                 :4;
            __IO   uint8_t  FSO1                 :4;
        };
        struct {
            __IO   uint8_t  FSO00                :1;
            __IO   uint8_t  FSO01                :1;
            __IO   uint8_t  FSO02                :1;
            __IO   uint8_t  FSO03                :1;
            __IO   uint8_t  FSO10                :1;
            __IO   uint8_t  FSO11                :1;
            __IO   uint8_t  FSO12                :1;
            __IO   uint8_t  FSO13                :1;
        };
    };
} stc_mft_ocfs10_field_t;

typedef struct stc_mft_ocfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSO2                 :4;
            __IO   uint8_t  FSO3                 :4;
        };
        struct {
            __IO   uint8_t  FSO20                :1;
            __IO   uint8_t  FSO21                :1;
            __IO   uint8_t  FSO22                :1;
            __IO   uint8_t  FSO23                :1;
            __IO   uint8_t  FSO30                :1;
            __IO   uint8_t  FSO31                :1;
            __IO   uint8_t  FSO32                :1;
            __IO   uint8_t  FSO33                :1;
        };
    };
} stc_mft_ocfs32_field_t;

typedef struct stc_mft_ocfs54_field
{
    union {
        struct {
            __IO   uint8_t  FSO4                 :4;
            __IO   uint8_t  FSO5                 :4;
        };
        struct {
            __IO   uint8_t  FSO40                :1;
            __IO   uint8_t  FSO41                :1;
            __IO   uint8_t  FSO42                :1;
            __IO   uint8_t  FSO43                :1;
            __IO   uint8_t  FSO50                :1;
            __IO   uint8_t  FSO51                :1;
            __IO   uint8_t  FSO52                :1;
            __IO   uint8_t  FSO53                :1;
        };
    };
} stc_mft_ocfs54_field_t;

typedef struct stc_mft_icfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSI0                 :4;
            __IO   uint8_t  FSI1                 :4;
        };
        struct {
            __IO   uint8_t  FSI00                :1;
            __IO   uint8_t  FSI01                :1;
            __IO   uint8_t  FSI02                :1;
            __IO   uint8_t  FSI03                :1;
            __IO   uint8_t  FSI10                :1;
            __IO   uint8_t  FSI11                :1;
            __IO   uint8_t  FSI12                :1;
            __IO   uint8_t  FSI13                :1;
        };
    };
} stc_mft_icfs10_field_t;

typedef struct stc_mft_icfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSI2                 :4;
            __IO   uint8_t  FSI3                 :4;
        };
        struct {
            __IO   uint8_t  FSI20                :1;
            __IO   uint8_t  FSI21                :1;
            __IO   uint8_t  FSI22                :1;
            __IO   uint8_t  FSI23                :1;
            __IO   uint8_t  FSI30                :1;
            __IO   uint8_t  FSI31                :1;
            __IO   uint8_t  FSI32                :1;
            __IO   uint8_t  FSI33                :1;
        };
    };
} stc_mft_icfs32_field_t;

typedef struct stc_mft_icsa10_field
{
    union {
        struct {
            __IO   uint8_t  EG0                  :2;
            __IO   uint8_t  EG1                  :2;
            __IO   uint8_t  ICE0                 :1;
            __IO   uint8_t  ICE1                 :1;
            __IO   uint8_t  ICP0                 :1;
            __IO   uint8_t  ICP1                 :1;
        };
        struct {
            __IO   uint8_t  EG00                 :1;
            __IO   uint8_t  EG01                 :1;
            __IO   uint8_t  EG10                 :1;
            __IO   uint8_t  EG11                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icsa10_field_t;

typedef struct stc_mft_icsb10_field
{
        __IO   uint8_t  IEI0                     :1;
        __IO   uint8_t  IEI1                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icsb10_field_t;

typedef struct stc_mft_icsa32_field
{
    union {
        struct {
            __IO   uint8_t  EG2                  :2;
            __IO   uint8_t  EG3                  :2;
            __IO   uint8_t  ICE2                 :1;
            __IO   uint8_t  ICE3                 :1;
            __IO   uint8_t  ICP2                 :1;
            __IO   uint8_t  ICP3                 :1;
        };
        struct {
            __IO   uint8_t  EG20                 :1;
            __IO   uint8_t  EG21                 :1;
            __IO   uint8_t  EG30                 :1;
            __IO   uint8_t  EG31                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icsa32_field_t;

typedef struct stc_mft_icsb32_field
{
        __IO   uint8_t  IEI2                     :1;
        __IO   uint8_t  IEI3                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icsb32_field_t;

typedef struct stc_mft_wfsa10_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_mft_wfsa10_field_t;

typedef struct stc_mft_wfsa32_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_mft_wfsa32_field_t;

typedef struct stc_mft_wfsa54_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_mft_wfsa54_field_t;

typedef struct stc_mft_wfir_field
{
        __IO  uint16_t  DTIFA                    :1;
        __IO  uint16_t  DTICA                    :1;
        __IO  uint16_t  RESERVED0                :2;
        __IO  uint16_t  TMIF10                   :1;
        __IO  uint16_t  TMIC10                   :1;
        __IO  uint16_t  TMIE10                   :1;
        __IO  uint16_t  TMIS10                   :1;
        __IO  uint16_t  TMIF32                   :1;
        __IO  uint16_t  TMIC32                   :1;
        __IO  uint16_t  TMIE32                   :1;
        __IO  uint16_t  TMIS32                   :1;
        __IO  uint16_t  TMIF54                   :1;
        __IO  uint16_t  TMIC54                   :1;
        __IO  uint16_t  TMIE54                   :1;
        __IO  uint16_t  TMIS54                   :1;
} stc_mft_wfir_field_t;

typedef struct stc_mft_nzcl_field
{
    union {
        struct {
            __IO  uint16_t  DTIEA                :1;
            __IO  uint16_t  NWS                  :3;
            __IO  uint16_t  SDTI                 :1;
            __IO  uint16_t  RESERVED1            :11;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  NWS0                 :1;
            __IO  uint16_t  NWS1                 :1;
            __IO  uint16_t  NWS2                 :1;
            __IO  uint16_t  RESERVED2            :12;
        };
    };
} stc_mft_nzcl_field_t;

typedef struct stc_mft_acsb_field
{
        __IO   uint8_t  BDIS0                    :1;
        __IO   uint8_t  BDIS1                    :1;
        __IO   uint8_t  BDIS2                    :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  BTS0                     :1;
        __IO   uint8_t  BTS1                     :1;
        __IO   uint8_t  BTS2                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_acsb_field_t;

typedef struct stc_mft_acsa_field
{
    union {
        struct {
            __IO  uint16_t  CE0                  :2;
            __IO  uint16_t  CE1                  :2;
            __IO  uint16_t  CE2                  :2;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SEL0                 :2;
            __IO  uint16_t  SEL1                 :2;
            __IO  uint16_t  SEL2                 :2;
            __IO  uint16_t  RESERVED2            :2;
        };
        struct {
            __IO  uint16_t  CE00                 :1;
            __IO  uint16_t  CE01                 :1;
            __IO  uint16_t  CE10                 :1;
            __IO  uint16_t  CE11                 :1;
            __IO  uint16_t  CE20                 :1;
            __IO  uint16_t  CE21                 :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SEL00                :1;
            __IO  uint16_t  SEL01                :1;
            __IO  uint16_t  SEL10                :1;
            __IO  uint16_t  SEL11                :1;
            __IO  uint16_t  SEL20                :1;
            __IO  uint16_t  SEL21                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
    };
} stc_mft_acsa_field_t;

typedef struct stc_mft_atsa_field
{
    union {
        struct {
            __IO  uint16_t  AD0S                 :2;
            __IO  uint16_t  AD1S                 :2;
            __IO  uint16_t  AD2S                 :2;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  AD0P                 :2;
            __IO  uint16_t  AD1P                 :2;
            __IO  uint16_t  AD2P                 :2;
            __IO  uint16_t  RESERVED2            :2;
        };
        struct {
            __IO  uint16_t  AD0S0                :1;
            __IO  uint16_t  AD0S1                :1;
            __IO  uint16_t  AD1S0                :1;
            __IO  uint16_t  AD1S1                :1;
            __IO  uint16_t  AD2S0                :1;
            __IO  uint16_t  AD2S1                :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  AD0P0                :1;
            __IO  uint16_t  AD0P1                :1;
            __IO  uint16_t  AD1P0                :1;
            __IO  uint16_t  AD1P1                :1;
            __IO  uint16_t  AD2P0                :1;
            __IO  uint16_t  AD2P1                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
    };
} stc_mft_atsa_field_t;

typedef struct stc_mft_ocu_ocsa10_field
{
        __IO   uint8_t  CST0                     :1;
        __IO   uint8_t  CST1                     :1;
        __IO   uint8_t  BDIS0                    :1;
        __IO   uint8_t  BDIS1                    :1;
        __IO   uint8_t  IOE0                     :1;
        __IO   uint8_t  IOE1                     :1;
        __IO   uint8_t  IOP0                     :1;
        __IO   uint8_t  IOP1                     :1;
} stc_mft_ocu_ocsa10_field_t;

typedef struct stc_mft_ocu_ocsb10_field
{
        __IO   uint8_t  OTD0                     :1;
        __IO   uint8_t  OTD1                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  BTS0                     :1;
        __IO   uint8_t  BTS1                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_ocu_ocsb10_field_t;

typedef struct stc_mft_ocu_ocsa32_field
{
        __IO   uint8_t  CST2                     :1;
        __IO   uint8_t  CST3                     :1;
        __IO   uint8_t  BDIS2                    :1;
        __IO   uint8_t  BDIS3                    :1;
        __IO   uint8_t  IOE2                     :1;
        __IO   uint8_t  IOE3                     :1;
        __IO   uint8_t  IOP2                     :1;
        __IO   uint8_t  IOP3                     :1;
} stc_mft_ocu_ocsa32_field_t;

typedef struct stc_mft_ocu_ocsb32_field
{
        __IO   uint8_t  OTD2                     :1;
        __IO   uint8_t  OTD3                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  BTS2                     :1;
        __IO   uint8_t  BTS3                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_ocu_ocsb32_field_t;

typedef struct stc_mft_ocu_ocsa54_field
{
        __IO   uint8_t  CST4                     :1;
        __IO   uint8_t  CST5                     :1;
        __IO   uint8_t  BDIS4                    :1;
        __IO   uint8_t  BDIS5                    :1;
        __IO   uint8_t  IOE4                     :1;
        __IO   uint8_t  IOE5                     :1;
        __IO   uint8_t  IOP4                     :1;
        __IO   uint8_t  IOP5                     :1;
} stc_mft_ocu_ocsa54_field_t;

typedef struct stc_mft_ocu_ocsb54_field
{
        __IO   uint8_t  OTD4                     :1;
        __IO   uint8_t  OTD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  CMOD                     :1;
        __IO   uint8_t  BTS4                     :1;
        __IO   uint8_t  BTS5                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_ocu_ocsb54_field_t;

typedef struct stc_mft_ocu_ocsc_field
{
        __IO   uint8_t  MOD0                     :1;
        __IO   uint8_t  MOD1                     :1;
        __IO   uint8_t  MOD2                     :1;
        __IO   uint8_t  MOD3                     :1;
        __IO   uint8_t  MOD4                     :1;
        __IO   uint8_t  MOD5                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mft_ocu_ocsc_field_t;

typedef struct stc_mft_frt_tccp0_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_frt_tccp0_field_t;

typedef struct stc_mft_frt_tcsa0_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_frt_tcsa0_field_t;

typedef struct stc_mft_frt_tcsb0_field
{
        __IO  uint16_t  AD0E                     :1;
        __IO  uint16_t  AD1E                     :1;
        __IO  uint16_t  AD2E                     :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_mft_frt_tcsb0_field_t;

typedef struct stc_mft_frt_tccp1_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_frt_tccp1_field_t;

typedef struct stc_mft_frt_tcsa1_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_frt_tcsa1_field_t;

typedef struct stc_mft_frt_tcsb1_field
{
        __IO  uint16_t  AD0E                     :1;
        __IO  uint16_t  AD1E                     :1;
        __IO  uint16_t  AD2E                     :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_mft_frt_tcsb1_field_t;

typedef struct stc_mft_frt_tccp2_field
{
    union {
        struct {
            __IO  uint16_t  TCCP                 :16;
        };
        struct {
            __IO  uint16_t  TCCP0                :1;
            __IO  uint16_t  TCCP1                :1;
            __IO  uint16_t  TCCP2                :1;
            __IO  uint16_t  TCCP3                :1;
            __IO  uint16_t  TCCP4                :1;
            __IO  uint16_t  TCCP5                :1;
            __IO  uint16_t  TCCP6                :1;
            __IO  uint16_t  TCCP7                :1;
            __IO  uint16_t  TCCP8                :1;
            __IO  uint16_t  TCCP9                :1;
            __IO  uint16_t  TCCP10               :1;
            __IO  uint16_t  TCCP11               :1;
            __IO  uint16_t  TCCP12               :1;
            __IO  uint16_t  TCCP13               :1;
            __IO  uint16_t  TCCP14               :1;
            __IO  uint16_t  TCCP15               :1;
        };
    };
} stc_mft_frt_tccp2_field_t;

typedef struct stc_mft_frt_tcsa2_field
{
    union {
        struct {
            __IO  uint16_t  CLK                  :4;
            __IO  uint16_t  SCLR                 :1;
            __IO  uint16_t  MODE                 :1;
            __IO  uint16_t  STOP                 :1;
            __IO  uint16_t  BFE                  :1;
            __IO  uint16_t  ICRE                 :1;
            __IO  uint16_t  ICLR                 :1;
            __IO  uint16_t  RESERVED0            :3;
            __IO  uint16_t  IRQZE                :1;
            __IO  uint16_t  IRQZF                :1;
            __IO  uint16_t  ECKE                 :1;
        };
        struct {
            __IO  uint16_t  CLK0                 :1;
            __IO  uint16_t  CLK1                 :1;
            __IO  uint16_t  CLK2                 :1;
            __IO  uint16_t  CLK3                 :1;
            __IO  uint16_t  RESERVED1            :12;
        };
    };
} stc_mft_frt_tcsa2_field_t;

typedef struct stc_mft_frt_tcsb2_field
{
        __IO  uint16_t  AD0E                     :1;
        __IO  uint16_t  AD1E                     :1;
        __IO  uint16_t  AD2E                     :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_mft_frt_tcsb2_field_t;

typedef struct stc_mft_ocu_ocfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSO0                 :4;
            __IO   uint8_t  FSO1                 :4;
        };
        struct {
            __IO   uint8_t  FSO00                :1;
            __IO   uint8_t  FSO01                :1;
            __IO   uint8_t  FSO02                :1;
            __IO   uint8_t  FSO03                :1;
            __IO   uint8_t  FSO10                :1;
            __IO   uint8_t  FSO11                :1;
            __IO   uint8_t  FSO12                :1;
            __IO   uint8_t  FSO13                :1;
        };
    };
} stc_mft_ocu_ocfs10_field_t;

typedef struct stc_mft_ocu_ocfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSO2                 :4;
            __IO   uint8_t  FSO3                 :4;
        };
        struct {
            __IO   uint8_t  FSO20                :1;
            __IO   uint8_t  FSO21                :1;
            __IO   uint8_t  FSO22                :1;
            __IO   uint8_t  FSO23                :1;
            __IO   uint8_t  FSO30                :1;
            __IO   uint8_t  FSO31                :1;
            __IO   uint8_t  FSO32                :1;
            __IO   uint8_t  FSO33                :1;
        };
    };
} stc_mft_ocu_ocfs32_field_t;

typedef struct stc_mft_ocu_ocfs54_field
{
    union {
        struct {
            __IO   uint8_t  FSO4                 :4;
            __IO   uint8_t  FSO5                 :4;
        };
        struct {
            __IO   uint8_t  FSO40                :1;
            __IO   uint8_t  FSO41                :1;
            __IO   uint8_t  FSO42                :1;
            __IO   uint8_t  FSO43                :1;
            __IO   uint8_t  FSO50                :1;
            __IO   uint8_t  FSO51                :1;
            __IO   uint8_t  FSO52                :1;
            __IO   uint8_t  FSO53                :1;
        };
    };
} stc_mft_ocu_ocfs54_field_t;

typedef struct stc_mft_icu_icfs10_field
{
    union {
        struct {
            __IO   uint8_t  FSI0                 :4;
            __IO   uint8_t  FSI1                 :4;
        };
        struct {
            __IO   uint8_t  FSI00                :1;
            __IO   uint8_t  FSI01                :1;
            __IO   uint8_t  FSI02                :1;
            __IO   uint8_t  FSI03                :1;
            __IO   uint8_t  FSI10                :1;
            __IO   uint8_t  FSI11                :1;
            __IO   uint8_t  FSI12                :1;
            __IO   uint8_t  FSI13                :1;
        };
    };
} stc_mft_icu_icfs10_field_t;

typedef struct stc_mft_icu_icfs32_field
{
    union {
        struct {
            __IO   uint8_t  FSI2                 :4;
            __IO   uint8_t  FSI3                 :4;
        };
        struct {
            __IO   uint8_t  FSI20                :1;
            __IO   uint8_t  FSI21                :1;
            __IO   uint8_t  FSI22                :1;
            __IO   uint8_t  FSI23                :1;
            __IO   uint8_t  FSI30                :1;
            __IO   uint8_t  FSI31                :1;
            __IO   uint8_t  FSI32                :1;
            __IO   uint8_t  FSI33                :1;
        };
    };
} stc_mft_icu_icfs32_field_t;

typedef struct stc_mft_icu_icsa10_field
{
    union {
        struct {
            __IO   uint8_t  EG0                  :2;
            __IO   uint8_t  EG1                  :2;
            __IO   uint8_t  ICE0                 :1;
            __IO   uint8_t  ICE1                 :1;
            __IO   uint8_t  ICP0                 :1;
            __IO   uint8_t  ICP1                 :1;
        };
        struct {
            __IO   uint8_t  EG00                 :1;
            __IO   uint8_t  EG01                 :1;
            __IO   uint8_t  EG10                 :1;
            __IO   uint8_t  EG11                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icu_icsa10_field_t;

typedef struct stc_mft_icu_icsb10_field
{
        __IO   uint8_t  IEI0                     :1;
        __IO   uint8_t  IEI1                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icu_icsb10_field_t;

typedef struct stc_mft_icu_icsa32_field
{
    union {
        struct {
            __IO   uint8_t  EG2                  :2;
            __IO   uint8_t  EG3                  :2;
            __IO   uint8_t  ICE2                 :1;
            __IO   uint8_t  ICE3                 :1;
            __IO   uint8_t  ICP2                 :1;
            __IO   uint8_t  ICP3                 :1;
        };
        struct {
            __IO   uint8_t  EG20                 :1;
            __IO   uint8_t  EG21                 :1;
            __IO   uint8_t  EG30                 :1;
            __IO   uint8_t  EG31                 :1;
            __IO   uint8_t  RESERVED0            :4;
        };
    };
} stc_mft_icu_icsa32_field_t;

typedef struct stc_mft_icu_icsb32_field
{
        __IO   uint8_t  IEI2                     :1;
        __IO   uint8_t  IEI3                     :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_mft_icu_icsb32_field_t;

typedef struct stc_mft_wfg_wfsa10_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_mft_wfg_wfsa10_field_t;

typedef struct stc_mft_wfg_wfsa32_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_mft_wfg_wfsa32_field_t;

typedef struct stc_mft_wfg_wfsa54_field
{
    union {
        struct {
            __IO  uint16_t  DCK                  :3;
            __IO  uint16_t  TMD                  :3;
            __IO  uint16_t  GTEN                 :2;
            __IO  uint16_t  PSEL                 :2;
            __IO  uint16_t  PGEN                 :2;
            __IO  uint16_t  DMOD                 :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  DCK0                 :1;
            __IO  uint16_t  DCK1                 :1;
            __IO  uint16_t  DCK2                 :1;
            __IO  uint16_t  TMD0                 :1;
            __IO  uint16_t  TMD1                 :1;
            __IO  uint16_t  TMD2                 :1;
            __IO  uint16_t  GTEN0                :1;
            __IO  uint16_t  GTEN1                :1;
            __IO  uint16_t  PSEL0                :1;
            __IO  uint16_t  PSEL1                :1;
            __IO  uint16_t  PGEN0                :1;
            __IO  uint16_t  PGEN1                :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_mft_wfg_wfsa54_field_t;

typedef struct stc_mft_wfg_wfir_field
{
        __IO  uint16_t  DTIFA                    :1;
        __IO  uint16_t  DTICA                    :1;
        __IO  uint16_t  RESERVED0                :2;
        __IO  uint16_t  TMIF10                   :1;
        __IO  uint16_t  TMIC10                   :1;
        __IO  uint16_t  TMIE10                   :1;
        __IO  uint16_t  TMIS10                   :1;
        __IO  uint16_t  TMIF32                   :1;
        __IO  uint16_t  TMIC32                   :1;
        __IO  uint16_t  TMIE32                   :1;
        __IO  uint16_t  TMIS32                   :1;
        __IO  uint16_t  TMIF54                   :1;
        __IO  uint16_t  TMIC54                   :1;
        __IO  uint16_t  TMIE54                   :1;
        __IO  uint16_t  TMIS54                   :1;
} stc_mft_wfg_wfir_field_t;

typedef struct stc_mft_wfg_nzcl_field
{
    union {
        struct {
            __IO  uint16_t  DTIEA                :1;
            __IO  uint16_t  NWS                  :3;
            __IO  uint16_t  SDTI                 :1;
            __IO  uint16_t  RESERVED1            :11;
        };
        struct {
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  NWS0                 :1;
            __IO  uint16_t  NWS1                 :1;
            __IO  uint16_t  NWS2                 :1;
            __IO  uint16_t  RESERVED2            :12;
        };
    };
} stc_mft_wfg_nzcl_field_t;

typedef struct stc_mft_adcmp_acsb_field
{
        __IO   uint8_t  BDIS0                    :1;
        __IO   uint8_t  BDIS1                    :1;
        __IO   uint8_t  BDIS2                    :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  BTS0                     :1;
        __IO   uint8_t  BTS1                     :1;
        __IO   uint8_t  BTS2                     :1;
        __IO   uint8_t  RESERVED1                :1;
} stc_mft_adcmp_acsb_field_t;

typedef struct stc_mft_adcmp_acsa_field
{
    union {
        struct {
            __IO  uint16_t  CE0                  :2;
            __IO  uint16_t  CE1                  :2;
            __IO  uint16_t  CE2                  :2;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SEL0                 :2;
            __IO  uint16_t  SEL1                 :2;
            __IO  uint16_t  SEL2                 :2;
            __IO  uint16_t  RESERVED2            :2;
        };
        struct {
            __IO  uint16_t  CE00                 :1;
            __IO  uint16_t  CE01                 :1;
            __IO  uint16_t  CE10                 :1;
            __IO  uint16_t  CE11                 :1;
            __IO  uint16_t  CE20                 :1;
            __IO  uint16_t  CE21                 :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SEL00                :1;
            __IO  uint16_t  SEL01                :1;
            __IO  uint16_t  SEL10                :1;
            __IO  uint16_t  SEL11                :1;
            __IO  uint16_t  SEL20                :1;
            __IO  uint16_t  SEL21                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
    };
} stc_mft_adcmp_acsa_field_t;

typedef struct stc_mft_adcmp_atsa_field
{
    union {
        struct {
            __IO  uint16_t  AD0S                 :2;
            __IO  uint16_t  AD1S                 :2;
            __IO  uint16_t  AD2S                 :2;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  AD0P                 :2;
            __IO  uint16_t  AD1P                 :2;
            __IO  uint16_t  AD2P                 :2;
            __IO  uint16_t  RESERVED2            :2;
        };
        struct {
            __IO  uint16_t  AD0S0                :1;
            __IO  uint16_t  AD0S1                :1;
            __IO  uint16_t  AD1S0                :1;
            __IO  uint16_t  AD1S1                :1;
            __IO  uint16_t  AD2S0                :1;
            __IO  uint16_t  AD2S1                :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  AD0P0                :1;
            __IO  uint16_t  AD0P1                :1;
            __IO  uint16_t  AD1P0                :1;
            __IO  uint16_t  AD1P1                :1;
            __IO  uint16_t  AD2P0                :1;
            __IO  uint16_t  AD2P1                :1;
            __IO  uint16_t  RESERVED3            :2;
        };
    };
} stc_mft_adcmp_atsa_field_t;

/******************************************************************************
 ** MFT_PPG_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mft_ppg_ttcr0_field
{
    union {
        struct {
            __IO   uint8_t  STR0                 :1;
            __IO   uint8_t  MONI0                :1;
            __IO   uint8_t  CS0                  :2;
            __IO   uint8_t  TRG0O                :1;
            __IO   uint8_t  TRG2O                :1;
            __IO   uint8_t  TRG4O                :1;
            __IO   uint8_t  TRG6O                :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS00                 :1;
            __IO   uint8_t  CS01                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_mft_ppg_ttcr0_field_t;

typedef struct stc_mft_ppg_ttcr1_field
{
    union {
        struct {
            __IO   uint8_t  STR1                 :1;
            __IO   uint8_t  MONI1                :1;
            __IO   uint8_t  CS1                  :2;
            __IO   uint8_t  TRG1O                :1;
            __IO   uint8_t  TRG3O                :1;
            __IO   uint8_t  TRG5O                :1;
            __IO   uint8_t  TRG7O                :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS10                 :1;
            __IO   uint8_t  CS11                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_mft_ppg_ttcr1_field_t;

typedef struct stc_mft_ppg_ttcr2_field
{
    union {
        struct {
            __IO   uint8_t  STR2                 :1;
            __IO   uint8_t  MONI2                :1;
            __IO   uint8_t  CS2                  :2;
            __IO   uint8_t  TRG16O               :1;
            __IO   uint8_t  TRG18O               :1;
            __IO   uint8_t  TRG20O               :1;
            __IO   uint8_t  TRG22O               :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS20                 :1;
            __IO   uint8_t  CS21                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_mft_ppg_ttcr2_field_t;

typedef struct stc_mft_ppg_trg0_field
{
        __IO  uint16_t  PEN00                    :1;
        __IO  uint16_t  PEN01                    :1;
        __IO  uint16_t  PEN02                    :1;
        __IO  uint16_t  PEN03                    :1;
        __IO  uint16_t  PEN04                    :1;
        __IO  uint16_t  PEN05                    :1;
        __IO  uint16_t  PEN06                    :1;
        __IO  uint16_t  PEN07                    :1;
        __IO  uint16_t  PEN08                    :1;
        __IO  uint16_t  PEN09                    :1;
        __IO  uint16_t  PEN10                    :1;
        __IO  uint16_t  PEN11                    :1;
        __IO  uint16_t  PEN12                    :1;
        __IO  uint16_t  PEN13                    :1;
        __IO  uint16_t  PEN14                    :1;
        __IO  uint16_t  PEN15                    :1;
} stc_mft_ppg_trg0_field_t;

typedef struct stc_mft_ppg_revc0_field
{
        __IO  uint16_t  REV00                    :1;
        __IO  uint16_t  REV01                    :1;
        __IO  uint16_t  REV02                    :1;
        __IO  uint16_t  REV03                    :1;
        __IO  uint16_t  REV04                    :1;
        __IO  uint16_t  REV05                    :1;
        __IO  uint16_t  REV06                    :1;
        __IO  uint16_t  REV07                    :1;
        __IO  uint16_t  REV08                    :1;
        __IO  uint16_t  REV09                    :1;
        __IO  uint16_t  REV10                    :1;
        __IO  uint16_t  REV11                    :1;
        __IO  uint16_t  REV12                    :1;
        __IO  uint16_t  REV13                    :1;
        __IO  uint16_t  REV14                    :1;
        __IO  uint16_t  REV15                    :1;
} stc_mft_ppg_revc0_field_t;

typedef struct stc_mft_ppg_trg1_field
{
        __IO  uint16_t  PEN16                    :1;
        __IO  uint16_t  PEN17                    :1;
        __IO  uint16_t  PEN18                    :1;
        __IO  uint16_t  PEN19                    :1;
        __IO  uint16_t  PEN20                    :1;
        __IO  uint16_t  PEN21                    :1;
        __IO  uint16_t  PEN22                    :1;
        __IO  uint16_t  PEN23                    :1;
        __IO  uint16_t  RESERVED0                :8;
} stc_mft_ppg_trg1_field_t;

typedef struct stc_mft_ppg_revc1_field
{
        __IO  uint16_t  REV16                    :1;
        __IO  uint16_t  REV17                    :1;
        __IO  uint16_t  REV18                    :1;
        __IO  uint16_t  REV19                    :1;
        __IO  uint16_t  REV20                    :1;
        __IO  uint16_t  REV21                    :1;
        __IO  uint16_t  REV22                    :1;
        __IO  uint16_t  REV23                    :1;
        __IO  uint16_t  RESERVED0                :8;
} stc_mft_ppg_revc1_field_t;

typedef struct stc_mft_ppg_ppgc1_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc1_field_t;

typedef struct stc_mft_ppg_ppgc0_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc0_field_t;

typedef struct stc_mft_ppg_ppgc3_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc3_field_t;

typedef struct stc_mft_ppg_ppgc2_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc2_field_t;

typedef struct stc_mft_ppg_prll0_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll0_field_t;

typedef struct stc_mft_ppg_prlh0_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh0_field_t;

typedef struct stc_mft_ppg_prll1_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll1_field_t;

typedef struct stc_mft_ppg_prlh1_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh1_field_t;

typedef struct stc_mft_ppg_prll2_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll2_field_t;

typedef struct stc_mft_ppg_prlh2_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh2_field_t;

typedef struct stc_mft_ppg_prll3_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll3_field_t;

typedef struct stc_mft_ppg_prlh3_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh3_field_t;

typedef struct stc_mft_ppg_gatec0_field
{
        __IO   uint8_t  EDGE0                    :1;
        __IO   uint8_t  STRG0                    :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE2                    :1;
        __IO   uint8_t  STRG2                    :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec0_field_t;

typedef struct stc_mft_ppg_ppgc5_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc5_field_t;

typedef struct stc_mft_ppg_ppgc4_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc4_field_t;

typedef struct stc_mft_ppg_ppgc7_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc7_field_t;

typedef struct stc_mft_ppg_ppgc6_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc6_field_t;

typedef struct stc_mft_ppg_prll4_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll4_field_t;

typedef struct stc_mft_ppg_prlh4_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh4_field_t;

typedef struct stc_mft_ppg_prll5_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll5_field_t;

typedef struct stc_mft_ppg_prlh5_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh5_field_t;

typedef struct stc_mft_ppg_prll6_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll6_field_t;

typedef struct stc_mft_ppg_prlh6_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh6_field_t;

typedef struct stc_mft_ppg_prll7_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll7_field_t;

typedef struct stc_mft_ppg_prlh7_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh7_field_t;

typedef struct stc_mft_ppg_gatec4_field
{
        __IO   uint8_t  EDGE4                    :1;
        __IO   uint8_t  STRG4                    :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE6                    :1;
        __IO   uint8_t  STRG6                    :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec4_field_t;

typedef struct stc_mft_ppg_ppgc9_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc9_field_t;

typedef struct stc_mft_ppg_ppgc8_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc8_field_t;

typedef struct stc_mft_ppg_ppgc11_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc11_field_t;

typedef struct stc_mft_ppg_ppgc10_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc10_field_t;

typedef struct stc_mft_ppg_prll8_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll8_field_t;

typedef struct stc_mft_ppg_prlh8_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh8_field_t;

typedef struct stc_mft_ppg_prll9_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll9_field_t;

typedef struct stc_mft_ppg_prlh9_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh9_field_t;

typedef struct stc_mft_ppg_prll10_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll10_field_t;

typedef struct stc_mft_ppg_prlh10_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh10_field_t;

typedef struct stc_mft_ppg_prll11_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll11_field_t;

typedef struct stc_mft_ppg_prlh11_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh11_field_t;

typedef struct stc_mft_ppg_gatec8_field
{
        __IO   uint8_t  EDGE8                    :1;
        __IO   uint8_t  STRG8                    :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE10                   :1;
        __IO   uint8_t  STRG10                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec8_field_t;

typedef struct stc_mft_ppg_ppgc13_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc13_field_t;

typedef struct stc_mft_ppg_ppgc12_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc12_field_t;

typedef struct stc_mft_ppg_ppgc15_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc15_field_t;

typedef struct stc_mft_ppg_ppgc14_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc14_field_t;

typedef struct stc_mft_ppg_prll12_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll12_field_t;

typedef struct stc_mft_ppg_prlh12_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh12_field_t;

typedef struct stc_mft_ppg_prll13_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll13_field_t;

typedef struct stc_mft_ppg_prlh13_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh13_field_t;

typedef struct stc_mft_ppg_prll14_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll14_field_t;

typedef struct stc_mft_ppg_prlh14_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh14_field_t;

typedef struct stc_mft_ppg_prll15_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll15_field_t;

typedef struct stc_mft_ppg_prlh15_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh15_field_t;

typedef struct stc_mft_ppg_gatec12_field
{
        __IO   uint8_t  EDGE12                   :1;
        __IO   uint8_t  STRG12                   :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE14                   :1;
        __IO   uint8_t  STRG14                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec12_field_t;

typedef struct stc_mft_ppg_ppgc17_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc17_field_t;

typedef struct stc_mft_ppg_ppgc16_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc16_field_t;

typedef struct stc_mft_ppg_ppgc19_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc19_field_t;

typedef struct stc_mft_ppg_ppgc18_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc18_field_t;

typedef struct stc_mft_ppg_prll16_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll16_field_t;

typedef struct stc_mft_ppg_prlh16_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh16_field_t;

typedef struct stc_mft_ppg_prll17_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll17_field_t;

typedef struct stc_mft_ppg_prlh17_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh17_field_t;

typedef struct stc_mft_ppg_prll18_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll18_field_t;

typedef struct stc_mft_ppg_prlh18_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh18_field_t;

typedef struct stc_mft_ppg_prll19_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll19_field_t;

typedef struct stc_mft_ppg_prlh19_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh19_field_t;

typedef struct stc_mft_ppg_gatec16_field
{
        __IO   uint8_t  EDGE16                   :1;
        __IO   uint8_t  STRG16                   :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE18                   :1;
        __IO   uint8_t  STRG18                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec16_field_t;

typedef struct stc_mft_ppg_ppgc21_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc21_field_t;

typedef struct stc_mft_ppg_ppgc20_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc20_field_t;

typedef struct stc_mft_ppg_ppgc23_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED2            :3;
        };
    };
} stc_mft_ppg_ppgc23_field_t;

typedef struct stc_mft_ppg_ppgc22_field
{
    union {
        struct {
            __IO   uint8_t  TTRG                 :1;
            __IO   uint8_t  MD                   :2;
            __IO   uint8_t  PCS                  :2;
            __IO   uint8_t  INTM                 :1;
            __IO   uint8_t  PUF                  :1;
            __IO   uint8_t  PIE                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  PCS0                 :1;
            __IO   uint8_t  PCS1                 :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mft_ppg_ppgc22_field_t;

typedef struct stc_mft_ppg_prll20_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll20_field_t;

typedef struct stc_mft_ppg_prlh20_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh20_field_t;

typedef struct stc_mft_ppg_prll21_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll21_field_t;

typedef struct stc_mft_ppg_prlh21_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh21_field_t;

typedef struct stc_mft_ppg_prll22_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll22_field_t;

typedef struct stc_mft_ppg_prlh22_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh22_field_t;

typedef struct stc_mft_ppg_prll23_field
{
    union {
        struct {
            __IO   uint8_t  PRLL                 :8;
        };
        struct {
            __IO   uint8_t  PRLL0                :1;
            __IO   uint8_t  PRLL1                :1;
            __IO   uint8_t  PRLL2                :1;
            __IO   uint8_t  PRLL3                :1;
            __IO   uint8_t  PRLL4                :1;
            __IO   uint8_t  PRLL5                :1;
            __IO   uint8_t  PRLL6                :1;
            __IO   uint8_t  PRLL7                :1;
        };
    };
} stc_mft_ppg_prll23_field_t;

typedef struct stc_mft_ppg_prlh23_field
{
    union {
        struct {
            __IO   uint8_t  PRLH                 :8;
        };
        struct {
            __IO   uint8_t  PRLH0                :1;
            __IO   uint8_t  PRLH1                :1;
            __IO   uint8_t  PRLH2                :1;
            __IO   uint8_t  PRLH3                :1;
            __IO   uint8_t  PRLH4                :1;
            __IO   uint8_t  PRLH5                :1;
            __IO   uint8_t  PRLH6                :1;
            __IO   uint8_t  PRLH7                :1;
        };
    };
} stc_mft_ppg_prlh23_field_t;

typedef struct stc_mft_ppg_gatec20_field
{
        __IO   uint8_t  EDGE20                   :1;
        __IO   uint8_t  STRG20                   :1;
        __IO   uint8_t  RESERVED0                :2;
        __IO   uint8_t  EDGE22                   :1;
        __IO   uint8_t  STRG22                   :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_mft_ppg_gatec20_field_t;

/******************************************************************************
 ** QPRC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_qprc_qicrl_field
{
        __IO   uint8_t  QPCMIE                   :1;
        __IO   uint8_t  QPCMF                    :1;
        __IO   uint8_t  QPRCMIE                  :1;
        __IO   uint8_t  QPRCMF                   :1;
        __IO   uint8_t  OUZIE                    :1;
        __IO   uint8_t  UFDF                     :1;
        __IO   uint8_t  OFDF                     :1;
        __IO   uint8_t  ZIIF                     :1;
} stc_qprc_qicrl_field_t;

typedef struct stc_qprc_qicrh_field
{
        __IO   uint8_t  CDCIE                    :1;
        __IO   uint8_t  CDCF                     :1;
        __IO   uint8_t  DIRPC                    :1;
        __IO   uint8_t  DIROU                    :1;
        __IO   uint8_t  QPCNRCMIE                :1;
        __IO   uint8_t  QPCNRCMF                 :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_qprc_qicrh_field_t;

typedef struct stc_qprc_qcr_field
{
    union {
        struct {
            __IO  uint16_t  PCM                  :2;
            __IO  uint16_t  RCM                  :2;
            __IO  uint16_t  PSTP                 :1;
            __IO  uint16_t  CGSC                 :1;
            __IO  uint16_t  RSEL                 :1;
            __IO  uint16_t  SWAP                 :1;
            __IO  uint16_t  PCRM                 :2;
            __IO  uint16_t  AES                  :2;
            __IO  uint16_t  BES                  :2;
            __IO  uint16_t  CGE                  :2;
        };
        struct {
            __IO  uint16_t  PCM0                 :1;
            __IO  uint16_t  PCM1                 :1;
            __IO  uint16_t  RCM0                 :1;
            __IO  uint16_t  RCM1                 :1;
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  PCRM0                :1;
            __IO  uint16_t  PCRM1                :1;
            __IO  uint16_t  AES0                 :1;
            __IO  uint16_t  AES1                 :1;
            __IO  uint16_t  BES0                 :1;
            __IO  uint16_t  BES1                 :1;
            __IO  uint16_t  CGE0                 :1;
            __IO  uint16_t  CGE1                 :1;
        };
    };
} stc_qprc_qcr_field_t;

typedef struct stc_qprc_qecr_field
{
        __IO  uint16_t  ORNGMD                   :1;
        __IO  uint16_t  ORNGF                    :1;
        __IO  uint16_t  ORNGIE                   :1;
        __IO  uint16_t  RESERVED0                :13;
} stc_qprc_qecr_field_t;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_sbssr_btsssr_field
{
        __IO  uint16_t  SSSR0                    :1;
        __IO  uint16_t  SSSR1                    :1;
        __IO  uint16_t  SSSR2                    :1;
        __IO  uint16_t  SSSR3                    :1;
        __IO  uint16_t  SSSR4                    :1;
        __IO  uint16_t  SSSR5                    :1;
        __IO  uint16_t  SSSR6                    :1;
        __IO  uint16_t  SSSR7                    :1;
        __IO  uint16_t  SSSR8                    :1;
        __IO  uint16_t  SSSR9                    :1;
        __IO  uint16_t  SSSR10                   :1;
        __IO  uint16_t  SSSR11                   :1;
        __IO  uint16_t  SSSR12                   :1;
        __IO  uint16_t  SSSR13                   :1;
        __IO  uint16_t  SSSR14                   :1;
        __IO  uint16_t  SSSR15                   :1;
} stc_sbssr_btsssr_field_t;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_swwdt_wdogcontrol_field
{
        __IO  uint32_t  INTEN                    :1;
        __IO  uint32_t  RESEN                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_swwdt_wdogcontrol_field_t;

typedef struct stc_swwdt_wdogris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_swwdt_wdogris_field_t;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_unique_id_uidr0_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  UID                  :28;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  UID13                :1;
            __IO  uint32_t  UID14                :1;
            __IO  uint32_t  UID15                :1;
            __IO  uint32_t  UID16                :1;
            __IO  uint32_t  UID17                :1;
            __IO  uint32_t  UID18                :1;
            __IO  uint32_t  UID19                :1;
            __IO  uint32_t  UID20                :1;
            __IO  uint32_t  UID21                :1;
            __IO  uint32_t  UID22                :1;
            __IO  uint32_t  UID23                :1;
            __IO  uint32_t  UID24                :1;
            __IO  uint32_t  UID25                :1;
            __IO  uint32_t  UID26                :1;
            __IO  uint32_t  UID27                :1;
        };
    };
} stc_unique_id_uidr0_field_t;

typedef struct stc_unique_id_uidr1_field
{
    union {
        struct {
            __IO  uint32_t  UID                  :13;
            __IO  uint32_t  RESERVED0            :19;
        };
        struct {
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  RESERVED1            :19;
        };
    };
} stc_unique_id_uidr1_field_t;

/******************************************************************************
 ** WC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_wc_wcrd_field
{
    union {
        struct {
            __IO   uint8_t  CTR                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  CTR0                 :1;
            __IO   uint8_t  CTR1                 :1;
            __IO   uint8_t  CTR2                 :1;
            __IO   uint8_t  CTR3                 :1;
            __IO   uint8_t  CTR4                 :1;
            __IO   uint8_t  CTR5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrd_field_t;

typedef struct stc_wc_wcrl_field
{
    union {
        struct {
            __IO   uint8_t  RLC                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  RLC0                 :1;
            __IO   uint8_t  RLC1                 :1;
            __IO   uint8_t  RLC2                 :1;
            __IO   uint8_t  RLC3                 :1;
            __IO   uint8_t  RLC4                 :1;
            __IO   uint8_t  RLC5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrl_field_t;

typedef struct stc_wc_wccr_field
{
    union {
        struct {
            __IO   uint8_t  WCIF                 :1;
            __IO   uint8_t  WCIE                 :1;
            __IO   uint8_t  CS                   :2;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  WCOP                 :1;
            __IO   uint8_t  WCEN                 :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS0                  :1;
            __IO   uint8_t  CS1                  :1;
            __IO   uint8_t  RESERVED2            :4;
        };
    };
} stc_wc_wccr_field_t;

typedef struct stc_wc_clk_sel_field
{
        __IO  uint16_t  SEL_IN                   :1;
        __IO  uint16_t  RESERVED0                :7;
        __IO  uint16_t  SEL_OUT                  :1;
        __IO  uint16_t  RESERVED1                :7;
} stc_wc_clk_sel_field_t;

typedef struct stc_wc_clk_en_field
{
        __IO   uint8_t  CLK_EN                   :1;
        __IO   uint8_t  CLK_EN_R                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_wc_clk_en_field_t;

/******************************************************************************
 ** Peripheral register structures
 ** 
 ******************************************************************************/

/******************************************************************************
 ** ADC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t ADSR;
        stc_adc_adsr_field_t ADSR_f;
    };
    union {
        __IO  uint8_t ADCR;
        stc_adc_adcr_field_t ADCR_f;
    };
        __IO  uint8_t RESERVED0[6];
    union {
        __IO  uint8_t SFNS;
        stc_adc_sfns_field_t SFNS_f;
    };
    union {
        __IO  uint8_t SCCR;
        stc_adc_sccr_field_t SCCR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint32_t SCFD;
        stc_adc_scfd_field_t SCFD_f;
        struct {
          union {
            __IO uint16_t SCFDL;
            struct {
              __IO uint8_t SCFDLL;
              __IO uint8_t SCFDLH;
            };
          };
          union {
            __IO uint16_t SCFDH;
            struct {
              __IO uint8_t SCFDHL;
              __IO uint8_t SCFDHH;
            };
          };
        };
        __IO uint32_t SCFD_FDAS1;
        stc_adc_scfd_fdas1_field_t SCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t SCFD_FDAS1L;
            struct {
              __IO uint8_t SCFD_FDAS1LL;
              __IO uint8_t SCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t SCFD_FDAS1H;
            struct {
              __IO uint8_t SCFD_FDAS1HL;
              __IO uint8_t SCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t SCIS23;
        stc_adc_scis23_field_t SCIS23_f;
        struct {
            __IO  uint8_t SCIS23L;
            __IO  uint8_t SCIS23H;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t SCIS01;
        stc_adc_scis01_field_t SCIS01_f;
        struct {
            __IO  uint8_t SCIS01L;
            __IO  uint8_t SCIS01H;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t PFNS;
        stc_adc_pfns_field_t PFNS_f;
    };
    union {
        __IO  uint8_t PCCR;
        stc_adc_pccr_field_t PCCR_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint32_t PCFD;
        stc_adc_pcfd_field_t PCFD_f;
        struct {
          union {
            __IO uint16_t PCFDL;
            struct {
              __IO uint8_t PCFDLL;
              __IO uint8_t PCFDLH;
            };
          };
          union {
            __IO uint16_t PCFDH;
            struct {
              __IO uint8_t PCFDHL;
              __IO uint8_t PCFDHH;
            };
          };
        };
        __IO uint32_t PCFD_FDAS1;
        stc_adc_pcfd_fdas1_field_t PCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t PCFD_FDAS1L;
            struct {
              __IO uint8_t PCFD_FDAS1LL;
              __IO uint8_t PCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t PCFD_FDAS1H;
            struct {
              __IO uint8_t PCFD_FDAS1HL;
              __IO uint8_t PCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO  uint8_t PCIS;
        stc_adc_pcis_field_t PCIS_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t CMPCR;
        stc_adc_cmpcr_field_t CMPCR_f;
    };
        __IO  uint8_t RESERVED6[1];
    union {
        __IO uint16_t CMPD;
        stc_adc_cmpd_field_t CMPD_f;
        struct {
            __IO  uint8_t CMPDL;
            __IO  uint8_t CMPDH;
        };
    };
    union {
        __IO uint16_t ADSS23;
        stc_adc_adss23_field_t ADSS23_f;
        struct {
            __IO  uint8_t ADSS23L;
            __IO  uint8_t ADSS23H;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t ADSS01;
        stc_adc_adss01_field_t ADSS01_f;
        struct {
            __IO  uint8_t ADSS01L;
            __IO  uint8_t ADSS01H;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t ADST01;
        stc_adc_adst01_field_t ADST01_f;
        struct {
            __IO  uint8_t ADST01L;
            __IO  uint8_t ADST01H;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO  uint8_t ADCT;
        stc_adc_adct_field_t ADCT_f;
    };
        __IO  uint8_t RESERVED10[3];
    union {
        __IO  uint8_t PRTSL;
        stc_adc_prtsl_field_t PRTSL_f;
    };
    union {
        __IO  uint8_t SCTSL;
        stc_adc_sctsl_field_t SCTSL_f;
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO  uint8_t ADCEN;
        stc_adc_adcen_field_t ADCEN_f;
    };
} FM_ADC_TypeDef, FM3_ADC_TypeDef;

/******************************************************************************
 ** BT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
        __IO uint16_t PPG_PRLL;
        struct {
            __IO  uint8_t PPG_PRLLL;
            __IO  uint8_t PPG_PRLLH;
        };
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
        __IO uint16_t PWM_PCSR;
        struct {
            __IO  uint8_t PWM_PCSRL;
            __IO  uint8_t PWM_PCSRH;
        };
        __IO uint16_t RT_PCSR;
        struct {
            __IO  uint8_t RT_PCSRL;
            __IO  uint8_t RT_PCSRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
        __IO uint16_t PPG_PRLH;
        struct {
            __IO  uint8_t PPG_PRLHL;
            __IO  uint8_t PPG_PRLHH;
        };
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
        __IO uint16_t PWC_DTBF;
        struct {
            __IO  uint8_t PWC_DTBFL;
            __IO  uint8_t PWC_DTBFH;
        };
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
        __IO uint16_t PWM_PDUT;
        struct {
            __IO  uint8_t PWM_PDUTL;
            __IO  uint8_t PWM_PDUTH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
        __IO uint16_t PPG_TMR;
        struct {
            __IO  uint8_t PPG_TMRL;
            __IO  uint8_t PPG_TMRH;
        };
        __IO uint16_t PWM_TMR;
        struct {
            __IO  uint8_t PWM_TMRL;
            __IO  uint8_t PWM_TMRH;
        };
        __IO uint16_t RT_TMR;
        struct {
            __IO  uint8_t RT_TMRL;
            __IO  uint8_t RT_TMRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
        __IO uint16_t PPG_TMCR;
        stc_bt_ppg_tmcr_field_t PPG_TMCR_f;
        struct {
            __IO  uint8_t PPG_TMCRL;
            __IO  uint8_t PPG_TMCRH;
        };
        __IO uint16_t PWC_TMCR;
        stc_bt_pwc_tmcr_field_t PWC_TMCR_f;
        struct {
            __IO  uint8_t PWC_TMCRL;
            __IO  uint8_t PWC_TMCRH;
        };
        __IO uint16_t PWM_TMCR;
        stc_bt_pwm_tmcr_field_t PWM_TMCR_f;
        struct {
            __IO  uint8_t PWM_TMCRL;
            __IO  uint8_t PWM_TMCRH;
        };
        __IO uint16_t RT_TMCR;
        stc_bt_rt_tmcr_field_t RT_TMCR_f;
        struct {
            __IO  uint8_t RT_TMCRL;
            __IO  uint8_t RT_TMCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t STC;
        stc_bt_stc_field_t STC_f;
        __IO  uint8_t PPG_STC;
        stc_bt_ppg_stc_field_t PPG_STC_f;
        __IO  uint8_t PWC_STC;
        stc_bt_pwc_stc_field_t PWC_STC_f;
        __IO  uint8_t PWM_STC;
        stc_bt_pwm_stc_field_t PWM_STC_f;
        __IO  uint8_t RT_STC;
        stc_bt_rt_stc_field_t RT_STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_tmcr2_field_t TMCR2_f;
        __IO  uint8_t PPG_TMCR2;
        stc_bt_ppg_tmcr2_field_t PPG_TMCR2_f;
        __IO  uint8_t PWC_TMCR2;
        stc_bt_pwc_tmcr2_field_t PWC_TMCR2_f;
        __IO  uint8_t PWM_TMCR2;
        stc_bt_pwm_tmcr2_field_t PWM_TMCR2_f;
        __IO  uint8_t RT_TMCR2;
        stc_bt_rt_tmcr2_field_t RT_TMCR2_f;
    };
} FM_BT_TypeDef, FM3_BT_TypeDef;

/******************************************************************************
 ** BT_PPG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_ppg_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t STC;
        stc_bt_ppg_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_ppg_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PPG_TypeDef, FM3_BT_PPG_TypeDef;

/******************************************************************************
 ** BT_PWC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED8[4];
    union {
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
    };
        __IO  uint8_t RESERVED9[6];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwc_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwc_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwc_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWC_TypeDef, FM3_BT_PWC_TypeDef;

/******************************************************************************
 ** BT_PWM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwm_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwm_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwm_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWM_TypeDef, FM3_BT_PWM_TypeDef;

/******************************************************************************
 ** BT_RT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED15[6];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_rt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO  uint8_t STC;
        stc_bt_rt_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_rt_tmcr2_field_t TMCR2_f;
    };
} FM_BT_RT_TypeDef, FM3_BT_RT_TypeDef;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL0123;
        stc_btiosel03_btsel0123_field_t BTSEL0123_f;
    };
} FM_BTIOSEL03_TypeDef, FM3_BTIOSEL03_TypeDef;

/******************************************************************************
 ** BTIOSEL47_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL4567;
        stc_btiosel47_btsel4567_field_t BTSEL4567_f;
    };
} FM_BTIOSEL47_TypeDef, FM3_BTIOSEL47_TypeDef;

/******************************************************************************
 ** CRC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t CRCCR;
        stc_crc_crccr_field_t CRCCR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint32_t CRCINIT;
        stc_crc_crcinit_field_t CRCINIT_f;
        struct {
          union {
            __IO uint16_t CRCINITL;
            struct {
              __IO uint8_t CRCINITLL;
              __IO uint8_t CRCINITLH;
            };
          };
          union {
            __IO uint16_t CRCINITH;
            struct {
              __IO uint8_t CRCINITHL;
              __IO uint8_t CRCINITHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCIN;
        stc_crc_crcin_field_t CRCIN_f;
        struct {
          union {
            __IO uint16_t CRCINL;
            struct {
              __IO uint8_t CRCINLL;
              __IO uint8_t CRCINLH;
            };
          };
          union {
            __IO uint16_t CRCINH;
            struct {
              __IO uint8_t CRCINHL;
              __IO uint8_t CRCINHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCR;
        stc_crc_crcr_field_t CRCR_f;
        struct {
          union {
            __IO uint16_t CRCRL;
            struct {
              __IO uint8_t CRCRLL;
              __IO uint8_t CRCRLH;
            };
          };
          union {
            __IO uint16_t CRCRH;
            struct {
              __IO uint8_t CRCRHL;
              __IO uint8_t CRCRHH;
            };
          };
        };
    };
} FM_CRC_TypeDef, FM3_CRC_TypeDef;

/******************************************************************************
 ** CRG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t SCM_CTL;
        stc_crg_scm_ctl_field_t SCM_CTL_f;
        struct {
          union {
            __IO uint16_t SCM_CTLL;
            struct {
              __IO uint8_t SCM_CTLLL;
              __IO uint8_t SCM_CTLLH;
            };
          };
          union {
            __IO uint16_t SCM_CTLH;
            struct {
              __IO uint8_t SCM_CTLHL;
              __IO uint8_t SCM_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t SCM_STR;
        stc_crg_scm_str_field_t SCM_STR_f;
        struct {
          union {
            __IO uint16_t SCM_STRL;
            struct {
              __IO uint8_t SCM_STRLL;
              __IO uint8_t SCM_STRLH;
            };
          };
          union {
            __IO uint16_t SCM_STRH;
            struct {
              __IO uint8_t SCM_STRHL;
              __IO uint8_t SCM_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t STB_CTL;
        stc_crg_stb_ctl_field_t STB_CTL_f;
        struct {
          union {
            __IO uint16_t STB_CTLL;
            struct {
              __IO uint8_t STB_CTLLL;
              __IO uint8_t STB_CTLLH;
            };
          };
          union {
            __IO uint16_t STB_CTLH;
            struct {
              __IO uint8_t STB_CTLHL;
              __IO uint8_t STB_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t RST_STR;
        stc_crg_rst_str_field_t RST_STR_f;
        struct {
          union {
            __IO uint16_t RST_STRL;
            struct {
              __IO uint8_t RST_STRLL;
              __IO uint8_t RST_STRLH;
            };
          };
          union {
            __IO uint16_t RST_STRH;
            struct {
              __IO uint8_t RST_STRHL;
              __IO uint8_t RST_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t BSC_PSR;
        stc_crg_bsc_psr_field_t BSC_PSR_f;
        struct {
          union {
            __IO uint16_t BSC_PSRL;
            struct {
              __IO uint8_t BSC_PSRLL;
              __IO uint8_t BSC_PSRLH;
            };
          };
          union {
            __IO uint16_t BSC_PSRH;
            struct {
              __IO uint8_t BSC_PSRHL;
              __IO uint8_t BSC_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC0_PSR;
        stc_crg_apbc0_psr_field_t APBC0_PSR_f;
        struct {
          union {
            __IO uint16_t APBC0_PSRL;
            struct {
              __IO uint8_t APBC0_PSRLL;
              __IO uint8_t APBC0_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC0_PSRH;
            struct {
              __IO uint8_t APBC0_PSRHL;
              __IO uint8_t APBC0_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC1_PSR;
        stc_crg_apbc1_psr_field_t APBC1_PSR_f;
        struct {
          union {
            __IO uint16_t APBC1_PSRL;
            struct {
              __IO uint8_t APBC1_PSRLL;
              __IO uint8_t APBC1_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC1_PSRH;
            struct {
              __IO uint8_t APBC1_PSRHL;
              __IO uint8_t APBC1_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC2_PSR;
        stc_crg_apbc2_psr_field_t APBC2_PSR_f;
        struct {
          union {
            __IO uint16_t APBC2_PSRL;
            struct {
              __IO uint8_t APBC2_PSRLL;
              __IO uint8_t APBC2_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC2_PSRH;
            struct {
              __IO uint8_t APBC2_PSRHL;
              __IO uint8_t APBC2_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t SWC_PSR;
        stc_crg_swc_psr_field_t SWC_PSR_f;
        struct {
          union {
            __IO uint16_t SWC_PSRL;
            struct {
              __IO uint8_t SWC_PSRLL;
              __IO uint8_t SWC_PSRLH;
            };
          };
          union {
            __IO uint16_t SWC_PSRH;
            struct {
              __IO uint8_t SWC_PSRHL;
              __IO uint8_t SWC_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t TTC_PSR;
        stc_crg_ttc_psr_field_t TTC_PSR_f;
        struct {
          union {
            __IO uint16_t TTC_PSRL;
            struct {
              __IO uint8_t TTC_PSRLL;
              __IO uint8_t TTC_PSRLH;
            };
          };
          union {
            __IO uint16_t TTC_PSRH;
            struct {
              __IO uint8_t TTC_PSRHL;
              __IO uint8_t TTC_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t CSW_TMR;
        stc_crg_csw_tmr_field_t CSW_TMR_f;
        struct {
          union {
            __IO uint16_t CSW_TMRL;
            struct {
              __IO uint8_t CSW_TMRLL;
              __IO uint8_t CSW_TMRLH;
            };
          };
          union {
            __IO uint16_t CSW_TMRH;
            struct {
              __IO uint8_t CSW_TMRHL;
              __IO uint8_t CSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PSW_TMR;
        stc_crg_psw_tmr_field_t PSW_TMR_f;
        struct {
          union {
            __IO uint16_t PSW_TMRL;
            struct {
              __IO uint8_t PSW_TMRLL;
              __IO uint8_t PSW_TMRLH;
            };
          };
          union {
            __IO uint16_t PSW_TMRH;
            struct {
              __IO uint8_t PSW_TMRHL;
              __IO uint8_t PSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL1;
        stc_crg_pll_ctl1_field_t PLL_CTL1_f;
        struct {
          union {
            __IO uint16_t PLL_CTL1L;
            struct {
              __IO uint8_t PLL_CTL1LL;
              __IO uint8_t PLL_CTL1LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL1H;
            struct {
              __IO uint8_t PLL_CTL1HL;
              __IO uint8_t PLL_CTL1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL2;
        stc_crg_pll_ctl2_field_t PLL_CTL2_f;
        struct {
          union {
            __IO uint16_t PLL_CTL2L;
            struct {
              __IO uint8_t PLL_CTL2LL;
              __IO uint8_t PLL_CTL2LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL2H;
            struct {
              __IO uint8_t PLL_CTL2HL;
              __IO uint8_t PLL_CTL2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_CTL;
        stc_crg_csv_ctl_field_t CSV_CTL_f;
        struct {
          union {
            __IO uint16_t CSV_CTLL;
            struct {
              __IO uint8_t CSV_CTLLL;
              __IO uint8_t CSV_CTLLH;
            };
          };
          union {
            __IO uint16_t CSV_CTLH;
            struct {
              __IO uint8_t CSV_CTLHL;
              __IO uint8_t CSV_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_STR;
        stc_crg_csv_str_field_t CSV_STR_f;
        struct {
          union {
            __IO uint16_t CSV_STRL;
            struct {
              __IO uint8_t CSV_STRLL;
              __IO uint8_t CSV_STRLH;
            };
          };
          union {
            __IO uint16_t CSV_STRH;
            struct {
              __IO uint8_t CSV_STRHL;
              __IO uint8_t CSV_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWH_CTL;
        stc_crg_fcswh_ctl_field_t FCSWH_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWH_CTLL;
            struct {
              __IO uint8_t FCSWH_CTLLL;
              __IO uint8_t FCSWH_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWH_CTLH;
            struct {
              __IO uint8_t FCSWH_CTLHL;
              __IO uint8_t FCSWH_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWL_CTL;
        stc_crg_fcswl_ctl_field_t FCSWL_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWL_CTLL;
            struct {
              __IO uint8_t FCSWL_CTLLL;
              __IO uint8_t FCSWL_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWL_CTLH;
            struct {
              __IO uint8_t FCSWL_CTLHL;
              __IO uint8_t FCSWL_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWD_CTL;
        stc_crg_fcswd_ctl_field_t FCSWD_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWD_CTLL;
            struct {
              __IO uint8_t FCSWD_CTLLL;
              __IO uint8_t FCSWD_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWD_CTLH;
            struct {
              __IO uint8_t FCSWD_CTLHL;
              __IO uint8_t FCSWD_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DBWDT_CTL;
        stc_crg_dbwdt_ctl_field_t DBWDT_CTL_f;
        struct {
          union {
            __IO uint16_t DBWDT_CTLL;
            struct {
              __IO uint8_t DBWDT_CTLLL;
              __IO uint8_t DBWDT_CTLLH;
            };
          };
          union {
            __IO uint16_t DBWDT_CTLH;
            struct {
              __IO uint8_t DBWDT_CTLHL;
              __IO uint8_t DBWDT_CTLHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[8];
    union {
        __IO uint32_t INT_ENR;
        stc_crg_int_enr_field_t INT_ENR_f;
        struct {
          union {
            __IO uint16_t INT_ENRL;
            struct {
              __IO uint8_t INT_ENRLL;
              __IO uint8_t INT_ENRLH;
            };
          };
          union {
            __IO uint16_t INT_ENRH;
            struct {
              __IO uint8_t INT_ENRHL;
              __IO uint8_t INT_ENRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_STR;
        stc_crg_int_str_field_t INT_STR_f;
        struct {
          union {
            __IO uint16_t INT_STRL;
            struct {
              __IO uint8_t INT_STRLL;
              __IO uint8_t INT_STRLH;
            };
          };
          union {
            __IO uint16_t INT_STRH;
            struct {
              __IO uint8_t INT_STRHL;
              __IO uint8_t INT_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_CLR;
        stc_crg_int_clr_field_t INT_CLR_f;
        struct {
          union {
            __IO uint16_t INT_CLRL;
            struct {
              __IO uint8_t INT_CLRLL;
              __IO uint8_t INT_CLRLH;
            };
          };
          union {
            __IO uint16_t INT_CLRH;
            struct {
              __IO uint8_t INT_CLRHL;
              __IO uint8_t INT_CLRHH;
            };
          };
        };
    };
} FM_CRG_TypeDef, FM3_CRG_TypeDef;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t MCR_PSR;
        stc_crtrim_mcr_psr_field_t MCR_PSR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint16_t MCR_FTRM;
        stc_crtrim_mcr_ftrm_field_t MCR_FTRM_f;
        struct {
            __IO  uint8_t MCR_FTRML;
            __IO  uint8_t MCR_FTRMH;
        };
    };
        __IO  uint8_t RESERVED1[6];
    union {
        __IO uint32_t MCR_RLR;
        stc_crtrim_mcr_rlr_field_t MCR_RLR_f;
        struct {
          union {
            __IO uint16_t MCR_RLRL;
            struct {
              __IO uint8_t MCR_RLRLL;
              __IO uint8_t MCR_RLRLH;
            };
          };
          union {
            __IO uint16_t MCR_RLRH;
            struct {
              __IO uint8_t MCR_RLRHL;
              __IO uint8_t MCR_RLRHH;
            };
          };
        };
    };
} FM_CRTRIM_TypeDef, FM3_CRTRIM_TypeDef;

/******************************************************************************
 ** DMAC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DMACR;
        stc_dmac_dmacr_field_t DMACR_f;
        struct {
          union {
            __IO uint16_t DMACRL;
            struct {
              __IO uint8_t DMACRLL;
              __IO uint8_t DMACRLH;
            };
          };
          union {
            __IO uint16_t DMACRH;
            struct {
              __IO uint8_t DMACRHL;
              __IO uint8_t DMACRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[12];
    union {
        __IO uint32_t DMACA0;
        stc_dmac_dmaca0_field_t DMACA0_f;
        struct {
          union {
            __IO uint16_t DMACA0L;
            struct {
              __IO uint8_t DMACA0LL;
              __IO uint8_t DMACA0LH;
            };
          };
          union {
            __IO uint16_t DMACA0H;
            struct {
              __IO uint8_t DMACA0HL;
              __IO uint8_t DMACA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB0;
        stc_dmac_dmacb0_field_t DMACB0_f;
        struct {
          union {
            __IO uint16_t DMACB0L;
            struct {
              __IO uint8_t DMACB0LL;
              __IO uint8_t DMACB0LH;
            };
          };
          union {
            __IO uint16_t DMACB0H;
            struct {
              __IO uint8_t DMACB0HL;
              __IO uint8_t DMACB0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA0;
        struct {
          union {
            __IO uint16_t DMACSA0L;
            struct {
              __IO uint8_t DMACSA0LL;
              __IO uint8_t DMACSA0LH;
            };
          };
          union {
            __IO uint16_t DMACSA0H;
            struct {
              __IO uint8_t DMACSA0HL;
              __IO uint8_t DMACSA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA0;
        struct {
          union {
            __IO uint16_t DMACDA0L;
            struct {
              __IO uint8_t DMACDA0LL;
              __IO uint8_t DMACDA0LH;
            };
          };
          union {
            __IO uint16_t DMACDA0H;
            struct {
              __IO uint8_t DMACDA0HL;
              __IO uint8_t DMACDA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA1;
        stc_dmac_dmaca1_field_t DMACA1_f;
        struct {
          union {
            __IO uint16_t DMACA1L;
            struct {
              __IO uint8_t DMACA1LL;
              __IO uint8_t DMACA1LH;
            };
          };
          union {
            __IO uint16_t DMACA1H;
            struct {
              __IO uint8_t DMACA1HL;
              __IO uint8_t DMACA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB1;
        stc_dmac_dmacb1_field_t DMACB1_f;
        struct {
          union {
            __IO uint16_t DMACB1L;
            struct {
              __IO uint8_t DMACB1LL;
              __IO uint8_t DMACB1LH;
            };
          };
          union {
            __IO uint16_t DMACB1H;
            struct {
              __IO uint8_t DMACB1HL;
              __IO uint8_t DMACB1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA1;
        struct {
          union {
            __IO uint16_t DMACSA1L;
            struct {
              __IO uint8_t DMACSA1LL;
              __IO uint8_t DMACSA1LH;
            };
          };
          union {
            __IO uint16_t DMACSA1H;
            struct {
              __IO uint8_t DMACSA1HL;
              __IO uint8_t DMACSA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA1;
        struct {
          union {
            __IO uint16_t DMACDA1L;
            struct {
              __IO uint8_t DMACDA1LL;
              __IO uint8_t DMACDA1LH;
            };
          };
          union {
            __IO uint16_t DMACDA1H;
            struct {
              __IO uint8_t DMACDA1HL;
              __IO uint8_t DMACDA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA2;
        stc_dmac_dmaca2_field_t DMACA2_f;
        struct {
          union {
            __IO uint16_t DMACA2L;
            struct {
              __IO uint8_t DMACA2LL;
              __IO uint8_t DMACA2LH;
            };
          };
          union {
            __IO uint16_t DMACA2H;
            struct {
              __IO uint8_t DMACA2HL;
              __IO uint8_t DMACA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB2;
        stc_dmac_dmacb2_field_t DMACB2_f;
        struct {
          union {
            __IO uint16_t DMACB2L;
            struct {
              __IO uint8_t DMACB2LL;
              __IO uint8_t DMACB2LH;
            };
          };
          union {
            __IO uint16_t DMACB2H;
            struct {
              __IO uint8_t DMACB2HL;
              __IO uint8_t DMACB2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA2;
        struct {
          union {
            __IO uint16_t DMACSA2L;
            struct {
              __IO uint8_t DMACSA2LL;
              __IO uint8_t DMACSA2LH;
            };
          };
          union {
            __IO uint16_t DMACSA2H;
            struct {
              __IO uint8_t DMACSA2HL;
              __IO uint8_t DMACSA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA2;
        struct {
          union {
            __IO uint16_t DMACDA2L;
            struct {
              __IO uint8_t DMACDA2LL;
              __IO uint8_t DMACDA2LH;
            };
          };
          union {
            __IO uint16_t DMACDA2H;
            struct {
              __IO uint8_t DMACDA2HL;
              __IO uint8_t DMACDA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA3;
        stc_dmac_dmaca3_field_t DMACA3_f;
        struct {
          union {
            __IO uint16_t DMACA3L;
            struct {
              __IO uint8_t DMACA3LL;
              __IO uint8_t DMACA3LH;
            };
          };
          union {
            __IO uint16_t DMACA3H;
            struct {
              __IO uint8_t DMACA3HL;
              __IO uint8_t DMACA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB3;
        stc_dmac_dmacb3_field_t DMACB3_f;
        struct {
          union {
            __IO uint16_t DMACB3L;
            struct {
              __IO uint8_t DMACB3LL;
              __IO uint8_t DMACB3LH;
            };
          };
          union {
            __IO uint16_t DMACB3H;
            struct {
              __IO uint8_t DMACB3HL;
              __IO uint8_t DMACB3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA3;
        struct {
          union {
            __IO uint16_t DMACSA3L;
            struct {
              __IO uint8_t DMACSA3LL;
              __IO uint8_t DMACSA3LH;
            };
          };
          union {
            __IO uint16_t DMACSA3H;
            struct {
              __IO uint8_t DMACSA3HL;
              __IO uint8_t DMACSA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA3;
        struct {
          union {
            __IO uint16_t DMACDA3L;
            struct {
              __IO uint8_t DMACDA3LL;
              __IO uint8_t DMACDA3LH;
            };
          };
          union {
            __IO uint16_t DMACDA3H;
            struct {
              __IO uint8_t DMACDA3HL;
              __IO uint8_t DMACDA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA4;
        stc_dmac_dmaca4_field_t DMACA4_f;
        struct {
          union {
            __IO uint16_t DMACA4L;
            struct {
              __IO uint8_t DMACA4LL;
              __IO uint8_t DMACA4LH;
            };
          };
          union {
            __IO uint16_t DMACA4H;
            struct {
              __IO uint8_t DMACA4HL;
              __IO uint8_t DMACA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB4;
        stc_dmac_dmacb4_field_t DMACB4_f;
        struct {
          union {
            __IO uint16_t DMACB4L;
            struct {
              __IO uint8_t DMACB4LL;
              __IO uint8_t DMACB4LH;
            };
          };
          union {
            __IO uint16_t DMACB4H;
            struct {
              __IO uint8_t DMACB4HL;
              __IO uint8_t DMACB4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA4;
        struct {
          union {
            __IO uint16_t DMACSA4L;
            struct {
              __IO uint8_t DMACSA4LL;
              __IO uint8_t DMACSA4LH;
            };
          };
          union {
            __IO uint16_t DMACSA4H;
            struct {
              __IO uint8_t DMACSA4HL;
              __IO uint8_t DMACSA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA4;
        struct {
          union {
            __IO uint16_t DMACDA4L;
            struct {
              __IO uint8_t DMACDA4LL;
              __IO uint8_t DMACDA4LH;
            };
          };
          union {
            __IO uint16_t DMACDA4H;
            struct {
              __IO uint8_t DMACDA4HL;
              __IO uint8_t DMACDA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA5;
        stc_dmac_dmaca5_field_t DMACA5_f;
        struct {
          union {
            __IO uint16_t DMACA5L;
            struct {
              __IO uint8_t DMACA5LL;
              __IO uint8_t DMACA5LH;
            };
          };
          union {
            __IO uint16_t DMACA5H;
            struct {
              __IO uint8_t DMACA5HL;
              __IO uint8_t DMACA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB5;
        stc_dmac_dmacb5_field_t DMACB5_f;
        struct {
          union {
            __IO uint16_t DMACB5L;
            struct {
              __IO uint8_t DMACB5LL;
              __IO uint8_t DMACB5LH;
            };
          };
          union {
            __IO uint16_t DMACB5H;
            struct {
              __IO uint8_t DMACB5HL;
              __IO uint8_t DMACB5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA5;
        struct {
          union {
            __IO uint16_t DMACSA5L;
            struct {
              __IO uint8_t DMACSA5LL;
              __IO uint8_t DMACSA5LH;
            };
          };
          union {
            __IO uint16_t DMACSA5H;
            struct {
              __IO uint8_t DMACSA5HL;
              __IO uint8_t DMACSA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA5;
        struct {
          union {
            __IO uint16_t DMACDA5L;
            struct {
              __IO uint8_t DMACDA5LL;
              __IO uint8_t DMACDA5LH;
            };
          };
          union {
            __IO uint16_t DMACDA5H;
            struct {
              __IO uint8_t DMACDA5HL;
              __IO uint8_t DMACDA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA6;
        stc_dmac_dmaca6_field_t DMACA6_f;
        struct {
          union {
            __IO uint16_t DMACA6L;
            struct {
              __IO uint8_t DMACA6LL;
              __IO uint8_t DMACA6LH;
            };
          };
          union {
            __IO uint16_t DMACA6H;
            struct {
              __IO uint8_t DMACA6HL;
              __IO uint8_t DMACA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB6;
        stc_dmac_dmacb6_field_t DMACB6_f;
        struct {
          union {
            __IO uint16_t DMACB6L;
            struct {
              __IO uint8_t DMACB6LL;
              __IO uint8_t DMACB6LH;
            };
          };
          union {
            __IO uint16_t DMACB6H;
            struct {
              __IO uint8_t DMACB6HL;
              __IO uint8_t DMACB6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA6;
        struct {
          union {
            __IO uint16_t DMACSA6L;
            struct {
              __IO uint8_t DMACSA6LL;
              __IO uint8_t DMACSA6LH;
            };
          };
          union {
            __IO uint16_t DMACSA6H;
            struct {
              __IO uint8_t DMACSA6HL;
              __IO uint8_t DMACSA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA6;
        struct {
          union {
            __IO uint16_t DMACDA6L;
            struct {
              __IO uint8_t DMACDA6LL;
              __IO uint8_t DMACDA6LH;
            };
          };
          union {
            __IO uint16_t DMACDA6H;
            struct {
              __IO uint8_t DMACDA6HL;
              __IO uint8_t DMACDA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA7;
        stc_dmac_dmaca7_field_t DMACA7_f;
        struct {
          union {
            __IO uint16_t DMACA7L;
            struct {
              __IO uint8_t DMACA7LL;
              __IO uint8_t DMACA7LH;
            };
          };
          union {
            __IO uint16_t DMACA7H;
            struct {
              __IO uint8_t DMACA7HL;
              __IO uint8_t DMACA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB7;
        stc_dmac_dmacb7_field_t DMACB7_f;
        struct {
          union {
            __IO uint16_t DMACB7L;
            struct {
              __IO uint8_t DMACB7LL;
              __IO uint8_t DMACB7LH;
            };
          };
          union {
            __IO uint16_t DMACB7H;
            struct {
              __IO uint8_t DMACB7HL;
              __IO uint8_t DMACB7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA7;
        struct {
          union {
            __IO uint16_t DMACSA7L;
            struct {
              __IO uint8_t DMACSA7LL;
              __IO uint8_t DMACSA7LH;
            };
          };
          union {
            __IO uint16_t DMACSA7H;
            struct {
              __IO uint8_t DMACSA7HL;
              __IO uint8_t DMACSA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA7;
        struct {
          union {
            __IO uint16_t DMACDA7L;
            struct {
              __IO uint8_t DMACDA7LL;
              __IO uint8_t DMACDA7LH;
            };
          };
          union {
            __IO uint16_t DMACDA7H;
            struct {
              __IO uint8_t DMACDA7HL;
              __IO uint8_t DMACDA7HH;
            };
          };
        };
    };
} FM_DMAC_TypeDef, FM3_DMAC_TypeDef;

/******************************************************************************
 ** DT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t TIMER1LOAD;
        struct {
          union {
            __IO uint16_t TIMER1LOADL;
            struct {
              __IO uint8_t TIMER1LOADLL;
              __IO uint8_t TIMER1LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1LOADH;
            struct {
              __IO uint8_t TIMER1LOADHL;
              __IO uint8_t TIMER1LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1VALUE;
        struct {
          union {
            __IO uint16_t TIMER1VALUEL;
            struct {
              __IO uint8_t TIMER1VALUELL;
              __IO uint8_t TIMER1VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER1VALUEH;
            struct {
              __IO uint8_t TIMER1VALUEHL;
              __IO uint8_t TIMER1VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1CONTROL;
        stc_dt_timer1control_field_t TIMER1CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER1CONTROLL;
            struct {
              __IO uint8_t TIMER1CONTROLLL;
              __IO uint8_t TIMER1CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER1CONTROLH;
            struct {
              __IO uint8_t TIMER1CONTROLHL;
              __IO uint8_t TIMER1CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1INTCLR;
        struct {
          union {
            __IO uint16_t TIMER1INTCLRL;
            struct {
              __IO uint8_t TIMER1INTCLRLL;
              __IO uint8_t TIMER1INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER1INTCLRH;
            struct {
              __IO uint8_t TIMER1INTCLRHL;
              __IO uint8_t TIMER1INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1RIS;
        stc_dt_timer1ris_field_t TIMER1RIS_f;
        struct {
          union {
            __IO uint16_t TIMER1RISL;
            struct {
              __IO uint8_t TIMER1RISLL;
              __IO uint8_t TIMER1RISLH;
            };
          };
          union {
            __IO uint16_t TIMER1RISH;
            struct {
              __IO uint8_t TIMER1RISHL;
              __IO uint8_t TIMER1RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1MIS;
        stc_dt_timer1mis_field_t TIMER1MIS_f;
        struct {
          union {
            __IO uint16_t TIMER1MISL;
            struct {
              __IO uint8_t TIMER1MISLL;
              __IO uint8_t TIMER1MISLH;
            };
          };
          union {
            __IO uint16_t TIMER1MISH;
            struct {
              __IO uint8_t TIMER1MISHL;
              __IO uint8_t TIMER1MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER1BGLOADL;
            struct {
              __IO uint8_t TIMER1BGLOADLL;
              __IO uint8_t TIMER1BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1BGLOADH;
            struct {
              __IO uint8_t TIMER1BGLOADHL;
              __IO uint8_t TIMER1BGLOADHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t TIMER2LOAD;
        struct {
          union {
            __IO uint16_t TIMER2LOADL;
            struct {
              __IO uint8_t TIMER2LOADLL;
              __IO uint8_t TIMER2LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2LOADH;
            struct {
              __IO uint8_t TIMER2LOADHL;
              __IO uint8_t TIMER2LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2VALUE;
        struct {
          union {
            __IO uint16_t TIMER2VALUEL;
            struct {
              __IO uint8_t TIMER2VALUELL;
              __IO uint8_t TIMER2VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER2VALUEH;
            struct {
              __IO uint8_t TIMER2VALUEHL;
              __IO uint8_t TIMER2VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2CONTROL;
        stc_dt_timer2control_field_t TIMER2CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER2CONTROLL;
            struct {
              __IO uint8_t TIMER2CONTROLLL;
              __IO uint8_t TIMER2CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER2CONTROLH;
            struct {
              __IO uint8_t TIMER2CONTROLHL;
              __IO uint8_t TIMER2CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2INTCLR;
        struct {
          union {
            __IO uint16_t TIMER2INTCLRL;
            struct {
              __IO uint8_t TIMER2INTCLRLL;
              __IO uint8_t TIMER2INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER2INTCLRH;
            struct {
              __IO uint8_t TIMER2INTCLRHL;
              __IO uint8_t TIMER2INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2RIS;
        stc_dt_timer2ris_field_t TIMER2RIS_f;
        struct {
          union {
            __IO uint16_t TIMER2RISL;
            struct {
              __IO uint8_t TIMER2RISLL;
              __IO uint8_t TIMER2RISLH;
            };
          };
          union {
            __IO uint16_t TIMER2RISH;
            struct {
              __IO uint8_t TIMER2RISHL;
              __IO uint8_t TIMER2RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2MIS;
        stc_dt_timer2mis_field_t TIMER2MIS_f;
        struct {
          union {
            __IO uint16_t TIMER2MISL;
            struct {
              __IO uint8_t TIMER2MISLL;
              __IO uint8_t TIMER2MISLH;
            };
          };
          union {
            __IO uint16_t TIMER2MISH;
            struct {
              __IO uint8_t TIMER2MISHL;
              __IO uint8_t TIMER2MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER2BGLOADL;
            struct {
              __IO uint8_t TIMER2BGLOADLL;
              __IO uint8_t TIMER2BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2BGLOADH;
            struct {
              __IO uint8_t TIMER2BGLOADHL;
              __IO uint8_t TIMER2BGLOADHH;
            };
          };
        };
    };
} FM_DT_TypeDef, FM3_DT_TypeDef;

/******************************************************************************
 ** EXBUS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t MODE0;
        stc_exbus_mode0_field_t MODE0_f;
        struct {
          union {
            __IO uint16_t MODE0L;
            struct {
              __IO uint8_t MODE0LL;
              __IO uint8_t MODE0LH;
            };
          };
          union {
            __IO uint16_t MODE0H;
            struct {
              __IO uint8_t MODE0HL;
              __IO uint8_t MODE0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE1;
        stc_exbus_mode1_field_t MODE1_f;
        struct {
          union {
            __IO uint16_t MODE1L;
            struct {
              __IO uint8_t MODE1LL;
              __IO uint8_t MODE1LH;
            };
          };
          union {
            __IO uint16_t MODE1H;
            struct {
              __IO uint8_t MODE1HL;
              __IO uint8_t MODE1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE2;
        stc_exbus_mode2_field_t MODE2_f;
        struct {
          union {
            __IO uint16_t MODE2L;
            struct {
              __IO uint8_t MODE2LL;
              __IO uint8_t MODE2LH;
            };
          };
          union {
            __IO uint16_t MODE2H;
            struct {
              __IO uint8_t MODE2HL;
              __IO uint8_t MODE2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE3;
        stc_exbus_mode3_field_t MODE3_f;
        struct {
          union {
            __IO uint16_t MODE3L;
            struct {
              __IO uint8_t MODE3LL;
              __IO uint8_t MODE3LH;
            };
          };
          union {
            __IO uint16_t MODE3H;
            struct {
              __IO uint8_t MODE3HL;
              __IO uint8_t MODE3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE4;
        stc_exbus_mode4_field_t MODE4_f;
        struct {
          union {
            __IO uint16_t MODE4L;
            struct {
              __IO uint8_t MODE4LL;
              __IO uint8_t MODE4LH;
            };
          };
          union {
            __IO uint16_t MODE4H;
            struct {
              __IO uint8_t MODE4HL;
              __IO uint8_t MODE4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE5;
        stc_exbus_mode5_field_t MODE5_f;
        struct {
          union {
            __IO uint16_t MODE5L;
            struct {
              __IO uint8_t MODE5LL;
              __IO uint8_t MODE5LH;
            };
          };
          union {
            __IO uint16_t MODE5H;
            struct {
              __IO uint8_t MODE5HL;
              __IO uint8_t MODE5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE6;
        stc_exbus_mode6_field_t MODE6_f;
        struct {
          union {
            __IO uint16_t MODE6L;
            struct {
              __IO uint8_t MODE6LL;
              __IO uint8_t MODE6LH;
            };
          };
          union {
            __IO uint16_t MODE6H;
            struct {
              __IO uint8_t MODE6HL;
              __IO uint8_t MODE6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE7;
        stc_exbus_mode7_field_t MODE7_f;
        struct {
          union {
            __IO uint16_t MODE7L;
            struct {
              __IO uint8_t MODE7LL;
              __IO uint8_t MODE7LH;
            };
          };
          union {
            __IO uint16_t MODE7H;
            struct {
              __IO uint8_t MODE7HL;
              __IO uint8_t MODE7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM0;
        stc_exbus_tim0_field_t TIM0_f;
        struct {
          union {
            __IO uint16_t TIM0L;
            struct {
              __IO uint8_t TIM0LL;
              __IO uint8_t TIM0LH;
            };
          };
          union {
            __IO uint16_t TIM0H;
            struct {
              __IO uint8_t TIM0HL;
              __IO uint8_t TIM0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM1;
        stc_exbus_tim1_field_t TIM1_f;
        struct {
          union {
            __IO uint16_t TIM1L;
            struct {
              __IO uint8_t TIM1LL;
              __IO uint8_t TIM1LH;
            };
          };
          union {
            __IO uint16_t TIM1H;
            struct {
              __IO uint8_t TIM1HL;
              __IO uint8_t TIM1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM2;
        stc_exbus_tim2_field_t TIM2_f;
        struct {
          union {
            __IO uint16_t TIM2L;
            struct {
              __IO uint8_t TIM2LL;
              __IO uint8_t TIM2LH;
            };
          };
          union {
            __IO uint16_t TIM2H;
            struct {
              __IO uint8_t TIM2HL;
              __IO uint8_t TIM2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM3;
        stc_exbus_tim3_field_t TIM3_f;
        struct {
          union {
            __IO uint16_t TIM3L;
            struct {
              __IO uint8_t TIM3LL;
              __IO uint8_t TIM3LH;
            };
          };
          union {
            __IO uint16_t TIM3H;
            struct {
              __IO uint8_t TIM3HL;
              __IO uint8_t TIM3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM4;
        stc_exbus_tim4_field_t TIM4_f;
        struct {
          union {
            __IO uint16_t TIM4L;
            struct {
              __IO uint8_t TIM4LL;
              __IO uint8_t TIM4LH;
            };
          };
          union {
            __IO uint16_t TIM4H;
            struct {
              __IO uint8_t TIM4HL;
              __IO uint8_t TIM4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM5;
        stc_exbus_tim5_field_t TIM5_f;
        struct {
          union {
            __IO uint16_t TIM5L;
            struct {
              __IO uint8_t TIM5LL;
              __IO uint8_t TIM5LH;
            };
          };
          union {
            __IO uint16_t TIM5H;
            struct {
              __IO uint8_t TIM5HL;
              __IO uint8_t TIM5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM6;
        stc_exbus_tim6_field_t TIM6_f;
        struct {
          union {
            __IO uint16_t TIM6L;
            struct {
              __IO uint8_t TIM6LL;
              __IO uint8_t TIM6LH;
            };
          };
          union {
            __IO uint16_t TIM6H;
            struct {
              __IO uint8_t TIM6HL;
              __IO uint8_t TIM6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM7;
        stc_exbus_tim7_field_t TIM7_f;
        struct {
          union {
            __IO uint16_t TIM7L;
            struct {
              __IO uint8_t TIM7LL;
              __IO uint8_t TIM7LH;
            };
          };
          union {
            __IO uint16_t TIM7H;
            struct {
              __IO uint8_t TIM7HL;
              __IO uint8_t TIM7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA0;
        stc_exbus_area0_field_t AREA0_f;
        struct {
          union {
            __IO uint16_t AREA0L;
            struct {
              __IO uint8_t AREA0LL;
              __IO uint8_t AREA0LH;
            };
          };
          union {
            __IO uint16_t AREA0H;
            struct {
              __IO uint8_t AREA0HL;
              __IO uint8_t AREA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA1;
        stc_exbus_area1_field_t AREA1_f;
        struct {
          union {
            __IO uint16_t AREA1L;
            struct {
              __IO uint8_t AREA1LL;
              __IO uint8_t AREA1LH;
            };
          };
          union {
            __IO uint16_t AREA1H;
            struct {
              __IO uint8_t AREA1HL;
              __IO uint8_t AREA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA2;
        stc_exbus_area2_field_t AREA2_f;
        struct {
          union {
            __IO uint16_t AREA2L;
            struct {
              __IO uint8_t AREA2LL;
              __IO uint8_t AREA2LH;
            };
          };
          union {
            __IO uint16_t AREA2H;
            struct {
              __IO uint8_t AREA2HL;
              __IO uint8_t AREA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA3;
        stc_exbus_area3_field_t AREA3_f;
        struct {
          union {
            __IO uint16_t AREA3L;
            struct {
              __IO uint8_t AREA3LL;
              __IO uint8_t AREA3LH;
            };
          };
          union {
            __IO uint16_t AREA3H;
            struct {
              __IO uint8_t AREA3HL;
              __IO uint8_t AREA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA4;
        stc_exbus_area4_field_t AREA4_f;
        struct {
          union {
            __IO uint16_t AREA4L;
            struct {
              __IO uint8_t AREA4LL;
              __IO uint8_t AREA4LH;
            };
          };
          union {
            __IO uint16_t AREA4H;
            struct {
              __IO uint8_t AREA4HL;
              __IO uint8_t AREA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA5;
        stc_exbus_area5_field_t AREA5_f;
        struct {
          union {
            __IO uint16_t AREA5L;
            struct {
              __IO uint8_t AREA5LL;
              __IO uint8_t AREA5LH;
            };
          };
          union {
            __IO uint16_t AREA5H;
            struct {
              __IO uint8_t AREA5HL;
              __IO uint8_t AREA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA6;
        stc_exbus_area6_field_t AREA6_f;
        struct {
          union {
            __IO uint16_t AREA6L;
            struct {
              __IO uint8_t AREA6LL;
              __IO uint8_t AREA6LH;
            };
          };
          union {
            __IO uint16_t AREA6H;
            struct {
              __IO uint8_t AREA6HL;
              __IO uint8_t AREA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA7;
        stc_exbus_area7_field_t AREA7_f;
        struct {
          union {
            __IO uint16_t AREA7L;
            struct {
              __IO uint8_t AREA7LL;
              __IO uint8_t AREA7LH;
            };
          };
          union {
            __IO uint16_t AREA7H;
            struct {
              __IO uint8_t AREA7HL;
              __IO uint8_t AREA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM0;
        stc_exbus_atim0_field_t ATIM0_f;
        struct {
          union {
            __IO uint16_t ATIM0L;
            struct {
              __IO uint8_t ATIM0LL;
              __IO uint8_t ATIM0LH;
            };
          };
          union {
            __IO uint16_t ATIM0H;
            struct {
              __IO uint8_t ATIM0HL;
              __IO uint8_t ATIM0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM1;
        stc_exbus_atim1_field_t ATIM1_f;
        struct {
          union {
            __IO uint16_t ATIM1L;
            struct {
              __IO uint8_t ATIM1LL;
              __IO uint8_t ATIM1LH;
            };
          };
          union {
            __IO uint16_t ATIM1H;
            struct {
              __IO uint8_t ATIM1HL;
              __IO uint8_t ATIM1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM2;
        stc_exbus_atim2_field_t ATIM2_f;
        struct {
          union {
            __IO uint16_t ATIM2L;
            struct {
              __IO uint8_t ATIM2LL;
              __IO uint8_t ATIM2LH;
            };
          };
          union {
            __IO uint16_t ATIM2H;
            struct {
              __IO uint8_t ATIM2HL;
              __IO uint8_t ATIM2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM3;
        stc_exbus_atim3_field_t ATIM3_f;
        struct {
          union {
            __IO uint16_t ATIM3L;
            struct {
              __IO uint8_t ATIM3LL;
              __IO uint8_t ATIM3LH;
            };
          };
          union {
            __IO uint16_t ATIM3H;
            struct {
              __IO uint8_t ATIM3HL;
              __IO uint8_t ATIM3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM4;
        stc_exbus_atim4_field_t ATIM4_f;
        struct {
          union {
            __IO uint16_t ATIM4L;
            struct {
              __IO uint8_t ATIM4LL;
              __IO uint8_t ATIM4LH;
            };
          };
          union {
            __IO uint16_t ATIM4H;
            struct {
              __IO uint8_t ATIM4HL;
              __IO uint8_t ATIM4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM5;
        stc_exbus_atim5_field_t ATIM5_f;
        struct {
          union {
            __IO uint16_t ATIM5L;
            struct {
              __IO uint8_t ATIM5LL;
              __IO uint8_t ATIM5LH;
            };
          };
          union {
            __IO uint16_t ATIM5H;
            struct {
              __IO uint8_t ATIM5HL;
              __IO uint8_t ATIM5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM6;
        stc_exbus_atim6_field_t ATIM6_f;
        struct {
          union {
            __IO uint16_t ATIM6L;
            struct {
              __IO uint8_t ATIM6LL;
              __IO uint8_t ATIM6LH;
            };
          };
          union {
            __IO uint16_t ATIM6H;
            struct {
              __IO uint8_t ATIM6HL;
              __IO uint8_t ATIM6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM7;
        stc_exbus_atim7_field_t ATIM7_f;
        struct {
          union {
            __IO uint16_t ATIM7L;
            struct {
              __IO uint8_t ATIM7LL;
              __IO uint8_t ATIM7LH;
            };
          };
          union {
            __IO uint16_t ATIM7H;
            struct {
              __IO uint8_t ATIM7HL;
              __IO uint8_t ATIM7HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[640];
    union {
        __IO uint32_t DCLKR;
        stc_exbus_dclkr_field_t DCLKR_f;
        struct {
          union {
            __IO uint16_t DCLKRL;
            struct {
              __IO uint8_t DCLKRLL;
              __IO uint8_t DCLKRLH;
            };
          };
          union {
            __IO uint16_t DCLKRH;
            struct {
              __IO uint8_t DCLKRHL;
              __IO uint8_t DCLKRHH;
            };
          };
        };
    };
} FM_EXBUS_TypeDef, FM3_EXBUS_TypeDef;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t ENIR;
        stc_exti_enir_field_t ENIR_f;
        struct {
          union {
            __IO uint16_t ENIRL;
            struct {
              __IO uint8_t ENIRLL;
              __IO uint8_t ENIRLH;
            };
          };
          union {
            __IO uint16_t ENIRH;
            struct {
              __IO uint8_t ENIRHL;
              __IO uint8_t ENIRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EIRR;
        stc_exti_eirr_field_t EIRR_f;
        struct {
          union {
            __IO uint16_t EIRRL;
            struct {
              __IO uint8_t EIRRLL;
              __IO uint8_t EIRRLH;
            };
          };
          union {
            __IO uint16_t EIRRH;
            struct {
              __IO uint8_t EIRRHL;
              __IO uint8_t EIRRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EICL;
        stc_exti_eicl_field_t EICL_f;
        struct {
          union {
            __IO uint16_t EICLL;
            struct {
              __IO uint8_t EICLLL;
              __IO uint8_t EICLLH;
            };
          };
          union {
            __IO uint16_t EICLH;
            struct {
              __IO uint8_t EICLHL;
              __IO uint8_t EICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR;
        stc_exti_elvr_field_t ELVR_f;
        struct {
          union {
            __IO uint16_t ELVRL;
            struct {
              __IO uint8_t ELVRLL;
              __IO uint8_t ELVRLH;
            };
          };
          union {
            __IO uint16_t ELVRH;
            struct {
              __IO uint8_t ELVRHL;
              __IO uint8_t ELVRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR1;
        stc_exti_elvr1_field_t ELVR1_f;
        struct {
          union {
            __IO uint16_t ELVR1L;
            struct {
              __IO uint8_t ELVR1LL;
              __IO uint8_t ELVR1LH;
            };
          };
          union {
            __IO uint16_t ELVR1H;
            struct {
              __IO uint8_t ELVR1HL;
              __IO uint8_t ELVR1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t NMIRR;
        stc_exti_nmirr_field_t NMIRR_f;
        struct {
            __IO  uint8_t NMIRRL;
            __IO  uint8_t NMIRRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t NMICL;
        stc_exti_nmicl_field_t NMICL_f;
        struct {
            __IO  uint8_t NMICLL;
            __IO  uint8_t NMICLH;
        };
    };
} FM_EXTI_TypeDef, FM3_EXTI_TypeDef;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t FASZR;
        stc_flash_if_faszr_field_t FASZR_f;
        struct {
          union {
            __IO uint16_t FASZRL;
            struct {
              __IO uint8_t FASZRLL;
              __IO uint8_t FASZRLH;
            };
          };
          union {
            __IO uint16_t FASZRH;
            struct {
              __IO uint8_t FASZRHL;
              __IO uint8_t FASZRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FRWTR;
        stc_flash_if_frwtr_field_t FRWTR_f;
        struct {
          union {
            __IO uint16_t FRWTRL;
            struct {
              __IO uint8_t FRWTRLL;
              __IO uint8_t FRWTRLH;
            };
          };
          union {
            __IO uint16_t FRWTRH;
            struct {
              __IO uint8_t FRWTRHL;
              __IO uint8_t FRWTRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FSTR;
        stc_flash_if_fstr_field_t FSTR_f;
        struct {
          union {
            __IO uint16_t FSTRL;
            struct {
              __IO uint8_t FSTRLL;
              __IO uint8_t FSTRLH;
            };
          };
          union {
            __IO uint16_t FSTRH;
            struct {
              __IO uint8_t FSTRHL;
              __IO uint8_t FSTRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t FSYNDN;
        stc_flash_if_fsyndn_field_t FSYNDN_f;
        struct {
          union {
            __IO uint16_t FSYNDNL;
            struct {
              __IO uint8_t FSYNDNLL;
              __IO uint8_t FSYNDNLH;
            };
          };
          union {
            __IO uint16_t FSYNDNH;
            struct {
              __IO uint8_t FSYNDNHL;
              __IO uint8_t FSYNDNHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[236];
    union {
        __IO uint32_t CRTRMM;
        stc_flash_if_crtrmm_field_t CRTRMM_f;
        struct {
          union {
            __IO uint16_t CRTRMML;
            struct {
              __IO uint8_t CRTRMMLL;
              __IO uint8_t CRTRMMLH;
            };
          };
          union {
            __IO uint16_t CRTRMMH;
            struct {
              __IO uint8_t CRTRMMHL;
              __IO uint8_t CRTRMMHH;
            };
          };
        };
    };
} FM_FLASH_IF_TypeDef, FM3_FLASH_IF_TypeDef;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t PFR0;
        stc_gpio_pfr0_field_t PFR0_f;
        struct {
          union {
            __IO uint16_t PFR0L;
            struct {
              __IO uint8_t PFR0LL;
              __IO uint8_t PFR0LH;
            };
          };
          union {
            __IO uint16_t PFR0H;
            struct {
              __IO uint8_t PFR0HL;
              __IO uint8_t PFR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR1;
        stc_gpio_pfr1_field_t PFR1_f;
        struct {
          union {
            __IO uint16_t PFR1L;
            struct {
              __IO uint8_t PFR1LL;
              __IO uint8_t PFR1LH;
            };
          };
          union {
            __IO uint16_t PFR1H;
            struct {
              __IO uint8_t PFR1HL;
              __IO uint8_t PFR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR2;
        stc_gpio_pfr2_field_t PFR2_f;
        struct {
          union {
            __IO uint16_t PFR2L;
            struct {
              __IO uint8_t PFR2LL;
              __IO uint8_t PFR2LH;
            };
          };
          union {
            __IO uint16_t PFR2H;
            struct {
              __IO uint8_t PFR2HL;
              __IO uint8_t PFR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR3;
        stc_gpio_pfr3_field_t PFR3_f;
        struct {
          union {
            __IO uint16_t PFR3L;
            struct {
              __IO uint8_t PFR3LL;
              __IO uint8_t PFR3LH;
            };
          };
          union {
            __IO uint16_t PFR3H;
            struct {
              __IO uint8_t PFR3HL;
              __IO uint8_t PFR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR4;
        stc_gpio_pfr4_field_t PFR4_f;
        struct {
          union {
            __IO uint16_t PFR4L;
            struct {
              __IO uint8_t PFR4LL;
              __IO uint8_t PFR4LH;
            };
          };
          union {
            __IO uint16_t PFR4H;
            struct {
              __IO uint8_t PFR4HL;
              __IO uint8_t PFR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR5;
        stc_gpio_pfr5_field_t PFR5_f;
        struct {
          union {
            __IO uint16_t PFR5L;
            struct {
              __IO uint8_t PFR5LL;
              __IO uint8_t PFR5LH;
            };
          };
          union {
            __IO uint16_t PFR5H;
            struct {
              __IO uint8_t PFR5HL;
              __IO uint8_t PFR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR6;
        stc_gpio_pfr6_field_t PFR6_f;
        struct {
          union {
            __IO uint16_t PFR6L;
            struct {
              __IO uint8_t PFR6LL;
              __IO uint8_t PFR6LH;
            };
          };
          union {
            __IO uint16_t PFR6H;
            struct {
              __IO uint8_t PFR6HL;
              __IO uint8_t PFR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR7;
        stc_gpio_pfr7_field_t PFR7_f;
        struct {
          union {
            __IO uint16_t PFR7L;
            struct {
              __IO uint8_t PFR7LL;
              __IO uint8_t PFR7LH;
            };
          };
          union {
            __IO uint16_t PFR7H;
            struct {
              __IO uint8_t PFR7HL;
              __IO uint8_t PFR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR8;
        stc_gpio_pfr8_field_t PFR8_f;
        struct {
          union {
            __IO uint16_t PFR8L;
            struct {
              __IO uint8_t PFR8LL;
              __IO uint8_t PFR8LH;
            };
          };
          union {
            __IO uint16_t PFR8H;
            struct {
              __IO uint8_t PFR8HL;
              __IO uint8_t PFR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR9;
        stc_gpio_pfr9_field_t PFR9_f;
        struct {
          union {
            __IO uint16_t PFR9L;
            struct {
              __IO uint8_t PFR9LL;
              __IO uint8_t PFR9LH;
            };
          };
          union {
            __IO uint16_t PFR9H;
            struct {
              __IO uint8_t PFR9HL;
              __IO uint8_t PFR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRA;
        stc_gpio_pfra_field_t PFRA_f;
        struct {
          union {
            __IO uint16_t PFRAL;
            struct {
              __IO uint8_t PFRALL;
              __IO uint8_t PFRALH;
            };
          };
          union {
            __IO uint16_t PFRAH;
            struct {
              __IO uint8_t PFRAHL;
              __IO uint8_t PFRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRB;
        stc_gpio_pfrb_field_t PFRB_f;
        struct {
          union {
            __IO uint16_t PFRBL;
            struct {
              __IO uint8_t PFRBLL;
              __IO uint8_t PFRBLH;
            };
          };
          union {
            __IO uint16_t PFRBH;
            struct {
              __IO uint8_t PFRBHL;
              __IO uint8_t PFRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRC;
        stc_gpio_pfrc_field_t PFRC_f;
        struct {
          union {
            __IO uint16_t PFRCL;
            struct {
              __IO uint8_t PFRCLL;
              __IO uint8_t PFRCLH;
            };
          };
          union {
            __IO uint16_t PFRCH;
            struct {
              __IO uint8_t PFRCHL;
              __IO uint8_t PFRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRD;
        stc_gpio_pfrd_field_t PFRD_f;
        struct {
          union {
            __IO uint16_t PFRDL;
            struct {
              __IO uint8_t PFRDLL;
              __IO uint8_t PFRDLH;
            };
          };
          union {
            __IO uint16_t PFRDH;
            struct {
              __IO uint8_t PFRDHL;
              __IO uint8_t PFRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRE;
        stc_gpio_pfre_field_t PFRE_f;
        struct {
          union {
            __IO uint16_t PFREL;
            struct {
              __IO uint8_t PFRELL;
              __IO uint8_t PFRELH;
            };
          };
          union {
            __IO uint16_t PFREH;
            struct {
              __IO uint8_t PFREHL;
              __IO uint8_t PFREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRF;
        stc_gpio_pfrf_field_t PFRF_f;
        struct {
          union {
            __IO uint16_t PFRFL;
            struct {
              __IO uint8_t PFRFLL;
              __IO uint8_t PFRFLH;
            };
          };
          union {
            __IO uint16_t PFRFH;
            struct {
              __IO uint8_t PFRFHL;
              __IO uint8_t PFRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[192];
    union {
        __IO uint32_t PCR0;
        stc_gpio_pcr0_field_t PCR0_f;
        struct {
          union {
            __IO uint16_t PCR0L;
            struct {
              __IO uint8_t PCR0LL;
              __IO uint8_t PCR0LH;
            };
          };
          union {
            __IO uint16_t PCR0H;
            struct {
              __IO uint8_t PCR0HL;
              __IO uint8_t PCR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR1;
        stc_gpio_pcr1_field_t PCR1_f;
        struct {
          union {
            __IO uint16_t PCR1L;
            struct {
              __IO uint8_t PCR1LL;
              __IO uint8_t PCR1LH;
            };
          };
          union {
            __IO uint16_t PCR1H;
            struct {
              __IO uint8_t PCR1HL;
              __IO uint8_t PCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR2;
        stc_gpio_pcr2_field_t PCR2_f;
        struct {
          union {
            __IO uint16_t PCR2L;
            struct {
              __IO uint8_t PCR2LL;
              __IO uint8_t PCR2LH;
            };
          };
          union {
            __IO uint16_t PCR2H;
            struct {
              __IO uint8_t PCR2HL;
              __IO uint8_t PCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR3;
        stc_gpio_pcr3_field_t PCR3_f;
        struct {
          union {
            __IO uint16_t PCR3L;
            struct {
              __IO uint8_t PCR3LL;
              __IO uint8_t PCR3LH;
            };
          };
          union {
            __IO uint16_t PCR3H;
            struct {
              __IO uint8_t PCR3HL;
              __IO uint8_t PCR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR4;
        stc_gpio_pcr4_field_t PCR4_f;
        struct {
          union {
            __IO uint16_t PCR4L;
            struct {
              __IO uint8_t PCR4LL;
              __IO uint8_t PCR4LH;
            };
          };
          union {
            __IO uint16_t PCR4H;
            struct {
              __IO uint8_t PCR4HL;
              __IO uint8_t PCR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR5;
        stc_gpio_pcr5_field_t PCR5_f;
        struct {
          union {
            __IO uint16_t PCR5L;
            struct {
              __IO uint8_t PCR5LL;
              __IO uint8_t PCR5LH;
            };
          };
          union {
            __IO uint16_t PCR5H;
            struct {
              __IO uint8_t PCR5HL;
              __IO uint8_t PCR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR6;
        stc_gpio_pcr6_field_t PCR6_f;
        struct {
          union {
            __IO uint16_t PCR6L;
            struct {
              __IO uint8_t PCR6LL;
              __IO uint8_t PCR6LH;
            };
          };
          union {
            __IO uint16_t PCR6H;
            struct {
              __IO uint8_t PCR6HL;
              __IO uint8_t PCR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR7;
        stc_gpio_pcr7_field_t PCR7_f;
        struct {
          union {
            __IO uint16_t PCR7L;
            struct {
              __IO uint8_t PCR7LL;
              __IO uint8_t PCR7LH;
            };
          };
          union {
            __IO uint16_t PCR7H;
            struct {
              __IO uint8_t PCR7HL;
              __IO uint8_t PCR7HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t PCR9;
        stc_gpio_pcr9_field_t PCR9_f;
        struct {
          union {
            __IO uint16_t PCR9L;
            struct {
              __IO uint8_t PCR9LL;
              __IO uint8_t PCR9LH;
            };
          };
          union {
            __IO uint16_t PCR9H;
            struct {
              __IO uint8_t PCR9HL;
              __IO uint8_t PCR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRA;
        stc_gpio_pcra_field_t PCRA_f;
        struct {
          union {
            __IO uint16_t PCRAL;
            struct {
              __IO uint8_t PCRALL;
              __IO uint8_t PCRALH;
            };
          };
          union {
            __IO uint16_t PCRAH;
            struct {
              __IO uint8_t PCRAHL;
              __IO uint8_t PCRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRB;
        stc_gpio_pcrb_field_t PCRB_f;
        struct {
          union {
            __IO uint16_t PCRBL;
            struct {
              __IO uint8_t PCRBLL;
              __IO uint8_t PCRBLH;
            };
          };
          union {
            __IO uint16_t PCRBH;
            struct {
              __IO uint8_t PCRBHL;
              __IO uint8_t PCRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRC;
        stc_gpio_pcrc_field_t PCRC_f;
        struct {
          union {
            __IO uint16_t PCRCL;
            struct {
              __IO uint8_t PCRCLL;
              __IO uint8_t PCRCLH;
            };
          };
          union {
            __IO uint16_t PCRCH;
            struct {
              __IO uint8_t PCRCHL;
              __IO uint8_t PCRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRD;
        stc_gpio_pcrd_field_t PCRD_f;
        struct {
          union {
            __IO uint16_t PCRDL;
            struct {
              __IO uint8_t PCRDLL;
              __IO uint8_t PCRDLH;
            };
          };
          union {
            __IO uint16_t PCRDH;
            struct {
              __IO uint8_t PCRDHL;
              __IO uint8_t PCRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRE;
        stc_gpio_pcre_field_t PCRE_f;
        struct {
          union {
            __IO uint16_t PCREL;
            struct {
              __IO uint8_t PCRELL;
              __IO uint8_t PCRELH;
            };
          };
          union {
            __IO uint16_t PCREH;
            struct {
              __IO uint8_t PCREHL;
              __IO uint8_t PCREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRF;
        stc_gpio_pcrf_field_t PCRF_f;
        struct {
          union {
            __IO uint16_t PCRFL;
            struct {
              __IO uint8_t PCRFLL;
              __IO uint8_t PCRFLH;
            };
          };
          union {
            __IO uint16_t PCRFH;
            struct {
              __IO uint8_t PCRFHL;
              __IO uint8_t PCRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[192];
    union {
        __IO uint32_t DDR0;
        stc_gpio_ddr0_field_t DDR0_f;
        struct {
          union {
            __IO uint16_t DDR0L;
            struct {
              __IO uint8_t DDR0LL;
              __IO uint8_t DDR0LH;
            };
          };
          union {
            __IO uint16_t DDR0H;
            struct {
              __IO uint8_t DDR0HL;
              __IO uint8_t DDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR1;
        stc_gpio_ddr1_field_t DDR1_f;
        struct {
          union {
            __IO uint16_t DDR1L;
            struct {
              __IO uint8_t DDR1LL;
              __IO uint8_t DDR1LH;
            };
          };
          union {
            __IO uint16_t DDR1H;
            struct {
              __IO uint8_t DDR1HL;
              __IO uint8_t DDR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR2;
        stc_gpio_ddr2_field_t DDR2_f;
        struct {
          union {
            __IO uint16_t DDR2L;
            struct {
              __IO uint8_t DDR2LL;
              __IO uint8_t DDR2LH;
            };
          };
          union {
            __IO uint16_t DDR2H;
            struct {
              __IO uint8_t DDR2HL;
              __IO uint8_t DDR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR3;
        stc_gpio_ddr3_field_t DDR3_f;
        struct {
          union {
            __IO uint16_t DDR3L;
            struct {
              __IO uint8_t DDR3LL;
              __IO uint8_t DDR3LH;
            };
          };
          union {
            __IO uint16_t DDR3H;
            struct {
              __IO uint8_t DDR3HL;
              __IO uint8_t DDR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR4;
        stc_gpio_ddr4_field_t DDR4_f;
        struct {
          union {
            __IO uint16_t DDR4L;
            struct {
              __IO uint8_t DDR4LL;
              __IO uint8_t DDR4LH;
            };
          };
          union {
            __IO uint16_t DDR4H;
            struct {
              __IO uint8_t DDR4HL;
              __IO uint8_t DDR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR5;
        stc_gpio_ddr5_field_t DDR5_f;
        struct {
          union {
            __IO uint16_t DDR5L;
            struct {
              __IO uint8_t DDR5LL;
              __IO uint8_t DDR5LH;
            };
          };
          union {
            __IO uint16_t DDR5H;
            struct {
              __IO uint8_t DDR5HL;
              __IO uint8_t DDR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR6;
        stc_gpio_ddr6_field_t DDR6_f;
        struct {
          union {
            __IO uint16_t DDR6L;
            struct {
              __IO uint8_t DDR6LL;
              __IO uint8_t DDR6LH;
            };
          };
          union {
            __IO uint16_t DDR6H;
            struct {
              __IO uint8_t DDR6HL;
              __IO uint8_t DDR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR7;
        stc_gpio_ddr7_field_t DDR7_f;
        struct {
          union {
            __IO uint16_t DDR7L;
            struct {
              __IO uint8_t DDR7LL;
              __IO uint8_t DDR7LH;
            };
          };
          union {
            __IO uint16_t DDR7H;
            struct {
              __IO uint8_t DDR7HL;
              __IO uint8_t DDR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR8;
        stc_gpio_ddr8_field_t DDR8_f;
        struct {
          union {
            __IO uint16_t DDR8L;
            struct {
              __IO uint8_t DDR8LL;
              __IO uint8_t DDR8LH;
            };
          };
          union {
            __IO uint16_t DDR8H;
            struct {
              __IO uint8_t DDR8HL;
              __IO uint8_t DDR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR9;
        stc_gpio_ddr9_field_t DDR9_f;
        struct {
          union {
            __IO uint16_t DDR9L;
            struct {
              __IO uint8_t DDR9LL;
              __IO uint8_t DDR9LH;
            };
          };
          union {
            __IO uint16_t DDR9H;
            struct {
              __IO uint8_t DDR9HL;
              __IO uint8_t DDR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRA;
        stc_gpio_ddra_field_t DDRA_f;
        struct {
          union {
            __IO uint16_t DDRAL;
            struct {
              __IO uint8_t DDRALL;
              __IO uint8_t DDRALH;
            };
          };
          union {
            __IO uint16_t DDRAH;
            struct {
              __IO uint8_t DDRAHL;
              __IO uint8_t DDRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRB;
        stc_gpio_ddrb_field_t DDRB_f;
        struct {
          union {
            __IO uint16_t DDRBL;
            struct {
              __IO uint8_t DDRBLL;
              __IO uint8_t DDRBLH;
            };
          };
          union {
            __IO uint16_t DDRBH;
            struct {
              __IO uint8_t DDRBHL;
              __IO uint8_t DDRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRC;
        stc_gpio_ddrc_field_t DDRC_f;
        struct {
          union {
            __IO uint16_t DDRCL;
            struct {
              __IO uint8_t DDRCLL;
              __IO uint8_t DDRCLH;
            };
          };
          union {
            __IO uint16_t DDRCH;
            struct {
              __IO uint8_t DDRCHL;
              __IO uint8_t DDRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRD;
        stc_gpio_ddrd_field_t DDRD_f;
        struct {
          union {
            __IO uint16_t DDRDL;
            struct {
              __IO uint8_t DDRDLL;
              __IO uint8_t DDRDLH;
            };
          };
          union {
            __IO uint16_t DDRDH;
            struct {
              __IO uint8_t DDRDHL;
              __IO uint8_t DDRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRE;
        stc_gpio_ddre_field_t DDRE_f;
        struct {
          union {
            __IO uint16_t DDREL;
            struct {
              __IO uint8_t DDRELL;
              __IO uint8_t DDRELH;
            };
          };
          union {
            __IO uint16_t DDREH;
            struct {
              __IO uint8_t DDREHL;
              __IO uint8_t DDREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRF;
        stc_gpio_ddrf_field_t DDRF_f;
        struct {
          union {
            __IO uint16_t DDRFL;
            struct {
              __IO uint8_t DDRFLL;
              __IO uint8_t DDRFLH;
            };
          };
          union {
            __IO uint16_t DDRFH;
            struct {
              __IO uint8_t DDRFHL;
              __IO uint8_t DDRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[192];
    union {
        __IO uint32_t PDIR0;
        stc_gpio_pdir0_field_t PDIR0_f;
        struct {
          union {
            __IO uint16_t PDIR0L;
            struct {
              __IO uint8_t PDIR0LL;
              __IO uint8_t PDIR0LH;
            };
          };
          union {
            __IO uint16_t PDIR0H;
            struct {
              __IO uint8_t PDIR0HL;
              __IO uint8_t PDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR1;
        stc_gpio_pdir1_field_t PDIR1_f;
        struct {
          union {
            __IO uint16_t PDIR1L;
            struct {
              __IO uint8_t PDIR1LL;
              __IO uint8_t PDIR1LH;
            };
          };
          union {
            __IO uint16_t PDIR1H;
            struct {
              __IO uint8_t PDIR1HL;
              __IO uint8_t PDIR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR2;
        stc_gpio_pdir2_field_t PDIR2_f;
        struct {
          union {
            __IO uint16_t PDIR2L;
            struct {
              __IO uint8_t PDIR2LL;
              __IO uint8_t PDIR2LH;
            };
          };
          union {
            __IO uint16_t PDIR2H;
            struct {
              __IO uint8_t PDIR2HL;
              __IO uint8_t PDIR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR3;
        stc_gpio_pdir3_field_t PDIR3_f;
        struct {
          union {
            __IO uint16_t PDIR3L;
            struct {
              __IO uint8_t PDIR3LL;
              __IO uint8_t PDIR3LH;
            };
          };
          union {
            __IO uint16_t PDIR3H;
            struct {
              __IO uint8_t PDIR3HL;
              __IO uint8_t PDIR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR4;
        stc_gpio_pdir4_field_t PDIR4_f;
        struct {
          union {
            __IO uint16_t PDIR4L;
            struct {
              __IO uint8_t PDIR4LL;
              __IO uint8_t PDIR4LH;
            };
          };
          union {
            __IO uint16_t PDIR4H;
            struct {
              __IO uint8_t PDIR4HL;
              __IO uint8_t PDIR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR5;
        stc_gpio_pdir5_field_t PDIR5_f;
        struct {
          union {
            __IO uint16_t PDIR5L;
            struct {
              __IO uint8_t PDIR5LL;
              __IO uint8_t PDIR5LH;
            };
          };
          union {
            __IO uint16_t PDIR5H;
            struct {
              __IO uint8_t PDIR5HL;
              __IO uint8_t PDIR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR6;
        stc_gpio_pdir6_field_t PDIR6_f;
        struct {
          union {
            __IO uint16_t PDIR6L;
            struct {
              __IO uint8_t PDIR6LL;
              __IO uint8_t PDIR6LH;
            };
          };
          union {
            __IO uint16_t PDIR6H;
            struct {
              __IO uint8_t PDIR6HL;
              __IO uint8_t PDIR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR7;
        stc_gpio_pdir7_field_t PDIR7_f;
        struct {
          union {
            __IO uint16_t PDIR7L;
            struct {
              __IO uint8_t PDIR7LL;
              __IO uint8_t PDIR7LH;
            };
          };
          union {
            __IO uint16_t PDIR7H;
            struct {
              __IO uint8_t PDIR7HL;
              __IO uint8_t PDIR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR8;
        stc_gpio_pdir8_field_t PDIR8_f;
        struct {
          union {
            __IO uint16_t PDIR8L;
            struct {
              __IO uint8_t PDIR8LL;
              __IO uint8_t PDIR8LH;
            };
          };
          union {
            __IO uint16_t PDIR8H;
            struct {
              __IO uint8_t PDIR8HL;
              __IO uint8_t PDIR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR9;
        stc_gpio_pdir9_field_t PDIR9_f;
        struct {
          union {
            __IO uint16_t PDIR9L;
            struct {
              __IO uint8_t PDIR9LL;
              __IO uint8_t PDIR9LH;
            };
          };
          union {
            __IO uint16_t PDIR9H;
            struct {
              __IO uint8_t PDIR9HL;
              __IO uint8_t PDIR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRA;
        stc_gpio_pdira_field_t PDIRA_f;
        struct {
          union {
            __IO uint16_t PDIRAL;
            struct {
              __IO uint8_t PDIRALL;
              __IO uint8_t PDIRALH;
            };
          };
          union {
            __IO uint16_t PDIRAH;
            struct {
              __IO uint8_t PDIRAHL;
              __IO uint8_t PDIRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRB;
        stc_gpio_pdirb_field_t PDIRB_f;
        struct {
          union {
            __IO uint16_t PDIRBL;
            struct {
              __IO uint8_t PDIRBLL;
              __IO uint8_t PDIRBLH;
            };
          };
          union {
            __IO uint16_t PDIRBH;
            struct {
              __IO uint8_t PDIRBHL;
              __IO uint8_t PDIRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRC;
        stc_gpio_pdirc_field_t PDIRC_f;
        struct {
          union {
            __IO uint16_t PDIRCL;
            struct {
              __IO uint8_t PDIRCLL;
              __IO uint8_t PDIRCLH;
            };
          };
          union {
            __IO uint16_t PDIRCH;
            struct {
              __IO uint8_t PDIRCHL;
              __IO uint8_t PDIRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRD;
        stc_gpio_pdird_field_t PDIRD_f;
        struct {
          union {
            __IO uint16_t PDIRDL;
            struct {
              __IO uint8_t PDIRDLL;
              __IO uint8_t PDIRDLH;
            };
          };
          union {
            __IO uint16_t PDIRDH;
            struct {
              __IO uint8_t PDIRDHL;
              __IO uint8_t PDIRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRE;
        stc_gpio_pdire_field_t PDIRE_f;
        struct {
          union {
            __IO uint16_t PDIREL;
            struct {
              __IO uint8_t PDIRELL;
              __IO uint8_t PDIRELH;
            };
          };
          union {
            __IO uint16_t PDIREH;
            struct {
              __IO uint8_t PDIREHL;
              __IO uint8_t PDIREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRF;
        stc_gpio_pdirf_field_t PDIRF_f;
        struct {
          union {
            __IO uint16_t PDIRFL;
            struct {
              __IO uint8_t PDIRFLL;
              __IO uint8_t PDIRFLH;
            };
          };
          union {
            __IO uint16_t PDIRFH;
            struct {
              __IO uint8_t PDIRFHL;
              __IO uint8_t PDIRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED4[192];
    union {
        __IO uint32_t PDOR0;
        stc_gpio_pdor0_field_t PDOR0_f;
        struct {
          union {
            __IO uint16_t PDOR0L;
            struct {
              __IO uint8_t PDOR0LL;
              __IO uint8_t PDOR0LH;
            };
          };
          union {
            __IO uint16_t PDOR0H;
            struct {
              __IO uint8_t PDOR0HL;
              __IO uint8_t PDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR1;
        stc_gpio_pdor1_field_t PDOR1_f;
        struct {
          union {
            __IO uint16_t PDOR1L;
            struct {
              __IO uint8_t PDOR1LL;
              __IO uint8_t PDOR1LH;
            };
          };
          union {
            __IO uint16_t PDOR1H;
            struct {
              __IO uint8_t PDOR1HL;
              __IO uint8_t PDOR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR2;
        stc_gpio_pdor2_field_t PDOR2_f;
        struct {
          union {
            __IO uint16_t PDOR2L;
            struct {
              __IO uint8_t PDOR2LL;
              __IO uint8_t PDOR2LH;
            };
          };
          union {
            __IO uint16_t PDOR2H;
            struct {
              __IO uint8_t PDOR2HL;
              __IO uint8_t PDOR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR3;
        stc_gpio_pdor3_field_t PDOR3_f;
        struct {
          union {
            __IO uint16_t PDOR3L;
            struct {
              __IO uint8_t PDOR3LL;
              __IO uint8_t PDOR3LH;
            };
          };
          union {
            __IO uint16_t PDOR3H;
            struct {
              __IO uint8_t PDOR3HL;
              __IO uint8_t PDOR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR4;
        stc_gpio_pdor4_field_t PDOR4_f;
        struct {
          union {
            __IO uint16_t PDOR4L;
            struct {
              __IO uint8_t PDOR4LL;
              __IO uint8_t PDOR4LH;
            };
          };
          union {
            __IO uint16_t PDOR4H;
            struct {
              __IO uint8_t PDOR4HL;
              __IO uint8_t PDOR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR5;
        stc_gpio_pdor5_field_t PDOR5_f;
        struct {
          union {
            __IO uint16_t PDOR5L;
            struct {
              __IO uint8_t PDOR5LL;
              __IO uint8_t PDOR5LH;
            };
          };
          union {
            __IO uint16_t PDOR5H;
            struct {
              __IO uint8_t PDOR5HL;
              __IO uint8_t PDOR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR6;
        stc_gpio_pdor6_field_t PDOR6_f;
        struct {
          union {
            __IO uint16_t PDOR6L;
            struct {
              __IO uint8_t PDOR6LL;
              __IO uint8_t PDOR6LH;
            };
          };
          union {
            __IO uint16_t PDOR6H;
            struct {
              __IO uint8_t PDOR6HL;
              __IO uint8_t PDOR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR7;
        stc_gpio_pdor7_field_t PDOR7_f;
        struct {
          union {
            __IO uint16_t PDOR7L;
            struct {
              __IO uint8_t PDOR7LL;
              __IO uint8_t PDOR7LH;
            };
          };
          union {
            __IO uint16_t PDOR7H;
            struct {
              __IO uint8_t PDOR7HL;
              __IO uint8_t PDOR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR8;
        stc_gpio_pdor8_field_t PDOR8_f;
        struct {
          union {
            __IO uint16_t PDOR8L;
            struct {
              __IO uint8_t PDOR8LL;
              __IO uint8_t PDOR8LH;
            };
          };
          union {
            __IO uint16_t PDOR8H;
            struct {
              __IO uint8_t PDOR8HL;
              __IO uint8_t PDOR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR9;
        stc_gpio_pdor9_field_t PDOR9_f;
        struct {
          union {
            __IO uint16_t PDOR9L;
            struct {
              __IO uint8_t PDOR9LL;
              __IO uint8_t PDOR9LH;
            };
          };
          union {
            __IO uint16_t PDOR9H;
            struct {
              __IO uint8_t PDOR9HL;
              __IO uint8_t PDOR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORA;
        stc_gpio_pdora_field_t PDORA_f;
        struct {
          union {
            __IO uint16_t PDORAL;
            struct {
              __IO uint8_t PDORALL;
              __IO uint8_t PDORALH;
            };
          };
          union {
            __IO uint16_t PDORAH;
            struct {
              __IO uint8_t PDORAHL;
              __IO uint8_t PDORAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORB;
        stc_gpio_pdorb_field_t PDORB_f;
        struct {
          union {
            __IO uint16_t PDORBL;
            struct {
              __IO uint8_t PDORBLL;
              __IO uint8_t PDORBLH;
            };
          };
          union {
            __IO uint16_t PDORBH;
            struct {
              __IO uint8_t PDORBHL;
              __IO uint8_t PDORBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORC;
        stc_gpio_pdorc_field_t PDORC_f;
        struct {
          union {
            __IO uint16_t PDORCL;
            struct {
              __IO uint8_t PDORCLL;
              __IO uint8_t PDORCLH;
            };
          };
          union {
            __IO uint16_t PDORCH;
            struct {
              __IO uint8_t PDORCHL;
              __IO uint8_t PDORCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORD;
        stc_gpio_pdord_field_t PDORD_f;
        struct {
          union {
            __IO uint16_t PDORDL;
            struct {
              __IO uint8_t PDORDLL;
              __IO uint8_t PDORDLH;
            };
          };
          union {
            __IO uint16_t PDORDH;
            struct {
              __IO uint8_t PDORDHL;
              __IO uint8_t PDORDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORE;
        stc_gpio_pdore_field_t PDORE_f;
        struct {
          union {
            __IO uint16_t PDOREL;
            struct {
              __IO uint8_t PDORELL;
              __IO uint8_t PDORELH;
            };
          };
          union {
            __IO uint16_t PDOREH;
            struct {
              __IO uint8_t PDOREHL;
              __IO uint8_t PDOREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORF;
        stc_gpio_pdorf_field_t PDORF_f;
        struct {
          union {
            __IO uint16_t PDORFL;
            struct {
              __IO uint8_t PDORFLL;
              __IO uint8_t PDORFLH;
            };
          };
          union {
            __IO uint16_t PDORFH;
            struct {
              __IO uint8_t PDORFHL;
              __IO uint8_t PDORFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED5[192];
    union {
        __IO uint32_t ADE;
        stc_gpio_ade_field_t ADE_f;
        struct {
          union {
            __IO uint16_t ADEL;
            struct {
              __IO uint8_t ADELL;
              __IO uint8_t ADELH;
            };
          };
          union {
            __IO uint16_t ADEH;
            struct {
              __IO uint8_t ADEHL;
              __IO uint8_t ADEHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED6[124];
    union {
        __IO uint32_t SPSR;
        stc_gpio_spsr_field_t SPSR_f;
        struct {
          union {
            __IO uint16_t SPSRL;
            struct {
              __IO uint8_t SPSRLL;
              __IO uint8_t SPSRLH;
            };
          };
          union {
            __IO uint16_t SPSRH;
            struct {
              __IO uint8_t SPSRHL;
              __IO uint8_t SPSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED7[124];
    union {
        __IO uint32_t EPFR00;
        stc_gpio_epfr00_field_t EPFR00_f;
        struct {
          union {
            __IO uint16_t EPFR00L;
            struct {
              __IO uint8_t EPFR00LL;
              __IO uint8_t EPFR00LH;
            };
          };
          union {
            __IO uint16_t EPFR00H;
            struct {
              __IO uint8_t EPFR00HL;
              __IO uint8_t EPFR00HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR01;
        stc_gpio_epfr01_field_t EPFR01_f;
        struct {
          union {
            __IO uint16_t EPFR01L;
            struct {
              __IO uint8_t EPFR01LL;
              __IO uint8_t EPFR01LH;
            };
          };
          union {
            __IO uint16_t EPFR01H;
            struct {
              __IO uint8_t EPFR01HL;
              __IO uint8_t EPFR01HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR02;
        stc_gpio_epfr02_field_t EPFR02_f;
        struct {
          union {
            __IO uint16_t EPFR02L;
            struct {
              __IO uint8_t EPFR02LL;
              __IO uint8_t EPFR02LH;
            };
          };
          union {
            __IO uint16_t EPFR02H;
            struct {
              __IO uint8_t EPFR02HL;
              __IO uint8_t EPFR02HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR03;
        stc_gpio_epfr03_field_t EPFR03_f;
        struct {
          union {
            __IO uint16_t EPFR03L;
            struct {
              __IO uint8_t EPFR03LL;
              __IO uint8_t EPFR03LH;
            };
          };
          union {
            __IO uint16_t EPFR03H;
            struct {
              __IO uint8_t EPFR03HL;
              __IO uint8_t EPFR03HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR04;
        stc_gpio_epfr04_field_t EPFR04_f;
        struct {
          union {
            __IO uint16_t EPFR04L;
            struct {
              __IO uint8_t EPFR04LL;
              __IO uint8_t EPFR04LH;
            };
          };
          union {
            __IO uint16_t EPFR04H;
            struct {
              __IO uint8_t EPFR04HL;
              __IO uint8_t EPFR04HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR05;
        stc_gpio_epfr05_field_t EPFR05_f;
        struct {
          union {
            __IO uint16_t EPFR05L;
            struct {
              __IO uint8_t EPFR05LL;
              __IO uint8_t EPFR05LH;
            };
          };
          union {
            __IO uint16_t EPFR05H;
            struct {
              __IO uint8_t EPFR05HL;
              __IO uint8_t EPFR05HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR06;
        stc_gpio_epfr06_field_t EPFR06_f;
        struct {
          union {
            __IO uint16_t EPFR06L;
            struct {
              __IO uint8_t EPFR06LL;
              __IO uint8_t EPFR06LH;
            };
          };
          union {
            __IO uint16_t EPFR06H;
            struct {
              __IO uint8_t EPFR06HL;
              __IO uint8_t EPFR06HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR07;
        stc_gpio_epfr07_field_t EPFR07_f;
        struct {
          union {
            __IO uint16_t EPFR07L;
            struct {
              __IO uint8_t EPFR07LL;
              __IO uint8_t EPFR07LH;
            };
          };
          union {
            __IO uint16_t EPFR07H;
            struct {
              __IO uint8_t EPFR07HL;
              __IO uint8_t EPFR07HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR08;
        stc_gpio_epfr08_field_t EPFR08_f;
        struct {
          union {
            __IO uint16_t EPFR08L;
            struct {
              __IO uint8_t EPFR08LL;
              __IO uint8_t EPFR08LH;
            };
          };
          union {
            __IO uint16_t EPFR08H;
            struct {
              __IO uint8_t EPFR08HL;
              __IO uint8_t EPFR08HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR09;
        stc_gpio_epfr09_field_t EPFR09_f;
        struct {
          union {
            __IO uint16_t EPFR09L;
            struct {
              __IO uint8_t EPFR09LL;
              __IO uint8_t EPFR09LH;
            };
          };
          union {
            __IO uint16_t EPFR09H;
            struct {
              __IO uint8_t EPFR09HL;
              __IO uint8_t EPFR09HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR10;
        stc_gpio_epfr10_field_t EPFR10_f;
        struct {
          union {
            __IO uint16_t EPFR10L;
            struct {
              __IO uint8_t EPFR10LL;
              __IO uint8_t EPFR10LH;
            };
          };
          union {
            __IO uint16_t EPFR10H;
            struct {
              __IO uint8_t EPFR10HL;
              __IO uint8_t EPFR10HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR11;
        stc_gpio_epfr11_field_t EPFR11_f;
        struct {
          union {
            __IO uint16_t EPFR11L;
            struct {
              __IO uint8_t EPFR11LL;
              __IO uint8_t EPFR11LH;
            };
          };
          union {
            __IO uint16_t EPFR11H;
            struct {
              __IO uint8_t EPFR11HL;
              __IO uint8_t EPFR11HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR12;
        stc_gpio_epfr12_field_t EPFR12_f;
        struct {
          union {
            __IO uint16_t EPFR12L;
            struct {
              __IO uint8_t EPFR12LL;
              __IO uint8_t EPFR12LH;
            };
          };
          union {
            __IO uint16_t EPFR12H;
            struct {
              __IO uint8_t EPFR12HL;
              __IO uint8_t EPFR12HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR13;
        stc_gpio_epfr13_field_t EPFR13_f;
        struct {
          union {
            __IO uint16_t EPFR13L;
            struct {
              __IO uint8_t EPFR13LL;
              __IO uint8_t EPFR13LH;
            };
          };
          union {
            __IO uint16_t EPFR13H;
            struct {
              __IO uint8_t EPFR13HL;
              __IO uint8_t EPFR13HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR14;
        stc_gpio_epfr14_field_t EPFR14_f;
        struct {
          union {
            __IO uint16_t EPFR14L;
            struct {
              __IO uint8_t EPFR14LL;
              __IO uint8_t EPFR14LH;
            };
          };
          union {
            __IO uint16_t EPFR14H;
            struct {
              __IO uint8_t EPFR14HL;
              __IO uint8_t EPFR14HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR15;
        stc_gpio_epfr15_field_t EPFR15_f;
        struct {
          union {
            __IO uint16_t EPFR15L;
            struct {
              __IO uint8_t EPFR15LL;
              __IO uint8_t EPFR15LH;
            };
          };
          union {
            __IO uint16_t EPFR15H;
            struct {
              __IO uint8_t EPFR15HL;
              __IO uint8_t EPFR15HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR16;
        stc_gpio_epfr16_field_t EPFR16_f;
        struct {
          union {
            __IO uint16_t EPFR16L;
            struct {
              __IO uint8_t EPFR16LL;
              __IO uint8_t EPFR16LH;
            };
          };
          union {
            __IO uint16_t EPFR16H;
            struct {
              __IO uint8_t EPFR16HL;
              __IO uint8_t EPFR16HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR17;
        stc_gpio_epfr17_field_t EPFR17_f;
        struct {
          union {
            __IO uint16_t EPFR17L;
            struct {
              __IO uint8_t EPFR17LL;
              __IO uint8_t EPFR17LH;
            };
          };
          union {
            __IO uint16_t EPFR17H;
            struct {
              __IO uint8_t EPFR17HL;
              __IO uint8_t EPFR17HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR18;
        stc_gpio_epfr18_field_t EPFR18_f;
        struct {
          union {
            __IO uint16_t EPFR18L;
            struct {
              __IO uint8_t EPFR18LL;
              __IO uint8_t EPFR18LH;
            };
          };
          union {
            __IO uint16_t EPFR18H;
            struct {
              __IO uint8_t EPFR18HL;
              __IO uint8_t EPFR18HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED8[180];
    union {
        __IO uint32_t PZR0;
        stc_gpio_pzr0_field_t PZR0_f;
        struct {
          union {
            __IO uint16_t PZR0L;
            struct {
              __IO uint8_t PZR0LL;
              __IO uint8_t PZR0LH;
            };
          };
          union {
            __IO uint16_t PZR0H;
            struct {
              __IO uint8_t PZR0HL;
              __IO uint8_t PZR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR1;
        stc_gpio_pzr1_field_t PZR1_f;
        struct {
          union {
            __IO uint16_t PZR1L;
            struct {
              __IO uint8_t PZR1LL;
              __IO uint8_t PZR1LH;
            };
          };
          union {
            __IO uint16_t PZR1H;
            struct {
              __IO uint8_t PZR1HL;
              __IO uint8_t PZR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR2;
        stc_gpio_pzr2_field_t PZR2_f;
        struct {
          union {
            __IO uint16_t PZR2L;
            struct {
              __IO uint8_t PZR2LL;
              __IO uint8_t PZR2LH;
            };
          };
          union {
            __IO uint16_t PZR2H;
            struct {
              __IO uint8_t PZR2HL;
              __IO uint8_t PZR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR3;
        stc_gpio_pzr3_field_t PZR3_f;
        struct {
          union {
            __IO uint16_t PZR3L;
            struct {
              __IO uint8_t PZR3LL;
              __IO uint8_t PZR3LH;
            };
          };
          union {
            __IO uint16_t PZR3H;
            struct {
              __IO uint8_t PZR3HL;
              __IO uint8_t PZR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR4;
        stc_gpio_pzr4_field_t PZR4_f;
        struct {
          union {
            __IO uint16_t PZR4L;
            struct {
              __IO uint8_t PZR4LL;
              __IO uint8_t PZR4LH;
            };
          };
          union {
            __IO uint16_t PZR4H;
            struct {
              __IO uint8_t PZR4HL;
              __IO uint8_t PZR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR5;
        stc_gpio_pzr5_field_t PZR5_f;
        struct {
          union {
            __IO uint16_t PZR5L;
            struct {
              __IO uint8_t PZR5LL;
              __IO uint8_t PZR5LH;
            };
          };
          union {
            __IO uint16_t PZR5H;
            struct {
              __IO uint8_t PZR5HL;
              __IO uint8_t PZR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR6;
        stc_gpio_pzr6_field_t PZR6_f;
        struct {
          union {
            __IO uint16_t PZR6L;
            struct {
              __IO uint8_t PZR6LL;
              __IO uint8_t PZR6LH;
            };
          };
          union {
            __IO uint16_t PZR6H;
            struct {
              __IO uint8_t PZR6HL;
              __IO uint8_t PZR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR7;
        stc_gpio_pzr7_field_t PZR7_f;
        struct {
          union {
            __IO uint16_t PZR7L;
            struct {
              __IO uint8_t PZR7LL;
              __IO uint8_t PZR7LH;
            };
          };
          union {
            __IO uint16_t PZR7H;
            struct {
              __IO uint8_t PZR7HL;
              __IO uint8_t PZR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR8;
        stc_gpio_pzr8_field_t PZR8_f;
        struct {
          union {
            __IO uint16_t PZR8L;
            struct {
              __IO uint8_t PZR8LL;
              __IO uint8_t PZR8LH;
            };
          };
          union {
            __IO uint16_t PZR8H;
            struct {
              __IO uint8_t PZR8HL;
              __IO uint8_t PZR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR9;
        stc_gpio_pzr9_field_t PZR9_f;
        struct {
          union {
            __IO uint16_t PZR9L;
            struct {
              __IO uint8_t PZR9LL;
              __IO uint8_t PZR9LH;
            };
          };
          union {
            __IO uint16_t PZR9H;
            struct {
              __IO uint8_t PZR9HL;
              __IO uint8_t PZR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRA;
        stc_gpio_pzra_field_t PZRA_f;
        struct {
          union {
            __IO uint16_t PZRAL;
            struct {
              __IO uint8_t PZRALL;
              __IO uint8_t PZRALH;
            };
          };
          union {
            __IO uint16_t PZRAH;
            struct {
              __IO uint8_t PZRAHL;
              __IO uint8_t PZRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRB;
        stc_gpio_pzrb_field_t PZRB_f;
        struct {
          union {
            __IO uint16_t PZRBL;
            struct {
              __IO uint8_t PZRBLL;
              __IO uint8_t PZRBLH;
            };
          };
          union {
            __IO uint16_t PZRBH;
            struct {
              __IO uint8_t PZRBHL;
              __IO uint8_t PZRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRC;
        stc_gpio_pzrc_field_t PZRC_f;
        struct {
          union {
            __IO uint16_t PZRCL;
            struct {
              __IO uint8_t PZRCLL;
              __IO uint8_t PZRCLH;
            };
          };
          union {
            __IO uint16_t PZRCH;
            struct {
              __IO uint8_t PZRCHL;
              __IO uint8_t PZRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRD;
        stc_gpio_pzrd_field_t PZRD_f;
        struct {
          union {
            __IO uint16_t PZRDL;
            struct {
              __IO uint8_t PZRDLL;
              __IO uint8_t PZRDLH;
            };
          };
          union {
            __IO uint16_t PZRDH;
            struct {
              __IO uint8_t PZRDHL;
              __IO uint8_t PZRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRE;
        stc_gpio_pzre_field_t PZRE_f;
        struct {
          union {
            __IO uint16_t PZREL;
            struct {
              __IO uint8_t PZRELL;
              __IO uint8_t PZRELH;
            };
          };
          union {
            __IO uint16_t PZREH;
            struct {
              __IO uint8_t PZREHL;
              __IO uint8_t PZREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRF;
        stc_gpio_pzrf_field_t PZRF_f;
        struct {
          union {
            __IO uint16_t PZRFL;
            struct {
              __IO uint8_t PZRFLL;
              __IO uint8_t PZRFLH;
            };
          };
          union {
            __IO uint16_t PZRFH;
            struct {
              __IO uint8_t PZRFHL;
              __IO uint8_t PZRFHH;
            };
          };
        };
    };
} FM_GPIO_TypeDef, FM3_GPIO_TypeDef;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDG_LDR;
        struct {
          union {
            __IO uint16_t WDG_LDRL;
            struct {
              __IO uint8_t WDG_LDRLL;
              __IO uint8_t WDG_LDRLH;
            };
          };
          union {
            __IO uint16_t WDG_LDRH;
            struct {
              __IO uint8_t WDG_LDRHL;
              __IO uint8_t WDG_LDRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_VLR;
        struct {
          union {
            __IO uint16_t WDG_VLRL;
            struct {
              __IO uint8_t WDG_VLRLL;
              __IO uint8_t WDG_VLRLH;
            };
          };
          union {
            __IO uint16_t WDG_VLRH;
            struct {
              __IO uint8_t WDG_VLRHL;
              __IO uint8_t WDG_VLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_CTL;
        stc_hwwdt_wdg_ctl_field_t WDG_CTL_f;
        struct {
          union {
            __IO uint16_t WDG_CTLL;
            struct {
              __IO uint8_t WDG_CTLLL;
              __IO uint8_t WDG_CTLLH;
            };
          };
          union {
            __IO uint16_t WDG_CTLH;
            struct {
              __IO uint8_t WDG_CTLHL;
              __IO uint8_t WDG_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_ICL;
        struct {
          union {
            __IO uint16_t WDG_ICLL;
            struct {
              __IO uint8_t WDG_ICLLL;
              __IO uint8_t WDG_ICLLH;
            };
          };
          union {
            __IO uint16_t WDG_ICLH;
            struct {
              __IO uint8_t WDG_ICLHL;
              __IO uint8_t WDG_ICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_RIS;
        stc_hwwdt_wdg_ris_field_t WDG_RIS_f;
        struct {
          union {
            __IO uint16_t WDG_RISL;
            struct {
              __IO uint8_t WDG_RISLL;
              __IO uint8_t WDG_RISLH;
            };
          };
          union {
            __IO uint16_t WDG_RISH;
            struct {
              __IO uint8_t WDG_RISHL;
              __IO uint8_t WDG_RISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[3052];
    union {
        __IO uint32_t WDG_LCK;
        struct {
          union {
            __IO uint16_t WDG_LCKL;
            struct {
              __IO uint8_t WDG_LCKLL;
              __IO uint8_t WDG_LCKLH;
            };
          };
          union {
            __IO uint16_t WDG_LCKH;
            struct {
              __IO uint8_t WDG_LCKHL;
              __IO uint8_t WDG_LCKHH;
            };
          };
        };
    };
} FM_HWWDT_TypeDef, FM3_HWWDT_TypeDef;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DRQSEL;
        stc_intreq_drqsel_field_t DRQSEL_f;
        struct {
          union {
            __IO uint16_t DRQSELL;
            struct {
              __IO uint8_t DRQSELLL;
              __IO uint8_t DRQSELLH;
            };
          };
          union {
            __IO uint16_t DRQSELH;
            struct {
              __IO uint8_t DRQSELHL;
              __IO uint8_t DRQSELHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[7];
    union {
        __IO  uint8_t ODDPKS;
        stc_intreq_oddpks_field_t ODDPKS_f;
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t EXC02MON;
        stc_intreq_exc02mon_field_t EXC02MON_f;
        struct {
          union {
            __IO uint16_t EXC02MONL;
            struct {
              __IO uint8_t EXC02MONLL;
              __IO uint8_t EXC02MONLH;
            };
          };
          union {
            __IO uint16_t EXC02MONH;
            struct {
              __IO uint8_t EXC02MONHL;
              __IO uint8_t EXC02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ00MON;
        stc_intreq_irq00mon_field_t IRQ00MON_f;
        struct {
          union {
            __IO uint16_t IRQ00MONL;
            struct {
              __IO uint8_t IRQ00MONLL;
              __IO uint8_t IRQ00MONLH;
            };
          };
          union {
            __IO uint16_t IRQ00MONH;
            struct {
              __IO uint8_t IRQ00MONHL;
              __IO uint8_t IRQ00MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ01MON;
        stc_intreq_irq01mon_field_t IRQ01MON_f;
        struct {
          union {
            __IO uint16_t IRQ01MONL;
            struct {
              __IO uint8_t IRQ01MONLL;
              __IO uint8_t IRQ01MONLH;
            };
          };
          union {
            __IO uint16_t IRQ01MONH;
            struct {
              __IO uint8_t IRQ01MONHL;
              __IO uint8_t IRQ01MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ02MON;
        stc_intreq_irq02mon_field_t IRQ02MON_f;
        struct {
          union {
            __IO uint16_t IRQ02MONL;
            struct {
              __IO uint8_t IRQ02MONLL;
              __IO uint8_t IRQ02MONLH;
            };
          };
          union {
            __IO uint16_t IRQ02MONH;
            struct {
              __IO uint8_t IRQ02MONHL;
              __IO uint8_t IRQ02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ03MON;
        stc_intreq_irq03mon_field_t IRQ03MON_f;
        struct {
          union {
            __IO uint16_t IRQ03MONL;
            struct {
              __IO uint8_t IRQ03MONLL;
              __IO uint8_t IRQ03MONLH;
            };
          };
          union {
            __IO uint16_t IRQ03MONH;
            struct {
              __IO uint8_t IRQ03MONHL;
              __IO uint8_t IRQ03MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ04MON;
        stc_intreq_irq04mon_field_t IRQ04MON_f;
        struct {
          union {
            __IO uint16_t IRQ04MONL;
            struct {
              __IO uint8_t IRQ04MONLL;
              __IO uint8_t IRQ04MONLH;
            };
          };
          union {
            __IO uint16_t IRQ04MONH;
            struct {
              __IO uint8_t IRQ04MONHL;
              __IO uint8_t IRQ04MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ05MON;
        stc_intreq_irq05mon_field_t IRQ05MON_f;
        struct {
          union {
            __IO uint16_t IRQ05MONL;
            struct {
              __IO uint8_t IRQ05MONLL;
              __IO uint8_t IRQ05MONLH;
            };
          };
          union {
            __IO uint16_t IRQ05MONH;
            struct {
              __IO uint8_t IRQ05MONHL;
              __IO uint8_t IRQ05MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ06MON;
        stc_intreq_irq06mon_field_t IRQ06MON_f;
        struct {
          union {
            __IO uint16_t IRQ06MONL;
            struct {
              __IO uint8_t IRQ06MONLL;
              __IO uint8_t IRQ06MONLH;
            };
          };
          union {
            __IO uint16_t IRQ06MONH;
            struct {
              __IO uint8_t IRQ06MONHL;
              __IO uint8_t IRQ06MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ07MON;
        stc_intreq_irq07mon_field_t IRQ07MON_f;
        struct {
          union {
            __IO uint16_t IRQ07MONL;
            struct {
              __IO uint8_t IRQ07MONLL;
              __IO uint8_t IRQ07MONLH;
            };
          };
          union {
            __IO uint16_t IRQ07MONH;
            struct {
              __IO uint8_t IRQ07MONHL;
              __IO uint8_t IRQ07MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ08MON;
        stc_intreq_irq08mon_field_t IRQ08MON_f;
        struct {
          union {
            __IO uint16_t IRQ08MONL;
            struct {
              __IO uint8_t IRQ08MONLL;
              __IO uint8_t IRQ08MONLH;
            };
          };
          union {
            __IO uint16_t IRQ08MONH;
            struct {
              __IO uint8_t IRQ08MONHL;
              __IO uint8_t IRQ08MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ09MON;
        stc_intreq_irq09mon_field_t IRQ09MON_f;
        struct {
          union {
            __IO uint16_t IRQ09MONL;
            struct {
              __IO uint8_t IRQ09MONLL;
              __IO uint8_t IRQ09MONLH;
            };
          };
          union {
            __IO uint16_t IRQ09MONH;
            struct {
              __IO uint8_t IRQ09MONHL;
              __IO uint8_t IRQ09MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ10MON;
        stc_intreq_irq10mon_field_t IRQ10MON_f;
        struct {
          union {
            __IO uint16_t IRQ10MONL;
            struct {
              __IO uint8_t IRQ10MONLL;
              __IO uint8_t IRQ10MONLH;
            };
          };
          union {
            __IO uint16_t IRQ10MONH;
            struct {
              __IO uint8_t IRQ10MONHL;
              __IO uint8_t IRQ10MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ11MON;
        stc_intreq_irq11mon_field_t IRQ11MON_f;
        struct {
          union {
            __IO uint16_t IRQ11MONL;
            struct {
              __IO uint8_t IRQ11MONLL;
              __IO uint8_t IRQ11MONLH;
            };
          };
          union {
            __IO uint16_t IRQ11MONH;
            struct {
              __IO uint8_t IRQ11MONHL;
              __IO uint8_t IRQ11MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ12MON;
        stc_intreq_irq12mon_field_t IRQ12MON_f;
        struct {
          union {
            __IO uint16_t IRQ12MONL;
            struct {
              __IO uint8_t IRQ12MONLL;
              __IO uint8_t IRQ12MONLH;
            };
          };
          union {
            __IO uint16_t IRQ12MONH;
            struct {
              __IO uint8_t IRQ12MONHL;
              __IO uint8_t IRQ12MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ13MON;
        stc_intreq_irq13mon_field_t IRQ13MON_f;
        struct {
          union {
            __IO uint16_t IRQ13MONL;
            struct {
              __IO uint8_t IRQ13MONLL;
              __IO uint8_t IRQ13MONLH;
            };
          };
          union {
            __IO uint16_t IRQ13MONH;
            struct {
              __IO uint8_t IRQ13MONHL;
              __IO uint8_t IRQ13MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ14MON;
        stc_intreq_irq14mon_field_t IRQ14MON_f;
        struct {
          union {
            __IO uint16_t IRQ14MONL;
            struct {
              __IO uint8_t IRQ14MONLL;
              __IO uint8_t IRQ14MONLH;
            };
          };
          union {
            __IO uint16_t IRQ14MONH;
            struct {
              __IO uint8_t IRQ14MONHL;
              __IO uint8_t IRQ14MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ15MON;
        stc_intreq_irq15mon_field_t IRQ15MON_f;
        struct {
          union {
            __IO uint16_t IRQ15MONL;
            struct {
              __IO uint8_t IRQ15MONLL;
              __IO uint8_t IRQ15MONLH;
            };
          };
          union {
            __IO uint16_t IRQ15MONH;
            struct {
              __IO uint8_t IRQ15MONHL;
              __IO uint8_t IRQ15MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ16MON;
        stc_intreq_irq16mon_field_t IRQ16MON_f;
        struct {
          union {
            __IO uint16_t IRQ16MONL;
            struct {
              __IO uint8_t IRQ16MONLL;
              __IO uint8_t IRQ16MONLH;
            };
          };
          union {
            __IO uint16_t IRQ16MONH;
            struct {
              __IO uint8_t IRQ16MONHL;
              __IO uint8_t IRQ16MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ17MON;
        stc_intreq_irq17mon_field_t IRQ17MON_f;
        struct {
          union {
            __IO uint16_t IRQ17MONL;
            struct {
              __IO uint8_t IRQ17MONLL;
              __IO uint8_t IRQ17MONLH;
            };
          };
          union {
            __IO uint16_t IRQ17MONH;
            struct {
              __IO uint8_t IRQ17MONHL;
              __IO uint8_t IRQ17MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ18MON;
        stc_intreq_irq18mon_field_t IRQ18MON_f;
        struct {
          union {
            __IO uint16_t IRQ18MONL;
            struct {
              __IO uint8_t IRQ18MONLL;
              __IO uint8_t IRQ18MONLH;
            };
          };
          union {
            __IO uint16_t IRQ18MONH;
            struct {
              __IO uint8_t IRQ18MONHL;
              __IO uint8_t IRQ18MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ19MON;
        stc_intreq_irq19mon_field_t IRQ19MON_f;
        struct {
          union {
            __IO uint16_t IRQ19MONL;
            struct {
              __IO uint8_t IRQ19MONLL;
              __IO uint8_t IRQ19MONLH;
            };
          };
          union {
            __IO uint16_t IRQ19MONH;
            struct {
              __IO uint8_t IRQ19MONHL;
              __IO uint8_t IRQ19MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ20MON;
        stc_intreq_irq20mon_field_t IRQ20MON_f;
        struct {
          union {
            __IO uint16_t IRQ20MONL;
            struct {
              __IO uint8_t IRQ20MONLL;
              __IO uint8_t IRQ20MONLH;
            };
          };
          union {
            __IO uint16_t IRQ20MONH;
            struct {
              __IO uint8_t IRQ20MONHL;
              __IO uint8_t IRQ20MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ21MON;
        stc_intreq_irq21mon_field_t IRQ21MON_f;
        struct {
          union {
            __IO uint16_t IRQ21MONL;
            struct {
              __IO uint8_t IRQ21MONLL;
              __IO uint8_t IRQ21MONLH;
            };
          };
          union {
            __IO uint16_t IRQ21MONH;
            struct {
              __IO uint8_t IRQ21MONHL;
              __IO uint8_t IRQ21MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ22MON;
        stc_intreq_irq22mon_field_t IRQ22MON_f;
        struct {
          union {
            __IO uint16_t IRQ22MONL;
            struct {
              __IO uint8_t IRQ22MONLL;
              __IO uint8_t IRQ22MONLH;
            };
          };
          union {
            __IO uint16_t IRQ22MONH;
            struct {
              __IO uint8_t IRQ22MONHL;
              __IO uint8_t IRQ22MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ23MON;
        stc_intreq_irq23mon_field_t IRQ23MON_f;
        struct {
          union {
            __IO uint16_t IRQ23MONL;
            struct {
              __IO uint8_t IRQ23MONLL;
              __IO uint8_t IRQ23MONLH;
            };
          };
          union {
            __IO uint16_t IRQ23MONH;
            struct {
              __IO uint8_t IRQ23MONHL;
              __IO uint8_t IRQ23MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ24MON;
        stc_intreq_irq24mon_field_t IRQ24MON_f;
        struct {
          union {
            __IO uint16_t IRQ24MONL;
            struct {
              __IO uint8_t IRQ24MONLL;
              __IO uint8_t IRQ24MONLH;
            };
          };
          union {
            __IO uint16_t IRQ24MONH;
            struct {
              __IO uint8_t IRQ24MONHL;
              __IO uint8_t IRQ24MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ25MON;
        stc_intreq_irq25mon_field_t IRQ25MON_f;
        struct {
          union {
            __IO uint16_t IRQ25MONL;
            struct {
              __IO uint8_t IRQ25MONLL;
              __IO uint8_t IRQ25MONLH;
            };
          };
          union {
            __IO uint16_t IRQ25MONH;
            struct {
              __IO uint8_t IRQ25MONHL;
              __IO uint8_t IRQ25MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ26MON;
        stc_intreq_irq26mon_field_t IRQ26MON_f;
        struct {
          union {
            __IO uint16_t IRQ26MONL;
            struct {
              __IO uint8_t IRQ26MONLL;
              __IO uint8_t IRQ26MONLH;
            };
          };
          union {
            __IO uint16_t IRQ26MONH;
            struct {
              __IO uint8_t IRQ26MONHL;
              __IO uint8_t IRQ26MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ27MON;
        stc_intreq_irq27mon_field_t IRQ27MON_f;
        struct {
          union {
            __IO uint16_t IRQ27MONL;
            struct {
              __IO uint8_t IRQ27MONLL;
              __IO uint8_t IRQ27MONLH;
            };
          };
          union {
            __IO uint16_t IRQ27MONH;
            struct {
              __IO uint8_t IRQ27MONHL;
              __IO uint8_t IRQ27MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ28MON;
        stc_intreq_irq28mon_field_t IRQ28MON_f;
        struct {
          union {
            __IO uint16_t IRQ28MONL;
            struct {
              __IO uint8_t IRQ28MONLL;
              __IO uint8_t IRQ28MONLH;
            };
          };
          union {
            __IO uint16_t IRQ28MONH;
            struct {
              __IO uint8_t IRQ28MONHL;
              __IO uint8_t IRQ28MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ29MON;
        stc_intreq_irq29mon_field_t IRQ29MON_f;
        struct {
          union {
            __IO uint16_t IRQ29MONL;
            struct {
              __IO uint8_t IRQ29MONLL;
              __IO uint8_t IRQ29MONLH;
            };
          };
          union {
            __IO uint16_t IRQ29MONH;
            struct {
              __IO uint8_t IRQ29MONHL;
              __IO uint8_t IRQ29MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ30MON;
        stc_intreq_irq30mon_field_t IRQ30MON_f;
        struct {
          union {
            __IO uint16_t IRQ30MONL;
            struct {
              __IO uint8_t IRQ30MONLL;
              __IO uint8_t IRQ30MONLH;
            };
          };
          union {
            __IO uint16_t IRQ30MONH;
            struct {
              __IO uint8_t IRQ30MONHL;
              __IO uint8_t IRQ30MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ31MON;
        stc_intreq_irq31mon_field_t IRQ31MON_f;
        struct {
          union {
            __IO uint16_t IRQ31MONL;
            struct {
              __IO uint8_t IRQ31MONLL;
              __IO uint8_t IRQ31MONLH;
            };
          };
          union {
            __IO uint16_t IRQ31MONH;
            struct {
              __IO uint8_t IRQ31MONHL;
              __IO uint8_t IRQ31MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ32MON;
        stc_intreq_irq32mon_field_t IRQ32MON_f;
        struct {
          union {
            __IO uint16_t IRQ32MONL;
            struct {
              __IO uint8_t IRQ32MONLL;
              __IO uint8_t IRQ32MONLH;
            };
          };
          union {
            __IO uint16_t IRQ32MONH;
            struct {
              __IO uint8_t IRQ32MONHL;
              __IO uint8_t IRQ32MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ33MON;
        stc_intreq_irq33mon_field_t IRQ33MON_f;
        struct {
          union {
            __IO uint16_t IRQ33MONL;
            struct {
              __IO uint8_t IRQ33MONLL;
              __IO uint8_t IRQ33MONLH;
            };
          };
          union {
            __IO uint16_t IRQ33MONH;
            struct {
              __IO uint8_t IRQ33MONHL;
              __IO uint8_t IRQ33MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ34MON;
        stc_intreq_irq34mon_field_t IRQ34MON_f;
        struct {
          union {
            __IO uint16_t IRQ34MONL;
            struct {
              __IO uint8_t IRQ34MONLL;
              __IO uint8_t IRQ34MONLH;
            };
          };
          union {
            __IO uint16_t IRQ34MONH;
            struct {
              __IO uint8_t IRQ34MONHL;
              __IO uint8_t IRQ34MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ35MON;
        stc_intreq_irq35mon_field_t IRQ35MON_f;
        struct {
          union {
            __IO uint16_t IRQ35MONL;
            struct {
              __IO uint8_t IRQ35MONLL;
              __IO uint8_t IRQ35MONLH;
            };
          };
          union {
            __IO uint16_t IRQ35MONH;
            struct {
              __IO uint8_t IRQ35MONHL;
              __IO uint8_t IRQ35MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ36MON;
        stc_intreq_irq36mon_field_t IRQ36MON_f;
        struct {
          union {
            __IO uint16_t IRQ36MONL;
            struct {
              __IO uint8_t IRQ36MONLL;
              __IO uint8_t IRQ36MONLH;
            };
          };
          union {
            __IO uint16_t IRQ36MONH;
            struct {
              __IO uint8_t IRQ36MONHL;
              __IO uint8_t IRQ36MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ37MON;
        stc_intreq_irq37mon_field_t IRQ37MON_f;
        struct {
          union {
            __IO uint16_t IRQ37MONL;
            struct {
              __IO uint8_t IRQ37MONLL;
              __IO uint8_t IRQ37MONLH;
            };
          };
          union {
            __IO uint16_t IRQ37MONH;
            struct {
              __IO uint8_t IRQ37MONHL;
              __IO uint8_t IRQ37MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ38MON;
        stc_intreq_irq38mon_field_t IRQ38MON_f;
        struct {
          union {
            __IO uint16_t IRQ38MONL;
            struct {
              __IO uint8_t IRQ38MONLL;
              __IO uint8_t IRQ38MONLH;
            };
          };
          union {
            __IO uint16_t IRQ38MONH;
            struct {
              __IO uint8_t IRQ38MONHL;
              __IO uint8_t IRQ38MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ39MON;
        stc_intreq_irq39mon_field_t IRQ39MON_f;
        struct {
          union {
            __IO uint16_t IRQ39MONL;
            struct {
              __IO uint8_t IRQ39MONLL;
              __IO uint8_t IRQ39MONLH;
            };
          };
          union {
            __IO uint16_t IRQ39MONH;
            struct {
              __IO uint8_t IRQ39MONHL;
              __IO uint8_t IRQ39MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ40MON;
        stc_intreq_irq40mon_field_t IRQ40MON_f;
        struct {
          union {
            __IO uint16_t IRQ40MONL;
            struct {
              __IO uint8_t IRQ40MONLL;
              __IO uint8_t IRQ40MONLH;
            };
          };
          union {
            __IO uint16_t IRQ40MONH;
            struct {
              __IO uint8_t IRQ40MONHL;
              __IO uint8_t IRQ40MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ41MON;
        stc_intreq_irq41mon_field_t IRQ41MON_f;
        struct {
          union {
            __IO uint16_t IRQ41MONL;
            struct {
              __IO uint8_t IRQ41MONLL;
              __IO uint8_t IRQ41MONLH;
            };
          };
          union {
            __IO uint16_t IRQ41MONH;
            struct {
              __IO uint8_t IRQ41MONHL;
              __IO uint8_t IRQ41MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ42MON;
        stc_intreq_irq42mon_field_t IRQ42MON_f;
        struct {
          union {
            __IO uint16_t IRQ42MONL;
            struct {
              __IO uint8_t IRQ42MONLL;
              __IO uint8_t IRQ42MONLH;
            };
          };
          union {
            __IO uint16_t IRQ42MONH;
            struct {
              __IO uint8_t IRQ42MONHL;
              __IO uint8_t IRQ42MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ43MON;
        stc_intreq_irq43mon_field_t IRQ43MON_f;
        struct {
          union {
            __IO uint16_t IRQ43MONL;
            struct {
              __IO uint8_t IRQ43MONLL;
              __IO uint8_t IRQ43MONLH;
            };
          };
          union {
            __IO uint16_t IRQ43MONH;
            struct {
              __IO uint8_t IRQ43MONHL;
              __IO uint8_t IRQ43MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ44MON;
        stc_intreq_irq44mon_field_t IRQ44MON_f;
        struct {
          union {
            __IO uint16_t IRQ44MONL;
            struct {
              __IO uint8_t IRQ44MONLL;
              __IO uint8_t IRQ44MONLH;
            };
          };
          union {
            __IO uint16_t IRQ44MONH;
            struct {
              __IO uint8_t IRQ44MONHL;
              __IO uint8_t IRQ44MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ45MON;
        stc_intreq_irq45mon_field_t IRQ45MON_f;
        struct {
          union {
            __IO uint16_t IRQ45MONL;
            struct {
              __IO uint8_t IRQ45MONLL;
              __IO uint8_t IRQ45MONLH;
            };
          };
          union {
            __IO uint16_t IRQ45MONH;
            struct {
              __IO uint8_t IRQ45MONHL;
              __IO uint8_t IRQ45MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ46MON;
        stc_intreq_irq46mon_field_t IRQ46MON_f;
        struct {
          union {
            __IO uint16_t IRQ46MONL;
            struct {
              __IO uint8_t IRQ46MONLL;
              __IO uint8_t IRQ46MONLH;
            };
          };
          union {
            __IO uint16_t IRQ46MONH;
            struct {
              __IO uint8_t IRQ46MONHL;
              __IO uint8_t IRQ46MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ47MON;
        stc_intreq_irq47mon_field_t IRQ47MON_f;
        struct {
          union {
            __IO uint16_t IRQ47MONL;
            struct {
              __IO uint8_t IRQ47MONLL;
              __IO uint8_t IRQ47MONLH;
            };
          };
          union {
            __IO uint16_t IRQ47MONH;
            struct {
              __IO uint8_t IRQ47MONHL;
              __IO uint8_t IRQ47MONHH;
            };
          };
        };
    };
} FM_INTREQ_TypeDef, FM3_INTREQ_TypeDef;

/******************************************************************************
 ** LVD_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t LVD_CTL;
        stc_lvd_lvd_ctl_field_t LVD_CTL_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t LVD_STR;
        stc_lvd_lvd_str_field_t LVD_STR_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t LVD_CLR;
        stc_lvd_lvd_clr_field_t LVD_CLR_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint32_t LVD_RLR;
        stc_lvd_lvd_rlr_field_t LVD_RLR_f;
        struct {
          union {
            __IO uint16_t LVD_RLRL;
            struct {
              __IO uint8_t LVD_RLRLL;
              __IO uint8_t LVD_RLRLH;
            };
          };
          union {
            __IO uint16_t LVD_RLRH;
            struct {
              __IO uint8_t LVD_RLRHL;
              __IO uint8_t LVD_RLRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t LVD_STR2;
        stc_lvd_lvd_str2_field_t LVD_STR2_f;
    };
} FM_LVD_TypeDef, FM3_LVD_TypeDef;

/******************************************************************************
 ** MFS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_smr_field_t SMR_f;
        __IO  uint8_t CSIO_SMR;
        stc_mfs_csio_smr_field_t CSIO_SMR_f;
        __IO  uint8_t I2C_SMR;
        stc_mfs_i2c_smr_field_t I2C_SMR_f;
        __IO  uint8_t LIN_SMR;
        stc_mfs_lin_smr_field_t LIN_SMR_f;
        __IO  uint8_t UART_SMR;
        stc_mfs_uart_smr_field_t UART_SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_scr_field_t SCR_f;
        __IO  uint8_t CSIO_SCR;
        stc_mfs_csio_scr_field_t CSIO_SCR_f;
        __IO  uint8_t IBCR;
        stc_mfs_ibcr_field_t IBCR_f;
        __IO  uint8_t I2C_IBCR;
        stc_mfs_i2c_ibcr_field_t I2C_IBCR_f;
        __IO  uint8_t LIN_SCR;
        stc_mfs_lin_scr_field_t LIN_SCR_f;
        __IO  uint8_t UART_SCR;
        stc_mfs_uart_scr_field_t UART_SCR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_escr_field_t ESCR_f;
        __IO  uint8_t CSIO_ESCR;
        stc_mfs_csio_escr_field_t CSIO_ESCR_f;
        __IO  uint8_t IBSR;
        stc_mfs_ibsr_field_t IBSR_f;
        __IO  uint8_t I2C_IBSR;
        stc_mfs_i2c_ibsr_field_t I2C_IBSR_f;
        __IO  uint8_t LIN_ESCR;
        stc_mfs_lin_escr_field_t LIN_ESCR_f;
        __IO  uint8_t UART_ESCR;
        stc_mfs_uart_escr_field_t UART_ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_ssr_field_t SSR_f;
        __IO  uint8_t CSIO_SSR;
        stc_mfs_csio_ssr_field_t CSIO_SSR_f;
        __IO  uint8_t I2C_SSR;
        stc_mfs_i2c_ssr_field_t I2C_SSR_f;
        __IO  uint8_t LIN_SSR;
        stc_mfs_lin_ssr_field_t LIN_SSR_f;
        __IO  uint8_t UART_SSR;
        stc_mfs_uart_ssr_field_t UART_SSR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t CSIO_RDR;
        stc_mfs_csio_rdr_field_t CSIO_RDR_f;
        struct {
            __IO  uint8_t CSIO_RDRL;
            __IO  uint8_t CSIO_RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
        __IO uint16_t CSIO_TDR;
        stc_mfs_csio_tdr_field_t CSIO_TDR_f;
        struct {
            __IO  uint8_t CSIO_TDRL;
            __IO  uint8_t CSIO_TDRH;
        };
        __IO uint16_t I2C_RDR;
        stc_mfs_i2c_rdr_field_t I2C_RDR_f;
        struct {
            __IO  uint8_t I2C_RDRL;
            __IO  uint8_t I2C_RDRH;
        };
        __IO uint16_t I2C_TDR;
        stc_mfs_i2c_tdr_field_t I2C_TDR_f;
        struct {
            __IO  uint8_t I2C_TDRL;
            __IO  uint8_t I2C_TDRH;
        };
        __IO uint16_t LIN_RDR;
        stc_mfs_lin_rdr_field_t LIN_RDR_f;
        struct {
            __IO  uint8_t LIN_RDRL;
            __IO  uint8_t LIN_RDRH;
        };
        __IO uint16_t LIN_TDR;
        stc_mfs_lin_tdr_field_t LIN_TDR_f;
        struct {
            __IO  uint8_t LIN_TDRL;
            __IO  uint8_t LIN_TDRH;
        };
        __IO uint16_t UART_RDR;
        stc_mfs_uart_rdr_field_t UART_RDR_f;
        struct {
            __IO  uint8_t UART_RDRL;
            __IO  uint8_t UART_RDRH;
        };
        __IO uint16_t UART_TDR;
        stc_mfs_uart_tdr_field_t UART_TDR_f;
        struct {
            __IO  uint8_t UART_TDRL;
            __IO  uint8_t UART_TDRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
        __IO uint16_t CSIO_BGR;
        stc_mfs_csio_bgr_field_t CSIO_BGR_f;
        struct {
            __IO  uint8_t CSIO_BGRL;
            __IO  uint8_t CSIO_BGRH;
        };
        __IO uint16_t I2C_BGR;
        stc_mfs_i2c_bgr_field_t I2C_BGR_f;
        struct {
            __IO  uint8_t I2C_BGRL;
            __IO  uint8_t I2C_BGRH;
        };
        __IO uint16_t LIN_BGR;
        stc_mfs_lin_bgr_field_t LIN_BGR_f;
        struct {
            __IO  uint8_t LIN_BGRL;
            __IO  uint8_t LIN_BGRH;
        };
        __IO uint16_t UART_BGR;
        stc_mfs_uart_bgr_field_t UART_BGR_f;
        struct {
            __IO  uint8_t UART_BGRL;
            __IO  uint8_t UART_BGRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_isba_field_t ISBA_f;
        __IO  uint8_t I2C_ISBA;
        stc_mfs_i2c_isba_field_t I2C_ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_ismk_field_t ISMK_f;
        __IO  uint8_t I2C_ISMK;
        stc_mfs_i2c_ismk_field_t I2C_ISMK_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
        __IO uint16_t CSIO_FCR;
        stc_mfs_csio_fcr_field_t CSIO_FCR_f;
        struct {
            __IO  uint8_t CSIO_FCRL;
            __IO  uint8_t CSIO_FCRH;
        };
        __IO uint16_t I2C_FCR;
        stc_mfs_i2c_fcr_field_t I2C_FCR_f;
        struct {
            __IO  uint8_t I2C_FCRL;
            __IO  uint8_t I2C_FCRH;
        };
        __IO uint16_t LIN_FCR;
        stc_mfs_lin_fcr_field_t LIN_FCR_f;
        struct {
            __IO  uint8_t LIN_FCRL;
            __IO  uint8_t LIN_FCRH;
        };
        __IO uint16_t UART_FCR;
        stc_mfs_uart_fcr_field_t UART_FCR_f;
        struct {
            __IO  uint8_t UART_FCRL;
            __IO  uint8_t UART_FCRH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t FBYTE1;
        __IO  uint8_t CSIO_FBYTE1;
        __IO  uint8_t I2C_FBYTE1;
        __IO  uint8_t LIN_FBYTE1;
        __IO  uint8_t UART_FBYTE1;
    };
    union {
        __IO  uint8_t FBYTE2;
        __IO  uint8_t CSIO_FBYTE2;
        __IO  uint8_t I2C_FBYTE2;
        __IO  uint8_t LIN_FBYTE2;
        __IO  uint8_t UART_FBYTE2;
    };
} FM_MFS_TypeDef, FM3_MFS_TypeDef;

/******************************************************************************
 ** MFS_CSIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_csio_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_csio_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_csio_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_csio_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_csio_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_csio_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_csio_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED9[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_csio_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED10[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
} FM_MFS_CSIO_TypeDef, FM3_MFS_CSIO_TypeDef;

/******************************************************************************
 ** MFS_I2C_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_i2c_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t IBCR;
        stc_mfs_i2c_ibcr_field_t IBCR_f;
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO  uint8_t IBSR;
        stc_mfs_i2c_ibsr_field_t IBSR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_i2c_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_i2c_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_i2c_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_i2c_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_i2c_isba_field_t ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_i2c_ismk_field_t ISMK_f;
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_i2c_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED16[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
} FM_MFS_I2C_TypeDef, FM3_MFS_I2C_TypeDef;

/******************************************************************************
 ** MFS_LIN_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_lin_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_lin_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_lin_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_lin_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_lin_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_lin_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED19[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_lin_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED20[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_lin_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED21[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
} FM_MFS_LIN_TypeDef, FM3_MFS_LIN_TypeDef;

/******************************************************************************
 ** MFS_UART_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_uart_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_uart_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_uart_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_uart_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED23[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_uart_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_uart_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_uart_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED25[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_uart_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED26[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
} FM_MFS_UART_TypeDef, FM3_MFS_UART_TypeDef;

/******************************************************************************
 ** MFS_NFC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t I2CDNF;
        stc_mfs_nfc_i2cdnf_field_t I2CDNF_f;
        struct {
            __IO  uint8_t I2CDNFL;
            __IO  uint8_t I2CDNFH;
        };
    };
} FM_MFS_NFC_TypeDef, FM3_MFS_NFC_TypeDef;

/******************************************************************************
 ** MFT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t OCCP0;
        struct {
            __IO  uint8_t OCCP0L;
            __IO  uint8_t OCCP0H;
        };
        __IO uint16_t OCU_OCCP0;
        struct {
            __IO  uint8_t OCU_OCCP0L;
            __IO  uint8_t OCU_OCCP0H;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t OCCP1;
        struct {
            __IO  uint8_t OCCP1L;
            __IO  uint8_t OCCP1H;
        };
        __IO uint16_t OCU_OCCP1;
        struct {
            __IO  uint8_t OCU_OCCP1L;
            __IO  uint8_t OCU_OCCP1H;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t OCCP2;
        struct {
            __IO  uint8_t OCCP2L;
            __IO  uint8_t OCCP2H;
        };
        __IO uint16_t OCU_OCCP2;
        struct {
            __IO  uint8_t OCU_OCCP2L;
            __IO  uint8_t OCU_OCCP2H;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t OCCP3;
        struct {
            __IO  uint8_t OCCP3L;
            __IO  uint8_t OCCP3H;
        };
        __IO uint16_t OCU_OCCP3;
        struct {
            __IO  uint8_t OCU_OCCP3L;
            __IO  uint8_t OCU_OCCP3H;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t OCCP4;
        struct {
            __IO  uint8_t OCCP4L;
            __IO  uint8_t OCCP4H;
        };
        __IO uint16_t OCU_OCCP4;
        struct {
            __IO  uint8_t OCU_OCCP4L;
            __IO  uint8_t OCU_OCCP4H;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t OCCP5;
        struct {
            __IO  uint8_t OCCP5L;
            __IO  uint8_t OCCP5H;
        };
        __IO uint16_t OCU_OCCP5;
        struct {
            __IO  uint8_t OCU_OCCP5L;
            __IO  uint8_t OCU_OCCP5H;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t OCSA10;
        stc_mft_ocsa10_field_t OCSA10_f;
        __IO  uint8_t OCU_OCSA10;
        stc_mft_ocu_ocsa10_field_t OCU_OCSA10_f;
    };
    union {
        __IO  uint8_t OCSB10;
        stc_mft_ocsb10_field_t OCSB10_f;
        __IO  uint8_t OCU_OCSB10;
        stc_mft_ocu_ocsb10_field_t OCU_OCSB10_f;
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO  uint8_t OCSA32;
        stc_mft_ocsa32_field_t OCSA32_f;
        __IO  uint8_t OCU_OCSA32;
        stc_mft_ocu_ocsa32_field_t OCU_OCSA32_f;
    };
    union {
        __IO  uint8_t OCSB32;
        stc_mft_ocsb32_field_t OCSB32_f;
        __IO  uint8_t OCU_OCSB32;
        stc_mft_ocu_ocsb32_field_t OCU_OCSB32_f;
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t OCSA54;
        stc_mft_ocsa54_field_t OCSA54_f;
        __IO  uint8_t OCU_OCSA54;
        stc_mft_ocu_ocsa54_field_t OCU_OCSA54_f;
    };
    union {
        __IO  uint8_t OCSB54;
        stc_mft_ocsb54_field_t OCSB54_f;
        __IO  uint8_t OCU_OCSB54;
        stc_mft_ocu_ocsb54_field_t OCU_OCSB54_f;
    };
        __IO  uint8_t RESERVED8[3];
    union {
        __IO  uint8_t OCSC;
        stc_mft_ocsc_field_t OCSC_f;
        __IO  uint8_t OCU_OCSC;
        stc_mft_ocu_ocsc_field_t OCU_OCSC_f;
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t TCCP0;
        stc_mft_tccp0_field_t TCCP0_f;
        struct {
            __IO  uint8_t TCCP0L;
            __IO  uint8_t TCCP0H;
        };
        __IO uint16_t FRT_TCCP0;
        stc_mft_frt_tccp0_field_t FRT_TCCP0_f;
        struct {
            __IO  uint8_t FRT_TCCP0L;
            __IO  uint8_t FRT_TCCP0H;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO uint16_t TCDT0;
        struct {
            __IO  uint8_t TCDT0L;
            __IO  uint8_t TCDT0H;
        };
        __IO uint16_t FRT_TCDT0;
        struct {
            __IO  uint8_t FRT_TCDT0L;
            __IO  uint8_t FRT_TCDT0H;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t TCSA0;
        stc_mft_tcsa0_field_t TCSA0_f;
        struct {
            __IO  uint8_t TCSA0L;
            __IO  uint8_t TCSA0H;
        };
        __IO uint16_t FRT_TCSA0;
        stc_mft_frt_tcsa0_field_t FRT_TCSA0_f;
        struct {
            __IO  uint8_t FRT_TCSA0L;
            __IO  uint8_t FRT_TCSA0H;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t TCSB0;
        stc_mft_tcsb0_field_t TCSB0_f;
        struct {
            __IO  uint8_t TCSB0L;
            __IO  uint8_t TCSB0H;
        };
        __IO uint16_t FRT_TCSB0;
        stc_mft_frt_tcsb0_field_t FRT_TCSB0_f;
        struct {
            __IO  uint8_t FRT_TCSB0L;
            __IO  uint8_t FRT_TCSB0H;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t TCCP1;
        stc_mft_tccp1_field_t TCCP1_f;
        struct {
            __IO  uint8_t TCCP1L;
            __IO  uint8_t TCCP1H;
        };
        __IO uint16_t FRT_TCCP1;
        stc_mft_frt_tccp1_field_t FRT_TCCP1_f;
        struct {
            __IO  uint8_t FRT_TCCP1L;
            __IO  uint8_t FRT_TCCP1H;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO uint16_t TCDT1;
        struct {
            __IO  uint8_t TCDT1L;
            __IO  uint8_t TCDT1H;
        };
        __IO uint16_t FRT_TCDT1;
        struct {
            __IO  uint8_t FRT_TCDT1L;
            __IO  uint8_t FRT_TCDT1H;
        };
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO uint16_t TCSA1;
        stc_mft_tcsa1_field_t TCSA1_f;
        struct {
            __IO  uint8_t TCSA1L;
            __IO  uint8_t TCSA1H;
        };
        __IO uint16_t FRT_TCSA1;
        stc_mft_frt_tcsa1_field_t FRT_TCSA1_f;
        struct {
            __IO  uint8_t FRT_TCSA1L;
            __IO  uint8_t FRT_TCSA1H;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t TCSB1;
        stc_mft_tcsb1_field_t TCSB1_f;
        struct {
            __IO  uint8_t TCSB1L;
            __IO  uint8_t TCSB1H;
        };
        __IO uint16_t FRT_TCSB1;
        stc_mft_frt_tcsb1_field_t FRT_TCSB1_f;
        struct {
            __IO  uint8_t FRT_TCSB1L;
            __IO  uint8_t FRT_TCSB1H;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO uint16_t TCCP2;
        stc_mft_tccp2_field_t TCCP2_f;
        struct {
            __IO  uint8_t TCCP2L;
            __IO  uint8_t TCCP2H;
        };
        __IO uint16_t FRT_TCCP2;
        stc_mft_frt_tccp2_field_t FRT_TCCP2_f;
        struct {
            __IO  uint8_t FRT_TCCP2L;
            __IO  uint8_t FRT_TCCP2H;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t TCDT2;
        struct {
            __IO  uint8_t TCDT2L;
            __IO  uint8_t TCDT2H;
        };
        __IO uint16_t FRT_TCDT2;
        struct {
            __IO  uint8_t FRT_TCDT2L;
            __IO  uint8_t FRT_TCDT2H;
        };
    };
        __IO  uint8_t RESERVED19[2];
    union {
        __IO uint16_t TCSA2;
        stc_mft_tcsa2_field_t TCSA2_f;
        struct {
            __IO  uint8_t TCSA2L;
            __IO  uint8_t TCSA2H;
        };
        __IO uint16_t FRT_TCSA2;
        stc_mft_frt_tcsa2_field_t FRT_TCSA2_f;
        struct {
            __IO  uint8_t FRT_TCSA2L;
            __IO  uint8_t FRT_TCSA2H;
        };
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO uint16_t TCSB2;
        stc_mft_tcsb2_field_t TCSB2_f;
        struct {
            __IO  uint8_t TCSB2L;
            __IO  uint8_t TCSB2H;
        };
        __IO uint16_t FRT_TCSB2;
        stc_mft_frt_tcsb2_field_t FRT_TCSB2_f;
        struct {
            __IO  uint8_t FRT_TCSB2L;
            __IO  uint8_t FRT_TCSB2H;
        };
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO  uint8_t OCFS10;
        stc_mft_ocfs10_field_t OCFS10_f;
        __IO  uint8_t OCU_OCFS10;
        stc_mft_ocu_ocfs10_field_t OCU_OCFS10_f;
    };
    union {
        __IO  uint8_t OCFS32;
        stc_mft_ocfs32_field_t OCFS32_f;
        __IO  uint8_t OCU_OCFS32;
        stc_mft_ocu_ocfs32_field_t OCU_OCFS32_f;
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO  uint8_t OCFS54;
        stc_mft_ocfs54_field_t OCFS54_f;
        __IO  uint8_t OCU_OCFS54;
        stc_mft_ocu_ocfs54_field_t OCU_OCFS54_f;
    };
        __IO  uint8_t RESERVED23[3];
    union {
        __IO  uint8_t ICFS10;
        stc_mft_icfs10_field_t ICFS10_f;
        __IO  uint8_t ICU_ICFS10;
        stc_mft_icu_icfs10_field_t ICU_ICFS10_f;
    };
    union {
        __IO  uint8_t ICFS32;
        stc_mft_icfs32_field_t ICFS32_f;
        __IO  uint8_t ICU_ICFS32;
        stc_mft_icu_icfs32_field_t ICU_ICFS32_f;
    };
        __IO  uint8_t RESERVED24[6];
    union {
        __IO uint16_t ICCP0;
        struct {
            __IO  uint8_t ICCP0L;
            __IO  uint8_t ICCP0H;
        };
        __IO uint16_t ICU_ICCP0;
        struct {
            __IO  uint8_t ICU_ICCP0L;
            __IO  uint8_t ICU_ICCP0H;
        };
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO uint16_t ICCP1;
        struct {
            __IO  uint8_t ICCP1L;
            __IO  uint8_t ICCP1H;
        };
        __IO uint16_t ICU_ICCP1;
        struct {
            __IO  uint8_t ICU_ICCP1L;
            __IO  uint8_t ICU_ICCP1H;
        };
    };
        __IO  uint8_t RESERVED26[2];
    union {
        __IO uint16_t ICCP2;
        struct {
            __IO  uint8_t ICCP2L;
            __IO  uint8_t ICCP2H;
        };
        __IO uint16_t ICU_ICCP2;
        struct {
            __IO  uint8_t ICU_ICCP2L;
            __IO  uint8_t ICU_ICCP2H;
        };
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO uint16_t ICCP3;
        struct {
            __IO  uint8_t ICCP3L;
            __IO  uint8_t ICCP3H;
        };
        __IO uint16_t ICU_ICCP3;
        struct {
            __IO  uint8_t ICU_ICCP3L;
            __IO  uint8_t ICU_ICCP3H;
        };
    };
        __IO  uint8_t RESERVED28[2];
    union {
        __IO  uint8_t ICSA10;
        stc_mft_icsa10_field_t ICSA10_f;
        __IO  uint8_t ICU_ICSA10;
        stc_mft_icu_icsa10_field_t ICU_ICSA10_f;
    };
    union {
        __IO  uint8_t ICSB10;
        stc_mft_icsb10_field_t ICSB10_f;
        __IO  uint8_t ICU_ICSB10;
        stc_mft_icu_icsb10_field_t ICU_ICSB10_f;
    };
        __IO  uint8_t RESERVED29[2];
    union {
        __IO  uint8_t ICSA32;
        stc_mft_icsa32_field_t ICSA32_f;
        __IO  uint8_t ICU_ICSA32;
        stc_mft_icu_icsa32_field_t ICU_ICSA32_f;
    };
    union {
        __IO  uint8_t ICSB32;
        stc_mft_icsb32_field_t ICSB32_f;
        __IO  uint8_t ICU_ICSB32;
        stc_mft_icu_icsb32_field_t ICU_ICSB32_f;
    };
        __IO  uint8_t RESERVED30[2];
    union {
        __IO uint16_t WFTM10;
        struct {
            __IO  uint8_t WFTM10L;
            __IO  uint8_t WFTM10H;
        };
        __IO uint16_t WFG_WFTM10;
        struct {
            __IO  uint8_t WFG_WFTM10L;
            __IO  uint8_t WFG_WFTM10H;
        };
    };
        __IO  uint8_t RESERVED31[2];
    union {
        __IO uint16_t WFTM32;
        struct {
            __IO  uint8_t WFTM32L;
            __IO  uint8_t WFTM32H;
        };
        __IO uint16_t WFG_WFTM32;
        struct {
            __IO  uint8_t WFG_WFTM32L;
            __IO  uint8_t WFG_WFTM32H;
        };
    };
        __IO  uint8_t RESERVED32[2];
    union {
        __IO uint16_t WFTM54;
        struct {
            __IO  uint8_t WFTM54L;
            __IO  uint8_t WFTM54H;
        };
        __IO uint16_t WFG_WFTM54;
        struct {
            __IO  uint8_t WFG_WFTM54L;
            __IO  uint8_t WFG_WFTM54H;
        };
    };
        __IO  uint8_t RESERVED33[2];
    union {
        __IO uint16_t WFSA10;
        stc_mft_wfsa10_field_t WFSA10_f;
        struct {
            __IO  uint8_t WFSA10L;
            __IO  uint8_t WFSA10H;
        };
        __IO uint16_t WFG_WFSA10;
        stc_mft_wfg_wfsa10_field_t WFG_WFSA10_f;
        struct {
            __IO  uint8_t WFG_WFSA10L;
            __IO  uint8_t WFG_WFSA10H;
        };
    };
        __IO  uint8_t RESERVED34[2];
    union {
        __IO uint16_t WFSA32;
        stc_mft_wfsa32_field_t WFSA32_f;
        struct {
            __IO  uint8_t WFSA32L;
            __IO  uint8_t WFSA32H;
        };
        __IO uint16_t WFG_WFSA32;
        stc_mft_wfg_wfsa32_field_t WFG_WFSA32_f;
        struct {
            __IO  uint8_t WFG_WFSA32L;
            __IO  uint8_t WFG_WFSA32H;
        };
    };
        __IO  uint8_t RESERVED35[2];
    union {
        __IO uint16_t WFSA54;
        stc_mft_wfsa54_field_t WFSA54_f;
        struct {
            __IO  uint8_t WFSA54L;
            __IO  uint8_t WFSA54H;
        };
        __IO uint16_t WFG_WFSA54;
        stc_mft_wfg_wfsa54_field_t WFG_WFSA54_f;
        struct {
            __IO  uint8_t WFG_WFSA54L;
            __IO  uint8_t WFG_WFSA54H;
        };
    };
        __IO  uint8_t RESERVED36[2];
    union {
        __IO uint16_t WFIR;
        stc_mft_wfir_field_t WFIR_f;
        struct {
            __IO  uint8_t WFIRL;
            __IO  uint8_t WFIRH;
        };
        __IO uint16_t WFG_WFIR;
        stc_mft_wfg_wfir_field_t WFG_WFIR_f;
        struct {
            __IO  uint8_t WFG_WFIRL;
            __IO  uint8_t WFG_WFIRH;
        };
    };
        __IO  uint8_t RESERVED37[2];
    union {
        __IO uint16_t NZCL;
        stc_mft_nzcl_field_t NZCL_f;
        struct {
            __IO  uint8_t NZCLL;
            __IO  uint8_t NZCLH;
        };
        __IO uint16_t WFG_NZCL;
        stc_mft_wfg_nzcl_field_t WFG_NZCL_f;
        struct {
            __IO  uint8_t WFG_NZCLL;
            __IO  uint8_t WFG_NZCLH;
        };
    };
        __IO  uint8_t RESERVED38[2];
    union {
        __IO uint16_t ACCP0;
        struct {
            __IO  uint8_t ACCP0L;
            __IO  uint8_t ACCP0H;
        };
        __IO uint16_t ADCMP_ACCP0;
        struct {
            __IO  uint8_t ADCMP_ACCP0L;
            __IO  uint8_t ADCMP_ACCP0H;
        };
    };
        __IO  uint8_t RESERVED39[2];
    union {
        __IO uint16_t ACCPDN0;
        struct {
            __IO  uint8_t ACCPDN0L;
            __IO  uint8_t ACCPDN0H;
        };
        __IO uint16_t ADCMP_ACCPDN0;
        struct {
            __IO  uint8_t ADCMP_ACCPDN0L;
            __IO  uint8_t ADCMP_ACCPDN0H;
        };
    };
        __IO  uint8_t RESERVED40[2];
    union {
        __IO uint16_t ACCP1;
        struct {
            __IO  uint8_t ACCP1L;
            __IO  uint8_t ACCP1H;
        };
        __IO uint16_t ADCMP_ACCP1;
        struct {
            __IO  uint8_t ADCMP_ACCP1L;
            __IO  uint8_t ADCMP_ACCP1H;
        };
    };
        __IO  uint8_t RESERVED41[2];
    union {
        __IO uint16_t ACCPDN1;
        struct {
            __IO  uint8_t ACCPDN1L;
            __IO  uint8_t ACCPDN1H;
        };
        __IO uint16_t ADCMP_ACCPDN1;
        struct {
            __IO  uint8_t ADCMP_ACCPDN1L;
            __IO  uint8_t ADCMP_ACCPDN1H;
        };
    };
        __IO  uint8_t RESERVED42[2];
    union {
        __IO uint16_t ACCP2;
        struct {
            __IO  uint8_t ACCP2L;
            __IO  uint8_t ACCP2H;
        };
        __IO uint16_t ADCMP_ACCP2;
        struct {
            __IO  uint8_t ADCMP_ACCP2L;
            __IO  uint8_t ADCMP_ACCP2H;
        };
    };
        __IO  uint8_t RESERVED43[2];
    union {
        __IO uint16_t ACCPDN2;
        struct {
            __IO  uint8_t ACCPDN2L;
            __IO  uint8_t ACCPDN2H;
        };
        __IO uint16_t ADCMP_ACCPDN2;
        struct {
            __IO  uint8_t ADCMP_ACCPDN2L;
            __IO  uint8_t ADCMP_ACCPDN2H;
        };
    };
        __IO  uint8_t RESERVED44[2];
    union {
        __IO  uint8_t ACSB;
        stc_mft_acsb_field_t ACSB_f;
        __IO  uint8_t ADCMP_ACSB;
        stc_mft_adcmp_acsb_field_t ADCMP_ACSB_f;
    };
        __IO  uint8_t RESERVED45[3];
    union {
        __IO uint16_t ACSA;
        stc_mft_acsa_field_t ACSA_f;
        struct {
            __IO  uint8_t ACSAL;
            __IO  uint8_t ACSAH;
        };
        __IO uint16_t ADCMP_ACSA;
        stc_mft_adcmp_acsa_field_t ADCMP_ACSA_f;
        struct {
            __IO  uint8_t ADCMP_ACSAL;
            __IO  uint8_t ADCMP_ACSAH;
        };
    };
        __IO  uint8_t RESERVED46[2];
    union {
        __IO uint16_t ATSA;
        stc_mft_atsa_field_t ATSA_f;
        struct {
            __IO  uint8_t ATSAL;
            __IO  uint8_t ATSAH;
        };
        __IO uint16_t ADCMP_ATSA;
        stc_mft_adcmp_atsa_field_t ADCMP_ATSA_f;
        struct {
            __IO  uint8_t ADCMP_ATSAL;
            __IO  uint8_t ADCMP_ATSAH;
        };
    };
} FM_MFT_TypeDef, FM3_MFT_TypeDef;

/******************************************************************************
 ** MFT_ADCMP_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED47[160];
    union {
        __IO uint16_t ACCP0;
        struct {
            __IO  uint8_t ACCP0L;
            __IO  uint8_t ACCP0H;
        };
    };
        __IO  uint8_t RESERVED48[2];
    union {
        __IO uint16_t ACCPDN0;
        struct {
            __IO  uint8_t ACCPDN0L;
            __IO  uint8_t ACCPDN0H;
        };
    };
        __IO  uint8_t RESERVED49[2];
    union {
        __IO uint16_t ACCP1;
        struct {
            __IO  uint8_t ACCP1L;
            __IO  uint8_t ACCP1H;
        };
    };
        __IO  uint8_t RESERVED50[2];
    union {
        __IO uint16_t ACCPDN1;
        struct {
            __IO  uint8_t ACCPDN1L;
            __IO  uint8_t ACCPDN1H;
        };
    };
        __IO  uint8_t RESERVED51[2];
    union {
        __IO uint16_t ACCP2;
        struct {
            __IO  uint8_t ACCP2L;
            __IO  uint8_t ACCP2H;
        };
    };
        __IO  uint8_t RESERVED52[2];
    union {
        __IO uint16_t ACCPDN2;
        struct {
            __IO  uint8_t ACCPDN2L;
            __IO  uint8_t ACCPDN2H;
        };
    };
        __IO  uint8_t RESERVED53[2];
    union {
        __IO  uint8_t ACSB;
        stc_mft_adcmp_acsb_field_t ACSB_f;
    };
        __IO  uint8_t RESERVED54[3];
    union {
        __IO uint16_t ACSA;
        stc_mft_adcmp_acsa_field_t ACSA_f;
        struct {
            __IO  uint8_t ACSAL;
            __IO  uint8_t ACSAH;
        };
    };
        __IO  uint8_t RESERVED55[2];
    union {
        __IO uint16_t ATSA;
        stc_mft_adcmp_atsa_field_t ATSA_f;
        struct {
            __IO  uint8_t ATSAL;
            __IO  uint8_t ATSAH;
        };
    };
} FM_MFT_ADCMP_TypeDef, FM3_MFT_ADCMP_TypeDef;

/******************************************************************************
 ** MFT_FRT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED56[40];
    union {
        __IO uint16_t TCCP0;
        stc_mft_frt_tccp0_field_t TCCP0_f;
        struct {
            __IO  uint8_t TCCP0L;
            __IO  uint8_t TCCP0H;
        };
    };
        __IO  uint8_t RESERVED57[2];
    union {
        __IO uint16_t TCDT0;
        struct {
            __IO  uint8_t TCDT0L;
            __IO  uint8_t TCDT0H;
        };
    };
        __IO  uint8_t RESERVED58[2];
    union {
        __IO uint16_t TCSA0;
        stc_mft_frt_tcsa0_field_t TCSA0_f;
        struct {
            __IO  uint8_t TCSA0L;
            __IO  uint8_t TCSA0H;
        };
    };
        __IO  uint8_t RESERVED59[2];
    union {
        __IO uint16_t TCSB0;
        stc_mft_frt_tcsb0_field_t TCSB0_f;
        struct {
            __IO  uint8_t TCSB0L;
            __IO  uint8_t TCSB0H;
        };
    };
        __IO  uint8_t RESERVED60[2];
    union {
        __IO uint16_t TCCP1;
        stc_mft_frt_tccp1_field_t TCCP1_f;
        struct {
            __IO  uint8_t TCCP1L;
            __IO  uint8_t TCCP1H;
        };
    };
        __IO  uint8_t RESERVED61[2];
    union {
        __IO uint16_t TCDT1;
        struct {
            __IO  uint8_t TCDT1L;
            __IO  uint8_t TCDT1H;
        };
    };
        __IO  uint8_t RESERVED62[2];
    union {
        __IO uint16_t TCSA1;
        stc_mft_frt_tcsa1_field_t TCSA1_f;
        struct {
            __IO  uint8_t TCSA1L;
            __IO  uint8_t TCSA1H;
        };
    };
        __IO  uint8_t RESERVED63[2];
    union {
        __IO uint16_t TCSB1;
        stc_mft_frt_tcsb1_field_t TCSB1_f;
        struct {
            __IO  uint8_t TCSB1L;
            __IO  uint8_t TCSB1H;
        };
    };
        __IO  uint8_t RESERVED64[2];
    union {
        __IO uint16_t TCCP2;
        stc_mft_frt_tccp2_field_t TCCP2_f;
        struct {
            __IO  uint8_t TCCP2L;
            __IO  uint8_t TCCP2H;
        };
    };
        __IO  uint8_t RESERVED65[2];
    union {
        __IO uint16_t TCDT2;
        struct {
            __IO  uint8_t TCDT2L;
            __IO  uint8_t TCDT2H;
        };
    };
        __IO  uint8_t RESERVED66[2];
    union {
        __IO uint16_t TCSA2;
        stc_mft_frt_tcsa2_field_t TCSA2_f;
        struct {
            __IO  uint8_t TCSA2L;
            __IO  uint8_t TCSA2H;
        };
    };
        __IO  uint8_t RESERVED67[2];
    union {
        __IO uint16_t TCSB2;
        stc_mft_frt_tcsb2_field_t TCSB2_f;
        struct {
            __IO  uint8_t TCSB2L;
            __IO  uint8_t TCSB2H;
        };
    };
} FM_MFT_FRT_TypeDef, FM3_MFT_FRT_TypeDef;

/******************************************************************************
 ** MFT_ICU_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED68[96];
    union {
        __IO  uint8_t ICFS10;
        stc_mft_icu_icfs10_field_t ICFS10_f;
    };
    union {
        __IO  uint8_t ICFS32;
        stc_mft_icu_icfs32_field_t ICFS32_f;
    };
        __IO  uint8_t RESERVED69[6];
    union {
        __IO uint16_t ICCP0;
        struct {
            __IO  uint8_t ICCP0L;
            __IO  uint8_t ICCP0H;
        };
    };
        __IO  uint8_t RESERVED70[2];
    union {
        __IO uint16_t ICCP1;
        struct {
            __IO  uint8_t ICCP1L;
            __IO  uint8_t ICCP1H;
        };
    };
        __IO  uint8_t RESERVED71[2];
    union {
        __IO uint16_t ICCP2;
        struct {
            __IO  uint8_t ICCP2L;
            __IO  uint8_t ICCP2H;
        };
    };
        __IO  uint8_t RESERVED72[2];
    union {
        __IO uint16_t ICCP3;
        struct {
            __IO  uint8_t ICCP3L;
            __IO  uint8_t ICCP3H;
        };
    };
        __IO  uint8_t RESERVED73[2];
    union {
        __IO  uint8_t ICSA10;
        stc_mft_icu_icsa10_field_t ICSA10_f;
    };
    union {
        __IO  uint8_t ICSB10;
        stc_mft_icu_icsb10_field_t ICSB10_f;
    };
        __IO  uint8_t RESERVED74[2];
    union {
        __IO  uint8_t ICSA32;
        stc_mft_icu_icsa32_field_t ICSA32_f;
    };
    union {
        __IO  uint8_t ICSB32;
        stc_mft_icu_icsb32_field_t ICSB32_f;
    };
} FM_MFT_ICU_TypeDef, FM3_MFT_ICU_TypeDef;

/******************************************************************************
 ** MFT_OCU_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t OCCP0;
        struct {
            __IO  uint8_t OCCP0L;
            __IO  uint8_t OCCP0H;
        };
    };
        __IO  uint8_t RESERVED75[2];
    union {
        __IO uint16_t OCCP1;
        struct {
            __IO  uint8_t OCCP1L;
            __IO  uint8_t OCCP1H;
        };
    };
        __IO  uint8_t RESERVED76[2];
    union {
        __IO uint16_t OCCP2;
        struct {
            __IO  uint8_t OCCP2L;
            __IO  uint8_t OCCP2H;
        };
    };
        __IO  uint8_t RESERVED77[2];
    union {
        __IO uint16_t OCCP3;
        struct {
            __IO  uint8_t OCCP3L;
            __IO  uint8_t OCCP3H;
        };
    };
        __IO  uint8_t RESERVED78[2];
    union {
        __IO uint16_t OCCP4;
        struct {
            __IO  uint8_t OCCP4L;
            __IO  uint8_t OCCP4H;
        };
    };
        __IO  uint8_t RESERVED79[2];
    union {
        __IO uint16_t OCCP5;
        struct {
            __IO  uint8_t OCCP5L;
            __IO  uint8_t OCCP5H;
        };
    };
        __IO  uint8_t RESERVED80[2];
    union {
        __IO  uint8_t OCSA10;
        stc_mft_ocu_ocsa10_field_t OCSA10_f;
    };
    union {
        __IO  uint8_t OCSB10;
        stc_mft_ocu_ocsb10_field_t OCSB10_f;
    };
        __IO  uint8_t RESERVED81[2];
    union {
        __IO  uint8_t OCSA32;
        stc_mft_ocu_ocsa32_field_t OCSA32_f;
    };
    union {
        __IO  uint8_t OCSB32;
        stc_mft_ocu_ocsb32_field_t OCSB32_f;
    };
        __IO  uint8_t RESERVED82[2];
    union {
        __IO  uint8_t OCSA54;
        stc_mft_ocu_ocsa54_field_t OCSA54_f;
    };
    union {
        __IO  uint8_t OCSB54;
        stc_mft_ocu_ocsb54_field_t OCSB54_f;
    };
        __IO  uint8_t RESERVED83[3];
    union {
        __IO  uint8_t OCSC;
        stc_mft_ocu_ocsc_field_t OCSC_f;
    };
        __IO  uint8_t RESERVED84[50];
    union {
        __IO  uint8_t OCFS10;
        stc_mft_ocu_ocfs10_field_t OCFS10_f;
    };
    union {
        __IO  uint8_t OCFS32;
        stc_mft_ocu_ocfs32_field_t OCFS32_f;
    };
        __IO  uint8_t RESERVED85[2];
    union {
        __IO  uint8_t OCFS54;
        stc_mft_ocu_ocfs54_field_t OCFS54_f;
    };
} FM_MFT_OCU_TypeDef, FM3_MFT_OCU_TypeDef;

/******************************************************************************
 ** MFT_WFG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED86[128];
    union {
        __IO uint16_t WFTM10;
        struct {
            __IO  uint8_t WFTM10L;
            __IO  uint8_t WFTM10H;
        };
    };
        __IO  uint8_t RESERVED87[2];
    union {
        __IO uint16_t WFTM32;
        struct {
            __IO  uint8_t WFTM32L;
            __IO  uint8_t WFTM32H;
        };
    };
        __IO  uint8_t RESERVED88[2];
    union {
        __IO uint16_t WFTM54;
        struct {
            __IO  uint8_t WFTM54L;
            __IO  uint8_t WFTM54H;
        };
    };
        __IO  uint8_t RESERVED89[2];
    union {
        __IO uint16_t WFSA10;
        stc_mft_wfg_wfsa10_field_t WFSA10_f;
        struct {
            __IO  uint8_t WFSA10L;
            __IO  uint8_t WFSA10H;
        };
    };
        __IO  uint8_t RESERVED90[2];
    union {
        __IO uint16_t WFSA32;
        stc_mft_wfg_wfsa32_field_t WFSA32_f;
        struct {
            __IO  uint8_t WFSA32L;
            __IO  uint8_t WFSA32H;
        };
    };
        __IO  uint8_t RESERVED91[2];
    union {
        __IO uint16_t WFSA54;
        stc_mft_wfg_wfsa54_field_t WFSA54_f;
        struct {
            __IO  uint8_t WFSA54L;
            __IO  uint8_t WFSA54H;
        };
    };
        __IO  uint8_t RESERVED92[2];
    union {
        __IO uint16_t WFIR;
        stc_mft_wfg_wfir_field_t WFIR_f;
        struct {
            __IO  uint8_t WFIRL;
            __IO  uint8_t WFIRH;
        };
    };
        __IO  uint8_t RESERVED93[2];
    union {
        __IO uint16_t NZCL;
        stc_mft_wfg_nzcl_field_t NZCL_f;
        struct {
            __IO  uint8_t NZCLL;
            __IO  uint8_t NZCLH;
        };
    };
} FM_MFT_WFG_TypeDef, FM3_MFT_WFG_TypeDef;

/******************************************************************************
 ** MFT_PPG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t TTCR0;
        stc_mft_ppg_ttcr0_field_t TTCR0_f;
    };
        __IO  uint8_t RESERVED1[7];
        __IO  uint8_t COMP0;
        __IO  uint8_t RESERVED2[2];
        __IO  uint8_t COMP2;
        __IO  uint8_t RESERVED3[4];
        __IO  uint8_t COMP4;
        __IO  uint8_t RESERVED4[2];
        __IO  uint8_t COMP6;
        __IO  uint8_t RESERVED5[12];
    union {
        __IO  uint8_t TTCR1;
        stc_mft_ppg_ttcr1_field_t TTCR1_f;
    };
        __IO  uint8_t RESERVED6[7];
        __IO  uint8_t COMP1;
        __IO  uint8_t RESERVED7[2];
        __IO  uint8_t COMP3;
        __IO  uint8_t RESERVED8[4];
        __IO  uint8_t COMP5;
        __IO  uint8_t RESERVED9[2];
        __IO  uint8_t COMP7;
        __IO  uint8_t RESERVED10[12];
    union {
        __IO  uint8_t TTCR2;
        stc_mft_ppg_ttcr2_field_t TTCR2_f;
    };
        __IO  uint8_t RESERVED11[7];
        __IO  uint8_t COMP8;
        __IO  uint8_t RESERVED12[2];
        __IO  uint8_t COMP10;
        __IO  uint8_t RESERVED13[4];
        __IO  uint8_t COMP12;
        __IO  uint8_t RESERVED14[2];
        __IO  uint8_t COMP14;
        __IO  uint8_t RESERVED15[171];
    union {
        __IO uint16_t TRG0;
        stc_mft_ppg_trg0_field_t TRG0_f;
        struct {
            __IO  uint8_t TRG0L;
            __IO  uint8_t TRG0H;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t REVC0;
        stc_mft_ppg_revc0_field_t REVC0_f;
        struct {
            __IO  uint8_t REVC0L;
            __IO  uint8_t REVC0H;
        };
    };
        __IO  uint8_t RESERVED17[58];
    union {
        __IO uint16_t TRG1;
        stc_mft_ppg_trg1_field_t TRG1_f;
        struct {
            __IO  uint8_t TRG1L;
            __IO  uint8_t TRG1H;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t REVC1;
        stc_mft_ppg_revc1_field_t REVC1_f;
        struct {
            __IO  uint8_t REVC1L;
            __IO  uint8_t REVC1H;
        };
    };
        __IO  uint8_t RESERVED19[186];
    union {
        __IO  uint8_t PPGC1;
        stc_mft_ppg_ppgc1_field_t PPGC1_f;
    };
    union {
        __IO  uint8_t PPGC0;
        stc_mft_ppg_ppgc0_field_t PPGC0_f;
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO  uint8_t PPGC3;
        stc_mft_ppg_ppgc3_field_t PPGC3_f;
    };
    union {
        __IO  uint8_t PPGC2;
        stc_mft_ppg_ppgc2_field_t PPGC2_f;
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO  uint8_t PRLL0;
        stc_mft_ppg_prll0_field_t PRLL0_f;
    };
    union {
        __IO  uint8_t PRLH0;
        stc_mft_ppg_prlh0_field_t PRLH0_f;
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO  uint8_t PRLL1;
        stc_mft_ppg_prll1_field_t PRLL1_f;
    };
    union {
        __IO  uint8_t PRLH1;
        stc_mft_ppg_prlh1_field_t PRLH1_f;
    };
        __IO  uint8_t RESERVED23[2];
    union {
        __IO  uint8_t PRLL2;
        stc_mft_ppg_prll2_field_t PRLL2_f;
    };
    union {
        __IO  uint8_t PRLH2;
        stc_mft_ppg_prlh2_field_t PRLH2_f;
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO  uint8_t PRLL3;
        stc_mft_ppg_prll3_field_t PRLL3_f;
    };
    union {
        __IO  uint8_t PRLH3;
        stc_mft_ppg_prlh3_field_t PRLH3_f;
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO  uint8_t GATEC0;
        stc_mft_ppg_gatec0_field_t GATEC0_f;
    };
        __IO  uint8_t RESERVED26[39];
    union {
        __IO  uint8_t PPGC5;
        stc_mft_ppg_ppgc5_field_t PPGC5_f;
    };
    union {
        __IO  uint8_t PPGC4;
        stc_mft_ppg_ppgc4_field_t PPGC4_f;
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO  uint8_t PPGC7;
        stc_mft_ppg_ppgc7_field_t PPGC7_f;
    };
    union {
        __IO  uint8_t PPGC6;
        stc_mft_ppg_ppgc6_field_t PPGC6_f;
    };
        __IO  uint8_t RESERVED28[2];
    union {
        __IO  uint8_t PRLL4;
        stc_mft_ppg_prll4_field_t PRLL4_f;
    };
    union {
        __IO  uint8_t PRLH4;
        stc_mft_ppg_prlh4_field_t PRLH4_f;
    };
        __IO  uint8_t RESERVED29[2];
    union {
        __IO  uint8_t PRLL5;
        stc_mft_ppg_prll5_field_t PRLL5_f;
    };
    union {
        __IO  uint8_t PRLH5;
        stc_mft_ppg_prlh5_field_t PRLH5_f;
    };
        __IO  uint8_t RESERVED30[2];
    union {
        __IO  uint8_t PRLL6;
        stc_mft_ppg_prll6_field_t PRLL6_f;
    };
    union {
        __IO  uint8_t PRLH6;
        stc_mft_ppg_prlh6_field_t PRLH6_f;
    };
        __IO  uint8_t RESERVED31[2];
    union {
        __IO  uint8_t PRLL7;
        stc_mft_ppg_prll7_field_t PRLL7_f;
    };
    union {
        __IO  uint8_t PRLH7;
        stc_mft_ppg_prlh7_field_t PRLH7_f;
    };
        __IO  uint8_t RESERVED32[2];
    union {
        __IO  uint8_t GATEC4;
        stc_mft_ppg_gatec4_field_t GATEC4_f;
    };
        __IO  uint8_t RESERVED33[39];
    union {
        __IO  uint8_t PPGC9;
        stc_mft_ppg_ppgc9_field_t PPGC9_f;
    };
    union {
        __IO  uint8_t PPGC8;
        stc_mft_ppg_ppgc8_field_t PPGC8_f;
    };
        __IO  uint8_t RESERVED34[2];
    union {
        __IO  uint8_t PPGC11;
        stc_mft_ppg_ppgc11_field_t PPGC11_f;
    };
    union {
        __IO  uint8_t PPGC10;
        stc_mft_ppg_ppgc10_field_t PPGC10_f;
    };
        __IO  uint8_t RESERVED35[2];
    union {
        __IO  uint8_t PRLL8;
        stc_mft_ppg_prll8_field_t PRLL8_f;
    };
    union {
        __IO  uint8_t PRLH8;
        stc_mft_ppg_prlh8_field_t PRLH8_f;
    };
        __IO  uint8_t RESERVED36[2];
    union {
        __IO  uint8_t PRLL9;
        stc_mft_ppg_prll9_field_t PRLL9_f;
    };
    union {
        __IO  uint8_t PRLH9;
        stc_mft_ppg_prlh9_field_t PRLH9_f;
    };
        __IO  uint8_t RESERVED37[2];
    union {
        __IO  uint8_t PRLL10;
        stc_mft_ppg_prll10_field_t PRLL10_f;
    };
    union {
        __IO  uint8_t PRLH10;
        stc_mft_ppg_prlh10_field_t PRLH10_f;
    };
        __IO  uint8_t RESERVED38[2];
    union {
        __IO  uint8_t PRLL11;
        stc_mft_ppg_prll11_field_t PRLL11_f;
    };
    union {
        __IO  uint8_t PRLH11;
        stc_mft_ppg_prlh11_field_t PRLH11_f;
    };
        __IO  uint8_t RESERVED39[2];
    union {
        __IO  uint8_t GATEC8;
        stc_mft_ppg_gatec8_field_t GATEC8_f;
    };
        __IO  uint8_t RESERVED40[39];
    union {
        __IO  uint8_t PPGC13;
        stc_mft_ppg_ppgc13_field_t PPGC13_f;
    };
    union {
        __IO  uint8_t PPGC12;
        stc_mft_ppg_ppgc12_field_t PPGC12_f;
    };
        __IO  uint8_t RESERVED41[2];
    union {
        __IO  uint8_t PPGC15;
        stc_mft_ppg_ppgc15_field_t PPGC15_f;
    };
    union {
        __IO  uint8_t PPGC14;
        stc_mft_ppg_ppgc14_field_t PPGC14_f;
    };
        __IO  uint8_t RESERVED42[2];
    union {
        __IO  uint8_t PRLL12;
        stc_mft_ppg_prll12_field_t PRLL12_f;
    };
    union {
        __IO  uint8_t PRLH12;
        stc_mft_ppg_prlh12_field_t PRLH12_f;
    };
        __IO  uint8_t RESERVED43[2];
    union {
        __IO  uint8_t PRLL13;
        stc_mft_ppg_prll13_field_t PRLL13_f;
    };
    union {
        __IO  uint8_t PRLH13;
        stc_mft_ppg_prlh13_field_t PRLH13_f;
    };
        __IO  uint8_t RESERVED44[2];
    union {
        __IO  uint8_t PRLL14;
        stc_mft_ppg_prll14_field_t PRLL14_f;
    };
    union {
        __IO  uint8_t PRLH14;
        stc_mft_ppg_prlh14_field_t PRLH14_f;
    };
        __IO  uint8_t RESERVED45[2];
    union {
        __IO  uint8_t PRLL15;
        stc_mft_ppg_prll15_field_t PRLL15_f;
    };
    union {
        __IO  uint8_t PRLH15;
        stc_mft_ppg_prlh15_field_t PRLH15_f;
    };
        __IO  uint8_t RESERVED46[2];
    union {
        __IO  uint8_t GATEC12;
        stc_mft_ppg_gatec12_field_t GATEC12_f;
    };
        __IO  uint8_t RESERVED47[39];
    union {
        __IO  uint8_t PPGC17;
        stc_mft_ppg_ppgc17_field_t PPGC17_f;
    };
    union {
        __IO  uint8_t PPGC16;
        stc_mft_ppg_ppgc16_field_t PPGC16_f;
    };
        __IO  uint8_t RESERVED48[2];
    union {
        __IO  uint8_t PPGC19;
        stc_mft_ppg_ppgc19_field_t PPGC19_f;
    };
    union {
        __IO  uint8_t PPGC18;
        stc_mft_ppg_ppgc18_field_t PPGC18_f;
    };
        __IO  uint8_t RESERVED49[2];
    union {
        __IO  uint8_t PRLL16;
        stc_mft_ppg_prll16_field_t PRLL16_f;
    };
    union {
        __IO  uint8_t PRLH16;
        stc_mft_ppg_prlh16_field_t PRLH16_f;
    };
        __IO  uint8_t RESERVED50[2];
    union {
        __IO  uint8_t PRLL17;
        stc_mft_ppg_prll17_field_t PRLL17_f;
    };
    union {
        __IO  uint8_t PRLH17;
        stc_mft_ppg_prlh17_field_t PRLH17_f;
    };
        __IO  uint8_t RESERVED51[2];
    union {
        __IO  uint8_t PRLL18;
        stc_mft_ppg_prll18_field_t PRLL18_f;
    };
    union {
        __IO  uint8_t PRLH18;
        stc_mft_ppg_prlh18_field_t PRLH18_f;
    };
        __IO  uint8_t RESERVED52[2];
    union {
        __IO  uint8_t PRLL19;
        stc_mft_ppg_prll19_field_t PRLL19_f;
    };
    union {
        __IO  uint8_t PRLH19;
        stc_mft_ppg_prlh19_field_t PRLH19_f;
    };
        __IO  uint8_t RESERVED53[2];
    union {
        __IO  uint8_t GATEC16;
        stc_mft_ppg_gatec16_field_t GATEC16_f;
    };
        __IO  uint8_t RESERVED54[39];
    union {
        __IO  uint8_t PPGC21;
        stc_mft_ppg_ppgc21_field_t PPGC21_f;
    };
    union {
        __IO  uint8_t PPGC20;
        stc_mft_ppg_ppgc20_field_t PPGC20_f;
    };
        __IO  uint8_t RESERVED55[2];
    union {
        __IO  uint8_t PPGC23;
        stc_mft_ppg_ppgc23_field_t PPGC23_f;
    };
    union {
        __IO  uint8_t PPGC22;
        stc_mft_ppg_ppgc22_field_t PPGC22_f;
    };
        __IO  uint8_t RESERVED56[2];
    union {
        __IO  uint8_t PRLL20;
        stc_mft_ppg_prll20_field_t PRLL20_f;
    };
    union {
        __IO  uint8_t PRLH20;
        stc_mft_ppg_prlh20_field_t PRLH20_f;
    };
        __IO  uint8_t RESERVED57[2];
    union {
        __IO  uint8_t PRLL21;
        stc_mft_ppg_prll21_field_t PRLL21_f;
    };
    union {
        __IO  uint8_t PRLH21;
        stc_mft_ppg_prlh21_field_t PRLH21_f;
    };
        __IO  uint8_t RESERVED58[2];
    union {
        __IO  uint8_t PRLL22;
        stc_mft_ppg_prll22_field_t PRLL22_f;
    };
    union {
        __IO  uint8_t PRLH22;
        stc_mft_ppg_prlh22_field_t PRLH22_f;
    };
        __IO  uint8_t RESERVED59[2];
    union {
        __IO  uint8_t PRLL23;
        stc_mft_ppg_prll23_field_t PRLL23_f;
    };
    union {
        __IO  uint8_t PRLH23;
        stc_mft_ppg_prlh23_field_t PRLH23_f;
    };
        __IO  uint8_t RESERVED60[2];
    union {
        __IO  uint8_t GATEC20;
        stc_mft_ppg_gatec20_field_t GATEC20_f;
    };
} FM_MFT_PPG_TypeDef, FM3_MFT_PPG_TypeDef;

/******************************************************************************
 ** QPRC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t QPCR;
        struct {
            __IO  uint8_t QPCRL;
            __IO  uint8_t QPCRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t QRCR;
        struct {
            __IO  uint8_t QRCRL;
            __IO  uint8_t QRCRH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t QPCCR;
        struct {
            __IO  uint8_t QPCCRL;
            __IO  uint8_t QPCCRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t QPRCR;
        struct {
            __IO  uint8_t QPRCRL;
            __IO  uint8_t QPRCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t QMPR;
        struct {
            __IO  uint8_t QMPRL;
            __IO  uint8_t QMPRH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO  uint8_t QICRL;
        stc_qprc_qicrl_field_t QICRL_f;
    };
    union {
        __IO  uint8_t QICRH;
        stc_qprc_qicrh_field_t QICRH_f;
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t QCR;
        stc_qprc_qcr_field_t QCR_f;
        struct {
            __IO  uint8_t QCRL;
            __IO  uint8_t QCRH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t QECR;
        stc_qprc_qecr_field_t QECR_f;
        struct {
            __IO  uint8_t QECRL;
            __IO  uint8_t QECRH;
        };
    };
} FM_QPRC_TypeDef, FM3_QPRC_TypeDef;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[252];
    union {
        __IO uint16_t BTSSSR;
        stc_sbssr_btsssr_field_t BTSSSR_f;
        struct {
            __IO  uint8_t BTSSSRL;
            __IO  uint8_t BTSSSRH;
        };
    };
} FM_SBSSR_TypeDef, FM3_SBSSR_TypeDef;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDOGLOAD;
        struct {
          union {
            __IO uint16_t WDOGLOADL;
            struct {
              __IO uint8_t WDOGLOADLL;
              __IO uint8_t WDOGLOADLH;
            };
          };
          union {
            __IO uint16_t WDOGLOADH;
            struct {
              __IO uint8_t WDOGLOADHL;
              __IO uint8_t WDOGLOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGVALUE;
        struct {
          union {
            __IO uint16_t WDOGVALUEL;
            struct {
              __IO uint8_t WDOGVALUELL;
              __IO uint8_t WDOGVALUELH;
            };
          };
          union {
            __IO uint16_t WDOGVALUEH;
            struct {
              __IO uint8_t WDOGVALUEHL;
              __IO uint8_t WDOGVALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGCONTROL;
        stc_swwdt_wdogcontrol_field_t WDOGCONTROL_f;
        struct {
          union {
            __IO uint16_t WDOGCONTROLL;
            struct {
              __IO uint8_t WDOGCONTROLLL;
              __IO uint8_t WDOGCONTROLLH;
            };
          };
          union {
            __IO uint16_t WDOGCONTROLH;
            struct {
              __IO uint8_t WDOGCONTROLHL;
              __IO uint8_t WDOGCONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGINTCLR;
        struct {
          union {
            __IO uint16_t WDOGINTCLRL;
            struct {
              __IO uint8_t WDOGINTCLRLL;
              __IO uint8_t WDOGINTCLRLH;
            };
          };
          union {
            __IO uint16_t WDOGINTCLRH;
            struct {
              __IO uint8_t WDOGINTCLRHL;
              __IO uint8_t WDOGINTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGRIS;
        stc_swwdt_wdogris_field_t WDOGRIS_f;
        struct {
          union {
            __IO uint16_t WDOGRISL;
            struct {
              __IO uint8_t WDOGRISLL;
              __IO uint8_t WDOGRISLH;
            };
          };
          union {
            __IO uint16_t WDOGRISH;
            struct {
              __IO uint8_t WDOGRISHL;
              __IO uint8_t WDOGRISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[3052];
    union {
        __IO uint32_t WDOGLOCK;
        struct {
          union {
            __IO uint16_t WDOGLOCKL;
            struct {
              __IO uint8_t WDOGLOCKLL;
              __IO uint8_t WDOGLOCKLH;
            };
          };
          union {
            __IO uint16_t WDOGLOCKH;
            struct {
              __IO uint8_t WDOGLOCKHL;
              __IO uint8_t WDOGLOCKHH;
            };
          };
        };
    };
} FM_SWWDT_TypeDef, FM3_SWWDT_TypeDef;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t UIDR0;
        stc_unique_id_uidr0_field_t UIDR0_f;
        struct {
          union {
            __IO uint16_t UIDR0L;
            struct {
              __IO uint8_t UIDR0LL;
              __IO uint8_t UIDR0LH;
            };
          };
          union {
            __IO uint16_t UIDR0H;
            struct {
              __IO uint8_t UIDR0HL;
              __IO uint8_t UIDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t UIDR1;
        stc_unique_id_uidr1_field_t UIDR1_f;
        struct {
          union {
            __IO uint16_t UIDR1L;
            struct {
              __IO uint8_t UIDR1LL;
              __IO uint8_t UIDR1LH;
            };
          };
          union {
            __IO uint16_t UIDR1H;
            struct {
              __IO uint8_t UIDR1HL;
              __IO uint8_t UIDR1HH;
            };
          };
        };
    };
} FM_UNIQUE_ID_TypeDef, FM3_UNIQUE_ID_TypeDef;

/******************************************************************************
 ** WC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t WCRD;
        stc_wc_wcrd_field_t WCRD_f;
    };
    union {
        __IO  uint8_t WCRL;
        stc_wc_wcrl_field_t WCRL_f;
    };
    union {
        __IO  uint8_t WCCR;
        stc_wc_wccr_field_t WCCR_f;
    };
        __IO  uint8_t RESERVED0[13];
    union {
        __IO uint16_t CLK_SEL;
        stc_wc_clk_sel_field_t CLK_SEL_f;
        struct {
            __IO  uint8_t CLK_SELL;
            __IO  uint8_t CLK_SELH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t CLK_EN;
        stc_wc_clk_en_field_t CLK_EN_f;
    };
} FM_WC_TypeDef, FM3_WC_TypeDef;

/******************************************************************************
 ** Peripheral Memory Map
 ** 
 ******************************************************************************/
#define FM_FLASH_BASE                             (0x00000000UL) /* Flash Base Address */
#define FM3_FLASH_BASE                            (0x00000000UL) /* Flash Base Address */
#define FM_PERIPH_BASE                            (0x40000000UL) /* Peripheral Base Address */
#define FM3_PERIPH_BASE                           (0x40000000UL) /* Peripheral Base Address */
#define FM_CM3_BASE                               (0xE0100000UL) /* CM3 Private */
#define FM3_CM3_BASE                              (0xE0100000UL) /* CM3 Private  */

#define FM_ADC0_BASE                              (0x40027000UL) /* ADC0 Base Address */
#define FM3_ADC0_BASE                             (0x40027000UL) /* ADC0 Base Address */
#define FM_ADC1_BASE                              (0x40027100UL) /* ADC1 Base Address */
#define FM3_ADC1_BASE                             (0x40027100UL) /* ADC1 Base Address */
#define FM_ADC2_BASE                              (0x40027200UL) /* ADC2 Base Address */
#define FM3_ADC2_BASE                             (0x40027200UL) /* ADC2 Base Address */
#define FM_BT0_BASE                               (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_BASE                              (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PPG_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_PPG_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWC_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_PWC_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWM_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_PWM_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_RT_BASE                            (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_RT_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM_BT1_BASE                               (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_BASE                              (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PPG_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_PPG_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWC_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_PWC_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWM_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_PWM_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_RT_BASE                            (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_RT_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM_BT2_BASE                               (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_BASE                              (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PPG_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_PPG_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWC_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_PWC_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWM_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_PWM_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_RT_BASE                            (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_RT_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM_BT3_BASE                               (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_BASE                              (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PPG_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_PPG_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWC_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_PWC_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWM_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_PWM_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_RT_BASE                            (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_RT_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM_BT4_BASE                               (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_BASE                              (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PPG_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_PPG_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PWC_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_PWC_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PWM_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_PWM_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_RT_BASE                            (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_RT_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM_BT5_BASE                               (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_BASE                              (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PPG_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_PPG_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PWC_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_PWC_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PWM_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_PWM_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_RT_BASE                            (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_RT_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM_BT6_BASE                               (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_BASE                              (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PPG_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_PPG_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PWC_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_PWC_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PWM_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_PWM_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_RT_BASE                            (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_RT_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM_BT7_BASE                               (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_BASE                              (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PPG_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_PPG_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PWC_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_PWC_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PWM_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_PWM_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_RT_BASE                            (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_RT_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM_BTIOSEL03_BASE                         (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM3_BTIOSEL03_BASE                        (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM_BTIOSEL47_BASE                         (0x40025300UL) /* BTIOSEL47 Base Address */
#define FM3_BTIOSEL47_BASE                        (0x40025300UL) /* BTIOSEL47 Base Address */
#define FM_CRC_BASE                               (0x40039000UL) /* CRC Base Address */
#define FM3_CRC_BASE                              (0x40039000UL) /* CRC Base Address */
#define FM_CRG_BASE                               (0x40010000UL) /* CRG Base Address */
#define FM3_CRG_BASE                              (0x40010000UL) /* CRG Base Address */
#define FM_CRTRIM_BASE                            (0x4002E000UL) /* CRTRIM Base Address */
#define FM3_CRTRIM_BASE                           (0x4002E000UL) /* CRTRIM Base Address */
#define FM_DMAC_BASE                              (0x40060000UL) /* DMAC Base Address */
#define FM3_DMAC_BASE                             (0x40060000UL) /* DMAC Base Address */
#define FM_DT_BASE                                (0x40015000UL) /* DT Base Address */
#define FM3_DT_BASE                               (0x40015000UL) /* DT Base Address */
#define FM_EXBUS_BASE                             (0x4003F000UL) /* EXBUS Base Address */
#define FM3_EXBUS_BASE                            (0x4003F000UL) /* EXBUS Base Address */
#define FM_EXTI_BASE                              (0x40030000UL) /* EXTI Base Address */
#define FM3_EXTI_BASE                             (0x40030000UL) /* EXTI Base Address */
#define FM_FLASH_IF_BASE                          (0x40000000UL) /* FLASH_IF Base Address */
#define FM3_FLASH_IF_BASE                         (0x40000000UL) /* FLASH_IF Base Address */
#define FM_GPIO_BASE                              (0x40033000UL) /* GPIO Base Address */
#define FM3_GPIO_BASE                             (0x40033000UL) /* GPIO Base Address */
#define FM_HWWDT_BASE                             (0x40011000UL) /* HWWDT Base Address */
#define FM3_HWWDT_BASE                            (0x40011000UL) /* HWWDT Base Address */
#define FM_INTREQ_BASE                            (0x40031000UL) /* INTREQ Base Address */
#define FM3_INTREQ_BASE                           (0x40031000UL) /* INTREQ Base Address */
#define FM_LVD_BASE                               (0x40035000UL) /* LVD Base Address */
#define FM3_LVD_BASE                              (0x40035000UL) /* LVD Base Address */
#define FM_MFS_NFC_BASE                           (0x40038800UL) /* MFS_NFC Base Address */
#define FM3_MFS_NFC_BASE                          (0x40038800UL) /* MFS_NFC Base Address */
#define FM_MFS0_BASE                              (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_BASE                             (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_CSIO_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_CSIO_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_I2C_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_I2C_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_LIN_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_LIN_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_UART_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_UART_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS1_BASE                              (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_BASE                             (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_CSIO_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_CSIO_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_I2C_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_I2C_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_LIN_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_LIN_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_UART_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_UART_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS2_BASE                              (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_BASE                             (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_CSIO_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_CSIO_BASE                        (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_I2C_BASE                          (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_I2C_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_LIN_BASE                          (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_LIN_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_UART_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_UART_BASE                        (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS3_BASE                              (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_BASE                             (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_CSIO_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_CSIO_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_I2C_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_I2C_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_LIN_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_LIN_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_UART_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_UART_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS4_BASE                              (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_BASE                             (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_CSIO_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_CSIO_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_I2C_BASE                          (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_I2C_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_LIN_BASE                          (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_LIN_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_UART_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_UART_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS5_BASE                              (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_BASE                             (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_CSIO_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_CSIO_BASE                        (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_I2C_BASE                          (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_I2C_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_LIN_BASE                          (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_LIN_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_UART_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_UART_BASE                        (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS6_BASE                              (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_BASE                             (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_CSIO_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_CSIO_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_I2C_BASE                          (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_I2C_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_LIN_BASE                          (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_LIN_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_UART_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_UART_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS7_BASE                              (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_BASE                             (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_CSIO_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_CSIO_BASE                        (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_I2C_BASE                          (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_I2C_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_LIN_BASE                          (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_LIN_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_UART_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_UART_BASE                        (0x40038700UL) /* MFS7 Base Address */
#define FM_MFT_PPG_BASE                           (0x40024000UL) /* MFT_PPG Base Address */
#define FM3_MFT_PPG_BASE                          (0x40024000UL) /* MFT_PPG Base Address */
#define FM_MFT0_BASE                              (0x40020000UL) /* MFT0 Base Address */
#define FM3_MFT0_BASE                             (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_ADCMP_BASE                        (0x40020000UL) /* MFT0 Base Address */
#define FM3_MFT0_ADCMP_BASE                       (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_FRT_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM3_MFT0_FRT_BASE                         (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_ICU_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM3_MFT0_ICU_BASE                         (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_OCU_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM3_MFT0_OCU_BASE                         (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT0_WFG_BASE                          (0x40020000UL) /* MFT0 Base Address */
#define FM3_MFT0_WFG_BASE                         (0x40020000UL) /* MFT0 Base Address */
#define FM_MFT1_BASE                              (0x40021000UL) /* MFT1 Base Address */
#define FM3_MFT1_BASE                             (0x40021000UL) /* MFT1 Base Address */
#define FM_MFT1_ADCMP_BASE                        (0x40021000UL) /* MFT1 Base Address */
#define FM3_MFT1_ADCMP_BASE                       (0x40021000UL) /* MFT1 Base Address */
#define FM_MFT1_FRT_BASE                          (0x40021000UL) /* MFT1 Base Address */
#define FM3_MFT1_FRT_BASE                         (0x40021000UL) /* MFT1 Base Address */
#define FM_MFT1_ICU_BASE                          (0x40021000UL) /* MFT1 Base Address */
#define FM3_MFT1_ICU_BASE                         (0x40021000UL) /* MFT1 Base Address */
#define FM_MFT1_OCU_BASE                          (0x40021000UL) /* MFT1 Base Address */
#define FM3_MFT1_OCU_BASE                         (0x40021000UL) /* MFT1 Base Address */
#define FM_MFT1_WFG_BASE                          (0x40021000UL) /* MFT1 Base Address */
#define FM3_MFT1_WFG_BASE                         (0x40021000UL) /* MFT1 Base Address */
#define FM_QPRC0_BASE                             (0x40026000UL) /* QPRC0 Base Address */
#define FM3_QPRC0_BASE                            (0x40026000UL) /* QPRC0 Base Address */
#define FM_QPRC1_BASE                             (0x40026040UL) /* QPRC1 Base Address */
#define FM3_QPRC1_BASE                            (0x40026040UL) /* QPRC1 Base Address */
#define FM_SBSSR_BASE                             (0x40025F00UL) /* SBSSR Base Address */
#define FM3_SBSSR_BASE                            (0x40025F00UL) /* SBSSR Base Address */
#define FM_SWWDT_BASE                             (0x40012000UL) /* SWWDT Base Address */
#define FM3_SWWDT_BASE                            (0x40012000UL) /* SWWDT Base Address */
#define FM_UNIQUE_ID_BASE                         (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM3_UNIQUE_ID_BASE                        (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM_WC_BASE                                (0x4003A000UL) /* WC Base Address */
#define FM3_WC_BASE                               (0x4003A000UL) /* WC Base Address */
/******************************************************************************
 ** Peripheral declaration
 ** 
 ******************************************************************************/
#define FM3_ADC0                                  ((FM_ADC_TypeDef *)FM3_ADC0_BASE)
#define FM_ADC0                                   ((FM_ADC_TypeDef *)FM3_ADC0_BASE)
#define FM3_ADC1                                  ((FM_ADC_TypeDef *)FM3_ADC1_BASE)
#define FM_ADC1                                   ((FM_ADC_TypeDef *)FM3_ADC1_BASE)
#define FM3_ADC2                                  ((FM_ADC_TypeDef *)FM3_ADC2_BASE)
#define FM_ADC2                                   ((FM_ADC_TypeDef *)FM3_ADC2_BASE)
#define FM3_BT0                                   ((FM_BT_TypeDef *)FM3_BT0_BASE)
#define FM_BT0                                    ((FM_BT_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_RT                                ((FM_BT_RT_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT0_BASE)
#define FM3_BT1                                   ((FM_BT_TypeDef *)FM3_BT1_BASE)
#define FM_BT1                                    ((FM_BT_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_RT                                ((FM_BT_RT_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT1_BASE)
#define FM3_BT2                                   ((FM_BT_TypeDef *)FM3_BT2_BASE)
#define FM_BT2                                    ((FM_BT_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_RT                                ((FM_BT_RT_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT2_BASE)
#define FM3_BT3                                   ((FM_BT_TypeDef *)FM3_BT3_BASE)
#define FM_BT3                                    ((FM_BT_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_RT                                ((FM_BT_RT_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT3_BASE)
#define FM3_BT4                                   ((FM_BT_TypeDef *)FM3_BT4_BASE)
#define FM_BT4                                    ((FM_BT_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_RT                                ((FM_BT_RT_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT4_BASE)
#define FM3_BT5                                   ((FM_BT_TypeDef *)FM3_BT5_BASE)
#define FM_BT5                                    ((FM_BT_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_RT                                ((FM_BT_RT_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT5_BASE)
#define FM3_BT6                                   ((FM_BT_TypeDef *)FM3_BT6_BASE)
#define FM_BT6                                    ((FM_BT_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_RT                                ((FM_BT_RT_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT6_BASE)
#define FM3_BT7                                   ((FM_BT_TypeDef *)FM3_BT7_BASE)
#define FM_BT7                                    ((FM_BT_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_RT                                ((FM_BT_RT_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT7_BASE)
#define FM3_BTIOSEL03                             ((FM_BTIOSEL03_TypeDef *)FM3_BTIOSEL03_BASE)
#define FM_BTIOSEL03                              ((FM_BTIOSEL03_TypeDef *)FM3_BTIOSEL03_BASE)
#define FM3_BTIOSEL47                             ((FM_BTIOSEL47_TypeDef *)FM3_BTIOSEL47_BASE)
#define FM_BTIOSEL47                              ((FM_BTIOSEL47_TypeDef *)FM3_BTIOSEL47_BASE)
#define FM3_CRC                                   ((FM_CRC_TypeDef *)FM3_CRC_BASE)
#define FM_CRC                                    ((FM_CRC_TypeDef *)FM3_CRC_BASE)
#define FM3_CRG                                   ((FM_CRG_TypeDef *)FM3_CRG_BASE)
#define FM_CRG                                    ((FM_CRG_TypeDef *)FM3_CRG_BASE)
#define FM3_CRTRIM                                ((FM_CRTRIM_TypeDef *)FM3_CRTRIM_BASE)
#define FM_CRTRIM                                 ((FM_CRTRIM_TypeDef *)FM3_CRTRIM_BASE)
#define FM3_DMAC                                  ((FM_DMAC_TypeDef *)FM3_DMAC_BASE)
#define FM_DMAC                                   ((FM_DMAC_TypeDef *)FM3_DMAC_BASE)
#define FM3_DT                                    ((FM_DT_TypeDef *)FM3_DT_BASE)
#define FM_DT                                     ((FM_DT_TypeDef *)FM3_DT_BASE)
#define FM3_EXBUS                                 ((FM_EXBUS_TypeDef *)FM3_EXBUS_BASE)
#define FM_EXBUS                                  ((FM_EXBUS_TypeDef *)FM3_EXBUS_BASE)
#define FM3_EXTI                                  ((FM_EXTI_TypeDef *)FM3_EXTI_BASE)
#define FM_EXTI                                   ((FM_EXTI_TypeDef *)FM3_EXTI_BASE)
#define FM3_FLASH_IF                              ((FM_FLASH_IF_TypeDef *)FM3_FLASH_IF_BASE)
#define FM_FLASH_IF                               ((FM_FLASH_IF_TypeDef *)FM3_FLASH_IF_BASE)
#define FM3_GPIO                                  ((FM_GPIO_TypeDef *)FM3_GPIO_BASE)
#define FM_GPIO                                   ((FM_GPIO_TypeDef *)FM3_GPIO_BASE)
#define FM3_HWWDT                                 ((FM_HWWDT_TypeDef *)FM3_HWWDT_BASE)
#define FM_HWWDT                                  ((FM_HWWDT_TypeDef *)FM3_HWWDT_BASE)
#define FM3_INTREQ                                ((FM_INTREQ_TypeDef *)FM3_INTREQ_BASE)
#define FM_INTREQ                                 ((FM_INTREQ_TypeDef *)FM3_INTREQ_BASE)
#define FM3_LVD                                   ((FM_LVD_TypeDef *)FM3_LVD_BASE)
#define FM_LVD                                    ((FM_LVD_TypeDef *)FM3_LVD_BASE)
#define FM3_MFS_NFC                               ((FM_MFS_NFC_TypeDef *)FM3_MFS_NFC_BASE)
#define FM_MFS_NFC                                ((FM_MFS_NFC_TypeDef *)FM3_MFS_NFC_BASE)
#define FM3_MFS0                                  ((FM_MFS_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0                                   ((FM_MFS_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS1                                  ((FM_MFS_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1                                   ((FM_MFS_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS2                                  ((FM_MFS_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2                                   ((FM_MFS_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS3                                  ((FM_MFS_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3                                   ((FM_MFS_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS4                                  ((FM_MFS_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4                                   ((FM_MFS_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS5                                  ((FM_MFS_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5                                   ((FM_MFS_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS6                                  ((FM_MFS_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6                                   ((FM_MFS_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS7                                  ((FM_MFS_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7                                   ((FM_MFS_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_LIN                              ((FM_MFS_LIN_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_LIN                               ((FM_MFS_LIN_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFT_PPG                               ((FM_MFT_PPG_TypeDef *)FM3_MFT_PPG_BASE)
#define FM_MFT_PPG                                ((FM_MFT_PPG_TypeDef *)FM3_MFT_PPG_BASE)
#define FM3_MFT0                                  ((FM_MFT_TypeDef *)FM3_MFT0_BASE)
#define FM_MFT0                                   ((FM_MFT_TypeDef *)FM3_MFT0_BASE)
#define FM3_MFT0_ADCMP                            ((FM_MFT_ADCMP_TypeDef *)FM3_MFT0_BASE)
#define FM_MFT0_ADCMP                             ((FM_MFT_ADCMP_TypeDef *)FM3_MFT0_BASE)
#define FM3_MFT0_FRT                              ((FM_MFT_FRT_TypeDef *)FM3_MFT0_BASE)
#define FM_MFT0_FRT                               ((FM_MFT_FRT_TypeDef *)FM3_MFT0_BASE)
#define FM3_MFT0_ICU                              ((FM_MFT_ICU_TypeDef *)FM3_MFT0_BASE)
#define FM_MFT0_ICU                               ((FM_MFT_ICU_TypeDef *)FM3_MFT0_BASE)
#define FM3_MFT0_OCU                              ((FM_MFT_OCU_TypeDef *)FM3_MFT0_BASE)
#define FM_MFT0_OCU                               ((FM_MFT_OCU_TypeDef *)FM3_MFT0_BASE)
#define FM3_MFT0_WFG                              ((FM_MFT_WFG_TypeDef *)FM3_MFT0_BASE)
#define FM_MFT0_WFG                               ((FM_MFT_WFG_TypeDef *)FM3_MFT0_BASE)
#define FM3_MFT1                                  ((FM_MFT_TypeDef *)FM3_MFT1_BASE)
#define FM_MFT1                                   ((FM_MFT_TypeDef *)FM3_MFT1_BASE)
#define FM3_MFT1_ADCMP                            ((FM_MFT_ADCMP_TypeDef *)FM3_MFT1_BASE)
#define FM_MFT1_ADCMP                             ((FM_MFT_ADCMP_TypeDef *)FM3_MFT1_BASE)
#define FM3_MFT1_FRT                              ((FM_MFT_FRT_TypeDef *)FM3_MFT1_BASE)
#define FM_MFT1_FRT                               ((FM_MFT_FRT_TypeDef *)FM3_MFT1_BASE)
#define FM3_MFT1_ICU                              ((FM_MFT_ICU_TypeDef *)FM3_MFT1_BASE)
#define FM_MFT1_ICU                               ((FM_MFT_ICU_TypeDef *)FM3_MFT1_BASE)
#define FM3_MFT1_OCU                              ((FM_MFT_OCU_TypeDef *)FM3_MFT1_BASE)
#define FM_MFT1_OCU                               ((FM_MFT_OCU_TypeDef *)FM3_MFT1_BASE)
#define FM3_MFT1_WFG                              ((FM_MFT_WFG_TypeDef *)FM3_MFT1_BASE)
#define FM_MFT1_WFG                               ((FM_MFT_WFG_TypeDef *)FM3_MFT1_BASE)
#define FM3_QPRC0                                 ((FM_QPRC_TypeDef *)FM3_QPRC0_BASE)
#define FM_QPRC0                                  ((FM_QPRC_TypeDef *)FM3_QPRC0_BASE)
#define FM3_QPRC1                                 ((FM_QPRC_TypeDef *)FM3_QPRC1_BASE)
#define FM_QPRC1                                  ((FM_QPRC_TypeDef *)FM3_QPRC1_BASE)
#define FM3_SBSSR                                 ((FM_SBSSR_TypeDef *)FM3_SBSSR_BASE)
#define FM_SBSSR                                  ((FM_SBSSR_TypeDef *)FM3_SBSSR_BASE)
#define FM3_SWWDT                                 ((FM_SWWDT_TypeDef *)FM3_SWWDT_BASE)
#define FM_SWWDT                                  ((FM_SWWDT_TypeDef *)FM3_SWWDT_BASE)
#define FM3_UNIQUE_ID                             ((FM_UNIQUE_ID_TypeDef *)FM3_UNIQUE_ID_BASE)
#define FM_UNIQUE_ID                              ((FM_UNIQUE_ID_TypeDef *)FM3_UNIQUE_ID_BASE)
#define FM3_WC                                    ((FM_WC_TypeDef *)FM3_WC_BASE)
#define FM_WC                                     ((FM_WC_TypeDef *)FM3_WC_BASE)
/******************************************************************************
 ** Register Definitions
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC0_ADSR                              *((volatile  uint8_t*)(0x40027000UL))
#define FM3_ADC0_ADSR                             *((volatile  uint8_t*)(0x40027000UL))
#define FM_ADC0_ADCR                              *((volatile  uint8_t*)(0x40027001UL))
#define FM3_ADC0_ADCR                             *((volatile  uint8_t*)(0x40027001UL))
#define FM_ADC0_SFNS                              *((volatile  uint8_t*)(0x40027008UL))
#define FM3_ADC0_SFNS                             *((volatile  uint8_t*)(0x40027008UL))
#define FM_ADC0_SCCR                              *((volatile  uint8_t*)(0x40027009UL))
#define FM3_ADC0_SCCR                             *((volatile  uint8_t*)(0x40027009UL))
#define FM_ADC0_SCFD                              *((volatile uint32_t*)(0x4002700CUL))
#define FM3_ADC0_SCFD                             *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002700CUL))
#define FM3_ADC0_SCFD_FDAS1                       *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCIS23                            *((volatile uint16_t*)(0x40027010UL))
#define FM3_ADC0_SCIS23                           *((volatile uint16_t*)(0x40027010UL))
#define FM_ADC0_SCIS01                            *((volatile uint16_t*)(0x40027014UL))
#define FM3_ADC0_SCIS01                           *((volatile uint16_t*)(0x40027014UL))
#define FM_ADC0_PFNS                              *((volatile  uint8_t*)(0x40027018UL))
#define FM3_ADC0_PFNS                             *((volatile  uint8_t*)(0x40027018UL))
#define FM_ADC0_PCCR                              *((volatile  uint8_t*)(0x40027019UL))
#define FM3_ADC0_PCCR                             *((volatile  uint8_t*)(0x40027019UL))
#define FM_ADC0_PCFD                              *((volatile uint32_t*)(0x4002701CUL))
#define FM3_ADC0_PCFD                             *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002701CUL))
#define FM3_ADC0_PCFD_FDAS1                       *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCIS                              *((volatile  uint8_t*)(0x40027020UL))
#define FM3_ADC0_PCIS                             *((volatile  uint8_t*)(0x40027020UL))
#define FM_ADC0_CMPCR                             *((volatile  uint8_t*)(0x40027024UL))
#define FM3_ADC0_CMPCR                            *((volatile  uint8_t*)(0x40027024UL))
#define FM_ADC0_CMPD                              *((volatile uint16_t*)(0x40027026UL))
#define FM3_ADC0_CMPD                             *((volatile uint16_t*)(0x40027026UL))
#define FM_ADC0_ADSS23                            *((volatile uint16_t*)(0x40027028UL))
#define FM3_ADC0_ADSS23                           *((volatile uint16_t*)(0x40027028UL))
#define FM_ADC0_ADSS01                            *((volatile uint16_t*)(0x4002702CUL))
#define FM3_ADC0_ADSS01                           *((volatile uint16_t*)(0x4002702CUL))
#define FM_ADC0_ADST01                            *((volatile uint16_t*)(0x40027030UL))
#define FM3_ADC0_ADST01                           *((volatile uint16_t*)(0x40027030UL))
#define FM_ADC0_ADCT                              *((volatile  uint8_t*)(0x40027034UL))
#define FM3_ADC0_ADCT                             *((volatile  uint8_t*)(0x40027034UL))
#define FM_ADC0_PRTSL                             *((volatile  uint8_t*)(0x40027038UL))
#define FM3_ADC0_PRTSL                            *((volatile  uint8_t*)(0x40027038UL))
#define FM_ADC0_SCTSL                             *((volatile  uint8_t*)(0x40027039UL))
#define FM3_ADC0_SCTSL                            *((volatile  uint8_t*)(0x40027039UL))
#define FM_ADC0_ADCEN                             *((volatile  uint8_t*)(0x4002703CUL))
#define FM3_ADC0_ADCEN                            *((volatile  uint8_t*)(0x4002703CUL))

/******************************************************************************
 ** ADC Registers ADC1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC1_ADSR                              *((volatile  uint8_t*)(0x40027100UL))
#define FM3_ADC1_ADSR                             *((volatile  uint8_t*)(0x40027100UL))
#define FM_ADC1_ADCR                              *((volatile  uint8_t*)(0x40027101UL))
#define FM3_ADC1_ADCR                             *((volatile  uint8_t*)(0x40027101UL))
#define FM_ADC1_SFNS                              *((volatile  uint8_t*)(0x40027108UL))
#define FM3_ADC1_SFNS                             *((volatile  uint8_t*)(0x40027108UL))
#define FM_ADC1_SCCR                              *((volatile  uint8_t*)(0x40027109UL))
#define FM3_ADC1_SCCR                             *((volatile  uint8_t*)(0x40027109UL))
#define FM_ADC1_SCFD                              *((volatile uint32_t*)(0x4002710CUL))
#define FM3_ADC1_SCFD                             *((volatile uint32_t*)(0x4002710CUL))
#define FM_ADC1_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002710CUL))
#define FM3_ADC1_SCFD_FDAS1                       *((volatile uint32_t*)(0x4002710CUL))
#define FM_ADC1_SCIS23                            *((volatile uint16_t*)(0x40027110UL))
#define FM3_ADC1_SCIS23                           *((volatile uint16_t*)(0x40027110UL))
#define FM_ADC1_SCIS01                            *((volatile uint16_t*)(0x40027114UL))
#define FM3_ADC1_SCIS01                           *((volatile uint16_t*)(0x40027114UL))
#define FM_ADC1_PFNS                              *((volatile  uint8_t*)(0x40027118UL))
#define FM3_ADC1_PFNS                             *((volatile  uint8_t*)(0x40027118UL))
#define FM_ADC1_PCCR                              *((volatile  uint8_t*)(0x40027119UL))
#define FM3_ADC1_PCCR                             *((volatile  uint8_t*)(0x40027119UL))
#define FM_ADC1_PCFD                              *((volatile uint32_t*)(0x4002711CUL))
#define FM3_ADC1_PCFD                             *((volatile uint32_t*)(0x4002711CUL))
#define FM_ADC1_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002711CUL))
#define FM3_ADC1_PCFD_FDAS1                       *((volatile uint32_t*)(0x4002711CUL))
#define FM_ADC1_PCIS                              *((volatile  uint8_t*)(0x40027120UL))
#define FM3_ADC1_PCIS                             *((volatile  uint8_t*)(0x40027120UL))
#define FM_ADC1_CMPCR                             *((volatile  uint8_t*)(0x40027124UL))
#define FM3_ADC1_CMPCR                            *((volatile  uint8_t*)(0x40027124UL))
#define FM_ADC1_CMPD                              *((volatile uint16_t*)(0x40027126UL))
#define FM3_ADC1_CMPD                             *((volatile uint16_t*)(0x40027126UL))
#define FM_ADC1_ADSS23                            *((volatile uint16_t*)(0x40027128UL))
#define FM3_ADC1_ADSS23                           *((volatile uint16_t*)(0x40027128UL))
#define FM_ADC1_ADSS01                            *((volatile uint16_t*)(0x4002712CUL))
#define FM3_ADC1_ADSS01                           *((volatile uint16_t*)(0x4002712CUL))
#define FM_ADC1_ADST01                            *((volatile uint16_t*)(0x40027130UL))
#define FM3_ADC1_ADST01                           *((volatile uint16_t*)(0x40027130UL))
#define FM_ADC1_ADCT                              *((volatile  uint8_t*)(0x40027134UL))
#define FM3_ADC1_ADCT                             *((volatile  uint8_t*)(0x40027134UL))
#define FM_ADC1_PRTSL                             *((volatile  uint8_t*)(0x40027138UL))
#define FM3_ADC1_PRTSL                            *((volatile  uint8_t*)(0x40027138UL))
#define FM_ADC1_SCTSL                             *((volatile  uint8_t*)(0x40027139UL))
#define FM3_ADC1_SCTSL                            *((volatile  uint8_t*)(0x40027139UL))
#define FM_ADC1_ADCEN                             *((volatile  uint8_t*)(0x4002713CUL))
#define FM3_ADC1_ADCEN                            *((volatile  uint8_t*)(0x4002713CUL))

/******************************************************************************
 ** ADC Registers ADC2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC2_ADSR                              *((volatile  uint8_t*)(0x40027200UL))
#define FM3_ADC2_ADSR                             *((volatile  uint8_t*)(0x40027200UL))
#define FM_ADC2_ADCR                              *((volatile  uint8_t*)(0x40027201UL))
#define FM3_ADC2_ADCR                             *((volatile  uint8_t*)(0x40027201UL))
#define FM_ADC2_SFNS                              *((volatile  uint8_t*)(0x40027208UL))
#define FM3_ADC2_SFNS                             *((volatile  uint8_t*)(0x40027208UL))
#define FM_ADC2_SCCR                              *((volatile  uint8_t*)(0x40027209UL))
#define FM3_ADC2_SCCR                             *((volatile  uint8_t*)(0x40027209UL))
#define FM_ADC2_SCFD                              *((volatile uint32_t*)(0x4002720CUL))
#define FM3_ADC2_SCFD                             *((volatile uint32_t*)(0x4002720CUL))
#define FM_ADC2_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002720CUL))
#define FM3_ADC2_SCFD_FDAS1                       *((volatile uint32_t*)(0x4002720CUL))
#define FM_ADC2_SCIS23                            *((volatile uint16_t*)(0x40027210UL))
#define FM3_ADC2_SCIS23                           *((volatile uint16_t*)(0x40027210UL))
#define FM_ADC2_SCIS01                            *((volatile uint16_t*)(0x40027214UL))
#define FM3_ADC2_SCIS01                           *((volatile uint16_t*)(0x40027214UL))
#define FM_ADC2_PFNS                              *((volatile  uint8_t*)(0x40027218UL))
#define FM3_ADC2_PFNS                             *((volatile  uint8_t*)(0x40027218UL))
#define FM_ADC2_PCCR                              *((volatile  uint8_t*)(0x40027219UL))
#define FM3_ADC2_PCCR                             *((volatile  uint8_t*)(0x40027219UL))
#define FM_ADC2_PCFD                              *((volatile uint32_t*)(0x4002721CUL))
#define FM3_ADC2_PCFD                             *((volatile uint32_t*)(0x4002721CUL))
#define FM_ADC2_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002721CUL))
#define FM3_ADC2_PCFD_FDAS1                       *((volatile uint32_t*)(0x4002721CUL))
#define FM_ADC2_PCIS                              *((volatile  uint8_t*)(0x40027220UL))
#define FM3_ADC2_PCIS                             *((volatile  uint8_t*)(0x40027220UL))
#define FM_ADC2_CMPCR                             *((volatile  uint8_t*)(0x40027224UL))
#define FM3_ADC2_CMPCR                            *((volatile  uint8_t*)(0x40027224UL))
#define FM_ADC2_CMPD                              *((volatile uint16_t*)(0x40027226UL))
#define FM3_ADC2_CMPD                             *((volatile uint16_t*)(0x40027226UL))
#define FM_ADC2_ADSS23                            *((volatile uint16_t*)(0x40027228UL))
#define FM3_ADC2_ADSS23                           *((volatile uint16_t*)(0x40027228UL))
#define FM_ADC2_ADSS01                            *((volatile uint16_t*)(0x4002722CUL))
#define FM3_ADC2_ADSS01                           *((volatile uint16_t*)(0x4002722CUL))
#define FM_ADC2_ADST01                            *((volatile uint16_t*)(0x40027230UL))
#define FM3_ADC2_ADST01                           *((volatile uint16_t*)(0x40027230UL))
#define FM_ADC2_ADCT                              *((volatile  uint8_t*)(0x40027234UL))
#define FM3_ADC2_ADCT                             *((volatile  uint8_t*)(0x40027234UL))
#define FM_ADC2_PRTSL                             *((volatile  uint8_t*)(0x40027238UL))
#define FM3_ADC2_PRTSL                            *((volatile  uint8_t*)(0x40027238UL))
#define FM_ADC2_SCTSL                             *((volatile  uint8_t*)(0x40027239UL))
#define FM3_ADC2_SCTSL                            *((volatile  uint8_t*)(0x40027239UL))
#define FM_ADC2_ADCEN                             *((volatile  uint8_t*)(0x4002723CUL))
#define FM3_ADC2_ADCEN                            *((volatile  uint8_t*)(0x4002723CUL))

/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT0_PPG_PRLL                           *((volatile uint16_t*)(0x40025000UL))
#define FM3_BT0_PPG_PRLL                          *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PWM_PCSR                           *((volatile uint16_t*)(0x40025000UL))
#define FM3_BT0_PWM_PCSR                          *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_RT_PCSR                            *((volatile uint16_t*)(0x40025000UL))
#define FM3_BT0_RT_PCSR                           *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PPG_PRLH                           *((volatile uint16_t*)(0x40025004UL))
#define FM3_BT0_PPG_PRLH                          *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWC_DTBF                           *((volatile uint16_t*)(0x40025004UL))
#define FM3_BT0_PWC_DTBF                          *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWM_PDUT                           *((volatile uint16_t*)(0x40025004UL))
#define FM3_BT0_PWM_PDUT                          *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PPG_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM3_BT0_PPG_TMR                           *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PWM_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM3_BT0_PWM_TMR                           *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_RT_TMR                             *((volatile uint16_t*)(0x40025008UL))
#define FM3_BT0_RT_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PPG_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_PPG_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWC_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_PWC_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWM_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_PWM_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_RT_TMCR                            *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_RT_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PPG_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_PPG_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWC_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_PWC_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWM_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_PWM_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_RT_STC                             *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_RT_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_RT_TMCR2                           *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_RT_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))

/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT1_PPG_PRLL                           *((volatile uint16_t*)(0x40025040UL))
#define FM3_BT1_PPG_PRLL                          *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PWM_PCSR                           *((volatile uint16_t*)(0x40025040UL))
#define FM3_BT1_PWM_PCSR                          *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_RT_PCSR                            *((volatile uint16_t*)(0x40025040UL))
#define FM3_BT1_RT_PCSR                           *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PPG_PRLH                           *((volatile uint16_t*)(0x40025044UL))
#define FM3_BT1_PPG_PRLH                          *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWC_DTBF                           *((volatile uint16_t*)(0x40025044UL))
#define FM3_BT1_PWC_DTBF                          *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWM_PDUT                           *((volatile uint16_t*)(0x40025044UL))
#define FM3_BT1_PWM_PDUT                          *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PPG_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM3_BT1_PPG_TMR                           *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PWM_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM3_BT1_PWM_TMR                           *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_RT_TMR                             *((volatile uint16_t*)(0x40025048UL))
#define FM3_BT1_RT_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PPG_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_PPG_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWC_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_PWC_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWM_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_PWM_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_RT_TMCR                            *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_RT_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PPG_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_PPG_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWC_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_PWC_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWM_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_PWM_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_RT_STC                             *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_RT_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_RT_TMCR2                           *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_RT_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))

/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT2_PPG_PRLL                           *((volatile uint16_t*)(0x40025080UL))
#define FM3_BT2_PPG_PRLL                          *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PWM_PCSR                           *((volatile uint16_t*)(0x40025080UL))
#define FM3_BT2_PWM_PCSR                          *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_RT_PCSR                            *((volatile uint16_t*)(0x40025080UL))
#define FM3_BT2_RT_PCSR                           *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PPG_PRLH                           *((volatile uint16_t*)(0x40025084UL))
#define FM3_BT2_PPG_PRLH                          *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWC_DTBF                           *((volatile uint16_t*)(0x40025084UL))
#define FM3_BT2_PWC_DTBF                          *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWM_PDUT                           *((volatile uint16_t*)(0x40025084UL))
#define FM3_BT2_PWM_PDUT                          *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PPG_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM3_BT2_PPG_TMR                           *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PWM_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM3_BT2_PWM_TMR                           *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_RT_TMR                             *((volatile uint16_t*)(0x40025088UL))
#define FM3_BT2_RT_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PPG_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_PPG_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWC_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_PWC_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWM_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_PWM_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_RT_TMCR                            *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_RT_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PPG_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_PPG_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWC_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_PWC_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWM_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_PWM_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_RT_STC                             *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_RT_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_RT_TMCR2                           *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_RT_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))

/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT3_PPG_PRLL                           *((volatile uint16_t*)(0x400250C0UL))
#define FM3_BT3_PPG_PRLL                          *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PWM_PCSR                           *((volatile uint16_t*)(0x400250C0UL))
#define FM3_BT3_PWM_PCSR                          *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_RT_PCSR                            *((volatile uint16_t*)(0x400250C0UL))
#define FM3_BT3_RT_PCSR                           *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PPG_PRLH                           *((volatile uint16_t*)(0x400250C4UL))
#define FM3_BT3_PPG_PRLH                          *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWC_DTBF                           *((volatile uint16_t*)(0x400250C4UL))
#define FM3_BT3_PWC_DTBF                          *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWM_PDUT                           *((volatile uint16_t*)(0x400250C4UL))
#define FM3_BT3_PWM_PDUT                          *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PPG_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM3_BT3_PPG_TMR                           *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PWM_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM3_BT3_PWM_TMR                           *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_RT_TMR                             *((volatile uint16_t*)(0x400250C8UL))
#define FM3_BT3_RT_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PPG_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_PPG_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWC_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_PWC_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWM_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_PWM_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_RT_TMCR                            *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_RT_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PPG_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_PPG_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWC_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_PWC_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWM_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_PWM_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_RT_STC                             *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_RT_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PPG_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_PPG_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWC_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_PWC_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWM_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_PWM_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_RT_TMCR2                           *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_RT_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))

/******************************************************************************
 ** BT Registers BT4
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT4_PPG_PRLL                           *((volatile uint16_t*)(0x40025200UL))
#define FM3_BT4_PPG_PRLL                          *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_PWM_PCSR                           *((volatile uint16_t*)(0x40025200UL))
#define FM3_BT4_PWM_PCSR                          *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_RT_PCSR                            *((volatile uint16_t*)(0x40025200UL))
#define FM3_BT4_RT_PCSR                           *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_PPG_PRLH                           *((volatile uint16_t*)(0x40025204UL))
#define FM3_BT4_PPG_PRLH                          *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PWC_DTBF                           *((volatile uint16_t*)(0x40025204UL))
#define FM3_BT4_PWC_DTBF                          *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PWM_PDUT                           *((volatile uint16_t*)(0x40025204UL))
#define FM3_BT4_PWM_PDUT                          *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PPG_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM3_BT4_PPG_TMR                           *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_PWM_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM3_BT4_PWM_TMR                           *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_RT_TMR                             *((volatile uint16_t*)(0x40025208UL))
#define FM3_BT4_RT_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_PPG_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_PPG_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PWC_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_PWC_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PWM_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_PWM_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_RT_TMCR                            *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_RT_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PPG_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_PPG_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PWC_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_PWC_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PWM_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_PWM_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_RT_STC                             *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_RT_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_RT_TMCR2                           *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_RT_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))

/******************************************************************************
 ** BT Registers BT5
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT5_PPG_PRLL                           *((volatile uint16_t*)(0x40025240UL))
#define FM3_BT5_PPG_PRLL                          *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_PWM_PCSR                           *((volatile uint16_t*)(0x40025240UL))
#define FM3_BT5_PWM_PCSR                          *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_RT_PCSR                            *((volatile uint16_t*)(0x40025240UL))
#define FM3_BT5_RT_PCSR                           *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_PPG_PRLH                           *((volatile uint16_t*)(0x40025244UL))
#define FM3_BT5_PPG_PRLH                          *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PWC_DTBF                           *((volatile uint16_t*)(0x40025244UL))
#define FM3_BT5_PWC_DTBF                          *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PWM_PDUT                           *((volatile uint16_t*)(0x40025244UL))
#define FM3_BT5_PWM_PDUT                          *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PPG_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM3_BT5_PPG_TMR                           *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_PWM_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM3_BT5_PWM_TMR                           *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_RT_TMR                             *((volatile uint16_t*)(0x40025248UL))
#define FM3_BT5_RT_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_PPG_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_PPG_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PWC_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_PWC_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PWM_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_PWM_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_RT_TMCR                            *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_RT_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PPG_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_PPG_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PWC_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_PWC_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PWM_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_PWM_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_RT_STC                             *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_RT_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_RT_TMCR2                           *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_RT_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))

/******************************************************************************
 ** BT Registers BT6
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT6_PPG_PRLL                           *((volatile uint16_t*)(0x40025280UL))
#define FM3_BT6_PPG_PRLL                          *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_PWM_PCSR                           *((volatile uint16_t*)(0x40025280UL))
#define FM3_BT6_PWM_PCSR                          *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_RT_PCSR                            *((volatile uint16_t*)(0x40025280UL))
#define FM3_BT6_RT_PCSR                           *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_PPG_PRLH                           *((volatile uint16_t*)(0x40025284UL))
#define FM3_BT6_PPG_PRLH                          *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PWC_DTBF                           *((volatile uint16_t*)(0x40025284UL))
#define FM3_BT6_PWC_DTBF                          *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PWM_PDUT                           *((volatile uint16_t*)(0x40025284UL))
#define FM3_BT6_PWM_PDUT                          *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PPG_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM3_BT6_PPG_TMR                           *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_PWM_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM3_BT6_PWM_TMR                           *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_RT_TMR                             *((volatile uint16_t*)(0x40025288UL))
#define FM3_BT6_RT_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_PPG_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_PPG_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PWC_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_PWC_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PWM_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_PWM_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_RT_TMCR                            *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_RT_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PPG_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_PPG_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PWC_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_PWC_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PWM_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_PWM_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_RT_STC                             *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_RT_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_RT_TMCR2                           *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_RT_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))

/******************************************************************************
 ** BT Registers BT7
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT7_PPG_PRLL                           *((volatile uint16_t*)(0x400252C0UL))
#define FM3_BT7_PPG_PRLL                          *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_PWM_PCSR                           *((volatile uint16_t*)(0x400252C0UL))
#define FM3_BT7_PWM_PCSR                          *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_RT_PCSR                            *((volatile uint16_t*)(0x400252C0UL))
#define FM3_BT7_RT_PCSR                           *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_PPG_PRLH                           *((volatile uint16_t*)(0x400252C4UL))
#define FM3_BT7_PPG_PRLH                          *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PWC_DTBF                           *((volatile uint16_t*)(0x400252C4UL))
#define FM3_BT7_PWC_DTBF                          *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PWM_PDUT                           *((volatile uint16_t*)(0x400252C4UL))
#define FM3_BT7_PWM_PDUT                          *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PPG_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM3_BT7_PPG_TMR                           *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_PWM_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM3_BT7_PWM_TMR                           *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_RT_TMR                             *((volatile uint16_t*)(0x400252C8UL))
#define FM3_BT7_RT_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_PPG_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_PPG_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PWC_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_PWC_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PWM_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_PWM_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_RT_TMCR                            *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_RT_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PPG_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_PPG_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PWC_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_PWC_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PWM_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_PWM_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_RT_STC                             *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_RT_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PPG_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_PPG_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_PWC_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_PWC_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_PWM_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_PWM_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_RT_TMCR2                           *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_RT_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))

/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL03_BTSEL0123                    *((volatile  uint8_t*)(0x40025101UL))
#define FM3_BTIOSEL03_BTSEL0123                   *((volatile  uint8_t*)(0x40025101UL))

/******************************************************************************
 ** BTIOSEL47 Registers BTIOSEL47
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL47_BTSEL4567                    *((volatile  uint8_t*)(0x40025301UL))
#define FM3_BTIOSEL47_BTSEL4567                   *((volatile  uint8_t*)(0x40025301UL))

/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRC_CRCCR                              *((volatile  uint8_t*)(0x40039000UL))
#define FM3_CRC_CRCCR                             *((volatile  uint8_t*)(0x40039000UL))
#define FM_CRC_CRCINIT                            *((volatile uint32_t*)(0x40039004UL))
#define FM3_CRC_CRCINIT                           *((volatile uint32_t*)(0x40039004UL))
#define FM_CRC_CRCIN                              *((volatile uint32_t*)(0x40039008UL))
#define FM3_CRC_CRCIN                             *((volatile uint32_t*)(0x40039008UL))
#define FM_CRC_CRCR                               *((volatile uint32_t*)(0x4003900CUL))
#define FM3_CRC_CRCR                              *((volatile uint32_t*)(0x4003900CUL))

/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRG_SCM_CTL                            *((volatile uint32_t*)(0x40010000UL))
#define FM3_CRG_SCM_CTL                           *((volatile uint32_t*)(0x40010000UL))
#define FM_CRG_SCM_STR                            *((volatile uint32_t*)(0x40010004UL))
#define FM3_CRG_SCM_STR                           *((volatile uint32_t*)(0x40010004UL))
#define FM_CRG_STB_CTL                            *((volatile uint32_t*)(0x40010008UL))
#define FM3_CRG_STB_CTL                           *((volatile uint32_t*)(0x40010008UL))
#define FM_CRG_RST_STR                            *((volatile uint32_t*)(0x4001000CUL))
#define FM3_CRG_RST_STR                           *((volatile uint32_t*)(0x4001000CUL))
#define FM_CRG_BSC_PSR                            *((volatile uint32_t*)(0x40010010UL))
#define FM3_CRG_BSC_PSR                           *((volatile uint32_t*)(0x40010010UL))
#define FM_CRG_APBC0_PSR                          *((volatile uint32_t*)(0x40010014UL))
#define FM3_CRG_APBC0_PSR                         *((volatile uint32_t*)(0x40010014UL))
#define FM_CRG_APBC1_PSR                          *((volatile uint32_t*)(0x40010018UL))
#define FM3_CRG_APBC1_PSR                         *((volatile uint32_t*)(0x40010018UL))
#define FM_CRG_APBC2_PSR                          *((volatile uint32_t*)(0x4001001CUL))
#define FM3_CRG_APBC2_PSR                         *((volatile uint32_t*)(0x4001001CUL))
#define FM_CRG_SWC_PSR                            *((volatile uint32_t*)(0x40010020UL))
#define FM3_CRG_SWC_PSR                           *((volatile uint32_t*)(0x40010020UL))
#define FM_CRG_TTC_PSR                            *((volatile uint32_t*)(0x40010028UL))
#define FM3_CRG_TTC_PSR                           *((volatile uint32_t*)(0x40010028UL))
#define FM_CRG_CSW_TMR                            *((volatile uint32_t*)(0x40010030UL))
#define FM3_CRG_CSW_TMR                           *((volatile uint32_t*)(0x40010030UL))
#define FM_CRG_PSW_TMR                            *((volatile uint32_t*)(0x40010034UL))
#define FM3_CRG_PSW_TMR                           *((volatile uint32_t*)(0x40010034UL))
#define FM_CRG_PLL_CTL1                           *((volatile uint32_t*)(0x40010038UL))
#define FM3_CRG_PLL_CTL1                          *((volatile uint32_t*)(0x40010038UL))
#define FM_CRG_PLL_CTL2                           *((volatile uint32_t*)(0x4001003CUL))
#define FM3_CRG_PLL_CTL2                          *((volatile uint32_t*)(0x4001003CUL))
#define FM_CRG_CSV_CTL                            *((volatile uint32_t*)(0x40010040UL))
#define FM3_CRG_CSV_CTL                           *((volatile uint32_t*)(0x40010040UL))
#define FM_CRG_CSV_STR                            *((volatile uint32_t*)(0x40010044UL))
#define FM3_CRG_CSV_STR                           *((volatile uint32_t*)(0x40010044UL))
#define FM_CRG_FCSWH_CTL                          *((volatile uint32_t*)(0x40010048UL))
#define FM3_CRG_FCSWH_CTL                         *((volatile uint32_t*)(0x40010048UL))
#define FM_CRG_FCSWL_CTL                          *((volatile uint32_t*)(0x4001004CUL))
#define FM3_CRG_FCSWL_CTL                         *((volatile uint32_t*)(0x4001004CUL))
#define FM_CRG_FCSWD_CTL                          *((volatile uint32_t*)(0x40010050UL))
#define FM3_CRG_FCSWD_CTL                         *((volatile uint32_t*)(0x40010050UL))
#define FM_CRG_DBWDT_CTL                          *((volatile uint32_t*)(0x40010054UL))
#define FM3_CRG_DBWDT_CTL                         *((volatile uint32_t*)(0x40010054UL))
#define FM_CRG_INT_ENR                            *((volatile uint32_t*)(0x40010060UL))
#define FM3_CRG_INT_ENR                           *((volatile uint32_t*)(0x40010060UL))
#define FM_CRG_INT_STR                            *((volatile uint32_t*)(0x40010064UL))
#define FM3_CRG_INT_STR                           *((volatile uint32_t*)(0x40010064UL))
#define FM_CRG_INT_CLR                            *((volatile uint32_t*)(0x40010068UL))
#define FM3_CRG_INT_CLR                           *((volatile uint32_t*)(0x40010068UL))

/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRTRIM_MCR_PSR                         *((volatile  uint8_t*)(0x4002E000UL))
#define FM3_CRTRIM_MCR_PSR                        *((volatile  uint8_t*)(0x4002E000UL))
#define FM_CRTRIM_MCR_FTRM                        *((volatile uint16_t*)(0x4002E004UL))
#define FM3_CRTRIM_MCR_FTRM                       *((volatile uint16_t*)(0x4002E004UL))
#define FM_CRTRIM_MCR_RLR                         *((volatile uint32_t*)(0x4002E00CUL))
#define FM3_CRTRIM_MCR_RLR                        *((volatile uint32_t*)(0x4002E00CUL))

/******************************************************************************
 ** DMAC Registers DMAC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DMAC_DMACR                             *((volatile uint32_t*)(0x40060000UL))
#define FM3_DMAC_DMACR                            *((volatile uint32_t*)(0x40060000UL))
#define FM_DMAC_DMACA0                            *((volatile uint32_t*)(0x40060010UL))
#define FM3_DMAC_DMACA0                           *((volatile uint32_t*)(0x40060010UL))
#define FM_DMAC_DMACB0                            *((volatile uint32_t*)(0x40060014UL))
#define FM3_DMAC_DMACB0                           *((volatile uint32_t*)(0x40060014UL))
#define FM_DMAC_DMACSA0                           *((volatile uint32_t*)(0x40060018UL))
#define FM3_DMAC_DMACSA0                          *((volatile uint32_t*)(0x40060018UL))
#define FM_DMAC_DMACDA0                           *((volatile uint32_t*)(0x4006001CUL))
#define FM3_DMAC_DMACDA0                          *((volatile uint32_t*)(0x4006001CUL))
#define FM_DMAC_DMACA1                            *((volatile uint32_t*)(0x40060020UL))
#define FM3_DMAC_DMACA1                           *((volatile uint32_t*)(0x40060020UL))
#define FM_DMAC_DMACB1                            *((volatile uint32_t*)(0x40060024UL))
#define FM3_DMAC_DMACB1                           *((volatile uint32_t*)(0x40060024UL))
#define FM_DMAC_DMACSA1                           *((volatile uint32_t*)(0x40060028UL))
#define FM3_DMAC_DMACSA1                          *((volatile uint32_t*)(0x40060028UL))
#define FM_DMAC_DMACDA1                           *((volatile uint32_t*)(0x4006002CUL))
#define FM3_DMAC_DMACDA1                          *((volatile uint32_t*)(0x4006002CUL))
#define FM_DMAC_DMACA2                            *((volatile uint32_t*)(0x40060030UL))
#define FM3_DMAC_DMACA2                           *((volatile uint32_t*)(0x40060030UL))
#define FM_DMAC_DMACB2                            *((volatile uint32_t*)(0x40060034UL))
#define FM3_DMAC_DMACB2                           *((volatile uint32_t*)(0x40060034UL))
#define FM_DMAC_DMACSA2                           *((volatile uint32_t*)(0x40060038UL))
#define FM3_DMAC_DMACSA2                          *((volatile uint32_t*)(0x40060038UL))
#define FM_DMAC_DMACDA2                           *((volatile uint32_t*)(0x4006003CUL))
#define FM3_DMAC_DMACDA2                          *((volatile uint32_t*)(0x4006003CUL))
#define FM_DMAC_DMACA3                            *((volatile uint32_t*)(0x40060040UL))
#define FM3_DMAC_DMACA3                           *((volatile uint32_t*)(0x40060040UL))
#define FM_DMAC_DMACB3                            *((volatile uint32_t*)(0x40060044UL))
#define FM3_DMAC_DMACB3                           *((volatile uint32_t*)(0x40060044UL))
#define FM_DMAC_DMACSA3                           *((volatile uint32_t*)(0x40060048UL))
#define FM3_DMAC_DMACSA3                          *((volatile uint32_t*)(0x40060048UL))
#define FM_DMAC_DMACDA3                           *((volatile uint32_t*)(0x4006004CUL))
#define FM3_DMAC_DMACDA3                          *((volatile uint32_t*)(0x4006004CUL))
#define FM_DMAC_DMACA4                            *((volatile uint32_t*)(0x40060050UL))
#define FM3_DMAC_DMACA4                           *((volatile uint32_t*)(0x40060050UL))
#define FM_DMAC_DMACB4                            *((volatile uint32_t*)(0x40060054UL))
#define FM3_DMAC_DMACB4                           *((volatile uint32_t*)(0x40060054UL))
#define FM_DMAC_DMACSA4                           *((volatile uint32_t*)(0x40060058UL))
#define FM3_DMAC_DMACSA4                          *((volatile uint32_t*)(0x40060058UL))
#define FM_DMAC_DMACDA4                           *((volatile uint32_t*)(0x4006005CUL))
#define FM3_DMAC_DMACDA4                          *((volatile uint32_t*)(0x4006005CUL))
#define FM_DMAC_DMACA5                            *((volatile uint32_t*)(0x40060060UL))
#define FM3_DMAC_DMACA5                           *((volatile uint32_t*)(0x40060060UL))
#define FM_DMAC_DMACB5                            *((volatile uint32_t*)(0x40060064UL))
#define FM3_DMAC_DMACB5                           *((volatile uint32_t*)(0x40060064UL))
#define FM_DMAC_DMACSA5                           *((volatile uint32_t*)(0x40060068UL))
#define FM3_DMAC_DMACSA5                          *((volatile uint32_t*)(0x40060068UL))
#define FM_DMAC_DMACDA5                           *((volatile uint32_t*)(0x4006006CUL))
#define FM3_DMAC_DMACDA5                          *((volatile uint32_t*)(0x4006006CUL))
#define FM_DMAC_DMACA6                            *((volatile uint32_t*)(0x40060070UL))
#define FM3_DMAC_DMACA6                           *((volatile uint32_t*)(0x40060070UL))
#define FM_DMAC_DMACB6                            *((volatile uint32_t*)(0x40060074UL))
#define FM3_DMAC_DMACB6                           *((volatile uint32_t*)(0x40060074UL))
#define FM_DMAC_DMACSA6                           *((volatile uint32_t*)(0x40060078UL))
#define FM3_DMAC_DMACSA6                          *((volatile uint32_t*)(0x40060078UL))
#define FM_DMAC_DMACDA6                           *((volatile uint32_t*)(0x4006007CUL))
#define FM3_DMAC_DMACDA6                          *((volatile uint32_t*)(0x4006007CUL))
#define FM_DMAC_DMACA7                            *((volatile uint32_t*)(0x40060080UL))
#define FM3_DMAC_DMACA7                           *((volatile uint32_t*)(0x40060080UL))
#define FM_DMAC_DMACB7                            *((volatile uint32_t*)(0x40060084UL))
#define FM3_DMAC_DMACB7                           *((volatile uint32_t*)(0x40060084UL))
#define FM_DMAC_DMACSA7                           *((volatile uint32_t*)(0x40060088UL))
#define FM3_DMAC_DMACSA7                          *((volatile uint32_t*)(0x40060088UL))
#define FM_DMAC_DMACDA7                           *((volatile uint32_t*)(0x4006008CUL))
#define FM3_DMAC_DMACDA7                          *((volatile uint32_t*)(0x4006008CUL))

/******************************************************************************
 ** DT Registers DT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DT_TIMER1LOAD                          *((volatile uint32_t*)(0x40015000UL))
#define FM3_DT_TIMER1LOAD                         *((volatile uint32_t*)(0x40015000UL))
#define FM_DT_TIMER1VALUE                         *((volatile uint32_t*)(0x40015004UL))
#define FM3_DT_TIMER1VALUE                        *((volatile uint32_t*)(0x40015004UL))
#define FM_DT_TIMER1CONTROL                       *((volatile uint32_t*)(0x40015008UL))
#define FM3_DT_TIMER1CONTROL                      *((volatile uint32_t*)(0x40015008UL))
#define FM_DT_TIMER1INTCLR                        *((volatile uint32_t*)(0x4001500CUL))
#define FM3_DT_TIMER1INTCLR                       *((volatile uint32_t*)(0x4001500CUL))
#define FM_DT_TIMER1RIS                           *((volatile uint32_t*)(0x40015010UL))
#define FM3_DT_TIMER1RIS                          *((volatile uint32_t*)(0x40015010UL))
#define FM_DT_TIMER1MIS                           *((volatile uint32_t*)(0x40015014UL))
#define FM3_DT_TIMER1MIS                          *((volatile uint32_t*)(0x40015014UL))
#define FM_DT_TIMER1BGLOAD                        *((volatile uint32_t*)(0x40015018UL))
#define FM3_DT_TIMER1BGLOAD                       *((volatile uint32_t*)(0x40015018UL))
#define FM_DT_TIMER2LOAD                          *((volatile uint32_t*)(0x40015020UL))
#define FM3_DT_TIMER2LOAD                         *((volatile uint32_t*)(0x40015020UL))
#define FM_DT_TIMER2VALUE                         *((volatile uint32_t*)(0x40015024UL))
#define FM3_DT_TIMER2VALUE                        *((volatile uint32_t*)(0x40015024UL))
#define FM_DT_TIMER2CONTROL                       *((volatile uint32_t*)(0x40015028UL))
#define FM3_DT_TIMER2CONTROL                      *((volatile uint32_t*)(0x40015028UL))
#define FM_DT_TIMER2INTCLR                        *((volatile uint32_t*)(0x4001502CUL))
#define FM3_DT_TIMER2INTCLR                       *((volatile uint32_t*)(0x4001502CUL))
#define FM_DT_TIMER2RIS                           *((volatile uint32_t*)(0x40015030UL))
#define FM3_DT_TIMER2RIS                          *((volatile uint32_t*)(0x40015030UL))
#define FM_DT_TIMER2MIS                           *((volatile uint32_t*)(0x40015034UL))
#define FM3_DT_TIMER2MIS                          *((volatile uint32_t*)(0x40015034UL))
#define FM_DT_TIMER2BGLOAD                        *((volatile uint32_t*)(0x40015038UL))
#define FM3_DT_TIMER2BGLOAD                       *((volatile uint32_t*)(0x40015038UL))

/******************************************************************************
 ** EXBUS Registers EXBUS
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_EXBUS_MODE0                            *((volatile uint32_t*)(0x4003F000UL))
#define FM3_EXBUS_MODE0                           *((volatile uint32_t*)(0x4003F000UL))
#define FM_EXBUS_MODE1                            *((volatile uint32_t*)(0x4003F004UL))
#define FM3_EXBUS_MODE1                           *((volatile uint32_t*)(0x4003F004UL))
#define FM_EXBUS_MODE2                            *((volatile uint32_t*)(0x4003F008UL))
#define FM3_EXBUS_MODE2                           *((volatile uint32_t*)(0x4003F008UL))
#define FM_EXBUS_MODE3                            *((volatile uint32_t*)(0x4003F00CUL))
#define FM3_EXBUS_MODE3                           *((volatile uint32_t*)(0x4003F00CUL))
#define FM_EXBUS_MODE4                            *((volatile uint32_t*)(0x4003F010UL))
#define FM3_EXBUS_MODE4                           *((volatile uint32_t*)(0x4003F010UL))
#define FM_EXBUS_MODE5                            *((volatile uint32_t*)(0x4003F014UL))
#define FM3_EXBUS_MODE5                           *((volatile uint32_t*)(0x4003F014UL))
#define FM_EXBUS_MODE6                            *((volatile uint32_t*)(0x4003F018UL))
#define FM3_EXBUS_MODE6                           *((volatile uint32_t*)(0x4003F018UL))
#define FM_EXBUS_MODE7                            *((volatile uint32_t*)(0x4003F01CUL))
#define FM3_EXBUS_MODE7                           *((volatile uint32_t*)(0x4003F01CUL))
#define FM_EXBUS_TIM0                             *((volatile uint32_t*)(0x4003F020UL))
#define FM3_EXBUS_TIM0                            *((volatile uint32_t*)(0x4003F020UL))
#define FM_EXBUS_TIM1                             *((volatile uint32_t*)(0x4003F024UL))
#define FM3_EXBUS_TIM1                            *((volatile uint32_t*)(0x4003F024UL))
#define FM_EXBUS_TIM2                             *((volatile uint32_t*)(0x4003F028UL))
#define FM3_EXBUS_TIM2                            *((volatile uint32_t*)(0x4003F028UL))
#define FM_EXBUS_TIM3                             *((volatile uint32_t*)(0x4003F02CUL))
#define FM3_EXBUS_TIM3                            *((volatile uint32_t*)(0x4003F02CUL))
#define FM_EXBUS_TIM4                             *((volatile uint32_t*)(0x4003F030UL))
#define FM3_EXBUS_TIM4                            *((volatile uint32_t*)(0x4003F030UL))
#define FM_EXBUS_TIM5                             *((volatile uint32_t*)(0x4003F034UL))
#define FM3_EXBUS_TIM5                            *((volatile uint32_t*)(0x4003F034UL))
#define FM_EXBUS_TIM6                             *((volatile uint32_t*)(0x4003F038UL))
#define FM3_EXBUS_TIM6                            *((volatile uint32_t*)(0x4003F038UL))
#define FM_EXBUS_TIM7                             *((volatile uint32_t*)(0x4003F03CUL))
#define FM3_EXBUS_TIM7                            *((volatile uint32_t*)(0x4003F03CUL))
#define FM_EXBUS_AREA0                            *((volatile uint32_t*)(0x4003F040UL))
#define FM3_EXBUS_AREA0                           *((volatile uint32_t*)(0x4003F040UL))
#define FM_EXBUS_AREA1                            *((volatile uint32_t*)(0x4003F044UL))
#define FM3_EXBUS_AREA1                           *((volatile uint32_t*)(0x4003F044UL))
#define FM_EXBUS_AREA2                            *((volatile uint32_t*)(0x4003F048UL))
#define FM3_EXBUS_AREA2                           *((volatile uint32_t*)(0x4003F048UL))
#define FM_EXBUS_AREA3                            *((volatile uint32_t*)(0x4003F04CUL))
#define FM3_EXBUS_AREA3                           *((volatile uint32_t*)(0x4003F04CUL))
#define FM_EXBUS_AREA4                            *((volatile uint32_t*)(0x4003F050UL))
#define FM3_EXBUS_AREA4                           *((volatile uint32_t*)(0x4003F050UL))
#define FM_EXBUS_AREA5                            *((volatile uint32_t*)(0x4003F054UL))
#define FM3_EXBUS_AREA5                           *((volatile uint32_t*)(0x4003F054UL))
#define FM_EXBUS_AREA6                            *((volatile uint32_t*)(0x4003F058UL))
#define FM3_EXBUS_AREA6                           *((volatile uint32_t*)(0x4003F058UL))
#define FM_EXBUS_AREA7                            *((volatile uint32_t*)(0x4003F05CUL))
#define FM3_EXBUS_AREA7                           *((volatile uint32_t*)(0x4003F05CUL))
#define FM_EXBUS_ATIM0                            *((volatile uint32_t*)(0x4003F060UL))
#define FM3_EXBUS_ATIM0                           *((volatile uint32_t*)(0x4003F060UL))
#define FM_EXBUS_ATIM1                            *((volatile uint32_t*)(0x4003F064UL))
#define FM3_EXBUS_ATIM1                           *((volatile uint32_t*)(0x4003F064UL))
#define FM_EXBUS_ATIM2                            *((volatile uint32_t*)(0x4003F068UL))
#define FM3_EXBUS_ATIM2                           *((volatile uint32_t*)(0x4003F068UL))
#define FM_EXBUS_ATIM3                            *((volatile uint32_t*)(0x4003F06CUL))
#define FM3_EXBUS_ATIM3                           *((volatile uint32_t*)(0x4003F06CUL))
#define FM_EXBUS_ATIM4                            *((volatile uint32_t*)(0x4003F070UL))
#define FM3_EXBUS_ATIM4                           *((volatile uint32_t*)(0x4003F070UL))
#define FM_EXBUS_ATIM5                            *((volatile uint32_t*)(0x4003F074UL))
#define FM3_EXBUS_ATIM5                           *((volatile uint32_t*)(0x4003F074UL))
#define FM_EXBUS_ATIM6                            *((volatile uint32_t*)(0x4003F078UL))
#define FM3_EXBUS_ATIM6                           *((volatile uint32_t*)(0x4003F078UL))
#define FM_EXBUS_ATIM7                            *((volatile uint32_t*)(0x4003F07CUL))
#define FM3_EXBUS_ATIM7                           *((volatile uint32_t*)(0x4003F07CUL))
#define FM_EXBUS_DCLKR                            *((volatile uint32_t*)(0x4003F300UL))
#define FM3_EXBUS_DCLKR                           *((volatile uint32_t*)(0x4003F300UL))

/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_EXTI_ENIR                              *((volatile uint32_t*)(0x40030000UL))
#define FM3_EXTI_ENIR                             *((volatile uint32_t*)(0x40030000UL))
#define FM_EXTI_EIRR                              *((volatile uint32_t*)(0x40030004UL))
#define FM3_EXTI_EIRR                             *((volatile uint32_t*)(0x40030004UL))
#define FM_EXTI_EICL                              *((volatile uint32_t*)(0x40030008UL))
#define FM3_EXTI_EICL                             *((volatile uint32_t*)(0x40030008UL))
#define FM_EXTI_ELVR                              *((volatile uint32_t*)(0x4003000CUL))
#define FM3_EXTI_ELVR                             *((volatile uint32_t*)(0x4003000CUL))
#define FM_EXTI_ELVR1                             *((volatile uint32_t*)(0x40030010UL))
#define FM3_EXTI_ELVR1                            *((volatile uint32_t*)(0x40030010UL))
#define FM_EXTI_NMIRR                             *((volatile uint16_t*)(0x40030014UL))
#define FM3_EXTI_NMIRR                            *((volatile uint16_t*)(0x40030014UL))
#define FM_EXTI_NMICL                             *((volatile uint16_t*)(0x40030018UL))
#define FM3_EXTI_NMICL                            *((volatile uint16_t*)(0x40030018UL))

/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_FLASH_IF_FASZR                         *((volatile uint32_t*)(0x40000000UL))
#define FM3_FLASH_IF_FASZR                        *((volatile uint32_t*)(0x40000000UL))
#define FM_FLASH_IF_FRWTR                         *((volatile uint32_t*)(0x40000004UL))
#define FM3_FLASH_IF_FRWTR                        *((volatile uint32_t*)(0x40000004UL))
#define FM_FLASH_IF_FSTR                          *((volatile uint32_t*)(0x40000008UL))
#define FM3_FLASH_IF_FSTR                         *((volatile uint32_t*)(0x40000008UL))
#define FM_FLASH_IF_FSYNDN                        *((volatile uint32_t*)(0x40000010UL))
#define FM3_FLASH_IF_FSYNDN                       *((volatile uint32_t*)(0x40000010UL))
#define FM_FLASH_IF_CRTRMM                        *((volatile uint32_t*)(0x40000100UL))
#define FM3_FLASH_IF_CRTRMM                       *((volatile uint32_t*)(0x40000100UL))

/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_GPIO_PFR0                              *((volatile uint32_t*)(0x40033000UL))
#define FM3_GPIO_PFR0                             *((volatile uint32_t*)(0x40033000UL))
#define FM_GPIO_PFR1                              *((volatile uint32_t*)(0x40033004UL))
#define FM3_GPIO_PFR1                             *((volatile uint32_t*)(0x40033004UL))
#define FM_GPIO_PFR2                              *((volatile uint32_t*)(0x40033008UL))
#define FM3_GPIO_PFR2                             *((volatile uint32_t*)(0x40033008UL))
#define FM_GPIO_PFR3                              *((volatile uint32_t*)(0x4003300CUL))
#define FM3_GPIO_PFR3                             *((volatile uint32_t*)(0x4003300CUL))
#define FM_GPIO_PFR4                              *((volatile uint32_t*)(0x40033010UL))
#define FM3_GPIO_PFR4                             *((volatile uint32_t*)(0x40033010UL))
#define FM_GPIO_PFR5                              *((volatile uint32_t*)(0x40033014UL))
#define FM3_GPIO_PFR5                             *((volatile uint32_t*)(0x40033014UL))
#define FM_GPIO_PFR6                              *((volatile uint32_t*)(0x40033018UL))
#define FM3_GPIO_PFR6                             *((volatile uint32_t*)(0x40033018UL))
#define FM_GPIO_PFR7                              *((volatile uint32_t*)(0x4003301CUL))
#define FM3_GPIO_PFR7                             *((volatile uint32_t*)(0x4003301CUL))
#define FM_GPIO_PFR8                              *((volatile uint32_t*)(0x40033020UL))
#define FM3_GPIO_PFR8                             *((volatile uint32_t*)(0x40033020UL))
#define FM_GPIO_PFR9                              *((volatile uint32_t*)(0x40033024UL))
#define FM3_GPIO_PFR9                             *((volatile uint32_t*)(0x40033024UL))
#define FM_GPIO_PFRA                              *((volatile uint32_t*)(0x40033028UL))
#define FM3_GPIO_PFRA                             *((volatile uint32_t*)(0x40033028UL))
#define FM_GPIO_PFRB                              *((volatile uint32_t*)(0x4003302CUL))
#define FM3_GPIO_PFRB                             *((volatile uint32_t*)(0x4003302CUL))
#define FM_GPIO_PFRC                              *((volatile uint32_t*)(0x40033030UL))
#define FM3_GPIO_PFRC                             *((volatile uint32_t*)(0x40033030UL))
#define FM_GPIO_PFRD                              *((volatile uint32_t*)(0x40033034UL))
#define FM3_GPIO_PFRD                             *((volatile uint32_t*)(0x40033034UL))
#define FM_GPIO_PFRE                              *((volatile uint32_t*)(0x40033038UL))
#define FM3_GPIO_PFRE                             *((volatile uint32_t*)(0x40033038UL))
#define FM_GPIO_PFRF                              *((volatile uint32_t*)(0x4003303CUL))
#define FM3_GPIO_PFRF                             *((volatile uint32_t*)(0x4003303CUL))
#define FM_GPIO_PCR0                              *((volatile uint32_t*)(0x40033100UL))
#define FM3_GPIO_PCR0                             *((volatile uint32_t*)(0x40033100UL))
#define FM_GPIO_PCR1                              *((volatile uint32_t*)(0x40033104UL))
#define FM3_GPIO_PCR1                             *((volatile uint32_t*)(0x40033104UL))
#define FM_GPIO_PCR2                              *((volatile uint32_t*)(0x40033108UL))
#define FM3_GPIO_PCR2                             *((volatile uint32_t*)(0x40033108UL))
#define FM_GPIO_PCR3                              *((volatile uint32_t*)(0x4003310CUL))
#define FM3_GPIO_PCR3                             *((volatile uint32_t*)(0x4003310CUL))
#define FM_GPIO_PCR4                              *((volatile uint32_t*)(0x40033110UL))
#define FM3_GPIO_PCR4                             *((volatile uint32_t*)(0x40033110UL))
#define FM_GPIO_PCR5                              *((volatile uint32_t*)(0x40033114UL))
#define FM3_GPIO_PCR5                             *((volatile uint32_t*)(0x40033114UL))
#define FM_GPIO_PCR6                              *((volatile uint32_t*)(0x40033118UL))
#define FM3_GPIO_PCR6                             *((volatile uint32_t*)(0x40033118UL))
#define FM_GPIO_PCR7                              *((volatile uint32_t*)(0x4003311CUL))
#define FM3_GPIO_PCR7                             *((volatile uint32_t*)(0x4003311CUL))
#define FM_GPIO_PCR9                              *((volatile uint32_t*)(0x40033124UL))
#define FM3_GPIO_PCR9                             *((volatile uint32_t*)(0x40033124UL))
#define FM_GPIO_PCRA                              *((volatile uint32_t*)(0x40033128UL))
#define FM3_GPIO_PCRA                             *((volatile uint32_t*)(0x40033128UL))
#define FM_GPIO_PCRB                              *((volatile uint32_t*)(0x4003312CUL))
#define FM3_GPIO_PCRB                             *((volatile uint32_t*)(0x4003312CUL))
#define FM_GPIO_PCRC                              *((volatile uint32_t*)(0x40033130UL))
#define FM3_GPIO_PCRC                             *((volatile uint32_t*)(0x40033130UL))
#define FM_GPIO_PCRD                              *((volatile uint32_t*)(0x40033134UL))
#define FM3_GPIO_PCRD                             *((volatile uint32_t*)(0x40033134UL))
#define FM_GPIO_PCRE                              *((volatile uint32_t*)(0x40033138UL))
#define FM3_GPIO_PCRE                             *((volatile uint32_t*)(0x40033138UL))
#define FM_GPIO_PCRF                              *((volatile uint32_t*)(0x4003313CUL))
#define FM3_GPIO_PCRF                             *((volatile uint32_t*)(0x4003313CUL))
#define FM_GPIO_DDR0                              *((volatile uint32_t*)(0x40033200UL))
#define FM3_GPIO_DDR0                             *((volatile uint32_t*)(0x40033200UL))
#define FM_GPIO_DDR1                              *((volatile uint32_t*)(0x40033204UL))
#define FM3_GPIO_DDR1                             *((volatile uint32_t*)(0x40033204UL))
#define FM_GPIO_DDR2                              *((volatile uint32_t*)(0x40033208UL))
#define FM3_GPIO_DDR2                             *((volatile uint32_t*)(0x40033208UL))
#define FM_GPIO_DDR3                              *((volatile uint32_t*)(0x4003320CUL))
#define FM3_GPIO_DDR3                             *((volatile uint32_t*)(0x4003320CUL))
#define FM_GPIO_DDR4                              *((volatile uint32_t*)(0x40033210UL))
#define FM3_GPIO_DDR4                             *((volatile uint32_t*)(0x40033210UL))
#define FM_GPIO_DDR5                              *((volatile uint32_t*)(0x40033214UL))
#define FM3_GPIO_DDR5                             *((volatile uint32_t*)(0x40033214UL))
#define FM_GPIO_DDR6                              *((volatile uint32_t*)(0x40033218UL))
#define FM3_GPIO_DDR6                             *((volatile uint32_t*)(0x40033218UL))
#define FM_GPIO_DDR7                              *((volatile uint32_t*)(0x4003321CUL))
#define FM3_GPIO_DDR7                             *((volatile uint32_t*)(0x4003321CUL))
#define FM_GPIO_DDR8                              *((volatile uint32_t*)(0x40033220UL))
#define FM3_GPIO_DDR8                             *((volatile uint32_t*)(0x40033220UL))
#define FM_GPIO_DDR9                              *((volatile uint32_t*)(0x40033224UL))
#define FM3_GPIO_DDR9                             *((volatile uint32_t*)(0x40033224UL))
#define FM_GPIO_DDRA                              *((volatile uint32_t*)(0x40033228UL))
#define FM3_GPIO_DDRA                             *((volatile uint32_t*)(0x40033228UL))
#define FM_GPIO_DDRB                              *((volatile uint32_t*)(0x4003322CUL))
#define FM3_GPIO_DDRB                             *((volatile uint32_t*)(0x4003322CUL))
#define FM_GPIO_DDRC                              *((volatile uint32_t*)(0x40033230UL))
#define FM3_GPIO_DDRC                             *((volatile uint32_t*)(0x40033230UL))
#define FM_GPIO_DDRD                              *((volatile uint32_t*)(0x40033234UL))
#define FM3_GPIO_DDRD                             *((volatile uint32_t*)(0x40033234UL))
#define FM_GPIO_DDRE                              *((volatile uint32_t*)(0x40033238UL))
#define FM3_GPIO_DDRE                             *((volatile uint32_t*)(0x40033238UL))
#define FM_GPIO_DDRF                              *((volatile uint32_t*)(0x4003323CUL))
#define FM3_GPIO_DDRF                             *((volatile uint32_t*)(0x4003323CUL))
#define FM_GPIO_PDIR0                             *((volatile uint32_t*)(0x40033300UL))
#define FM3_GPIO_PDIR0                            *((volatile uint32_t*)(0x40033300UL))
#define FM_GPIO_PDIR1                             *((volatile uint32_t*)(0x40033304UL))
#define FM3_GPIO_PDIR1                            *((volatile uint32_t*)(0x40033304UL))
#define FM_GPIO_PDIR2                             *((volatile uint32_t*)(0x40033308UL))
#define FM3_GPIO_PDIR2                            *((volatile uint32_t*)(0x40033308UL))
#define FM_GPIO_PDIR3                             *((volatile uint32_t*)(0x4003330CUL))
#define FM3_GPIO_PDIR3                            *((volatile uint32_t*)(0x4003330CUL))
#define FM_GPIO_PDIR4                             *((volatile uint32_t*)(0x40033310UL))
#define FM3_GPIO_PDIR4                            *((volatile uint32_t*)(0x40033310UL))
#define FM_GPIO_PDIR5                             *((volatile uint32_t*)(0x40033314UL))
#define FM3_GPIO_PDIR5                            *((volatile uint32_t*)(0x40033314UL))
#define FM_GPIO_PDIR6                             *((volatile uint32_t*)(0x40033318UL))
#define FM3_GPIO_PDIR6                            *((volatile uint32_t*)(0x40033318UL))
#define FM_GPIO_PDIR7                             *((volatile uint32_t*)(0x4003331CUL))
#define FM3_GPIO_PDIR7                            *((volatile uint32_t*)(0x4003331CUL))
#define FM_GPIO_PDIR8                             *((volatile uint32_t*)(0x40033320UL))
#define FM3_GPIO_PDIR8                            *((volatile uint32_t*)(0x40033320UL))
#define FM_GPIO_PDIR9                             *((volatile uint32_t*)(0x40033324UL))
#define FM3_GPIO_PDIR9                            *((volatile uint32_t*)(0x40033324UL))
#define FM_GPIO_PDIRA                             *((volatile uint32_t*)(0x40033328UL))
#define FM3_GPIO_PDIRA                            *((volatile uint32_t*)(0x40033328UL))
#define FM_GPIO_PDIRB                             *((volatile uint32_t*)(0x4003332CUL))
#define FM3_GPIO_PDIRB                            *((volatile uint32_t*)(0x4003332CUL))
#define FM_GPIO_PDIRC                             *((volatile uint32_t*)(0x40033330UL))
#define FM3_GPIO_PDIRC                            *((volatile uint32_t*)(0x40033330UL))
#define FM_GPIO_PDIRD                             *((volatile uint32_t*)(0x40033334UL))
#define FM3_GPIO_PDIRD                            *((volatile uint32_t*)(0x40033334UL))
#define FM_GPIO_PDIRE                             *((volatile uint32_t*)(0x40033338UL))
#define FM3_GPIO_PDIRE                            *((volatile uint32_t*)(0x40033338UL))
#define FM_GPIO_PDIRF                             *((volatile uint32_t*)(0x4003333CUL))
#define FM3_GPIO_PDIRF                            *((volatile uint32_t*)(0x4003333CUL))
#define FM_GPIO_PDOR0                             *((volatile uint32_t*)(0x40033400UL))
#define FM3_GPIO_PDOR0                            *((volatile uint32_t*)(0x40033400UL))
#define FM_GPIO_PDOR1                             *((volatile uint32_t*)(0x40033404UL))
#define FM3_GPIO_PDOR1                            *((volatile uint32_t*)(0x40033404UL))
#define FM_GPIO_PDOR2                             *((volatile uint32_t*)(0x40033408UL))
#define FM3_GPIO_PDOR2                            *((volatile uint32_t*)(0x40033408UL))
#define FM_GPIO_PDOR3                             *((volatile uint32_t*)(0x4003340CUL))
#define FM3_GPIO_PDOR3                            *((volatile uint32_t*)(0x4003340CUL))
#define FM_GPIO_PDOR4                             *((volatile uint32_t*)(0x40033410UL))
#define FM3_GPIO_PDOR4                            *((volatile uint32_t*)(0x40033410UL))
#define FM_GPIO_PDOR5                             *((volatile uint32_t*)(0x40033414UL))
#define FM3_GPIO_PDOR5                            *((volatile uint32_t*)(0x40033414UL))
#define FM_GPIO_PDOR6                             *((volatile uint32_t*)(0x40033418UL))
#define FM3_GPIO_PDOR6                            *((volatile uint32_t*)(0x40033418UL))
#define FM_GPIO_PDOR7                             *((volatile uint32_t*)(0x4003341CUL))
#define FM3_GPIO_PDOR7                            *((volatile uint32_t*)(0x4003341CUL))
#define FM_GPIO_PDOR8                             *((volatile uint32_t*)(0x40033420UL))
#define FM3_GPIO_PDOR8                            *((volatile uint32_t*)(0x40033420UL))
#define FM_GPIO_PDOR9                             *((volatile uint32_t*)(0x40033424UL))
#define FM3_GPIO_PDOR9                            *((volatile uint32_t*)(0x40033424UL))
#define FM_GPIO_PDORA                             *((volatile uint32_t*)(0x40033428UL))
#define FM3_GPIO_PDORA                            *((volatile uint32_t*)(0x40033428UL))
#define FM_GPIO_PDORB                             *((volatile uint32_t*)(0x4003342CUL))
#define FM3_GPIO_PDORB                            *((volatile uint32_t*)(0x4003342CUL))
#define FM_GPIO_PDORC                             *((volatile uint32_t*)(0x40033430UL))
#define FM3_GPIO_PDORC                            *((volatile uint32_t*)(0x40033430UL))
#define FM_GPIO_PDORD                             *((volatile uint32_t*)(0x40033434UL))
#define FM3_GPIO_PDORD                            *((volatile uint32_t*)(0x40033434UL))
#define FM_GPIO_PDORE                             *((volatile uint32_t*)(0x40033438UL))
#define FM3_GPIO_PDORE                            *((volatile uint32_t*)(0x40033438UL))
#define FM_GPIO_PDORF                             *((volatile uint32_t*)(0x4003343CUL))
#define FM3_GPIO_PDORF                            *((volatile uint32_t*)(0x4003343CUL))
#define FM_GPIO_ADE                               *((volatile uint32_t*)(0x40033500UL))
#define FM3_GPIO_ADE                              *((volatile uint32_t*)(0x40033500UL))
#define FM_GPIO_SPSR                              *((volatile uint32_t*)(0x40033580UL))
#define FM3_GPIO_SPSR                             *((volatile uint32_t*)(0x40033580UL))
#define FM_GPIO_EPFR00                            *((volatile uint32_t*)(0x40033600UL))
#define FM3_GPIO_EPFR00                           *((volatile uint32_t*)(0x40033600UL))
#define FM_GPIO_EPFR01                            *((volatile uint32_t*)(0x40033604UL))
#define FM3_GPIO_EPFR01                           *((volatile uint32_t*)(0x40033604UL))
#define FM_GPIO_EPFR02                            *((volatile uint32_t*)(0x40033608UL))
#define FM3_GPIO_EPFR02                           *((volatile uint32_t*)(0x40033608UL))
#define FM_GPIO_EPFR03                            *((volatile uint32_t*)(0x4003360CUL))
#define FM3_GPIO_EPFR03                           *((volatile uint32_t*)(0x4003360CUL))
#define FM_GPIO_EPFR04                            *((volatile uint32_t*)(0x40033610UL))
#define FM3_GPIO_EPFR04                           *((volatile uint32_t*)(0x40033610UL))
#define FM_GPIO_EPFR05                            *((volatile uint32_t*)(0x40033614UL))
#define FM3_GPIO_EPFR05                           *((volatile uint32_t*)(0x40033614UL))
#define FM_GPIO_EPFR06                            *((volatile uint32_t*)(0x40033618UL))
#define FM3_GPIO_EPFR06                           *((volatile uint32_t*)(0x40033618UL))
#define FM_GPIO_EPFR07                            *((volatile uint32_t*)(0x4003361CUL))
#define FM3_GPIO_EPFR07                           *((volatile uint32_t*)(0x4003361CUL))
#define FM_GPIO_EPFR08                            *((volatile uint32_t*)(0x40033620UL))
#define FM3_GPIO_EPFR08                           *((volatile uint32_t*)(0x40033620UL))
#define FM_GPIO_EPFR09                            *((volatile uint32_t*)(0x40033624UL))
#define FM3_GPIO_EPFR09                           *((volatile uint32_t*)(0x40033624UL))
#define FM_GPIO_EPFR10                            *((volatile uint32_t*)(0x40033628UL))
#define FM3_GPIO_EPFR10                           *((volatile uint32_t*)(0x40033628UL))
#define FM_GPIO_EPFR11                            *((volatile uint32_t*)(0x4003362CUL))
#define FM3_GPIO_EPFR11                           *((volatile uint32_t*)(0x4003362CUL))
#define FM_GPIO_EPFR12                            *((volatile uint32_t*)(0x40033630UL))
#define FM3_GPIO_EPFR12                           *((volatile uint32_t*)(0x40033630UL))
#define FM_GPIO_EPFR13                            *((volatile uint32_t*)(0x40033634UL))
#define FM3_GPIO_EPFR13                           *((volatile uint32_t*)(0x40033634UL))
#define FM_GPIO_EPFR14                            *((volatile uint32_t*)(0x40033638UL))
#define FM3_GPIO_EPFR14                           *((volatile uint32_t*)(0x40033638UL))
#define FM_GPIO_EPFR15                            *((volatile uint32_t*)(0x4003363CUL))
#define FM3_GPIO_EPFR15                           *((volatile uint32_t*)(0x4003363CUL))
#define FM_GPIO_EPFR16                            *((volatile uint32_t*)(0x40033640UL))
#define FM3_GPIO_EPFR16                           *((volatile uint32_t*)(0x40033640UL))
#define FM_GPIO_EPFR17                            *((volatile uint32_t*)(0x40033644UL))
#define FM3_GPIO_EPFR17                           *((volatile uint32_t*)(0x40033644UL))
#define FM_GPIO_EPFR18                            *((volatile uint32_t*)(0x40033648UL))
#define FM3_GPIO_EPFR18                           *((volatile uint32_t*)(0x40033648UL))
#define FM_GPIO_PZR0                              *((volatile uint32_t*)(0x40033700UL))
#define FM3_GPIO_PZR0                             *((volatile uint32_t*)(0x40033700UL))
#define FM_GPIO_PZR1                              *((volatile uint32_t*)(0x40033704UL))
#define FM3_GPIO_PZR1                             *((volatile uint32_t*)(0x40033704UL))
#define FM_GPIO_PZR2                              *((volatile uint32_t*)(0x40033708UL))
#define FM3_GPIO_PZR2                             *((volatile uint32_t*)(0x40033708UL))
#define FM_GPIO_PZR3                              *((volatile uint32_t*)(0x4003370CUL))
#define FM3_GPIO_PZR3                             *((volatile uint32_t*)(0x4003370CUL))
#define FM_GPIO_PZR4                              *((volatile uint32_t*)(0x40033710UL))
#define FM3_GPIO_PZR4                             *((volatile uint32_t*)(0x40033710UL))
#define FM_GPIO_PZR5                              *((volatile uint32_t*)(0x40033714UL))
#define FM3_GPIO_PZR5                             *((volatile uint32_t*)(0x40033714UL))
#define FM_GPIO_PZR6                              *((volatile uint32_t*)(0x40033718UL))
#define FM3_GPIO_PZR6                             *((volatile uint32_t*)(0x40033718UL))
#define FM_GPIO_PZR7                              *((volatile uint32_t*)(0x4003371CUL))
#define FM3_GPIO_PZR7                             *((volatile uint32_t*)(0x4003371CUL))
#define FM_GPIO_PZR8                              *((volatile uint32_t*)(0x40033720UL))
#define FM3_GPIO_PZR8                             *((volatile uint32_t*)(0x40033720UL))
#define FM_GPIO_PZR9                              *((volatile uint32_t*)(0x40033724UL))
#define FM3_GPIO_PZR9                             *((volatile uint32_t*)(0x40033724UL))
#define FM_GPIO_PZRA                              *((volatile uint32_t*)(0x40033728UL))
#define FM3_GPIO_PZRA                             *((volatile uint32_t*)(0x40033728UL))
#define FM_GPIO_PZRB                              *((volatile uint32_t*)(0x4003372CUL))
#define FM3_GPIO_PZRB                             *((volatile uint32_t*)(0x4003372CUL))
#define FM_GPIO_PZRC                              *((volatile uint32_t*)(0x40033730UL))
#define FM3_GPIO_PZRC                             *((volatile uint32_t*)(0x40033730UL))
#define FM_GPIO_PZRD                              *((volatile uint32_t*)(0x40033734UL))
#define FM3_GPIO_PZRD                             *((volatile uint32_t*)(0x40033734UL))
#define FM_GPIO_PZRE                              *((volatile uint32_t*)(0x40033738UL))
#define FM3_GPIO_PZRE                             *((volatile uint32_t*)(0x40033738UL))
#define FM_GPIO_PZRF                              *((volatile uint32_t*)(0x4003373CUL))
#define FM3_GPIO_PZRF                             *((volatile uint32_t*)(0x4003373CUL))

/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HWWDT_WDG_LDR                          *((volatile uint32_t*)(0x40011000UL))
#define FM3_HWWDT_WDG_LDR                         *((volatile uint32_t*)(0x40011000UL))
#define FM_HWWDT_WDG_VLR                          *((volatile uint32_t*)(0x40011004UL))
#define FM3_HWWDT_WDG_VLR                         *((volatile uint32_t*)(0x40011004UL))
#define FM_HWWDT_WDG_CTL                          *((volatile uint32_t*)(0x40011008UL))
#define FM3_HWWDT_WDG_CTL                         *((volatile uint32_t*)(0x40011008UL))
#define FM_HWWDT_WDG_ICL                          *((volatile uint32_t*)(0x4001100CUL))
#define FM3_HWWDT_WDG_ICL                         *((volatile uint32_t*)(0x4001100CUL))
#define FM_HWWDT_WDG_RIS                          *((volatile uint32_t*)(0x40011010UL))
#define FM3_HWWDT_WDG_RIS                         *((volatile uint32_t*)(0x40011010UL))
#define FM_HWWDT_WDG_LCK                          *((volatile uint32_t*)(0x40011C00UL))
#define FM3_HWWDT_WDG_LCK                         *((volatile uint32_t*)(0x40011C00UL))

/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_INTREQ_DRQSEL                          *((volatile uint32_t*)(0x40031000UL))
#define FM3_INTREQ_DRQSEL                         *((volatile uint32_t*)(0x40031000UL))
#define FM_INTREQ_ODDPKS                          *((volatile  uint8_t*)(0x4003100BUL))
#define FM3_INTREQ_ODDPKS                         *((volatile  uint8_t*)(0x4003100BUL))
#define FM_INTREQ_EXC02MON                        *((volatile uint32_t*)(0x40031010UL))
#define FM3_INTREQ_EXC02MON                       *((volatile uint32_t*)(0x40031010UL))
#define FM_INTREQ_IRQ00MON                        *((volatile uint32_t*)(0x40031014UL))
#define FM3_INTREQ_IRQ00MON                       *((volatile uint32_t*)(0x40031014UL))
#define FM_INTREQ_IRQ01MON                        *((volatile uint32_t*)(0x40031018UL))
#define FM3_INTREQ_IRQ01MON                       *((volatile uint32_t*)(0x40031018UL))
#define FM_INTREQ_IRQ02MON                        *((volatile uint32_t*)(0x4003101CUL))
#define FM3_INTREQ_IRQ02MON                       *((volatile uint32_t*)(0x4003101CUL))
#define FM_INTREQ_IRQ03MON                        *((volatile uint32_t*)(0x40031020UL))
#define FM3_INTREQ_IRQ03MON                       *((volatile uint32_t*)(0x40031020UL))
#define FM_INTREQ_IRQ04MON                        *((volatile uint32_t*)(0x40031024UL))
#define FM3_INTREQ_IRQ04MON                       *((volatile uint32_t*)(0x40031024UL))
#define FM_INTREQ_IRQ05MON                        *((volatile uint32_t*)(0x40031028UL))
#define FM3_INTREQ_IRQ05MON                       *((volatile uint32_t*)(0x40031028UL))
#define FM_INTREQ_IRQ06MON                        *((volatile uint32_t*)(0x4003102CUL))
#define FM3_INTREQ_IRQ06MON                       *((volatile uint32_t*)(0x4003102CUL))
#define FM_INTREQ_IRQ07MON                        *((volatile uint32_t*)(0x40031030UL))
#define FM3_INTREQ_IRQ07MON                       *((volatile uint32_t*)(0x40031030UL))
#define FM_INTREQ_IRQ08MON                        *((volatile uint32_t*)(0x40031034UL))
#define FM3_INTREQ_IRQ08MON                       *((volatile uint32_t*)(0x40031034UL))
#define FM_INTREQ_IRQ09MON                        *((volatile uint32_t*)(0x40031038UL))
#define FM3_INTREQ_IRQ09MON                       *((volatile uint32_t*)(0x40031038UL))
#define FM_INTREQ_IRQ10MON                        *((volatile uint32_t*)(0x4003103CUL))
#define FM3_INTREQ_IRQ10MON                       *((volatile uint32_t*)(0x4003103CUL))
#define FM_INTREQ_IRQ11MON                        *((volatile uint32_t*)(0x40031040UL))
#define FM3_INTREQ_IRQ11MON                       *((volatile uint32_t*)(0x40031040UL))
#define FM_INTREQ_IRQ12MON                        *((volatile uint32_t*)(0x40031044UL))
#define FM3_INTREQ_IRQ12MON                       *((volatile uint32_t*)(0x40031044UL))
#define FM_INTREQ_IRQ13MON                        *((volatile uint32_t*)(0x40031048UL))
#define FM3_INTREQ_IRQ13MON                       *((volatile uint32_t*)(0x40031048UL))
#define FM_INTREQ_IRQ14MON                        *((volatile uint32_t*)(0x4003104CUL))
#define FM3_INTREQ_IRQ14MON                       *((volatile uint32_t*)(0x4003104CUL))
#define FM_INTREQ_IRQ15MON                        *((volatile uint32_t*)(0x40031050UL))
#define FM3_INTREQ_IRQ15MON                       *((volatile uint32_t*)(0x40031050UL))
#define FM_INTREQ_IRQ16MON                        *((volatile uint32_t*)(0x40031054UL))
#define FM3_INTREQ_IRQ16MON                       *((volatile uint32_t*)(0x40031054UL))
#define FM_INTREQ_IRQ17MON                        *((volatile uint32_t*)(0x40031058UL))
#define FM3_INTREQ_IRQ17MON                       *((volatile uint32_t*)(0x40031058UL))
#define FM_INTREQ_IRQ18MON                        *((volatile uint32_t*)(0x4003105CUL))
#define FM3_INTREQ_IRQ18MON                       *((volatile uint32_t*)(0x4003105CUL))
#define FM_INTREQ_IRQ19MON                        *((volatile uint32_t*)(0x40031060UL))
#define FM3_INTREQ_IRQ19MON                       *((volatile uint32_t*)(0x40031060UL))
#define FM_INTREQ_IRQ20MON                        *((volatile uint32_t*)(0x40031064UL))
#define FM3_INTREQ_IRQ20MON                       *((volatile uint32_t*)(0x40031064UL))
#define FM_INTREQ_IRQ21MON                        *((volatile uint32_t*)(0x40031068UL))
#define FM3_INTREQ_IRQ21MON                       *((volatile uint32_t*)(0x40031068UL))
#define FM_INTREQ_IRQ22MON                        *((volatile uint32_t*)(0x4003106CUL))
#define FM3_INTREQ_IRQ22MON                       *((volatile uint32_t*)(0x4003106CUL))
#define FM_INTREQ_IRQ23MON                        *((volatile uint32_t*)(0x40031070UL))
#define FM3_INTREQ_IRQ23MON                       *((volatile uint32_t*)(0x40031070UL))
#define FM_INTREQ_IRQ24MON                        *((volatile uint32_t*)(0x40031074UL))
#define FM3_INTREQ_IRQ24MON                       *((volatile uint32_t*)(0x40031074UL))
#define FM_INTREQ_IRQ25MON                        *((volatile uint32_t*)(0x40031078UL))
#define FM3_INTREQ_IRQ25MON                       *((volatile uint32_t*)(0x40031078UL))
#define FM_INTREQ_IRQ26MON                        *((volatile uint32_t*)(0x4003107CUL))
#define FM3_INTREQ_IRQ26MON                       *((volatile uint32_t*)(0x4003107CUL))
#define FM_INTREQ_IRQ27MON                        *((volatile uint32_t*)(0x40031080UL))
#define FM3_INTREQ_IRQ27MON                       *((volatile uint32_t*)(0x40031080UL))
#define FM_INTREQ_IRQ28MON                        *((volatile uint32_t*)(0x40031084UL))
#define FM3_INTREQ_IRQ28MON                       *((volatile uint32_t*)(0x40031084UL))
#define FM_INTREQ_IRQ29MON                        *((volatile uint32_t*)(0x40031088UL))
#define FM3_INTREQ_IRQ29MON                       *((volatile uint32_t*)(0x40031088UL))
#define FM_INTREQ_IRQ30MON                        *((volatile uint32_t*)(0x4003108CUL))
#define FM3_INTREQ_IRQ30MON                       *((volatile uint32_t*)(0x4003108CUL))
#define FM_INTREQ_IRQ31MON                        *((volatile uint32_t*)(0x40031090UL))
#define FM3_INTREQ_IRQ31MON                       *((volatile uint32_t*)(0x40031090UL))
#define FM_INTREQ_IRQ32MON                        *((volatile uint32_t*)(0x40031094UL))
#define FM3_INTREQ_IRQ32MON                       *((volatile uint32_t*)(0x40031094UL))
#define FM_INTREQ_IRQ33MON                        *((volatile uint32_t*)(0x40031098UL))
#define FM3_INTREQ_IRQ33MON                       *((volatile uint32_t*)(0x40031098UL))
#define FM_INTREQ_IRQ34MON                        *((volatile uint32_t*)(0x4003109CUL))
#define FM3_INTREQ_IRQ34MON                       *((volatile uint32_t*)(0x4003109CUL))
#define FM_INTREQ_IRQ35MON                        *((volatile uint32_t*)(0x400310A0UL))
#define FM3_INTREQ_IRQ35MON                       *((volatile uint32_t*)(0x400310A0UL))
#define FM_INTREQ_IRQ36MON                        *((volatile uint32_t*)(0x400310A4UL))
#define FM3_INTREQ_IRQ36MON                       *((volatile uint32_t*)(0x400310A4UL))
#define FM_INTREQ_IRQ37MON                        *((volatile uint32_t*)(0x400310A8UL))
#define FM3_INTREQ_IRQ37MON                       *((volatile uint32_t*)(0x400310A8UL))
#define FM_INTREQ_IRQ38MON                        *((volatile uint32_t*)(0x400310ACUL))
#define FM3_INTREQ_IRQ38MON                       *((volatile uint32_t*)(0x400310ACUL))
#define FM_INTREQ_IRQ39MON                        *((volatile uint32_t*)(0x400310B0UL))
#define FM3_INTREQ_IRQ39MON                       *((volatile uint32_t*)(0x400310B0UL))
#define FM_INTREQ_IRQ40MON                        *((volatile uint32_t*)(0x400310B4UL))
#define FM3_INTREQ_IRQ40MON                       *((volatile uint32_t*)(0x400310B4UL))
#define FM_INTREQ_IRQ41MON                        *((volatile uint32_t*)(0x400310B8UL))
#define FM3_INTREQ_IRQ41MON                       *((volatile uint32_t*)(0x400310B8UL))
#define FM_INTREQ_IRQ42MON                        *((volatile uint32_t*)(0x400310BCUL))
#define FM3_INTREQ_IRQ42MON                       *((volatile uint32_t*)(0x400310BCUL))
#define FM_INTREQ_IRQ43MON                        *((volatile uint32_t*)(0x400310C0UL))
#define FM3_INTREQ_IRQ43MON                       *((volatile uint32_t*)(0x400310C0UL))
#define FM_INTREQ_IRQ44MON                        *((volatile uint32_t*)(0x400310C4UL))
#define FM3_INTREQ_IRQ44MON                       *((volatile uint32_t*)(0x400310C4UL))
#define FM_INTREQ_IRQ45MON                        *((volatile uint32_t*)(0x400310C8UL))
#define FM3_INTREQ_IRQ45MON                       *((volatile uint32_t*)(0x400310C8UL))
#define FM_INTREQ_IRQ46MON                        *((volatile uint32_t*)(0x400310CCUL))
#define FM3_INTREQ_IRQ46MON                       *((volatile uint32_t*)(0x400310CCUL))
#define FM_INTREQ_IRQ47MON                        *((volatile uint32_t*)(0x400310D0UL))
#define FM3_INTREQ_IRQ47MON                       *((volatile uint32_t*)(0x400310D0UL))

/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LVD_LVD_CTL                            *((volatile  uint8_t*)(0x40035000UL))
#define FM3_LVD_LVD_CTL                           *((volatile  uint8_t*)(0x40035000UL))
#define FM_LVD_LVD_STR                            *((volatile  uint8_t*)(0x40035004UL))
#define FM3_LVD_LVD_STR                           *((volatile  uint8_t*)(0x40035004UL))
#define FM_LVD_LVD_CLR                            *((volatile  uint8_t*)(0x40035008UL))
#define FM3_LVD_LVD_CLR                           *((volatile  uint8_t*)(0x40035008UL))
#define FM_LVD_LVD_RLR                            *((volatile uint32_t*)(0x4003500CUL))
#define FM3_LVD_LVD_RLR                           *((volatile uint32_t*)(0x4003500CUL))
#define FM_LVD_LVD_STR2                           *((volatile  uint8_t*)(0x40035010UL))
#define FM3_LVD_LVD_STR2                          *((volatile  uint8_t*)(0x40035010UL))

/******************************************************************************
 ** MFS_NFC Registers MFS_NFC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS_NFC_I2CDNF                         *((volatile uint16_t*)(0x40038800UL))
#define FM3_MFS_NFC_I2CDNF                        *((volatile uint16_t*)(0x40038800UL))

/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS0_CSIO_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_CSIO_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_I2C_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_I2C_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_LIN_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_LIN_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_UART_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_UART_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_CSIO_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_CSIO_SCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_I2C_IBCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_I2C_IBCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_LIN_SCR                           *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_LIN_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_UART_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_UART_SCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_I2C_IBSR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_I2C_IBSR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_LIN_ESCR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_LIN_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_UART_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_UART_ESCR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_CSIO_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_CSIO_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_I2C_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_I2C_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_LIN_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_LIN_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_UART_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_UART_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_CSIO_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_CSIO_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_CSIO_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_I2C_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_I2C_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_LIN_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_LIN_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_LIN_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_LIN_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_UART_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_UART_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_CSIO_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_I2C_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_LIN_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_LIN_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_UART_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_UART_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_ISBA                          *((volatile  uint8_t*)(0x40038010UL))
#define FM3_MFS0_I2C_ISBA                         *((volatile  uint8_t*)(0x40038010UL))
#define FM_MFS0_I2C_ISMK                          *((volatile  uint8_t*)(0x40038011UL))
#define FM3_MFS0_I2C_ISMK                         *((volatile  uint8_t*)(0x40038011UL))

/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS1_CSIO_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_CSIO_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_I2C_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_I2C_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_LIN_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_LIN_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_UART_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_UART_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_CSIO_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_CSIO_SCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_I2C_IBCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_I2C_IBCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_LIN_SCR                           *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_LIN_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_UART_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_UART_SCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_I2C_IBSR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_I2C_IBSR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_LIN_ESCR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_LIN_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_UART_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_UART_ESCR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_CSIO_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_CSIO_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_I2C_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_I2C_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_LIN_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_LIN_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_UART_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_UART_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_CSIO_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_CSIO_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_CSIO_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_I2C_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_I2C_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_LIN_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_LIN_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_LIN_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_LIN_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_UART_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_UART_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_CSIO_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_I2C_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_LIN_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_LIN_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_UART_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_UART_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_ISBA                          *((volatile  uint8_t*)(0x40038110UL))
#define FM3_MFS1_I2C_ISBA                         *((volatile  uint8_t*)(0x40038110UL))
#define FM_MFS1_I2C_ISMK                          *((volatile  uint8_t*)(0x40038111UL))
#define FM3_MFS1_I2C_ISMK                         *((volatile  uint8_t*)(0x40038111UL))

/******************************************************************************
 ** MFS Registers MFS2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS2_CSIO_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_CSIO_SMR                         *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_I2C_SMR                           *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_I2C_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_LIN_SMR                           *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_LIN_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_UART_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_UART_SMR                         *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_CSIO_SCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_CSIO_SCR                         *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_I2C_IBCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_I2C_IBCR                         *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_LIN_SCR                           *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_LIN_SCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_UART_SCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_UART_SCR                         *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_I2C_IBSR                          *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_I2C_IBSR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_LIN_ESCR                          *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_LIN_ESCR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_UART_ESCR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_UART_ESCR                        *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_CSIO_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_CSIO_SSR                         *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_I2C_SSR                           *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_I2C_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_LIN_SSR                           *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_LIN_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_UART_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_UART_SSR                         *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_CSIO_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_CSIO_RDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_CSIO_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_CSIO_TDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_I2C_RDR                           *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_I2C_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_I2C_TDR                           *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_I2C_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_LIN_RDR                           *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_LIN_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_LIN_TDR                           *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_LIN_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_UART_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_UART_RDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_UART_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_UART_TDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_CSIO_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_CSIO_BGR                         *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_I2C_BGR                           *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_I2C_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_LIN_BGR                           *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_LIN_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_UART_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_UART_BGR                         *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_I2C_ISBA                          *((volatile  uint8_t*)(0x40038210UL))
#define FM3_MFS2_I2C_ISBA                         *((volatile  uint8_t*)(0x40038210UL))
#define FM_MFS2_I2C_ISMK                          *((volatile  uint8_t*)(0x40038211UL))
#define FM3_MFS2_I2C_ISMK                         *((volatile  uint8_t*)(0x40038211UL))

/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS3_CSIO_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_CSIO_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_I2C_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_I2C_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_LIN_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_LIN_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_UART_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_UART_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_CSIO_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_CSIO_SCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_I2C_IBCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_I2C_IBCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_LIN_SCR                           *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_LIN_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_UART_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_UART_SCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_I2C_IBSR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_I2C_IBSR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_LIN_ESCR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_LIN_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_UART_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_UART_ESCR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_CSIO_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_CSIO_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_I2C_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_I2C_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_LIN_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_LIN_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_UART_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_UART_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_CSIO_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_CSIO_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_CSIO_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_I2C_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_I2C_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_LIN_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_LIN_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_LIN_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_LIN_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_UART_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_UART_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_CSIO_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_I2C_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_LIN_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_LIN_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_UART_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_UART_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_ISBA                          *((volatile  uint8_t*)(0x40038310UL))
#define FM3_MFS3_I2C_ISBA                         *((volatile  uint8_t*)(0x40038310UL))
#define FM_MFS3_I2C_ISMK                          *((volatile  uint8_t*)(0x40038311UL))
#define FM3_MFS3_I2C_ISMK                         *((volatile  uint8_t*)(0x40038311UL))

/******************************************************************************
 ** MFS Registers MFS4
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS4_CSIO_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_CSIO_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_I2C_SMR                           *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_I2C_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_LIN_SMR                           *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_LIN_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_UART_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_UART_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_CSIO_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_CSIO_SCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_I2C_IBCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_I2C_IBCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_LIN_SCR                           *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_LIN_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_UART_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_UART_SCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_I2C_IBSR                          *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_I2C_IBSR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_LIN_ESCR                          *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_LIN_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_UART_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_UART_ESCR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_CSIO_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_CSIO_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_I2C_SSR                           *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_I2C_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_LIN_SSR                           *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_LIN_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_UART_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_UART_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_CSIO_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_CSIO_RDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_CSIO_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_CSIO_TDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2C_RDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_I2C_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2C_TDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_I2C_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_LIN_RDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_LIN_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_LIN_TDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_LIN_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_UART_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_UART_RDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_UART_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_UART_TDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_CSIO_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_CSIO_BGR                         *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_I2C_BGR                           *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_I2C_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_LIN_BGR                           *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_LIN_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_UART_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_UART_BGR                         *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_I2C_ISBA                          *((volatile  uint8_t*)(0x40038410UL))
#define FM3_MFS4_I2C_ISBA                         *((volatile  uint8_t*)(0x40038410UL))
#define FM_MFS4_I2C_ISMK                          *((volatile  uint8_t*)(0x40038411UL))
#define FM3_MFS4_I2C_ISMK                         *((volatile  uint8_t*)(0x40038411UL))
#define FM_MFS4_CSIO_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_CSIO_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_I2C_FCR                           *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_I2C_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_LIN_FCR                           *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_LIN_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_UART_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_UART_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_LIN_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_LIN_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))

/******************************************************************************
 ** MFS Registers MFS5
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS5_CSIO_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_CSIO_SMR                         *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_I2C_SMR                           *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_I2C_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_LIN_SMR                           *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_LIN_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_UART_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_UART_SMR                         *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_CSIO_SCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_CSIO_SCR                         *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_I2C_IBCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_I2C_IBCR                         *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_LIN_SCR                           *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_LIN_SCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_UART_SCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_UART_SCR                         *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_I2C_IBSR                          *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_I2C_IBSR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_LIN_ESCR                          *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_LIN_ESCR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_UART_ESCR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_UART_ESCR                        *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_CSIO_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_CSIO_SSR                         *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_I2C_SSR                           *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_I2C_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_LIN_SSR                           *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_LIN_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_UART_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_UART_SSR                         *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_CSIO_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_CSIO_RDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_CSIO_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_CSIO_TDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_I2C_RDR                           *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_I2C_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_I2C_TDR                           *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_I2C_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_LIN_RDR                           *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_LIN_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_LIN_TDR                           *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_LIN_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_UART_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_UART_RDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_UART_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_UART_TDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_CSIO_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_CSIO_BGR                         *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_I2C_BGR                           *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_I2C_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_LIN_BGR                           *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_LIN_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_UART_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_UART_BGR                         *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_I2C_ISBA                          *((volatile  uint8_t*)(0x40038510UL))
#define FM3_MFS5_I2C_ISBA                         *((volatile  uint8_t*)(0x40038510UL))
#define FM_MFS5_I2C_ISMK                          *((volatile  uint8_t*)(0x40038511UL))
#define FM3_MFS5_I2C_ISMK                         *((volatile  uint8_t*)(0x40038511UL))
#define FM_MFS5_CSIO_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_CSIO_FCR                         *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_I2C_FCR                           *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_I2C_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_LIN_FCR                           *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_LIN_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_UART_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_UART_FCR                         *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_LIN_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038519UL))
#define FM_MFS5_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM_MFS5_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_LIN_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM_MFS5_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038519UL))

/******************************************************************************
 ** MFS Registers MFS6
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS6_CSIO_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_CSIO_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_I2C_SMR                           *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_I2C_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_LIN_SMR                           *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_LIN_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_UART_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_UART_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_CSIO_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_CSIO_SCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_I2C_IBCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_I2C_IBCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_LIN_SCR                           *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_LIN_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_UART_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_UART_SCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_I2C_IBSR                          *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_I2C_IBSR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_LIN_ESCR                          *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_LIN_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_UART_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_UART_ESCR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_CSIO_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_CSIO_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_I2C_SSR                           *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_I2C_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_LIN_SSR                           *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_LIN_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_UART_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_UART_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_CSIO_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_CSIO_RDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_CSIO_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_CSIO_TDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2C_RDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_I2C_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2C_TDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_I2C_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_LIN_RDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_LIN_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_LIN_TDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_LIN_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_UART_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_UART_RDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_UART_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_UART_TDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_CSIO_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_CSIO_BGR                         *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_I2C_BGR                           *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_I2C_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_LIN_BGR                           *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_LIN_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_UART_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_UART_BGR                         *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_I2C_ISBA                          *((volatile  uint8_t*)(0x40038610UL))
#define FM3_MFS6_I2C_ISBA                         *((volatile  uint8_t*)(0x40038610UL))
#define FM_MFS6_I2C_ISMK                          *((volatile  uint8_t*)(0x40038611UL))
#define FM3_MFS6_I2C_ISMK                         *((volatile  uint8_t*)(0x40038611UL))
#define FM_MFS6_CSIO_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_CSIO_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_I2C_FCR                           *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_I2C_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_LIN_FCR                           *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_LIN_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_UART_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_UART_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_LIN_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_LIN_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))

/******************************************************************************
 ** MFS Registers MFS7
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS7_CSIO_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_CSIO_SMR                         *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_I2C_SMR                           *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_I2C_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_LIN_SMR                           *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_LIN_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_UART_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_UART_SMR                         *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_CSIO_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_CSIO_SCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_I2C_IBCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_I2C_IBCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_LIN_SCR                           *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_LIN_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_UART_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_UART_SCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_I2C_IBSR                          *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_I2C_IBSR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_LIN_ESCR                          *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_LIN_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_UART_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_UART_ESCR                        *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_CSIO_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_CSIO_SSR                         *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_I2C_SSR                           *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_I2C_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_LIN_SSR                           *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_LIN_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_UART_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_UART_SSR                         *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_CSIO_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_CSIO_RDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_CSIO_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_CSIO_TDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_I2C_RDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_I2C_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_I2C_TDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_I2C_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_LIN_RDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_LIN_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_LIN_TDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_LIN_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_UART_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_UART_RDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_UART_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_UART_TDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_CSIO_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_CSIO_BGR                         *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_I2C_BGR                           *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_I2C_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_LIN_BGR                           *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_LIN_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_UART_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_UART_BGR                         *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_I2C_ISBA                          *((volatile  uint8_t*)(0x40038710UL))
#define FM3_MFS7_I2C_ISBA                         *((volatile  uint8_t*)(0x40038710UL))
#define FM_MFS7_I2C_ISMK                          *((volatile  uint8_t*)(0x40038711UL))
#define FM3_MFS7_I2C_ISMK                         *((volatile  uint8_t*)(0x40038711UL))
#define FM_MFS7_CSIO_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_CSIO_FCR                         *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_I2C_FCR                           *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_I2C_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_LIN_FCR                           *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_LIN_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_UART_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_UART_FCR                         *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_LIN_FBYTE1                        *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_LIN_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_LIN_FBYTE2                        *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_LIN_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038719UL))

/******************************************************************************
 ** MFT_PPG Registers MFT_PPG
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFT_PPG_TTCR0                          *((volatile  uint8_t*)(0x40024001UL))
#define FM3_MFT_PPG_TTCR0                         *((volatile  uint8_t*)(0x40024001UL))
#define FM_MFT_PPG_COMP0                          *((volatile  uint8_t*)(0x40024009UL))
#define FM3_MFT_PPG_COMP0                         *((volatile  uint8_t*)(0x40024009UL))
#define FM_MFT_PPG_COMP2                          *((volatile  uint8_t*)(0x4002400CUL))
#define FM3_MFT_PPG_COMP2                         *((volatile  uint8_t*)(0x4002400CUL))
#define FM_MFT_PPG_COMP4                          *((volatile  uint8_t*)(0x40024011UL))
#define FM3_MFT_PPG_COMP4                         *((volatile  uint8_t*)(0x40024011UL))
#define FM_MFT_PPG_COMP6                          *((volatile  uint8_t*)(0x40024014UL))
#define FM3_MFT_PPG_COMP6                         *((volatile  uint8_t*)(0x40024014UL))
#define FM_MFT_PPG_TTCR1                          *((volatile  uint8_t*)(0x40024021UL))
#define FM3_MFT_PPG_TTCR1                         *((volatile  uint8_t*)(0x40024021UL))
#define FM_MFT_PPG_COMP1                          *((volatile  uint8_t*)(0x40024029UL))
#define FM3_MFT_PPG_COMP1                         *((volatile  uint8_t*)(0x40024029UL))
#define FM_MFT_PPG_COMP3                          *((volatile  uint8_t*)(0x4002402CUL))
#define FM3_MFT_PPG_COMP3                         *((volatile  uint8_t*)(0x4002402CUL))
#define FM_MFT_PPG_COMP5                          *((volatile  uint8_t*)(0x40024031UL))
#define FM3_MFT_PPG_COMP5                         *((volatile  uint8_t*)(0x40024031UL))
#define FM_MFT_PPG_COMP7                          *((volatile  uint8_t*)(0x40024034UL))
#define FM3_MFT_PPG_COMP7                         *((volatile  uint8_t*)(0x40024034UL))
#define FM_MFT_PPG_TTCR2                          *((volatile  uint8_t*)(0x40024041UL))
#define FM3_MFT_PPG_TTCR2                         *((volatile  uint8_t*)(0x40024041UL))
#define FM_MFT_PPG_COMP8                          *((volatile  uint8_t*)(0x40024049UL))
#define FM3_MFT_PPG_COMP8                         *((volatile  uint8_t*)(0x40024049UL))
#define FM_MFT_PPG_COMP10                         *((volatile  uint8_t*)(0x4002404CUL))
#define FM3_MFT_PPG_COMP10                        *((volatile  uint8_t*)(0x4002404CUL))
#define FM_MFT_PPG_COMP12                         *((volatile  uint8_t*)(0x40024051UL))
#define FM3_MFT_PPG_COMP12                        *((volatile  uint8_t*)(0x40024051UL))
#define FM_MFT_PPG_COMP14                         *((volatile  uint8_t*)(0x40024054UL))
#define FM3_MFT_PPG_COMP14                        *((volatile  uint8_t*)(0x40024054UL))
#define FM_MFT_PPG_TRG0                           *((volatile uint16_t*)(0x40024100UL))
#define FM3_MFT_PPG_TRG0                          *((volatile uint16_t*)(0x40024100UL))
#define FM_MFT_PPG_REVC0                          *((volatile uint16_t*)(0x40024104UL))
#define FM3_MFT_PPG_REVC0                         *((volatile uint16_t*)(0x40024104UL))
#define FM_MFT_PPG_TRG1                           *((volatile uint16_t*)(0x40024140UL))
#define FM3_MFT_PPG_TRG1                          *((volatile uint16_t*)(0x40024140UL))
#define FM_MFT_PPG_REVC1                          *((volatile uint16_t*)(0x40024144UL))
#define FM3_MFT_PPG_REVC1                         *((volatile uint16_t*)(0x40024144UL))
#define FM_MFT_PPG_PPGC1                          *((volatile  uint8_t*)(0x40024200UL))
#define FM3_MFT_PPG_PPGC1                         *((volatile  uint8_t*)(0x40024200UL))
#define FM_MFT_PPG_PPGC0                          *((volatile  uint8_t*)(0x40024201UL))
#define FM3_MFT_PPG_PPGC0                         *((volatile  uint8_t*)(0x40024201UL))
#define FM_MFT_PPG_PPGC3                          *((volatile  uint8_t*)(0x40024204UL))
#define FM3_MFT_PPG_PPGC3                         *((volatile  uint8_t*)(0x40024204UL))
#define FM_MFT_PPG_PPGC2                          *((volatile  uint8_t*)(0x40024205UL))
#define FM3_MFT_PPG_PPGC2                         *((volatile  uint8_t*)(0x40024205UL))
#define FM_MFT_PPG_PRLL0                          *((volatile  uint8_t*)(0x40024208UL))
#define FM3_MFT_PPG_PRLL0                         *((volatile  uint8_t*)(0x40024208UL))
#define FM_MFT_PPG_PRLH0                          *((volatile  uint8_t*)(0x40024209UL))
#define FM3_MFT_PPG_PRLH0                         *((volatile  uint8_t*)(0x40024209UL))
#define FM_MFT_PPG_PRLL1                          *((volatile  uint8_t*)(0x4002420CUL))
#define FM3_MFT_PPG_PRLL1                         *((volatile  uint8_t*)(0x4002420CUL))
#define FM_MFT_PPG_PRLH1                          *((volatile  uint8_t*)(0x4002420DUL))
#define FM3_MFT_PPG_PRLH1                         *((volatile  uint8_t*)(0x4002420DUL))
#define FM_MFT_PPG_PRLL2                          *((volatile  uint8_t*)(0x40024210UL))
#define FM3_MFT_PPG_PRLL2                         *((volatile  uint8_t*)(0x40024210UL))
#define FM_MFT_PPG_PRLH2                          *((volatile  uint8_t*)(0x40024211UL))
#define FM3_MFT_PPG_PRLH2                         *((volatile  uint8_t*)(0x40024211UL))
#define FM_MFT_PPG_PRLL3                          *((volatile  uint8_t*)(0x40024214UL))
#define FM3_MFT_PPG_PRLL3                         *((volatile  uint8_t*)(0x40024214UL))
#define FM_MFT_PPG_PRLH3                          *((volatile  uint8_t*)(0x40024215UL))
#define FM3_MFT_PPG_PRLH3                         *((volatile  uint8_t*)(0x40024215UL))
#define FM_MFT_PPG_GATEC0                         *((volatile  uint8_t*)(0x40024218UL))
#define FM3_MFT_PPG_GATEC0                        *((volatile  uint8_t*)(0x40024218UL))
#define FM_MFT_PPG_PPGC5                          *((volatile  uint8_t*)(0x40024240UL))
#define FM3_MFT_PPG_PPGC5                         *((volatile  uint8_t*)(0x40024240UL))
#define FM_MFT_PPG_PPGC4                          *((volatile  uint8_t*)(0x40024241UL))
#define FM3_MFT_PPG_PPGC4                         *((volatile  uint8_t*)(0x40024241UL))
#define FM_MFT_PPG_PPGC7                          *((volatile  uint8_t*)(0x40024244UL))
#define FM3_MFT_PPG_PPGC7                         *((volatile  uint8_t*)(0x40024244UL))
#define FM_MFT_PPG_PPGC6                          *((volatile  uint8_t*)(0x40024245UL))
#define FM3_MFT_PPG_PPGC6                         *((volatile  uint8_t*)(0x40024245UL))
#define FM_MFT_PPG_PRLL4                          *((volatile  uint8_t*)(0x40024248UL))
#define FM3_MFT_PPG_PRLL4                         *((volatile  uint8_t*)(0x40024248UL))
#define FM_MFT_PPG_PRLH4                          *((volatile  uint8_t*)(0x40024249UL))
#define FM3_MFT_PPG_PRLH4                         *((volatile  uint8_t*)(0x40024249UL))
#define FM_MFT_PPG_PRLL5                          *((volatile  uint8_t*)(0x4002424CUL))
#define FM3_MFT_PPG_PRLL5                         *((volatile  uint8_t*)(0x4002424CUL))
#define FM_MFT_PPG_PRLH5                          *((volatile  uint8_t*)(0x4002424DUL))
#define FM3_MFT_PPG_PRLH5                         *((volatile  uint8_t*)(0x4002424DUL))
#define FM_MFT_PPG_PRLL6                          *((volatile  uint8_t*)(0x40024250UL))
#define FM3_MFT_PPG_PRLL6                         *((volatile  uint8_t*)(0x40024250UL))
#define FM_MFT_PPG_PRLH6                          *((volatile  uint8_t*)(0x40024251UL))
#define FM3_MFT_PPG_PRLH6                         *((volatile  uint8_t*)(0x40024251UL))
#define FM_MFT_PPG_PRLL7                          *((volatile  uint8_t*)(0x40024254UL))
#define FM3_MFT_PPG_PRLL7                         *((volatile  uint8_t*)(0x40024254UL))
#define FM_MFT_PPG_PRLH7                          *((volatile  uint8_t*)(0x40024255UL))
#define FM3_MFT_PPG_PRLH7                         *((volatile  uint8_t*)(0x40024255UL))
#define FM_MFT_PPG_GATEC4                         *((volatile  uint8_t*)(0x40024258UL))
#define FM3_MFT_PPG_GATEC4                        *((volatile  uint8_t*)(0x40024258UL))
#define FM_MFT_PPG_PPGC9                          *((volatile  uint8_t*)(0x40024280UL))
#define FM3_MFT_PPG_PPGC9                         *((volatile  uint8_t*)(0x40024280UL))
#define FM_MFT_PPG_PPGC8                          *((volatile  uint8_t*)(0x40024281UL))
#define FM3_MFT_PPG_PPGC8                         *((volatile  uint8_t*)(0x40024281UL))
#define FM_MFT_PPG_PPGC11                         *((volatile  uint8_t*)(0x40024284UL))
#define FM3_MFT_PPG_PPGC11                        *((volatile  uint8_t*)(0x40024284UL))
#define FM_MFT_PPG_PPGC10                         *((volatile  uint8_t*)(0x40024285UL))
#define FM3_MFT_PPG_PPGC10                        *((volatile  uint8_t*)(0x40024285UL))
#define FM_MFT_PPG_PRLL8                          *((volatile  uint8_t*)(0x40024288UL))
#define FM3_MFT_PPG_PRLL8                         *((volatile  uint8_t*)(0x40024288UL))
#define FM_MFT_PPG_PRLH8                          *((volatile  uint8_t*)(0x40024289UL))
#define FM3_MFT_PPG_PRLH8                         *((volatile  uint8_t*)(0x40024289UL))
#define FM_MFT_PPG_PRLL9                          *((volatile  uint8_t*)(0x4002428CUL))
#define FM3_MFT_PPG_PRLL9                         *((volatile  uint8_t*)(0x4002428CUL))
#define FM_MFT_PPG_PRLH9                          *((volatile  uint8_t*)(0x4002428DUL))
#define FM3_MFT_PPG_PRLH9                         *((volatile  uint8_t*)(0x4002428DUL))
#define FM_MFT_PPG_PRLL10                         *((volatile  uint8_t*)(0x40024290UL))
#define FM3_MFT_PPG_PRLL10                        *((volatile  uint8_t*)(0x40024290UL))
#define FM_MFT_PPG_PRLH10                         *((volatile  uint8_t*)(0x40024291UL))
#define FM3_MFT_PPG_PRLH10                        *((volatile  uint8_t*)(0x40024291UL))
#define FM_MFT_PPG_PRLL11                         *((volatile  uint8_t*)(0x40024294UL))
#define FM3_MFT_PPG_PRLL11                        *((volatile  uint8_t*)(0x40024294UL))
#define FM_MFT_PPG_PRLH11                         *((volatile  uint8_t*)(0x40024295UL))
#define FM3_MFT_PPG_PRLH11                        *((volatile  uint8_t*)(0x40024295UL))
#define FM_MFT_PPG_GATEC8                         *((volatile  uint8_t*)(0x40024298UL))
#define FM3_MFT_PPG_GATEC8                        *((volatile  uint8_t*)(0x40024298UL))
#define FM_MFT_PPG_PPGC13                         *((volatile  uint8_t*)(0x400242C0UL))
#define FM3_MFT_PPG_PPGC13                        *((volatile  uint8_t*)(0x400242C0UL))
#define FM_MFT_PPG_PPGC12                         *((volatile  uint8_t*)(0x400242C1UL))
#define FM3_MFT_PPG_PPGC12                        *((volatile  uint8_t*)(0x400242C1UL))
#define FM_MFT_PPG_PPGC15                         *((volatile  uint8_t*)(0x400242C4UL))
#define FM3_MFT_PPG_PPGC15                        *((volatile  uint8_t*)(0x400242C4UL))
#define FM_MFT_PPG_PPGC14                         *((volatile  uint8_t*)(0x400242C5UL))
#define FM3_MFT_PPG_PPGC14                        *((volatile  uint8_t*)(0x400242C5UL))
#define FM_MFT_PPG_PRLL12                         *((volatile  uint8_t*)(0x400242C8UL))
#define FM3_MFT_PPG_PRLL12                        *((volatile  uint8_t*)(0x400242C8UL))
#define FM_MFT_PPG_PRLH12                         *((volatile  uint8_t*)(0x400242C9UL))
#define FM3_MFT_PPG_PRLH12                        *((volatile  uint8_t*)(0x400242C9UL))
#define FM_MFT_PPG_PRLL13                         *((volatile  uint8_t*)(0x400242CCUL))
#define FM3_MFT_PPG_PRLL13                        *((volatile  uint8_t*)(0x400242CCUL))
#define FM_MFT_PPG_PRLH13                         *((volatile  uint8_t*)(0x400242CDUL))
#define FM3_MFT_PPG_PRLH13                        *((volatile  uint8_t*)(0x400242CDUL))
#define FM_MFT_PPG_PRLL14                         *((volatile  uint8_t*)(0x400242D0UL))
#define FM3_MFT_PPG_PRLL14                        *((volatile  uint8_t*)(0x400242D0UL))
#define FM_MFT_PPG_PRLH14                         *((volatile  uint8_t*)(0x400242D1UL))
#define FM3_MFT_PPG_PRLH14                        *((volatile  uint8_t*)(0x400242D1UL))
#define FM_MFT_PPG_PRLL15                         *((volatile  uint8_t*)(0x400242D4UL))
#define FM3_MFT_PPG_PRLL15                        *((volatile  uint8_t*)(0x400242D4UL))
#define FM_MFT_PPG_PRLH15                         *((volatile  uint8_t*)(0x400242D5UL))
#define FM3_MFT_PPG_PRLH15                        *((volatile  uint8_t*)(0x400242D5UL))
#define FM_MFT_PPG_GATEC12                        *((volatile  uint8_t*)(0x400242D8UL))
#define FM3_MFT_PPG_GATEC12                       *((volatile  uint8_t*)(0x400242D8UL))
#define FM_MFT_PPG_PPGC17                         *((volatile  uint8_t*)(0x40024300UL))
#define FM3_MFT_PPG_PPGC17                        *((volatile  uint8_t*)(0x40024300UL))
#define FM_MFT_PPG_PPGC16                         *((volatile  uint8_t*)(0x40024301UL))
#define FM3_MFT_PPG_PPGC16                        *((volatile  uint8_t*)(0x40024301UL))
#define FM_MFT_PPG_PPGC19                         *((volatile  uint8_t*)(0x40024304UL))
#define FM3_MFT_PPG_PPGC19                        *((volatile  uint8_t*)(0x40024304UL))
#define FM_MFT_PPG_PPGC18                         *((volatile  uint8_t*)(0x40024305UL))
#define FM3_MFT_PPG_PPGC18                        *((volatile  uint8_t*)(0x40024305UL))
#define FM_MFT_PPG_PRLL16                         *((volatile  uint8_t*)(0x40024308UL))
#define FM3_MFT_PPG_PRLL16                        *((volatile  uint8_t*)(0x40024308UL))
#define FM_MFT_PPG_PRLH16                         *((volatile  uint8_t*)(0x40024309UL))
#define FM3_MFT_PPG_PRLH16                        *((volatile  uint8_t*)(0x40024309UL))
#define FM_MFT_PPG_PRLL17                         *((volatile  uint8_t*)(0x4002430CUL))
#define FM3_MFT_PPG_PRLL17                        *((volatile  uint8_t*)(0x4002430CUL))
#define FM_MFT_PPG_PRLH17                         *((volatile  uint8_t*)(0x4002430DUL))
#define FM3_MFT_PPG_PRLH17                        *((volatile  uint8_t*)(0x4002430DUL))
#define FM_MFT_PPG_PRLL18                         *((volatile  uint8_t*)(0x40024310UL))
#define FM3_MFT_PPG_PRLL18                        *((volatile  uint8_t*)(0x40024310UL))
#define FM_MFT_PPG_PRLH18                         *((volatile  uint8_t*)(0x40024311UL))
#define FM3_MFT_PPG_PRLH18                        *((volatile  uint8_t*)(0x40024311UL))
#define FM_MFT_PPG_PRLL19                         *((volatile  uint8_t*)(0x40024314UL))
#define FM3_MFT_PPG_PRLL19                        *((volatile  uint8_t*)(0x40024314UL))
#define FM_MFT_PPG_PRLH19                         *((volatile  uint8_t*)(0x40024315UL))
#define FM3_MFT_PPG_PRLH19                        *((volatile  uint8_t*)(0x40024315UL))
#define FM_MFT_PPG_GATEC16                        *((volatile  uint8_t*)(0x40024318UL))
#define FM3_MFT_PPG_GATEC16                       *((volatile  uint8_t*)(0x40024318UL))
#define FM_MFT_PPG_PPGC21                         *((volatile  uint8_t*)(0x40024340UL))
#define FM3_MFT_PPG_PPGC21                        *((volatile  uint8_t*)(0x40024340UL))
#define FM_MFT_PPG_PPGC20                         *((volatile  uint8_t*)(0x40024341UL))
#define FM3_MFT_PPG_PPGC20                        *((volatile  uint8_t*)(0x40024341UL))
#define FM_MFT_PPG_PPGC23                         *((volatile  uint8_t*)(0x40024344UL))
#define FM3_MFT_PPG_PPGC23                        *((volatile  uint8_t*)(0x40024344UL))
#define FM_MFT_PPG_PPGC22                         *((volatile  uint8_t*)(0x40024345UL))
#define FM3_MFT_PPG_PPGC22                        *((volatile  uint8_t*)(0x40024345UL))
#define FM_MFT_PPG_PRLL20                         *((volatile  uint8_t*)(0x40024348UL))
#define FM3_MFT_PPG_PRLL20                        *((volatile  uint8_t*)(0x40024348UL))
#define FM_MFT_PPG_PRLH20                         *((volatile  uint8_t*)(0x40024349UL))
#define FM3_MFT_PPG_PRLH20                        *((volatile  uint8_t*)(0x40024349UL))
#define FM_MFT_PPG_PRLL21                         *((volatile  uint8_t*)(0x4002434CUL))
#define FM3_MFT_PPG_PRLL21                        *((volatile  uint8_t*)(0x4002434CUL))
#define FM_MFT_PPG_PRLH21                         *((volatile  uint8_t*)(0x4002434DUL))
#define FM3_MFT_PPG_PRLH21                        *((volatile  uint8_t*)(0x4002434DUL))
#define FM_MFT_PPG_PRLL22                         *((volatile  uint8_t*)(0x40024350UL))
#define FM3_MFT_PPG_PRLL22                        *((volatile  uint8_t*)(0x40024350UL))
#define FM_MFT_PPG_PRLH22                         *((volatile  uint8_t*)(0x40024351UL))
#define FM3_MFT_PPG_PRLH22                        *((volatile  uint8_t*)(0x40024351UL))
#define FM_MFT_PPG_PRLL23                         *((volatile  uint8_t*)(0x40024354UL))
#define FM3_MFT_PPG_PRLL23                        *((volatile  uint8_t*)(0x40024354UL))
#define FM_MFT_PPG_PRLH23                         *((volatile  uint8_t*)(0x40024355UL))
#define FM3_MFT_PPG_PRLH23                        *((volatile  uint8_t*)(0x40024355UL))
#define FM_MFT_PPG_GATEC20                        *((volatile  uint8_t*)(0x40024358UL))
#define FM3_MFT_PPG_GATEC20                       *((volatile  uint8_t*)(0x40024358UL))

/******************************************************************************
 ** MFT Registers MFT0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFT0_OCU_OCCP0                         *((volatile uint16_t*)(0x40020000UL))
#define FM3_MFT0_OCU_OCCP0                        *((volatile uint16_t*)(0x40020000UL))
#define FM_MFT0_OCU_OCCP1                         *((volatile uint16_t*)(0x40020004UL))
#define FM3_MFT0_OCU_OCCP1                        *((volatile uint16_t*)(0x40020004UL))
#define FM_MFT0_OCU_OCCP2                         *((volatile uint16_t*)(0x40020008UL))
#define FM3_MFT0_OCU_OCCP2                        *((volatile uint16_t*)(0x40020008UL))
#define FM_MFT0_OCU_OCCP3                         *((volatile uint16_t*)(0x4002000CUL))
#define FM3_MFT0_OCU_OCCP3                        *((volatile uint16_t*)(0x4002000CUL))
#define FM_MFT0_OCU_OCCP4                         *((volatile uint16_t*)(0x40020010UL))
#define FM3_MFT0_OCU_OCCP4                        *((volatile uint16_t*)(0x40020010UL))
#define FM_MFT0_OCU_OCCP5                         *((volatile uint16_t*)(0x40020014UL))
#define FM3_MFT0_OCU_OCCP5                        *((volatile uint16_t*)(0x40020014UL))
#define FM_MFT0_OCU_OCSA10                        *((volatile  uint8_t*)(0x40020018UL))
#define FM3_MFT0_OCU_OCSA10                       *((volatile  uint8_t*)(0x40020018UL))
#define FM_MFT0_OCU_OCSB10                        *((volatile  uint8_t*)(0x40020019UL))
#define FM3_MFT0_OCU_OCSB10                       *((volatile  uint8_t*)(0x40020019UL))
#define FM_MFT0_OCU_OCSA32                        *((volatile  uint8_t*)(0x4002001CUL))
#define FM3_MFT0_OCU_OCSA32                       *((volatile  uint8_t*)(0x4002001CUL))
#define FM_MFT0_OCU_OCSB32                        *((volatile  uint8_t*)(0x4002001DUL))
#define FM3_MFT0_OCU_OCSB32                       *((volatile  uint8_t*)(0x4002001DUL))
#define FM_MFT0_OCU_OCSA54                        *((volatile  uint8_t*)(0x40020020UL))
#define FM3_MFT0_OCU_OCSA54                       *((volatile  uint8_t*)(0x40020020UL))
#define FM_MFT0_OCU_OCSB54                        *((volatile  uint8_t*)(0x40020021UL))
#define FM3_MFT0_OCU_OCSB54                       *((volatile  uint8_t*)(0x40020021UL))
#define FM_MFT0_OCU_OCSC                          *((volatile  uint8_t*)(0x40020025UL))
#define FM3_MFT0_OCU_OCSC                         *((volatile  uint8_t*)(0x40020025UL))
#define FM_MFT0_FRT_TCCP0                         *((volatile uint16_t*)(0x40020028UL))
#define FM3_MFT0_FRT_TCCP0                        *((volatile uint16_t*)(0x40020028UL))
#define FM_MFT0_FRT_TCDT0                         *((volatile uint16_t*)(0x4002002CUL))
#define FM3_MFT0_FRT_TCDT0                        *((volatile uint16_t*)(0x4002002CUL))
#define FM_MFT0_FRT_TCSA0                         *((volatile uint16_t*)(0x40020030UL))
#define FM3_MFT0_FRT_TCSA0                        *((volatile uint16_t*)(0x40020030UL))
#define FM_MFT0_FRT_TCSB0                         *((volatile uint16_t*)(0x40020034UL))
#define FM3_MFT0_FRT_TCSB0                        *((volatile uint16_t*)(0x40020034UL))
#define FM_MFT0_FRT_TCCP1                         *((volatile uint16_t*)(0x40020038UL))
#define FM3_MFT0_FRT_TCCP1                        *((volatile uint16_t*)(0x40020038UL))
#define FM_MFT0_FRT_TCDT1                         *((volatile uint16_t*)(0x4002003CUL))
#define FM3_MFT0_FRT_TCDT1                        *((volatile uint16_t*)(0x4002003CUL))
#define FM_MFT0_FRT_TCSA1                         *((volatile uint16_t*)(0x40020040UL))
#define FM3_MFT0_FRT_TCSA1                        *((volatile uint16_t*)(0x40020040UL))
#define FM_MFT0_FRT_TCSB1                         *((volatile uint16_t*)(0x40020044UL))
#define FM3_MFT0_FRT_TCSB1                        *((volatile uint16_t*)(0x40020044UL))
#define FM_MFT0_FRT_TCCP2                         *((volatile uint16_t*)(0x40020048UL))
#define FM3_MFT0_FRT_TCCP2                        *((volatile uint16_t*)(0x40020048UL))
#define FM_MFT0_FRT_TCDT2                         *((volatile uint16_t*)(0x4002004CUL))
#define FM3_MFT0_FRT_TCDT2                        *((volatile uint16_t*)(0x4002004CUL))
#define FM_MFT0_FRT_TCSA2                         *((volatile uint16_t*)(0x40020050UL))
#define FM3_MFT0_FRT_TCSA2                        *((volatile uint16_t*)(0x40020050UL))
#define FM_MFT0_FRT_TCSB2                         *((volatile uint16_t*)(0x40020054UL))
#define FM3_MFT0_FRT_TCSB2                        *((volatile uint16_t*)(0x40020054UL))
#define FM_MFT0_OCU_OCFS10                        *((volatile  uint8_t*)(0x40020058UL))
#define FM3_MFT0_OCU_OCFS10                       *((volatile  uint8_t*)(0x40020058UL))
#define FM_MFT0_OCU_OCFS32                        *((volatile  uint8_t*)(0x40020059UL))
#define FM3_MFT0_OCU_OCFS32                       *((volatile  uint8_t*)(0x40020059UL))
#define FM_MFT0_OCU_OCFS54                        *((volatile  uint8_t*)(0x4002005CUL))
#define FM3_MFT0_OCU_OCFS54                       *((volatile  uint8_t*)(0x4002005CUL))
#define FM_MFT0_ICU_ICFS10                        *((volatile  uint8_t*)(0x40020060UL))
#define FM3_MFT0_ICU_ICFS10                       *((volatile  uint8_t*)(0x40020060UL))
#define FM_MFT0_ICU_ICFS32                        *((volatile  uint8_t*)(0x40020061UL))
#define FM3_MFT0_ICU_ICFS32                       *((volatile  uint8_t*)(0x40020061UL))
#define FM_MFT0_ICU_ICCP0                         *((volatile uint16_t*)(0x40020068UL))
#define FM3_MFT0_ICU_ICCP0                        *((volatile uint16_t*)(0x40020068UL))
#define FM_MFT0_ICU_ICCP1                         *((volatile uint16_t*)(0x4002006CUL))
#define FM3_MFT0_ICU_ICCP1                        *((volatile uint16_t*)(0x4002006CUL))
#define FM_MFT0_ICU_ICCP2                         *((volatile uint16_t*)(0x40020070UL))
#define FM3_MFT0_ICU_ICCP2                        *((volatile uint16_t*)(0x40020070UL))
#define FM_MFT0_ICU_ICCP3                         *((volatile uint16_t*)(0x40020074UL))
#define FM3_MFT0_ICU_ICCP3                        *((volatile uint16_t*)(0x40020074UL))
#define FM_MFT0_ICU_ICSA10                        *((volatile  uint8_t*)(0x40020078UL))
#define FM3_MFT0_ICU_ICSA10                       *((volatile  uint8_t*)(0x40020078UL))
#define FM_MFT0_ICU_ICSB10                        *((volatile  uint8_t*)(0x40020079UL))
#define FM3_MFT0_ICU_ICSB10                       *((volatile  uint8_t*)(0x40020079UL))
#define FM_MFT0_ICU_ICSA32                        *((volatile  uint8_t*)(0x4002007CUL))
#define FM3_MFT0_ICU_ICSA32                       *((volatile  uint8_t*)(0x4002007CUL))
#define FM_MFT0_ICU_ICSB32                        *((volatile  uint8_t*)(0x4002007DUL))
#define FM3_MFT0_ICU_ICSB32                       *((volatile  uint8_t*)(0x4002007DUL))
#define FM_MFT0_WFG_WFTM10                        *((volatile uint16_t*)(0x40020080UL))
#define FM3_MFT0_WFG_WFTM10                       *((volatile uint16_t*)(0x40020080UL))
#define FM_MFT0_WFG_WFTM32                        *((volatile uint16_t*)(0x40020084UL))
#define FM3_MFT0_WFG_WFTM32                       *((volatile uint16_t*)(0x40020084UL))
#define FM_MFT0_WFG_WFTM54                        *((volatile uint16_t*)(0x40020088UL))
#define FM3_MFT0_WFG_WFTM54                       *((volatile uint16_t*)(0x40020088UL))
#define FM_MFT0_WFG_WFSA10                        *((volatile uint16_t*)(0x4002008CUL))
#define FM3_MFT0_WFG_WFSA10                       *((volatile uint16_t*)(0x4002008CUL))
#define FM_MFT0_WFG_WFSA32                        *((volatile uint16_t*)(0x40020090UL))
#define FM3_MFT0_WFG_WFSA32                       *((volatile uint16_t*)(0x40020090UL))
#define FM_MFT0_WFG_WFSA54                        *((volatile uint16_t*)(0x40020094UL))
#define FM3_MFT0_WFG_WFSA54                       *((volatile uint16_t*)(0x40020094UL))
#define FM_MFT0_WFG_WFIR                          *((volatile uint16_t*)(0x40020098UL))
#define FM3_MFT0_WFG_WFIR                         *((volatile uint16_t*)(0x40020098UL))
#define FM_MFT0_WFG_NZCL                          *((volatile uint16_t*)(0x4002009CUL))
#define FM3_MFT0_WFG_NZCL                         *((volatile uint16_t*)(0x4002009CUL))
#define FM_MFT0_ADCMP_ACCP0                       *((volatile uint16_t*)(0x400200A0UL))
#define FM3_MFT0_ADCMP_ACCP0                      *((volatile uint16_t*)(0x400200A0UL))
#define FM_MFT0_ADCMP_ACCPDN0                     *((volatile uint16_t*)(0x400200A4UL))
#define FM3_MFT0_ADCMP_ACCPDN0                    *((volatile uint16_t*)(0x400200A4UL))
#define FM_MFT0_ADCMP_ACCP1                       *((volatile uint16_t*)(0x400200A8UL))
#define FM3_MFT0_ADCMP_ACCP1                      *((volatile uint16_t*)(0x400200A8UL))
#define FM_MFT0_ADCMP_ACCPDN1                     *((volatile uint16_t*)(0x400200ACUL))
#define FM3_MFT0_ADCMP_ACCPDN1                    *((volatile uint16_t*)(0x400200ACUL))
#define FM_MFT0_ADCMP_ACCP2                       *((volatile uint16_t*)(0x400200B0UL))
#define FM3_MFT0_ADCMP_ACCP2                      *((volatile uint16_t*)(0x400200B0UL))
#define FM_MFT0_ADCMP_ACCPDN2                     *((volatile uint16_t*)(0x400200B4UL))
#define FM3_MFT0_ADCMP_ACCPDN2                    *((volatile uint16_t*)(0x400200B4UL))
#define FM_MFT0_ADCMP_ACSB                        *((volatile  uint8_t*)(0x400200B8UL))
#define FM3_MFT0_ADCMP_ACSB                       *((volatile  uint8_t*)(0x400200B8UL))
#define FM_MFT0_ADCMP_ACSA                        *((volatile uint16_t*)(0x400200BCUL))
#define FM3_MFT0_ADCMP_ACSA                       *((volatile uint16_t*)(0x400200BCUL))
#define FM_MFT0_ADCMP_ATSA                        *((volatile uint16_t*)(0x400200C0UL))
#define FM3_MFT0_ADCMP_ATSA                       *((volatile uint16_t*)(0x400200C0UL))

/******************************************************************************
 ** MFT Registers MFT1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFT1_OCU_OCCP0                         *((volatile uint16_t*)(0x40021000UL))
#define FM3_MFT1_OCU_OCCP0                        *((volatile uint16_t*)(0x40021000UL))
#define FM_MFT1_OCU_OCCP1                         *((volatile uint16_t*)(0x40021004UL))
#define FM3_MFT1_OCU_OCCP1                        *((volatile uint16_t*)(0x40021004UL))
#define FM_MFT1_OCU_OCCP2                         *((volatile uint16_t*)(0x40021008UL))
#define FM3_MFT1_OCU_OCCP2                        *((volatile uint16_t*)(0x40021008UL))
#define FM_MFT1_OCU_OCCP3                         *((volatile uint16_t*)(0x4002100CUL))
#define FM3_MFT1_OCU_OCCP3                        *((volatile uint16_t*)(0x4002100CUL))
#define FM_MFT1_OCU_OCCP4                         *((volatile uint16_t*)(0x40021010UL))
#define FM3_MFT1_OCU_OCCP4                        *((volatile uint16_t*)(0x40021010UL))
#define FM_MFT1_OCU_OCCP5                         *((volatile uint16_t*)(0x40021014UL))
#define FM3_MFT1_OCU_OCCP5                        *((volatile uint16_t*)(0x40021014UL))
#define FM_MFT1_OCU_OCSA10                        *((volatile  uint8_t*)(0x40021018UL))
#define FM3_MFT1_OCU_OCSA10                       *((volatile  uint8_t*)(0x40021018UL))
#define FM_MFT1_OCU_OCSB10                        *((volatile  uint8_t*)(0x40021019UL))
#define FM3_MFT1_OCU_OCSB10                       *((volatile  uint8_t*)(0x40021019UL))
#define FM_MFT1_OCU_OCSA32                        *((volatile  uint8_t*)(0x4002101CUL))
#define FM3_MFT1_OCU_OCSA32                       *((volatile  uint8_t*)(0x4002101CUL))
#define FM_MFT1_OCU_OCSB32                        *((volatile  uint8_t*)(0x4002101DUL))
#define FM3_MFT1_OCU_OCSB32                       *((volatile  uint8_t*)(0x4002101DUL))
#define FM_MFT1_OCU_OCSA54                        *((volatile  uint8_t*)(0x40021020UL))
#define FM3_MFT1_OCU_OCSA54                       *((volatile  uint8_t*)(0x40021020UL))
#define FM_MFT1_OCU_OCSB54                        *((volatile  uint8_t*)(0x40021021UL))
#define FM3_MFT1_OCU_OCSB54                       *((volatile  uint8_t*)(0x40021021UL))
#define FM_MFT1_OCU_OCSC                          *((volatile  uint8_t*)(0x40021025UL))
#define FM3_MFT1_OCU_OCSC                         *((volatile  uint8_t*)(0x40021025UL))
#define FM_MFT1_FRT_TCCP0                         *((volatile uint16_t*)(0x40021028UL))
#define FM3_MFT1_FRT_TCCP0                        *((volatile uint16_t*)(0x40021028UL))
#define FM_MFT1_FRT_TCDT0                         *((volatile uint16_t*)(0x4002102CUL))
#define FM3_MFT1_FRT_TCDT0                        *((volatile uint16_t*)(0x4002102CUL))
#define FM_MFT1_FRT_TCSA0                         *((volatile uint16_t*)(0x40021030UL))
#define FM3_MFT1_FRT_TCSA0                        *((volatile uint16_t*)(0x40021030UL))
#define FM_MFT1_FRT_TCSB0                         *((volatile uint16_t*)(0x40021034UL))
#define FM3_MFT1_FRT_TCSB0                        *((volatile uint16_t*)(0x40021034UL))
#define FM_MFT1_FRT_TCCP1                         *((volatile uint16_t*)(0x40021038UL))
#define FM3_MFT1_FRT_TCCP1                        *((volatile uint16_t*)(0x40021038UL))
#define FM_MFT1_FRT_TCDT1                         *((volatile uint16_t*)(0x4002103CUL))
#define FM3_MFT1_FRT_TCDT1                        *((volatile uint16_t*)(0x4002103CUL))
#define FM_MFT1_FRT_TCSA1                         *((volatile uint16_t*)(0x40021040UL))
#define FM3_MFT1_FRT_TCSA1                        *((volatile uint16_t*)(0x40021040UL))
#define FM_MFT1_FRT_TCSB1                         *((volatile uint16_t*)(0x40021044UL))
#define FM3_MFT1_FRT_TCSB1                        *((volatile uint16_t*)(0x40021044UL))
#define FM_MFT1_FRT_TCCP2                         *((volatile uint16_t*)(0x40021048UL))
#define FM3_MFT1_FRT_TCCP2                        *((volatile uint16_t*)(0x40021048UL))
#define FM_MFT1_FRT_TCDT2                         *((volatile uint16_t*)(0x4002104CUL))
#define FM3_MFT1_FRT_TCDT2                        *((volatile uint16_t*)(0x4002104CUL))
#define FM_MFT1_FRT_TCSA2                         *((volatile uint16_t*)(0x40021050UL))
#define FM3_MFT1_FRT_TCSA2                        *((volatile uint16_t*)(0x40021050UL))
#define FM_MFT1_FRT_TCSB2                         *((volatile uint16_t*)(0x40021054UL))
#define FM3_MFT1_FRT_TCSB2                        *((volatile uint16_t*)(0x40021054UL))
#define FM_MFT1_OCU_OCFS10                        *((volatile  uint8_t*)(0x40021058UL))
#define FM3_MFT1_OCU_OCFS10                       *((volatile  uint8_t*)(0x40021058UL))
#define FM_MFT1_OCU_OCFS32                        *((volatile  uint8_t*)(0x40021059UL))
#define FM3_MFT1_OCU_OCFS32                       *((volatile  uint8_t*)(0x40021059UL))
#define FM_MFT1_OCU_OCFS54                        *((volatile  uint8_t*)(0x4002105CUL))
#define FM3_MFT1_OCU_OCFS54                       *((volatile  uint8_t*)(0x4002105CUL))
#define FM_MFT1_ICU_ICFS10                        *((volatile  uint8_t*)(0x40021060UL))
#define FM3_MFT1_ICU_ICFS10                       *((volatile  uint8_t*)(0x40021060UL))
#define FM_MFT1_ICU_ICFS32                        *((volatile  uint8_t*)(0x40021061UL))
#define FM3_MFT1_ICU_ICFS32                       *((volatile  uint8_t*)(0x40021061UL))
#define FM_MFT1_ICU_ICCP0                         *((volatile uint16_t*)(0x40021068UL))
#define FM3_MFT1_ICU_ICCP0                        *((volatile uint16_t*)(0x40021068UL))
#define FM_MFT1_ICU_ICCP1                         *((volatile uint16_t*)(0x4002106CUL))
#define FM3_MFT1_ICU_ICCP1                        *((volatile uint16_t*)(0x4002106CUL))
#define FM_MFT1_ICU_ICCP2                         *((volatile uint16_t*)(0x40021070UL))
#define FM3_MFT1_ICU_ICCP2                        *((volatile uint16_t*)(0x40021070UL))
#define FM_MFT1_ICU_ICCP3                         *((volatile uint16_t*)(0x40021074UL))
#define FM3_MFT1_ICU_ICCP3                        *((volatile uint16_t*)(0x40021074UL))
#define FM_MFT1_ICU_ICSA10                        *((volatile  uint8_t*)(0x40021078UL))
#define FM3_MFT1_ICU_ICSA10                       *((volatile  uint8_t*)(0x40021078UL))
#define FM_MFT1_ICU_ICSB10                        *((volatile  uint8_t*)(0x40021079UL))
#define FM3_MFT1_ICU_ICSB10                       *((volatile  uint8_t*)(0x40021079UL))
#define FM_MFT1_ICU_ICSA32                        *((volatile  uint8_t*)(0x4002107CUL))
#define FM3_MFT1_ICU_ICSA32                       *((volatile  uint8_t*)(0x4002107CUL))
#define FM_MFT1_ICU_ICSB32                        *((volatile  uint8_t*)(0x4002107DUL))
#define FM3_MFT1_ICU_ICSB32                       *((volatile  uint8_t*)(0x4002107DUL))
#define FM_MFT1_WFG_WFTM10                        *((volatile uint16_t*)(0x40021080UL))
#define FM3_MFT1_WFG_WFTM10                       *((volatile uint16_t*)(0x40021080UL))
#define FM_MFT1_WFG_WFTM32                        *((volatile uint16_t*)(0x40021084UL))
#define FM3_MFT1_WFG_WFTM32                       *((volatile uint16_t*)(0x40021084UL))
#define FM_MFT1_WFG_WFTM54                        *((volatile uint16_t*)(0x40021088UL))
#define FM3_MFT1_WFG_WFTM54                       *((volatile uint16_t*)(0x40021088UL))
#define FM_MFT1_WFG_WFSA10                        *((volatile uint16_t*)(0x4002108CUL))
#define FM3_MFT1_WFG_WFSA10                       *((volatile uint16_t*)(0x4002108CUL))
#define FM_MFT1_WFG_WFSA32                        *((volatile uint16_t*)(0x40021090UL))
#define FM3_MFT1_WFG_WFSA32                       *((volatile uint16_t*)(0x40021090UL))
#define FM_MFT1_WFG_WFSA54                        *((volatile uint16_t*)(0x40021094UL))
#define FM3_MFT1_WFG_WFSA54                       *((volatile uint16_t*)(0x40021094UL))
#define FM_MFT1_WFG_WFIR                          *((volatile uint16_t*)(0x40021098UL))
#define FM3_MFT1_WFG_WFIR                         *((volatile uint16_t*)(0x40021098UL))
#define FM_MFT1_WFG_NZCL                          *((volatile uint16_t*)(0x4002109CUL))
#define FM3_MFT1_WFG_NZCL                         *((volatile uint16_t*)(0x4002109CUL))
#define FM_MFT1_ADCMP_ACCP0                       *((volatile uint16_t*)(0x400210A0UL))
#define FM3_MFT1_ADCMP_ACCP0                      *((volatile uint16_t*)(0x400210A0UL))
#define FM_MFT1_ADCMP_ACCPDN0                     *((volatile uint16_t*)(0x400210A4UL))
#define FM3_MFT1_ADCMP_ACCPDN0                    *((volatile uint16_t*)(0x400210A4UL))
#define FM_MFT1_ADCMP_ACCP1                       *((volatile uint16_t*)(0x400210A8UL))
#define FM3_MFT1_ADCMP_ACCP1                      *((volatile uint16_t*)(0x400210A8UL))
#define FM_MFT1_ADCMP_ACCPDN1                     *((volatile uint16_t*)(0x400210ACUL))
#define FM3_MFT1_ADCMP_ACCPDN1                    *((volatile uint16_t*)(0x400210ACUL))
#define FM_MFT1_ADCMP_ACCP2                       *((volatile uint16_t*)(0x400210B0UL))
#define FM3_MFT1_ADCMP_ACCP2                      *((volatile uint16_t*)(0x400210B0UL))
#define FM_MFT1_ADCMP_ACCPDN2                     *((volatile uint16_t*)(0x400210B4UL))
#define FM3_MFT1_ADCMP_ACCPDN2                    *((volatile uint16_t*)(0x400210B4UL))
#define FM_MFT1_ADCMP_ACSB                        *((volatile  uint8_t*)(0x400210B8UL))
#define FM3_MFT1_ADCMP_ACSB                       *((volatile  uint8_t*)(0x400210B8UL))
#define FM_MFT1_ADCMP_ACSA                        *((volatile uint16_t*)(0x400210BCUL))
#define FM3_MFT1_ADCMP_ACSA                       *((volatile uint16_t*)(0x400210BCUL))
#define FM_MFT1_ADCMP_ATSA                        *((volatile uint16_t*)(0x400210C0UL))
#define FM3_MFT1_ADCMP_ATSA                       *((volatile uint16_t*)(0x400210C0UL))

/******************************************************************************
 ** QPRC Registers QPRC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_QPRC0_QPCR                             *((volatile uint16_t*)(0x40026000UL))
#define FM3_QPRC0_QPCR                            *((volatile uint16_t*)(0x40026000UL))
#define FM_QPRC0_QRCR                             *((volatile uint16_t*)(0x40026004UL))
#define FM3_QPRC0_QRCR                            *((volatile uint16_t*)(0x40026004UL))
#define FM_QPRC0_QPCCR                            *((volatile uint16_t*)(0x40026008UL))
#define FM3_QPRC0_QPCCR                           *((volatile uint16_t*)(0x40026008UL))
#define FM_QPRC0_QPRCR                            *((volatile uint16_t*)(0x4002600CUL))
#define FM3_QPRC0_QPRCR                           *((volatile uint16_t*)(0x4002600CUL))
#define FM_QPRC0_QMPR                             *((volatile uint16_t*)(0x40026010UL))
#define FM3_QPRC0_QMPR                            *((volatile uint16_t*)(0x40026010UL))
#define FM_QPRC0_QICRL                            *((volatile  uint8_t*)(0x40026014UL))
#define FM3_QPRC0_QICRL                           *((volatile  uint8_t*)(0x40026014UL))
#define FM_QPRC0_QICRH                            *((volatile  uint8_t*)(0x40026015UL))
#define FM3_QPRC0_QICRH                           *((volatile  uint8_t*)(0x40026015UL))
#define FM_QPRC0_QCR                              *((volatile uint16_t*)(0x40026018UL))
#define FM3_QPRC0_QCR                             *((volatile uint16_t*)(0x40026018UL))
#define FM_QPRC0_QECR                             *((volatile uint16_t*)(0x4002601CUL))
#define FM3_QPRC0_QECR                            *((volatile uint16_t*)(0x4002601CUL))

/******************************************************************************
 ** QPRC Registers QPRC1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_QPRC1_QPCR                             *((volatile uint16_t*)(0x40026040UL))
#define FM3_QPRC1_QPCR                            *((volatile uint16_t*)(0x40026040UL))
#define FM_QPRC1_QRCR                             *((volatile uint16_t*)(0x40026044UL))
#define FM3_QPRC1_QRCR                            *((volatile uint16_t*)(0x40026044UL))
#define FM_QPRC1_QPCCR                            *((volatile uint16_t*)(0x40026048UL))
#define FM3_QPRC1_QPCCR                           *((volatile uint16_t*)(0x40026048UL))
#define FM_QPRC1_QPRCR                            *((volatile uint16_t*)(0x4002604CUL))
#define FM3_QPRC1_QPRCR                           *((volatile uint16_t*)(0x4002604CUL))
#define FM_QPRC1_QMPR                             *((volatile uint16_t*)(0x40026050UL))
#define FM3_QPRC1_QMPR                            *((volatile uint16_t*)(0x40026050UL))
#define FM_QPRC1_QICRL                            *((volatile  uint8_t*)(0x40026054UL))
#define FM3_QPRC1_QICRL                           *((volatile  uint8_t*)(0x40026054UL))
#define FM_QPRC1_QICRH                            *((volatile  uint8_t*)(0x40026055UL))
#define FM3_QPRC1_QICRH                           *((volatile  uint8_t*)(0x40026055UL))
#define FM_QPRC1_QCR                              *((volatile uint16_t*)(0x40026058UL))
#define FM3_QPRC1_QCR                             *((volatile uint16_t*)(0x40026058UL))
#define FM_QPRC1_QECR                             *((volatile uint16_t*)(0x4002605CUL))
#define FM3_QPRC1_QECR                            *((volatile uint16_t*)(0x4002605CUL))

/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SBSSR_BTSSSR                           *((volatile uint16_t*)(0x40025FFCUL))
#define FM3_SBSSR_BTSSSR                          *((volatile uint16_t*)(0x40025FFCUL))

/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SWWDT_WDOGLOAD                         *((volatile uint32_t*)(0x40012000UL))
#define FM3_SWWDT_WDOGLOAD                        *((volatile uint32_t*)(0x40012000UL))
#define FM_SWWDT_WDOGVALUE                        *((volatile uint32_t*)(0x40012004UL))
#define FM3_SWWDT_WDOGVALUE                       *((volatile uint32_t*)(0x40012004UL))
#define FM_SWWDT_WDOGCONTROL                      *((volatile uint32_t*)(0x40012008UL))
#define FM3_SWWDT_WDOGCONTROL                     *((volatile uint32_t*)(0x40012008UL))
#define FM_SWWDT_WDOGINTCLR                       *((volatile uint32_t*)(0x4001200CUL))
#define FM3_SWWDT_WDOGINTCLR                      *((volatile uint32_t*)(0x4001200CUL))
#define FM_SWWDT_WDOGRIS                          *((volatile uint32_t*)(0x40012010UL))
#define FM3_SWWDT_WDOGRIS                         *((volatile uint32_t*)(0x40012010UL))
#define FM_SWWDT_WDOGLOCK                         *((volatile uint32_t*)(0x40012C00UL))
#define FM3_SWWDT_WDOGLOCK                        *((volatile uint32_t*)(0x40012C00UL))

/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_UNIQUE_ID_UIDR0                        *((volatile uint32_t*)(0x40000200UL))
#define FM3_UNIQUE_ID_UIDR0                       *((volatile uint32_t*)(0x40000200UL))
#define FM_UNIQUE_ID_UIDR1                        *((volatile uint32_t*)(0x40000204UL))
#define FM3_UNIQUE_ID_UIDR1                       *((volatile uint32_t*)(0x40000204UL))

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_WC_WCRD                                *((volatile  uint8_t*)(0x4003A000UL))
#define FM3_WC_WCRD                               *((volatile  uint8_t*)(0x4003A000UL))
#define FM_WC_WCRL                                *((volatile  uint8_t*)(0x4003A001UL))
#define FM3_WC_WCRL                               *((volatile  uint8_t*)(0x4003A001UL))
#define FM_WC_WCCR                                *((volatile  uint8_t*)(0x4003A002UL))
#define FM3_WC_WCCR                               *((volatile  uint8_t*)(0x4003A002UL))
#define FM_WC_CLK_SEL                             *((volatile uint16_t*)(0x4003A010UL))
#define FM3_WC_CLK_SEL                            *((volatile uint16_t*)(0x4003A010UL))
#define FM_WC_CLK_EN                              *((volatile  uint8_t*)(0x4003A014UL))
#define FM3_WC_CLK_EN                             *((volatile  uint8_t*)(0x4003A014UL))

/******************************************************************************
 ** Available Registers
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC0
 ** 
 ******************************************************************************/
#define FM3_ADC_ADCEN_AVAILABLE                   1
#define FM_ADC_ADCEN_AVAILABLE                    1
#define FM3_ADC_ADCR_AVAILABLE                    1
#define FM_ADC_ADCR_AVAILABLE                     1
#define FM3_ADC_ADCT_AVAILABLE                    1
#define FM_ADC_ADCT_AVAILABLE                     1
#define FM3_ADC_ADSR_AVAILABLE                    1
#define FM_ADC_ADSR_AVAILABLE                     1
#define FM3_ADC_ADSS01_AVAILABLE                  1
#define FM_ADC_ADSS01_AVAILABLE                   1
#define FM3_ADC_ADSS23_AVAILABLE                  1
#define FM_ADC_ADSS23_AVAILABLE                   1
#define FM3_ADC_ADST01_AVAILABLE                  1
#define FM_ADC_ADST01_AVAILABLE                   1
#define FM3_ADC_CMPCR_AVAILABLE                   1
#define FM_ADC_CMPCR_AVAILABLE                    1
#define FM3_ADC_CMPD_AVAILABLE                    1
#define FM_ADC_CMPD_AVAILABLE                     1
#define FM3_ADC_PCCR_AVAILABLE                    1
#define FM_ADC_PCCR_AVAILABLE                     1
#define FM3_ADC_PCFD_AVAILABLE                    1
#define FM_ADC_PCFD_AVAILABLE                     1
#define FM3_ADC_PCFD_FDAS1_AVAILABLE              1
#define FM_ADC_PCFD_FDAS1_AVAILABLE               1
#define FM3_ADC_PCIS_AVAILABLE                    1
#define FM_ADC_PCIS_AVAILABLE                     1
#define FM3_ADC_PFNS_AVAILABLE                    1
#define FM_ADC_PFNS_AVAILABLE                     1
#define FM3_ADC_PRTSL_AVAILABLE                   1
#define FM_ADC_PRTSL_AVAILABLE                    1
#define FM3_ADC_SCCR_AVAILABLE                    1
#define FM_ADC_SCCR_AVAILABLE                     1
#define FM3_ADC_SCFD_AVAILABLE                    1
#define FM_ADC_SCFD_AVAILABLE                     1
#define FM3_ADC_SCFD_FDAS1_AVAILABLE              1
#define FM_ADC_SCFD_FDAS1_AVAILABLE               1
#define FM3_ADC_SCIS01_AVAILABLE                  1
#define FM_ADC_SCIS01_AVAILABLE                   1
#define FM3_ADC_SCIS23_AVAILABLE                  1
#define FM_ADC_SCIS23_AVAILABLE                   1
#define FM3_ADC_SCTSL_AVAILABLE                   1
#define FM_ADC_SCTSL_AVAILABLE                    1
#define FM3_ADC_SFNS_AVAILABLE                    1
#define FM_ADC_SFNS_AVAILABLE                     1
/******************************************************************************
 ** BT0
 ** 
 ******************************************************************************/
#define FM3_BT_PPG_PRLH_AVAILABLE                 1
#define FM_BT_PPG_PRLH_AVAILABLE                  1
#define FM3_BT_PPG_PRLL_AVAILABLE                 1
#define FM_BT_PPG_PRLL_AVAILABLE                  1
#define FM3_BT_PPG_STC_AVAILABLE                  1
#define FM_BT_PPG_STC_AVAILABLE                   1
#define FM3_BT_PPG_TMCR_AVAILABLE                 1
#define FM_BT_PPG_TMCR_AVAILABLE                  1
#define FM3_BT_PPG_TMCR2_AVAILABLE                1
#define FM_BT_PPG_TMCR2_AVAILABLE                 1
#define FM3_BT_PPG_TMR_AVAILABLE                  1
#define FM_BT_PPG_TMR_AVAILABLE                   1
#define FM3_BT_PWC_DTBF_AVAILABLE                 1
#define FM_BT_PWC_DTBF_AVAILABLE                  1
#define FM3_BT_PWC_STC_AVAILABLE                  1
#define FM_BT_PWC_STC_AVAILABLE                   1
#define FM3_BT_PWC_TMCR_AVAILABLE                 1
#define FM_BT_PWC_TMCR_AVAILABLE                  1
#define FM3_BT_PWC_TMCR2_AVAILABLE                1
#define FM_BT_PWC_TMCR2_AVAILABLE                 1
#define FM3_BT_PWM_PCSR_AVAILABLE                 1
#define FM_BT_PWM_PCSR_AVAILABLE                  1
#define FM3_BT_PWM_PDUT_AVAILABLE                 1
#define FM_BT_PWM_PDUT_AVAILABLE                  1
#define FM3_BT_PWM_STC_AVAILABLE                  1
#define FM_BT_PWM_STC_AVAILABLE                   1
#define FM3_BT_PWM_TMCR_AVAILABLE                 1
#define FM_BT_PWM_TMCR_AVAILABLE                  1
#define FM3_BT_PWM_TMCR2_AVAILABLE                1
#define FM_BT_PWM_TMCR2_AVAILABLE                 1
#define FM3_BT_PWM_TMR_AVAILABLE                  1
#define FM_BT_PWM_TMR_AVAILABLE                   1
#define FM3_BT_RT_PCSR_AVAILABLE                  1
#define FM_BT_RT_PCSR_AVAILABLE                   1
#define FM3_BT_RT_STC_AVAILABLE                   1
#define FM_BT_RT_STC_AVAILABLE                    1
#define FM3_BT_RT_TMCR_AVAILABLE                  1
#define FM_BT_RT_TMCR_AVAILABLE                   1
#define FM3_BT_RT_TMCR2_AVAILABLE                 1
#define FM_BT_RT_TMCR2_AVAILABLE                  1
#define FM3_BT_RT_TMR_AVAILABLE                   1
#define FM_BT_RT_TMR_AVAILABLE                    1
/******************************************************************************
 ** BTIOSEL03
 ** 
 ******************************************************************************/
#define FM3_BTIOSEL03_BTSEL0123_AVAILABLE         1
#define FM_BTIOSEL03_BTSEL0123_AVAILABLE          1
/******************************************************************************
 ** BTIOSEL47
 ** 
 ******************************************************************************/
#define FM3_BTIOSEL47_BTSEL4567_AVAILABLE         1
#define FM_BTIOSEL47_BTSEL4567_AVAILABLE          1
/******************************************************************************
 ** CRC
 ** 
 ******************************************************************************/
#define FM3_CRC_CRCCR_AVAILABLE                   1
#define FM_CRC_CRCCR_AVAILABLE                    1
#define FM3_CRC_CRCIN_AVAILABLE                   1
#define FM_CRC_CRCIN_AVAILABLE                    1
#define FM3_CRC_CRCINIT_AVAILABLE                 1
#define FM_CRC_CRCINIT_AVAILABLE                  1
#define FM3_CRC_CRCR_AVAILABLE                    1
#define FM_CRC_CRCR_AVAILABLE                     1
/******************************************************************************
 ** CRG
 ** 
 ******************************************************************************/
#define FM3_CRG_APBC0_PSR_AVAILABLE               1
#define FM_CRG_APBC0_PSR_AVAILABLE                1
#define FM3_CRG_APBC1_PSR_AVAILABLE               1
#define FM_CRG_APBC1_PSR_AVAILABLE                1
#define FM3_CRG_APBC2_PSR_AVAILABLE               1
#define FM_CRG_APBC2_PSR_AVAILABLE                1
#define FM3_CRG_BSC_PSR_AVAILABLE                 1
#define FM_CRG_BSC_PSR_AVAILABLE                  1
#define FM3_CRG_CSV_CTL_AVAILABLE                 1
#define FM_CRG_CSV_CTL_AVAILABLE                  1
#define FM3_CRG_CSV_STR_AVAILABLE                 1
#define FM_CRG_CSV_STR_AVAILABLE                  1
#define FM3_CRG_CSW_TMR_AVAILABLE                 1
#define FM_CRG_CSW_TMR_AVAILABLE                  1
#define FM3_CRG_DBWDT_CTL_AVAILABLE               1
#define FM_CRG_DBWDT_CTL_AVAILABLE                1
#define FM3_CRG_FCSWD_CTL_AVAILABLE               1
#define FM_CRG_FCSWD_CTL_AVAILABLE                1
#define FM3_CRG_FCSWH_CTL_AVAILABLE               1
#define FM_CRG_FCSWH_CTL_AVAILABLE                1
#define FM3_CRG_FCSWL_CTL_AVAILABLE               1
#define FM_CRG_FCSWL_CTL_AVAILABLE                1
#define FM3_CRG_INT_CLR_AVAILABLE                 1
#define FM_CRG_INT_CLR_AVAILABLE                  1
#define FM3_CRG_INT_ENR_AVAILABLE                 1
#define FM_CRG_INT_ENR_AVAILABLE                  1
#define FM3_CRG_INT_STR_AVAILABLE                 1
#define FM_CRG_INT_STR_AVAILABLE                  1
#define FM3_CRG_PLL_CTL1_AVAILABLE                1
#define FM_CRG_PLL_CTL1_AVAILABLE                 1
#define FM3_CRG_PLL_CTL2_AVAILABLE                1
#define FM_CRG_PLL_CTL2_AVAILABLE                 1
#define FM3_CRG_PSW_TMR_AVAILABLE                 1
#define FM_CRG_PSW_TMR_AVAILABLE                  1
#define FM3_CRG_RST_STR_AVAILABLE                 1
#define FM_CRG_RST_STR_AVAILABLE                  1
#define FM3_CRG_SCM_CTL_AVAILABLE                 1
#define FM_CRG_SCM_CTL_AVAILABLE                  1
#define FM3_CRG_SCM_STR_AVAILABLE                 1
#define FM_CRG_SCM_STR_AVAILABLE                  1
#define FM3_CRG_STB_CTL_AVAILABLE                 1
#define FM_CRG_STB_CTL_AVAILABLE                  1
#define FM3_CRG_SWC_PSR_AVAILABLE                 1
#define FM_CRG_SWC_PSR_AVAILABLE                  1
#define FM3_CRG_TTC_PSR_AVAILABLE                 1
#define FM_CRG_TTC_PSR_AVAILABLE                  1
/******************************************************************************
 ** CRTRIM
 ** 
 ******************************************************************************/
#define FM3_CRTRIM_MCR_FTRM_AVAILABLE             1
#define FM_CRTRIM_MCR_FTRM_AVAILABLE              1
#define FM3_CRTRIM_MCR_PSR_AVAILABLE              1
#define FM_CRTRIM_MCR_PSR_AVAILABLE               1
#define FM3_CRTRIM_MCR_RLR_AVAILABLE              1
#define FM_CRTRIM_MCR_RLR_AVAILABLE               1
/******************************************************************************
 ** DMAC
 ** 
 ******************************************************************************/
#define FM3_DMAC_DMACA0_AVAILABLE                 1
#define FM_DMAC_DMACA0_AVAILABLE                  1
#define FM3_DMAC_DMACA1_AVAILABLE                 1
#define FM_DMAC_DMACA1_AVAILABLE                  1
#define FM3_DMAC_DMACA2_AVAILABLE                 1
#define FM_DMAC_DMACA2_AVAILABLE                  1
#define FM3_DMAC_DMACA3_AVAILABLE                 1
#define FM_DMAC_DMACA3_AVAILABLE                  1
#define FM3_DMAC_DMACA4_AVAILABLE                 1
#define FM_DMAC_DMACA4_AVAILABLE                  1
#define FM3_DMAC_DMACA5_AVAILABLE                 1
#define FM_DMAC_DMACA5_AVAILABLE                  1
#define FM3_DMAC_DMACA6_AVAILABLE                 1
#define FM_DMAC_DMACA6_AVAILABLE                  1
#define FM3_DMAC_DMACA7_AVAILABLE                 1
#define FM_DMAC_DMACA7_AVAILABLE                  1
#define FM3_DMAC_DMACB0_AVAILABLE                 1
#define FM_DMAC_DMACB0_AVAILABLE                  1
#define FM3_DMAC_DMACB1_AVAILABLE                 1
#define FM_DMAC_DMACB1_AVAILABLE                  1
#define FM3_DMAC_DMACB2_AVAILABLE                 1
#define FM_DMAC_DMACB2_AVAILABLE                  1
#define FM3_DMAC_DMACB3_AVAILABLE                 1
#define FM_DMAC_DMACB3_AVAILABLE                  1
#define FM3_DMAC_DMACB4_AVAILABLE                 1
#define FM_DMAC_DMACB4_AVAILABLE                  1
#define FM3_DMAC_DMACB5_AVAILABLE                 1
#define FM_DMAC_DMACB5_AVAILABLE                  1
#define FM3_DMAC_DMACB6_AVAILABLE                 1
#define FM_DMAC_DMACB6_AVAILABLE                  1
#define FM3_DMAC_DMACB7_AVAILABLE                 1
#define FM_DMAC_DMACB7_AVAILABLE                  1
#define FM3_DMAC_DMACDA0_AVAILABLE                1
#define FM_DMAC_DMACDA0_AVAILABLE                 1
#define FM3_DMAC_DMACDA1_AVAILABLE                1
#define FM_DMAC_DMACDA1_AVAILABLE                 1
#define FM3_DMAC_DMACDA2_AVAILABLE                1
#define FM_DMAC_DMACDA2_AVAILABLE                 1
#define FM3_DMAC_DMACDA3_AVAILABLE                1
#define FM_DMAC_DMACDA3_AVAILABLE                 1
#define FM3_DMAC_DMACDA4_AVAILABLE                1
#define FM_DMAC_DMACDA4_AVAILABLE                 1
#define FM3_DMAC_DMACDA5_AVAILABLE                1
#define FM_DMAC_DMACDA5_AVAILABLE                 1
#define FM3_DMAC_DMACDA6_AVAILABLE                1
#define FM_DMAC_DMACDA6_AVAILABLE                 1
#define FM3_DMAC_DMACDA7_AVAILABLE                1
#define FM_DMAC_DMACDA7_AVAILABLE                 1
#define FM3_DMAC_DMACR_AVAILABLE                  1
#define FM_DMAC_DMACR_AVAILABLE                   1
#define FM3_DMAC_DMACSA0_AVAILABLE                1
#define FM_DMAC_DMACSA0_AVAILABLE                 1
#define FM3_DMAC_DMACSA1_AVAILABLE                1
#define FM_DMAC_DMACSA1_AVAILABLE                 1
#define FM3_DMAC_DMACSA2_AVAILABLE                1
#define FM_DMAC_DMACSA2_AVAILABLE                 1
#define FM3_DMAC_DMACSA3_AVAILABLE                1
#define FM_DMAC_DMACSA3_AVAILABLE                 1
#define FM3_DMAC_DMACSA4_AVAILABLE                1
#define FM_DMAC_DMACSA4_AVAILABLE                 1
#define FM3_DMAC_DMACSA5_AVAILABLE                1
#define FM_DMAC_DMACSA5_AVAILABLE                 1
#define FM3_DMAC_DMACSA6_AVAILABLE                1
#define FM_DMAC_DMACSA6_AVAILABLE                 1
#define FM3_DMAC_DMACSA7_AVAILABLE                1
#define FM_DMAC_DMACSA7_AVAILABLE                 1
/******************************************************************************
 ** DT
 ** 
 ******************************************************************************/
#define FM3_DT_TIMER1BGLOAD_AVAILABLE             1
#define FM_DT_TIMER1BGLOAD_AVAILABLE              1
#define FM3_DT_TIMER1CONTROL_AVAILABLE            1
#define FM_DT_TIMER1CONTROL_AVAILABLE             1
#define FM3_DT_TIMER1INTCLR_AVAILABLE             1
#define FM_DT_TIMER1INTCLR_AVAILABLE              1
#define FM3_DT_TIMER1LOAD_AVAILABLE               1
#define FM_DT_TIMER1LOAD_AVAILABLE                1
#define FM3_DT_TIMER1MIS_AVAILABLE                1
#define FM_DT_TIMER1MIS_AVAILABLE                 1
#define FM3_DT_TIMER1RIS_AVAILABLE                1
#define FM_DT_TIMER1RIS_AVAILABLE                 1
#define FM3_DT_TIMER1VALUE_AVAILABLE              1
#define FM_DT_TIMER1VALUE_AVAILABLE               1
#define FM3_DT_TIMER2BGLOAD_AVAILABLE             1
#define FM_DT_TIMER2BGLOAD_AVAILABLE              1
#define FM3_DT_TIMER2CONTROL_AVAILABLE            1
#define FM_DT_TIMER2CONTROL_AVAILABLE             1
#define FM3_DT_TIMER2INTCLR_AVAILABLE             1
#define FM_DT_TIMER2INTCLR_AVAILABLE              1
#define FM3_DT_TIMER2LOAD_AVAILABLE               1
#define FM_DT_TIMER2LOAD_AVAILABLE                1
#define FM3_DT_TIMER2MIS_AVAILABLE                1
#define FM_DT_TIMER2MIS_AVAILABLE                 1
#define FM3_DT_TIMER2RIS_AVAILABLE                1
#define FM_DT_TIMER2RIS_AVAILABLE                 1
#define FM3_DT_TIMER2VALUE_AVAILABLE              1
#define FM_DT_TIMER2VALUE_AVAILABLE               1
/******************************************************************************
 ** EXBUS
 ** 
 ******************************************************************************/
#define FM3_EXBUS_AREA0_AVAILABLE                 1
#define FM_EXBUS_AREA0_AVAILABLE                  1
#define FM3_EXBUS_AREA1_AVAILABLE                 1
#define FM_EXBUS_AREA1_AVAILABLE                  1
#define FM3_EXBUS_AREA2_AVAILABLE                 1
#define FM_EXBUS_AREA2_AVAILABLE                  1
#define FM3_EXBUS_AREA3_AVAILABLE                 1
#define FM_EXBUS_AREA3_AVAILABLE                  1
#define FM3_EXBUS_AREA4_AVAILABLE                 1
#define FM_EXBUS_AREA4_AVAILABLE                  1
#define FM3_EXBUS_AREA5_AVAILABLE                 1
#define FM_EXBUS_AREA5_AVAILABLE                  1
#define FM3_EXBUS_AREA6_AVAILABLE                 1
#define FM_EXBUS_AREA6_AVAILABLE                  1
#define FM3_EXBUS_AREA7_AVAILABLE                 1
#define FM_EXBUS_AREA7_AVAILABLE                  1
#define FM3_EXBUS_ATIM0_AVAILABLE                 1
#define FM_EXBUS_ATIM0_AVAILABLE                  1
#define FM3_EXBUS_ATIM1_AVAILABLE                 1
#define FM_EXBUS_ATIM1_AVAILABLE                  1
#define FM3_EXBUS_ATIM2_AVAILABLE                 1
#define FM_EXBUS_ATIM2_AVAILABLE                  1
#define FM3_EXBUS_ATIM3_AVAILABLE                 1
#define FM_EXBUS_ATIM3_AVAILABLE                  1
#define FM3_EXBUS_ATIM4_AVAILABLE                 1
#define FM_EXBUS_ATIM4_AVAILABLE                  1
#define FM3_EXBUS_ATIM5_AVAILABLE                 1
#define FM_EXBUS_ATIM5_AVAILABLE                  1
#define FM3_EXBUS_ATIM6_AVAILABLE                 1
#define FM_EXBUS_ATIM6_AVAILABLE                  1
#define FM3_EXBUS_ATIM7_AVAILABLE                 1
#define FM_EXBUS_ATIM7_AVAILABLE                  1
#define FM3_EXBUS_DCLKR_AVAILABLE                 1
#define FM_EXBUS_DCLKR_AVAILABLE                  1
#define FM3_EXBUS_MODE0_AVAILABLE                 1
#define FM_EXBUS_MODE0_AVAILABLE                  1
#define FM3_EXBUS_MODE1_AVAILABLE                 1
#define FM_EXBUS_MODE1_AVAILABLE                  1
#define FM3_EXBUS_MODE2_AVAILABLE                 1
#define FM_EXBUS_MODE2_AVAILABLE                  1
#define FM3_EXBUS_MODE3_AVAILABLE                 1
#define FM_EXBUS_MODE3_AVAILABLE                  1
#define FM3_EXBUS_MODE4_AVAILABLE                 1
#define FM_EXBUS_MODE4_AVAILABLE                  1
#define FM3_EXBUS_MODE5_AVAILABLE                 1
#define FM_EXBUS_MODE5_AVAILABLE                  1
#define FM3_EXBUS_MODE6_AVAILABLE                 1
#define FM_EXBUS_MODE6_AVAILABLE                  1
#define FM3_EXBUS_MODE7_AVAILABLE                 1
#define FM_EXBUS_MODE7_AVAILABLE                  1
#define FM3_EXBUS_TIM0_AVAILABLE                  1
#define FM_EXBUS_TIM0_AVAILABLE                   1
#define FM3_EXBUS_TIM1_AVAILABLE                  1
#define FM_EXBUS_TIM1_AVAILABLE                   1
#define FM3_EXBUS_TIM2_AVAILABLE                  1
#define FM_EXBUS_TIM2_AVAILABLE                   1
#define FM3_EXBUS_TIM3_AVAILABLE                  1
#define FM_EXBUS_TIM3_AVAILABLE                   1
#define FM3_EXBUS_TIM4_AVAILABLE                  1
#define FM_EXBUS_TIM4_AVAILABLE                   1
#define FM3_EXBUS_TIM5_AVAILABLE                  1
#define FM_EXBUS_TIM5_AVAILABLE                   1
#define FM3_EXBUS_TIM6_AVAILABLE                  1
#define FM_EXBUS_TIM6_AVAILABLE                   1
#define FM3_EXBUS_TIM7_AVAILABLE                  1
#define FM_EXBUS_TIM7_AVAILABLE                   1
/******************************************************************************
 ** EXTI
 ** 
 ******************************************************************************/
#define FM3_EXTI_EICL_AVAILABLE                   1
#define FM_EXTI_EICL_AVAILABLE                    1
#define FM3_EXTI_EIRR_AVAILABLE                   1
#define FM_EXTI_EIRR_AVAILABLE                    1
#define FM3_EXTI_ELVR_AVAILABLE                   1
#define FM_EXTI_ELVR_AVAILABLE                    1
#define FM3_EXTI_ELVR1_AVAILABLE                  1
#define FM_EXTI_ELVR1_AVAILABLE                   1
#define FM3_EXTI_ENIR_AVAILABLE                   1
#define FM_EXTI_ENIR_AVAILABLE                    1
#define FM3_EXTI_NMICL_AVAILABLE                  1
#define FM_EXTI_NMICL_AVAILABLE                   1
#define FM3_EXTI_NMIRR_AVAILABLE                  1
#define FM_EXTI_NMIRR_AVAILABLE                   1
/******************************************************************************
 ** FLASH_IF
 ** 
 ******************************************************************************/
#define FM3_FLASH_IF_CRTRMM_AVAILABLE             1
#define FM_FLASH_IF_CRTRMM_AVAILABLE              1
#define FM3_FLASH_IF_FASZR_AVAILABLE              1
#define FM_FLASH_IF_FASZR_AVAILABLE               1
#define FM3_FLASH_IF_FRWTR_AVAILABLE              1
#define FM_FLASH_IF_FRWTR_AVAILABLE               1
#define FM3_FLASH_IF_FSTR_AVAILABLE               1
#define FM_FLASH_IF_FSTR_AVAILABLE                1
#define FM3_FLASH_IF_FSYNDN_AVAILABLE             1
#define FM_FLASH_IF_FSYNDN_AVAILABLE              1
/******************************************************************************
 ** GPIO
 ** 
 ******************************************************************************/
#define FM3_GPIO_ADE_AVAILABLE                    1
#define FM_GPIO_ADE_AVAILABLE                     1
#define FM3_GPIO_DDR0_AVAILABLE                   1
#define FM_GPIO_DDR0_AVAILABLE                    1
#define FM3_GPIO_DDR1_AVAILABLE                   1
#define FM_GPIO_DDR1_AVAILABLE                    1
#define FM3_GPIO_DDR2_AVAILABLE                   1
#define FM_GPIO_DDR2_AVAILABLE                    1
#define FM3_GPIO_DDR3_AVAILABLE                   1
#define FM_GPIO_DDR3_AVAILABLE                    1
#define FM3_GPIO_DDR4_AVAILABLE                   1
#define FM_GPIO_DDR4_AVAILABLE                    1
#define FM3_GPIO_DDR5_AVAILABLE                   1
#define FM_GPIO_DDR5_AVAILABLE                    1
#define FM3_GPIO_DDR6_AVAILABLE                   1
#define FM_GPIO_DDR6_AVAILABLE                    1
#define FM3_GPIO_DDR7_AVAILABLE                   1
#define FM_GPIO_DDR7_AVAILABLE                    1
#define FM3_GPIO_DDR8_AVAILABLE                   1
#define FM_GPIO_DDR8_AVAILABLE                    1
#define FM3_GPIO_DDR9_AVAILABLE                   1
#define FM_GPIO_DDR9_AVAILABLE                    1
#define FM3_GPIO_DDRA_AVAILABLE                   1
#define FM_GPIO_DDRA_AVAILABLE                    1
#define FM3_GPIO_DDRB_AVAILABLE                   1
#define FM_GPIO_DDRB_AVAILABLE                    1
#define FM3_GPIO_DDRC_AVAILABLE                   1
#define FM_GPIO_DDRC_AVAILABLE                    1
#define FM3_GPIO_DDRD_AVAILABLE                   1
#define FM_GPIO_DDRD_AVAILABLE                    1
#define FM3_GPIO_DDRE_AVAILABLE                   1
#define FM_GPIO_DDRE_AVAILABLE                    1
#define FM3_GPIO_DDRF_AVAILABLE                   1
#define FM_GPIO_DDRF_AVAILABLE                    1
#define FM3_GPIO_EPFR00_AVAILABLE                 1
#define FM_GPIO_EPFR00_AVAILABLE                  1
#define FM3_GPIO_EPFR01_AVAILABLE                 1
#define FM_GPIO_EPFR01_AVAILABLE                  1
#define FM3_GPIO_EPFR02_AVAILABLE                 1
#define FM_GPIO_EPFR02_AVAILABLE                  1
#define FM3_GPIO_EPFR03_AVAILABLE                 1
#define FM_GPIO_EPFR03_AVAILABLE                  1
#define FM3_GPIO_EPFR04_AVAILABLE                 1
#define FM_GPIO_EPFR04_AVAILABLE                  1
#define FM3_GPIO_EPFR05_AVAILABLE                 1
#define FM_GPIO_EPFR05_AVAILABLE                  1
#define FM3_GPIO_EPFR06_AVAILABLE                 1
#define FM_GPIO_EPFR06_AVAILABLE                  1
#define FM3_GPIO_EPFR07_AVAILABLE                 1
#define FM_GPIO_EPFR07_AVAILABLE                  1
#define FM3_GPIO_EPFR08_AVAILABLE                 1
#define FM_GPIO_EPFR08_AVAILABLE                  1
#define FM3_GPIO_EPFR09_AVAILABLE                 1
#define FM_GPIO_EPFR09_AVAILABLE                  1
#define FM3_GPIO_EPFR10_AVAILABLE                 1
#define FM_GPIO_EPFR10_AVAILABLE                  1
#define FM3_GPIO_EPFR11_AVAILABLE                 1
#define FM_GPIO_EPFR11_AVAILABLE                  1
#define FM3_GPIO_EPFR12_AVAILABLE                 1
#define FM_GPIO_EPFR12_AVAILABLE                  1
#define FM3_GPIO_EPFR13_AVAILABLE                 1
#define FM_GPIO_EPFR13_AVAILABLE                  1
#define FM3_GPIO_EPFR14_AVAILABLE                 1
#define FM_GPIO_EPFR14_AVAILABLE                  1
#define FM3_GPIO_EPFR15_AVAILABLE                 1
#define FM_GPIO_EPFR15_AVAILABLE                  1
#define FM3_GPIO_EPFR16_AVAILABLE                 1
#define FM_GPIO_EPFR16_AVAILABLE                  1
#define FM3_GPIO_EPFR17_AVAILABLE                 1
#define FM_GPIO_EPFR17_AVAILABLE                  1
#define FM3_GPIO_EPFR18_AVAILABLE                 1
#define FM_GPIO_EPFR18_AVAILABLE                  1
#define FM3_GPIO_PCR0_AVAILABLE                   1
#define FM_GPIO_PCR0_AVAILABLE                    1
#define FM3_GPIO_PCR1_AVAILABLE                   1
#define FM_GPIO_PCR1_AVAILABLE                    1
#define FM3_GPIO_PCR2_AVAILABLE                   1
#define FM_GPIO_PCR2_AVAILABLE                    1
#define FM3_GPIO_PCR3_AVAILABLE                   1
#define FM_GPIO_PCR3_AVAILABLE                    1
#define FM3_GPIO_PCR4_AVAILABLE                   1
#define FM_GPIO_PCR4_AVAILABLE                    1
#define FM3_GPIO_PCR5_AVAILABLE                   1
#define FM_GPIO_PCR5_AVAILABLE                    1
#define FM3_GPIO_PCR6_AVAILABLE                   1
#define FM_GPIO_PCR6_AVAILABLE                    1
#define FM3_GPIO_PCR7_AVAILABLE                   1
#define FM_GPIO_PCR7_AVAILABLE                    1
#define FM3_GPIO_PCR9_AVAILABLE                   1
#define FM_GPIO_PCR9_AVAILABLE                    1
#define FM3_GPIO_PCRA_AVAILABLE                   1
#define FM_GPIO_PCRA_AVAILABLE                    1
#define FM3_GPIO_PCRB_AVAILABLE                   1
#define FM_GPIO_PCRB_AVAILABLE                    1
#define FM3_GPIO_PCRC_AVAILABLE                   1
#define FM_GPIO_PCRC_AVAILABLE                    1
#define FM3_GPIO_PCRD_AVAILABLE                   1
#define FM_GPIO_PCRD_AVAILABLE                    1
#define FM3_GPIO_PCRE_AVAILABLE                   1
#define FM_GPIO_PCRE_AVAILABLE                    1
#define FM3_GPIO_PCRF_AVAILABLE                   1
#define FM_GPIO_PCRF_AVAILABLE                    1
#define FM3_GPIO_PDIR0_AVAILABLE                  1
#define FM_GPIO_PDIR0_AVAILABLE                   1
#define FM3_GPIO_PDIR1_AVAILABLE                  1
#define FM_GPIO_PDIR1_AVAILABLE                   1
#define FM3_GPIO_PDIR2_AVAILABLE                  1
#define FM_GPIO_PDIR2_AVAILABLE                   1
#define FM3_GPIO_PDIR3_AVAILABLE                  1
#define FM_GPIO_PDIR3_AVAILABLE                   1
#define FM3_GPIO_PDIR4_AVAILABLE                  1
#define FM_GPIO_PDIR4_AVAILABLE                   1
#define FM3_GPIO_PDIR5_AVAILABLE                  1
#define FM_GPIO_PDIR5_AVAILABLE                   1
#define FM3_GPIO_PDIR6_AVAILABLE                  1
#define FM_GPIO_PDIR6_AVAILABLE                   1
#define FM3_GPIO_PDIR7_AVAILABLE                  1
#define FM_GPIO_PDIR7_AVAILABLE                   1
#define FM3_GPIO_PDIR8_AVAILABLE                  1
#define FM_GPIO_PDIR8_AVAILABLE                   1
#define FM3_GPIO_PDIR9_AVAILABLE                  1
#define FM_GPIO_PDIR9_AVAILABLE                   1
#define FM3_GPIO_PDIRA_AVAILABLE                  1
#define FM_GPIO_PDIRA_AVAILABLE                   1
#define FM3_GPIO_PDIRB_AVAILABLE                  1
#define FM_GPIO_PDIRB_AVAILABLE                   1
#define FM3_GPIO_PDIRC_AVAILABLE                  1
#define FM_GPIO_PDIRC_AVAILABLE                   1
#define FM3_GPIO_PDIRD_AVAILABLE                  1
#define FM_GPIO_PDIRD_AVAILABLE                   1
#define FM3_GPIO_PDIRE_AVAILABLE                  1
#define FM_GPIO_PDIRE_AVAILABLE                   1
#define FM3_GPIO_PDIRF_AVAILABLE                  1
#define FM_GPIO_PDIRF_AVAILABLE                   1
#define FM3_GPIO_PDOR0_AVAILABLE                  1
#define FM_GPIO_PDOR0_AVAILABLE                   1
#define FM3_GPIO_PDOR1_AVAILABLE                  1
#define FM_GPIO_PDOR1_AVAILABLE                   1
#define FM3_GPIO_PDOR2_AVAILABLE                  1
#define FM_GPIO_PDOR2_AVAILABLE                   1
#define FM3_GPIO_PDOR3_AVAILABLE                  1
#define FM_GPIO_PDOR3_AVAILABLE                   1
#define FM3_GPIO_PDOR4_AVAILABLE                  1
#define FM_GPIO_PDOR4_AVAILABLE                   1
#define FM3_GPIO_PDOR5_AVAILABLE                  1
#define FM_GPIO_PDOR5_AVAILABLE                   1
#define FM3_GPIO_PDOR6_AVAILABLE                  1
#define FM_GPIO_PDOR6_AVAILABLE                   1
#define FM3_GPIO_PDOR7_AVAILABLE                  1
#define FM_GPIO_PDOR7_AVAILABLE                   1
#define FM3_GPIO_PDOR8_AVAILABLE                  1
#define FM_GPIO_PDOR8_AVAILABLE                   1
#define FM3_GPIO_PDOR9_AVAILABLE                  1
#define FM_GPIO_PDOR9_AVAILABLE                   1
#define FM3_GPIO_PDORA_AVAILABLE                  1
#define FM_GPIO_PDORA_AVAILABLE                   1
#define FM3_GPIO_PDORB_AVAILABLE                  1
#define FM_GPIO_PDORB_AVAILABLE                   1
#define FM3_GPIO_PDORC_AVAILABLE                  1
#define FM_GPIO_PDORC_AVAILABLE                   1
#define FM3_GPIO_PDORD_AVAILABLE                  1
#define FM_GPIO_PDORD_AVAILABLE                   1
#define FM3_GPIO_PDORE_AVAILABLE                  1
#define FM_GPIO_PDORE_AVAILABLE                   1
#define FM3_GPIO_PDORF_AVAILABLE                  1
#define FM_GPIO_PDORF_AVAILABLE                   1
#define FM3_GPIO_PFR0_AVAILABLE                   1
#define FM_GPIO_PFR0_AVAILABLE                    1
#define FM3_GPIO_PFR1_AVAILABLE                   1
#define FM_GPIO_PFR1_AVAILABLE                    1
#define FM3_GPIO_PFR2_AVAILABLE                   1
#define FM_GPIO_PFR2_AVAILABLE                    1
#define FM3_GPIO_PFR3_AVAILABLE                   1
#define FM_GPIO_PFR3_AVAILABLE                    1
#define FM3_GPIO_PFR4_AVAILABLE                   1
#define FM_GPIO_PFR4_AVAILABLE                    1
#define FM3_GPIO_PFR5_AVAILABLE                   1
#define FM_GPIO_PFR5_AVAILABLE                    1
#define FM3_GPIO_PFR6_AVAILABLE                   1
#define FM_GPIO_PFR6_AVAILABLE                    1
#define FM3_GPIO_PFR7_AVAILABLE                   1
#define FM_GPIO_PFR7_AVAILABLE                    1
#define FM3_GPIO_PFR8_AVAILABLE                   1
#define FM_GPIO_PFR8_AVAILABLE                    1
#define FM3_GPIO_PFR9_AVAILABLE                   1
#define FM_GPIO_PFR9_AVAILABLE                    1
#define FM3_GPIO_PFRA_AVAILABLE                   1
#define FM_GPIO_PFRA_AVAILABLE                    1
#define FM3_GPIO_PFRB_AVAILABLE                   1
#define FM_GPIO_PFRB_AVAILABLE                    1
#define FM3_GPIO_PFRC_AVAILABLE                   1
#define FM_GPIO_PFRC_AVAILABLE                    1
#define FM3_GPIO_PFRD_AVAILABLE                   1
#define FM_GPIO_PFRD_AVAILABLE                    1
#define FM3_GPIO_PFRE_AVAILABLE                   1
#define FM_GPIO_PFRE_AVAILABLE                    1
#define FM3_GPIO_PFRF_AVAILABLE                   1
#define FM_GPIO_PFRF_AVAILABLE                    1
#define FM3_GPIO_PZR0_AVAILABLE                   1
#define FM_GPIO_PZR0_AVAILABLE                    1
#define FM3_GPIO_PZR1_AVAILABLE                   1
#define FM_GPIO_PZR1_AVAILABLE                    1
#define FM3_GPIO_PZR2_AVAILABLE                   1
#define FM_GPIO_PZR2_AVAILABLE                    1
#define FM3_GPIO_PZR3_AVAILABLE                   1
#define FM_GPIO_PZR3_AVAILABLE                    1
#define FM3_GPIO_PZR4_AVAILABLE                   1
#define FM_GPIO_PZR4_AVAILABLE                    1
#define FM3_GPIO_PZR5_AVAILABLE                   1
#define FM_GPIO_PZR5_AVAILABLE                    1
#define FM3_GPIO_PZR6_AVAILABLE                   1
#define FM_GPIO_PZR6_AVAILABLE                    1
#define FM3_GPIO_PZR7_AVAILABLE                   1
#define FM_GPIO_PZR7_AVAILABLE                    1
#define FM3_GPIO_PZR8_AVAILABLE                   1
#define FM_GPIO_PZR8_AVAILABLE                    1
#define FM3_GPIO_PZR9_AVAILABLE                   1
#define FM_GPIO_PZR9_AVAILABLE                    1
#define FM3_GPIO_PZRA_AVAILABLE                   1
#define FM_GPIO_PZRA_AVAILABLE                    1
#define FM3_GPIO_PZRB_AVAILABLE                   1
#define FM_GPIO_PZRB_AVAILABLE                    1
#define FM3_GPIO_PZRC_AVAILABLE                   1
#define FM_GPIO_PZRC_AVAILABLE                    1
#define FM3_GPIO_PZRD_AVAILABLE                   1
#define FM_GPIO_PZRD_AVAILABLE                    1
#define FM3_GPIO_PZRE_AVAILABLE                   1
#define FM_GPIO_PZRE_AVAILABLE                    1
#define FM3_GPIO_PZRF_AVAILABLE                   1
#define FM_GPIO_PZRF_AVAILABLE                    1
#define FM3_GPIO_SPSR_AVAILABLE                   1
#define FM_GPIO_SPSR_AVAILABLE                    1
/******************************************************************************
 ** HWWDT
 ** 
 ******************************************************************************/
#define FM3_HWWDT_WDG_CTL_AVAILABLE               1
#define FM_HWWDT_WDG_CTL_AVAILABLE                1
#define FM3_HWWDT_WDG_ICL_AVAILABLE               1
#define FM_HWWDT_WDG_ICL_AVAILABLE                1
#define FM3_HWWDT_WDG_LCK_AVAILABLE               1
#define FM_HWWDT_WDG_LCK_AVAILABLE                1
#define FM3_HWWDT_WDG_LDR_AVAILABLE               1
#define FM_HWWDT_WDG_LDR_AVAILABLE                1
#define FM3_HWWDT_WDG_RIS_AVAILABLE               1
#define FM_HWWDT_WDG_RIS_AVAILABLE                1
#define FM3_HWWDT_WDG_VLR_AVAILABLE               1
#define FM_HWWDT_WDG_VLR_AVAILABLE                1
/******************************************************************************
 ** INTREQ
 ** 
 ******************************************************************************/
#define FM3_INTREQ_DRQSEL_AVAILABLE               1
#define FM_INTREQ_DRQSEL_AVAILABLE                1
#define FM3_INTREQ_EXC02MON_AVAILABLE             1
#define FM_INTREQ_EXC02MON_AVAILABLE              1
#define FM3_INTREQ_IRQ00MON_AVAILABLE             1
#define FM_INTREQ_IRQ00MON_AVAILABLE              1
#define FM3_INTREQ_IRQ01MON_AVAILABLE             1
#define FM_INTREQ_IRQ01MON_AVAILABLE              1
#define FM3_INTREQ_IRQ02MON_AVAILABLE             1
#define FM_INTREQ_IRQ02MON_AVAILABLE              1
#define FM3_INTREQ_IRQ03MON_AVAILABLE             1
#define FM_INTREQ_IRQ03MON_AVAILABLE              1
#define FM3_INTREQ_IRQ04MON_AVAILABLE             1
#define FM_INTREQ_IRQ04MON_AVAILABLE              1
#define FM3_INTREQ_IRQ05MON_AVAILABLE             1
#define FM_INTREQ_IRQ05MON_AVAILABLE              1
#define FM3_INTREQ_IRQ06MON_AVAILABLE             1
#define FM_INTREQ_IRQ06MON_AVAILABLE              1
#define FM3_INTREQ_IRQ07MON_AVAILABLE             1
#define FM_INTREQ_IRQ07MON_AVAILABLE              1
#define FM3_INTREQ_IRQ08MON_AVAILABLE             1
#define FM_INTREQ_IRQ08MON_AVAILABLE              1
#define FM3_INTREQ_IRQ09MON_AVAILABLE             1
#define FM_INTREQ_IRQ09MON_AVAILABLE              1
#define FM3_INTREQ_IRQ10MON_AVAILABLE             1
#define FM_INTREQ_IRQ10MON_AVAILABLE              1
#define FM3_INTREQ_IRQ11MON_AVAILABLE             1
#define FM_INTREQ_IRQ11MON_AVAILABLE              1
#define FM3_INTREQ_IRQ12MON_AVAILABLE             1
#define FM_INTREQ_IRQ12MON_AVAILABLE              1
#define FM3_INTREQ_IRQ13MON_AVAILABLE             1
#define FM_INTREQ_IRQ13MON_AVAILABLE              1
#define FM3_INTREQ_IRQ14MON_AVAILABLE             1
#define FM_INTREQ_IRQ14MON_AVAILABLE              1
#define FM3_INTREQ_IRQ15MON_AVAILABLE             1
#define FM_INTREQ_IRQ15MON_AVAILABLE              1
#define FM3_INTREQ_IRQ16MON_AVAILABLE             1
#define FM_INTREQ_IRQ16MON_AVAILABLE              1
#define FM3_INTREQ_IRQ17MON_AVAILABLE             1
#define FM_INTREQ_IRQ17MON_AVAILABLE              1
#define FM3_INTREQ_IRQ18MON_AVAILABLE             1
#define FM_INTREQ_IRQ18MON_AVAILABLE              1
#define FM3_INTREQ_IRQ19MON_AVAILABLE             1
#define FM_INTREQ_IRQ19MON_AVAILABLE              1
#define FM3_INTREQ_IRQ20MON_AVAILABLE             1
#define FM_INTREQ_IRQ20MON_AVAILABLE              1
#define FM3_INTREQ_IRQ21MON_AVAILABLE             1
#define FM_INTREQ_IRQ21MON_AVAILABLE              1
#define FM3_INTREQ_IRQ22MON_AVAILABLE             1
#define FM_INTREQ_IRQ22MON_AVAILABLE              1
#define FM3_INTREQ_IRQ23MON_AVAILABLE             1
#define FM_INTREQ_IRQ23MON_AVAILABLE              1
#define FM3_INTREQ_IRQ24MON_AVAILABLE             1
#define FM_INTREQ_IRQ24MON_AVAILABLE              1
#define FM3_INTREQ_IRQ25MON_AVAILABLE             1
#define FM_INTREQ_IRQ25MON_AVAILABLE              1
#define FM3_INTREQ_IRQ26MON_AVAILABLE             1
#define FM_INTREQ_IRQ26MON_AVAILABLE              1
#define FM3_INTREQ_IRQ27MON_AVAILABLE             1
#define FM_INTREQ_IRQ27MON_AVAILABLE              1
#define FM3_INTREQ_IRQ28MON_AVAILABLE             1
#define FM_INTREQ_IRQ28MON_AVAILABLE              1
#define FM3_INTREQ_IRQ29MON_AVAILABLE             1
#define FM_INTREQ_IRQ29MON_AVAILABLE              1
#define FM3_INTREQ_IRQ30MON_AVAILABLE             1
#define FM_INTREQ_IRQ30MON_AVAILABLE              1
#define FM3_INTREQ_IRQ31MON_AVAILABLE             1
#define FM_INTREQ_IRQ31MON_AVAILABLE              1
#define FM3_INTREQ_IRQ32MON_AVAILABLE             1
#define FM_INTREQ_IRQ32MON_AVAILABLE              1
#define FM3_INTREQ_IRQ33MON_AVAILABLE             1
#define FM_INTREQ_IRQ33MON_AVAILABLE              1
#define FM3_INTREQ_IRQ34MON_AVAILABLE             1
#define FM_INTREQ_IRQ34MON_AVAILABLE              1
#define FM3_INTREQ_IRQ35MON_AVAILABLE             1
#define FM_INTREQ_IRQ35MON_AVAILABLE              1
#define FM3_INTREQ_IRQ36MON_AVAILABLE             1
#define FM_INTREQ_IRQ36MON_AVAILABLE              1
#define FM3_INTREQ_IRQ37MON_AVAILABLE             1
#define FM_INTREQ_IRQ37MON_AVAILABLE              1
#define FM3_INTREQ_IRQ38MON_AVAILABLE             1
#define FM_INTREQ_IRQ38MON_AVAILABLE              1
#define FM3_INTREQ_IRQ39MON_AVAILABLE             1
#define FM_INTREQ_IRQ39MON_AVAILABLE              1
#define FM3_INTREQ_IRQ40MON_AVAILABLE             1
#define FM_INTREQ_IRQ40MON_AVAILABLE              1
#define FM3_INTREQ_IRQ41MON_AVAILABLE             1
#define FM_INTREQ_IRQ41MON_AVAILABLE              1
#define FM3_INTREQ_IRQ42MON_AVAILABLE             1
#define FM_INTREQ_IRQ42MON_AVAILABLE              1
#define FM3_INTREQ_IRQ43MON_AVAILABLE             1
#define FM_INTREQ_IRQ43MON_AVAILABLE              1
#define FM3_INTREQ_IRQ44MON_AVAILABLE             1
#define FM_INTREQ_IRQ44MON_AVAILABLE              1
#define FM3_INTREQ_IRQ45MON_AVAILABLE             1
#define FM_INTREQ_IRQ45MON_AVAILABLE              1
#define FM3_INTREQ_IRQ46MON_AVAILABLE             1
#define FM_INTREQ_IRQ46MON_AVAILABLE              1
#define FM3_INTREQ_IRQ47MON_AVAILABLE             1
#define FM_INTREQ_IRQ47MON_AVAILABLE              1
#define FM3_INTREQ_ODDPKS_AVAILABLE               1
#define FM_INTREQ_ODDPKS_AVAILABLE                1
/******************************************************************************
 ** LVD
 ** 
 ******************************************************************************/
#define FM3_LVD_LVD_CLR_AVAILABLE                 1
#define FM_LVD_LVD_CLR_AVAILABLE                  1
#define FM3_LVD_LVD_CTL_AVAILABLE                 1
#define FM_LVD_LVD_CTL_AVAILABLE                  1
#define FM3_LVD_LVD_RLR_AVAILABLE                 1
#define FM_LVD_LVD_RLR_AVAILABLE                  1
#define FM3_LVD_LVD_STR_AVAILABLE                 1
#define FM_LVD_LVD_STR_AVAILABLE                  1
#define FM3_LVD_LVD_STR2_AVAILABLE                1
#define FM_LVD_LVD_STR2_AVAILABLE                 1
/******************************************************************************
 ** MFS0
 ** 
 ******************************************************************************/
#define FM3_MFS_CSIO_BGR_AVAILABLE                1
#define FM_MFS_CSIO_BGR_AVAILABLE                 1
#define FM3_MFS_CSIO_ESCR_AVAILABLE               1
#define FM_MFS_CSIO_ESCR_AVAILABLE                1
#define FM3_MFS_CSIO_FBYTE1_AVAILABLE             1
#define FM_MFS_CSIO_FBYTE1_AVAILABLE              1
#define FM3_MFS_CSIO_FBYTE2_AVAILABLE             1
#define FM_MFS_CSIO_FBYTE2_AVAILABLE              1
#define FM3_MFS_CSIO_FCR_AVAILABLE                1
#define FM_MFS_CSIO_FCR_AVAILABLE                 1
#define FM3_MFS_CSIO_RDR_AVAILABLE                1
#define FM_MFS_CSIO_RDR_AVAILABLE                 1
#define FM3_MFS_CSIO_SCR_AVAILABLE                1
#define FM_MFS_CSIO_SCR_AVAILABLE                 1
#define FM3_MFS_CSIO_SMR_AVAILABLE                1
#define FM_MFS_CSIO_SMR_AVAILABLE                 1
#define FM3_MFS_CSIO_SSR_AVAILABLE                1
#define FM_MFS_CSIO_SSR_AVAILABLE                 1
#define FM3_MFS_CSIO_TDR_AVAILABLE                1
#define FM_MFS_CSIO_TDR_AVAILABLE                 1
#define FM3_MFS_I2C_BGR_AVAILABLE                 1
#define FM_MFS_I2C_BGR_AVAILABLE                  1
#define FM3_MFS_I2C_FBYTE1_AVAILABLE              1
#define FM_MFS_I2C_FBYTE1_AVAILABLE               1
#define FM3_MFS_I2C_FBYTE2_AVAILABLE              1
#define FM_MFS_I2C_FBYTE2_AVAILABLE               1
#define FM3_MFS_I2C_FCR_AVAILABLE                 1
#define FM_MFS_I2C_FCR_AVAILABLE                  1
#define FM3_MFS_I2C_IBCR_AVAILABLE                1
#define FM_MFS_I2C_IBCR_AVAILABLE                 1
#define FM3_MFS_I2C_IBSR_AVAILABLE                1
#define FM_MFS_I2C_IBSR_AVAILABLE                 1
#define FM3_MFS_I2C_ISBA_AVAILABLE                1
#define FM_MFS_I2C_ISBA_AVAILABLE                 1
#define FM3_MFS_I2C_ISMK_AVAILABLE                1
#define FM_MFS_I2C_ISMK_AVAILABLE                 1
#define FM3_MFS_I2C_RDR_AVAILABLE                 1
#define FM_MFS_I2C_RDR_AVAILABLE                  1
#define FM3_MFS_I2C_SMR_AVAILABLE                 1
#define FM_MFS_I2C_SMR_AVAILABLE                  1
#define FM3_MFS_I2C_SSR_AVAILABLE                 1
#define FM_MFS_I2C_SSR_AVAILABLE                  1
#define FM3_MFS_I2C_TDR_AVAILABLE                 1
#define FM_MFS_I2C_TDR_AVAILABLE                  1
#define FM3_MFS_LIN_BGR_AVAILABLE                 1
#define FM_MFS_LIN_BGR_AVAILABLE                  1
#define FM3_MFS_LIN_ESCR_AVAILABLE                1
#define FM_MFS_LIN_ESCR_AVAILABLE                 1
#define FM3_MFS_LIN_FBYTE1_AVAILABLE              1
#define FM_MFS_LIN_FBYTE1_AVAILABLE               1
#define FM3_MFS_LIN_FBYTE2_AVAILABLE              1
#define FM_MFS_LIN_FBYTE2_AVAILABLE               1
#define FM3_MFS_LIN_FCR_AVAILABLE                 1
#define FM_MFS_LIN_FCR_AVAILABLE                  1
#define FM3_MFS_LIN_RDR_AVAILABLE                 1
#define FM_MFS_LIN_RDR_AVAILABLE                  1
#define FM3_MFS_LIN_SCR_AVAILABLE                 1
#define FM_MFS_LIN_SCR_AVAILABLE                  1
#define FM3_MFS_LIN_SMR_AVAILABLE                 1
#define FM_MFS_LIN_SMR_AVAILABLE                  1
#define FM3_MFS_LIN_SSR_AVAILABLE                 1
#define FM_MFS_LIN_SSR_AVAILABLE                  1
#define FM3_MFS_LIN_TDR_AVAILABLE                 1
#define FM_MFS_LIN_TDR_AVAILABLE                  1
#define FM3_MFS_UART_BGR_AVAILABLE                1
#define FM_MFS_UART_BGR_AVAILABLE                 1
#define FM3_MFS_UART_ESCR_AVAILABLE               1
#define FM_MFS_UART_ESCR_AVAILABLE                1
#define FM3_MFS_UART_FBYTE1_AVAILABLE             1
#define FM_MFS_UART_FBYTE1_AVAILABLE              1
#define FM3_MFS_UART_FBYTE2_AVAILABLE             1
#define FM_MFS_UART_FBYTE2_AVAILABLE              1
#define FM3_MFS_UART_FCR_AVAILABLE                1
#define FM_MFS_UART_FCR_AVAILABLE                 1
#define FM3_MFS_UART_RDR_AVAILABLE                1
#define FM_MFS_UART_RDR_AVAILABLE                 1
#define FM3_MFS_UART_SCR_AVAILABLE                1
#define FM_MFS_UART_SCR_AVAILABLE                 1
#define FM3_MFS_UART_SMR_AVAILABLE                1
#define FM_MFS_UART_SMR_AVAILABLE                 1
#define FM3_MFS_UART_SSR_AVAILABLE                1
#define FM_MFS_UART_SSR_AVAILABLE                 1
#define FM3_MFS_UART_TDR_AVAILABLE                1
#define FM_MFS_UART_TDR_AVAILABLE                 1
/******************************************************************************
 ** MFS_NFC
 ** 
 ******************************************************************************/
#define FM3_MFS_NFC_I2CDNF_AVAILABLE              1
#define FM_MFS_NFC_I2CDNF_AVAILABLE               1
/******************************************************************************
 ** MFT0
 ** 
 ******************************************************************************/
#define FM3_MFT_ADCMP_ACCP0_AVAILABLE             1
#define FM_MFT_ADCMP_ACCP0_AVAILABLE              1
#define FM3_MFT_ADCMP_ACCP1_AVAILABLE             1
#define FM_MFT_ADCMP_ACCP1_AVAILABLE              1
#define FM3_MFT_ADCMP_ACCP2_AVAILABLE             1
#define FM_MFT_ADCMP_ACCP2_AVAILABLE              1
#define FM3_MFT_ADCMP_ACCPDN0_AVAILABLE           1
#define FM_MFT_ADCMP_ACCPDN0_AVAILABLE            1
#define FM3_MFT_ADCMP_ACCPDN1_AVAILABLE           1
#define FM_MFT_ADCMP_ACCPDN1_AVAILABLE            1
#define FM3_MFT_ADCMP_ACCPDN2_AVAILABLE           1
#define FM_MFT_ADCMP_ACCPDN2_AVAILABLE            1
#define FM3_MFT_ADCMP_ACSA_AVAILABLE              1
#define FM_MFT_ADCMP_ACSA_AVAILABLE               1
#define FM3_MFT_ADCMP_ACSB_AVAILABLE              1
#define FM_MFT_ADCMP_ACSB_AVAILABLE               1
#define FM3_MFT_ADCMP_ATSA_AVAILABLE              1
#define FM_MFT_ADCMP_ATSA_AVAILABLE               1
#define FM3_MFT_FRT_TCCP0_AVAILABLE               1
#define FM_MFT_FRT_TCCP0_AVAILABLE                1
#define FM3_MFT_FRT_TCCP1_AVAILABLE               1
#define FM_MFT_FRT_TCCP1_AVAILABLE                1
#define FM3_MFT_FRT_TCCP2_AVAILABLE               1
#define FM_MFT_FRT_TCCP2_AVAILABLE                1
#define FM3_MFT_FRT_TCDT0_AVAILABLE               1
#define FM_MFT_FRT_TCDT0_AVAILABLE                1
#define FM3_MFT_FRT_TCDT1_AVAILABLE               1
#define FM_MFT_FRT_TCDT1_AVAILABLE                1
#define FM3_MFT_FRT_TCDT2_AVAILABLE               1
#define FM_MFT_FRT_TCDT2_AVAILABLE                1
#define FM3_MFT_FRT_TCSA0_AVAILABLE               1
#define FM_MFT_FRT_TCSA0_AVAILABLE                1
#define FM3_MFT_FRT_TCSA1_AVAILABLE               1
#define FM_MFT_FRT_TCSA1_AVAILABLE                1
#define FM3_MFT_FRT_TCSA2_AVAILABLE               1
#define FM_MFT_FRT_TCSA2_AVAILABLE                1
#define FM3_MFT_FRT_TCSB0_AVAILABLE               1
#define FM_MFT_FRT_TCSB0_AVAILABLE                1
#define FM3_MFT_FRT_TCSB1_AVAILABLE               1
#define FM_MFT_FRT_TCSB1_AVAILABLE                1
#define FM3_MFT_FRT_TCSB2_AVAILABLE               1
#define FM_MFT_FRT_TCSB2_AVAILABLE                1
#define FM3_MFT_ICU_ICCP0_AVAILABLE               1
#define FM_MFT_ICU_ICCP0_AVAILABLE                1
#define FM3_MFT_ICU_ICCP1_AVAILABLE               1
#define FM_MFT_ICU_ICCP1_AVAILABLE                1
#define FM3_MFT_ICU_ICCP2_AVAILABLE               1
#define FM_MFT_ICU_ICCP2_AVAILABLE                1
#define FM3_MFT_ICU_ICCP3_AVAILABLE               1
#define FM_MFT_ICU_ICCP3_AVAILABLE                1
#define FM3_MFT_ICU_ICFS10_AVAILABLE              1
#define FM_MFT_ICU_ICFS10_AVAILABLE               1
#define FM3_MFT_ICU_ICFS32_AVAILABLE              1
#define FM_MFT_ICU_ICFS32_AVAILABLE               1
#define FM3_MFT_ICU_ICSA10_AVAILABLE              1
#define FM_MFT_ICU_ICSA10_AVAILABLE               1
#define FM3_MFT_ICU_ICSA32_AVAILABLE              1
#define FM_MFT_ICU_ICSA32_AVAILABLE               1
#define FM3_MFT_ICU_ICSB10_AVAILABLE              1
#define FM_MFT_ICU_ICSB10_AVAILABLE               1
#define FM3_MFT_ICU_ICSB32_AVAILABLE              1
#define FM_MFT_ICU_ICSB32_AVAILABLE               1
#define FM3_MFT_OCU_OCCP0_AVAILABLE               1
#define FM_MFT_OCU_OCCP0_AVAILABLE                1
#define FM3_MFT_OCU_OCCP1_AVAILABLE               1
#define FM_MFT_OCU_OCCP1_AVAILABLE                1
#define FM3_MFT_OCU_OCCP2_AVAILABLE               1
#define FM_MFT_OCU_OCCP2_AVAILABLE                1
#define FM3_MFT_OCU_OCCP3_AVAILABLE               1
#define FM_MFT_OCU_OCCP3_AVAILABLE                1
#define FM3_MFT_OCU_OCCP4_AVAILABLE               1
#define FM_MFT_OCU_OCCP4_AVAILABLE                1
#define FM3_MFT_OCU_OCCP5_AVAILABLE               1
#define FM_MFT_OCU_OCCP5_AVAILABLE                1
#define FM3_MFT_OCU_OCFS10_AVAILABLE              1
#define FM_MFT_OCU_OCFS10_AVAILABLE               1
#define FM3_MFT_OCU_OCFS32_AVAILABLE              1
#define FM_MFT_OCU_OCFS32_AVAILABLE               1
#define FM3_MFT_OCU_OCFS54_AVAILABLE              1
#define FM_MFT_OCU_OCFS54_AVAILABLE               1
#define FM3_MFT_OCU_OCSA10_AVAILABLE              1
#define FM_MFT_OCU_OCSA10_AVAILABLE               1
#define FM3_MFT_OCU_OCSA32_AVAILABLE              1
#define FM_MFT_OCU_OCSA32_AVAILABLE               1
#define FM3_MFT_OCU_OCSA54_AVAILABLE              1
#define FM_MFT_OCU_OCSA54_AVAILABLE               1
#define FM3_MFT_OCU_OCSB10_AVAILABLE              1
#define FM_MFT_OCU_OCSB10_AVAILABLE               1
#define FM3_MFT_OCU_OCSB32_AVAILABLE              1
#define FM_MFT_OCU_OCSB32_AVAILABLE               1
#define FM3_MFT_OCU_OCSB54_AVAILABLE              1
#define FM_MFT_OCU_OCSB54_AVAILABLE               1
#define FM3_MFT_OCU_OCSC_AVAILABLE                1
#define FM_MFT_OCU_OCSC_AVAILABLE                 1
#define FM3_MFT_WFG_NZCL_AVAILABLE                1
#define FM_MFT_WFG_NZCL_AVAILABLE                 1
#define FM3_MFT_WFG_WFIR_AVAILABLE                1
#define FM_MFT_WFG_WFIR_AVAILABLE                 1
#define FM3_MFT_WFG_WFSA10_AVAILABLE              1
#define FM_MFT_WFG_WFSA10_AVAILABLE               1
#define FM3_MFT_WFG_WFSA32_AVAILABLE              1
#define FM_MFT_WFG_WFSA32_AVAILABLE               1
#define FM3_MFT_WFG_WFSA54_AVAILABLE              1
#define FM_MFT_WFG_WFSA54_AVAILABLE               1
#define FM3_MFT_WFG_WFTM10_AVAILABLE              1
#define FM_MFT_WFG_WFTM10_AVAILABLE               1
#define FM3_MFT_WFG_WFTM32_AVAILABLE              1
#define FM_MFT_WFG_WFTM32_AVAILABLE               1
#define FM3_MFT_WFG_WFTM54_AVAILABLE              1
#define FM_MFT_WFG_WFTM54_AVAILABLE               1
/******************************************************************************
 ** MFT_PPG
 ** 
 ******************************************************************************/
#define FM3_MFT_PPG_COMP0_AVAILABLE               1
#define FM_MFT_PPG_COMP0_AVAILABLE                1
#define FM3_MFT_PPG_COMP1_AVAILABLE               1
#define FM_MFT_PPG_COMP1_AVAILABLE                1
#define FM3_MFT_PPG_COMP10_AVAILABLE              1
#define FM_MFT_PPG_COMP10_AVAILABLE               1
#define FM3_MFT_PPG_COMP12_AVAILABLE              1
#define FM_MFT_PPG_COMP12_AVAILABLE               1
#define FM3_MFT_PPG_COMP14_AVAILABLE              1
#define FM_MFT_PPG_COMP14_AVAILABLE               1
#define FM3_MFT_PPG_COMP2_AVAILABLE               1
#define FM_MFT_PPG_COMP2_AVAILABLE                1
#define FM3_MFT_PPG_COMP3_AVAILABLE               1
#define FM_MFT_PPG_COMP3_AVAILABLE                1
#define FM3_MFT_PPG_COMP4_AVAILABLE               1
#define FM_MFT_PPG_COMP4_AVAILABLE                1
#define FM3_MFT_PPG_COMP5_AVAILABLE               1
#define FM_MFT_PPG_COMP5_AVAILABLE                1
#define FM3_MFT_PPG_COMP6_AVAILABLE               1
#define FM_MFT_PPG_COMP6_AVAILABLE                1
#define FM3_MFT_PPG_COMP7_AVAILABLE               1
#define FM_MFT_PPG_COMP7_AVAILABLE                1
#define FM3_MFT_PPG_COMP8_AVAILABLE               1
#define FM_MFT_PPG_COMP8_AVAILABLE                1
#define FM3_MFT_PPG_GATEC0_AVAILABLE              1
#define FM_MFT_PPG_GATEC0_AVAILABLE               1
#define FM3_MFT_PPG_GATEC12_AVAILABLE             1
#define FM_MFT_PPG_GATEC12_AVAILABLE              1
#define FM3_MFT_PPG_GATEC16_AVAILABLE             1
#define FM_MFT_PPG_GATEC16_AVAILABLE              1
#define FM3_MFT_PPG_GATEC20_AVAILABLE             1
#define FM_MFT_PPG_GATEC20_AVAILABLE              1
#define FM3_MFT_PPG_GATEC4_AVAILABLE              1
#define FM_MFT_PPG_GATEC4_AVAILABLE               1
#define FM3_MFT_PPG_GATEC8_AVAILABLE              1
#define FM_MFT_PPG_GATEC8_AVAILABLE               1
#define FM3_MFT_PPG_PPGC0_AVAILABLE               1
#define FM_MFT_PPG_PPGC0_AVAILABLE                1
#define FM3_MFT_PPG_PPGC1_AVAILABLE               1
#define FM_MFT_PPG_PPGC1_AVAILABLE                1
#define FM3_MFT_PPG_PPGC10_AVAILABLE              1
#define FM_MFT_PPG_PPGC10_AVAILABLE               1
#define FM3_MFT_PPG_PPGC11_AVAILABLE              1
#define FM_MFT_PPG_PPGC11_AVAILABLE               1
#define FM3_MFT_PPG_PPGC12_AVAILABLE              1
#define FM_MFT_PPG_PPGC12_AVAILABLE               1
#define FM3_MFT_PPG_PPGC13_AVAILABLE              1
#define FM_MFT_PPG_PPGC13_AVAILABLE               1
#define FM3_MFT_PPG_PPGC14_AVAILABLE              1
#define FM_MFT_PPG_PPGC14_AVAILABLE               1
#define FM3_MFT_PPG_PPGC15_AVAILABLE              1
#define FM_MFT_PPG_PPGC15_AVAILABLE               1
#define FM3_MFT_PPG_PPGC16_AVAILABLE              1
#define FM_MFT_PPG_PPGC16_AVAILABLE               1
#define FM3_MFT_PPG_PPGC17_AVAILABLE              1
#define FM_MFT_PPG_PPGC17_AVAILABLE               1
#define FM3_MFT_PPG_PPGC18_AVAILABLE              1
#define FM_MFT_PPG_PPGC18_AVAILABLE               1
#define FM3_MFT_PPG_PPGC19_AVAILABLE              1
#define FM_MFT_PPG_PPGC19_AVAILABLE               1
#define FM3_MFT_PPG_PPGC2_AVAILABLE               1
#define FM_MFT_PPG_PPGC2_AVAILABLE                1
#define FM3_MFT_PPG_PPGC20_AVAILABLE              1
#define FM_MFT_PPG_PPGC20_AVAILABLE               1
#define FM3_MFT_PPG_PPGC21_AVAILABLE              1
#define FM_MFT_PPG_PPGC21_AVAILABLE               1
#define FM3_MFT_PPG_PPGC22_AVAILABLE              1
#define FM_MFT_PPG_PPGC22_AVAILABLE               1
#define FM3_MFT_PPG_PPGC23_AVAILABLE              1
#define FM_MFT_PPG_PPGC23_AVAILABLE               1
#define FM3_MFT_PPG_PPGC3_AVAILABLE               1
#define FM_MFT_PPG_PPGC3_AVAILABLE                1
#define FM3_MFT_PPG_PPGC4_AVAILABLE               1
#define FM_MFT_PPG_PPGC4_AVAILABLE                1
#define FM3_MFT_PPG_PPGC5_AVAILABLE               1
#define FM_MFT_PPG_PPGC5_AVAILABLE                1
#define FM3_MFT_PPG_PPGC6_AVAILABLE               1
#define FM_MFT_PPG_PPGC6_AVAILABLE                1
#define FM3_MFT_PPG_PPGC7_AVAILABLE               1
#define FM_MFT_PPG_PPGC7_AVAILABLE                1
#define FM3_MFT_PPG_PPGC8_AVAILABLE               1
#define FM_MFT_PPG_PPGC8_AVAILABLE                1
#define FM3_MFT_PPG_PPGC9_AVAILABLE               1
#define FM_MFT_PPG_PPGC9_AVAILABLE                1
#define FM3_MFT_PPG_PRLH0_AVAILABLE               1
#define FM_MFT_PPG_PRLH0_AVAILABLE                1
#define FM3_MFT_PPG_PRLH1_AVAILABLE               1
#define FM_MFT_PPG_PRLH1_AVAILABLE                1
#define FM3_MFT_PPG_PRLH10_AVAILABLE              1
#define FM_MFT_PPG_PRLH10_AVAILABLE               1
#define FM3_MFT_PPG_PRLH11_AVAILABLE              1
#define FM_MFT_PPG_PRLH11_AVAILABLE               1
#define FM3_MFT_PPG_PRLH12_AVAILABLE              1
#define FM_MFT_PPG_PRLH12_AVAILABLE               1
#define FM3_MFT_PPG_PRLH13_AVAILABLE              1
#define FM_MFT_PPG_PRLH13_AVAILABLE               1
#define FM3_MFT_PPG_PRLH14_AVAILABLE              1
#define FM_MFT_PPG_PRLH14_AVAILABLE               1
#define FM3_MFT_PPG_PRLH15_AVAILABLE              1
#define FM_MFT_PPG_PRLH15_AVAILABLE               1
#define FM3_MFT_PPG_PRLH16_AVAILABLE              1
#define FM_MFT_PPG_PRLH16_AVAILABLE               1
#define FM3_MFT_PPG_PRLH17_AVAILABLE              1
#define FM_MFT_PPG_PRLH17_AVAILABLE               1
#define FM3_MFT_PPG_PRLH18_AVAILABLE              1
#define FM_MFT_PPG_PRLH18_AVAILABLE               1
#define FM3_MFT_PPG_PRLH19_AVAILABLE              1
#define FM_MFT_PPG_PRLH19_AVAILABLE               1
#define FM3_MFT_PPG_PRLH2_AVAILABLE               1
#define FM_MFT_PPG_PRLH2_AVAILABLE                1
#define FM3_MFT_PPG_PRLH20_AVAILABLE              1
#define FM_MFT_PPG_PRLH20_AVAILABLE               1
#define FM3_MFT_PPG_PRLH21_AVAILABLE              1
#define FM_MFT_PPG_PRLH21_AVAILABLE               1
#define FM3_MFT_PPG_PRLH22_AVAILABLE              1
#define FM_MFT_PPG_PRLH22_AVAILABLE               1
#define FM3_MFT_PPG_PRLH23_AVAILABLE              1
#define FM_MFT_PPG_PRLH23_AVAILABLE               1
#define FM3_MFT_PPG_PRLH3_AVAILABLE               1
#define FM_MFT_PPG_PRLH3_AVAILABLE                1
#define FM3_MFT_PPG_PRLH4_AVAILABLE               1
#define FM_MFT_PPG_PRLH4_AVAILABLE                1
#define FM3_MFT_PPG_PRLH5_AVAILABLE               1
#define FM_MFT_PPG_PRLH5_AVAILABLE                1
#define FM3_MFT_PPG_PRLH6_AVAILABLE               1
#define FM_MFT_PPG_PRLH6_AVAILABLE                1
#define FM3_MFT_PPG_PRLH7_AVAILABLE               1
#define FM_MFT_PPG_PRLH7_AVAILABLE                1
#define FM3_MFT_PPG_PRLH8_AVAILABLE               1
#define FM_MFT_PPG_PRLH8_AVAILABLE                1
#define FM3_MFT_PPG_PRLH9_AVAILABLE               1
#define FM_MFT_PPG_PRLH9_AVAILABLE                1
#define FM3_MFT_PPG_PRLL0_AVAILABLE               1
#define FM_MFT_PPG_PRLL0_AVAILABLE                1
#define FM3_MFT_PPG_PRLL1_AVAILABLE               1
#define FM_MFT_PPG_PRLL1_AVAILABLE                1
#define FM3_MFT_PPG_PRLL10_AVAILABLE              1
#define FM_MFT_PPG_PRLL10_AVAILABLE               1
#define FM3_MFT_PPG_PRLL11_AVAILABLE              1
#define FM_MFT_PPG_PRLL11_AVAILABLE               1
#define FM3_MFT_PPG_PRLL12_AVAILABLE              1
#define FM_MFT_PPG_PRLL12_AVAILABLE               1
#define FM3_MFT_PPG_PRLL13_AVAILABLE              1
#define FM_MFT_PPG_PRLL13_AVAILABLE               1
#define FM3_MFT_PPG_PRLL14_AVAILABLE              1
#define FM_MFT_PPG_PRLL14_AVAILABLE               1
#define FM3_MFT_PPG_PRLL15_AVAILABLE              1
#define FM_MFT_PPG_PRLL15_AVAILABLE               1
#define FM3_MFT_PPG_PRLL16_AVAILABLE              1
#define FM_MFT_PPG_PRLL16_AVAILABLE               1
#define FM3_MFT_PPG_PRLL17_AVAILABLE              1
#define FM_MFT_PPG_PRLL17_AVAILABLE               1
#define FM3_MFT_PPG_PRLL18_AVAILABLE              1
#define FM_MFT_PPG_PRLL18_AVAILABLE               1
#define FM3_MFT_PPG_PRLL19_AVAILABLE              1
#define FM_MFT_PPG_PRLL19_AVAILABLE               1
#define FM3_MFT_PPG_PRLL2_AVAILABLE               1
#define FM_MFT_PPG_PRLL2_AVAILABLE                1
#define FM3_MFT_PPG_PRLL20_AVAILABLE              1
#define FM_MFT_PPG_PRLL20_AVAILABLE               1
#define FM3_MFT_PPG_PRLL21_AVAILABLE              1
#define FM_MFT_PPG_PRLL21_AVAILABLE               1
#define FM3_MFT_PPG_PRLL22_AVAILABLE              1
#define FM_MFT_PPG_PRLL22_AVAILABLE               1
#define FM3_MFT_PPG_PRLL23_AVAILABLE              1
#define FM_MFT_PPG_PRLL23_AVAILABLE               1
#define FM3_MFT_PPG_PRLL3_AVAILABLE               1
#define FM_MFT_PPG_PRLL3_AVAILABLE                1
#define FM3_MFT_PPG_PRLL4_AVAILABLE               1
#define FM_MFT_PPG_PRLL4_AVAILABLE                1
#define FM3_MFT_PPG_PRLL5_AVAILABLE               1
#define FM_MFT_PPG_PRLL5_AVAILABLE                1
#define FM3_MFT_PPG_PRLL6_AVAILABLE               1
#define FM_MFT_PPG_PRLL6_AVAILABLE                1
#define FM3_MFT_PPG_PRLL7_AVAILABLE               1
#define FM_MFT_PPG_PRLL7_AVAILABLE                1
#define FM3_MFT_PPG_PRLL8_AVAILABLE               1
#define FM_MFT_PPG_PRLL8_AVAILABLE                1
#define FM3_MFT_PPG_PRLL9_AVAILABLE               1
#define FM_MFT_PPG_PRLL9_AVAILABLE                1
#define FM3_MFT_PPG_REVC0_AVAILABLE               1
#define FM_MFT_PPG_REVC0_AVAILABLE                1
#define FM3_MFT_PPG_REVC1_AVAILABLE               1
#define FM_MFT_PPG_REVC1_AVAILABLE                1
#define FM3_MFT_PPG_TRG0_AVAILABLE                1
#define FM_MFT_PPG_TRG0_AVAILABLE                 1
#define FM3_MFT_PPG_TRG1_AVAILABLE                1
#define FM_MFT_PPG_TRG1_AVAILABLE                 1
#define FM3_MFT_PPG_TTCR0_AVAILABLE               1
#define FM_MFT_PPG_TTCR0_AVAILABLE                1
#define FM3_MFT_PPG_TTCR1_AVAILABLE               1
#define FM_MFT_PPG_TTCR1_AVAILABLE                1
#define FM3_MFT_PPG_TTCR2_AVAILABLE               1
#define FM_MFT_PPG_TTCR2_AVAILABLE                1
/******************************************************************************
 ** QPRC0
 ** 
 ******************************************************************************/
#define FM3_QPRC_QCR_AVAILABLE                    1
#define FM_QPRC_QCR_AVAILABLE                     1
#define FM3_QPRC_QECR_AVAILABLE                   1
#define FM_QPRC_QECR_AVAILABLE                    1
#define FM3_QPRC_QICRH_AVAILABLE                  1
#define FM_QPRC_QICRH_AVAILABLE                   1
#define FM3_QPRC_QICRL_AVAILABLE                  1
#define FM_QPRC_QICRL_AVAILABLE                   1
#define FM3_QPRC_QMPR_AVAILABLE                   1
#define FM_QPRC_QMPR_AVAILABLE                    1
#define FM3_QPRC_QPCCR_AVAILABLE                  1
#define FM_QPRC_QPCCR_AVAILABLE                   1
#define FM3_QPRC_QPCR_AVAILABLE                   1
#define FM_QPRC_QPCR_AVAILABLE                    1
#define FM3_QPRC_QPRCR_AVAILABLE                  1
#define FM_QPRC_QPRCR_AVAILABLE                   1
#define FM3_QPRC_QRCR_AVAILABLE                   1
#define FM_QPRC_QRCR_AVAILABLE                    1
/******************************************************************************
 ** SBSSR
 ** 
 ******************************************************************************/
#define FM3_SBSSR_BTSSSR_AVAILABLE                1
#define FM_SBSSR_BTSSSR_AVAILABLE                 1
/******************************************************************************
 ** SWWDT
 ** 
 ******************************************************************************/
#define FM3_SWWDT_WDOGCONTROL_AVAILABLE           1
#define FM_SWWDT_WDOGCONTROL_AVAILABLE            1
#define FM3_SWWDT_WDOGINTCLR_AVAILABLE            1
#define FM_SWWDT_WDOGINTCLR_AVAILABLE             1
#define FM3_SWWDT_WDOGLOAD_AVAILABLE              1
#define FM_SWWDT_WDOGLOAD_AVAILABLE               1
#define FM3_SWWDT_WDOGLOCK_AVAILABLE              1
#define FM_SWWDT_WDOGLOCK_AVAILABLE               1
#define FM3_SWWDT_WDOGRIS_AVAILABLE               1
#define FM_SWWDT_WDOGRIS_AVAILABLE                1
#define FM3_SWWDT_WDOGVALUE_AVAILABLE             1
#define FM_SWWDT_WDOGVALUE_AVAILABLE              1
/******************************************************************************
 ** UNIQUE_ID
 ** 
 ******************************************************************************/
#define FM3_UNIQUE_ID_UIDR0_AVAILABLE             1
#define FM_UNIQUE_ID_UIDR0_AVAILABLE              1
#define FM3_UNIQUE_ID_UIDR1_AVAILABLE             1
#define FM_UNIQUE_ID_UIDR1_AVAILABLE              1
/******************************************************************************
 ** WC
 ** 
 ******************************************************************************/
#define FM3_WC_CLK_EN_AVAILABLE                   1
#define FM_WC_CLK_EN_AVAILABLE                    1
#define FM3_WC_CLK_SEL_AVAILABLE                  1
#define FM_WC_CLK_SEL_AVAILABLE                   1
#define FM3_WC_WCCR_AVAILABLE                     1
#define FM_WC_WCCR_AVAILABLE                      1
#define FM3_WC_WCRD_AVAILABLE                     1
#define FM_WC_WCRD_AVAILABLE                      1
#define FM3_WC_WCRL_AVAILABLE                     1
#define FM_WC_WCRL_AVAILABLE                      1

/******************************************************************************
 ** Peripheral Bit Band Alias declaration
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC0_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E0780UL))
#define bFM3_ADC0_ADCEN_ENBL                      *((volatile  uint8_t *)(0x424E0780UL))
#define bFM_ADC0_ADCEN_READY                      *((volatile  uint8_t *)(0x424E0784UL))
#define bFM3_ADC0_ADCEN_READY                     *((volatile  uint8_t *)(0x424E0784UL))

#define bFM_ADC0_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E0020UL))
#define bFM3_ADC0_ADCR_OVRIE                      *((volatile  uint8_t *)(0x424E0020UL))
#define bFM_ADC0_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E0024UL))
#define bFM3_ADC0_ADCR_CMPIE                      *((volatile  uint8_t *)(0x424E0024UL))
#define bFM_ADC0_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E0028UL))
#define bFM3_ADC0_ADCR_PCIE                       *((volatile  uint8_t *)(0x424E0028UL))
#define bFM_ADC0_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E002CUL))
#define bFM3_ADC0_ADCR_SCIE                       *((volatile  uint8_t *)(0x424E002CUL))
#define bFM_ADC0_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E0034UL))
#define bFM3_ADC0_ADCR_CMPIF                      *((volatile  uint8_t *)(0x424E0034UL))
#define bFM_ADC0_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E0038UL))
#define bFM3_ADC0_ADCR_PCIF                       *((volatile  uint8_t *)(0x424E0038UL))
#define bFM_ADC0_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E003CUL))
#define bFM3_ADC0_ADCR_SCIF                       *((volatile  uint8_t *)(0x424E003CUL))

#define bFM_ADC0_ADSR_SCS                         *((volatile  uint8_t *)(0x424E0000UL))
#define bFM3_ADC0_ADSR_SCS                        *((volatile  uint8_t *)(0x424E0000UL))
#define bFM_ADC0_ADSR_PCS                         *((volatile  uint8_t *)(0x424E0004UL))
#define bFM3_ADC0_ADSR_PCS                        *((volatile  uint8_t *)(0x424E0004UL))
#define bFM_ADC0_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E0008UL))
#define bFM3_ADC0_ADSR_PCNS                       *((volatile  uint8_t *)(0x424E0008UL))
#define bFM_ADC0_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E0018UL))
#define bFM3_ADC0_ADSR_FDAS                       *((volatile  uint8_t *)(0x424E0018UL))
#define bFM_ADC0_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E001CUL))
#define bFM3_ADC0_ADSR_ADSTP                      *((volatile  uint8_t *)(0x424E001CUL))

#define bFM_ADC0_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E0580UL))
#define bFM3_ADC0_ADSS01_TS0                      *((volatile  uint8_t *)(0x424E0580UL))
#define bFM_ADC0_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E0584UL))
#define bFM3_ADC0_ADSS01_TS1                      *((volatile  uint8_t *)(0x424E0584UL))
#define bFM_ADC0_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E0588UL))
#define bFM3_ADC0_ADSS01_TS2                      *((volatile  uint8_t *)(0x424E0588UL))
#define bFM_ADC0_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E058CUL))
#define bFM3_ADC0_ADSS01_TS3                      *((volatile  uint8_t *)(0x424E058CUL))
#define bFM_ADC0_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E0590UL))
#define bFM3_ADC0_ADSS01_TS4                      *((volatile  uint8_t *)(0x424E0590UL))
#define bFM_ADC0_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E0594UL))
#define bFM3_ADC0_ADSS01_TS5                      *((volatile  uint8_t *)(0x424E0594UL))
#define bFM_ADC0_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E0598UL))
#define bFM3_ADC0_ADSS01_TS6                      *((volatile  uint8_t *)(0x424E0598UL))
#define bFM_ADC0_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E059CUL))
#define bFM3_ADC0_ADSS01_TS7                      *((volatile  uint8_t *)(0x424E059CUL))
#define bFM_ADC0_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM3_ADC0_ADSS01_TS8                      *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM_ADC0_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM3_ADC0_ADSS01_TS9                      *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM_ADC0_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM3_ADC0_ADSS01_TS10                     *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM_ADC0_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM3_ADC0_ADSS01_TS11                     *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM_ADC0_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM3_ADC0_ADSS01_TS12                     *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM_ADC0_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM3_ADC0_ADSS01_TS13                     *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM_ADC0_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM3_ADC0_ADSS01_TS14                     *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM_ADC0_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E05BCUL))
#define bFM3_ADC0_ADSS01_TS15                     *((volatile  uint8_t *)(0x424E05BCUL))

#define bFM_ADC0_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E0500UL))
#define bFM3_ADC0_ADSS23_TS16                     *((volatile  uint8_t *)(0x424E0500UL))
#define bFM_ADC0_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E0504UL))
#define bFM3_ADC0_ADSS23_TS17                     *((volatile  uint8_t *)(0x424E0504UL))
#define bFM_ADC0_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E0508UL))
#define bFM3_ADC0_ADSS23_TS18                     *((volatile  uint8_t *)(0x424E0508UL))
#define bFM_ADC0_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E050CUL))
#define bFM3_ADC0_ADSS23_TS19                     *((volatile  uint8_t *)(0x424E050CUL))
#define bFM_ADC0_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E0510UL))
#define bFM3_ADC0_ADSS23_TS20                     *((volatile  uint8_t *)(0x424E0510UL))
#define bFM_ADC0_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E0514UL))
#define bFM3_ADC0_ADSS23_TS21                     *((volatile  uint8_t *)(0x424E0514UL))
#define bFM_ADC0_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E0518UL))
#define bFM3_ADC0_ADSS23_TS22                     *((volatile  uint8_t *)(0x424E0518UL))
#define bFM_ADC0_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E051CUL))
#define bFM3_ADC0_ADSS23_TS23                     *((volatile  uint8_t *)(0x424E051CUL))
#define bFM_ADC0_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E0520UL))
#define bFM3_ADC0_ADSS23_TS24                     *((volatile  uint8_t *)(0x424E0520UL))
#define bFM_ADC0_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E0524UL))
#define bFM3_ADC0_ADSS23_TS25                     *((volatile  uint8_t *)(0x424E0524UL))
#define bFM_ADC0_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E0528UL))
#define bFM3_ADC0_ADSS23_TS26                     *((volatile  uint8_t *)(0x424E0528UL))
#define bFM_ADC0_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E052CUL))
#define bFM3_ADC0_ADSS23_TS27                     *((volatile  uint8_t *)(0x424E052CUL))
#define bFM_ADC0_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E0530UL))
#define bFM3_ADC0_ADSS23_TS28                     *((volatile  uint8_t *)(0x424E0530UL))
#define bFM_ADC0_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E0534UL))
#define bFM3_ADC0_ADSS23_TS29                     *((volatile  uint8_t *)(0x424E0534UL))
#define bFM_ADC0_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E0538UL))
#define bFM3_ADC0_ADSS23_TS30                     *((volatile  uint8_t *)(0x424E0538UL))
#define bFM_ADC0_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E053CUL))
#define bFM3_ADC0_ADSS23_TS31                     *((volatile  uint8_t *)(0x424E053CUL))

#define bFM_ADC0_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E0494UL))
#define bFM3_ADC0_CMPCR_CMD0                      *((volatile  uint8_t *)(0x424E0494UL))
#define bFM_ADC0_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E0498UL))
#define bFM3_ADC0_CMPCR_CMD1                      *((volatile  uint8_t *)(0x424E0498UL))
#define bFM_ADC0_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E049CUL))
#define bFM3_ADC0_CMPCR_CMPEN                     *((volatile  uint8_t *)(0x424E049CUL))

#define bFM_ADC0_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E0320UL))
#define bFM3_ADC0_PCCR_PSTR                       *((volatile  uint8_t *)(0x424E0320UL))
#define bFM_ADC0_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E0324UL))
#define bFM3_ADC0_PCCR_PHEN                       *((volatile  uint8_t *)(0x424E0324UL))
#define bFM_ADC0_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E0328UL))
#define bFM3_ADC0_PCCR_PEEN                       *((volatile  uint8_t *)(0x424E0328UL))
#define bFM_ADC0_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E032CUL))
#define bFM3_ADC0_PCCR_ESCE                       *((volatile  uint8_t *)(0x424E032CUL))
#define bFM_ADC0_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E0330UL))
#define bFM3_ADC0_PCCR_PFCLR                      *((volatile  uint8_t *)(0x424E0330UL))
#define bFM_ADC0_PCCR_POVR                        *((volatile  uint8_t *)(0x424E0334UL))
#define bFM3_ADC0_PCCR_POVR                       *((volatile  uint8_t *)(0x424E0334UL))
#define bFM_ADC0_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E0338UL))
#define bFM3_ADC0_PCCR_PFUL                       *((volatile  uint8_t *)(0x424E0338UL))
#define bFM_ADC0_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E033CUL))
#define bFM3_ADC0_PCCR_PEMP                       *((volatile  uint8_t *)(0x424E033CUL))

#define bFM_ADC0_PCFD_INVL                        *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM3_ADC0_PCFD_INVL                       *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM3_ADC0_PCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E0120UL))
#define bFM3_ADC0_SCCR_SSTR                       *((volatile  uint8_t *)(0x424E0120UL))
#define bFM_ADC0_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E0124UL))
#define bFM3_ADC0_SCCR_SHEN                       *((volatile  uint8_t *)(0x424E0124UL))
#define bFM_ADC0_SCCR_RPT                         *((volatile  uint8_t *)(0x424E0128UL))
#define bFM3_ADC0_SCCR_RPT                        *((volatile  uint8_t *)(0x424E0128UL))
#define bFM_ADC0_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E0130UL))
#define bFM3_ADC0_SCCR_SFCLR                      *((volatile  uint8_t *)(0x424E0130UL))
#define bFM_ADC0_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E0134UL))
#define bFM3_ADC0_SCCR_SOVR                       *((volatile  uint8_t *)(0x424E0134UL))
#define bFM_ADC0_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E0138UL))
#define bFM3_ADC0_SCCR_SFUL                       *((volatile  uint8_t *)(0x424E0138UL))
#define bFM_ADC0_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E013CUL))
#define bFM3_ADC0_SCCR_SEMP                       *((volatile  uint8_t *)(0x424E013CUL))

#define bFM_ADC0_SCFD_INVL                        *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM3_ADC0_SCFD_INVL                       *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM3_ADC0_SCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E0280UL))
#define bFM3_ADC0_SCIS01_AN0                      *((volatile  uint8_t *)(0x424E0280UL))
#define bFM_ADC0_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E0284UL))
#define bFM3_ADC0_SCIS01_AN1                      *((volatile  uint8_t *)(0x424E0284UL))
#define bFM_ADC0_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E0288UL))
#define bFM3_ADC0_SCIS01_AN2                      *((volatile  uint8_t *)(0x424E0288UL))
#define bFM_ADC0_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E028CUL))
#define bFM3_ADC0_SCIS01_AN3                      *((volatile  uint8_t *)(0x424E028CUL))
#define bFM_ADC0_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E0290UL))
#define bFM3_ADC0_SCIS01_AN4                      *((volatile  uint8_t *)(0x424E0290UL))
#define bFM_ADC0_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E0294UL))
#define bFM3_ADC0_SCIS01_AN5                      *((volatile  uint8_t *)(0x424E0294UL))
#define bFM_ADC0_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E0298UL))
#define bFM3_ADC0_SCIS01_AN6                      *((volatile  uint8_t *)(0x424E0298UL))
#define bFM_ADC0_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E029CUL))
#define bFM3_ADC0_SCIS01_AN7                      *((volatile  uint8_t *)(0x424E029CUL))
#define bFM_ADC0_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM3_ADC0_SCIS01_AN8                      *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM_ADC0_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM3_ADC0_SCIS01_AN9                      *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM_ADC0_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM3_ADC0_SCIS01_AN10                     *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM_ADC0_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM3_ADC0_SCIS01_AN11                     *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM_ADC0_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM3_ADC0_SCIS01_AN12                     *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM_ADC0_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM3_ADC0_SCIS01_AN13                     *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM_ADC0_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM3_ADC0_SCIS01_AN14                     *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM_ADC0_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E02BCUL))
#define bFM3_ADC0_SCIS01_AN15                     *((volatile  uint8_t *)(0x424E02BCUL))

#define bFM_ADC0_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E0200UL))
#define bFM3_ADC0_SCIS23_AN16                     *((volatile  uint8_t *)(0x424E0200UL))
#define bFM_ADC0_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E0204UL))
#define bFM3_ADC0_SCIS23_AN17                     *((volatile  uint8_t *)(0x424E0204UL))
#define bFM_ADC0_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E0208UL))
#define bFM3_ADC0_SCIS23_AN18                     *((volatile  uint8_t *)(0x424E0208UL))
#define bFM_ADC0_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E020CUL))
#define bFM3_ADC0_SCIS23_AN19                     *((volatile  uint8_t *)(0x424E020CUL))
#define bFM_ADC0_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E0210UL))
#define bFM3_ADC0_SCIS23_AN20                     *((volatile  uint8_t *)(0x424E0210UL))
#define bFM_ADC0_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E0214UL))
#define bFM3_ADC0_SCIS23_AN21                     *((volatile  uint8_t *)(0x424E0214UL))
#define bFM_ADC0_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E0218UL))
#define bFM3_ADC0_SCIS23_AN22                     *((volatile  uint8_t *)(0x424E0218UL))
#define bFM_ADC0_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E021CUL))
#define bFM3_ADC0_SCIS23_AN23                     *((volatile  uint8_t *)(0x424E021CUL))
#define bFM_ADC0_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E0220UL))
#define bFM3_ADC0_SCIS23_AN24                     *((volatile  uint8_t *)(0x424E0220UL))
#define bFM_ADC0_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E0224UL))
#define bFM3_ADC0_SCIS23_AN25                     *((volatile  uint8_t *)(0x424E0224UL))
#define bFM_ADC0_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E0228UL))
#define bFM3_ADC0_SCIS23_AN26                     *((volatile  uint8_t *)(0x424E0228UL))
#define bFM_ADC0_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E022CUL))
#define bFM3_ADC0_SCIS23_AN27                     *((volatile  uint8_t *)(0x424E022CUL))
#define bFM_ADC0_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E0230UL))
#define bFM3_ADC0_SCIS23_AN28                     *((volatile  uint8_t *)(0x424E0230UL))
#define bFM_ADC0_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E0234UL))
#define bFM3_ADC0_SCIS23_AN29                     *((volatile  uint8_t *)(0x424E0234UL))
#define bFM_ADC0_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E0238UL))
#define bFM3_ADC0_SCIS23_AN30                     *((volatile  uint8_t *)(0x424E0238UL))
#define bFM_ADC0_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E023CUL))
#define bFM3_ADC0_SCIS23_AN31                     *((volatile  uint8_t *)(0x424E023CUL))


/******************************************************************************
 ** ADC Registers ADC1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC1_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E2780UL))
#define bFM3_ADC1_ADCEN_ENBL                      *((volatile  uint8_t *)(0x424E2780UL))
#define bFM_ADC1_ADCEN_READY                      *((volatile  uint8_t *)(0x424E2784UL))
#define bFM3_ADC1_ADCEN_READY                     *((volatile  uint8_t *)(0x424E2784UL))

#define bFM_ADC1_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E2020UL))
#define bFM3_ADC1_ADCR_OVRIE                      *((volatile  uint8_t *)(0x424E2020UL))
#define bFM_ADC1_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E2024UL))
#define bFM3_ADC1_ADCR_CMPIE                      *((volatile  uint8_t *)(0x424E2024UL))
#define bFM_ADC1_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E2028UL))
#define bFM3_ADC1_ADCR_PCIE                       *((volatile  uint8_t *)(0x424E2028UL))
#define bFM_ADC1_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E202CUL))
#define bFM3_ADC1_ADCR_SCIE                       *((volatile  uint8_t *)(0x424E202CUL))
#define bFM_ADC1_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E2034UL))
#define bFM3_ADC1_ADCR_CMPIF                      *((volatile  uint8_t *)(0x424E2034UL))
#define bFM_ADC1_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E2038UL))
#define bFM3_ADC1_ADCR_PCIF                       *((volatile  uint8_t *)(0x424E2038UL))
#define bFM_ADC1_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E203CUL))
#define bFM3_ADC1_ADCR_SCIF                       *((volatile  uint8_t *)(0x424E203CUL))

#define bFM_ADC1_ADSR_SCS                         *((volatile  uint8_t *)(0x424E2000UL))
#define bFM3_ADC1_ADSR_SCS                        *((volatile  uint8_t *)(0x424E2000UL))
#define bFM_ADC1_ADSR_PCS                         *((volatile  uint8_t *)(0x424E2004UL))
#define bFM3_ADC1_ADSR_PCS                        *((volatile  uint8_t *)(0x424E2004UL))
#define bFM_ADC1_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E2008UL))
#define bFM3_ADC1_ADSR_PCNS                       *((volatile  uint8_t *)(0x424E2008UL))
#define bFM_ADC1_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E2018UL))
#define bFM3_ADC1_ADSR_FDAS                       *((volatile  uint8_t *)(0x424E2018UL))
#define bFM_ADC1_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E201CUL))
#define bFM3_ADC1_ADSR_ADSTP                      *((volatile  uint8_t *)(0x424E201CUL))

#define bFM_ADC1_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E2580UL))
#define bFM3_ADC1_ADSS01_TS0                      *((volatile  uint8_t *)(0x424E2580UL))
#define bFM_ADC1_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E2584UL))
#define bFM3_ADC1_ADSS01_TS1                      *((volatile  uint8_t *)(0x424E2584UL))
#define bFM_ADC1_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E2588UL))
#define bFM3_ADC1_ADSS01_TS2                      *((volatile  uint8_t *)(0x424E2588UL))
#define bFM_ADC1_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E258CUL))
#define bFM3_ADC1_ADSS01_TS3                      *((volatile  uint8_t *)(0x424E258CUL))
#define bFM_ADC1_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E2590UL))
#define bFM3_ADC1_ADSS01_TS4                      *((volatile  uint8_t *)(0x424E2590UL))
#define bFM_ADC1_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E2594UL))
#define bFM3_ADC1_ADSS01_TS5                      *((volatile  uint8_t *)(0x424E2594UL))
#define bFM_ADC1_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E2598UL))
#define bFM3_ADC1_ADSS01_TS6                      *((volatile  uint8_t *)(0x424E2598UL))
#define bFM_ADC1_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E259CUL))
#define bFM3_ADC1_ADSS01_TS7                      *((volatile  uint8_t *)(0x424E259CUL))
#define bFM_ADC1_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E25A0UL))
#define bFM3_ADC1_ADSS01_TS8                      *((volatile  uint8_t *)(0x424E25A0UL))
#define bFM_ADC1_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E25A4UL))
#define bFM3_ADC1_ADSS01_TS9                      *((volatile  uint8_t *)(0x424E25A4UL))
#define bFM_ADC1_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E25A8UL))
#define bFM3_ADC1_ADSS01_TS10                     *((volatile  uint8_t *)(0x424E25A8UL))
#define bFM_ADC1_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E25ACUL))
#define bFM3_ADC1_ADSS01_TS11                     *((volatile  uint8_t *)(0x424E25ACUL))
#define bFM_ADC1_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E25B0UL))
#define bFM3_ADC1_ADSS01_TS12                     *((volatile  uint8_t *)(0x424E25B0UL))
#define bFM_ADC1_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E25B4UL))
#define bFM3_ADC1_ADSS01_TS13                     *((volatile  uint8_t *)(0x424E25B4UL))
#define bFM_ADC1_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E25B8UL))
#define bFM3_ADC1_ADSS01_TS14                     *((volatile  uint8_t *)(0x424E25B8UL))
#define bFM_ADC1_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E25BCUL))
#define bFM3_ADC1_ADSS01_TS15                     *((volatile  uint8_t *)(0x424E25BCUL))

#define bFM_ADC1_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E2500UL))
#define bFM3_ADC1_ADSS23_TS16                     *((volatile  uint8_t *)(0x424E2500UL))
#define bFM_ADC1_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E2504UL))
#define bFM3_ADC1_ADSS23_TS17                     *((volatile  uint8_t *)(0x424E2504UL))
#define bFM_ADC1_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E2508UL))
#define bFM3_ADC1_ADSS23_TS18                     *((volatile  uint8_t *)(0x424E2508UL))
#define bFM_ADC1_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E250CUL))
#define bFM3_ADC1_ADSS23_TS19                     *((volatile  uint8_t *)(0x424E250CUL))
#define bFM_ADC1_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E2510UL))
#define bFM3_ADC1_ADSS23_TS20                     *((volatile  uint8_t *)(0x424E2510UL))
#define bFM_ADC1_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E2514UL))
#define bFM3_ADC1_ADSS23_TS21                     *((volatile  uint8_t *)(0x424E2514UL))
#define bFM_ADC1_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E2518UL))
#define bFM3_ADC1_ADSS23_TS22                     *((volatile  uint8_t *)(0x424E2518UL))
#define bFM_ADC1_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E251CUL))
#define bFM3_ADC1_ADSS23_TS23                     *((volatile  uint8_t *)(0x424E251CUL))
#define bFM_ADC1_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E2520UL))
#define bFM3_ADC1_ADSS23_TS24                     *((volatile  uint8_t *)(0x424E2520UL))
#define bFM_ADC1_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E2524UL))
#define bFM3_ADC1_ADSS23_TS25                     *((volatile  uint8_t *)(0x424E2524UL))
#define bFM_ADC1_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E2528UL))
#define bFM3_ADC1_ADSS23_TS26                     *((volatile  uint8_t *)(0x424E2528UL))
#define bFM_ADC1_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E252CUL))
#define bFM3_ADC1_ADSS23_TS27                     *((volatile  uint8_t *)(0x424E252CUL))
#define bFM_ADC1_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E2530UL))
#define bFM3_ADC1_ADSS23_TS28                     *((volatile  uint8_t *)(0x424E2530UL))
#define bFM_ADC1_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E2534UL))
#define bFM3_ADC1_ADSS23_TS29                     *((volatile  uint8_t *)(0x424E2534UL))
#define bFM_ADC1_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E2538UL))
#define bFM3_ADC1_ADSS23_TS30                     *((volatile  uint8_t *)(0x424E2538UL))
#define bFM_ADC1_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E253CUL))
#define bFM3_ADC1_ADSS23_TS31                     *((volatile  uint8_t *)(0x424E253CUL))

#define bFM_ADC1_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E2494UL))
#define bFM3_ADC1_CMPCR_CMD0                      *((volatile  uint8_t *)(0x424E2494UL))
#define bFM_ADC1_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E2498UL))
#define bFM3_ADC1_CMPCR_CMD1                      *((volatile  uint8_t *)(0x424E2498UL))
#define bFM_ADC1_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E249CUL))
#define bFM3_ADC1_CMPCR_CMPEN                     *((volatile  uint8_t *)(0x424E249CUL))

#define bFM_ADC1_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E2320UL))
#define bFM3_ADC1_PCCR_PSTR                       *((volatile  uint8_t *)(0x424E2320UL))
#define bFM_ADC1_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E2324UL))
#define bFM3_ADC1_PCCR_PHEN                       *((volatile  uint8_t *)(0x424E2324UL))
#define bFM_ADC1_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E2328UL))
#define bFM3_ADC1_PCCR_PEEN                       *((volatile  uint8_t *)(0x424E2328UL))
#define bFM_ADC1_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E232CUL))
#define bFM3_ADC1_PCCR_ESCE                       *((volatile  uint8_t *)(0x424E232CUL))
#define bFM_ADC1_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E2330UL))
#define bFM3_ADC1_PCCR_PFCLR                      *((volatile  uint8_t *)(0x424E2330UL))
#define bFM_ADC1_PCCR_POVR                        *((volatile  uint8_t *)(0x424E2334UL))
#define bFM3_ADC1_PCCR_POVR                       *((volatile  uint8_t *)(0x424E2334UL))
#define bFM_ADC1_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E2338UL))
#define bFM3_ADC1_PCCR_PFUL                       *((volatile  uint8_t *)(0x424E2338UL))
#define bFM_ADC1_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E233CUL))
#define bFM3_ADC1_PCCR_PEMP                       *((volatile  uint8_t *)(0x424E233CUL))

#define bFM_ADC1_PCFD_INVL                        *((volatile  uint8_t *)(0x424E23B0UL))
#define bFM3_ADC1_PCFD_INVL                       *((volatile  uint8_t *)(0x424E23B0UL))

#define bFM_ADC1_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E23B0UL))
#define bFM3_ADC1_PCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E23B0UL))

#define bFM_ADC1_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E2120UL))
#define bFM3_ADC1_SCCR_SSTR                       *((volatile  uint8_t *)(0x424E2120UL))
#define bFM_ADC1_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E2124UL))
#define bFM3_ADC1_SCCR_SHEN                       *((volatile  uint8_t *)(0x424E2124UL))
#define bFM_ADC1_SCCR_RPT                         *((volatile  uint8_t *)(0x424E2128UL))
#define bFM3_ADC1_SCCR_RPT                        *((volatile  uint8_t *)(0x424E2128UL))
#define bFM_ADC1_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E2130UL))
#define bFM3_ADC1_SCCR_SFCLR                      *((volatile  uint8_t *)(0x424E2130UL))
#define bFM_ADC1_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E2134UL))
#define bFM3_ADC1_SCCR_SOVR                       *((volatile  uint8_t *)(0x424E2134UL))
#define bFM_ADC1_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E2138UL))
#define bFM3_ADC1_SCCR_SFUL                       *((volatile  uint8_t *)(0x424E2138UL))
#define bFM_ADC1_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E213CUL))
#define bFM3_ADC1_SCCR_SEMP                       *((volatile  uint8_t *)(0x424E213CUL))

#define bFM_ADC1_SCFD_INVL                        *((volatile  uint8_t *)(0x424E21B0UL))
#define bFM3_ADC1_SCFD_INVL                       *((volatile  uint8_t *)(0x424E21B0UL))

#define bFM_ADC1_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E21B0UL))
#define bFM3_ADC1_SCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E21B0UL))

#define bFM_ADC1_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E2280UL))
#define bFM3_ADC1_SCIS01_AN0                      *((volatile  uint8_t *)(0x424E2280UL))
#define bFM_ADC1_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E2284UL))
#define bFM3_ADC1_SCIS01_AN1                      *((volatile  uint8_t *)(0x424E2284UL))
#define bFM_ADC1_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E2288UL))
#define bFM3_ADC1_SCIS01_AN2                      *((volatile  uint8_t *)(0x424E2288UL))
#define bFM_ADC1_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E228CUL))
#define bFM3_ADC1_SCIS01_AN3                      *((volatile  uint8_t *)(0x424E228CUL))
#define bFM_ADC1_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E2290UL))
#define bFM3_ADC1_SCIS01_AN4                      *((volatile  uint8_t *)(0x424E2290UL))
#define bFM_ADC1_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E2294UL))
#define bFM3_ADC1_SCIS01_AN5                      *((volatile  uint8_t *)(0x424E2294UL))
#define bFM_ADC1_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E2298UL))
#define bFM3_ADC1_SCIS01_AN6                      *((volatile  uint8_t *)(0x424E2298UL))
#define bFM_ADC1_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E229CUL))
#define bFM3_ADC1_SCIS01_AN7                      *((volatile  uint8_t *)(0x424E229CUL))
#define bFM_ADC1_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E22A0UL))
#define bFM3_ADC1_SCIS01_AN8                      *((volatile  uint8_t *)(0x424E22A0UL))
#define bFM_ADC1_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E22A4UL))
#define bFM3_ADC1_SCIS01_AN9                      *((volatile  uint8_t *)(0x424E22A4UL))
#define bFM_ADC1_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E22A8UL))
#define bFM3_ADC1_SCIS01_AN10                     *((volatile  uint8_t *)(0x424E22A8UL))
#define bFM_ADC1_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E22ACUL))
#define bFM3_ADC1_SCIS01_AN11                     *((volatile  uint8_t *)(0x424E22ACUL))
#define bFM_ADC1_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E22B0UL))
#define bFM3_ADC1_SCIS01_AN12                     *((volatile  uint8_t *)(0x424E22B0UL))
#define bFM_ADC1_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E22B4UL))
#define bFM3_ADC1_SCIS01_AN13                     *((volatile  uint8_t *)(0x424E22B4UL))
#define bFM_ADC1_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E22B8UL))
#define bFM3_ADC1_SCIS01_AN14                     *((volatile  uint8_t *)(0x424E22B8UL))
#define bFM_ADC1_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E22BCUL))
#define bFM3_ADC1_SCIS01_AN15                     *((volatile  uint8_t *)(0x424E22BCUL))

#define bFM_ADC1_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E2200UL))
#define bFM3_ADC1_SCIS23_AN16                     *((volatile  uint8_t *)(0x424E2200UL))
#define bFM_ADC1_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E2204UL))
#define bFM3_ADC1_SCIS23_AN17                     *((volatile  uint8_t *)(0x424E2204UL))
#define bFM_ADC1_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E2208UL))
#define bFM3_ADC1_SCIS23_AN18                     *((volatile  uint8_t *)(0x424E2208UL))
#define bFM_ADC1_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E220CUL))
#define bFM3_ADC1_SCIS23_AN19                     *((volatile  uint8_t *)(0x424E220CUL))
#define bFM_ADC1_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E2210UL))
#define bFM3_ADC1_SCIS23_AN20                     *((volatile  uint8_t *)(0x424E2210UL))
#define bFM_ADC1_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E2214UL))
#define bFM3_ADC1_SCIS23_AN21                     *((volatile  uint8_t *)(0x424E2214UL))
#define bFM_ADC1_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E2218UL))
#define bFM3_ADC1_SCIS23_AN22                     *((volatile  uint8_t *)(0x424E2218UL))
#define bFM_ADC1_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E221CUL))
#define bFM3_ADC1_SCIS23_AN23                     *((volatile  uint8_t *)(0x424E221CUL))
#define bFM_ADC1_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E2220UL))
#define bFM3_ADC1_SCIS23_AN24                     *((volatile  uint8_t *)(0x424E2220UL))
#define bFM_ADC1_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E2224UL))
#define bFM3_ADC1_SCIS23_AN25                     *((volatile  uint8_t *)(0x424E2224UL))
#define bFM_ADC1_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E2228UL))
#define bFM3_ADC1_SCIS23_AN26                     *((volatile  uint8_t *)(0x424E2228UL))
#define bFM_ADC1_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E222CUL))
#define bFM3_ADC1_SCIS23_AN27                     *((volatile  uint8_t *)(0x424E222CUL))
#define bFM_ADC1_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E2230UL))
#define bFM3_ADC1_SCIS23_AN28                     *((volatile  uint8_t *)(0x424E2230UL))
#define bFM_ADC1_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E2234UL))
#define bFM3_ADC1_SCIS23_AN29                     *((volatile  uint8_t *)(0x424E2234UL))
#define bFM_ADC1_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E2238UL))
#define bFM3_ADC1_SCIS23_AN30                     *((volatile  uint8_t *)(0x424E2238UL))
#define bFM_ADC1_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E223CUL))
#define bFM3_ADC1_SCIS23_AN31                     *((volatile  uint8_t *)(0x424E223CUL))


/******************************************************************************
 ** ADC Registers ADC2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC2_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E4780UL))
#define bFM3_ADC2_ADCEN_ENBL                      *((volatile  uint8_t *)(0x424E4780UL))
#define bFM_ADC2_ADCEN_READY                      *((volatile  uint8_t *)(0x424E4784UL))
#define bFM3_ADC2_ADCEN_READY                     *((volatile  uint8_t *)(0x424E4784UL))

#define bFM_ADC2_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E4020UL))
#define bFM3_ADC2_ADCR_OVRIE                      *((volatile  uint8_t *)(0x424E4020UL))
#define bFM_ADC2_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E4024UL))
#define bFM3_ADC2_ADCR_CMPIE                      *((volatile  uint8_t *)(0x424E4024UL))
#define bFM_ADC2_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E4028UL))
#define bFM3_ADC2_ADCR_PCIE                       *((volatile  uint8_t *)(0x424E4028UL))
#define bFM_ADC2_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E402CUL))
#define bFM3_ADC2_ADCR_SCIE                       *((volatile  uint8_t *)(0x424E402CUL))
#define bFM_ADC2_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E4034UL))
#define bFM3_ADC2_ADCR_CMPIF                      *((volatile  uint8_t *)(0x424E4034UL))
#define bFM_ADC2_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E4038UL))
#define bFM3_ADC2_ADCR_PCIF                       *((volatile  uint8_t *)(0x424E4038UL))
#define bFM_ADC2_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E403CUL))
#define bFM3_ADC2_ADCR_SCIF                       *((volatile  uint8_t *)(0x424E403CUL))

#define bFM_ADC2_ADSR_SCS                         *((volatile  uint8_t *)(0x424E4000UL))
#define bFM3_ADC2_ADSR_SCS                        *((volatile  uint8_t *)(0x424E4000UL))
#define bFM_ADC2_ADSR_PCS                         *((volatile  uint8_t *)(0x424E4004UL))
#define bFM3_ADC2_ADSR_PCS                        *((volatile  uint8_t *)(0x424E4004UL))
#define bFM_ADC2_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E4008UL))
#define bFM3_ADC2_ADSR_PCNS                       *((volatile  uint8_t *)(0x424E4008UL))
#define bFM_ADC2_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E4018UL))
#define bFM3_ADC2_ADSR_FDAS                       *((volatile  uint8_t *)(0x424E4018UL))
#define bFM_ADC2_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E401CUL))
#define bFM3_ADC2_ADSR_ADSTP                      *((volatile  uint8_t *)(0x424E401CUL))

#define bFM_ADC2_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E4580UL))
#define bFM3_ADC2_ADSS01_TS0                      *((volatile  uint8_t *)(0x424E4580UL))
#define bFM_ADC2_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E4584UL))
#define bFM3_ADC2_ADSS01_TS1                      *((volatile  uint8_t *)(0x424E4584UL))
#define bFM_ADC2_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E4588UL))
#define bFM3_ADC2_ADSS01_TS2                      *((volatile  uint8_t *)(0x424E4588UL))
#define bFM_ADC2_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E458CUL))
#define bFM3_ADC2_ADSS01_TS3                      *((volatile  uint8_t *)(0x424E458CUL))
#define bFM_ADC2_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E4590UL))
#define bFM3_ADC2_ADSS01_TS4                      *((volatile  uint8_t *)(0x424E4590UL))
#define bFM_ADC2_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E4594UL))
#define bFM3_ADC2_ADSS01_TS5                      *((volatile  uint8_t *)(0x424E4594UL))
#define bFM_ADC2_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E4598UL))
#define bFM3_ADC2_ADSS01_TS6                      *((volatile  uint8_t *)(0x424E4598UL))
#define bFM_ADC2_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E459CUL))
#define bFM3_ADC2_ADSS01_TS7                      *((volatile  uint8_t *)(0x424E459CUL))
#define bFM_ADC2_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E45A0UL))
#define bFM3_ADC2_ADSS01_TS8                      *((volatile  uint8_t *)(0x424E45A0UL))
#define bFM_ADC2_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E45A4UL))
#define bFM3_ADC2_ADSS01_TS9                      *((volatile  uint8_t *)(0x424E45A4UL))
#define bFM_ADC2_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E45A8UL))
#define bFM3_ADC2_ADSS01_TS10                     *((volatile  uint8_t *)(0x424E45A8UL))
#define bFM_ADC2_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E45ACUL))
#define bFM3_ADC2_ADSS01_TS11                     *((volatile  uint8_t *)(0x424E45ACUL))
#define bFM_ADC2_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E45B0UL))
#define bFM3_ADC2_ADSS01_TS12                     *((volatile  uint8_t *)(0x424E45B0UL))
#define bFM_ADC2_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E45B4UL))
#define bFM3_ADC2_ADSS01_TS13                     *((volatile  uint8_t *)(0x424E45B4UL))
#define bFM_ADC2_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E45B8UL))
#define bFM3_ADC2_ADSS01_TS14                     *((volatile  uint8_t *)(0x424E45B8UL))
#define bFM_ADC2_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E45BCUL))
#define bFM3_ADC2_ADSS01_TS15                     *((volatile  uint8_t *)(0x424E45BCUL))

#define bFM_ADC2_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E4500UL))
#define bFM3_ADC2_ADSS23_TS16                     *((volatile  uint8_t *)(0x424E4500UL))
#define bFM_ADC2_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E4504UL))
#define bFM3_ADC2_ADSS23_TS17                     *((volatile  uint8_t *)(0x424E4504UL))
#define bFM_ADC2_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E4508UL))
#define bFM3_ADC2_ADSS23_TS18                     *((volatile  uint8_t *)(0x424E4508UL))
#define bFM_ADC2_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E450CUL))
#define bFM3_ADC2_ADSS23_TS19                     *((volatile  uint8_t *)(0x424E450CUL))
#define bFM_ADC2_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E4510UL))
#define bFM3_ADC2_ADSS23_TS20                     *((volatile  uint8_t *)(0x424E4510UL))
#define bFM_ADC2_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E4514UL))
#define bFM3_ADC2_ADSS23_TS21                     *((volatile  uint8_t *)(0x424E4514UL))
#define bFM_ADC2_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E4518UL))
#define bFM3_ADC2_ADSS23_TS22                     *((volatile  uint8_t *)(0x424E4518UL))
#define bFM_ADC2_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E451CUL))
#define bFM3_ADC2_ADSS23_TS23                     *((volatile  uint8_t *)(0x424E451CUL))
#define bFM_ADC2_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E4520UL))
#define bFM3_ADC2_ADSS23_TS24                     *((volatile  uint8_t *)(0x424E4520UL))
#define bFM_ADC2_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E4524UL))
#define bFM3_ADC2_ADSS23_TS25                     *((volatile  uint8_t *)(0x424E4524UL))
#define bFM_ADC2_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E4528UL))
#define bFM3_ADC2_ADSS23_TS26                     *((volatile  uint8_t *)(0x424E4528UL))
#define bFM_ADC2_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E452CUL))
#define bFM3_ADC2_ADSS23_TS27                     *((volatile  uint8_t *)(0x424E452CUL))
#define bFM_ADC2_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E4530UL))
#define bFM3_ADC2_ADSS23_TS28                     *((volatile  uint8_t *)(0x424E4530UL))
#define bFM_ADC2_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E4534UL))
#define bFM3_ADC2_ADSS23_TS29                     *((volatile  uint8_t *)(0x424E4534UL))
#define bFM_ADC2_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E4538UL))
#define bFM3_ADC2_ADSS23_TS30                     *((volatile  uint8_t *)(0x424E4538UL))
#define bFM_ADC2_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E453CUL))
#define bFM3_ADC2_ADSS23_TS31                     *((volatile  uint8_t *)(0x424E453CUL))

#define bFM_ADC2_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E4494UL))
#define bFM3_ADC2_CMPCR_CMD0                      *((volatile  uint8_t *)(0x424E4494UL))
#define bFM_ADC2_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E4498UL))
#define bFM3_ADC2_CMPCR_CMD1                      *((volatile  uint8_t *)(0x424E4498UL))
#define bFM_ADC2_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E449CUL))
#define bFM3_ADC2_CMPCR_CMPEN                     *((volatile  uint8_t *)(0x424E449CUL))

#define bFM_ADC2_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E4320UL))
#define bFM3_ADC2_PCCR_PSTR                       *((volatile  uint8_t *)(0x424E4320UL))
#define bFM_ADC2_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E4324UL))
#define bFM3_ADC2_PCCR_PHEN                       *((volatile  uint8_t *)(0x424E4324UL))
#define bFM_ADC2_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E4328UL))
#define bFM3_ADC2_PCCR_PEEN                       *((volatile  uint8_t *)(0x424E4328UL))
#define bFM_ADC2_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E432CUL))
#define bFM3_ADC2_PCCR_ESCE                       *((volatile  uint8_t *)(0x424E432CUL))
#define bFM_ADC2_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E4330UL))
#define bFM3_ADC2_PCCR_PFCLR                      *((volatile  uint8_t *)(0x424E4330UL))
#define bFM_ADC2_PCCR_POVR                        *((volatile  uint8_t *)(0x424E4334UL))
#define bFM3_ADC2_PCCR_POVR                       *((volatile  uint8_t *)(0x424E4334UL))
#define bFM_ADC2_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E4338UL))
#define bFM3_ADC2_PCCR_PFUL                       *((volatile  uint8_t *)(0x424E4338UL))
#define bFM_ADC2_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E433CUL))
#define bFM3_ADC2_PCCR_PEMP                       *((volatile  uint8_t *)(0x424E433CUL))

#define bFM_ADC2_PCFD_INVL                        *((volatile  uint8_t *)(0x424E43B0UL))
#define bFM3_ADC2_PCFD_INVL                       *((volatile  uint8_t *)(0x424E43B0UL))

#define bFM_ADC2_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E43B0UL))
#define bFM3_ADC2_PCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E43B0UL))

#define bFM_ADC2_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E4120UL))
#define bFM3_ADC2_SCCR_SSTR                       *((volatile  uint8_t *)(0x424E4120UL))
#define bFM_ADC2_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E4124UL))
#define bFM3_ADC2_SCCR_SHEN                       *((volatile  uint8_t *)(0x424E4124UL))
#define bFM_ADC2_SCCR_RPT                         *((volatile  uint8_t *)(0x424E4128UL))
#define bFM3_ADC2_SCCR_RPT                        *((volatile  uint8_t *)(0x424E4128UL))
#define bFM_ADC2_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E4130UL))
#define bFM3_ADC2_SCCR_SFCLR                      *((volatile  uint8_t *)(0x424E4130UL))
#define bFM_ADC2_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E4134UL))
#define bFM3_ADC2_SCCR_SOVR                       *((volatile  uint8_t *)(0x424E4134UL))
#define bFM_ADC2_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E4138UL))
#define bFM3_ADC2_SCCR_SFUL                       *((volatile  uint8_t *)(0x424E4138UL))
#define bFM_ADC2_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E413CUL))
#define bFM3_ADC2_SCCR_SEMP                       *((volatile  uint8_t *)(0x424E413CUL))

#define bFM_ADC2_SCFD_INVL                        *((volatile  uint8_t *)(0x424E41B0UL))
#define bFM3_ADC2_SCFD_INVL                       *((volatile  uint8_t *)(0x424E41B0UL))

#define bFM_ADC2_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E41B0UL))
#define bFM3_ADC2_SCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E41B0UL))

#define bFM_ADC2_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E4280UL))
#define bFM3_ADC2_SCIS01_AN0                      *((volatile  uint8_t *)(0x424E4280UL))
#define bFM_ADC2_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E4284UL))
#define bFM3_ADC2_SCIS01_AN1                      *((volatile  uint8_t *)(0x424E4284UL))
#define bFM_ADC2_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E4288UL))
#define bFM3_ADC2_SCIS01_AN2                      *((volatile  uint8_t *)(0x424E4288UL))
#define bFM_ADC2_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E428CUL))
#define bFM3_ADC2_SCIS01_AN3                      *((volatile  uint8_t *)(0x424E428CUL))
#define bFM_ADC2_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E4290UL))
#define bFM3_ADC2_SCIS01_AN4                      *((volatile  uint8_t *)(0x424E4290UL))
#define bFM_ADC2_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E4294UL))
#define bFM3_ADC2_SCIS01_AN5                      *((volatile  uint8_t *)(0x424E4294UL))
#define bFM_ADC2_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E4298UL))
#define bFM3_ADC2_SCIS01_AN6                      *((volatile  uint8_t *)(0x424E4298UL))
#define bFM_ADC2_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E429CUL))
#define bFM3_ADC2_SCIS01_AN7                      *((volatile  uint8_t *)(0x424E429CUL))
#define bFM_ADC2_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E42A0UL))
#define bFM3_ADC2_SCIS01_AN8                      *((volatile  uint8_t *)(0x424E42A0UL))
#define bFM_ADC2_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E42A4UL))
#define bFM3_ADC2_SCIS01_AN9                      *((volatile  uint8_t *)(0x424E42A4UL))
#define bFM_ADC2_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E42A8UL))
#define bFM3_ADC2_SCIS01_AN10                     *((volatile  uint8_t *)(0x424E42A8UL))
#define bFM_ADC2_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E42ACUL))
#define bFM3_ADC2_SCIS01_AN11                     *((volatile  uint8_t *)(0x424E42ACUL))
#define bFM_ADC2_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E42B0UL))
#define bFM3_ADC2_SCIS01_AN12                     *((volatile  uint8_t *)(0x424E42B0UL))
#define bFM_ADC2_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E42B4UL))
#define bFM3_ADC2_SCIS01_AN13                     *((volatile  uint8_t *)(0x424E42B4UL))
#define bFM_ADC2_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E42B8UL))
#define bFM3_ADC2_SCIS01_AN14                     *((volatile  uint8_t *)(0x424E42B8UL))
#define bFM_ADC2_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E42BCUL))
#define bFM3_ADC2_SCIS01_AN15                     *((volatile  uint8_t *)(0x424E42BCUL))

#define bFM_ADC2_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E4200UL))
#define bFM3_ADC2_SCIS23_AN16                     *((volatile  uint8_t *)(0x424E4200UL))
#define bFM_ADC2_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E4204UL))
#define bFM3_ADC2_SCIS23_AN17                     *((volatile  uint8_t *)(0x424E4204UL))
#define bFM_ADC2_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E4208UL))
#define bFM3_ADC2_SCIS23_AN18                     *((volatile  uint8_t *)(0x424E4208UL))
#define bFM_ADC2_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E420CUL))
#define bFM3_ADC2_SCIS23_AN19                     *((volatile  uint8_t *)(0x424E420CUL))
#define bFM_ADC2_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E4210UL))
#define bFM3_ADC2_SCIS23_AN20                     *((volatile  uint8_t *)(0x424E4210UL))
#define bFM_ADC2_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E4214UL))
#define bFM3_ADC2_SCIS23_AN21                     *((volatile  uint8_t *)(0x424E4214UL))
#define bFM_ADC2_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E4218UL))
#define bFM3_ADC2_SCIS23_AN22                     *((volatile  uint8_t *)(0x424E4218UL))
#define bFM_ADC2_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E421CUL))
#define bFM3_ADC2_SCIS23_AN23                     *((volatile  uint8_t *)(0x424E421CUL))
#define bFM_ADC2_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E4220UL))
#define bFM3_ADC2_SCIS23_AN24                     *((volatile  uint8_t *)(0x424E4220UL))
#define bFM_ADC2_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E4224UL))
#define bFM3_ADC2_SCIS23_AN25                     *((volatile  uint8_t *)(0x424E4224UL))
#define bFM_ADC2_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E4228UL))
#define bFM3_ADC2_SCIS23_AN26                     *((volatile  uint8_t *)(0x424E4228UL))
#define bFM_ADC2_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E422CUL))
#define bFM3_ADC2_SCIS23_AN27                     *((volatile  uint8_t *)(0x424E422CUL))
#define bFM_ADC2_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E4230UL))
#define bFM3_ADC2_SCIS23_AN28                     *((volatile  uint8_t *)(0x424E4230UL))
#define bFM_ADC2_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E4234UL))
#define bFM3_ADC2_SCIS23_AN29                     *((volatile  uint8_t *)(0x424E4234UL))
#define bFM_ADC2_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E4238UL))
#define bFM3_ADC2_SCIS23_AN30                     *((volatile  uint8_t *)(0x424E4238UL))
#define bFM_ADC2_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E423CUL))
#define bFM3_ADC2_SCIS23_AN31                     *((volatile  uint8_t *)(0x424E423CUL))


/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT0_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM3_BT0_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM3_BT0_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM3_BT0_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM3_BT0_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A0218UL))
#define bFM_BT0_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A021CUL))
#define bFM3_BT0_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A021CUL))

#define bFM_BT0_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A019CUL))
#define bFM3_BT0_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0204UL))
#define bFM3_BT0_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A0204UL))
#define bFM_BT0_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0214UL))
#define bFM3_BT0_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A0214UL))
#define bFM_BT0_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM3_BT0_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM3_BT0_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM3_BT0_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM3_BT0_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0180UL))
#define bFM3_BT0_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A018CUL))
#define bFM3_BT0_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A019CUL))
#define bFM3_BT0_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))


/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT1_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM3_BT1_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM3_BT1_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM3_BT1_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM3_BT1_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM_BT1_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A0A1CUL))
#define bFM3_BT1_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A0A1CUL))

#define bFM_BT1_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A099CUL))
#define bFM3_BT1_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM3_BT1_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM_BT1_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM3_BT1_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM_BT1_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM3_BT1_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM3_BT1_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM3_BT1_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM3_BT1_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0980UL))
#define bFM3_BT1_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A098CUL))
#define bFM3_BT1_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A099CUL))
#define bFM3_BT1_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))


/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT2_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM3_BT2_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM3_BT2_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM3_BT2_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM3_BT2_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A1218UL))
#define bFM_BT2_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A121CUL))
#define bFM3_BT2_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A121CUL))

#define bFM_BT2_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A119CUL))
#define bFM3_BT2_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1204UL))
#define bFM3_BT2_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A1204UL))
#define bFM_BT2_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1214UL))
#define bFM3_BT2_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A1214UL))
#define bFM_BT2_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM3_BT2_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM3_BT2_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM3_BT2_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM3_BT2_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1180UL))
#define bFM3_BT2_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A118CUL))
#define bFM3_BT2_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A119CUL))
#define bFM3_BT2_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))


/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT3_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM3_BT3_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM3_BT3_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM3_BT3_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM3_BT3_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM_BT3_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A1A1CUL))
#define bFM3_BT3_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A1A1CUL))

#define bFM_BT3_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A199CUL))
#define bFM3_BT3_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM3_BT3_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM_BT3_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM3_BT3_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM_BT3_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM3_BT3_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM3_BT3_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM3_BT3_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM3_BT3_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1980UL))
#define bFM3_BT3_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A198CUL))
#define bFM3_BT3_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A199CUL))
#define bFM3_BT3_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))


/******************************************************************************
 ** BT Registers BT4
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT4_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM3_BT4_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM3_BT4_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM3_BT4_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM_BT4_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A41ACUL))
#define bFM3_BT4_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A41ACUL))

#define bFM_BT4_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A4218UL))
#define bFM_BT4_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A421CUL))
#define bFM3_BT4_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A421CUL))

#define bFM_BT4_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A419CUL))
#define bFM3_BT4_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A419CUL))

#define bFM_BT4_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A4204UL))
#define bFM3_BT4_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A4204UL))
#define bFM_BT4_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A4214UL))
#define bFM3_BT4_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A4214UL))
#define bFM_BT4_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM3_BT4_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM3_BT4_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM3_BT4_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM_BT4_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A41ACUL))
#define bFM3_BT4_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A41ACUL))

#define bFM_BT4_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A4180UL))
#define bFM3_BT4_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A418CUL))
#define bFM3_BT4_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A419CUL))
#define bFM3_BT4_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A419CUL))

#define bFM_BT4_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))


/******************************************************************************
 ** BT Registers BT5
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT5_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM3_BT5_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM3_BT5_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM3_BT5_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM_BT5_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A49ACUL))
#define bFM3_BT5_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A49ACUL))

#define bFM_BT5_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM_BT5_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A4A1CUL))
#define bFM3_BT5_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A4A1CUL))

#define bFM_BT5_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A499CUL))
#define bFM3_BT5_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A499CUL))

#define bFM_BT5_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A4A04UL))
#define bFM3_BT5_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A4A04UL))
#define bFM_BT5_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A4A14UL))
#define bFM3_BT5_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A4A14UL))
#define bFM_BT5_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM3_BT5_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM3_BT5_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM3_BT5_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM_BT5_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A49ACUL))
#define bFM3_BT5_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A49ACUL))

#define bFM_BT5_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A4980UL))
#define bFM3_BT5_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A498CUL))
#define bFM3_BT5_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A499CUL))
#define bFM3_BT5_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A499CUL))

#define bFM_BT5_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))


/******************************************************************************
 ** BT Registers BT6
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT6_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM3_BT6_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM3_BT6_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM3_BT6_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM_BT6_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A51ACUL))
#define bFM3_BT6_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A51ACUL))

#define bFM_BT6_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A5218UL))
#define bFM_BT6_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A521CUL))
#define bFM3_BT6_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A521CUL))

#define bFM_BT6_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A519CUL))
#define bFM3_BT6_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A519CUL))

#define bFM_BT6_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A5204UL))
#define bFM3_BT6_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A5204UL))
#define bFM_BT6_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A5214UL))
#define bFM3_BT6_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A5214UL))
#define bFM_BT6_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM3_BT6_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM3_BT6_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM3_BT6_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM_BT6_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A51ACUL))
#define bFM3_BT6_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A51ACUL))

#define bFM_BT6_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A5180UL))
#define bFM3_BT6_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A518CUL))
#define bFM3_BT6_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A519CUL))
#define bFM3_BT6_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A519CUL))

#define bFM_BT6_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))


/******************************************************************************
 ** BT Registers BT7
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT7_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM3_BT7_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM3_BT7_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM3_BT7_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM_BT7_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A59ACUL))
#define bFM3_BT7_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A59ACUL))

#define bFM_BT7_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM_BT7_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A5A1CUL))
#define bFM3_BT7_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A5A1CUL))

#define bFM_BT7_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A599CUL))
#define bFM3_BT7_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A599CUL))

#define bFM_BT7_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A5A04UL))
#define bFM3_BT7_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A5A04UL))
#define bFM_BT7_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A5A14UL))
#define bFM3_BT7_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A5A14UL))
#define bFM_BT7_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM3_BT7_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM3_BT7_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM3_BT7_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM_BT7_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A59ACUL))
#define bFM3_BT7_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A59ACUL))

#define bFM_BT7_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A5980UL))
#define bFM3_BT7_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A598CUL))
#define bFM3_BT7_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A599CUL))
#define bFM3_BT7_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A599CUL))

#define bFM_BT7_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))


/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** BTIOSEL47 Registers BTIOSEL47
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRC_CRCCR_INIT                        *((volatile  uint8_t *)(0x42720000UL))
#define bFM3_CRC_CRCCR_INIT                       *((volatile  uint8_t *)(0x42720000UL))
#define bFM_CRC_CRCCR_CRC32                       *((volatile  uint8_t *)(0x42720004UL))
#define bFM3_CRC_CRCCR_CRC32                      *((volatile  uint8_t *)(0x42720004UL))
#define bFM_CRC_CRCCR_LTLEND                      *((volatile  uint8_t *)(0x42720008UL))
#define bFM3_CRC_CRCCR_LTLEND                     *((volatile  uint8_t *)(0x42720008UL))
#define bFM_CRC_CRCCR_LSBFST                      *((volatile  uint8_t *)(0x4272000CUL))
#define bFM3_CRC_CRCCR_LSBFST                     *((volatile  uint8_t *)(0x4272000CUL))
#define bFM_CRC_CRCCR_CRCLTE                      *((volatile  uint8_t *)(0x42720010UL))
#define bFM3_CRC_CRCCR_CRCLTE                     *((volatile  uint8_t *)(0x42720010UL))
#define bFM_CRC_CRCCR_CRCLSF                      *((volatile  uint8_t *)(0x42720014UL))
#define bFM3_CRC_CRCCR_CRCLSF                     *((volatile  uint8_t *)(0x42720014UL))
#define bFM_CRC_CRCCR_FXOR                        *((volatile  uint8_t *)(0x42720018UL))
#define bFM3_CRC_CRCCR_FXOR                       *((volatile  uint8_t *)(0x42720018UL))


/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRG_APBC1_PSR_APBC1RST                *((volatile  uint32_t*)(0x42200310UL))
#define bFM3_CRG_APBC1_PSR_APBC1RST               *((volatile  uint32_t*)(0x42200310UL))
#define bFM_CRG_APBC1_PSR_APBC1EN                 *((volatile  uint32_t*)(0x4220031CUL))
#define bFM3_CRG_APBC1_PSR_APBC1EN                *((volatile  uint32_t*)(0x4220031CUL))

#define bFM_CRG_APBC2_PSR_APBC2RST                *((volatile  uint32_t*)(0x42200390UL))
#define bFM3_CRG_APBC2_PSR_APBC2RST               *((volatile  uint32_t*)(0x42200390UL))
#define bFM_CRG_APBC2_PSR_APBC2EN                 *((volatile  uint32_t*)(0x4220039CUL))
#define bFM3_CRG_APBC2_PSR_APBC2EN                *((volatile  uint32_t*)(0x4220039CUL))

#define bFM_CRG_CSV_CTL_MCSVE                     *((volatile  uint32_t*)(0x42200800UL))
#define bFM3_CRG_CSV_CTL_MCSVE                    *((volatile  uint32_t*)(0x42200800UL))
#define bFM_CRG_CSV_CTL_SCSVE                     *((volatile  uint32_t*)(0x42200804UL))
#define bFM3_CRG_CSV_CTL_SCSVE                    *((volatile  uint32_t*)(0x42200804UL))
#define bFM_CRG_CSV_CTL_FCSDE                     *((volatile  uint32_t*)(0x42200820UL))
#define bFM3_CRG_CSV_CTL_FCSDE                    *((volatile  uint32_t*)(0x42200820UL))
#define bFM_CRG_CSV_CTL_FCSRE                     *((volatile  uint32_t*)(0x42200824UL))
#define bFM3_CRG_CSV_CTL_FCSRE                    *((volatile  uint32_t*)(0x42200824UL))

#define bFM_CRG_CSV_STR_MCMF                      *((volatile  uint32_t*)(0x42200880UL))
#define bFM3_CRG_CSV_STR_MCMF                     *((volatile  uint32_t*)(0x42200880UL))
#define bFM_CRG_CSV_STR_SCMF                      *((volatile  uint32_t*)(0x42200884UL))
#define bFM3_CRG_CSV_STR_SCMF                     *((volatile  uint32_t*)(0x42200884UL))

#define bFM_CRG_DBWDT_CTL_DPSWBE                  *((volatile  uint32_t*)(0x42200A94UL))
#define bFM3_CRG_DBWDT_CTL_DPSWBE                 *((volatile  uint32_t*)(0x42200A94UL))
#define bFM_CRG_DBWDT_CTL_DPHWBE                  *((volatile  uint32_t*)(0x42200A9CUL))
#define bFM3_CRG_DBWDT_CTL_DPHWBE                 *((volatile  uint32_t*)(0x42200A9CUL))

#define bFM_CRG_INT_CLR_MCSC                      *((volatile  uint32_t*)(0x42200D00UL))
#define bFM3_CRG_INT_CLR_MCSC                     *((volatile  uint32_t*)(0x42200D00UL))
#define bFM_CRG_INT_CLR_SCSC                      *((volatile  uint32_t*)(0x42200D04UL))
#define bFM3_CRG_INT_CLR_SCSC                     *((volatile  uint32_t*)(0x42200D04UL))
#define bFM_CRG_INT_CLR_PCSC                      *((volatile  uint32_t*)(0x42200D08UL))
#define bFM3_CRG_INT_CLR_PCSC                     *((volatile  uint32_t*)(0x42200D08UL))
#define bFM_CRG_INT_CLR_FCSC                      *((volatile  uint32_t*)(0x42200D14UL))
#define bFM3_CRG_INT_CLR_FCSC                     *((volatile  uint32_t*)(0x42200D14UL))

#define bFM_CRG_INT_ENR_MCSE                      *((volatile  uint32_t*)(0x42200C00UL))
#define bFM3_CRG_INT_ENR_MCSE                     *((volatile  uint32_t*)(0x42200C00UL))
#define bFM_CRG_INT_ENR_SCSE                      *((volatile  uint32_t*)(0x42200C04UL))
#define bFM3_CRG_INT_ENR_SCSE                     *((volatile  uint32_t*)(0x42200C04UL))
#define bFM_CRG_INT_ENR_PCSE                      *((volatile  uint32_t*)(0x42200C08UL))
#define bFM3_CRG_INT_ENR_PCSE                     *((volatile  uint32_t*)(0x42200C08UL))
#define bFM_CRG_INT_ENR_FCSE                      *((volatile  uint32_t*)(0x42200C14UL))
#define bFM3_CRG_INT_ENR_FCSE                     *((volatile  uint32_t*)(0x42200C14UL))

#define bFM_CRG_INT_STR_MCSI                      *((volatile  uint32_t*)(0x42200C80UL))
#define bFM3_CRG_INT_STR_MCSI                     *((volatile  uint32_t*)(0x42200C80UL))
#define bFM_CRG_INT_STR_SCSI                      *((volatile  uint32_t*)(0x42200C84UL))
#define bFM3_CRG_INT_STR_SCSI                     *((volatile  uint32_t*)(0x42200C84UL))
#define bFM_CRG_INT_STR_PCSI                      *((volatile  uint32_t*)(0x42200C88UL))
#define bFM3_CRG_INT_STR_PCSI                     *((volatile  uint32_t*)(0x42200C88UL))
#define bFM_CRG_INT_STR_FCSI                      *((volatile  uint32_t*)(0x42200C94UL))
#define bFM3_CRG_INT_STR_FCSI                     *((volatile  uint32_t*)(0x42200C94UL))

#define bFM_CRG_PSW_TMR_PINC                      *((volatile  uint32_t*)(0x42200690UL))
#define bFM3_CRG_PSW_TMR_PINC                     *((volatile  uint32_t*)(0x42200690UL))

#define bFM_CRG_RST_STR_PONR                      *((volatile  uint32_t*)(0x42200180UL))
#define bFM3_CRG_RST_STR_PONR                     *((volatile  uint32_t*)(0x42200180UL))
#define bFM_CRG_RST_STR_INITX                     *((volatile  uint32_t*)(0x42200184UL))
#define bFM3_CRG_RST_STR_INITX                    *((volatile  uint32_t*)(0x42200184UL))
#define bFM_CRG_RST_STR_SWDT                      *((volatile  uint32_t*)(0x42200190UL))
#define bFM3_CRG_RST_STR_SWDT                     *((volatile  uint32_t*)(0x42200190UL))
#define bFM_CRG_RST_STR_HWDT                      *((volatile  uint32_t*)(0x42200194UL))
#define bFM3_CRG_RST_STR_HWDT                     *((volatile  uint32_t*)(0x42200194UL))
#define bFM_CRG_RST_STR_CSVR                      *((volatile  uint32_t*)(0x42200198UL))
#define bFM3_CRG_RST_STR_CSVR                     *((volatile  uint32_t*)(0x42200198UL))
#define bFM_CRG_RST_STR_FCSR                      *((volatile  uint32_t*)(0x4220019CUL))
#define bFM3_CRG_RST_STR_FCSR                     *((volatile  uint32_t*)(0x4220019CUL))
#define bFM_CRG_RST_STR_SRST                      *((volatile  uint32_t*)(0x422001A0UL))
#define bFM3_CRG_RST_STR_SRST                     *((volatile  uint32_t*)(0x422001A0UL))

#define bFM_CRG_SCM_CTL_MOSCE                     *((volatile  uint32_t*)(0x42200004UL))
#define bFM3_CRG_SCM_CTL_MOSCE                    *((volatile  uint32_t*)(0x42200004UL))
#define bFM_CRG_SCM_CTL_SOSCE                     *((volatile  uint32_t*)(0x4220000CUL))
#define bFM3_CRG_SCM_CTL_SOSCE                    *((volatile  uint32_t*)(0x4220000CUL))
#define bFM_CRG_SCM_CTL_PLLE                      *((volatile  uint32_t*)(0x42200010UL))
#define bFM3_CRG_SCM_CTL_PLLE                     *((volatile  uint32_t*)(0x42200010UL))

#define bFM_CRG_SCM_STR_MORDY                     *((volatile  uint32_t*)(0x42200084UL))
#define bFM3_CRG_SCM_STR_MORDY                    *((volatile  uint32_t*)(0x42200084UL))
#define bFM_CRG_SCM_STR_SORDY                     *((volatile  uint32_t*)(0x4220008CUL))
#define bFM3_CRG_SCM_STR_SORDY                    *((volatile  uint32_t*)(0x4220008CUL))
#define bFM_CRG_SCM_STR_PLRDY                     *((volatile  uint32_t*)(0x42200090UL))
#define bFM3_CRG_SCM_STR_PLRDY                    *((volatile  uint32_t*)(0x42200090UL))

#define bFM_CRG_STB_CTL_SPL                       *((volatile  uint32_t*)(0x42200110UL))
#define bFM3_CRG_STB_CTL_SPL                      *((volatile  uint32_t*)(0x42200110UL))

#define bFM_CRG_SWC_PSR_TESTB                     *((volatile  uint32_t*)(0x4220041CUL))
#define bFM3_CRG_SWC_PSR_TESTB                    *((volatile  uint32_t*)(0x4220041CUL))

#define bFM_CRG_TTC_PSR_TTC                       *((volatile  uint32_t*)(0x42200500UL))
#define bFM3_CRG_TTC_PSR_TTC                      *((volatile  uint32_t*)(0x42200500UL))


/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** DMAC Registers DMAC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DMAC_DMACA0_ST                        *((volatile  uint8_t *)(0x42C00274UL))
#define bFM3_DMAC_DMACA0_ST                       *((volatile  uint8_t *)(0x42C00274UL))
#define bFM_DMAC_DMACA0_PB                        *((volatile  uint8_t *)(0x42C00278UL))
#define bFM3_DMAC_DMACA0_PB                       *((volatile  uint8_t *)(0x42C00278UL))
#define bFM_DMAC_DMACA0_EB                        *((volatile  uint8_t *)(0x42C0027CUL))
#define bFM3_DMAC_DMACA0_EB                       *((volatile  uint8_t *)(0x42C0027CUL))

#define bFM_DMAC_DMACA1_ST                        *((volatile  uint8_t *)(0x42C00474UL))
#define bFM3_DMAC_DMACA1_ST                       *((volatile  uint8_t *)(0x42C00474UL))
#define bFM_DMAC_DMACA1_PB                        *((volatile  uint8_t *)(0x42C00478UL))
#define bFM3_DMAC_DMACA1_PB                       *((volatile  uint8_t *)(0x42C00478UL))
#define bFM_DMAC_DMACA1_EB                        *((volatile  uint8_t *)(0x42C0047CUL))
#define bFM3_DMAC_DMACA1_EB                       *((volatile  uint8_t *)(0x42C0047CUL))

#define bFM_DMAC_DMACA2_ST                        *((volatile  uint8_t *)(0x42C00674UL))
#define bFM3_DMAC_DMACA2_ST                       *((volatile  uint8_t *)(0x42C00674UL))
#define bFM_DMAC_DMACA2_PB                        *((volatile  uint8_t *)(0x42C00678UL))
#define bFM3_DMAC_DMACA2_PB                       *((volatile  uint8_t *)(0x42C00678UL))
#define bFM_DMAC_DMACA2_EB                        *((volatile  uint8_t *)(0x42C0067CUL))
#define bFM3_DMAC_DMACA2_EB                       *((volatile  uint8_t *)(0x42C0067CUL))

#define bFM_DMAC_DMACA3_ST                        *((volatile  uint8_t *)(0x42C00874UL))
#define bFM3_DMAC_DMACA3_ST                       *((volatile  uint8_t *)(0x42C00874UL))
#define bFM_DMAC_DMACA3_PB                        *((volatile  uint8_t *)(0x42C00878UL))
#define bFM3_DMAC_DMACA3_PB                       *((volatile  uint8_t *)(0x42C00878UL))
#define bFM_DMAC_DMACA3_EB                        *((volatile  uint8_t *)(0x42C0087CUL))
#define bFM3_DMAC_DMACA3_EB                       *((volatile  uint8_t *)(0x42C0087CUL))

#define bFM_DMAC_DMACA4_ST                        *((volatile  uint8_t *)(0x42C00A74UL))
#define bFM3_DMAC_DMACA4_ST                       *((volatile  uint8_t *)(0x42C00A74UL))
#define bFM_DMAC_DMACA4_PB                        *((volatile  uint8_t *)(0x42C00A78UL))
#define bFM3_DMAC_DMACA4_PB                       *((volatile  uint8_t *)(0x42C00A78UL))
#define bFM_DMAC_DMACA4_EB                        *((volatile  uint8_t *)(0x42C00A7CUL))
#define bFM3_DMAC_DMACA4_EB                       *((volatile  uint8_t *)(0x42C00A7CUL))

#define bFM_DMAC_DMACA5_ST                        *((volatile  uint8_t *)(0x42C00C74UL))
#define bFM3_DMAC_DMACA5_ST                       *((volatile  uint8_t *)(0x42C00C74UL))
#define bFM_DMAC_DMACA5_PB                        *((volatile  uint8_t *)(0x42C00C78UL))
#define bFM3_DMAC_DMACA5_PB                       *((volatile  uint8_t *)(0x42C00C78UL))
#define bFM_DMAC_DMACA5_EB                        *((volatile  uint8_t *)(0x42C00C7CUL))
#define bFM3_DMAC_DMACA5_EB                       *((volatile  uint8_t *)(0x42C00C7CUL))

#define bFM_DMAC_DMACA6_ST                        *((volatile  uint8_t *)(0x42C00E74UL))
#define bFM3_DMAC_DMACA6_ST                       *((volatile  uint8_t *)(0x42C00E74UL))
#define bFM_DMAC_DMACA6_PB                        *((volatile  uint8_t *)(0x42C00E78UL))
#define bFM3_DMAC_DMACA6_PB                       *((volatile  uint8_t *)(0x42C00E78UL))
#define bFM_DMAC_DMACA6_EB                        *((volatile  uint8_t *)(0x42C00E7CUL))
#define bFM3_DMAC_DMACA6_EB                       *((volatile  uint8_t *)(0x42C00E7CUL))

#define bFM_DMAC_DMACA7_ST                        *((volatile  uint8_t *)(0x42C01074UL))
#define bFM3_DMAC_DMACA7_ST                       *((volatile  uint8_t *)(0x42C01074UL))
#define bFM_DMAC_DMACA7_PB                        *((volatile  uint8_t *)(0x42C01078UL))
#define bFM3_DMAC_DMACA7_PB                       *((volatile  uint8_t *)(0x42C01078UL))
#define bFM_DMAC_DMACA7_EB                        *((volatile  uint8_t *)(0x42C0107CUL))
#define bFM3_DMAC_DMACA7_EB                       *((volatile  uint8_t *)(0x42C0107CUL))

#define bFM_DMAC_DMACB0_EM                        *((volatile  uint8_t *)(0x42C00280UL))
#define bFM3_DMAC_DMACB0_EM                       *((volatile  uint8_t *)(0x42C00280UL))
#define bFM_DMAC_DMACB0_CI                        *((volatile  uint8_t *)(0x42C002CCUL))
#define bFM3_DMAC_DMACB0_CI                       *((volatile  uint8_t *)(0x42C002CCUL))
#define bFM_DMAC_DMACB0_EI                        *((volatile  uint8_t *)(0x42C002D0UL))
#define bFM3_DMAC_DMACB0_EI                       *((volatile  uint8_t *)(0x42C002D0UL))
#define bFM_DMAC_DMACB0_RD                        *((volatile  uint8_t *)(0x42C002D4UL))
#define bFM3_DMAC_DMACB0_RD                       *((volatile  uint8_t *)(0x42C002D4UL))
#define bFM_DMAC_DMACB0_RS                        *((volatile  uint8_t *)(0x42C002D8UL))
#define bFM3_DMAC_DMACB0_RS                       *((volatile  uint8_t *)(0x42C002D8UL))
#define bFM_DMAC_DMACB0_RC                        *((volatile  uint8_t *)(0x42C002DCUL))
#define bFM3_DMAC_DMACB0_RC                       *((volatile  uint8_t *)(0x42C002DCUL))
#define bFM_DMAC_DMACB0_FD                        *((volatile  uint8_t *)(0x42C002E0UL))
#define bFM3_DMAC_DMACB0_FD                       *((volatile  uint8_t *)(0x42C002E0UL))
#define bFM_DMAC_DMACB0_FS                        *((volatile  uint8_t *)(0x42C002E4UL))
#define bFM3_DMAC_DMACB0_FS                       *((volatile  uint8_t *)(0x42C002E4UL))

#define bFM_DMAC_DMACB1_EM                        *((volatile  uint8_t *)(0x42C00480UL))
#define bFM3_DMAC_DMACB1_EM                       *((volatile  uint8_t *)(0x42C00480UL))
#define bFM_DMAC_DMACB1_CI                        *((volatile  uint8_t *)(0x42C004CCUL))
#define bFM3_DMAC_DMACB1_CI                       *((volatile  uint8_t *)(0x42C004CCUL))
#define bFM_DMAC_DMACB1_EI                        *((volatile  uint8_t *)(0x42C004D0UL))
#define bFM3_DMAC_DMACB1_EI                       *((volatile  uint8_t *)(0x42C004D0UL))
#define bFM_DMAC_DMACB1_RD                        *((volatile  uint8_t *)(0x42C004D4UL))
#define bFM3_DMAC_DMACB1_RD                       *((volatile  uint8_t *)(0x42C004D4UL))
#define bFM_DMAC_DMACB1_RS                        *((volatile  uint8_t *)(0x42C004D8UL))
#define bFM3_DMAC_DMACB1_RS                       *((volatile  uint8_t *)(0x42C004D8UL))
#define bFM_DMAC_DMACB1_RC                        *((volatile  uint8_t *)(0x42C004DCUL))
#define bFM3_DMAC_DMACB1_RC                       *((volatile  uint8_t *)(0x42C004DCUL))
#define bFM_DMAC_DMACB1_FD                        *((volatile  uint8_t *)(0x42C004E0UL))
#define bFM3_DMAC_DMACB1_FD                       *((volatile  uint8_t *)(0x42C004E0UL))
#define bFM_DMAC_DMACB1_FS                        *((volatile  uint8_t *)(0x42C004E4UL))
#define bFM3_DMAC_DMACB1_FS                       *((volatile  uint8_t *)(0x42C004E4UL))

#define bFM_DMAC_DMACB2_EM                        *((volatile  uint8_t *)(0x42C00680UL))
#define bFM3_DMAC_DMACB2_EM                       *((volatile  uint8_t *)(0x42C00680UL))
#define bFM_DMAC_DMACB2_CI                        *((volatile  uint8_t *)(0x42C006CCUL))
#define bFM3_DMAC_DMACB2_CI                       *((volatile  uint8_t *)(0x42C006CCUL))
#define bFM_DMAC_DMACB2_EI                        *((volatile  uint8_t *)(0x42C006D0UL))
#define bFM3_DMAC_DMACB2_EI                       *((volatile  uint8_t *)(0x42C006D0UL))
#define bFM_DMAC_DMACB2_RD                        *((volatile  uint8_t *)(0x42C006D4UL))
#define bFM3_DMAC_DMACB2_RD                       *((volatile  uint8_t *)(0x42C006D4UL))
#define bFM_DMAC_DMACB2_RS                        *((volatile  uint8_t *)(0x42C006D8UL))
#define bFM3_DMAC_DMACB2_RS                       *((volatile  uint8_t *)(0x42C006D8UL))
#define bFM_DMAC_DMACB2_RC                        *((volatile  uint8_t *)(0x42C006DCUL))
#define bFM3_DMAC_DMACB2_RC                       *((volatile  uint8_t *)(0x42C006DCUL))
#define bFM_DMAC_DMACB2_FD                        *((volatile  uint8_t *)(0x42C006E0UL))
#define bFM3_DMAC_DMACB2_FD                       *((volatile  uint8_t *)(0x42C006E0UL))
#define bFM_DMAC_DMACB2_FS                        *((volatile  uint8_t *)(0x42C006E4UL))
#define bFM3_DMAC_DMACB2_FS                       *((volatile  uint8_t *)(0x42C006E4UL))

#define bFM_DMAC_DMACB3_EM                        *((volatile  uint8_t *)(0x42C00880UL))
#define bFM3_DMAC_DMACB3_EM                       *((volatile  uint8_t *)(0x42C00880UL))
#define bFM_DMAC_DMACB3_CI                        *((volatile  uint8_t *)(0x42C008CCUL))
#define bFM3_DMAC_DMACB3_CI                       *((volatile  uint8_t *)(0x42C008CCUL))
#define bFM_DMAC_DMACB3_EI                        *((volatile  uint8_t *)(0x42C008D0UL))
#define bFM3_DMAC_DMACB3_EI                       *((volatile  uint8_t *)(0x42C008D0UL))
#define bFM_DMAC_DMACB3_RD                        *((volatile  uint8_t *)(0x42C008D4UL))
#define bFM3_DMAC_DMACB3_RD                       *((volatile  uint8_t *)(0x42C008D4UL))
#define bFM_DMAC_DMACB3_RS                        *((volatile  uint8_t *)(0x42C008D8UL))
#define bFM3_DMAC_DMACB3_RS                       *((volatile  uint8_t *)(0x42C008D8UL))
#define bFM_DMAC_DMACB3_RC                        *((volatile  uint8_t *)(0x42C008DCUL))
#define bFM3_DMAC_DMACB3_RC                       *((volatile  uint8_t *)(0x42C008DCUL))
#define bFM_DMAC_DMACB3_FD                        *((volatile  uint8_t *)(0x42C008E0UL))
#define bFM3_DMAC_DMACB3_FD                       *((volatile  uint8_t *)(0x42C008E0UL))
#define bFM_DMAC_DMACB3_FS                        *((volatile  uint8_t *)(0x42C008E4UL))
#define bFM3_DMAC_DMACB3_FS                       *((volatile  uint8_t *)(0x42C008E4UL))

#define bFM_DMAC_DMACB4_EM                        *((volatile  uint8_t *)(0x42C00A80UL))
#define bFM3_DMAC_DMACB4_EM                       *((volatile  uint8_t *)(0x42C00A80UL))
#define bFM_DMAC_DMACB4_CI                        *((volatile  uint8_t *)(0x42C00ACCUL))
#define bFM3_DMAC_DMACB4_CI                       *((volatile  uint8_t *)(0x42C00ACCUL))
#define bFM_DMAC_DMACB4_EI                        *((volatile  uint8_t *)(0x42C00AD0UL))
#define bFM3_DMAC_DMACB4_EI                       *((volatile  uint8_t *)(0x42C00AD0UL))
#define bFM_DMAC_DMACB4_RD                        *((volatile  uint8_t *)(0x42C00AD4UL))
#define bFM3_DMAC_DMACB4_RD                       *((volatile  uint8_t *)(0x42C00AD4UL))
#define bFM_DMAC_DMACB4_RS                        *((volatile  uint8_t *)(0x42C00AD8UL))
#define bFM3_DMAC_DMACB4_RS                       *((volatile  uint8_t *)(0x42C00AD8UL))
#define bFM_DMAC_DMACB4_RC                        *((volatile  uint8_t *)(0x42C00ADCUL))
#define bFM3_DMAC_DMACB4_RC                       *((volatile  uint8_t *)(0x42C00ADCUL))
#define bFM_DMAC_DMACB4_FD                        *((volatile  uint8_t *)(0x42C00AE0UL))
#define bFM3_DMAC_DMACB4_FD                       *((volatile  uint8_t *)(0x42C00AE0UL))
#define bFM_DMAC_DMACB4_FS                        *((volatile  uint8_t *)(0x42C00AE4UL))
#define bFM3_DMAC_DMACB4_FS                       *((volatile  uint8_t *)(0x42C00AE4UL))

#define bFM_DMAC_DMACB5_EM                        *((volatile  uint8_t *)(0x42C00C80UL))
#define bFM3_DMAC_DMACB5_EM                       *((volatile  uint8_t *)(0x42C00C80UL))
#define bFM_DMAC_DMACB5_CI                        *((volatile  uint8_t *)(0x42C00CCCUL))
#define bFM3_DMAC_DMACB5_CI                       *((volatile  uint8_t *)(0x42C00CCCUL))
#define bFM_DMAC_DMACB5_EI                        *((volatile  uint8_t *)(0x42C00CD0UL))
#define bFM3_DMAC_DMACB5_EI                       *((volatile  uint8_t *)(0x42C00CD0UL))
#define bFM_DMAC_DMACB5_RD                        *((volatile  uint8_t *)(0x42C00CD4UL))
#define bFM3_DMAC_DMACB5_RD                       *((volatile  uint8_t *)(0x42C00CD4UL))
#define bFM_DMAC_DMACB5_RS                        *((volatile  uint8_t *)(0x42C00CD8UL))
#define bFM3_DMAC_DMACB5_RS                       *((volatile  uint8_t *)(0x42C00CD8UL))
#define bFM_DMAC_DMACB5_RC                        *((volatile  uint8_t *)(0x42C00CDCUL))
#define bFM3_DMAC_DMACB5_RC                       *((volatile  uint8_t *)(0x42C00CDCUL))
#define bFM_DMAC_DMACB5_FD                        *((volatile  uint8_t *)(0x42C00CE0UL))
#define bFM3_DMAC_DMACB5_FD                       *((volatile  uint8_t *)(0x42C00CE0UL))
#define bFM_DMAC_DMACB5_FS                        *((volatile  uint8_t *)(0x42C00CE4UL))
#define bFM3_DMAC_DMACB5_FS                       *((volatile  uint8_t *)(0x42C00CE4UL))

#define bFM_DMAC_DMACB6_EM                        *((volatile  uint8_t *)(0x42C00E80UL))
#define bFM3_DMAC_DMACB6_EM                       *((volatile  uint8_t *)(0x42C00E80UL))
#define bFM_DMAC_DMACB6_CI                        *((volatile  uint8_t *)(0x42C00ECCUL))
#define bFM3_DMAC_DMACB6_CI                       *((volatile  uint8_t *)(0x42C00ECCUL))
#define bFM_DMAC_DMACB6_EI                        *((volatile  uint8_t *)(0x42C00ED0UL))
#define bFM3_DMAC_DMACB6_EI                       *((volatile  uint8_t *)(0x42C00ED0UL))
#define bFM_DMAC_DMACB6_RD                        *((volatile  uint8_t *)(0x42C00ED4UL))
#define bFM3_DMAC_DMACB6_RD                       *((volatile  uint8_t *)(0x42C00ED4UL))
#define bFM_DMAC_DMACB6_RS                        *((volatile  uint8_t *)(0x42C00ED8UL))
#define bFM3_DMAC_DMACB6_RS                       *((volatile  uint8_t *)(0x42C00ED8UL))
#define bFM_DMAC_DMACB6_RC                        *((volatile  uint8_t *)(0x42C00EDCUL))
#define bFM3_DMAC_DMACB6_RC                       *((volatile  uint8_t *)(0x42C00EDCUL))
#define bFM_DMAC_DMACB6_FD                        *((volatile  uint8_t *)(0x42C00EE0UL))
#define bFM3_DMAC_DMACB6_FD                       *((volatile  uint8_t *)(0x42C00EE0UL))
#define bFM_DMAC_DMACB6_FS                        *((volatile  uint8_t *)(0x42C00EE4UL))
#define bFM3_DMAC_DMACB6_FS                       *((volatile  uint8_t *)(0x42C00EE4UL))

#define bFM_DMAC_DMACB7_EM                        *((volatile  uint8_t *)(0x42C01080UL))
#define bFM3_DMAC_DMACB7_EM                       *((volatile  uint8_t *)(0x42C01080UL))
#define bFM_DMAC_DMACB7_CI                        *((volatile  uint8_t *)(0x42C010CCUL))
#define bFM3_DMAC_DMACB7_CI                       *((volatile  uint8_t *)(0x42C010CCUL))
#define bFM_DMAC_DMACB7_EI                        *((volatile  uint8_t *)(0x42C010D0UL))
#define bFM3_DMAC_DMACB7_EI                       *((volatile  uint8_t *)(0x42C010D0UL))
#define bFM_DMAC_DMACB7_RD                        *((volatile  uint8_t *)(0x42C010D4UL))
#define bFM3_DMAC_DMACB7_RD                       *((volatile  uint8_t *)(0x42C010D4UL))
#define bFM_DMAC_DMACB7_RS                        *((volatile  uint8_t *)(0x42C010D8UL))
#define bFM3_DMAC_DMACB7_RS                       *((volatile  uint8_t *)(0x42C010D8UL))
#define bFM_DMAC_DMACB7_RC                        *((volatile  uint8_t *)(0x42C010DCUL))
#define bFM3_DMAC_DMACB7_RC                       *((volatile  uint8_t *)(0x42C010DCUL))
#define bFM_DMAC_DMACB7_FD                        *((volatile  uint8_t *)(0x42C010E0UL))
#define bFM3_DMAC_DMACB7_FD                       *((volatile  uint8_t *)(0x42C010E0UL))
#define bFM_DMAC_DMACB7_FS                        *((volatile  uint8_t *)(0x42C010E4UL))
#define bFM3_DMAC_DMACB7_FS                       *((volatile  uint8_t *)(0x42C010E4UL))

#define bFM_DMAC_DMACR_PR                         *((volatile  uint8_t *)(0x42C00070UL))
#define bFM3_DMAC_DMACR_PR                        *((volatile  uint8_t *)(0x42C00070UL))
#define bFM_DMAC_DMACR_DS                         *((volatile  uint8_t *)(0x42C00078UL))
#define bFM3_DMAC_DMACR_DS                        *((volatile  uint8_t *)(0x42C00078UL))
#define bFM_DMAC_DMACR_DE                         *((volatile  uint8_t *)(0x42C0007CUL))
#define bFM3_DMAC_DMACR_DE                        *((volatile  uint8_t *)(0x42C0007CUL))


/******************************************************************************
 ** DT Registers DT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DT_TIMER1CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0100UL))
#define bFM3_DT_TIMER1CONTROL_ONESHOT             *((volatile  uint32_t*)(0x422A0100UL))
#define bFM_DT_TIMER1CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0104UL))
#define bFM3_DT_TIMER1CONTROL_TIMERSIZE           *((volatile  uint32_t*)(0x422A0104UL))
#define bFM_DT_TIMER1CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0114UL))
#define bFM3_DT_TIMER1CONTROL_INTENABLE           *((volatile  uint32_t*)(0x422A0114UL))
#define bFM_DT_TIMER1CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0118UL))
#define bFM3_DT_TIMER1CONTROL_TIMERMODE           *((volatile  uint32_t*)(0x422A0118UL))
#define bFM_DT_TIMER1CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A011CUL))
#define bFM3_DT_TIMER1CONTROL_TIMEREN             *((volatile  uint32_t*)(0x422A011CUL))

#define bFM_DT_TIMER1MIS_TIMER1MIS                *((volatile  uint32_t*)(0x422A0280UL))
#define bFM3_DT_TIMER1MIS_TIMER1MIS               *((volatile  uint32_t*)(0x422A0280UL))

#define bFM_DT_TIMER1RIS_TIMER1RIS                *((volatile  uint32_t*)(0x422A0200UL))
#define bFM3_DT_TIMER1RIS_TIMER1RIS               *((volatile  uint32_t*)(0x422A0200UL))

#define bFM_DT_TIMER2CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0500UL))
#define bFM3_DT_TIMER2CONTROL_ONESHOT             *((volatile  uint32_t*)(0x422A0500UL))
#define bFM_DT_TIMER2CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0504UL))
#define bFM3_DT_TIMER2CONTROL_TIMERSIZE           *((volatile  uint32_t*)(0x422A0504UL))
#define bFM_DT_TIMER2CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0514UL))
#define bFM3_DT_TIMER2CONTROL_INTENABLE           *((volatile  uint32_t*)(0x422A0514UL))
#define bFM_DT_TIMER2CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0518UL))
#define bFM3_DT_TIMER2CONTROL_TIMERMODE           *((volatile  uint32_t*)(0x422A0518UL))
#define bFM_DT_TIMER2CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A051CUL))
#define bFM3_DT_TIMER2CONTROL_TIMEREN             *((volatile  uint32_t*)(0x422A051CUL))

#define bFM_DT_TIMER2MIS_TIMER2MIS                *((volatile  uint32_t*)(0x422A0680UL))
#define bFM3_DT_TIMER2MIS_TIMER2MIS               *((volatile  uint32_t*)(0x422A0680UL))

#define bFM_DT_TIMER2RIS_TIMER2RIS                *((volatile  uint32_t*)(0x422A0600UL))
#define bFM3_DT_TIMER2RIS_TIMER2RIS               *((volatile  uint32_t*)(0x422A0600UL))


/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_EXTI_EICL_ECL0                        *((volatile  uint8_t *)(0x42600100UL))
#define bFM3_EXTI_EICL_ECL0                       *((volatile  uint8_t *)(0x42600100UL))
#define bFM_EXTI_EICL_ECL1                        *((volatile  uint8_t *)(0x42600104UL))
#define bFM3_EXTI_EICL_ECL1                       *((volatile  uint8_t *)(0x42600104UL))
#define bFM_EXTI_EICL_ECL2                        *((volatile  uint8_t *)(0x42600108UL))
#define bFM3_EXTI_EICL_ECL2                       *((volatile  uint8_t *)(0x42600108UL))
#define bFM_EXTI_EICL_ECL3                        *((volatile  uint8_t *)(0x4260010CUL))
#define bFM3_EXTI_EICL_ECL3                       *((volatile  uint8_t *)(0x4260010CUL))
#define bFM_EXTI_EICL_ECL4                        *((volatile  uint8_t *)(0x42600110UL))
#define bFM3_EXTI_EICL_ECL4                       *((volatile  uint8_t *)(0x42600110UL))
#define bFM_EXTI_EICL_ECL5                        *((volatile  uint8_t *)(0x42600114UL))
#define bFM3_EXTI_EICL_ECL5                       *((volatile  uint8_t *)(0x42600114UL))
#define bFM_EXTI_EICL_ECL6                        *((volatile  uint8_t *)(0x42600118UL))
#define bFM3_EXTI_EICL_ECL6                       *((volatile  uint8_t *)(0x42600118UL))
#define bFM_EXTI_EICL_ECL7                        *((volatile  uint8_t *)(0x4260011CUL))
#define bFM3_EXTI_EICL_ECL7                       *((volatile  uint8_t *)(0x4260011CUL))
#define bFM_EXTI_EICL_ECL8                        *((volatile  uint8_t *)(0x42600120UL))
#define bFM3_EXTI_EICL_ECL8                       *((volatile  uint8_t *)(0x42600120UL))
#define bFM_EXTI_EICL_ECL9                        *((volatile  uint8_t *)(0x42600124UL))
#define bFM3_EXTI_EICL_ECL9                       *((volatile  uint8_t *)(0x42600124UL))
#define bFM_EXTI_EICL_ECL10                       *((volatile  uint8_t *)(0x42600128UL))
#define bFM3_EXTI_EICL_ECL10                      *((volatile  uint8_t *)(0x42600128UL))
#define bFM_EXTI_EICL_ECL11                       *((volatile  uint8_t *)(0x4260012CUL))
#define bFM3_EXTI_EICL_ECL11                      *((volatile  uint8_t *)(0x4260012CUL))
#define bFM_EXTI_EICL_ECL12                       *((volatile  uint8_t *)(0x42600130UL))
#define bFM3_EXTI_EICL_ECL12                      *((volatile  uint8_t *)(0x42600130UL))
#define bFM_EXTI_EICL_ECL13                       *((volatile  uint8_t *)(0x42600134UL))
#define bFM3_EXTI_EICL_ECL13                      *((volatile  uint8_t *)(0x42600134UL))
#define bFM_EXTI_EICL_ECL14                       *((volatile  uint8_t *)(0x42600138UL))
#define bFM3_EXTI_EICL_ECL14                      *((volatile  uint8_t *)(0x42600138UL))
#define bFM_EXTI_EICL_ECL15                       *((volatile  uint8_t *)(0x4260013CUL))
#define bFM3_EXTI_EICL_ECL15                      *((volatile  uint8_t *)(0x4260013CUL))
#define bFM_EXTI_EICL_ECL16                       *((volatile  uint8_t *)(0x42600140UL))
#define bFM3_EXTI_EICL_ECL16                      *((volatile  uint8_t *)(0x42600140UL))
#define bFM_EXTI_EICL_ECL17                       *((volatile  uint8_t *)(0x42600144UL))
#define bFM3_EXTI_EICL_ECL17                      *((volatile  uint8_t *)(0x42600144UL))
#define bFM_EXTI_EICL_ECL18                       *((volatile  uint8_t *)(0x42600148UL))
#define bFM3_EXTI_EICL_ECL18                      *((volatile  uint8_t *)(0x42600148UL))
#define bFM_EXTI_EICL_ECL19                       *((volatile  uint8_t *)(0x4260014CUL))
#define bFM3_EXTI_EICL_ECL19                      *((volatile  uint8_t *)(0x4260014CUL))
#define bFM_EXTI_EICL_ECL20                       *((volatile  uint8_t *)(0x42600150UL))
#define bFM3_EXTI_EICL_ECL20                      *((volatile  uint8_t *)(0x42600150UL))
#define bFM_EXTI_EICL_ECL21                       *((volatile  uint8_t *)(0x42600154UL))
#define bFM3_EXTI_EICL_ECL21                      *((volatile  uint8_t *)(0x42600154UL))
#define bFM_EXTI_EICL_ECL22                       *((volatile  uint8_t *)(0x42600158UL))
#define bFM3_EXTI_EICL_ECL22                      *((volatile  uint8_t *)(0x42600158UL))
#define bFM_EXTI_EICL_ECL23                       *((volatile  uint8_t *)(0x4260015CUL))
#define bFM3_EXTI_EICL_ECL23                      *((volatile  uint8_t *)(0x4260015CUL))
#define bFM_EXTI_EICL_ECL24                       *((volatile  uint8_t *)(0x42600160UL))
#define bFM3_EXTI_EICL_ECL24                      *((volatile  uint8_t *)(0x42600160UL))
#define bFM_EXTI_EICL_ECL25                       *((volatile  uint8_t *)(0x42600164UL))
#define bFM3_EXTI_EICL_ECL25                      *((volatile  uint8_t *)(0x42600164UL))
#define bFM_EXTI_EICL_ECL26                       *((volatile  uint8_t *)(0x42600168UL))
#define bFM3_EXTI_EICL_ECL26                      *((volatile  uint8_t *)(0x42600168UL))
#define bFM_EXTI_EICL_ECL27                       *((volatile  uint8_t *)(0x4260016CUL))
#define bFM3_EXTI_EICL_ECL27                      *((volatile  uint8_t *)(0x4260016CUL))
#define bFM_EXTI_EICL_ECL28                       *((volatile  uint8_t *)(0x42600170UL))
#define bFM3_EXTI_EICL_ECL28                      *((volatile  uint8_t *)(0x42600170UL))
#define bFM_EXTI_EICL_ECL29                       *((volatile  uint8_t *)(0x42600174UL))
#define bFM3_EXTI_EICL_ECL29                      *((volatile  uint8_t *)(0x42600174UL))
#define bFM_EXTI_EICL_ECL30                       *((volatile  uint8_t *)(0x42600178UL))
#define bFM3_EXTI_EICL_ECL30                      *((volatile  uint8_t *)(0x42600178UL))
#define bFM_EXTI_EICL_ECL31                       *((volatile  uint8_t *)(0x4260017CUL))
#define bFM3_EXTI_EICL_ECL31                      *((volatile  uint8_t *)(0x4260017CUL))

#define bFM_EXTI_EIRR_ER0                         *((volatile  uint8_t *)(0x42600080UL))
#define bFM3_EXTI_EIRR_ER0                        *((volatile  uint8_t *)(0x42600080UL))
#define bFM_EXTI_EIRR_ER1                         *((volatile  uint8_t *)(0x42600084UL))
#define bFM3_EXTI_EIRR_ER1                        *((volatile  uint8_t *)(0x42600084UL))
#define bFM_EXTI_EIRR_ER2                         *((volatile  uint8_t *)(0x42600088UL))
#define bFM3_EXTI_EIRR_ER2                        *((volatile  uint8_t *)(0x42600088UL))
#define bFM_EXTI_EIRR_ER3                         *((volatile  uint8_t *)(0x4260008CUL))
#define bFM3_EXTI_EIRR_ER3                        *((volatile  uint8_t *)(0x4260008CUL))
#define bFM_EXTI_EIRR_ER4                         *((volatile  uint8_t *)(0x42600090UL))
#define bFM3_EXTI_EIRR_ER4                        *((volatile  uint8_t *)(0x42600090UL))
#define bFM_EXTI_EIRR_ER5                         *((volatile  uint8_t *)(0x42600094UL))
#define bFM3_EXTI_EIRR_ER5                        *((volatile  uint8_t *)(0x42600094UL))
#define bFM_EXTI_EIRR_ER6                         *((volatile  uint8_t *)(0x42600098UL))
#define bFM3_EXTI_EIRR_ER6                        *((volatile  uint8_t *)(0x42600098UL))
#define bFM_EXTI_EIRR_ER7                         *((volatile  uint8_t *)(0x4260009CUL))
#define bFM3_EXTI_EIRR_ER7                        *((volatile  uint8_t *)(0x4260009CUL))
#define bFM_EXTI_EIRR_ER8                         *((volatile  uint8_t *)(0x426000A0UL))
#define bFM3_EXTI_EIRR_ER8                        *((volatile  uint8_t *)(0x426000A0UL))
#define bFM_EXTI_EIRR_ER9                         *((volatile  uint8_t *)(0x426000A4UL))
#define bFM3_EXTI_EIRR_ER9                        *((volatile  uint8_t *)(0x426000A4UL))
#define bFM_EXTI_EIRR_ER10                        *((volatile  uint8_t *)(0x426000A8UL))
#define bFM3_EXTI_EIRR_ER10                       *((volatile  uint8_t *)(0x426000A8UL))
#define bFM_EXTI_EIRR_ER11                        *((volatile  uint8_t *)(0x426000ACUL))
#define bFM3_EXTI_EIRR_ER11                       *((volatile  uint8_t *)(0x426000ACUL))
#define bFM_EXTI_EIRR_ER12                        *((volatile  uint8_t *)(0x426000B0UL))
#define bFM3_EXTI_EIRR_ER12                       *((volatile  uint8_t *)(0x426000B0UL))
#define bFM_EXTI_EIRR_ER13                        *((volatile  uint8_t *)(0x426000B4UL))
#define bFM3_EXTI_EIRR_ER13                       *((volatile  uint8_t *)(0x426000B4UL))
#define bFM_EXTI_EIRR_ER14                        *((volatile  uint8_t *)(0x426000B8UL))
#define bFM3_EXTI_EIRR_ER14                       *((volatile  uint8_t *)(0x426000B8UL))
#define bFM_EXTI_EIRR_ER15                        *((volatile  uint8_t *)(0x426000BCUL))
#define bFM3_EXTI_EIRR_ER15                       *((volatile  uint8_t *)(0x426000BCUL))
#define bFM_EXTI_EIRR_ER16                        *((volatile  uint8_t *)(0x426000C0UL))
#define bFM3_EXTI_EIRR_ER16                       *((volatile  uint8_t *)(0x426000C0UL))
#define bFM_EXTI_EIRR_ER17                        *((volatile  uint8_t *)(0x426000C4UL))
#define bFM3_EXTI_EIRR_ER17                       *((volatile  uint8_t *)(0x426000C4UL))
#define bFM_EXTI_EIRR_ER18                        *((volatile  uint8_t *)(0x426000C8UL))
#define bFM3_EXTI_EIRR_ER18                       *((volatile  uint8_t *)(0x426000C8UL))
#define bFM_EXTI_EIRR_ER19                        *((volatile  uint8_t *)(0x426000CCUL))
#define bFM3_EXTI_EIRR_ER19                       *((volatile  uint8_t *)(0x426000CCUL))
#define bFM_EXTI_EIRR_ER20                        *((volatile  uint8_t *)(0x426000D0UL))
#define bFM3_EXTI_EIRR_ER20                       *((volatile  uint8_t *)(0x426000D0UL))
#define bFM_EXTI_EIRR_ER21                        *((volatile  uint8_t *)(0x426000D4UL))
#define bFM3_EXTI_EIRR_ER21                       *((volatile  uint8_t *)(0x426000D4UL))
#define bFM_EXTI_EIRR_ER22                        *((volatile  uint8_t *)(0x426000D8UL))
#define bFM3_EXTI_EIRR_ER22                       *((volatile  uint8_t *)(0x426000D8UL))
#define bFM_EXTI_EIRR_ER23                        *((volatile  uint8_t *)(0x426000DCUL))
#define bFM3_EXTI_EIRR_ER23                       *((volatile  uint8_t *)(0x426000DCUL))
#define bFM_EXTI_EIRR_ER24                        *((volatile  uint8_t *)(0x426000E0UL))
#define bFM3_EXTI_EIRR_ER24                       *((volatile  uint8_t *)(0x426000E0UL))
#define bFM_EXTI_EIRR_ER25                        *((volatile  uint8_t *)(0x426000E4UL))
#define bFM3_EXTI_EIRR_ER25                       *((volatile  uint8_t *)(0x426000E4UL))
#define bFM_EXTI_EIRR_ER26                        *((volatile  uint8_t *)(0x426000E8UL))
#define bFM3_EXTI_EIRR_ER26                       *((volatile  uint8_t *)(0x426000E8UL))
#define bFM_EXTI_EIRR_ER27                        *((volatile  uint8_t *)(0x426000ECUL))
#define bFM3_EXTI_EIRR_ER27                       *((volatile  uint8_t *)(0x426000ECUL))
#define bFM_EXTI_EIRR_ER28                        *((volatile  uint8_t *)(0x426000F0UL))
#define bFM3_EXTI_EIRR_ER28                       *((volatile  uint8_t *)(0x426000F0UL))
#define bFM_EXTI_EIRR_ER29                        *((volatile  uint8_t *)(0x426000F4UL))
#define bFM3_EXTI_EIRR_ER29                       *((volatile  uint8_t *)(0x426000F4UL))
#define bFM_EXTI_EIRR_ER30                        *((volatile  uint8_t *)(0x426000F8UL))
#define bFM3_EXTI_EIRR_ER30                       *((volatile  uint8_t *)(0x426000F8UL))
#define bFM_EXTI_EIRR_ER31                        *((volatile  uint8_t *)(0x426000FCUL))
#define bFM3_EXTI_EIRR_ER31                       *((volatile  uint8_t *)(0x426000FCUL))

#define bFM_EXTI_ELVR_LA0                         *((volatile  uint8_t *)(0x42600180UL))
#define bFM3_EXTI_ELVR_LA0                        *((volatile  uint8_t *)(0x42600180UL))
#define bFM_EXTI_ELVR_LB0                         *((volatile  uint8_t *)(0x42600184UL))
#define bFM3_EXTI_ELVR_LB0                        *((volatile  uint8_t *)(0x42600184UL))
#define bFM_EXTI_ELVR_LA1                         *((volatile  uint8_t *)(0x42600188UL))
#define bFM3_EXTI_ELVR_LA1                        *((volatile  uint8_t *)(0x42600188UL))
#define bFM_EXTI_ELVR_LB1                         *((volatile  uint8_t *)(0x4260018CUL))
#define bFM3_EXTI_ELVR_LB1                        *((volatile  uint8_t *)(0x4260018CUL))
#define bFM_EXTI_ELVR_LA2                         *((volatile  uint8_t *)(0x42600190UL))
#define bFM3_EXTI_ELVR_LA2                        *((volatile  uint8_t *)(0x42600190UL))
#define bFM_EXTI_ELVR_LB2                         *((volatile  uint8_t *)(0x42600194UL))
#define bFM3_EXTI_ELVR_LB2                        *((volatile  uint8_t *)(0x42600194UL))
#define bFM_EXTI_ELVR_LA3                         *((volatile  uint8_t *)(0x42600198UL))
#define bFM3_EXTI_ELVR_LA3                        *((volatile  uint8_t *)(0x42600198UL))
#define bFM_EXTI_ELVR_LB3                         *((volatile  uint8_t *)(0x4260019CUL))
#define bFM3_EXTI_ELVR_LB3                        *((volatile  uint8_t *)(0x4260019CUL))
#define bFM_EXTI_ELVR_LA4                         *((volatile  uint8_t *)(0x426001A0UL))
#define bFM3_EXTI_ELVR_LA4                        *((volatile  uint8_t *)(0x426001A0UL))
#define bFM_EXTI_ELVR_LB4                         *((volatile  uint8_t *)(0x426001A4UL))
#define bFM3_EXTI_ELVR_LB4                        *((volatile  uint8_t *)(0x426001A4UL))
#define bFM_EXTI_ELVR_LA5                         *((volatile  uint8_t *)(0x426001A8UL))
#define bFM3_EXTI_ELVR_LA5                        *((volatile  uint8_t *)(0x426001A8UL))
#define bFM_EXTI_ELVR_LB5                         *((volatile  uint8_t *)(0x426001ACUL))
#define bFM3_EXTI_ELVR_LB5                        *((volatile  uint8_t *)(0x426001ACUL))
#define bFM_EXTI_ELVR_LA6                         *((volatile  uint8_t *)(0x426001B0UL))
#define bFM3_EXTI_ELVR_LA6                        *((volatile  uint8_t *)(0x426001B0UL))
#define bFM_EXTI_ELVR_LB6                         *((volatile  uint8_t *)(0x426001B4UL))
#define bFM3_EXTI_ELVR_LB6                        *((volatile  uint8_t *)(0x426001B4UL))
#define bFM_EXTI_ELVR_LA7                         *((volatile  uint8_t *)(0x426001B8UL))
#define bFM3_EXTI_ELVR_LA7                        *((volatile  uint8_t *)(0x426001B8UL))
#define bFM_EXTI_ELVR_LB7                         *((volatile  uint8_t *)(0x426001BCUL))
#define bFM3_EXTI_ELVR_LB7                        *((volatile  uint8_t *)(0x426001BCUL))
#define bFM_EXTI_ELVR_LA8                         *((volatile  uint8_t *)(0x426001C0UL))
#define bFM3_EXTI_ELVR_LA8                        *((volatile  uint8_t *)(0x426001C0UL))
#define bFM_EXTI_ELVR_LB8                         *((volatile  uint8_t *)(0x426001C4UL))
#define bFM3_EXTI_ELVR_LB8                        *((volatile  uint8_t *)(0x426001C4UL))
#define bFM_EXTI_ELVR_LA9                         *((volatile  uint8_t *)(0x426001C8UL))
#define bFM3_EXTI_ELVR_LA9                        *((volatile  uint8_t *)(0x426001C8UL))
#define bFM_EXTI_ELVR_LB9                         *((volatile  uint8_t *)(0x426001CCUL))
#define bFM3_EXTI_ELVR_LB9                        *((volatile  uint8_t *)(0x426001CCUL))
#define bFM_EXTI_ELVR_LA10                        *((volatile  uint8_t *)(0x426001D0UL))
#define bFM3_EXTI_ELVR_LA10                       *((volatile  uint8_t *)(0x426001D0UL))
#define bFM_EXTI_ELVR_LB10                        *((volatile  uint8_t *)(0x426001D4UL))
#define bFM3_EXTI_ELVR_LB10                       *((volatile  uint8_t *)(0x426001D4UL))
#define bFM_EXTI_ELVR_LA11                        *((volatile  uint8_t *)(0x426001D8UL))
#define bFM3_EXTI_ELVR_LA11                       *((volatile  uint8_t *)(0x426001D8UL))
#define bFM_EXTI_ELVR_LB11                        *((volatile  uint8_t *)(0x426001DCUL))
#define bFM3_EXTI_ELVR_LB11                       *((volatile  uint8_t *)(0x426001DCUL))
#define bFM_EXTI_ELVR_LA12                        *((volatile  uint8_t *)(0x426001E0UL))
#define bFM3_EXTI_ELVR_LA12                       *((volatile  uint8_t *)(0x426001E0UL))
#define bFM_EXTI_ELVR_LB12                        *((volatile  uint8_t *)(0x426001E4UL))
#define bFM3_EXTI_ELVR_LB12                       *((volatile  uint8_t *)(0x426001E4UL))
#define bFM_EXTI_ELVR_LA13                        *((volatile  uint8_t *)(0x426001E8UL))
#define bFM3_EXTI_ELVR_LA13                       *((volatile  uint8_t *)(0x426001E8UL))
#define bFM_EXTI_ELVR_LB13                        *((volatile  uint8_t *)(0x426001ECUL))
#define bFM3_EXTI_ELVR_LB13                       *((volatile  uint8_t *)(0x426001ECUL))
#define bFM_EXTI_ELVR_LA14                        *((volatile  uint8_t *)(0x426001F0UL))
#define bFM3_EXTI_ELVR_LA14                       *((volatile  uint8_t *)(0x426001F0UL))
#define bFM_EXTI_ELVR_LB14                        *((volatile  uint8_t *)(0x426001F4UL))
#define bFM3_EXTI_ELVR_LB14                       *((volatile  uint8_t *)(0x426001F4UL))
#define bFM_EXTI_ELVR_LA15                        *((volatile  uint8_t *)(0x426001F8UL))
#define bFM3_EXTI_ELVR_LA15                       *((volatile  uint8_t *)(0x426001F8UL))
#define bFM_EXTI_ELVR_LB15                        *((volatile  uint8_t *)(0x426001FCUL))
#define bFM3_EXTI_ELVR_LB15                       *((volatile  uint8_t *)(0x426001FCUL))

#define bFM_EXTI_ELVR1_LA16                       *((volatile  uint8_t *)(0x42600200UL))
#define bFM3_EXTI_ELVR1_LA16                      *((volatile  uint8_t *)(0x42600200UL))
#define bFM_EXTI_ELVR1_LB16                       *((volatile  uint8_t *)(0x42600204UL))
#define bFM3_EXTI_ELVR1_LB16                      *((volatile  uint8_t *)(0x42600204UL))
#define bFM_EXTI_ELVR1_LA17                       *((volatile  uint8_t *)(0x42600208UL))
#define bFM3_EXTI_ELVR1_LA17                      *((volatile  uint8_t *)(0x42600208UL))
#define bFM_EXTI_ELVR1_LB17                       *((volatile  uint8_t *)(0x4260020CUL))
#define bFM3_EXTI_ELVR1_LB17                      *((volatile  uint8_t *)(0x4260020CUL))
#define bFM_EXTI_ELVR1_LA18                       *((volatile  uint8_t *)(0x42600210UL))
#define bFM3_EXTI_ELVR1_LA18                      *((volatile  uint8_t *)(0x42600210UL))
#define bFM_EXTI_ELVR1_LB18                       *((volatile  uint8_t *)(0x42600214UL))
#define bFM3_EXTI_ELVR1_LB18                      *((volatile  uint8_t *)(0x42600214UL))
#define bFM_EXTI_ELVR1_LA19                       *((volatile  uint8_t *)(0x42600218UL))
#define bFM3_EXTI_ELVR1_LA19                      *((volatile  uint8_t *)(0x42600218UL))
#define bFM_EXTI_ELVR1_LB19                       *((volatile  uint8_t *)(0x4260021CUL))
#define bFM3_EXTI_ELVR1_LB19                      *((volatile  uint8_t *)(0x4260021CUL))
#define bFM_EXTI_ELVR1_LA20                       *((volatile  uint8_t *)(0x42600220UL))
#define bFM3_EXTI_ELVR1_LA20                      *((volatile  uint8_t *)(0x42600220UL))
#define bFM_EXTI_ELVR1_LB20                       *((volatile  uint8_t *)(0x42600224UL))
#define bFM3_EXTI_ELVR1_LB20                      *((volatile  uint8_t *)(0x42600224UL))
#define bFM_EXTI_ELVR1_LA21                       *((volatile  uint8_t *)(0x42600228UL))
#define bFM3_EXTI_ELVR1_LA21                      *((volatile  uint8_t *)(0x42600228UL))
#define bFM_EXTI_ELVR1_LB21                       *((volatile  uint8_t *)(0x4260022CUL))
#define bFM3_EXTI_ELVR1_LB21                      *((volatile  uint8_t *)(0x4260022CUL))
#define bFM_EXTI_ELVR1_LA22                       *((volatile  uint8_t *)(0x42600230UL))
#define bFM3_EXTI_ELVR1_LA22                      *((volatile  uint8_t *)(0x42600230UL))
#define bFM_EXTI_ELVR1_LB22                       *((volatile  uint8_t *)(0x42600234UL))
#define bFM3_EXTI_ELVR1_LB22                      *((volatile  uint8_t *)(0x42600234UL))
#define bFM_EXTI_ELVR1_LA23                       *((volatile  uint8_t *)(0x42600238UL))
#define bFM3_EXTI_ELVR1_LA23                      *((volatile  uint8_t *)(0x42600238UL))
#define bFM_EXTI_ELVR1_LB23                       *((volatile  uint8_t *)(0x4260023CUL))
#define bFM3_EXTI_ELVR1_LB23                      *((volatile  uint8_t *)(0x4260023CUL))
#define bFM_EXTI_ELVR1_LA24                       *((volatile  uint8_t *)(0x42600240UL))
#define bFM3_EXTI_ELVR1_LA24                      *((volatile  uint8_t *)(0x42600240UL))
#define bFM_EXTI_ELVR1_LB24                       *((volatile  uint8_t *)(0x42600244UL))
#define bFM3_EXTI_ELVR1_LB24                      *((volatile  uint8_t *)(0x42600244UL))
#define bFM_EXTI_ELVR1_LA25                       *((volatile  uint8_t *)(0x42600248UL))
#define bFM3_EXTI_ELVR1_LA25                      *((volatile  uint8_t *)(0x42600248UL))
#define bFM_EXTI_ELVR1_LB25                       *((volatile  uint8_t *)(0x4260024CUL))
#define bFM3_EXTI_ELVR1_LB25                      *((volatile  uint8_t *)(0x4260024CUL))
#define bFM_EXTI_ELVR1_LA26                       *((volatile  uint8_t *)(0x42600250UL))
#define bFM3_EXTI_ELVR1_LA26                      *((volatile  uint8_t *)(0x42600250UL))
#define bFM_EXTI_ELVR1_LB26                       *((volatile  uint8_t *)(0x42600254UL))
#define bFM3_EXTI_ELVR1_LB26                      *((volatile  uint8_t *)(0x42600254UL))
#define bFM_EXTI_ELVR1_LA27                       *((volatile  uint8_t *)(0x42600258UL))
#define bFM3_EXTI_ELVR1_LA27                      *((volatile  uint8_t *)(0x42600258UL))
#define bFM_EXTI_ELVR1_LB27                       *((volatile  uint8_t *)(0x4260025CUL))
#define bFM3_EXTI_ELVR1_LB27                      *((volatile  uint8_t *)(0x4260025CUL))
#define bFM_EXTI_ELVR1_LA28                       *((volatile  uint8_t *)(0x42600260UL))
#define bFM3_EXTI_ELVR1_LA28                      *((volatile  uint8_t *)(0x42600260UL))
#define bFM_EXTI_ELVR1_LB28                       *((volatile  uint8_t *)(0x42600264UL))
#define bFM3_EXTI_ELVR1_LB28                      *((volatile  uint8_t *)(0x42600264UL))
#define bFM_EXTI_ELVR1_LA29                       *((volatile  uint8_t *)(0x42600268UL))
#define bFM3_EXTI_ELVR1_LA29                      *((volatile  uint8_t *)(0x42600268UL))
#define bFM_EXTI_ELVR1_LB29                       *((volatile  uint8_t *)(0x4260026CUL))
#define bFM3_EXTI_ELVR1_LB29                      *((volatile  uint8_t *)(0x4260026CUL))
#define bFM_EXTI_ELVR1_LA30                       *((volatile  uint8_t *)(0x42600270UL))
#define bFM3_EXTI_ELVR1_LA30                      *((volatile  uint8_t *)(0x42600270UL))
#define bFM_EXTI_ELVR1_LB30                       *((volatile  uint8_t *)(0x42600274UL))
#define bFM3_EXTI_ELVR1_LB30                      *((volatile  uint8_t *)(0x42600274UL))
#define bFM_EXTI_ELVR1_LA31                       *((volatile  uint8_t *)(0x42600278UL))
#define bFM3_EXTI_ELVR1_LA31                      *((volatile  uint8_t *)(0x42600278UL))
#define bFM_EXTI_ELVR1_LB31                       *((volatile  uint8_t *)(0x4260027CUL))
#define bFM3_EXTI_ELVR1_LB31                      *((volatile  uint8_t *)(0x4260027CUL))

#define bFM_EXTI_ENIR_EN0                         *((volatile  uint8_t *)(0x42600000UL))
#define bFM3_EXTI_ENIR_EN0                        *((volatile  uint8_t *)(0x42600000UL))
#define bFM_EXTI_ENIR_EN1                         *((volatile  uint8_t *)(0x42600004UL))
#define bFM3_EXTI_ENIR_EN1                        *((volatile  uint8_t *)(0x42600004UL))
#define bFM_EXTI_ENIR_EN2                         *((volatile  uint8_t *)(0x42600008UL))
#define bFM3_EXTI_ENIR_EN2                        *((volatile  uint8_t *)(0x42600008UL))
#define bFM_EXTI_ENIR_EN3                         *((volatile  uint8_t *)(0x4260000CUL))
#define bFM3_EXTI_ENIR_EN3                        *((volatile  uint8_t *)(0x4260000CUL))
#define bFM_EXTI_ENIR_EN4                         *((volatile  uint8_t *)(0x42600010UL))
#define bFM3_EXTI_ENIR_EN4                        *((volatile  uint8_t *)(0x42600010UL))
#define bFM_EXTI_ENIR_EN5                         *((volatile  uint8_t *)(0x42600014UL))
#define bFM3_EXTI_ENIR_EN5                        *((volatile  uint8_t *)(0x42600014UL))
#define bFM_EXTI_ENIR_EN6                         *((volatile  uint8_t *)(0x42600018UL))
#define bFM3_EXTI_ENIR_EN6                        *((volatile  uint8_t *)(0x42600018UL))
#define bFM_EXTI_ENIR_EN7                         *((volatile  uint8_t *)(0x4260001CUL))
#define bFM3_EXTI_ENIR_EN7                        *((volatile  uint8_t *)(0x4260001CUL))
#define bFM_EXTI_ENIR_EN8                         *((volatile  uint8_t *)(0x42600020UL))
#define bFM3_EXTI_ENIR_EN8                        *((volatile  uint8_t *)(0x42600020UL))
#define bFM_EXTI_ENIR_EN9                         *((volatile  uint8_t *)(0x42600024UL))
#define bFM3_EXTI_ENIR_EN9                        *((volatile  uint8_t *)(0x42600024UL))
#define bFM_EXTI_ENIR_EN10                        *((volatile  uint8_t *)(0x42600028UL))
#define bFM3_EXTI_ENIR_EN10                       *((volatile  uint8_t *)(0x42600028UL))
#define bFM_EXTI_ENIR_EN11                        *((volatile  uint8_t *)(0x4260002CUL))
#define bFM3_EXTI_ENIR_EN11                       *((volatile  uint8_t *)(0x4260002CUL))
#define bFM_EXTI_ENIR_EN12                        *((volatile  uint8_t *)(0x42600030UL))
#define bFM3_EXTI_ENIR_EN12                       *((volatile  uint8_t *)(0x42600030UL))
#define bFM_EXTI_ENIR_EN13                        *((volatile  uint8_t *)(0x42600034UL))
#define bFM3_EXTI_ENIR_EN13                       *((volatile  uint8_t *)(0x42600034UL))
#define bFM_EXTI_ENIR_EN14                        *((volatile  uint8_t *)(0x42600038UL))
#define bFM3_EXTI_ENIR_EN14                       *((volatile  uint8_t *)(0x42600038UL))
#define bFM_EXTI_ENIR_EN15                        *((volatile  uint8_t *)(0x4260003CUL))
#define bFM3_EXTI_ENIR_EN15                       *((volatile  uint8_t *)(0x4260003CUL))
#define bFM_EXTI_ENIR_EN16                        *((volatile  uint8_t *)(0x42600040UL))
#define bFM3_EXTI_ENIR_EN16                       *((volatile  uint8_t *)(0x42600040UL))
#define bFM_EXTI_ENIR_EN17                        *((volatile  uint8_t *)(0x42600044UL))
#define bFM3_EXTI_ENIR_EN17                       *((volatile  uint8_t *)(0x42600044UL))
#define bFM_EXTI_ENIR_EN18                        *((volatile  uint8_t *)(0x42600048UL))
#define bFM3_EXTI_ENIR_EN18                       *((volatile  uint8_t *)(0x42600048UL))
#define bFM_EXTI_ENIR_EN19                        *((volatile  uint8_t *)(0x4260004CUL))
#define bFM3_EXTI_ENIR_EN19                       *((volatile  uint8_t *)(0x4260004CUL))
#define bFM_EXTI_ENIR_EN20                        *((volatile  uint8_t *)(0x42600050UL))
#define bFM3_EXTI_ENIR_EN20                       *((volatile  uint8_t *)(0x42600050UL))
#define bFM_EXTI_ENIR_EN21                        *((volatile  uint8_t *)(0x42600054UL))
#define bFM3_EXTI_ENIR_EN21                       *((volatile  uint8_t *)(0x42600054UL))
#define bFM_EXTI_ENIR_EN22                        *((volatile  uint8_t *)(0x42600058UL))
#define bFM3_EXTI_ENIR_EN22                       *((volatile  uint8_t *)(0x42600058UL))
#define bFM_EXTI_ENIR_EN23                        *((volatile  uint8_t *)(0x4260005CUL))
#define bFM3_EXTI_ENIR_EN23                       *((volatile  uint8_t *)(0x4260005CUL))
#define bFM_EXTI_ENIR_EN24                        *((volatile  uint8_t *)(0x42600060UL))
#define bFM3_EXTI_ENIR_EN24                       *((volatile  uint8_t *)(0x42600060UL))
#define bFM_EXTI_ENIR_EN25                        *((volatile  uint8_t *)(0x42600064UL))
#define bFM3_EXTI_ENIR_EN25                       *((volatile  uint8_t *)(0x42600064UL))
#define bFM_EXTI_ENIR_EN26                        *((volatile  uint8_t *)(0x42600068UL))
#define bFM3_EXTI_ENIR_EN26                       *((volatile  uint8_t *)(0x42600068UL))
#define bFM_EXTI_ENIR_EN27                        *((volatile  uint8_t *)(0x4260006CUL))
#define bFM3_EXTI_ENIR_EN27                       *((volatile  uint8_t *)(0x4260006CUL))
#define bFM_EXTI_ENIR_EN28                        *((volatile  uint8_t *)(0x42600070UL))
#define bFM3_EXTI_ENIR_EN28                       *((volatile  uint8_t *)(0x42600070UL))
#define bFM_EXTI_ENIR_EN29                        *((volatile  uint8_t *)(0x42600074UL))
#define bFM3_EXTI_ENIR_EN29                       *((volatile  uint8_t *)(0x42600074UL))
#define bFM_EXTI_ENIR_EN30                        *((volatile  uint8_t *)(0x42600078UL))
#define bFM3_EXTI_ENIR_EN30                       *((volatile  uint8_t *)(0x42600078UL))
#define bFM_EXTI_ENIR_EN31                        *((volatile  uint8_t *)(0x4260007CUL))
#define bFM3_EXTI_ENIR_EN31                       *((volatile  uint8_t *)(0x4260007CUL))

#define bFM_EXTI_NMICL_NCL                        *((volatile  uint8_t *)(0x42600300UL))
#define bFM3_EXTI_NMICL_NCL                       *((volatile  uint8_t *)(0x42600300UL))

#define bFM_EXTI_NMIRR_NR                         *((volatile  uint8_t *)(0x42600280UL))
#define bFM3_EXTI_NMIRR_NR                        *((volatile  uint8_t *)(0x42600280UL))


/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_FLASH_IF_FSTR_RDY                     *((volatile  uint8_t *)(0x42000100UL))
#define bFM3_FLASH_IF_FSTR_RDY                    *((volatile  uint8_t *)(0x42000100UL))
#define bFM_FLASH_IF_FSTR_HNG                     *((volatile  uint8_t *)(0x42000104UL))
#define bFM3_FLASH_IF_FSTR_HNG                    *((volatile  uint8_t *)(0x42000104UL))
#define bFM_FLASH_IF_FSTR_ERR                     *((volatile  uint8_t *)(0x42000108UL))
#define bFM3_FLASH_IF_FSTR_ERR                    *((volatile  uint8_t *)(0x42000108UL))


/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_GPIO_ADE_AN00                         *((volatile  uint8_t *)(0x4266A000UL))
#define bFM3_GPIO_ADE_AN00                        *((volatile  uint8_t *)(0x4266A000UL))
#define bFM_GPIO_ADE_AN01                         *((volatile  uint8_t *)(0x4266A004UL))
#define bFM3_GPIO_ADE_AN01                        *((volatile  uint8_t *)(0x4266A004UL))
#define bFM_GPIO_ADE_AN02                         *((volatile  uint8_t *)(0x4266A008UL))
#define bFM3_GPIO_ADE_AN02                        *((volatile  uint8_t *)(0x4266A008UL))
#define bFM_GPIO_ADE_AN03                         *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM3_GPIO_ADE_AN03                        *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM_GPIO_ADE_AN04                         *((volatile  uint8_t *)(0x4266A010UL))
#define bFM3_GPIO_ADE_AN04                        *((volatile  uint8_t *)(0x4266A010UL))
#define bFM_GPIO_ADE_AN05                         *((volatile  uint8_t *)(0x4266A014UL))
#define bFM3_GPIO_ADE_AN05                        *((volatile  uint8_t *)(0x4266A014UL))
#define bFM_GPIO_ADE_AN06                         *((volatile  uint8_t *)(0x4266A018UL))
#define bFM3_GPIO_ADE_AN06                        *((volatile  uint8_t *)(0x4266A018UL))
#define bFM_GPIO_ADE_AN07                         *((volatile  uint8_t *)(0x4266A01CUL))
#define bFM3_GPIO_ADE_AN07                        *((volatile  uint8_t *)(0x4266A01CUL))
#define bFM_GPIO_ADE_AN08                         *((volatile  uint8_t *)(0x4266A020UL))
#define bFM3_GPIO_ADE_AN08                        *((volatile  uint8_t *)(0x4266A020UL))
#define bFM_GPIO_ADE_AN09                         *((volatile  uint8_t *)(0x4266A024UL))
#define bFM3_GPIO_ADE_AN09                        *((volatile  uint8_t *)(0x4266A024UL))
#define bFM_GPIO_ADE_AN10                         *((volatile  uint8_t *)(0x4266A028UL))
#define bFM3_GPIO_ADE_AN10                        *((volatile  uint8_t *)(0x4266A028UL))
#define bFM_GPIO_ADE_AN11                         *((volatile  uint8_t *)(0x4266A02CUL))
#define bFM3_GPIO_ADE_AN11                        *((volatile  uint8_t *)(0x4266A02CUL))
#define bFM_GPIO_ADE_AN12                         *((volatile  uint8_t *)(0x4266A030UL))
#define bFM3_GPIO_ADE_AN12                        *((volatile  uint8_t *)(0x4266A030UL))
#define bFM_GPIO_ADE_AN13                         *((volatile  uint8_t *)(0x4266A034UL))
#define bFM3_GPIO_ADE_AN13                        *((volatile  uint8_t *)(0x4266A034UL))
#define bFM_GPIO_ADE_AN14                         *((volatile  uint8_t *)(0x4266A038UL))
#define bFM3_GPIO_ADE_AN14                        *((volatile  uint8_t *)(0x4266A038UL))
#define bFM_GPIO_ADE_AN15                         *((volatile  uint8_t *)(0x4266A03CUL))
#define bFM3_GPIO_ADE_AN15                        *((volatile  uint8_t *)(0x4266A03CUL))
#define bFM_GPIO_ADE_AN16                         *((volatile  uint8_t *)(0x4266A040UL))
#define bFM3_GPIO_ADE_AN16                        *((volatile  uint8_t *)(0x4266A040UL))
#define bFM_GPIO_ADE_AN17                         *((volatile  uint8_t *)(0x4266A044UL))
#define bFM3_GPIO_ADE_AN17                        *((volatile  uint8_t *)(0x4266A044UL))
#define bFM_GPIO_ADE_AN18                         *((volatile  uint8_t *)(0x4266A048UL))
#define bFM3_GPIO_ADE_AN18                        *((volatile  uint8_t *)(0x4266A048UL))
#define bFM_GPIO_ADE_AN19                         *((volatile  uint8_t *)(0x4266A04CUL))
#define bFM3_GPIO_ADE_AN19                        *((volatile  uint8_t *)(0x4266A04CUL))
#define bFM_GPIO_ADE_AN20                         *((volatile  uint8_t *)(0x4266A050UL))
#define bFM3_GPIO_ADE_AN20                        *((volatile  uint8_t *)(0x4266A050UL))
#define bFM_GPIO_ADE_AN21                         *((volatile  uint8_t *)(0x4266A054UL))
#define bFM3_GPIO_ADE_AN21                        *((volatile  uint8_t *)(0x4266A054UL))
#define bFM_GPIO_ADE_AN22                         *((volatile  uint8_t *)(0x4266A058UL))
#define bFM3_GPIO_ADE_AN22                        *((volatile  uint8_t *)(0x4266A058UL))
#define bFM_GPIO_ADE_AN23                         *((volatile  uint8_t *)(0x4266A05CUL))
#define bFM3_GPIO_ADE_AN23                        *((volatile  uint8_t *)(0x4266A05CUL))
#define bFM_GPIO_ADE_AN24                         *((volatile  uint8_t *)(0x4266A060UL))
#define bFM3_GPIO_ADE_AN24                        *((volatile  uint8_t *)(0x4266A060UL))
#define bFM_GPIO_ADE_AN25                         *((volatile  uint8_t *)(0x4266A064UL))
#define bFM3_GPIO_ADE_AN25                        *((volatile  uint8_t *)(0x4266A064UL))
#define bFM_GPIO_ADE_AN26                         *((volatile  uint8_t *)(0x4266A068UL))
#define bFM3_GPIO_ADE_AN26                        *((volatile  uint8_t *)(0x4266A068UL))
#define bFM_GPIO_ADE_AN27                         *((volatile  uint8_t *)(0x4266A06CUL))
#define bFM3_GPIO_ADE_AN27                        *((volatile  uint8_t *)(0x4266A06CUL))
#define bFM_GPIO_ADE_AN28                         *((volatile  uint8_t *)(0x4266A070UL))
#define bFM3_GPIO_ADE_AN28                        *((volatile  uint8_t *)(0x4266A070UL))
#define bFM_GPIO_ADE_AN29                         *((volatile  uint8_t *)(0x4266A074UL))
#define bFM3_GPIO_ADE_AN29                        *((volatile  uint8_t *)(0x4266A074UL))
#define bFM_GPIO_ADE_AN30                         *((volatile  uint8_t *)(0x4266A078UL))
#define bFM3_GPIO_ADE_AN30                        *((volatile  uint8_t *)(0x4266A078UL))
#define bFM_GPIO_ADE_AN31                         *((volatile  uint8_t *)(0x4266A07CUL))
#define bFM3_GPIO_ADE_AN31                        *((volatile  uint8_t *)(0x4266A07CUL))

#define bFM_GPIO_DDR0_P0                          *((volatile  uint8_t *)(0x42664000UL))
#define bFM3_GPIO_DDR0_P0                         *((volatile  uint8_t *)(0x42664000UL))
#define bFM_GPIO_DDR0_P1                          *((volatile  uint8_t *)(0x42664004UL))
#define bFM3_GPIO_DDR0_P1                         *((volatile  uint8_t *)(0x42664004UL))
#define bFM_GPIO_DDR0_P2                          *((volatile  uint8_t *)(0x42664008UL))
#define bFM3_GPIO_DDR0_P2                         *((volatile  uint8_t *)(0x42664008UL))
#define bFM_GPIO_DDR0_P3                          *((volatile  uint8_t *)(0x4266400CUL))
#define bFM3_GPIO_DDR0_P3                         *((volatile  uint8_t *)(0x4266400CUL))
#define bFM_GPIO_DDR0_P4                          *((volatile  uint8_t *)(0x42664010UL))
#define bFM3_GPIO_DDR0_P4                         *((volatile  uint8_t *)(0x42664010UL))
#define bFM_GPIO_DDR0_P5                          *((volatile  uint8_t *)(0x42664014UL))
#define bFM3_GPIO_DDR0_P5                         *((volatile  uint8_t *)(0x42664014UL))
#define bFM_GPIO_DDR0_P6                          *((volatile  uint8_t *)(0x42664018UL))
#define bFM3_GPIO_DDR0_P6                         *((volatile  uint8_t *)(0x42664018UL))
#define bFM_GPIO_DDR0_P7                          *((volatile  uint8_t *)(0x4266401CUL))
#define bFM3_GPIO_DDR0_P7                         *((volatile  uint8_t *)(0x4266401CUL))
#define bFM_GPIO_DDR0_P8                          *((volatile  uint8_t *)(0x42664020UL))
#define bFM3_GPIO_DDR0_P8                         *((volatile  uint8_t *)(0x42664020UL))
#define bFM_GPIO_DDR0_P9                          *((volatile  uint8_t *)(0x42664024UL))
#define bFM3_GPIO_DDR0_P9                         *((volatile  uint8_t *)(0x42664024UL))
#define bFM_GPIO_DDR0_PA                          *((volatile  uint8_t *)(0x42664028UL))
#define bFM3_GPIO_DDR0_PA                         *((volatile  uint8_t *)(0x42664028UL))
#define bFM_GPIO_DDR0_PB                          *((volatile  uint8_t *)(0x4266402CUL))
#define bFM3_GPIO_DDR0_PB                         *((volatile  uint8_t *)(0x4266402CUL))
#define bFM_GPIO_DDR0_PC                          *((volatile  uint8_t *)(0x42664030UL))
#define bFM3_GPIO_DDR0_PC                         *((volatile  uint8_t *)(0x42664030UL))
#define bFM_GPIO_DDR0_PD                          *((volatile  uint8_t *)(0x42664034UL))
#define bFM3_GPIO_DDR0_PD                         *((volatile  uint8_t *)(0x42664034UL))
#define bFM_GPIO_DDR0_PE                          *((volatile  uint8_t *)(0x42664038UL))
#define bFM3_GPIO_DDR0_PE                         *((volatile  uint8_t *)(0x42664038UL))
#define bFM_GPIO_DDR0_PF                          *((volatile  uint8_t *)(0x4266403CUL))
#define bFM3_GPIO_DDR0_PF                         *((volatile  uint8_t *)(0x4266403CUL))

#define bFM_GPIO_DDR1_P0                          *((volatile  uint8_t *)(0x42664080UL))
#define bFM3_GPIO_DDR1_P0                         *((volatile  uint8_t *)(0x42664080UL))
#define bFM_GPIO_DDR1_P1                          *((volatile  uint8_t *)(0x42664084UL))
#define bFM3_GPIO_DDR1_P1                         *((volatile  uint8_t *)(0x42664084UL))
#define bFM_GPIO_DDR1_P2                          *((volatile  uint8_t *)(0x42664088UL))
#define bFM3_GPIO_DDR1_P2                         *((volatile  uint8_t *)(0x42664088UL))
#define bFM_GPIO_DDR1_P3                          *((volatile  uint8_t *)(0x4266408CUL))
#define bFM3_GPIO_DDR1_P3                         *((volatile  uint8_t *)(0x4266408CUL))
#define bFM_GPIO_DDR1_P4                          *((volatile  uint8_t *)(0x42664090UL))
#define bFM3_GPIO_DDR1_P4                         *((volatile  uint8_t *)(0x42664090UL))
#define bFM_GPIO_DDR1_P5                          *((volatile  uint8_t *)(0x42664094UL))
#define bFM3_GPIO_DDR1_P5                         *((volatile  uint8_t *)(0x42664094UL))
#define bFM_GPIO_DDR1_P6                          *((volatile  uint8_t *)(0x42664098UL))
#define bFM3_GPIO_DDR1_P6                         *((volatile  uint8_t *)(0x42664098UL))
#define bFM_GPIO_DDR1_P7                          *((volatile  uint8_t *)(0x4266409CUL))
#define bFM3_GPIO_DDR1_P7                         *((volatile  uint8_t *)(0x4266409CUL))
#define bFM_GPIO_DDR1_P8                          *((volatile  uint8_t *)(0x426640A0UL))
#define bFM3_GPIO_DDR1_P8                         *((volatile  uint8_t *)(0x426640A0UL))
#define bFM_GPIO_DDR1_P9                          *((volatile  uint8_t *)(0x426640A4UL))
#define bFM3_GPIO_DDR1_P9                         *((volatile  uint8_t *)(0x426640A4UL))
#define bFM_GPIO_DDR1_PA                          *((volatile  uint8_t *)(0x426640A8UL))
#define bFM3_GPIO_DDR1_PA                         *((volatile  uint8_t *)(0x426640A8UL))
#define bFM_GPIO_DDR1_PB                          *((volatile  uint8_t *)(0x426640ACUL))
#define bFM3_GPIO_DDR1_PB                         *((volatile  uint8_t *)(0x426640ACUL))
#define bFM_GPIO_DDR1_PC                          *((volatile  uint8_t *)(0x426640B0UL))
#define bFM3_GPIO_DDR1_PC                         *((volatile  uint8_t *)(0x426640B0UL))
#define bFM_GPIO_DDR1_PD                          *((volatile  uint8_t *)(0x426640B4UL))
#define bFM3_GPIO_DDR1_PD                         *((volatile  uint8_t *)(0x426640B4UL))
#define bFM_GPIO_DDR1_PE                          *((volatile  uint8_t *)(0x426640B8UL))
#define bFM3_GPIO_DDR1_PE                         *((volatile  uint8_t *)(0x426640B8UL))
#define bFM_GPIO_DDR1_PF                          *((volatile  uint8_t *)(0x426640BCUL))
#define bFM3_GPIO_DDR1_PF                         *((volatile  uint8_t *)(0x426640BCUL))

#define bFM_GPIO_DDR2_P0                          *((volatile  uint8_t *)(0x42664100UL))
#define bFM3_GPIO_DDR2_P0                         *((volatile  uint8_t *)(0x42664100UL))
#define bFM_GPIO_DDR2_P1                          *((volatile  uint8_t *)(0x42664104UL))
#define bFM3_GPIO_DDR2_P1                         *((volatile  uint8_t *)(0x42664104UL))
#define bFM_GPIO_DDR2_P2                          *((volatile  uint8_t *)(0x42664108UL))
#define bFM3_GPIO_DDR2_P2                         *((volatile  uint8_t *)(0x42664108UL))
#define bFM_GPIO_DDR2_P3                          *((volatile  uint8_t *)(0x4266410CUL))
#define bFM3_GPIO_DDR2_P3                         *((volatile  uint8_t *)(0x4266410CUL))
#define bFM_GPIO_DDR2_P4                          *((volatile  uint8_t *)(0x42664110UL))
#define bFM3_GPIO_DDR2_P4                         *((volatile  uint8_t *)(0x42664110UL))
#define bFM_GPIO_DDR2_P5                          *((volatile  uint8_t *)(0x42664114UL))
#define bFM3_GPIO_DDR2_P5                         *((volatile  uint8_t *)(0x42664114UL))
#define bFM_GPIO_DDR2_P6                          *((volatile  uint8_t *)(0x42664118UL))
#define bFM3_GPIO_DDR2_P6                         *((volatile  uint8_t *)(0x42664118UL))
#define bFM_GPIO_DDR2_P7                          *((volatile  uint8_t *)(0x4266411CUL))
#define bFM3_GPIO_DDR2_P7                         *((volatile  uint8_t *)(0x4266411CUL))
#define bFM_GPIO_DDR2_P8                          *((volatile  uint8_t *)(0x42664120UL))
#define bFM3_GPIO_DDR2_P8                         *((volatile  uint8_t *)(0x42664120UL))
#define bFM_GPIO_DDR2_P9                          *((volatile  uint8_t *)(0x42664124UL))
#define bFM3_GPIO_DDR2_P9                         *((volatile  uint8_t *)(0x42664124UL))
#define bFM_GPIO_DDR2_PA                          *((volatile  uint8_t *)(0x42664128UL))
#define bFM3_GPIO_DDR2_PA                         *((volatile  uint8_t *)(0x42664128UL))
#define bFM_GPIO_DDR2_PB                          *((volatile  uint8_t *)(0x4266412CUL))
#define bFM3_GPIO_DDR2_PB                         *((volatile  uint8_t *)(0x4266412CUL))
#define bFM_GPIO_DDR2_PC                          *((volatile  uint8_t *)(0x42664130UL))
#define bFM3_GPIO_DDR2_PC                         *((volatile  uint8_t *)(0x42664130UL))
#define bFM_GPIO_DDR2_PD                          *((volatile  uint8_t *)(0x42664134UL))
#define bFM3_GPIO_DDR2_PD                         *((volatile  uint8_t *)(0x42664134UL))
#define bFM_GPIO_DDR2_PE                          *((volatile  uint8_t *)(0x42664138UL))
#define bFM3_GPIO_DDR2_PE                         *((volatile  uint8_t *)(0x42664138UL))
#define bFM_GPIO_DDR2_PF                          *((volatile  uint8_t *)(0x4266413CUL))
#define bFM3_GPIO_DDR2_PF                         *((volatile  uint8_t *)(0x4266413CUL))

#define bFM_GPIO_DDR3_P0                          *((volatile  uint8_t *)(0x42664180UL))
#define bFM3_GPIO_DDR3_P0                         *((volatile  uint8_t *)(0x42664180UL))
#define bFM_GPIO_DDR3_P1                          *((volatile  uint8_t *)(0x42664184UL))
#define bFM3_GPIO_DDR3_P1                         *((volatile  uint8_t *)(0x42664184UL))
#define bFM_GPIO_DDR3_P2                          *((volatile  uint8_t *)(0x42664188UL))
#define bFM3_GPIO_DDR3_P2                         *((volatile  uint8_t *)(0x42664188UL))
#define bFM_GPIO_DDR3_P3                          *((volatile  uint8_t *)(0x4266418CUL))
#define bFM3_GPIO_DDR3_P3                         *((volatile  uint8_t *)(0x4266418CUL))
#define bFM_GPIO_DDR3_P4                          *((volatile  uint8_t *)(0x42664190UL))
#define bFM3_GPIO_DDR3_P4                         *((volatile  uint8_t *)(0x42664190UL))
#define bFM_GPIO_DDR3_P5                          *((volatile  uint8_t *)(0x42664194UL))
#define bFM3_GPIO_DDR3_P5                         *((volatile  uint8_t *)(0x42664194UL))
#define bFM_GPIO_DDR3_P6                          *((volatile  uint8_t *)(0x42664198UL))
#define bFM3_GPIO_DDR3_P6                         *((volatile  uint8_t *)(0x42664198UL))
#define bFM_GPIO_DDR3_P7                          *((volatile  uint8_t *)(0x4266419CUL))
#define bFM3_GPIO_DDR3_P7                         *((volatile  uint8_t *)(0x4266419CUL))
#define bFM_GPIO_DDR3_P8                          *((volatile  uint8_t *)(0x426641A0UL))
#define bFM3_GPIO_DDR3_P8                         *((volatile  uint8_t *)(0x426641A0UL))
#define bFM_GPIO_DDR3_P9                          *((volatile  uint8_t *)(0x426641A4UL))
#define bFM3_GPIO_DDR3_P9                         *((volatile  uint8_t *)(0x426641A4UL))
#define bFM_GPIO_DDR3_PA                          *((volatile  uint8_t *)(0x426641A8UL))
#define bFM3_GPIO_DDR3_PA                         *((volatile  uint8_t *)(0x426641A8UL))
#define bFM_GPIO_DDR3_PB                          *((volatile  uint8_t *)(0x426641ACUL))
#define bFM3_GPIO_DDR3_PB                         *((volatile  uint8_t *)(0x426641ACUL))
#define bFM_GPIO_DDR3_PC                          *((volatile  uint8_t *)(0x426641B0UL))
#define bFM3_GPIO_DDR3_PC                         *((volatile  uint8_t *)(0x426641B0UL))
#define bFM_GPIO_DDR3_PD                          *((volatile  uint8_t *)(0x426641B4UL))
#define bFM3_GPIO_DDR3_PD                         *((volatile  uint8_t *)(0x426641B4UL))
#define bFM_GPIO_DDR3_PE                          *((volatile  uint8_t *)(0x426641B8UL))
#define bFM3_GPIO_DDR3_PE                         *((volatile  uint8_t *)(0x426641B8UL))
#define bFM_GPIO_DDR3_PF                          *((volatile  uint8_t *)(0x426641BCUL))
#define bFM3_GPIO_DDR3_PF                         *((volatile  uint8_t *)(0x426641BCUL))

#define bFM_GPIO_DDR4_P0                          *((volatile  uint8_t *)(0x42664200UL))
#define bFM3_GPIO_DDR4_P0                         *((volatile  uint8_t *)(0x42664200UL))
#define bFM_GPIO_DDR4_P1                          *((volatile  uint8_t *)(0x42664204UL))
#define bFM3_GPIO_DDR4_P1                         *((volatile  uint8_t *)(0x42664204UL))
#define bFM_GPIO_DDR4_P2                          *((volatile  uint8_t *)(0x42664208UL))
#define bFM3_GPIO_DDR4_P2                         *((volatile  uint8_t *)(0x42664208UL))
#define bFM_GPIO_DDR4_P3                          *((volatile  uint8_t *)(0x4266420CUL))
#define bFM3_GPIO_DDR4_P3                         *((volatile  uint8_t *)(0x4266420CUL))
#define bFM_GPIO_DDR4_P4                          *((volatile  uint8_t *)(0x42664210UL))
#define bFM3_GPIO_DDR4_P4                         *((volatile  uint8_t *)(0x42664210UL))
#define bFM_GPIO_DDR4_P5                          *((volatile  uint8_t *)(0x42664214UL))
#define bFM3_GPIO_DDR4_P5                         *((volatile  uint8_t *)(0x42664214UL))
#define bFM_GPIO_DDR4_P6                          *((volatile  uint8_t *)(0x42664218UL))
#define bFM3_GPIO_DDR4_P6                         *((volatile  uint8_t *)(0x42664218UL))
#define bFM_GPIO_DDR4_P7                          *((volatile  uint8_t *)(0x4266421CUL))
#define bFM3_GPIO_DDR4_P7                         *((volatile  uint8_t *)(0x4266421CUL))
#define bFM_GPIO_DDR4_P8                          *((volatile  uint8_t *)(0x42664220UL))
#define bFM3_GPIO_DDR4_P8                         *((volatile  uint8_t *)(0x42664220UL))
#define bFM_GPIO_DDR4_P9                          *((volatile  uint8_t *)(0x42664224UL))
#define bFM3_GPIO_DDR4_P9                         *((volatile  uint8_t *)(0x42664224UL))
#define bFM_GPIO_DDR4_PA                          *((volatile  uint8_t *)(0x42664228UL))
#define bFM3_GPIO_DDR4_PA                         *((volatile  uint8_t *)(0x42664228UL))
#define bFM_GPIO_DDR4_PB                          *((volatile  uint8_t *)(0x4266422CUL))
#define bFM3_GPIO_DDR4_PB                         *((volatile  uint8_t *)(0x4266422CUL))
#define bFM_GPIO_DDR4_PC                          *((volatile  uint8_t *)(0x42664230UL))
#define bFM3_GPIO_DDR4_PC                         *((volatile  uint8_t *)(0x42664230UL))
#define bFM_GPIO_DDR4_PD                          *((volatile  uint8_t *)(0x42664234UL))
#define bFM3_GPIO_DDR4_PD                         *((volatile  uint8_t *)(0x42664234UL))
#define bFM_GPIO_DDR4_PE                          *((volatile  uint8_t *)(0x42664238UL))
#define bFM3_GPIO_DDR4_PE                         *((volatile  uint8_t *)(0x42664238UL))
#define bFM_GPIO_DDR4_PF                          *((volatile  uint8_t *)(0x4266423CUL))
#define bFM3_GPIO_DDR4_PF                         *((volatile  uint8_t *)(0x4266423CUL))

#define bFM_GPIO_DDR5_P0                          *((volatile  uint8_t *)(0x42664280UL))
#define bFM3_GPIO_DDR5_P0                         *((volatile  uint8_t *)(0x42664280UL))
#define bFM_GPIO_DDR5_P1                          *((volatile  uint8_t *)(0x42664284UL))
#define bFM3_GPIO_DDR5_P1                         *((volatile  uint8_t *)(0x42664284UL))
#define bFM_GPIO_DDR5_P2                          *((volatile  uint8_t *)(0x42664288UL))
#define bFM3_GPIO_DDR5_P2                         *((volatile  uint8_t *)(0x42664288UL))
#define bFM_GPIO_DDR5_P3                          *((volatile  uint8_t *)(0x4266428CUL))
#define bFM3_GPIO_DDR5_P3                         *((volatile  uint8_t *)(0x4266428CUL))
#define bFM_GPIO_DDR5_P4                          *((volatile  uint8_t *)(0x42664290UL))
#define bFM3_GPIO_DDR5_P4                         *((volatile  uint8_t *)(0x42664290UL))
#define bFM_GPIO_DDR5_P5                          *((volatile  uint8_t *)(0x42664294UL))
#define bFM3_GPIO_DDR5_P5                         *((volatile  uint8_t *)(0x42664294UL))
#define bFM_GPIO_DDR5_P6                          *((volatile  uint8_t *)(0x42664298UL))
#define bFM3_GPIO_DDR5_P6                         *((volatile  uint8_t *)(0x42664298UL))
#define bFM_GPIO_DDR5_P7                          *((volatile  uint8_t *)(0x4266429CUL))
#define bFM3_GPIO_DDR5_P7                         *((volatile  uint8_t *)(0x4266429CUL))
#define bFM_GPIO_DDR5_P8                          *((volatile  uint8_t *)(0x426642A0UL))
#define bFM3_GPIO_DDR5_P8                         *((volatile  uint8_t *)(0x426642A0UL))
#define bFM_GPIO_DDR5_P9                          *((volatile  uint8_t *)(0x426642A4UL))
#define bFM3_GPIO_DDR5_P9                         *((volatile  uint8_t *)(0x426642A4UL))
#define bFM_GPIO_DDR5_PA                          *((volatile  uint8_t *)(0x426642A8UL))
#define bFM3_GPIO_DDR5_PA                         *((volatile  uint8_t *)(0x426642A8UL))
#define bFM_GPIO_DDR5_PB                          *((volatile  uint8_t *)(0x426642ACUL))
#define bFM3_GPIO_DDR5_PB                         *((volatile  uint8_t *)(0x426642ACUL))
#define bFM_GPIO_DDR5_PC                          *((volatile  uint8_t *)(0x426642B0UL))
#define bFM3_GPIO_DDR5_PC                         *((volatile  uint8_t *)(0x426642B0UL))
#define bFM_GPIO_DDR5_PD                          *((volatile  uint8_t *)(0x426642B4UL))
#define bFM3_GPIO_DDR5_PD                         *((volatile  uint8_t *)(0x426642B4UL))
#define bFM_GPIO_DDR5_PE                          *((volatile  uint8_t *)(0x426642B8UL))
#define bFM3_GPIO_DDR5_PE                         *((volatile  uint8_t *)(0x426642B8UL))
#define bFM_GPIO_DDR5_PF                          *((volatile  uint8_t *)(0x426642BCUL))
#define bFM3_GPIO_DDR5_PF                         *((volatile  uint8_t *)(0x426642BCUL))

#define bFM_GPIO_DDR6_P0                          *((volatile  uint8_t *)(0x42664300UL))
#define bFM3_GPIO_DDR6_P0                         *((volatile  uint8_t *)(0x42664300UL))
#define bFM_GPIO_DDR6_P1                          *((volatile  uint8_t *)(0x42664304UL))
#define bFM3_GPIO_DDR6_P1                         *((volatile  uint8_t *)(0x42664304UL))
#define bFM_GPIO_DDR6_P2                          *((volatile  uint8_t *)(0x42664308UL))
#define bFM3_GPIO_DDR6_P2                         *((volatile  uint8_t *)(0x42664308UL))
#define bFM_GPIO_DDR6_P3                          *((volatile  uint8_t *)(0x4266430CUL))
#define bFM3_GPIO_DDR6_P3                         *((volatile  uint8_t *)(0x4266430CUL))
#define bFM_GPIO_DDR6_P4                          *((volatile  uint8_t *)(0x42664310UL))
#define bFM3_GPIO_DDR6_P4                         *((volatile  uint8_t *)(0x42664310UL))
#define bFM_GPIO_DDR6_P5                          *((volatile  uint8_t *)(0x42664314UL))
#define bFM3_GPIO_DDR6_P5                         *((volatile  uint8_t *)(0x42664314UL))
#define bFM_GPIO_DDR6_P6                          *((volatile  uint8_t *)(0x42664318UL))
#define bFM3_GPIO_DDR6_P6                         *((volatile  uint8_t *)(0x42664318UL))
#define bFM_GPIO_DDR6_P7                          *((volatile  uint8_t *)(0x4266431CUL))
#define bFM3_GPIO_DDR6_P7                         *((volatile  uint8_t *)(0x4266431CUL))
#define bFM_GPIO_DDR6_P8                          *((volatile  uint8_t *)(0x42664320UL))
#define bFM3_GPIO_DDR6_P8                         *((volatile  uint8_t *)(0x42664320UL))
#define bFM_GPIO_DDR6_P9                          *((volatile  uint8_t *)(0x42664324UL))
#define bFM3_GPIO_DDR6_P9                         *((volatile  uint8_t *)(0x42664324UL))
#define bFM_GPIO_DDR6_PA                          *((volatile  uint8_t *)(0x42664328UL))
#define bFM3_GPIO_DDR6_PA                         *((volatile  uint8_t *)(0x42664328UL))
#define bFM_GPIO_DDR6_PB                          *((volatile  uint8_t *)(0x4266432CUL))
#define bFM3_GPIO_DDR6_PB                         *((volatile  uint8_t *)(0x4266432CUL))
#define bFM_GPIO_DDR6_PC                          *((volatile  uint8_t *)(0x42664330UL))
#define bFM3_GPIO_DDR6_PC                         *((volatile  uint8_t *)(0x42664330UL))
#define bFM_GPIO_DDR6_PD                          *((volatile  uint8_t *)(0x42664334UL))
#define bFM3_GPIO_DDR6_PD                         *((volatile  uint8_t *)(0x42664334UL))
#define bFM_GPIO_DDR6_PE                          *((volatile  uint8_t *)(0x42664338UL))
#define bFM3_GPIO_DDR6_PE                         *((volatile  uint8_t *)(0x42664338UL))
#define bFM_GPIO_DDR6_PF                          *((volatile  uint8_t *)(0x4266433CUL))
#define bFM3_GPIO_DDR6_PF                         *((volatile  uint8_t *)(0x4266433CUL))

#define bFM_GPIO_DDR7_P0                          *((volatile  uint8_t *)(0x42664380UL))
#define bFM3_GPIO_DDR7_P0                         *((volatile  uint8_t *)(0x42664380UL))
#define bFM_GPIO_DDR7_P1                          *((volatile  uint8_t *)(0x42664384UL))
#define bFM3_GPIO_DDR7_P1                         *((volatile  uint8_t *)(0x42664384UL))
#define bFM_GPIO_DDR7_P2                          *((volatile  uint8_t *)(0x42664388UL))
#define bFM3_GPIO_DDR7_P2                         *((volatile  uint8_t *)(0x42664388UL))
#define bFM_GPIO_DDR7_P3                          *((volatile  uint8_t *)(0x4266438CUL))
#define bFM3_GPIO_DDR7_P3                         *((volatile  uint8_t *)(0x4266438CUL))
#define bFM_GPIO_DDR7_P4                          *((volatile  uint8_t *)(0x42664390UL))
#define bFM3_GPIO_DDR7_P4                         *((volatile  uint8_t *)(0x42664390UL))
#define bFM_GPIO_DDR7_P5                          *((volatile  uint8_t *)(0x42664394UL))
#define bFM3_GPIO_DDR7_P5                         *((volatile  uint8_t *)(0x42664394UL))
#define bFM_GPIO_DDR7_P6                          *((volatile  uint8_t *)(0x42664398UL))
#define bFM3_GPIO_DDR7_P6                         *((volatile  uint8_t *)(0x42664398UL))
#define bFM_GPIO_DDR7_P7                          *((volatile  uint8_t *)(0x4266439CUL))
#define bFM3_GPIO_DDR7_P7                         *((volatile  uint8_t *)(0x4266439CUL))
#define bFM_GPIO_DDR7_P8                          *((volatile  uint8_t *)(0x426643A0UL))
#define bFM3_GPIO_DDR7_P8                         *((volatile  uint8_t *)(0x426643A0UL))
#define bFM_GPIO_DDR7_P9                          *((volatile  uint8_t *)(0x426643A4UL))
#define bFM3_GPIO_DDR7_P9                         *((volatile  uint8_t *)(0x426643A4UL))
#define bFM_GPIO_DDR7_PA                          *((volatile  uint8_t *)(0x426643A8UL))
#define bFM3_GPIO_DDR7_PA                         *((volatile  uint8_t *)(0x426643A8UL))
#define bFM_GPIO_DDR7_PB                          *((volatile  uint8_t *)(0x426643ACUL))
#define bFM3_GPIO_DDR7_PB                         *((volatile  uint8_t *)(0x426643ACUL))
#define bFM_GPIO_DDR7_PC                          *((volatile  uint8_t *)(0x426643B0UL))
#define bFM3_GPIO_DDR7_PC                         *((volatile  uint8_t *)(0x426643B0UL))
#define bFM_GPIO_DDR7_PD                          *((volatile  uint8_t *)(0x426643B4UL))
#define bFM3_GPIO_DDR7_PD                         *((volatile  uint8_t *)(0x426643B4UL))
#define bFM_GPIO_DDR7_PE                          *((volatile  uint8_t *)(0x426643B8UL))
#define bFM3_GPIO_DDR7_PE                         *((volatile  uint8_t *)(0x426643B8UL))
#define bFM_GPIO_DDR7_PF                          *((volatile  uint8_t *)(0x426643BCUL))
#define bFM3_GPIO_DDR7_PF                         *((volatile  uint8_t *)(0x426643BCUL))

#define bFM_GPIO_DDR8_P0                          *((volatile  uint8_t *)(0x42664400UL))
#define bFM3_GPIO_DDR8_P0                         *((volatile  uint8_t *)(0x42664400UL))
#define bFM_GPIO_DDR8_P1                          *((volatile  uint8_t *)(0x42664404UL))
#define bFM3_GPIO_DDR8_P1                         *((volatile  uint8_t *)(0x42664404UL))
#define bFM_GPIO_DDR8_P2                          *((volatile  uint8_t *)(0x42664408UL))
#define bFM3_GPIO_DDR8_P2                         *((volatile  uint8_t *)(0x42664408UL))
#define bFM_GPIO_DDR8_P3                          *((volatile  uint8_t *)(0x4266440CUL))
#define bFM3_GPIO_DDR8_P3                         *((volatile  uint8_t *)(0x4266440CUL))
#define bFM_GPIO_DDR8_P4                          *((volatile  uint8_t *)(0x42664410UL))
#define bFM3_GPIO_DDR8_P4                         *((volatile  uint8_t *)(0x42664410UL))
#define bFM_GPIO_DDR8_P5                          *((volatile  uint8_t *)(0x42664414UL))
#define bFM3_GPIO_DDR8_P5                         *((volatile  uint8_t *)(0x42664414UL))
#define bFM_GPIO_DDR8_P6                          *((volatile  uint8_t *)(0x42664418UL))
#define bFM3_GPIO_DDR8_P6                         *((volatile  uint8_t *)(0x42664418UL))
#define bFM_GPIO_DDR8_P7                          *((volatile  uint8_t *)(0x4266441CUL))
#define bFM3_GPIO_DDR8_P7                         *((volatile  uint8_t *)(0x4266441CUL))
#define bFM_GPIO_DDR8_P8                          *((volatile  uint8_t *)(0x42664420UL))
#define bFM3_GPIO_DDR8_P8                         *((volatile  uint8_t *)(0x42664420UL))
#define bFM_GPIO_DDR8_P9                          *((volatile  uint8_t *)(0x42664424UL))
#define bFM3_GPIO_DDR8_P9                         *((volatile  uint8_t *)(0x42664424UL))
#define bFM_GPIO_DDR8_PA                          *((volatile  uint8_t *)(0x42664428UL))
#define bFM3_GPIO_DDR8_PA                         *((volatile  uint8_t *)(0x42664428UL))
#define bFM_GPIO_DDR8_PB                          *((volatile  uint8_t *)(0x4266442CUL))
#define bFM3_GPIO_DDR8_PB                         *((volatile  uint8_t *)(0x4266442CUL))
#define bFM_GPIO_DDR8_PC                          *((volatile  uint8_t *)(0x42664430UL))
#define bFM3_GPIO_DDR8_PC                         *((volatile  uint8_t *)(0x42664430UL))
#define bFM_GPIO_DDR8_PD                          *((volatile  uint8_t *)(0x42664434UL))
#define bFM3_GPIO_DDR8_PD                         *((volatile  uint8_t *)(0x42664434UL))
#define bFM_GPIO_DDR8_PE                          *((volatile  uint8_t *)(0x42664438UL))
#define bFM3_GPIO_DDR8_PE                         *((volatile  uint8_t *)(0x42664438UL))
#define bFM_GPIO_DDR8_PF                          *((volatile  uint8_t *)(0x4266443CUL))
#define bFM3_GPIO_DDR8_PF                         *((volatile  uint8_t *)(0x4266443CUL))

#define bFM_GPIO_DDR9_P0                          *((volatile  uint8_t *)(0x42664480UL))
#define bFM3_GPIO_DDR9_P0                         *((volatile  uint8_t *)(0x42664480UL))
#define bFM_GPIO_DDR9_P1                          *((volatile  uint8_t *)(0x42664484UL))
#define bFM3_GPIO_DDR9_P1                         *((volatile  uint8_t *)(0x42664484UL))
#define bFM_GPIO_DDR9_P2                          *((volatile  uint8_t *)(0x42664488UL))
#define bFM3_GPIO_DDR9_P2                         *((volatile  uint8_t *)(0x42664488UL))
#define bFM_GPIO_DDR9_P3                          *((volatile  uint8_t *)(0x4266448CUL))
#define bFM3_GPIO_DDR9_P3                         *((volatile  uint8_t *)(0x4266448CUL))
#define bFM_GPIO_DDR9_P4                          *((volatile  uint8_t *)(0x42664490UL))
#define bFM3_GPIO_DDR9_P4                         *((volatile  uint8_t *)(0x42664490UL))
#define bFM_GPIO_DDR9_P5                          *((volatile  uint8_t *)(0x42664494UL))
#define bFM3_GPIO_DDR9_P5                         *((volatile  uint8_t *)(0x42664494UL))
#define bFM_GPIO_DDR9_P6                          *((volatile  uint8_t *)(0x42664498UL))
#define bFM3_GPIO_DDR9_P6                         *((volatile  uint8_t *)(0x42664498UL))
#define bFM_GPIO_DDR9_P7                          *((volatile  uint8_t *)(0x4266449CUL))
#define bFM3_GPIO_DDR9_P7                         *((volatile  uint8_t *)(0x4266449CUL))
#define bFM_GPIO_DDR9_P8                          *((volatile  uint8_t *)(0x426644A0UL))
#define bFM3_GPIO_DDR9_P8                         *((volatile  uint8_t *)(0x426644A0UL))
#define bFM_GPIO_DDR9_P9                          *((volatile  uint8_t *)(0x426644A4UL))
#define bFM3_GPIO_DDR9_P9                         *((volatile  uint8_t *)(0x426644A4UL))
#define bFM_GPIO_DDR9_PA                          *((volatile  uint8_t *)(0x426644A8UL))
#define bFM3_GPIO_DDR9_PA                         *((volatile  uint8_t *)(0x426644A8UL))
#define bFM_GPIO_DDR9_PB                          *((volatile  uint8_t *)(0x426644ACUL))
#define bFM3_GPIO_DDR9_PB                         *((volatile  uint8_t *)(0x426644ACUL))
#define bFM_GPIO_DDR9_PC                          *((volatile  uint8_t *)(0x426644B0UL))
#define bFM3_GPIO_DDR9_PC                         *((volatile  uint8_t *)(0x426644B0UL))
#define bFM_GPIO_DDR9_PD                          *((volatile  uint8_t *)(0x426644B4UL))
#define bFM3_GPIO_DDR9_PD                         *((volatile  uint8_t *)(0x426644B4UL))
#define bFM_GPIO_DDR9_PE                          *((volatile  uint8_t *)(0x426644B8UL))
#define bFM3_GPIO_DDR9_PE                         *((volatile  uint8_t *)(0x426644B8UL))
#define bFM_GPIO_DDR9_PF                          *((volatile  uint8_t *)(0x426644BCUL))
#define bFM3_GPIO_DDR9_PF                         *((volatile  uint8_t *)(0x426644BCUL))

#define bFM_GPIO_DDRA_P0                          *((volatile  uint8_t *)(0x42664500UL))
#define bFM3_GPIO_DDRA_P0                         *((volatile  uint8_t *)(0x42664500UL))
#define bFM_GPIO_DDRA_P1                          *((volatile  uint8_t *)(0x42664504UL))
#define bFM3_GPIO_DDRA_P1                         *((volatile  uint8_t *)(0x42664504UL))
#define bFM_GPIO_DDRA_P2                          *((volatile  uint8_t *)(0x42664508UL))
#define bFM3_GPIO_DDRA_P2                         *((volatile  uint8_t *)(0x42664508UL))
#define bFM_GPIO_DDRA_P3                          *((volatile  uint8_t *)(0x4266450CUL))
#define bFM3_GPIO_DDRA_P3                         *((volatile  uint8_t *)(0x4266450CUL))
#define bFM_GPIO_DDRA_P4                          *((volatile  uint8_t *)(0x42664510UL))
#define bFM3_GPIO_DDRA_P4                         *((volatile  uint8_t *)(0x42664510UL))
#define bFM_GPIO_DDRA_P5                          *((volatile  uint8_t *)(0x42664514UL))
#define bFM3_GPIO_DDRA_P5                         *((volatile  uint8_t *)(0x42664514UL))
#define bFM_GPIO_DDRA_P6                          *((volatile  uint8_t *)(0x42664518UL))
#define bFM3_GPIO_DDRA_P6                         *((volatile  uint8_t *)(0x42664518UL))
#define bFM_GPIO_DDRA_P7                          *((volatile  uint8_t *)(0x4266451CUL))
#define bFM3_GPIO_DDRA_P7                         *((volatile  uint8_t *)(0x4266451CUL))
#define bFM_GPIO_DDRA_P8                          *((volatile  uint8_t *)(0x42664520UL))
#define bFM3_GPIO_DDRA_P8                         *((volatile  uint8_t *)(0x42664520UL))
#define bFM_GPIO_DDRA_P9                          *((volatile  uint8_t *)(0x42664524UL))
#define bFM3_GPIO_DDRA_P9                         *((volatile  uint8_t *)(0x42664524UL))
#define bFM_GPIO_DDRA_PA                          *((volatile  uint8_t *)(0x42664528UL))
#define bFM3_GPIO_DDRA_PA                         *((volatile  uint8_t *)(0x42664528UL))
#define bFM_GPIO_DDRA_PB                          *((volatile  uint8_t *)(0x4266452CUL))
#define bFM3_GPIO_DDRA_PB                         *((volatile  uint8_t *)(0x4266452CUL))
#define bFM_GPIO_DDRA_PC                          *((volatile  uint8_t *)(0x42664530UL))
#define bFM3_GPIO_DDRA_PC                         *((volatile  uint8_t *)(0x42664530UL))
#define bFM_GPIO_DDRA_PD                          *((volatile  uint8_t *)(0x42664534UL))
#define bFM3_GPIO_DDRA_PD                         *((volatile  uint8_t *)(0x42664534UL))
#define bFM_GPIO_DDRA_PE                          *((volatile  uint8_t *)(0x42664538UL))
#define bFM3_GPIO_DDRA_PE                         *((volatile  uint8_t *)(0x42664538UL))
#define bFM_GPIO_DDRA_PF                          *((volatile  uint8_t *)(0x4266453CUL))
#define bFM3_GPIO_DDRA_PF                         *((volatile  uint8_t *)(0x4266453CUL))

#define bFM_GPIO_DDRB_P0                          *((volatile  uint8_t *)(0x42664580UL))
#define bFM3_GPIO_DDRB_P0                         *((volatile  uint8_t *)(0x42664580UL))
#define bFM_GPIO_DDRB_P1                          *((volatile  uint8_t *)(0x42664584UL))
#define bFM3_GPIO_DDRB_P1                         *((volatile  uint8_t *)(0x42664584UL))
#define bFM_GPIO_DDRB_P2                          *((volatile  uint8_t *)(0x42664588UL))
#define bFM3_GPIO_DDRB_P2                         *((volatile  uint8_t *)(0x42664588UL))
#define bFM_GPIO_DDRB_P3                          *((volatile  uint8_t *)(0x4266458CUL))
#define bFM3_GPIO_DDRB_P3                         *((volatile  uint8_t *)(0x4266458CUL))
#define bFM_GPIO_DDRB_P4                          *((volatile  uint8_t *)(0x42664590UL))
#define bFM3_GPIO_DDRB_P4                         *((volatile  uint8_t *)(0x42664590UL))
#define bFM_GPIO_DDRB_P5                          *((volatile  uint8_t *)(0x42664594UL))
#define bFM3_GPIO_DDRB_P5                         *((volatile  uint8_t *)(0x42664594UL))
#define bFM_GPIO_DDRB_P6                          *((volatile  uint8_t *)(0x42664598UL))
#define bFM3_GPIO_DDRB_P6                         *((volatile  uint8_t *)(0x42664598UL))
#define bFM_GPIO_DDRB_P7                          *((volatile  uint8_t *)(0x4266459CUL))
#define bFM3_GPIO_DDRB_P7                         *((volatile  uint8_t *)(0x4266459CUL))
#define bFM_GPIO_DDRB_P8                          *((volatile  uint8_t *)(0x426645A0UL))
#define bFM3_GPIO_DDRB_P8                         *((volatile  uint8_t *)(0x426645A0UL))
#define bFM_GPIO_DDRB_P9                          *((volatile  uint8_t *)(0x426645A4UL))
#define bFM3_GPIO_DDRB_P9                         *((volatile  uint8_t *)(0x426645A4UL))
#define bFM_GPIO_DDRB_PA                          *((volatile  uint8_t *)(0x426645A8UL))
#define bFM3_GPIO_DDRB_PA                         *((volatile  uint8_t *)(0x426645A8UL))
#define bFM_GPIO_DDRB_PB                          *((volatile  uint8_t *)(0x426645ACUL))
#define bFM3_GPIO_DDRB_PB                         *((volatile  uint8_t *)(0x426645ACUL))
#define bFM_GPIO_DDRB_PC                          *((volatile  uint8_t *)(0x426645B0UL))
#define bFM3_GPIO_DDRB_PC                         *((volatile  uint8_t *)(0x426645B0UL))
#define bFM_GPIO_DDRB_PD                          *((volatile  uint8_t *)(0x426645B4UL))
#define bFM3_GPIO_DDRB_PD                         *((volatile  uint8_t *)(0x426645B4UL))
#define bFM_GPIO_DDRB_PE                          *((volatile  uint8_t *)(0x426645B8UL))
#define bFM3_GPIO_DDRB_PE                         *((volatile  uint8_t *)(0x426645B8UL))
#define bFM_GPIO_DDRB_PF                          *((volatile  uint8_t *)(0x426645BCUL))
#define bFM3_GPIO_DDRB_PF                         *((volatile  uint8_t *)(0x426645BCUL))

#define bFM_GPIO_DDRC_P0                          *((volatile  uint8_t *)(0x42664600UL))
#define bFM3_GPIO_DDRC_P0                         *((volatile  uint8_t *)(0x42664600UL))
#define bFM_GPIO_DDRC_P1                          *((volatile  uint8_t *)(0x42664604UL))
#define bFM3_GPIO_DDRC_P1                         *((volatile  uint8_t *)(0x42664604UL))
#define bFM_GPIO_DDRC_P2                          *((volatile  uint8_t *)(0x42664608UL))
#define bFM3_GPIO_DDRC_P2                         *((volatile  uint8_t *)(0x42664608UL))
#define bFM_GPIO_DDRC_P3                          *((volatile  uint8_t *)(0x4266460CUL))
#define bFM3_GPIO_DDRC_P3                         *((volatile  uint8_t *)(0x4266460CUL))
#define bFM_GPIO_DDRC_P4                          *((volatile  uint8_t *)(0x42664610UL))
#define bFM3_GPIO_DDRC_P4                         *((volatile  uint8_t *)(0x42664610UL))
#define bFM_GPIO_DDRC_P5                          *((volatile  uint8_t *)(0x42664614UL))
#define bFM3_GPIO_DDRC_P5                         *((volatile  uint8_t *)(0x42664614UL))
#define bFM_GPIO_DDRC_P6                          *((volatile  uint8_t *)(0x42664618UL))
#define bFM3_GPIO_DDRC_P6                         *((volatile  uint8_t *)(0x42664618UL))
#define bFM_GPIO_DDRC_P7                          *((volatile  uint8_t *)(0x4266461CUL))
#define bFM3_GPIO_DDRC_P7                         *((volatile  uint8_t *)(0x4266461CUL))
#define bFM_GPIO_DDRC_P8                          *((volatile  uint8_t *)(0x42664620UL))
#define bFM3_GPIO_DDRC_P8                         *((volatile  uint8_t *)(0x42664620UL))
#define bFM_GPIO_DDRC_P9                          *((volatile  uint8_t *)(0x42664624UL))
#define bFM3_GPIO_DDRC_P9                         *((volatile  uint8_t *)(0x42664624UL))
#define bFM_GPIO_DDRC_PA                          *((volatile  uint8_t *)(0x42664628UL))
#define bFM3_GPIO_DDRC_PA                         *((volatile  uint8_t *)(0x42664628UL))
#define bFM_GPIO_DDRC_PB                          *((volatile  uint8_t *)(0x4266462CUL))
#define bFM3_GPIO_DDRC_PB                         *((volatile  uint8_t *)(0x4266462CUL))
#define bFM_GPIO_DDRC_PC                          *((volatile  uint8_t *)(0x42664630UL))
#define bFM3_GPIO_DDRC_PC                         *((volatile  uint8_t *)(0x42664630UL))
#define bFM_GPIO_DDRC_PD                          *((volatile  uint8_t *)(0x42664634UL))
#define bFM3_GPIO_DDRC_PD                         *((volatile  uint8_t *)(0x42664634UL))
#define bFM_GPIO_DDRC_PE                          *((volatile  uint8_t *)(0x42664638UL))
#define bFM3_GPIO_DDRC_PE                         *((volatile  uint8_t *)(0x42664638UL))
#define bFM_GPIO_DDRC_PF                          *((volatile  uint8_t *)(0x4266463CUL))
#define bFM3_GPIO_DDRC_PF                         *((volatile  uint8_t *)(0x4266463CUL))

#define bFM_GPIO_DDRD_P0                          *((volatile  uint8_t *)(0x42664680UL))
#define bFM3_GPIO_DDRD_P0                         *((volatile  uint8_t *)(0x42664680UL))
#define bFM_GPIO_DDRD_P1                          *((volatile  uint8_t *)(0x42664684UL))
#define bFM3_GPIO_DDRD_P1                         *((volatile  uint8_t *)(0x42664684UL))
#define bFM_GPIO_DDRD_P2                          *((volatile  uint8_t *)(0x42664688UL))
#define bFM3_GPIO_DDRD_P2                         *((volatile  uint8_t *)(0x42664688UL))
#define bFM_GPIO_DDRD_P3                          *((volatile  uint8_t *)(0x4266468CUL))
#define bFM3_GPIO_DDRD_P3                         *((volatile  uint8_t *)(0x4266468CUL))
#define bFM_GPIO_DDRD_P4                          *((volatile  uint8_t *)(0x42664690UL))
#define bFM3_GPIO_DDRD_P4                         *((volatile  uint8_t *)(0x42664690UL))
#define bFM_GPIO_DDRD_P5                          *((volatile  uint8_t *)(0x42664694UL))
#define bFM3_GPIO_DDRD_P5                         *((volatile  uint8_t *)(0x42664694UL))
#define bFM_GPIO_DDRD_P6                          *((volatile  uint8_t *)(0x42664698UL))
#define bFM3_GPIO_DDRD_P6                         *((volatile  uint8_t *)(0x42664698UL))
#define bFM_GPIO_DDRD_P7                          *((volatile  uint8_t *)(0x4266469CUL))
#define bFM3_GPIO_DDRD_P7                         *((volatile  uint8_t *)(0x4266469CUL))
#define bFM_GPIO_DDRD_P8                          *((volatile  uint8_t *)(0x426646A0UL))
#define bFM3_GPIO_DDRD_P8                         *((volatile  uint8_t *)(0x426646A0UL))
#define bFM_GPIO_DDRD_P9                          *((volatile  uint8_t *)(0x426646A4UL))
#define bFM3_GPIO_DDRD_P9                         *((volatile  uint8_t *)(0x426646A4UL))
#define bFM_GPIO_DDRD_PA                          *((volatile  uint8_t *)(0x426646A8UL))
#define bFM3_GPIO_DDRD_PA                         *((volatile  uint8_t *)(0x426646A8UL))
#define bFM_GPIO_DDRD_PB                          *((volatile  uint8_t *)(0x426646ACUL))
#define bFM3_GPIO_DDRD_PB                         *((volatile  uint8_t *)(0x426646ACUL))
#define bFM_GPIO_DDRD_PC                          *((volatile  uint8_t *)(0x426646B0UL))
#define bFM3_GPIO_DDRD_PC                         *((volatile  uint8_t *)(0x426646B0UL))
#define bFM_GPIO_DDRD_PD                          *((volatile  uint8_t *)(0x426646B4UL))
#define bFM3_GPIO_DDRD_PD                         *((volatile  uint8_t *)(0x426646B4UL))
#define bFM_GPIO_DDRD_PE                          *((volatile  uint8_t *)(0x426646B8UL))
#define bFM3_GPIO_DDRD_PE                         *((volatile  uint8_t *)(0x426646B8UL))
#define bFM_GPIO_DDRD_PF                          *((volatile  uint8_t *)(0x426646BCUL))
#define bFM3_GPIO_DDRD_PF                         *((volatile  uint8_t *)(0x426646BCUL))

#define bFM_GPIO_DDRE_P0                          *((volatile  uint8_t *)(0x42664700UL))
#define bFM3_GPIO_DDRE_P0                         *((volatile  uint8_t *)(0x42664700UL))
#define bFM_GPIO_DDRE_P1                          *((volatile  uint8_t *)(0x42664704UL))
#define bFM3_GPIO_DDRE_P1                         *((volatile  uint8_t *)(0x42664704UL))
#define bFM_GPIO_DDRE_P2                          *((volatile  uint8_t *)(0x42664708UL))
#define bFM3_GPIO_DDRE_P2                         *((volatile  uint8_t *)(0x42664708UL))
#define bFM_GPIO_DDRE_P3                          *((volatile  uint8_t *)(0x4266470CUL))
#define bFM3_GPIO_DDRE_P3                         *((volatile  uint8_t *)(0x4266470CUL))
#define bFM_GPIO_DDRE_P4                          *((volatile  uint8_t *)(0x42664710UL))
#define bFM3_GPIO_DDRE_P4                         *((volatile  uint8_t *)(0x42664710UL))
#define bFM_GPIO_DDRE_P5                          *((volatile  uint8_t *)(0x42664714UL))
#define bFM3_GPIO_DDRE_P5                         *((volatile  uint8_t *)(0x42664714UL))
#define bFM_GPIO_DDRE_P6                          *((volatile  uint8_t *)(0x42664718UL))
#define bFM3_GPIO_DDRE_P6                         *((volatile  uint8_t *)(0x42664718UL))
#define bFM_GPIO_DDRE_P7                          *((volatile  uint8_t *)(0x4266471CUL))
#define bFM3_GPIO_DDRE_P7                         *((volatile  uint8_t *)(0x4266471CUL))
#define bFM_GPIO_DDRE_P8                          *((volatile  uint8_t *)(0x42664720UL))
#define bFM3_GPIO_DDRE_P8                         *((volatile  uint8_t *)(0x42664720UL))
#define bFM_GPIO_DDRE_P9                          *((volatile  uint8_t *)(0x42664724UL))
#define bFM3_GPIO_DDRE_P9                         *((volatile  uint8_t *)(0x42664724UL))
#define bFM_GPIO_DDRE_PA                          *((volatile  uint8_t *)(0x42664728UL))
#define bFM3_GPIO_DDRE_PA                         *((volatile  uint8_t *)(0x42664728UL))
#define bFM_GPIO_DDRE_PB                          *((volatile  uint8_t *)(0x4266472CUL))
#define bFM3_GPIO_DDRE_PB                         *((volatile  uint8_t *)(0x4266472CUL))
#define bFM_GPIO_DDRE_PC                          *((volatile  uint8_t *)(0x42664730UL))
#define bFM3_GPIO_DDRE_PC                         *((volatile  uint8_t *)(0x42664730UL))
#define bFM_GPIO_DDRE_PD                          *((volatile  uint8_t *)(0x42664734UL))
#define bFM3_GPIO_DDRE_PD                         *((volatile  uint8_t *)(0x42664734UL))
#define bFM_GPIO_DDRE_PE                          *((volatile  uint8_t *)(0x42664738UL))
#define bFM3_GPIO_DDRE_PE                         *((volatile  uint8_t *)(0x42664738UL))
#define bFM_GPIO_DDRE_PF                          *((volatile  uint8_t *)(0x4266473CUL))
#define bFM3_GPIO_DDRE_PF                         *((volatile  uint8_t *)(0x4266473CUL))

#define bFM_GPIO_DDRF_P0                          *((volatile  uint8_t *)(0x42664780UL))
#define bFM3_GPIO_DDRF_P0                         *((volatile  uint8_t *)(0x42664780UL))
#define bFM_GPIO_DDRF_P1                          *((volatile  uint8_t *)(0x42664784UL))
#define bFM3_GPIO_DDRF_P1                         *((volatile  uint8_t *)(0x42664784UL))
#define bFM_GPIO_DDRF_P2                          *((volatile  uint8_t *)(0x42664788UL))
#define bFM3_GPIO_DDRF_P2                         *((volatile  uint8_t *)(0x42664788UL))
#define bFM_GPIO_DDRF_P3                          *((volatile  uint8_t *)(0x4266478CUL))
#define bFM3_GPIO_DDRF_P3                         *((volatile  uint8_t *)(0x4266478CUL))
#define bFM_GPIO_DDRF_P4                          *((volatile  uint8_t *)(0x42664790UL))
#define bFM3_GPIO_DDRF_P4                         *((volatile  uint8_t *)(0x42664790UL))
#define bFM_GPIO_DDRF_P5                          *((volatile  uint8_t *)(0x42664794UL))
#define bFM3_GPIO_DDRF_P5                         *((volatile  uint8_t *)(0x42664794UL))
#define bFM_GPIO_DDRF_P6                          *((volatile  uint8_t *)(0x42664798UL))
#define bFM3_GPIO_DDRF_P6                         *((volatile  uint8_t *)(0x42664798UL))
#define bFM_GPIO_DDRF_P7                          *((volatile  uint8_t *)(0x4266479CUL))
#define bFM3_GPIO_DDRF_P7                         *((volatile  uint8_t *)(0x4266479CUL))
#define bFM_GPIO_DDRF_P8                          *((volatile  uint8_t *)(0x426647A0UL))
#define bFM3_GPIO_DDRF_P8                         *((volatile  uint8_t *)(0x426647A0UL))
#define bFM_GPIO_DDRF_P9                          *((volatile  uint8_t *)(0x426647A4UL))
#define bFM3_GPIO_DDRF_P9                         *((volatile  uint8_t *)(0x426647A4UL))
#define bFM_GPIO_DDRF_PA                          *((volatile  uint8_t *)(0x426647A8UL))
#define bFM3_GPIO_DDRF_PA                         *((volatile  uint8_t *)(0x426647A8UL))
#define bFM_GPIO_DDRF_PB                          *((volatile  uint8_t *)(0x426647ACUL))
#define bFM3_GPIO_DDRF_PB                         *((volatile  uint8_t *)(0x426647ACUL))
#define bFM_GPIO_DDRF_PC                          *((volatile  uint8_t *)(0x426647B0UL))
#define bFM3_GPIO_DDRF_PC                         *((volatile  uint8_t *)(0x426647B0UL))
#define bFM_GPIO_DDRF_PD                          *((volatile  uint8_t *)(0x426647B4UL))
#define bFM3_GPIO_DDRF_PD                         *((volatile  uint8_t *)(0x426647B4UL))
#define bFM_GPIO_DDRF_PE                          *((volatile  uint8_t *)(0x426647B8UL))
#define bFM3_GPIO_DDRF_PE                         *((volatile  uint8_t *)(0x426647B8UL))
#define bFM_GPIO_DDRF_PF                          *((volatile  uint8_t *)(0x426647BCUL))
#define bFM3_GPIO_DDRF_PF                         *((volatile  uint8_t *)(0x426647BCUL))

#define bFM_GPIO_EPFR00_NMIS                      *((volatile  uint8_t *)(0x4266C000UL))
#define bFM3_GPIO_EPFR00_NMIS                     *((volatile  uint8_t *)(0x4266C000UL))
#define bFM_GPIO_EPFR00_USBP0E                    *((volatile  uint8_t *)(0x4266C024UL))
#define bFM3_GPIO_EPFR00_USBP0E                   *((volatile  uint8_t *)(0x4266C024UL))
#define bFM_GPIO_EPFR00_USBP1E                    *((volatile  uint8_t *)(0x4266C034UL))
#define bFM3_GPIO_EPFR00_USBP1E                   *((volatile  uint8_t *)(0x4266C034UL))
#define bFM_GPIO_EPFR00_JTAGEN0B                  *((volatile  uint8_t *)(0x4266C040UL))
#define bFM3_GPIO_EPFR00_JTAGEN0B                 *((volatile  uint8_t *)(0x4266C040UL))
#define bFM_GPIO_EPFR00_JTAGEN1S                  *((volatile  uint8_t *)(0x4266C044UL))
#define bFM3_GPIO_EPFR00_JTAGEN1S                 *((volatile  uint8_t *)(0x4266C044UL))
#define bFM_GPIO_EPFR00_TRC0E                     *((volatile  uint8_t *)(0x4266C060UL))
#define bFM3_GPIO_EPFR00_TRC0E                    *((volatile  uint8_t *)(0x4266C060UL))
#define bFM_GPIO_EPFR00_TRC1E                     *((volatile  uint8_t *)(0x4266C064UL))
#define bFM3_GPIO_EPFR00_TRC1E                    *((volatile  uint8_t *)(0x4266C064UL))

#define bFM_GPIO_EPFR01_DTTI0C                    *((volatile  uint8_t *)(0x4266C0B0UL))
#define bFM3_GPIO_EPFR01_DTTI0C                   *((volatile  uint8_t *)(0x4266C0B0UL))

#define bFM_GPIO_EPFR02_DTTI1C                    *((volatile  uint8_t *)(0x4266C130UL))
#define bFM3_GPIO_EPFR02_DTTI1C                   *((volatile  uint8_t *)(0x4266C130UL))

#define bFM_GPIO_EPFR03_DTTI2C                    *((volatile  uint8_t *)(0x4266C1B0UL))
#define bFM3_GPIO_EPFR03_DTTI2C                   *((volatile  uint8_t *)(0x4266C1B0UL))

#define bFM_GPIO_EPFR10_UEDEFB                    *((volatile  uint8_t *)(0x4266C500UL))
#define bFM3_GPIO_EPFR10_UEDEFB                   *((volatile  uint8_t *)(0x4266C500UL))
#define bFM_GPIO_EPFR10_UEDTHB                    *((volatile  uint8_t *)(0x4266C504UL))
#define bFM3_GPIO_EPFR10_UEDTHB                   *((volatile  uint8_t *)(0x4266C504UL))
#define bFM_GPIO_EPFR10_UECLKE                    *((volatile  uint8_t *)(0x4266C508UL))
#define bFM3_GPIO_EPFR10_UECLKE                   *((volatile  uint8_t *)(0x4266C508UL))
#define bFM_GPIO_EPFR10_UEWEXE                    *((volatile  uint8_t *)(0x4266C50CUL))
#define bFM3_GPIO_EPFR10_UEWEXE                   *((volatile  uint8_t *)(0x4266C50CUL))
#define bFM_GPIO_EPFR10_UEDQME                    *((volatile  uint8_t *)(0x4266C510UL))
#define bFM3_GPIO_EPFR10_UEDQME                   *((volatile  uint8_t *)(0x4266C510UL))
#define bFM_GPIO_EPFR10_UEOEXE                    *((volatile  uint8_t *)(0x4266C514UL))
#define bFM3_GPIO_EPFR10_UEOEXE                   *((volatile  uint8_t *)(0x4266C514UL))
#define bFM_GPIO_EPFR10_UEFLSE                    *((volatile  uint8_t *)(0x4266C518UL))
#define bFM3_GPIO_EPFR10_UEFLSE                   *((volatile  uint8_t *)(0x4266C518UL))
#define bFM_GPIO_EPFR10_UECS1E                    *((volatile  uint8_t *)(0x4266C51CUL))
#define bFM3_GPIO_EPFR10_UECS1E                   *((volatile  uint8_t *)(0x4266C51CUL))
#define bFM_GPIO_EPFR10_UECS2E                    *((volatile  uint8_t *)(0x4266C520UL))
#define bFM3_GPIO_EPFR10_UECS2E                   *((volatile  uint8_t *)(0x4266C520UL))
#define bFM_GPIO_EPFR10_UECS3E                    *((volatile  uint8_t *)(0x4266C524UL))
#define bFM3_GPIO_EPFR10_UECS3E                   *((volatile  uint8_t *)(0x4266C524UL))
#define bFM_GPIO_EPFR10_UECS4E                    *((volatile  uint8_t *)(0x4266C528UL))
#define bFM3_GPIO_EPFR10_UECS4E                   *((volatile  uint8_t *)(0x4266C528UL))
#define bFM_GPIO_EPFR10_UECS5E                    *((volatile  uint8_t *)(0x4266C52CUL))
#define bFM3_GPIO_EPFR10_UECS5E                   *((volatile  uint8_t *)(0x4266C52CUL))
#define bFM_GPIO_EPFR10_UECS6E                    *((volatile  uint8_t *)(0x4266C530UL))
#define bFM3_GPIO_EPFR10_UECS6E                   *((volatile  uint8_t *)(0x4266C530UL))
#define bFM_GPIO_EPFR10_UECS7E                    *((volatile  uint8_t *)(0x4266C534UL))
#define bFM3_GPIO_EPFR10_UECS7E                   *((volatile  uint8_t *)(0x4266C534UL))
#define bFM_GPIO_EPFR10_UEAOOE                    *((volatile  uint8_t *)(0x4266C538UL))
#define bFM3_GPIO_EPFR10_UEAOOE                   *((volatile  uint8_t *)(0x4266C538UL))
#define bFM_GPIO_EPFR10_UEA08E                    *((volatile  uint8_t *)(0x4266C53CUL))
#define bFM3_GPIO_EPFR10_UEA08E                   *((volatile  uint8_t *)(0x4266C53CUL))
#define bFM_GPIO_EPFR10_UEA09E                    *((volatile  uint8_t *)(0x4266C540UL))
#define bFM3_GPIO_EPFR10_UEA09E                   *((volatile  uint8_t *)(0x4266C540UL))
#define bFM_GPIO_EPFR10_UEA10E                    *((volatile  uint8_t *)(0x4266C544UL))
#define bFM3_GPIO_EPFR10_UEA10E                   *((volatile  uint8_t *)(0x4266C544UL))
#define bFM_GPIO_EPFR10_UEA11E                    *((volatile  uint8_t *)(0x4266C548UL))
#define bFM3_GPIO_EPFR10_UEA11E                   *((volatile  uint8_t *)(0x4266C548UL))
#define bFM_GPIO_EPFR10_UEA12E                    *((volatile  uint8_t *)(0x4266C54CUL))
#define bFM3_GPIO_EPFR10_UEA12E                   *((volatile  uint8_t *)(0x4266C54CUL))
#define bFM_GPIO_EPFR10_UEA13E                    *((volatile  uint8_t *)(0x4266C550UL))
#define bFM3_GPIO_EPFR10_UEA13E                   *((volatile  uint8_t *)(0x4266C550UL))
#define bFM_GPIO_EPFR10_UEA14E                    *((volatile  uint8_t *)(0x4266C554UL))
#define bFM3_GPIO_EPFR10_UEA14E                   *((volatile  uint8_t *)(0x4266C554UL))
#define bFM_GPIO_EPFR10_UEA15E                    *((volatile  uint8_t *)(0x4266C558UL))
#define bFM3_GPIO_EPFR10_UEA15E                   *((volatile  uint8_t *)(0x4266C558UL))
#define bFM_GPIO_EPFR10_UEA16E                    *((volatile  uint8_t *)(0x4266C55CUL))
#define bFM3_GPIO_EPFR10_UEA16E                   *((volatile  uint8_t *)(0x4266C55CUL))
#define bFM_GPIO_EPFR10_UEA17E                    *((volatile  uint8_t *)(0x4266C560UL))
#define bFM3_GPIO_EPFR10_UEA17E                   *((volatile  uint8_t *)(0x4266C560UL))
#define bFM_GPIO_EPFR10_UEA18E                    *((volatile  uint8_t *)(0x4266C564UL))
#define bFM3_GPIO_EPFR10_UEA18E                   *((volatile  uint8_t *)(0x4266C564UL))
#define bFM_GPIO_EPFR10_UEA19E                    *((volatile  uint8_t *)(0x4266C568UL))
#define bFM3_GPIO_EPFR10_UEA19E                   *((volatile  uint8_t *)(0x4266C568UL))
#define bFM_GPIO_EPFR10_UEA20E                    *((volatile  uint8_t *)(0x4266C56CUL))
#define bFM3_GPIO_EPFR10_UEA20E                   *((volatile  uint8_t *)(0x4266C56CUL))
#define bFM_GPIO_EPFR10_UEA21E                    *((volatile  uint8_t *)(0x4266C570UL))
#define bFM3_GPIO_EPFR10_UEA21E                   *((volatile  uint8_t *)(0x4266C570UL))
#define bFM_GPIO_EPFR10_UEA22E                    *((volatile  uint8_t *)(0x4266C574UL))
#define bFM3_GPIO_EPFR10_UEA22E                   *((volatile  uint8_t *)(0x4266C574UL))
#define bFM_GPIO_EPFR10_UEA23E                    *((volatile  uint8_t *)(0x4266C578UL))
#define bFM3_GPIO_EPFR10_UEA23E                   *((volatile  uint8_t *)(0x4266C578UL))
#define bFM_GPIO_EPFR10_UEA24E                    *((volatile  uint8_t *)(0x4266C57CUL))
#define bFM3_GPIO_EPFR10_UEA24E                   *((volatile  uint8_t *)(0x4266C57CUL))

#define bFM_GPIO_EPFR11_UEALEE                    *((volatile  uint8_t *)(0x4266C580UL))
#define bFM3_GPIO_EPFR11_UEALEE                   *((volatile  uint8_t *)(0x4266C580UL))
#define bFM_GPIO_EPFR11_UECS0E                    *((volatile  uint8_t *)(0x4266C584UL))
#define bFM3_GPIO_EPFR11_UECS0E                   *((volatile  uint8_t *)(0x4266C584UL))
#define bFM_GPIO_EPFR11_UEA01E                    *((volatile  uint8_t *)(0x4266C588UL))
#define bFM3_GPIO_EPFR11_UEA01E                   *((volatile  uint8_t *)(0x4266C588UL))
#define bFM_GPIO_EPFR11_UEA02E                    *((volatile  uint8_t *)(0x4266C58CUL))
#define bFM3_GPIO_EPFR11_UEA02E                   *((volatile  uint8_t *)(0x4266C58CUL))
#define bFM_GPIO_EPFR11_UEA03E                    *((volatile  uint8_t *)(0x4266C590UL))
#define bFM3_GPIO_EPFR11_UEA03E                   *((volatile  uint8_t *)(0x4266C590UL))
#define bFM_GPIO_EPFR11_UEA04E                    *((volatile  uint8_t *)(0x4266C594UL))
#define bFM3_GPIO_EPFR11_UEA04E                   *((volatile  uint8_t *)(0x4266C594UL))
#define bFM_GPIO_EPFR11_UEA05E                    *((volatile  uint8_t *)(0x4266C598UL))
#define bFM3_GPIO_EPFR11_UEA05E                   *((volatile  uint8_t *)(0x4266C598UL))
#define bFM_GPIO_EPFR11_UEA06E                    *((volatile  uint8_t *)(0x4266C59CUL))
#define bFM3_GPIO_EPFR11_UEA06E                   *((volatile  uint8_t *)(0x4266C59CUL))
#define bFM_GPIO_EPFR11_UEA07E                    *((volatile  uint8_t *)(0x4266C5A0UL))
#define bFM3_GPIO_EPFR11_UEA07E                   *((volatile  uint8_t *)(0x4266C5A0UL))
#define bFM_GPIO_EPFR11_UED00B                    *((volatile  uint8_t *)(0x4266C5A4UL))
#define bFM3_GPIO_EPFR11_UED00B                   *((volatile  uint8_t *)(0x4266C5A4UL))
#define bFM_GPIO_EPFR11_UED01B                    *((volatile  uint8_t *)(0x4266C5A8UL))
#define bFM3_GPIO_EPFR11_UED01B                   *((volatile  uint8_t *)(0x4266C5A8UL))
#define bFM_GPIO_EPFR11_UED02B                    *((volatile  uint8_t *)(0x4266C5ACUL))
#define bFM3_GPIO_EPFR11_UED02B                   *((volatile  uint8_t *)(0x4266C5ACUL))
#define bFM_GPIO_EPFR11_UED03B                    *((volatile  uint8_t *)(0x4266C5B0UL))
#define bFM3_GPIO_EPFR11_UED03B                   *((volatile  uint8_t *)(0x4266C5B0UL))
#define bFM_GPIO_EPFR11_UED04B                    *((volatile  uint8_t *)(0x4266C5B4UL))
#define bFM3_GPIO_EPFR11_UED04B                   *((volatile  uint8_t *)(0x4266C5B4UL))
#define bFM_GPIO_EPFR11_UED05B                    *((volatile  uint8_t *)(0x4266C5B8UL))
#define bFM3_GPIO_EPFR11_UED05B                   *((volatile  uint8_t *)(0x4266C5B8UL))
#define bFM_GPIO_EPFR11_UED06B                    *((volatile  uint8_t *)(0x4266C5BCUL))
#define bFM3_GPIO_EPFR11_UED06B                   *((volatile  uint8_t *)(0x4266C5BCUL))
#define bFM_GPIO_EPFR11_UED07B                    *((volatile  uint8_t *)(0x4266C5C0UL))
#define bFM3_GPIO_EPFR11_UED07B                   *((volatile  uint8_t *)(0x4266C5C0UL))
#define bFM_GPIO_EPFR11_UED08B                    *((volatile  uint8_t *)(0x4266C5C4UL))
#define bFM3_GPIO_EPFR11_UED08B                   *((volatile  uint8_t *)(0x4266C5C4UL))
#define bFM_GPIO_EPFR11_UED09B                    *((volatile  uint8_t *)(0x4266C5C8UL))
#define bFM3_GPIO_EPFR11_UED09B                   *((volatile  uint8_t *)(0x4266C5C8UL))
#define bFM_GPIO_EPFR11_UED10B                    *((volatile  uint8_t *)(0x4266C5CCUL))
#define bFM3_GPIO_EPFR11_UED10B                   *((volatile  uint8_t *)(0x4266C5CCUL))
#define bFM_GPIO_EPFR11_UED11B                    *((volatile  uint8_t *)(0x4266C5D0UL))
#define bFM3_GPIO_EPFR11_UED11B                   *((volatile  uint8_t *)(0x4266C5D0UL))
#define bFM_GPIO_EPFR11_UED12B                    *((volatile  uint8_t *)(0x4266C5D4UL))
#define bFM3_GPIO_EPFR11_UED12B                   *((volatile  uint8_t *)(0x4266C5D4UL))
#define bFM_GPIO_EPFR11_UED13B                    *((volatile  uint8_t *)(0x4266C5D8UL))
#define bFM3_GPIO_EPFR11_UED13B                   *((volatile  uint8_t *)(0x4266C5D8UL))
#define bFM_GPIO_EPFR11_UED14B                    *((volatile  uint8_t *)(0x4266C5DCUL))
#define bFM3_GPIO_EPFR11_UED14B                   *((volatile  uint8_t *)(0x4266C5DCUL))
#define bFM_GPIO_EPFR11_UED15B                    *((volatile  uint8_t *)(0x4266C5E0UL))
#define bFM3_GPIO_EPFR11_UED15B                   *((volatile  uint8_t *)(0x4266C5E0UL))
#define bFM_GPIO_EPFR11_UERLC                     *((volatile  uint8_t *)(0x4266C5E4UL))
#define bFM3_GPIO_EPFR11_UERLC                    *((volatile  uint8_t *)(0x4266C5E4UL))

#define bFM_GPIO_EPFR14_E_TD0E                    *((volatile  uint8_t *)(0x4266C748UL))
#define bFM3_GPIO_EPFR14_E_TD0E                   *((volatile  uint8_t *)(0x4266C748UL))
#define bFM_GPIO_EPFR14_E_TD1E                    *((volatile  uint8_t *)(0x4266C74CUL))
#define bFM3_GPIO_EPFR14_E_TD1E                   *((volatile  uint8_t *)(0x4266C74CUL))
#define bFM_GPIO_EPFR14_E_TE0E                    *((volatile  uint8_t *)(0x4266C750UL))
#define bFM3_GPIO_EPFR14_E_TE0E                   *((volatile  uint8_t *)(0x4266C750UL))
#define bFM_GPIO_EPFR14_E_TE1E                    *((volatile  uint8_t *)(0x4266C754UL))
#define bFM3_GPIO_EPFR14_E_TE1E                   *((volatile  uint8_t *)(0x4266C754UL))
#define bFM_GPIO_EPFR14_E_MC0E                    *((volatile  uint8_t *)(0x4266C758UL))
#define bFM3_GPIO_EPFR14_E_MC0E                   *((volatile  uint8_t *)(0x4266C758UL))
#define bFM_GPIO_EPFR14_E_MC1B                    *((volatile  uint8_t *)(0x4266C75CUL))
#define bFM3_GPIO_EPFR14_E_MC1B                   *((volatile  uint8_t *)(0x4266C75CUL))
#define bFM_GPIO_EPFR14_E_MD0B                    *((volatile  uint8_t *)(0x4266C760UL))
#define bFM3_GPIO_EPFR14_E_MD0B                   *((volatile  uint8_t *)(0x4266C760UL))
#define bFM_GPIO_EPFR14_E_MD1B                    *((volatile  uint8_t *)(0x4266C764UL))
#define bFM3_GPIO_EPFR14_E_MD1B                   *((volatile  uint8_t *)(0x4266C764UL))
#define bFM_GPIO_EPFR14_E_CKE                     *((volatile  uint8_t *)(0x4266C768UL))
#define bFM3_GPIO_EPFR14_E_CKE                    *((volatile  uint8_t *)(0x4266C768UL))
#define bFM_GPIO_EPFR14_E_PSE                     *((volatile  uint8_t *)(0x4266C76CUL))
#define bFM3_GPIO_EPFR14_E_PSE                    *((volatile  uint8_t *)(0x4266C76CUL))
#define bFM_GPIO_EPFR14_CEC0B                     *((volatile  uint8_t *)(0x4266C778UL))
#define bFM3_GPIO_EPFR14_CEC0B                    *((volatile  uint8_t *)(0x4266C778UL))
#define bFM_GPIO_EPFR14_CEC1B                     *((volatile  uint8_t *)(0x4266C77CUL))
#define bFM3_GPIO_EPFR14_CEC1B                    *((volatile  uint8_t *)(0x4266C77CUL))

#define bFM_GPIO_PCR0_P0                          *((volatile  uint8_t *)(0x42662000UL))
#define bFM3_GPIO_PCR0_P0                         *((volatile  uint8_t *)(0x42662000UL))
#define bFM_GPIO_PCR0_P1                          *((volatile  uint8_t *)(0x42662004UL))
#define bFM3_GPIO_PCR0_P1                         *((volatile  uint8_t *)(0x42662004UL))
#define bFM_GPIO_PCR0_P2                          *((volatile  uint8_t *)(0x42662008UL))
#define bFM3_GPIO_PCR0_P2                         *((volatile  uint8_t *)(0x42662008UL))
#define bFM_GPIO_PCR0_P3                          *((volatile  uint8_t *)(0x4266200CUL))
#define bFM3_GPIO_PCR0_P3                         *((volatile  uint8_t *)(0x4266200CUL))
#define bFM_GPIO_PCR0_P4                          *((volatile  uint8_t *)(0x42662010UL))
#define bFM3_GPIO_PCR0_P4                         *((volatile  uint8_t *)(0x42662010UL))
#define bFM_GPIO_PCR0_P5                          *((volatile  uint8_t *)(0x42662014UL))
#define bFM3_GPIO_PCR0_P5                         *((volatile  uint8_t *)(0x42662014UL))
#define bFM_GPIO_PCR0_P6                          *((volatile  uint8_t *)(0x42662018UL))
#define bFM3_GPIO_PCR0_P6                         *((volatile  uint8_t *)(0x42662018UL))
#define bFM_GPIO_PCR0_P7                          *((volatile  uint8_t *)(0x4266201CUL))
#define bFM3_GPIO_PCR0_P7                         *((volatile  uint8_t *)(0x4266201CUL))
#define bFM_GPIO_PCR0_P8                          *((volatile  uint8_t *)(0x42662020UL))
#define bFM3_GPIO_PCR0_P8                         *((volatile  uint8_t *)(0x42662020UL))
#define bFM_GPIO_PCR0_P9                          *((volatile  uint8_t *)(0x42662024UL))
#define bFM3_GPIO_PCR0_P9                         *((volatile  uint8_t *)(0x42662024UL))
#define bFM_GPIO_PCR0_PA                          *((volatile  uint8_t *)(0x42662028UL))
#define bFM3_GPIO_PCR0_PA                         *((volatile  uint8_t *)(0x42662028UL))
#define bFM_GPIO_PCR0_PB                          *((volatile  uint8_t *)(0x4266202CUL))
#define bFM3_GPIO_PCR0_PB                         *((volatile  uint8_t *)(0x4266202CUL))
#define bFM_GPIO_PCR0_PC                          *((volatile  uint8_t *)(0x42662030UL))
#define bFM3_GPIO_PCR0_PC                         *((volatile  uint8_t *)(0x42662030UL))
#define bFM_GPIO_PCR0_PD                          *((volatile  uint8_t *)(0x42662034UL))
#define bFM3_GPIO_PCR0_PD                         *((volatile  uint8_t *)(0x42662034UL))
#define bFM_GPIO_PCR0_PE                          *((volatile  uint8_t *)(0x42662038UL))
#define bFM3_GPIO_PCR0_PE                         *((volatile  uint8_t *)(0x42662038UL))
#define bFM_GPIO_PCR0_PF                          *((volatile  uint8_t *)(0x4266203CUL))
#define bFM3_GPIO_PCR0_PF                         *((volatile  uint8_t *)(0x4266203CUL))

#define bFM_GPIO_PCR1_P0                          *((volatile  uint8_t *)(0x42662080UL))
#define bFM3_GPIO_PCR1_P0                         *((volatile  uint8_t *)(0x42662080UL))
#define bFM_GPIO_PCR1_P1                          *((volatile  uint8_t *)(0x42662084UL))
#define bFM3_GPIO_PCR1_P1                         *((volatile  uint8_t *)(0x42662084UL))
#define bFM_GPIO_PCR1_P2                          *((volatile  uint8_t *)(0x42662088UL))
#define bFM3_GPIO_PCR1_P2                         *((volatile  uint8_t *)(0x42662088UL))
#define bFM_GPIO_PCR1_P3                          *((volatile  uint8_t *)(0x4266208CUL))
#define bFM3_GPIO_PCR1_P3                         *((volatile  uint8_t *)(0x4266208CUL))
#define bFM_GPIO_PCR1_P4                          *((volatile  uint8_t *)(0x42662090UL))
#define bFM3_GPIO_PCR1_P4                         *((volatile  uint8_t *)(0x42662090UL))
#define bFM_GPIO_PCR1_P5                          *((volatile  uint8_t *)(0x42662094UL))
#define bFM3_GPIO_PCR1_P5                         *((volatile  uint8_t *)(0x42662094UL))
#define bFM_GPIO_PCR1_P6                          *((volatile  uint8_t *)(0x42662098UL))
#define bFM3_GPIO_PCR1_P6                         *((volatile  uint8_t *)(0x42662098UL))
#define bFM_GPIO_PCR1_P7                          *((volatile  uint8_t *)(0x4266209CUL))
#define bFM3_GPIO_PCR1_P7                         *((volatile  uint8_t *)(0x4266209CUL))
#define bFM_GPIO_PCR1_P8                          *((volatile  uint8_t *)(0x426620A0UL))
#define bFM3_GPIO_PCR1_P8                         *((volatile  uint8_t *)(0x426620A0UL))
#define bFM_GPIO_PCR1_P9                          *((volatile  uint8_t *)(0x426620A4UL))
#define bFM3_GPIO_PCR1_P9                         *((volatile  uint8_t *)(0x426620A4UL))
#define bFM_GPIO_PCR1_PA                          *((volatile  uint8_t *)(0x426620A8UL))
#define bFM3_GPIO_PCR1_PA                         *((volatile  uint8_t *)(0x426620A8UL))
#define bFM_GPIO_PCR1_PB                          *((volatile  uint8_t *)(0x426620ACUL))
#define bFM3_GPIO_PCR1_PB                         *((volatile  uint8_t *)(0x426620ACUL))
#define bFM_GPIO_PCR1_PC                          *((volatile  uint8_t *)(0x426620B0UL))
#define bFM3_GPIO_PCR1_PC                         *((volatile  uint8_t *)(0x426620B0UL))
#define bFM_GPIO_PCR1_PD                          *((volatile  uint8_t *)(0x426620B4UL))
#define bFM3_GPIO_PCR1_PD                         *((volatile  uint8_t *)(0x426620B4UL))
#define bFM_GPIO_PCR1_PE                          *((volatile  uint8_t *)(0x426620B8UL))
#define bFM3_GPIO_PCR1_PE                         *((volatile  uint8_t *)(0x426620B8UL))
#define bFM_GPIO_PCR1_PF                          *((volatile  uint8_t *)(0x426620BCUL))
#define bFM3_GPIO_PCR1_PF                         *((volatile  uint8_t *)(0x426620BCUL))

#define bFM_GPIO_PCR2_P0                          *((volatile  uint8_t *)(0x42662100UL))
#define bFM3_GPIO_PCR2_P0                         *((volatile  uint8_t *)(0x42662100UL))
#define bFM_GPIO_PCR2_P1                          *((volatile  uint8_t *)(0x42662104UL))
#define bFM3_GPIO_PCR2_P1                         *((volatile  uint8_t *)(0x42662104UL))
#define bFM_GPIO_PCR2_P2                          *((volatile  uint8_t *)(0x42662108UL))
#define bFM3_GPIO_PCR2_P2                         *((volatile  uint8_t *)(0x42662108UL))
#define bFM_GPIO_PCR2_P3                          *((volatile  uint8_t *)(0x4266210CUL))
#define bFM3_GPIO_PCR2_P3                         *((volatile  uint8_t *)(0x4266210CUL))
#define bFM_GPIO_PCR2_P4                          *((volatile  uint8_t *)(0x42662110UL))
#define bFM3_GPIO_PCR2_P4                         *((volatile  uint8_t *)(0x42662110UL))
#define bFM_GPIO_PCR2_P5                          *((volatile  uint8_t *)(0x42662114UL))
#define bFM3_GPIO_PCR2_P5                         *((volatile  uint8_t *)(0x42662114UL))
#define bFM_GPIO_PCR2_P6                          *((volatile  uint8_t *)(0x42662118UL))
#define bFM3_GPIO_PCR2_P6                         *((volatile  uint8_t *)(0x42662118UL))
#define bFM_GPIO_PCR2_P7                          *((volatile  uint8_t *)(0x4266211CUL))
#define bFM3_GPIO_PCR2_P7                         *((volatile  uint8_t *)(0x4266211CUL))
#define bFM_GPIO_PCR2_P8                          *((volatile  uint8_t *)(0x42662120UL))
#define bFM3_GPIO_PCR2_P8                         *((volatile  uint8_t *)(0x42662120UL))
#define bFM_GPIO_PCR2_P9                          *((volatile  uint8_t *)(0x42662124UL))
#define bFM3_GPIO_PCR2_P9                         *((volatile  uint8_t *)(0x42662124UL))
#define bFM_GPIO_PCR2_PA                          *((volatile  uint8_t *)(0x42662128UL))
#define bFM3_GPIO_PCR2_PA                         *((volatile  uint8_t *)(0x42662128UL))
#define bFM_GPIO_PCR2_PB                          *((volatile  uint8_t *)(0x4266212CUL))
#define bFM3_GPIO_PCR2_PB                         *((volatile  uint8_t *)(0x4266212CUL))
#define bFM_GPIO_PCR2_PC                          *((volatile  uint8_t *)(0x42662130UL))
#define bFM3_GPIO_PCR2_PC                         *((volatile  uint8_t *)(0x42662130UL))
#define bFM_GPIO_PCR2_PD                          *((volatile  uint8_t *)(0x42662134UL))
#define bFM3_GPIO_PCR2_PD                         *((volatile  uint8_t *)(0x42662134UL))
#define bFM_GPIO_PCR2_PE                          *((volatile  uint8_t *)(0x42662138UL))
#define bFM3_GPIO_PCR2_PE                         *((volatile  uint8_t *)(0x42662138UL))
#define bFM_GPIO_PCR2_PF                          *((volatile  uint8_t *)(0x4266213CUL))
#define bFM3_GPIO_PCR2_PF                         *((volatile  uint8_t *)(0x4266213CUL))

#define bFM_GPIO_PCR3_P0                          *((volatile  uint8_t *)(0x42662180UL))
#define bFM3_GPIO_PCR3_P0                         *((volatile  uint8_t *)(0x42662180UL))
#define bFM_GPIO_PCR3_P1                          *((volatile  uint8_t *)(0x42662184UL))
#define bFM3_GPIO_PCR3_P1                         *((volatile  uint8_t *)(0x42662184UL))
#define bFM_GPIO_PCR3_P2                          *((volatile  uint8_t *)(0x42662188UL))
#define bFM3_GPIO_PCR3_P2                         *((volatile  uint8_t *)(0x42662188UL))
#define bFM_GPIO_PCR3_P3                          *((volatile  uint8_t *)(0x4266218CUL))
#define bFM3_GPIO_PCR3_P3                         *((volatile  uint8_t *)(0x4266218CUL))
#define bFM_GPIO_PCR3_P4                          *((volatile  uint8_t *)(0x42662190UL))
#define bFM3_GPIO_PCR3_P4                         *((volatile  uint8_t *)(0x42662190UL))
#define bFM_GPIO_PCR3_P5                          *((volatile  uint8_t *)(0x42662194UL))
#define bFM3_GPIO_PCR3_P5                         *((volatile  uint8_t *)(0x42662194UL))
#define bFM_GPIO_PCR3_P6                          *((volatile  uint8_t *)(0x42662198UL))
#define bFM3_GPIO_PCR3_P6                         *((volatile  uint8_t *)(0x42662198UL))
#define bFM_GPIO_PCR3_P7                          *((volatile  uint8_t *)(0x4266219CUL))
#define bFM3_GPIO_PCR3_P7                         *((volatile  uint8_t *)(0x4266219CUL))
#define bFM_GPIO_PCR3_P8                          *((volatile  uint8_t *)(0x426621A0UL))
#define bFM3_GPIO_PCR3_P8                         *((volatile  uint8_t *)(0x426621A0UL))
#define bFM_GPIO_PCR3_P9                          *((volatile  uint8_t *)(0x426621A4UL))
#define bFM3_GPIO_PCR3_P9                         *((volatile  uint8_t *)(0x426621A4UL))
#define bFM_GPIO_PCR3_PA                          *((volatile  uint8_t *)(0x426621A8UL))
#define bFM3_GPIO_PCR3_PA                         *((volatile  uint8_t *)(0x426621A8UL))
#define bFM_GPIO_PCR3_PB                          *((volatile  uint8_t *)(0x426621ACUL))
#define bFM3_GPIO_PCR3_PB                         *((volatile  uint8_t *)(0x426621ACUL))
#define bFM_GPIO_PCR3_PC                          *((volatile  uint8_t *)(0x426621B0UL))
#define bFM3_GPIO_PCR3_PC                         *((volatile  uint8_t *)(0x426621B0UL))
#define bFM_GPIO_PCR3_PD                          *((volatile  uint8_t *)(0x426621B4UL))
#define bFM3_GPIO_PCR3_PD                         *((volatile  uint8_t *)(0x426621B4UL))
#define bFM_GPIO_PCR3_PE                          *((volatile  uint8_t *)(0x426621B8UL))
#define bFM3_GPIO_PCR3_PE                         *((volatile  uint8_t *)(0x426621B8UL))
#define bFM_GPIO_PCR3_PF                          *((volatile  uint8_t *)(0x426621BCUL))
#define bFM3_GPIO_PCR3_PF                         *((volatile  uint8_t *)(0x426621BCUL))

#define bFM_GPIO_PCR4_P0                          *((volatile  uint8_t *)(0x42662200UL))
#define bFM3_GPIO_PCR4_P0                         *((volatile  uint8_t *)(0x42662200UL))
#define bFM_GPIO_PCR4_P1                          *((volatile  uint8_t *)(0x42662204UL))
#define bFM3_GPIO_PCR4_P1                         *((volatile  uint8_t *)(0x42662204UL))
#define bFM_GPIO_PCR4_P2                          *((volatile  uint8_t *)(0x42662208UL))
#define bFM3_GPIO_PCR4_P2                         *((volatile  uint8_t *)(0x42662208UL))
#define bFM_GPIO_PCR4_P3                          *((volatile  uint8_t *)(0x4266220CUL))
#define bFM3_GPIO_PCR4_P3                         *((volatile  uint8_t *)(0x4266220CUL))
#define bFM_GPIO_PCR4_P4                          *((volatile  uint8_t *)(0x42662210UL))
#define bFM3_GPIO_PCR4_P4                         *((volatile  uint8_t *)(0x42662210UL))
#define bFM_GPIO_PCR4_P5                          *((volatile  uint8_t *)(0x42662214UL))
#define bFM3_GPIO_PCR4_P5                         *((volatile  uint8_t *)(0x42662214UL))
#define bFM_GPIO_PCR4_P6                          *((volatile  uint8_t *)(0x42662218UL))
#define bFM3_GPIO_PCR4_P6                         *((volatile  uint8_t *)(0x42662218UL))
#define bFM_GPIO_PCR4_P7                          *((volatile  uint8_t *)(0x4266221CUL))
#define bFM3_GPIO_PCR4_P7                         *((volatile  uint8_t *)(0x4266221CUL))
#define bFM_GPIO_PCR4_P8                          *((volatile  uint8_t *)(0x42662220UL))
#define bFM3_GPIO_PCR4_P8                         *((volatile  uint8_t *)(0x42662220UL))
#define bFM_GPIO_PCR4_P9                          *((volatile  uint8_t *)(0x42662224UL))
#define bFM3_GPIO_PCR4_P9                         *((volatile  uint8_t *)(0x42662224UL))
#define bFM_GPIO_PCR4_PA                          *((volatile  uint8_t *)(0x42662228UL))
#define bFM3_GPIO_PCR4_PA                         *((volatile  uint8_t *)(0x42662228UL))
#define bFM_GPIO_PCR4_PB                          *((volatile  uint8_t *)(0x4266222CUL))
#define bFM3_GPIO_PCR4_PB                         *((volatile  uint8_t *)(0x4266222CUL))
#define bFM_GPIO_PCR4_PC                          *((volatile  uint8_t *)(0x42662230UL))
#define bFM3_GPIO_PCR4_PC                         *((volatile  uint8_t *)(0x42662230UL))
#define bFM_GPIO_PCR4_PD                          *((volatile  uint8_t *)(0x42662234UL))
#define bFM3_GPIO_PCR4_PD                         *((volatile  uint8_t *)(0x42662234UL))
#define bFM_GPIO_PCR4_PE                          *((volatile  uint8_t *)(0x42662238UL))
#define bFM3_GPIO_PCR4_PE                         *((volatile  uint8_t *)(0x42662238UL))
#define bFM_GPIO_PCR4_PF                          *((volatile  uint8_t *)(0x4266223CUL))
#define bFM3_GPIO_PCR4_PF                         *((volatile  uint8_t *)(0x4266223CUL))

#define bFM_GPIO_PCR5_P0                          *((volatile  uint8_t *)(0x42662280UL))
#define bFM3_GPIO_PCR5_P0                         *((volatile  uint8_t *)(0x42662280UL))
#define bFM_GPIO_PCR5_P1                          *((volatile  uint8_t *)(0x42662284UL))
#define bFM3_GPIO_PCR5_P1                         *((volatile  uint8_t *)(0x42662284UL))
#define bFM_GPIO_PCR5_P2                          *((volatile  uint8_t *)(0x42662288UL))
#define bFM3_GPIO_PCR5_P2                         *((volatile  uint8_t *)(0x42662288UL))
#define bFM_GPIO_PCR5_P3                          *((volatile  uint8_t *)(0x4266228CUL))
#define bFM3_GPIO_PCR5_P3                         *((volatile  uint8_t *)(0x4266228CUL))
#define bFM_GPIO_PCR5_P4                          *((volatile  uint8_t *)(0x42662290UL))
#define bFM3_GPIO_PCR5_P4                         *((volatile  uint8_t *)(0x42662290UL))
#define bFM_GPIO_PCR5_P5                          *((volatile  uint8_t *)(0x42662294UL))
#define bFM3_GPIO_PCR5_P5                         *((volatile  uint8_t *)(0x42662294UL))
#define bFM_GPIO_PCR5_P6                          *((volatile  uint8_t *)(0x42662298UL))
#define bFM3_GPIO_PCR5_P6                         *((volatile  uint8_t *)(0x42662298UL))
#define bFM_GPIO_PCR5_P7                          *((volatile  uint8_t *)(0x4266229CUL))
#define bFM3_GPIO_PCR5_P7                         *((volatile  uint8_t *)(0x4266229CUL))
#define bFM_GPIO_PCR5_P8                          *((volatile  uint8_t *)(0x426622A0UL))
#define bFM3_GPIO_PCR5_P8                         *((volatile  uint8_t *)(0x426622A0UL))
#define bFM_GPIO_PCR5_P9                          *((volatile  uint8_t *)(0x426622A4UL))
#define bFM3_GPIO_PCR5_P9                         *((volatile  uint8_t *)(0x426622A4UL))
#define bFM_GPIO_PCR5_PA                          *((volatile  uint8_t *)(0x426622A8UL))
#define bFM3_GPIO_PCR5_PA                         *((volatile  uint8_t *)(0x426622A8UL))
#define bFM_GPIO_PCR5_PB                          *((volatile  uint8_t *)(0x426622ACUL))
#define bFM3_GPIO_PCR5_PB                         *((volatile  uint8_t *)(0x426622ACUL))
#define bFM_GPIO_PCR5_PC                          *((volatile  uint8_t *)(0x426622B0UL))
#define bFM3_GPIO_PCR5_PC                         *((volatile  uint8_t *)(0x426622B0UL))
#define bFM_GPIO_PCR5_PD                          *((volatile  uint8_t *)(0x426622B4UL))
#define bFM3_GPIO_PCR5_PD                         *((volatile  uint8_t *)(0x426622B4UL))
#define bFM_GPIO_PCR5_PE                          *((volatile  uint8_t *)(0x426622B8UL))
#define bFM3_GPIO_PCR5_PE                         *((volatile  uint8_t *)(0x426622B8UL))
#define bFM_GPIO_PCR5_PF                          *((volatile  uint8_t *)(0x426622BCUL))
#define bFM3_GPIO_PCR5_PF                         *((volatile  uint8_t *)(0x426622BCUL))

#define bFM_GPIO_PCR6_P0                          *((volatile  uint8_t *)(0x42662300UL))
#define bFM3_GPIO_PCR6_P0                         *((volatile  uint8_t *)(0x42662300UL))
#define bFM_GPIO_PCR6_P1                          *((volatile  uint8_t *)(0x42662304UL))
#define bFM3_GPIO_PCR6_P1                         *((volatile  uint8_t *)(0x42662304UL))
#define bFM_GPIO_PCR6_P2                          *((volatile  uint8_t *)(0x42662308UL))
#define bFM3_GPIO_PCR6_P2                         *((volatile  uint8_t *)(0x42662308UL))
#define bFM_GPIO_PCR6_P3                          *((volatile  uint8_t *)(0x4266230CUL))
#define bFM3_GPIO_PCR6_P3                         *((volatile  uint8_t *)(0x4266230CUL))
#define bFM_GPIO_PCR6_P4                          *((volatile  uint8_t *)(0x42662310UL))
#define bFM3_GPIO_PCR6_P4                         *((volatile  uint8_t *)(0x42662310UL))
#define bFM_GPIO_PCR6_P5                          *((volatile  uint8_t *)(0x42662314UL))
#define bFM3_GPIO_PCR6_P5                         *((volatile  uint8_t *)(0x42662314UL))
#define bFM_GPIO_PCR6_P6                          *((volatile  uint8_t *)(0x42662318UL))
#define bFM3_GPIO_PCR6_P6                         *((volatile  uint8_t *)(0x42662318UL))
#define bFM_GPIO_PCR6_P7                          *((volatile  uint8_t *)(0x4266231CUL))
#define bFM3_GPIO_PCR6_P7                         *((volatile  uint8_t *)(0x4266231CUL))
#define bFM_GPIO_PCR6_P8                          *((volatile  uint8_t *)(0x42662320UL))
#define bFM3_GPIO_PCR6_P8                         *((volatile  uint8_t *)(0x42662320UL))
#define bFM_GPIO_PCR6_P9                          *((volatile  uint8_t *)(0x42662324UL))
#define bFM3_GPIO_PCR6_P9                         *((volatile  uint8_t *)(0x42662324UL))
#define bFM_GPIO_PCR6_PA                          *((volatile  uint8_t *)(0x42662328UL))
#define bFM3_GPIO_PCR6_PA                         *((volatile  uint8_t *)(0x42662328UL))
#define bFM_GPIO_PCR6_PB                          *((volatile  uint8_t *)(0x4266232CUL))
#define bFM3_GPIO_PCR6_PB                         *((volatile  uint8_t *)(0x4266232CUL))
#define bFM_GPIO_PCR6_PC                          *((volatile  uint8_t *)(0x42662330UL))
#define bFM3_GPIO_PCR6_PC                         *((volatile  uint8_t *)(0x42662330UL))
#define bFM_GPIO_PCR6_PD                          *((volatile  uint8_t *)(0x42662334UL))
#define bFM3_GPIO_PCR6_PD                         *((volatile  uint8_t *)(0x42662334UL))
#define bFM_GPIO_PCR6_PE                          *((volatile  uint8_t *)(0x42662338UL))
#define bFM3_GPIO_PCR6_PE                         *((volatile  uint8_t *)(0x42662338UL))
#define bFM_GPIO_PCR6_PF                          *((volatile  uint8_t *)(0x4266233CUL))
#define bFM3_GPIO_PCR6_PF                         *((volatile  uint8_t *)(0x4266233CUL))

#define bFM_GPIO_PCR7_P0                          *((volatile  uint8_t *)(0x42662380UL))
#define bFM3_GPIO_PCR7_P0                         *((volatile  uint8_t *)(0x42662380UL))
#define bFM_GPIO_PCR7_P1                          *((volatile  uint8_t *)(0x42662384UL))
#define bFM3_GPIO_PCR7_P1                         *((volatile  uint8_t *)(0x42662384UL))
#define bFM_GPIO_PCR7_P2                          *((volatile  uint8_t *)(0x42662388UL))
#define bFM3_GPIO_PCR7_P2                         *((volatile  uint8_t *)(0x42662388UL))
#define bFM_GPIO_PCR7_P3                          *((volatile  uint8_t *)(0x4266238CUL))
#define bFM3_GPIO_PCR7_P3                         *((volatile  uint8_t *)(0x4266238CUL))
#define bFM_GPIO_PCR7_P4                          *((volatile  uint8_t *)(0x42662390UL))
#define bFM3_GPIO_PCR7_P4                         *((volatile  uint8_t *)(0x42662390UL))
#define bFM_GPIO_PCR7_P5                          *((volatile  uint8_t *)(0x42662394UL))
#define bFM3_GPIO_PCR7_P5                         *((volatile  uint8_t *)(0x42662394UL))
#define bFM_GPIO_PCR7_P6                          *((volatile  uint8_t *)(0x42662398UL))
#define bFM3_GPIO_PCR7_P6                         *((volatile  uint8_t *)(0x42662398UL))
#define bFM_GPIO_PCR7_P7                          *((volatile  uint8_t *)(0x4266239CUL))
#define bFM3_GPIO_PCR7_P7                         *((volatile  uint8_t *)(0x4266239CUL))
#define bFM_GPIO_PCR7_P8                          *((volatile  uint8_t *)(0x426623A0UL))
#define bFM3_GPIO_PCR7_P8                         *((volatile  uint8_t *)(0x426623A0UL))
#define bFM_GPIO_PCR7_P9                          *((volatile  uint8_t *)(0x426623A4UL))
#define bFM3_GPIO_PCR7_P9                         *((volatile  uint8_t *)(0x426623A4UL))
#define bFM_GPIO_PCR7_PA                          *((volatile  uint8_t *)(0x426623A8UL))
#define bFM3_GPIO_PCR7_PA                         *((volatile  uint8_t *)(0x426623A8UL))
#define bFM_GPIO_PCR7_PB                          *((volatile  uint8_t *)(0x426623ACUL))
#define bFM3_GPIO_PCR7_PB                         *((volatile  uint8_t *)(0x426623ACUL))
#define bFM_GPIO_PCR7_PC                          *((volatile  uint8_t *)(0x426623B0UL))
#define bFM3_GPIO_PCR7_PC                         *((volatile  uint8_t *)(0x426623B0UL))
#define bFM_GPIO_PCR7_PD                          *((volatile  uint8_t *)(0x426623B4UL))
#define bFM3_GPIO_PCR7_PD                         *((volatile  uint8_t *)(0x426623B4UL))
#define bFM_GPIO_PCR7_PE                          *((volatile  uint8_t *)(0x426623B8UL))
#define bFM3_GPIO_PCR7_PE                         *((volatile  uint8_t *)(0x426623B8UL))
#define bFM_GPIO_PCR7_PF                          *((volatile  uint8_t *)(0x426623BCUL))
#define bFM3_GPIO_PCR7_PF                         *((volatile  uint8_t *)(0x426623BCUL))

#define bFM_GPIO_PCR9_P0                          *((volatile  uint8_t *)(0x42662480UL))
#define bFM3_GPIO_PCR9_P0                         *((volatile  uint8_t *)(0x42662480UL))
#define bFM_GPIO_PCR9_P1                          *((volatile  uint8_t *)(0x42662484UL))
#define bFM3_GPIO_PCR9_P1                         *((volatile  uint8_t *)(0x42662484UL))
#define bFM_GPIO_PCR9_P2                          *((volatile  uint8_t *)(0x42662488UL))
#define bFM3_GPIO_PCR9_P2                         *((volatile  uint8_t *)(0x42662488UL))
#define bFM_GPIO_PCR9_P3                          *((volatile  uint8_t *)(0x4266248CUL))
#define bFM3_GPIO_PCR9_P3                         *((volatile  uint8_t *)(0x4266248CUL))
#define bFM_GPIO_PCR9_P4                          *((volatile  uint8_t *)(0x42662490UL))
#define bFM3_GPIO_PCR9_P4                         *((volatile  uint8_t *)(0x42662490UL))
#define bFM_GPIO_PCR9_P5                          *((volatile  uint8_t *)(0x42662494UL))
#define bFM3_GPIO_PCR9_P5                         *((volatile  uint8_t *)(0x42662494UL))
#define bFM_GPIO_PCR9_P6                          *((volatile  uint8_t *)(0x42662498UL))
#define bFM3_GPIO_PCR9_P6                         *((volatile  uint8_t *)(0x42662498UL))
#define bFM_GPIO_PCR9_P7                          *((volatile  uint8_t *)(0x4266249CUL))
#define bFM3_GPIO_PCR9_P7                         *((volatile  uint8_t *)(0x4266249CUL))
#define bFM_GPIO_PCR9_P8                          *((volatile  uint8_t *)(0x426624A0UL))
#define bFM3_GPIO_PCR9_P8                         *((volatile  uint8_t *)(0x426624A0UL))
#define bFM_GPIO_PCR9_P9                          *((volatile  uint8_t *)(0x426624A4UL))
#define bFM3_GPIO_PCR9_P9                         *((volatile  uint8_t *)(0x426624A4UL))
#define bFM_GPIO_PCR9_PA                          *((volatile  uint8_t *)(0x426624A8UL))
#define bFM3_GPIO_PCR9_PA                         *((volatile  uint8_t *)(0x426624A8UL))
#define bFM_GPIO_PCR9_PB                          *((volatile  uint8_t *)(0x426624ACUL))
#define bFM3_GPIO_PCR9_PB                         *((volatile  uint8_t *)(0x426624ACUL))
#define bFM_GPIO_PCR9_PC                          *((volatile  uint8_t *)(0x426624B0UL))
#define bFM3_GPIO_PCR9_PC                         *((volatile  uint8_t *)(0x426624B0UL))
#define bFM_GPIO_PCR9_PD                          *((volatile  uint8_t *)(0x426624B4UL))
#define bFM3_GPIO_PCR9_PD                         *((volatile  uint8_t *)(0x426624B4UL))
#define bFM_GPIO_PCR9_PE                          *((volatile  uint8_t *)(0x426624B8UL))
#define bFM3_GPIO_PCR9_PE                         *((volatile  uint8_t *)(0x426624B8UL))
#define bFM_GPIO_PCR9_PF                          *((volatile  uint8_t *)(0x426624BCUL))
#define bFM3_GPIO_PCR9_PF                         *((volatile  uint8_t *)(0x426624BCUL))

#define bFM_GPIO_PCRA_P0                          *((volatile  uint8_t *)(0x42662500UL))
#define bFM3_GPIO_PCRA_P0                         *((volatile  uint8_t *)(0x42662500UL))
#define bFM_GPIO_PCRA_P1                          *((volatile  uint8_t *)(0x42662504UL))
#define bFM3_GPIO_PCRA_P1                         *((volatile  uint8_t *)(0x42662504UL))
#define bFM_GPIO_PCRA_P2                          *((volatile  uint8_t *)(0x42662508UL))
#define bFM3_GPIO_PCRA_P2                         *((volatile  uint8_t *)(0x42662508UL))
#define bFM_GPIO_PCRA_P3                          *((volatile  uint8_t *)(0x4266250CUL))
#define bFM3_GPIO_PCRA_P3                         *((volatile  uint8_t *)(0x4266250CUL))
#define bFM_GPIO_PCRA_P4                          *((volatile  uint8_t *)(0x42662510UL))
#define bFM3_GPIO_PCRA_P4                         *((volatile  uint8_t *)(0x42662510UL))
#define bFM_GPIO_PCRA_P5                          *((volatile  uint8_t *)(0x42662514UL))
#define bFM3_GPIO_PCRA_P5                         *((volatile  uint8_t *)(0x42662514UL))
#define bFM_GPIO_PCRA_P6                          *((volatile  uint8_t *)(0x42662518UL))
#define bFM3_GPIO_PCRA_P6                         *((volatile  uint8_t *)(0x42662518UL))
#define bFM_GPIO_PCRA_P7                          *((volatile  uint8_t *)(0x4266251CUL))
#define bFM3_GPIO_PCRA_P7                         *((volatile  uint8_t *)(0x4266251CUL))
#define bFM_GPIO_PCRA_P8                          *((volatile  uint8_t *)(0x42662520UL))
#define bFM3_GPIO_PCRA_P8                         *((volatile  uint8_t *)(0x42662520UL))
#define bFM_GPIO_PCRA_P9                          *((volatile  uint8_t *)(0x42662524UL))
#define bFM3_GPIO_PCRA_P9                         *((volatile  uint8_t *)(0x42662524UL))
#define bFM_GPIO_PCRA_PA                          *((volatile  uint8_t *)(0x42662528UL))
#define bFM3_GPIO_PCRA_PA                         *((volatile  uint8_t *)(0x42662528UL))
#define bFM_GPIO_PCRA_PB                          *((volatile  uint8_t *)(0x4266252CUL))
#define bFM3_GPIO_PCRA_PB                         *((volatile  uint8_t *)(0x4266252CUL))
#define bFM_GPIO_PCRA_PC                          *((volatile  uint8_t *)(0x42662530UL))
#define bFM3_GPIO_PCRA_PC                         *((volatile  uint8_t *)(0x42662530UL))
#define bFM_GPIO_PCRA_PD                          *((volatile  uint8_t *)(0x42662534UL))
#define bFM3_GPIO_PCRA_PD                         *((volatile  uint8_t *)(0x42662534UL))
#define bFM_GPIO_PCRA_PE                          *((volatile  uint8_t *)(0x42662538UL))
#define bFM3_GPIO_PCRA_PE                         *((volatile  uint8_t *)(0x42662538UL))
#define bFM_GPIO_PCRA_PF                          *((volatile  uint8_t *)(0x4266253CUL))
#define bFM3_GPIO_PCRA_PF                         *((volatile  uint8_t *)(0x4266253CUL))

#define bFM_GPIO_PCRB_P0                          *((volatile  uint8_t *)(0x42662580UL))
#define bFM3_GPIO_PCRB_P0                         *((volatile  uint8_t *)(0x42662580UL))
#define bFM_GPIO_PCRB_P1                          *((volatile  uint8_t *)(0x42662584UL))
#define bFM3_GPIO_PCRB_P1                         *((volatile  uint8_t *)(0x42662584UL))
#define bFM_GPIO_PCRB_P2                          *((volatile  uint8_t *)(0x42662588UL))
#define bFM3_GPIO_PCRB_P2                         *((volatile  uint8_t *)(0x42662588UL))
#define bFM_GPIO_PCRB_P3                          *((volatile  uint8_t *)(0x4266258CUL))
#define bFM3_GPIO_PCRB_P3                         *((volatile  uint8_t *)(0x4266258CUL))
#define bFM_GPIO_PCRB_P4                          *((volatile  uint8_t *)(0x42662590UL))
#define bFM3_GPIO_PCRB_P4                         *((volatile  uint8_t *)(0x42662590UL))
#define bFM_GPIO_PCRB_P5                          *((volatile  uint8_t *)(0x42662594UL))
#define bFM3_GPIO_PCRB_P5                         *((volatile  uint8_t *)(0x42662594UL))
#define bFM_GPIO_PCRB_P6                          *((volatile  uint8_t *)(0x42662598UL))
#define bFM3_GPIO_PCRB_P6                         *((volatile  uint8_t *)(0x42662598UL))
#define bFM_GPIO_PCRB_P7                          *((volatile  uint8_t *)(0x4266259CUL))
#define bFM3_GPIO_PCRB_P7                         *((volatile  uint8_t *)(0x4266259CUL))
#define bFM_GPIO_PCRB_P8                          *((volatile  uint8_t *)(0x426625A0UL))
#define bFM3_GPIO_PCRB_P8                         *((volatile  uint8_t *)(0x426625A0UL))
#define bFM_GPIO_PCRB_P9                          *((volatile  uint8_t *)(0x426625A4UL))
#define bFM3_GPIO_PCRB_P9                         *((volatile  uint8_t *)(0x426625A4UL))
#define bFM_GPIO_PCRB_PA                          *((volatile  uint8_t *)(0x426625A8UL))
#define bFM3_GPIO_PCRB_PA                         *((volatile  uint8_t *)(0x426625A8UL))
#define bFM_GPIO_PCRB_PB                          *((volatile  uint8_t *)(0x426625ACUL))
#define bFM3_GPIO_PCRB_PB                         *((volatile  uint8_t *)(0x426625ACUL))
#define bFM_GPIO_PCRB_PC                          *((volatile  uint8_t *)(0x426625B0UL))
#define bFM3_GPIO_PCRB_PC                         *((volatile  uint8_t *)(0x426625B0UL))
#define bFM_GPIO_PCRB_PD                          *((volatile  uint8_t *)(0x426625B4UL))
#define bFM3_GPIO_PCRB_PD                         *((volatile  uint8_t *)(0x426625B4UL))
#define bFM_GPIO_PCRB_PE                          *((volatile  uint8_t *)(0x426625B8UL))
#define bFM3_GPIO_PCRB_PE                         *((volatile  uint8_t *)(0x426625B8UL))
#define bFM_GPIO_PCRB_PF                          *((volatile  uint8_t *)(0x426625BCUL))
#define bFM3_GPIO_PCRB_PF                         *((volatile  uint8_t *)(0x426625BCUL))

#define bFM_GPIO_PCRC_P0                          *((volatile  uint8_t *)(0x42662600UL))
#define bFM3_GPIO_PCRC_P0                         *((volatile  uint8_t *)(0x42662600UL))
#define bFM_GPIO_PCRC_P1                          *((volatile  uint8_t *)(0x42662604UL))
#define bFM3_GPIO_PCRC_P1                         *((volatile  uint8_t *)(0x42662604UL))
#define bFM_GPIO_PCRC_P2                          *((volatile  uint8_t *)(0x42662608UL))
#define bFM3_GPIO_PCRC_P2                         *((volatile  uint8_t *)(0x42662608UL))
#define bFM_GPIO_PCRC_P3                          *((volatile  uint8_t *)(0x4266260CUL))
#define bFM3_GPIO_PCRC_P3                         *((volatile  uint8_t *)(0x4266260CUL))
#define bFM_GPIO_PCRC_P4                          *((volatile  uint8_t *)(0x42662610UL))
#define bFM3_GPIO_PCRC_P4                         *((volatile  uint8_t *)(0x42662610UL))
#define bFM_GPIO_PCRC_P5                          *((volatile  uint8_t *)(0x42662614UL))
#define bFM3_GPIO_PCRC_P5                         *((volatile  uint8_t *)(0x42662614UL))
#define bFM_GPIO_PCRC_P6                          *((volatile  uint8_t *)(0x42662618UL))
#define bFM3_GPIO_PCRC_P6                         *((volatile  uint8_t *)(0x42662618UL))
#define bFM_GPIO_PCRC_P7                          *((volatile  uint8_t *)(0x4266261CUL))
#define bFM3_GPIO_PCRC_P7                         *((volatile  uint8_t *)(0x4266261CUL))
#define bFM_GPIO_PCRC_P8                          *((volatile  uint8_t *)(0x42662620UL))
#define bFM3_GPIO_PCRC_P8                         *((volatile  uint8_t *)(0x42662620UL))
#define bFM_GPIO_PCRC_P9                          *((volatile  uint8_t *)(0x42662624UL))
#define bFM3_GPIO_PCRC_P9                         *((volatile  uint8_t *)(0x42662624UL))
#define bFM_GPIO_PCRC_PA                          *((volatile  uint8_t *)(0x42662628UL))
#define bFM3_GPIO_PCRC_PA                         *((volatile  uint8_t *)(0x42662628UL))
#define bFM_GPIO_PCRC_PB                          *((volatile  uint8_t *)(0x4266262CUL))
#define bFM3_GPIO_PCRC_PB                         *((volatile  uint8_t *)(0x4266262CUL))
#define bFM_GPIO_PCRC_PC                          *((volatile  uint8_t *)(0x42662630UL))
#define bFM3_GPIO_PCRC_PC                         *((volatile  uint8_t *)(0x42662630UL))
#define bFM_GPIO_PCRC_PD                          *((volatile  uint8_t *)(0x42662634UL))
#define bFM3_GPIO_PCRC_PD                         *((volatile  uint8_t *)(0x42662634UL))
#define bFM_GPIO_PCRC_PE                          *((volatile  uint8_t *)(0x42662638UL))
#define bFM3_GPIO_PCRC_PE                         *((volatile  uint8_t *)(0x42662638UL))
#define bFM_GPIO_PCRC_PF                          *((volatile  uint8_t *)(0x4266263CUL))
#define bFM3_GPIO_PCRC_PF                         *((volatile  uint8_t *)(0x4266263CUL))

#define bFM_GPIO_PCRD_P0                          *((volatile  uint8_t *)(0x42662680UL))
#define bFM3_GPIO_PCRD_P0                         *((volatile  uint8_t *)(0x42662680UL))
#define bFM_GPIO_PCRD_P1                          *((volatile  uint8_t *)(0x42662684UL))
#define bFM3_GPIO_PCRD_P1                         *((volatile  uint8_t *)(0x42662684UL))
#define bFM_GPIO_PCRD_P2                          *((volatile  uint8_t *)(0x42662688UL))
#define bFM3_GPIO_PCRD_P2                         *((volatile  uint8_t *)(0x42662688UL))
#define bFM_GPIO_PCRD_P3                          *((volatile  uint8_t *)(0x4266268CUL))
#define bFM3_GPIO_PCRD_P3                         *((volatile  uint8_t *)(0x4266268CUL))
#define bFM_GPIO_PCRD_P4                          *((volatile  uint8_t *)(0x42662690UL))
#define bFM3_GPIO_PCRD_P4                         *((volatile  uint8_t *)(0x42662690UL))
#define bFM_GPIO_PCRD_P5                          *((volatile  uint8_t *)(0x42662694UL))
#define bFM3_GPIO_PCRD_P5                         *((volatile  uint8_t *)(0x42662694UL))
#define bFM_GPIO_PCRD_P6                          *((volatile  uint8_t *)(0x42662698UL))
#define bFM3_GPIO_PCRD_P6                         *((volatile  uint8_t *)(0x42662698UL))
#define bFM_GPIO_PCRD_P7                          *((volatile  uint8_t *)(0x4266269CUL))
#define bFM3_GPIO_PCRD_P7                         *((volatile  uint8_t *)(0x4266269CUL))
#define bFM_GPIO_PCRD_P8                          *((volatile  uint8_t *)(0x426626A0UL))
#define bFM3_GPIO_PCRD_P8                         *((volatile  uint8_t *)(0x426626A0UL))
#define bFM_GPIO_PCRD_P9                          *((volatile  uint8_t *)(0x426626A4UL))
#define bFM3_GPIO_PCRD_P9                         *((volatile  uint8_t *)(0x426626A4UL))
#define bFM_GPIO_PCRD_PA                          *((volatile  uint8_t *)(0x426626A8UL))
#define bFM3_GPIO_PCRD_PA                         *((volatile  uint8_t *)(0x426626A8UL))
#define bFM_GPIO_PCRD_PB                          *((volatile  uint8_t *)(0x426626ACUL))
#define bFM3_GPIO_PCRD_PB                         *((volatile  uint8_t *)(0x426626ACUL))
#define bFM_GPIO_PCRD_PC                          *((volatile  uint8_t *)(0x426626B0UL))
#define bFM3_GPIO_PCRD_PC                         *((volatile  uint8_t *)(0x426626B0UL))
#define bFM_GPIO_PCRD_PD                          *((volatile  uint8_t *)(0x426626B4UL))
#define bFM3_GPIO_PCRD_PD                         *((volatile  uint8_t *)(0x426626B4UL))
#define bFM_GPIO_PCRD_PE                          *((volatile  uint8_t *)(0x426626B8UL))
#define bFM3_GPIO_PCRD_PE                         *((volatile  uint8_t *)(0x426626B8UL))
#define bFM_GPIO_PCRD_PF                          *((volatile  uint8_t *)(0x426626BCUL))
#define bFM3_GPIO_PCRD_PF                         *((volatile  uint8_t *)(0x426626BCUL))

#define bFM_GPIO_PCRE_P0                          *((volatile  uint8_t *)(0x42662700UL))
#define bFM3_GPIO_PCRE_P0                         *((volatile  uint8_t *)(0x42662700UL))
#define bFM_GPIO_PCRE_P1                          *((volatile  uint8_t *)(0x42662704UL))
#define bFM3_GPIO_PCRE_P1                         *((volatile  uint8_t *)(0x42662704UL))
#define bFM_GPIO_PCRE_P2                          *((volatile  uint8_t *)(0x42662708UL))
#define bFM3_GPIO_PCRE_P2                         *((volatile  uint8_t *)(0x42662708UL))
#define bFM_GPIO_PCRE_P3                          *((volatile  uint8_t *)(0x4266270CUL))
#define bFM3_GPIO_PCRE_P3                         *((volatile  uint8_t *)(0x4266270CUL))
#define bFM_GPIO_PCRE_P4                          *((volatile  uint8_t *)(0x42662710UL))
#define bFM3_GPIO_PCRE_P4                         *((volatile  uint8_t *)(0x42662710UL))
#define bFM_GPIO_PCRE_P5                          *((volatile  uint8_t *)(0x42662714UL))
#define bFM3_GPIO_PCRE_P5                         *((volatile  uint8_t *)(0x42662714UL))
#define bFM_GPIO_PCRE_P6                          *((volatile  uint8_t *)(0x42662718UL))
#define bFM3_GPIO_PCRE_P6                         *((volatile  uint8_t *)(0x42662718UL))
#define bFM_GPIO_PCRE_P7                          *((volatile  uint8_t *)(0x4266271CUL))
#define bFM3_GPIO_PCRE_P7                         *((volatile  uint8_t *)(0x4266271CUL))
#define bFM_GPIO_PCRE_P8                          *((volatile  uint8_t *)(0x42662720UL))
#define bFM3_GPIO_PCRE_P8                         *((volatile  uint8_t *)(0x42662720UL))
#define bFM_GPIO_PCRE_P9                          *((volatile  uint8_t *)(0x42662724UL))
#define bFM3_GPIO_PCRE_P9                         *((volatile  uint8_t *)(0x42662724UL))
#define bFM_GPIO_PCRE_PA                          *((volatile  uint8_t *)(0x42662728UL))
#define bFM3_GPIO_PCRE_PA                         *((volatile  uint8_t *)(0x42662728UL))
#define bFM_GPIO_PCRE_PB                          *((volatile  uint8_t *)(0x4266272CUL))
#define bFM3_GPIO_PCRE_PB                         *((volatile  uint8_t *)(0x4266272CUL))
#define bFM_GPIO_PCRE_PC                          *((volatile  uint8_t *)(0x42662730UL))
#define bFM3_GPIO_PCRE_PC                         *((volatile  uint8_t *)(0x42662730UL))
#define bFM_GPIO_PCRE_PD                          *((volatile  uint8_t *)(0x42662734UL))
#define bFM3_GPIO_PCRE_PD                         *((volatile  uint8_t *)(0x42662734UL))
#define bFM_GPIO_PCRE_PE                          *((volatile  uint8_t *)(0x42662738UL))
#define bFM3_GPIO_PCRE_PE                         *((volatile  uint8_t *)(0x42662738UL))
#define bFM_GPIO_PCRE_PF                          *((volatile  uint8_t *)(0x4266273CUL))
#define bFM3_GPIO_PCRE_PF                         *((volatile  uint8_t *)(0x4266273CUL))

#define bFM_GPIO_PCRF_P0                          *((volatile  uint8_t *)(0x42662780UL))
#define bFM3_GPIO_PCRF_P0                         *((volatile  uint8_t *)(0x42662780UL))
#define bFM_GPIO_PCRF_P1                          *((volatile  uint8_t *)(0x42662784UL))
#define bFM3_GPIO_PCRF_P1                         *((volatile  uint8_t *)(0x42662784UL))
#define bFM_GPIO_PCRF_P2                          *((volatile  uint8_t *)(0x42662788UL))
#define bFM3_GPIO_PCRF_P2                         *((volatile  uint8_t *)(0x42662788UL))
#define bFM_GPIO_PCRF_P3                          *((volatile  uint8_t *)(0x4266278CUL))
#define bFM3_GPIO_PCRF_P3                         *((volatile  uint8_t *)(0x4266278CUL))
#define bFM_GPIO_PCRF_P4                          *((volatile  uint8_t *)(0x42662790UL))
#define bFM3_GPIO_PCRF_P4                         *((volatile  uint8_t *)(0x42662790UL))
#define bFM_GPIO_PCRF_P5                          *((volatile  uint8_t *)(0x42662794UL))
#define bFM3_GPIO_PCRF_P5                         *((volatile  uint8_t *)(0x42662794UL))
#define bFM_GPIO_PCRF_P6                          *((volatile  uint8_t *)(0x42662798UL))
#define bFM3_GPIO_PCRF_P6                         *((volatile  uint8_t *)(0x42662798UL))
#define bFM_GPIO_PCRF_P7                          *((volatile  uint8_t *)(0x4266279CUL))
#define bFM3_GPIO_PCRF_P7                         *((volatile  uint8_t *)(0x4266279CUL))
#define bFM_GPIO_PCRF_P8                          *((volatile  uint8_t *)(0x426627A0UL))
#define bFM3_GPIO_PCRF_P8                         *((volatile  uint8_t *)(0x426627A0UL))
#define bFM_GPIO_PCRF_P9                          *((volatile  uint8_t *)(0x426627A4UL))
#define bFM3_GPIO_PCRF_P9                         *((volatile  uint8_t *)(0x426627A4UL))
#define bFM_GPIO_PCRF_PA                          *((volatile  uint8_t *)(0x426627A8UL))
#define bFM3_GPIO_PCRF_PA                         *((volatile  uint8_t *)(0x426627A8UL))
#define bFM_GPIO_PCRF_PB                          *((volatile  uint8_t *)(0x426627ACUL))
#define bFM3_GPIO_PCRF_PB                         *((volatile  uint8_t *)(0x426627ACUL))
#define bFM_GPIO_PCRF_PC                          *((volatile  uint8_t *)(0x426627B0UL))
#define bFM3_GPIO_PCRF_PC                         *((volatile  uint8_t *)(0x426627B0UL))
#define bFM_GPIO_PCRF_PD                          *((volatile  uint8_t *)(0x426627B4UL))
#define bFM3_GPIO_PCRF_PD                         *((volatile  uint8_t *)(0x426627B4UL))
#define bFM_GPIO_PCRF_PE                          *((volatile  uint8_t *)(0x426627B8UL))
#define bFM3_GPIO_PCRF_PE                         *((volatile  uint8_t *)(0x426627B8UL))
#define bFM_GPIO_PCRF_PF                          *((volatile  uint8_t *)(0x426627BCUL))
#define bFM3_GPIO_PCRF_PF                         *((volatile  uint8_t *)(0x426627BCUL))

#define bFM_GPIO_PDIR0_P0                         *((volatile  uint8_t *)(0x42666000UL))
#define bFM3_GPIO_PDIR0_P0                        *((volatile  uint8_t *)(0x42666000UL))
#define bFM_GPIO_PDIR0_P1                         *((volatile  uint8_t *)(0x42666004UL))
#define bFM3_GPIO_PDIR0_P1                        *((volatile  uint8_t *)(0x42666004UL))
#define bFM_GPIO_PDIR0_P2                         *((volatile  uint8_t *)(0x42666008UL))
#define bFM3_GPIO_PDIR0_P2                        *((volatile  uint8_t *)(0x42666008UL))
#define bFM_GPIO_PDIR0_P3                         *((volatile  uint8_t *)(0x4266600CUL))
#define bFM3_GPIO_PDIR0_P3                        *((volatile  uint8_t *)(0x4266600CUL))
#define bFM_GPIO_PDIR0_P4                         *((volatile  uint8_t *)(0x42666010UL))
#define bFM3_GPIO_PDIR0_P4                        *((volatile  uint8_t *)(0x42666010UL))
#define bFM_GPIO_PDIR0_P5                         *((volatile  uint8_t *)(0x42666014UL))
#define bFM3_GPIO_PDIR0_P5                        *((volatile  uint8_t *)(0x42666014UL))
#define bFM_GPIO_PDIR0_P6                         *((volatile  uint8_t *)(0x42666018UL))
#define bFM3_GPIO_PDIR0_P6                        *((volatile  uint8_t *)(0x42666018UL))
#define bFM_GPIO_PDIR0_P7                         *((volatile  uint8_t *)(0x4266601CUL))
#define bFM3_GPIO_PDIR0_P7                        *((volatile  uint8_t *)(0x4266601CUL))
#define bFM_GPIO_PDIR0_P8                         *((volatile  uint8_t *)(0x42666020UL))
#define bFM3_GPIO_PDIR0_P8                        *((volatile  uint8_t *)(0x42666020UL))
#define bFM_GPIO_PDIR0_P9                         *((volatile  uint8_t *)(0x42666024UL))
#define bFM3_GPIO_PDIR0_P9                        *((volatile  uint8_t *)(0x42666024UL))
#define bFM_GPIO_PDIR0_PA                         *((volatile  uint8_t *)(0x42666028UL))
#define bFM3_GPIO_PDIR0_PA                        *((volatile  uint8_t *)(0x42666028UL))
#define bFM_GPIO_PDIR0_PB                         *((volatile  uint8_t *)(0x4266602CUL))
#define bFM3_GPIO_PDIR0_PB                        *((volatile  uint8_t *)(0x4266602CUL))
#define bFM_GPIO_PDIR0_PC                         *((volatile  uint8_t *)(0x42666030UL))
#define bFM3_GPIO_PDIR0_PC                        *((volatile  uint8_t *)(0x42666030UL))
#define bFM_GPIO_PDIR0_PD                         *((volatile  uint8_t *)(0x42666034UL))
#define bFM3_GPIO_PDIR0_PD                        *((volatile  uint8_t *)(0x42666034UL))
#define bFM_GPIO_PDIR0_PE                         *((volatile  uint8_t *)(0x42666038UL))
#define bFM3_GPIO_PDIR0_PE                        *((volatile  uint8_t *)(0x42666038UL))
#define bFM_GPIO_PDIR0_PF                         *((volatile  uint8_t *)(0x4266603CUL))
#define bFM3_GPIO_PDIR0_PF                        *((volatile  uint8_t *)(0x4266603CUL))

#define bFM_GPIO_PDIR1_P0                         *((volatile  uint8_t *)(0x42666080UL))
#define bFM3_GPIO_PDIR1_P0                        *((volatile  uint8_t *)(0x42666080UL))
#define bFM_GPIO_PDIR1_P1                         *((volatile  uint8_t *)(0x42666084UL))
#define bFM3_GPIO_PDIR1_P1                        *((volatile  uint8_t *)(0x42666084UL))
#define bFM_GPIO_PDIR1_P2                         *((volatile  uint8_t *)(0x42666088UL))
#define bFM3_GPIO_PDIR1_P2                        *((volatile  uint8_t *)(0x42666088UL))
#define bFM_GPIO_PDIR1_P3                         *((volatile  uint8_t *)(0x4266608CUL))
#define bFM3_GPIO_PDIR1_P3                        *((volatile  uint8_t *)(0x4266608CUL))
#define bFM_GPIO_PDIR1_P4                         *((volatile  uint8_t *)(0x42666090UL))
#define bFM3_GPIO_PDIR1_P4                        *((volatile  uint8_t *)(0x42666090UL))
#define bFM_GPIO_PDIR1_P5                         *((volatile  uint8_t *)(0x42666094UL))
#define bFM3_GPIO_PDIR1_P5                        *((volatile  uint8_t *)(0x42666094UL))
#define bFM_GPIO_PDIR1_P6                         *((volatile  uint8_t *)(0x42666098UL))
#define bFM3_GPIO_PDIR1_P6                        *((volatile  uint8_t *)(0x42666098UL))
#define bFM_GPIO_PDIR1_P7                         *((volatile  uint8_t *)(0x4266609CUL))
#define bFM3_GPIO_PDIR1_P7                        *((volatile  uint8_t *)(0x4266609CUL))
#define bFM_GPIO_PDIR1_P8                         *((volatile  uint8_t *)(0x426660A0UL))
#define bFM3_GPIO_PDIR1_P8                        *((volatile  uint8_t *)(0x426660A0UL))
#define bFM_GPIO_PDIR1_P9                         *((volatile  uint8_t *)(0x426660A4UL))
#define bFM3_GPIO_PDIR1_P9                        *((volatile  uint8_t *)(0x426660A4UL))
#define bFM_GPIO_PDIR1_PA                         *((volatile  uint8_t *)(0x426660A8UL))
#define bFM3_GPIO_PDIR1_PA                        *((volatile  uint8_t *)(0x426660A8UL))
#define bFM_GPIO_PDIR1_PB                         *((volatile  uint8_t *)(0x426660ACUL))
#define bFM3_GPIO_PDIR1_PB                        *((volatile  uint8_t *)(0x426660ACUL))
#define bFM_GPIO_PDIR1_PC                         *((volatile  uint8_t *)(0x426660B0UL))
#define bFM3_GPIO_PDIR1_PC                        *((volatile  uint8_t *)(0x426660B0UL))
#define bFM_GPIO_PDIR1_PD                         *((volatile  uint8_t *)(0x426660B4UL))
#define bFM3_GPIO_PDIR1_PD                        *((volatile  uint8_t *)(0x426660B4UL))
#define bFM_GPIO_PDIR1_PE                         *((volatile  uint8_t *)(0x426660B8UL))
#define bFM3_GPIO_PDIR1_PE                        *((volatile  uint8_t *)(0x426660B8UL))
#define bFM_GPIO_PDIR1_PF                         *((volatile  uint8_t *)(0x426660BCUL))
#define bFM3_GPIO_PDIR1_PF                        *((volatile  uint8_t *)(0x426660BCUL))

#define bFM_GPIO_PDIR2_P0                         *((volatile  uint8_t *)(0x42666100UL))
#define bFM3_GPIO_PDIR2_P0                        *((volatile  uint8_t *)(0x42666100UL))
#define bFM_GPIO_PDIR2_P1                         *((volatile  uint8_t *)(0x42666104UL))
#define bFM3_GPIO_PDIR2_P1                        *((volatile  uint8_t *)(0x42666104UL))
#define bFM_GPIO_PDIR2_P2                         *((volatile  uint8_t *)(0x42666108UL))
#define bFM3_GPIO_PDIR2_P2                        *((volatile  uint8_t *)(0x42666108UL))
#define bFM_GPIO_PDIR2_P3                         *((volatile  uint8_t *)(0x4266610CUL))
#define bFM3_GPIO_PDIR2_P3                        *((volatile  uint8_t *)(0x4266610CUL))
#define bFM_GPIO_PDIR2_P4                         *((volatile  uint8_t *)(0x42666110UL))
#define bFM3_GPIO_PDIR2_P4                        *((volatile  uint8_t *)(0x42666110UL))
#define bFM_GPIO_PDIR2_P5                         *((volatile  uint8_t *)(0x42666114UL))
#define bFM3_GPIO_PDIR2_P5                        *((volatile  uint8_t *)(0x42666114UL))
#define bFM_GPIO_PDIR2_P6                         *((volatile  uint8_t *)(0x42666118UL))
#define bFM3_GPIO_PDIR2_P6                        *((volatile  uint8_t *)(0x42666118UL))
#define bFM_GPIO_PDIR2_P7                         *((volatile  uint8_t *)(0x4266611CUL))
#define bFM3_GPIO_PDIR2_P7                        *((volatile  uint8_t *)(0x4266611CUL))
#define bFM_GPIO_PDIR2_P8                         *((volatile  uint8_t *)(0x42666120UL))
#define bFM3_GPIO_PDIR2_P8                        *((volatile  uint8_t *)(0x42666120UL))
#define bFM_GPIO_PDIR2_P9                         *((volatile  uint8_t *)(0x42666124UL))
#define bFM3_GPIO_PDIR2_P9                        *((volatile  uint8_t *)(0x42666124UL))
#define bFM_GPIO_PDIR2_PA                         *((volatile  uint8_t *)(0x42666128UL))
#define bFM3_GPIO_PDIR2_PA                        *((volatile  uint8_t *)(0x42666128UL))
#define bFM_GPIO_PDIR2_PB                         *((volatile  uint8_t *)(0x4266612CUL))
#define bFM3_GPIO_PDIR2_PB                        *((volatile  uint8_t *)(0x4266612CUL))
#define bFM_GPIO_PDIR2_PC                         *((volatile  uint8_t *)(0x42666130UL))
#define bFM3_GPIO_PDIR2_PC                        *((volatile  uint8_t *)(0x42666130UL))
#define bFM_GPIO_PDIR2_PD                         *((volatile  uint8_t *)(0x42666134UL))
#define bFM3_GPIO_PDIR2_PD                        *((volatile  uint8_t *)(0x42666134UL))
#define bFM_GPIO_PDIR2_PE                         *((volatile  uint8_t *)(0x42666138UL))
#define bFM3_GPIO_PDIR2_PE                        *((volatile  uint8_t *)(0x42666138UL))
#define bFM_GPIO_PDIR2_PF                         *((volatile  uint8_t *)(0x4266613CUL))
#define bFM3_GPIO_PDIR2_PF                        *((volatile  uint8_t *)(0x4266613CUL))

#define bFM_GPIO_PDIR3_P0                         *((volatile  uint8_t *)(0x42666180UL))
#define bFM3_GPIO_PDIR3_P0                        *((volatile  uint8_t *)(0x42666180UL))
#define bFM_GPIO_PDIR3_P1                         *((volatile  uint8_t *)(0x42666184UL))
#define bFM3_GPIO_PDIR3_P1                        *((volatile  uint8_t *)(0x42666184UL))
#define bFM_GPIO_PDIR3_P2                         *((volatile  uint8_t *)(0x42666188UL))
#define bFM3_GPIO_PDIR3_P2                        *((volatile  uint8_t *)(0x42666188UL))
#define bFM_GPIO_PDIR3_P3                         *((volatile  uint8_t *)(0x4266618CUL))
#define bFM3_GPIO_PDIR3_P3                        *((volatile  uint8_t *)(0x4266618CUL))
#define bFM_GPIO_PDIR3_P4                         *((volatile  uint8_t *)(0x42666190UL))
#define bFM3_GPIO_PDIR3_P4                        *((volatile  uint8_t *)(0x42666190UL))
#define bFM_GPIO_PDIR3_P5                         *((volatile  uint8_t *)(0x42666194UL))
#define bFM3_GPIO_PDIR3_P5                        *((volatile  uint8_t *)(0x42666194UL))
#define bFM_GPIO_PDIR3_P6                         *((volatile  uint8_t *)(0x42666198UL))
#define bFM3_GPIO_PDIR3_P6                        *((volatile  uint8_t *)(0x42666198UL))
#define bFM_GPIO_PDIR3_P7                         *((volatile  uint8_t *)(0x4266619CUL))
#define bFM3_GPIO_PDIR3_P7                        *((volatile  uint8_t *)(0x4266619CUL))
#define bFM_GPIO_PDIR3_P8                         *((volatile  uint8_t *)(0x426661A0UL))
#define bFM3_GPIO_PDIR3_P8                        *((volatile  uint8_t *)(0x426661A0UL))
#define bFM_GPIO_PDIR3_P9                         *((volatile  uint8_t *)(0x426661A4UL))
#define bFM3_GPIO_PDIR3_P9                        *((volatile  uint8_t *)(0x426661A4UL))
#define bFM_GPIO_PDIR3_PA                         *((volatile  uint8_t *)(0x426661A8UL))
#define bFM3_GPIO_PDIR3_PA                        *((volatile  uint8_t *)(0x426661A8UL))
#define bFM_GPIO_PDIR3_PB                         *((volatile  uint8_t *)(0x426661ACUL))
#define bFM3_GPIO_PDIR3_PB                        *((volatile  uint8_t *)(0x426661ACUL))
#define bFM_GPIO_PDIR3_PC                         *((volatile  uint8_t *)(0x426661B0UL))
#define bFM3_GPIO_PDIR3_PC                        *((volatile  uint8_t *)(0x426661B0UL))
#define bFM_GPIO_PDIR3_PD                         *((volatile  uint8_t *)(0x426661B4UL))
#define bFM3_GPIO_PDIR3_PD                        *((volatile  uint8_t *)(0x426661B4UL))
#define bFM_GPIO_PDIR3_PE                         *((volatile  uint8_t *)(0x426661B8UL))
#define bFM3_GPIO_PDIR3_PE                        *((volatile  uint8_t *)(0x426661B8UL))
#define bFM_GPIO_PDIR3_PF                         *((volatile  uint8_t *)(0x426661BCUL))
#define bFM3_GPIO_PDIR3_PF                        *((volatile  uint8_t *)(0x426661BCUL))

#define bFM_GPIO_PDIR4_P0                         *((volatile  uint8_t *)(0x42666200UL))
#define bFM3_GPIO_PDIR4_P0                        *((volatile  uint8_t *)(0x42666200UL))
#define bFM_GPIO_PDIR4_P1                         *((volatile  uint8_t *)(0x42666204UL))
#define bFM3_GPIO_PDIR4_P1                        *((volatile  uint8_t *)(0x42666204UL))
#define bFM_GPIO_PDIR4_P2                         *((volatile  uint8_t *)(0x42666208UL))
#define bFM3_GPIO_PDIR4_P2                        *((volatile  uint8_t *)(0x42666208UL))
#define bFM_GPIO_PDIR4_P3                         *((volatile  uint8_t *)(0x4266620CUL))
#define bFM3_GPIO_PDIR4_P3                        *((volatile  uint8_t *)(0x4266620CUL))
#define bFM_GPIO_PDIR4_P4                         *((volatile  uint8_t *)(0x42666210UL))
#define bFM3_GPIO_PDIR4_P4                        *((volatile  uint8_t *)(0x42666210UL))
#define bFM_GPIO_PDIR4_P5                         *((volatile  uint8_t *)(0x42666214UL))
#define bFM3_GPIO_PDIR4_P5                        *((volatile  uint8_t *)(0x42666214UL))
#define bFM_GPIO_PDIR4_P6                         *((volatile  uint8_t *)(0x42666218UL))
#define bFM3_GPIO_PDIR4_P6                        *((volatile  uint8_t *)(0x42666218UL))
#define bFM_GPIO_PDIR4_P7                         *((volatile  uint8_t *)(0x4266621CUL))
#define bFM3_GPIO_PDIR4_P7                        *((volatile  uint8_t *)(0x4266621CUL))
#define bFM_GPIO_PDIR4_P8                         *((volatile  uint8_t *)(0x42666220UL))
#define bFM3_GPIO_PDIR4_P8                        *((volatile  uint8_t *)(0x42666220UL))
#define bFM_GPIO_PDIR4_P9                         *((volatile  uint8_t *)(0x42666224UL))
#define bFM3_GPIO_PDIR4_P9                        *((volatile  uint8_t *)(0x42666224UL))
#define bFM_GPIO_PDIR4_PA                         *((volatile  uint8_t *)(0x42666228UL))
#define bFM3_GPIO_PDIR4_PA                        *((volatile  uint8_t *)(0x42666228UL))
#define bFM_GPIO_PDIR4_PB                         *((volatile  uint8_t *)(0x4266622CUL))
#define bFM3_GPIO_PDIR4_PB                        *((volatile  uint8_t *)(0x4266622CUL))
#define bFM_GPIO_PDIR4_PC                         *((volatile  uint8_t *)(0x42666230UL))
#define bFM3_GPIO_PDIR4_PC                        *((volatile  uint8_t *)(0x42666230UL))
#define bFM_GPIO_PDIR4_PD                         *((volatile  uint8_t *)(0x42666234UL))
#define bFM3_GPIO_PDIR4_PD                        *((volatile  uint8_t *)(0x42666234UL))
#define bFM_GPIO_PDIR4_PE                         *((volatile  uint8_t *)(0x42666238UL))
#define bFM3_GPIO_PDIR4_PE                        *((volatile  uint8_t *)(0x42666238UL))
#define bFM_GPIO_PDIR4_PF                         *((volatile  uint8_t *)(0x4266623CUL))
#define bFM3_GPIO_PDIR4_PF                        *((volatile  uint8_t *)(0x4266623CUL))

#define bFM_GPIO_PDIR5_P0                         *((volatile  uint8_t *)(0x42666280UL))
#define bFM3_GPIO_PDIR5_P0                        *((volatile  uint8_t *)(0x42666280UL))
#define bFM_GPIO_PDIR5_P1                         *((volatile  uint8_t *)(0x42666284UL))
#define bFM3_GPIO_PDIR5_P1                        *((volatile  uint8_t *)(0x42666284UL))
#define bFM_GPIO_PDIR5_P2                         *((volatile  uint8_t *)(0x42666288UL))
#define bFM3_GPIO_PDIR5_P2                        *((volatile  uint8_t *)(0x42666288UL))
#define bFM_GPIO_PDIR5_P3                         *((volatile  uint8_t *)(0x4266628CUL))
#define bFM3_GPIO_PDIR5_P3                        *((volatile  uint8_t *)(0x4266628CUL))
#define bFM_GPIO_PDIR5_P4                         *((volatile  uint8_t *)(0x42666290UL))
#define bFM3_GPIO_PDIR5_P4                        *((volatile  uint8_t *)(0x42666290UL))
#define bFM_GPIO_PDIR5_P5                         *((volatile  uint8_t *)(0x42666294UL))
#define bFM3_GPIO_PDIR5_P5                        *((volatile  uint8_t *)(0x42666294UL))
#define bFM_GPIO_PDIR5_P6                         *((volatile  uint8_t *)(0x42666298UL))
#define bFM3_GPIO_PDIR5_P6                        *((volatile  uint8_t *)(0x42666298UL))
#define bFM_GPIO_PDIR5_P7                         *((volatile  uint8_t *)(0x4266629CUL))
#define bFM3_GPIO_PDIR5_P7                        *((volatile  uint8_t *)(0x4266629CUL))
#define bFM_GPIO_PDIR5_P8                         *((volatile  uint8_t *)(0x426662A0UL))
#define bFM3_GPIO_PDIR5_P8                        *((volatile  uint8_t *)(0x426662A0UL))
#define bFM_GPIO_PDIR5_P9                         *((volatile  uint8_t *)(0x426662A4UL))
#define bFM3_GPIO_PDIR5_P9                        *((volatile  uint8_t *)(0x426662A4UL))
#define bFM_GPIO_PDIR5_PA                         *((volatile  uint8_t *)(0x426662A8UL))
#define bFM3_GPIO_PDIR5_PA                        *((volatile  uint8_t *)(0x426662A8UL))
#define bFM_GPIO_PDIR5_PB                         *((volatile  uint8_t *)(0x426662ACUL))
#define bFM3_GPIO_PDIR5_PB                        *((volatile  uint8_t *)(0x426662ACUL))
#define bFM_GPIO_PDIR5_PC                         *((volatile  uint8_t *)(0x426662B0UL))
#define bFM3_GPIO_PDIR5_PC                        *((volatile  uint8_t *)(0x426662B0UL))
#define bFM_GPIO_PDIR5_PD                         *((volatile  uint8_t *)(0x426662B4UL))
#define bFM3_GPIO_PDIR5_PD                        *((volatile  uint8_t *)(0x426662B4UL))
#define bFM_GPIO_PDIR5_PE                         *((volatile  uint8_t *)(0x426662B8UL))
#define bFM3_GPIO_PDIR5_PE                        *((volatile  uint8_t *)(0x426662B8UL))
#define bFM_GPIO_PDIR5_PF                         *((volatile  uint8_t *)(0x426662BCUL))
#define bFM3_GPIO_PDIR5_PF                        *((volatile  uint8_t *)(0x426662BCUL))

#define bFM_GPIO_PDIR6_P0                         *((volatile  uint8_t *)(0x42666300UL))
#define bFM3_GPIO_PDIR6_P0                        *((volatile  uint8_t *)(0x42666300UL))
#define bFM_GPIO_PDIR6_P1                         *((volatile  uint8_t *)(0x42666304UL))
#define bFM3_GPIO_PDIR6_P1                        *((volatile  uint8_t *)(0x42666304UL))
#define bFM_GPIO_PDIR6_P2                         *((volatile  uint8_t *)(0x42666308UL))
#define bFM3_GPIO_PDIR6_P2                        *((volatile  uint8_t *)(0x42666308UL))
#define bFM_GPIO_PDIR6_P3                         *((volatile  uint8_t *)(0x4266630CUL))
#define bFM3_GPIO_PDIR6_P3                        *((volatile  uint8_t *)(0x4266630CUL))
#define bFM_GPIO_PDIR6_P4                         *((volatile  uint8_t *)(0x42666310UL))
#define bFM3_GPIO_PDIR6_P4                        *((volatile  uint8_t *)(0x42666310UL))
#define bFM_GPIO_PDIR6_P5                         *((volatile  uint8_t *)(0x42666314UL))
#define bFM3_GPIO_PDIR6_P5                        *((volatile  uint8_t *)(0x42666314UL))
#define bFM_GPIO_PDIR6_P6                         *((volatile  uint8_t *)(0x42666318UL))
#define bFM3_GPIO_PDIR6_P6                        *((volatile  uint8_t *)(0x42666318UL))
#define bFM_GPIO_PDIR6_P7                         *((volatile  uint8_t *)(0x4266631CUL))
#define bFM3_GPIO_PDIR6_P7                        *((volatile  uint8_t *)(0x4266631CUL))
#define bFM_GPIO_PDIR6_P8                         *((volatile  uint8_t *)(0x42666320UL))
#define bFM3_GPIO_PDIR6_P8                        *((volatile  uint8_t *)(0x42666320UL))
#define bFM_GPIO_PDIR6_P9                         *((volatile  uint8_t *)(0x42666324UL))
#define bFM3_GPIO_PDIR6_P9                        *((volatile  uint8_t *)(0x42666324UL))
#define bFM_GPIO_PDIR6_PA                         *((volatile  uint8_t *)(0x42666328UL))
#define bFM3_GPIO_PDIR6_PA                        *((volatile  uint8_t *)(0x42666328UL))
#define bFM_GPIO_PDIR6_PB                         *((volatile  uint8_t *)(0x4266632CUL))
#define bFM3_GPIO_PDIR6_PB                        *((volatile  uint8_t *)(0x4266632CUL))
#define bFM_GPIO_PDIR6_PC                         *((volatile  uint8_t *)(0x42666330UL))
#define bFM3_GPIO_PDIR6_PC                        *((volatile  uint8_t *)(0x42666330UL))
#define bFM_GPIO_PDIR6_PD                         *((volatile  uint8_t *)(0x42666334UL))
#define bFM3_GPIO_PDIR6_PD                        *((volatile  uint8_t *)(0x42666334UL))
#define bFM_GPIO_PDIR6_PE                         *((volatile  uint8_t *)(0x42666338UL))
#define bFM3_GPIO_PDIR6_PE                        *((volatile  uint8_t *)(0x42666338UL))
#define bFM_GPIO_PDIR6_PF                         *((volatile  uint8_t *)(0x4266633CUL))
#define bFM3_GPIO_PDIR6_PF                        *((volatile  uint8_t *)(0x4266633CUL))

#define bFM_GPIO_PDIR7_P0                         *((volatile  uint8_t *)(0x42666380UL))
#define bFM3_GPIO_PDIR7_P0                        *((volatile  uint8_t *)(0x42666380UL))
#define bFM_GPIO_PDIR7_P1                         *((volatile  uint8_t *)(0x42666384UL))
#define bFM3_GPIO_PDIR7_P1                        *((volatile  uint8_t *)(0x42666384UL))
#define bFM_GPIO_PDIR7_P2                         *((volatile  uint8_t *)(0x42666388UL))
#define bFM3_GPIO_PDIR7_P2                        *((volatile  uint8_t *)(0x42666388UL))
#define bFM_GPIO_PDIR7_P3                         *((volatile  uint8_t *)(0x4266638CUL))
#define bFM3_GPIO_PDIR7_P3                        *((volatile  uint8_t *)(0x4266638CUL))
#define bFM_GPIO_PDIR7_P4                         *((volatile  uint8_t *)(0x42666390UL))
#define bFM3_GPIO_PDIR7_P4                        *((volatile  uint8_t *)(0x42666390UL))
#define bFM_GPIO_PDIR7_P5                         *((volatile  uint8_t *)(0x42666394UL))
#define bFM3_GPIO_PDIR7_P5                        *((volatile  uint8_t *)(0x42666394UL))
#define bFM_GPIO_PDIR7_P6                         *((volatile  uint8_t *)(0x42666398UL))
#define bFM3_GPIO_PDIR7_P6                        *((volatile  uint8_t *)(0x42666398UL))
#define bFM_GPIO_PDIR7_P7                         *((volatile  uint8_t *)(0x4266639CUL))
#define bFM3_GPIO_PDIR7_P7                        *((volatile  uint8_t *)(0x4266639CUL))
#define bFM_GPIO_PDIR7_P8                         *((volatile  uint8_t *)(0x426663A0UL))
#define bFM3_GPIO_PDIR7_P8                        *((volatile  uint8_t *)(0x426663A0UL))
#define bFM_GPIO_PDIR7_P9                         *((volatile  uint8_t *)(0x426663A4UL))
#define bFM3_GPIO_PDIR7_P9                        *((volatile  uint8_t *)(0x426663A4UL))
#define bFM_GPIO_PDIR7_PA                         *((volatile  uint8_t *)(0x426663A8UL))
#define bFM3_GPIO_PDIR7_PA                        *((volatile  uint8_t *)(0x426663A8UL))
#define bFM_GPIO_PDIR7_PB                         *((volatile  uint8_t *)(0x426663ACUL))
#define bFM3_GPIO_PDIR7_PB                        *((volatile  uint8_t *)(0x426663ACUL))
#define bFM_GPIO_PDIR7_PC                         *((volatile  uint8_t *)(0x426663B0UL))
#define bFM3_GPIO_PDIR7_PC                        *((volatile  uint8_t *)(0x426663B0UL))
#define bFM_GPIO_PDIR7_PD                         *((volatile  uint8_t *)(0x426663B4UL))
#define bFM3_GPIO_PDIR7_PD                        *((volatile  uint8_t *)(0x426663B4UL))
#define bFM_GPIO_PDIR7_PE                         *((volatile  uint8_t *)(0x426663B8UL))
#define bFM3_GPIO_PDIR7_PE                        *((volatile  uint8_t *)(0x426663B8UL))
#define bFM_GPIO_PDIR7_PF                         *((volatile  uint8_t *)(0x426663BCUL))
#define bFM3_GPIO_PDIR7_PF                        *((volatile  uint8_t *)(0x426663BCUL))

#define bFM_GPIO_PDIR8_P0                         *((volatile  uint8_t *)(0x42666400UL))
#define bFM3_GPIO_PDIR8_P0                        *((volatile  uint8_t *)(0x42666400UL))
#define bFM_GPIO_PDIR8_P1                         *((volatile  uint8_t *)(0x42666404UL))
#define bFM3_GPIO_PDIR8_P1                        *((volatile  uint8_t *)(0x42666404UL))
#define bFM_GPIO_PDIR8_P2                         *((volatile  uint8_t *)(0x42666408UL))
#define bFM3_GPIO_PDIR8_P2                        *((volatile  uint8_t *)(0x42666408UL))
#define bFM_GPIO_PDIR8_P3                         *((volatile  uint8_t *)(0x4266640CUL))
#define bFM3_GPIO_PDIR8_P3                        *((volatile  uint8_t *)(0x4266640CUL))
#define bFM_GPIO_PDIR8_P4                         *((volatile  uint8_t *)(0x42666410UL))
#define bFM3_GPIO_PDIR8_P4                        *((volatile  uint8_t *)(0x42666410UL))
#define bFM_GPIO_PDIR8_P5                         *((volatile  uint8_t *)(0x42666414UL))
#define bFM3_GPIO_PDIR8_P5                        *((volatile  uint8_t *)(0x42666414UL))
#define bFM_GPIO_PDIR8_P6                         *((volatile  uint8_t *)(0x42666418UL))
#define bFM3_GPIO_PDIR8_P6                        *((volatile  uint8_t *)(0x42666418UL))
#define bFM_GPIO_PDIR8_P7                         *((volatile  uint8_t *)(0x4266641CUL))
#define bFM3_GPIO_PDIR8_P7                        *((volatile  uint8_t *)(0x4266641CUL))
#define bFM_GPIO_PDIR8_P8                         *((volatile  uint8_t *)(0x42666420UL))
#define bFM3_GPIO_PDIR8_P8                        *((volatile  uint8_t *)(0x42666420UL))
#define bFM_GPIO_PDIR8_P9                         *((volatile  uint8_t *)(0x42666424UL))
#define bFM3_GPIO_PDIR8_P9                        *((volatile  uint8_t *)(0x42666424UL))
#define bFM_GPIO_PDIR8_PA                         *((volatile  uint8_t *)(0x42666428UL))
#define bFM3_GPIO_PDIR8_PA                        *((volatile  uint8_t *)(0x42666428UL))
#define bFM_GPIO_PDIR8_PB                         *((volatile  uint8_t *)(0x4266642CUL))
#define bFM3_GPIO_PDIR8_PB                        *((volatile  uint8_t *)(0x4266642CUL))
#define bFM_GPIO_PDIR8_PC                         *((volatile  uint8_t *)(0x42666430UL))
#define bFM3_GPIO_PDIR8_PC                        *((volatile  uint8_t *)(0x42666430UL))
#define bFM_GPIO_PDIR8_PD                         *((volatile  uint8_t *)(0x42666434UL))
#define bFM3_GPIO_PDIR8_PD                        *((volatile  uint8_t *)(0x42666434UL))
#define bFM_GPIO_PDIR8_PE                         *((volatile  uint8_t *)(0x42666438UL))
#define bFM3_GPIO_PDIR8_PE                        *((volatile  uint8_t *)(0x42666438UL))
#define bFM_GPIO_PDIR8_PF                         *((volatile  uint8_t *)(0x4266643CUL))
#define bFM3_GPIO_PDIR8_PF                        *((volatile  uint8_t *)(0x4266643CUL))

#define bFM_GPIO_PDIR9_P0                         *((volatile  uint8_t *)(0x42666480UL))
#define bFM3_GPIO_PDIR9_P0                        *((volatile  uint8_t *)(0x42666480UL))
#define bFM_GPIO_PDIR9_P1                         *((volatile  uint8_t *)(0x42666484UL))
#define bFM3_GPIO_PDIR9_P1                        *((volatile  uint8_t *)(0x42666484UL))
#define bFM_GPIO_PDIR9_P2                         *((volatile  uint8_t *)(0x42666488UL))
#define bFM3_GPIO_PDIR9_P2                        *((volatile  uint8_t *)(0x42666488UL))
#define bFM_GPIO_PDIR9_P3                         *((volatile  uint8_t *)(0x4266648CUL))
#define bFM3_GPIO_PDIR9_P3                        *((volatile  uint8_t *)(0x4266648CUL))
#define bFM_GPIO_PDIR9_P4                         *((volatile  uint8_t *)(0x42666490UL))
#define bFM3_GPIO_PDIR9_P4                        *((volatile  uint8_t *)(0x42666490UL))
#define bFM_GPIO_PDIR9_P5                         *((volatile  uint8_t *)(0x42666494UL))
#define bFM3_GPIO_PDIR9_P5                        *((volatile  uint8_t *)(0x42666494UL))
#define bFM_GPIO_PDIR9_P6                         *((volatile  uint8_t *)(0x42666498UL))
#define bFM3_GPIO_PDIR9_P6                        *((volatile  uint8_t *)(0x42666498UL))
#define bFM_GPIO_PDIR9_P7                         *((volatile  uint8_t *)(0x4266649CUL))
#define bFM3_GPIO_PDIR9_P7                        *((volatile  uint8_t *)(0x4266649CUL))
#define bFM_GPIO_PDIR9_P8                         *((volatile  uint8_t *)(0x426664A0UL))
#define bFM3_GPIO_PDIR9_P8                        *((volatile  uint8_t *)(0x426664A0UL))
#define bFM_GPIO_PDIR9_P9                         *((volatile  uint8_t *)(0x426664A4UL))
#define bFM3_GPIO_PDIR9_P9                        *((volatile  uint8_t *)(0x426664A4UL))
#define bFM_GPIO_PDIR9_PA                         *((volatile  uint8_t *)(0x426664A8UL))
#define bFM3_GPIO_PDIR9_PA                        *((volatile  uint8_t *)(0x426664A8UL))
#define bFM_GPIO_PDIR9_PB                         *((volatile  uint8_t *)(0x426664ACUL))
#define bFM3_GPIO_PDIR9_PB                        *((volatile  uint8_t *)(0x426664ACUL))
#define bFM_GPIO_PDIR9_PC                         *((volatile  uint8_t *)(0x426664B0UL))
#define bFM3_GPIO_PDIR9_PC                        *((volatile  uint8_t *)(0x426664B0UL))
#define bFM_GPIO_PDIR9_PD                         *((volatile  uint8_t *)(0x426664B4UL))
#define bFM3_GPIO_PDIR9_PD                        *((volatile  uint8_t *)(0x426664B4UL))
#define bFM_GPIO_PDIR9_PE                         *((volatile  uint8_t *)(0x426664B8UL))
#define bFM3_GPIO_PDIR9_PE                        *((volatile  uint8_t *)(0x426664B8UL))
#define bFM_GPIO_PDIR9_PF                         *((volatile  uint8_t *)(0x426664BCUL))
#define bFM3_GPIO_PDIR9_PF                        *((volatile  uint8_t *)(0x426664BCUL))

#define bFM_GPIO_PDIRA_P0                         *((volatile  uint8_t *)(0x42666500UL))
#define bFM3_GPIO_PDIRA_P0                        *((volatile  uint8_t *)(0x42666500UL))
#define bFM_GPIO_PDIRA_P1                         *((volatile  uint8_t *)(0x42666504UL))
#define bFM3_GPIO_PDIRA_P1                        *((volatile  uint8_t *)(0x42666504UL))
#define bFM_GPIO_PDIRA_P2                         *((volatile  uint8_t *)(0x42666508UL))
#define bFM3_GPIO_PDIRA_P2                        *((volatile  uint8_t *)(0x42666508UL))
#define bFM_GPIO_PDIRA_P3                         *((volatile  uint8_t *)(0x4266650CUL))
#define bFM3_GPIO_PDIRA_P3                        *((volatile  uint8_t *)(0x4266650CUL))
#define bFM_GPIO_PDIRA_P4                         *((volatile  uint8_t *)(0x42666510UL))
#define bFM3_GPIO_PDIRA_P4                        *((volatile  uint8_t *)(0x42666510UL))
#define bFM_GPIO_PDIRA_P5                         *((volatile  uint8_t *)(0x42666514UL))
#define bFM3_GPIO_PDIRA_P5                        *((volatile  uint8_t *)(0x42666514UL))
#define bFM_GPIO_PDIRA_P6                         *((volatile  uint8_t *)(0x42666518UL))
#define bFM3_GPIO_PDIRA_P6                        *((volatile  uint8_t *)(0x42666518UL))
#define bFM_GPIO_PDIRA_P7                         *((volatile  uint8_t *)(0x4266651CUL))
#define bFM3_GPIO_PDIRA_P7                        *((volatile  uint8_t *)(0x4266651CUL))
#define bFM_GPIO_PDIRA_P8                         *((volatile  uint8_t *)(0x42666520UL))
#define bFM3_GPIO_PDIRA_P8                        *((volatile  uint8_t *)(0x42666520UL))
#define bFM_GPIO_PDIRA_P9                         *((volatile  uint8_t *)(0x42666524UL))
#define bFM3_GPIO_PDIRA_P9                        *((volatile  uint8_t *)(0x42666524UL))
#define bFM_GPIO_PDIRA_PA                         *((volatile  uint8_t *)(0x42666528UL))
#define bFM3_GPIO_PDIRA_PA                        *((volatile  uint8_t *)(0x42666528UL))
#define bFM_GPIO_PDIRA_PB                         *((volatile  uint8_t *)(0x4266652CUL))
#define bFM3_GPIO_PDIRA_PB                        *((volatile  uint8_t *)(0x4266652CUL))
#define bFM_GPIO_PDIRA_PC                         *((volatile  uint8_t *)(0x42666530UL))
#define bFM3_GPIO_PDIRA_PC                        *((volatile  uint8_t *)(0x42666530UL))
#define bFM_GPIO_PDIRA_PD                         *((volatile  uint8_t *)(0x42666534UL))
#define bFM3_GPIO_PDIRA_PD                        *((volatile  uint8_t *)(0x42666534UL))
#define bFM_GPIO_PDIRA_PE                         *((volatile  uint8_t *)(0x42666538UL))
#define bFM3_GPIO_PDIRA_PE                        *((volatile  uint8_t *)(0x42666538UL))
#define bFM_GPIO_PDIRA_PF                         *((volatile  uint8_t *)(0x4266653CUL))
#define bFM3_GPIO_PDIRA_PF                        *((volatile  uint8_t *)(0x4266653CUL))

#define bFM_GPIO_PDIRB_P0                         *((volatile  uint8_t *)(0x42666580UL))
#define bFM3_GPIO_PDIRB_P0                        *((volatile  uint8_t *)(0x42666580UL))
#define bFM_GPIO_PDIRB_P1                         *((volatile  uint8_t *)(0x42666584UL))
#define bFM3_GPIO_PDIRB_P1                        *((volatile  uint8_t *)(0x42666584UL))
#define bFM_GPIO_PDIRB_P2                         *((volatile  uint8_t *)(0x42666588UL))
#define bFM3_GPIO_PDIRB_P2                        *((volatile  uint8_t *)(0x42666588UL))
#define bFM_GPIO_PDIRB_P3                         *((volatile  uint8_t *)(0x4266658CUL))
#define bFM3_GPIO_PDIRB_P3                        *((volatile  uint8_t *)(0x4266658CUL))
#define bFM_GPIO_PDIRB_P4                         *((volatile  uint8_t *)(0x42666590UL))
#define bFM3_GPIO_PDIRB_P4                        *((volatile  uint8_t *)(0x42666590UL))
#define bFM_GPIO_PDIRB_P5                         *((volatile  uint8_t *)(0x42666594UL))
#define bFM3_GPIO_PDIRB_P5                        *((volatile  uint8_t *)(0x42666594UL))
#define bFM_GPIO_PDIRB_P6                         *((volatile  uint8_t *)(0x42666598UL))
#define bFM3_GPIO_PDIRB_P6                        *((volatile  uint8_t *)(0x42666598UL))
#define bFM_GPIO_PDIRB_P7                         *((volatile  uint8_t *)(0x4266659CUL))
#define bFM3_GPIO_PDIRB_P7                        *((volatile  uint8_t *)(0x4266659CUL))
#define bFM_GPIO_PDIRB_P8                         *((volatile  uint8_t *)(0x426665A0UL))
#define bFM3_GPIO_PDIRB_P8                        *((volatile  uint8_t *)(0x426665A0UL))
#define bFM_GPIO_PDIRB_P9                         *((volatile  uint8_t *)(0x426665A4UL))
#define bFM3_GPIO_PDIRB_P9                        *((volatile  uint8_t *)(0x426665A4UL))
#define bFM_GPIO_PDIRB_PA                         *((volatile  uint8_t *)(0x426665A8UL))
#define bFM3_GPIO_PDIRB_PA                        *((volatile  uint8_t *)(0x426665A8UL))
#define bFM_GPIO_PDIRB_PB                         *((volatile  uint8_t *)(0x426665ACUL))
#define bFM3_GPIO_PDIRB_PB                        *((volatile  uint8_t *)(0x426665ACUL))
#define bFM_GPIO_PDIRB_PC                         *((volatile  uint8_t *)(0x426665B0UL))
#define bFM3_GPIO_PDIRB_PC                        *((volatile  uint8_t *)(0x426665B0UL))
#define bFM_GPIO_PDIRB_PD                         *((volatile  uint8_t *)(0x426665B4UL))
#define bFM3_GPIO_PDIRB_PD                        *((volatile  uint8_t *)(0x426665B4UL))
#define bFM_GPIO_PDIRB_PE                         *((volatile  uint8_t *)(0x426665B8UL))
#define bFM3_GPIO_PDIRB_PE                        *((volatile  uint8_t *)(0x426665B8UL))
#define bFM_GPIO_PDIRB_PF                         *((volatile  uint8_t *)(0x426665BCUL))
#define bFM3_GPIO_PDIRB_PF                        *((volatile  uint8_t *)(0x426665BCUL))

#define bFM_GPIO_PDIRC_P0                         *((volatile  uint8_t *)(0x42666600UL))
#define bFM3_GPIO_PDIRC_P0                        *((volatile  uint8_t *)(0x42666600UL))
#define bFM_GPIO_PDIRC_P1                         *((volatile  uint8_t *)(0x42666604UL))
#define bFM3_GPIO_PDIRC_P1                        *((volatile  uint8_t *)(0x42666604UL))
#define bFM_GPIO_PDIRC_P2                         *((volatile  uint8_t *)(0x42666608UL))
#define bFM3_GPIO_PDIRC_P2                        *((volatile  uint8_t *)(0x42666608UL))
#define bFM_GPIO_PDIRC_P3                         *((volatile  uint8_t *)(0x4266660CUL))
#define bFM3_GPIO_PDIRC_P3                        *((volatile  uint8_t *)(0x4266660CUL))
#define bFM_GPIO_PDIRC_P4                         *((volatile  uint8_t *)(0x42666610UL))
#define bFM3_GPIO_PDIRC_P4                        *((volatile  uint8_t *)(0x42666610UL))
#define bFM_GPIO_PDIRC_P5                         *((volatile  uint8_t *)(0x42666614UL))
#define bFM3_GPIO_PDIRC_P5                        *((volatile  uint8_t *)(0x42666614UL))
#define bFM_GPIO_PDIRC_P6                         *((volatile  uint8_t *)(0x42666618UL))
#define bFM3_GPIO_PDIRC_P6                        *((volatile  uint8_t *)(0x42666618UL))
#define bFM_GPIO_PDIRC_P7                         *((volatile  uint8_t *)(0x4266661CUL))
#define bFM3_GPIO_PDIRC_P7                        *((volatile  uint8_t *)(0x4266661CUL))
#define bFM_GPIO_PDIRC_P8                         *((volatile  uint8_t *)(0x42666620UL))
#define bFM3_GPIO_PDIRC_P8                        *((volatile  uint8_t *)(0x42666620UL))
#define bFM_GPIO_PDIRC_P9                         *((volatile  uint8_t *)(0x42666624UL))
#define bFM3_GPIO_PDIRC_P9                        *((volatile  uint8_t *)(0x42666624UL))
#define bFM_GPIO_PDIRC_PA                         *((volatile  uint8_t *)(0x42666628UL))
#define bFM3_GPIO_PDIRC_PA                        *((volatile  uint8_t *)(0x42666628UL))
#define bFM_GPIO_PDIRC_PB                         *((volatile  uint8_t *)(0x4266662CUL))
#define bFM3_GPIO_PDIRC_PB                        *((volatile  uint8_t *)(0x4266662CUL))
#define bFM_GPIO_PDIRC_PC                         *((volatile  uint8_t *)(0x42666630UL))
#define bFM3_GPIO_PDIRC_PC                        *((volatile  uint8_t *)(0x42666630UL))
#define bFM_GPIO_PDIRC_PD                         *((volatile  uint8_t *)(0x42666634UL))
#define bFM3_GPIO_PDIRC_PD                        *((volatile  uint8_t *)(0x42666634UL))
#define bFM_GPIO_PDIRC_PE                         *((volatile  uint8_t *)(0x42666638UL))
#define bFM3_GPIO_PDIRC_PE                        *((volatile  uint8_t *)(0x42666638UL))
#define bFM_GPIO_PDIRC_PF                         *((volatile  uint8_t *)(0x4266663CUL))
#define bFM3_GPIO_PDIRC_PF                        *((volatile  uint8_t *)(0x4266663CUL))

#define bFM_GPIO_PDIRD_P0                         *((volatile  uint8_t *)(0x42666680UL))
#define bFM3_GPIO_PDIRD_P0                        *((volatile  uint8_t *)(0x42666680UL))
#define bFM_GPIO_PDIRD_P1                         *((volatile  uint8_t *)(0x42666684UL))
#define bFM3_GPIO_PDIRD_P1                        *((volatile  uint8_t *)(0x42666684UL))
#define bFM_GPIO_PDIRD_P2                         *((volatile  uint8_t *)(0x42666688UL))
#define bFM3_GPIO_PDIRD_P2                        *((volatile  uint8_t *)(0x42666688UL))
#define bFM_GPIO_PDIRD_P3                         *((volatile  uint8_t *)(0x4266668CUL))
#define bFM3_GPIO_PDIRD_P3                        *((volatile  uint8_t *)(0x4266668CUL))
#define bFM_GPIO_PDIRD_P4                         *((volatile  uint8_t *)(0x42666690UL))
#define bFM3_GPIO_PDIRD_P4                        *((volatile  uint8_t *)(0x42666690UL))
#define bFM_GPIO_PDIRD_P5                         *((volatile  uint8_t *)(0x42666694UL))
#define bFM3_GPIO_PDIRD_P5                        *((volatile  uint8_t *)(0x42666694UL))
#define bFM_GPIO_PDIRD_P6                         *((volatile  uint8_t *)(0x42666698UL))
#define bFM3_GPIO_PDIRD_P6                        *((volatile  uint8_t *)(0x42666698UL))
#define bFM_GPIO_PDIRD_P7                         *((volatile  uint8_t *)(0x4266669CUL))
#define bFM3_GPIO_PDIRD_P7                        *((volatile  uint8_t *)(0x4266669CUL))
#define bFM_GPIO_PDIRD_P8                         *((volatile  uint8_t *)(0x426666A0UL))
#define bFM3_GPIO_PDIRD_P8                        *((volatile  uint8_t *)(0x426666A0UL))
#define bFM_GPIO_PDIRD_P9                         *((volatile  uint8_t *)(0x426666A4UL))
#define bFM3_GPIO_PDIRD_P9                        *((volatile  uint8_t *)(0x426666A4UL))
#define bFM_GPIO_PDIRD_PA                         *((volatile  uint8_t *)(0x426666A8UL))
#define bFM3_GPIO_PDIRD_PA                        *((volatile  uint8_t *)(0x426666A8UL))
#define bFM_GPIO_PDIRD_PB                         *((volatile  uint8_t *)(0x426666ACUL))
#define bFM3_GPIO_PDIRD_PB                        *((volatile  uint8_t *)(0x426666ACUL))
#define bFM_GPIO_PDIRD_PC                         *((volatile  uint8_t *)(0x426666B0UL))
#define bFM3_GPIO_PDIRD_PC                        *((volatile  uint8_t *)(0x426666B0UL))
#define bFM_GPIO_PDIRD_PD                         *((volatile  uint8_t *)(0x426666B4UL))
#define bFM3_GPIO_PDIRD_PD                        *((volatile  uint8_t *)(0x426666B4UL))
#define bFM_GPIO_PDIRD_PE                         *((volatile  uint8_t *)(0x426666B8UL))
#define bFM3_GPIO_PDIRD_PE                        *((volatile  uint8_t *)(0x426666B8UL))
#define bFM_GPIO_PDIRD_PF                         *((volatile  uint8_t *)(0x426666BCUL))
#define bFM3_GPIO_PDIRD_PF                        *((volatile  uint8_t *)(0x426666BCUL))

#define bFM_GPIO_PDIRE_P0                         *((volatile  uint8_t *)(0x42666700UL))
#define bFM3_GPIO_PDIRE_P0                        *((volatile  uint8_t *)(0x42666700UL))
#define bFM_GPIO_PDIRE_P1                         *((volatile  uint8_t *)(0x42666704UL))
#define bFM3_GPIO_PDIRE_P1                        *((volatile  uint8_t *)(0x42666704UL))
#define bFM_GPIO_PDIRE_P2                         *((volatile  uint8_t *)(0x42666708UL))
#define bFM3_GPIO_PDIRE_P2                        *((volatile  uint8_t *)(0x42666708UL))
#define bFM_GPIO_PDIRE_P3                         *((volatile  uint8_t *)(0x4266670CUL))
#define bFM3_GPIO_PDIRE_P3                        *((volatile  uint8_t *)(0x4266670CUL))
#define bFM_GPIO_PDIRE_P4                         *((volatile  uint8_t *)(0x42666710UL))
#define bFM3_GPIO_PDIRE_P4                        *((volatile  uint8_t *)(0x42666710UL))
#define bFM_GPIO_PDIRE_P5                         *((volatile  uint8_t *)(0x42666714UL))
#define bFM3_GPIO_PDIRE_P5                        *((volatile  uint8_t *)(0x42666714UL))
#define bFM_GPIO_PDIRE_P6                         *((volatile  uint8_t *)(0x42666718UL))
#define bFM3_GPIO_PDIRE_P6                        *((volatile  uint8_t *)(0x42666718UL))
#define bFM_GPIO_PDIRE_P7                         *((volatile  uint8_t *)(0x4266671CUL))
#define bFM3_GPIO_PDIRE_P7                        *((volatile  uint8_t *)(0x4266671CUL))
#define bFM_GPIO_PDIRE_P8                         *((volatile  uint8_t *)(0x42666720UL))
#define bFM3_GPIO_PDIRE_P8                        *((volatile  uint8_t *)(0x42666720UL))
#define bFM_GPIO_PDIRE_P9                         *((volatile  uint8_t *)(0x42666724UL))
#define bFM3_GPIO_PDIRE_P9                        *((volatile  uint8_t *)(0x42666724UL))
#define bFM_GPIO_PDIRE_PA                         *((volatile  uint8_t *)(0x42666728UL))
#define bFM3_GPIO_PDIRE_PA                        *((volatile  uint8_t *)(0x42666728UL))
#define bFM_GPIO_PDIRE_PB                         *((volatile  uint8_t *)(0x4266672CUL))
#define bFM3_GPIO_PDIRE_PB                        *((volatile  uint8_t *)(0x4266672CUL))
#define bFM_GPIO_PDIRE_PC                         *((volatile  uint8_t *)(0x42666730UL))
#define bFM3_GPIO_PDIRE_PC                        *((volatile  uint8_t *)(0x42666730UL))
#define bFM_GPIO_PDIRE_PD                         *((volatile  uint8_t *)(0x42666734UL))
#define bFM3_GPIO_PDIRE_PD                        *((volatile  uint8_t *)(0x42666734UL))
#define bFM_GPIO_PDIRE_PE                         *((volatile  uint8_t *)(0x42666738UL))
#define bFM3_GPIO_PDIRE_PE                        *((volatile  uint8_t *)(0x42666738UL))
#define bFM_GPIO_PDIRE_PF                         *((volatile  uint8_t *)(0x4266673CUL))
#define bFM3_GPIO_PDIRE_PF                        *((volatile  uint8_t *)(0x4266673CUL))

#define bFM_GPIO_PDIRF_P0                         *((volatile  uint8_t *)(0x42666780UL))
#define bFM3_GPIO_PDIRF_P0                        *((volatile  uint8_t *)(0x42666780UL))
#define bFM_GPIO_PDIRF_P1                         *((volatile  uint8_t *)(0x42666784UL))
#define bFM3_GPIO_PDIRF_P1                        *((volatile  uint8_t *)(0x42666784UL))
#define bFM_GPIO_PDIRF_P2                         *((volatile  uint8_t *)(0x42666788UL))
#define bFM3_GPIO_PDIRF_P2                        *((volatile  uint8_t *)(0x42666788UL))
#define bFM_GPIO_PDIRF_P3                         *((volatile  uint8_t *)(0x4266678CUL))
#define bFM3_GPIO_PDIRF_P3                        *((volatile  uint8_t *)(0x4266678CUL))
#define bFM_GPIO_PDIRF_P4                         *((volatile  uint8_t *)(0x42666790UL))
#define bFM3_GPIO_PDIRF_P4                        *((volatile  uint8_t *)(0x42666790UL))
#define bFM_GPIO_PDIRF_P5                         *((volatile  uint8_t *)(0x42666794UL))
#define bFM3_GPIO_PDIRF_P5                        *((volatile  uint8_t *)(0x42666794UL))
#define bFM_GPIO_PDIRF_P6                         *((volatile  uint8_t *)(0x42666798UL))
#define bFM3_GPIO_PDIRF_P6                        *((volatile  uint8_t *)(0x42666798UL))
#define bFM_GPIO_PDIRF_P7                         *((volatile  uint8_t *)(0x4266679CUL))
#define bFM3_GPIO_PDIRF_P7                        *((volatile  uint8_t *)(0x4266679CUL))
#define bFM_GPIO_PDIRF_P8                         *((volatile  uint8_t *)(0x426667A0UL))
#define bFM3_GPIO_PDIRF_P8                        *((volatile  uint8_t *)(0x426667A0UL))
#define bFM_GPIO_PDIRF_P9                         *((volatile  uint8_t *)(0x426667A4UL))
#define bFM3_GPIO_PDIRF_P9                        *((volatile  uint8_t *)(0x426667A4UL))
#define bFM_GPIO_PDIRF_PA                         *((volatile  uint8_t *)(0x426667A8UL))
#define bFM3_GPIO_PDIRF_PA                        *((volatile  uint8_t *)(0x426667A8UL))
#define bFM_GPIO_PDIRF_PB                         *((volatile  uint8_t *)(0x426667ACUL))
#define bFM3_GPIO_PDIRF_PB                        *((volatile  uint8_t *)(0x426667ACUL))
#define bFM_GPIO_PDIRF_PC                         *((volatile  uint8_t *)(0x426667B0UL))
#define bFM3_GPIO_PDIRF_PC                        *((volatile  uint8_t *)(0x426667B0UL))
#define bFM_GPIO_PDIRF_PD                         *((volatile  uint8_t *)(0x426667B4UL))
#define bFM3_GPIO_PDIRF_PD                        *((volatile  uint8_t *)(0x426667B4UL))
#define bFM_GPIO_PDIRF_PE                         *((volatile  uint8_t *)(0x426667B8UL))
#define bFM3_GPIO_PDIRF_PE                        *((volatile  uint8_t *)(0x426667B8UL))
#define bFM_GPIO_PDIRF_PF                         *((volatile  uint8_t *)(0x426667BCUL))
#define bFM3_GPIO_PDIRF_PF                        *((volatile  uint8_t *)(0x426667BCUL))

#define bFM_GPIO_PDOR0_P0                         *((volatile  uint8_t *)(0x42668000UL))
#define bFM3_GPIO_PDOR0_P0                        *((volatile  uint8_t *)(0x42668000UL))
#define bFM_GPIO_PDOR0_P1                         *((volatile  uint8_t *)(0x42668004UL))
#define bFM3_GPIO_PDOR0_P1                        *((volatile  uint8_t *)(0x42668004UL))
#define bFM_GPIO_PDOR0_P2                         *((volatile  uint8_t *)(0x42668008UL))
#define bFM3_GPIO_PDOR0_P2                        *((volatile  uint8_t *)(0x42668008UL))
#define bFM_GPIO_PDOR0_P3                         *((volatile  uint8_t *)(0x4266800CUL))
#define bFM3_GPIO_PDOR0_P3                        *((volatile  uint8_t *)(0x4266800CUL))
#define bFM_GPIO_PDOR0_P4                         *((volatile  uint8_t *)(0x42668010UL))
#define bFM3_GPIO_PDOR0_P4                        *((volatile  uint8_t *)(0x42668010UL))
#define bFM_GPIO_PDOR0_P5                         *((volatile  uint8_t *)(0x42668014UL))
#define bFM3_GPIO_PDOR0_P5                        *((volatile  uint8_t *)(0x42668014UL))
#define bFM_GPIO_PDOR0_P6                         *((volatile  uint8_t *)(0x42668018UL))
#define bFM3_GPIO_PDOR0_P6                        *((volatile  uint8_t *)(0x42668018UL))
#define bFM_GPIO_PDOR0_P7                         *((volatile  uint8_t *)(0x4266801CUL))
#define bFM3_GPIO_PDOR0_P7                        *((volatile  uint8_t *)(0x4266801CUL))
#define bFM_GPIO_PDOR0_P8                         *((volatile  uint8_t *)(0x42668020UL))
#define bFM3_GPIO_PDOR0_P8                        *((volatile  uint8_t *)(0x42668020UL))
#define bFM_GPIO_PDOR0_P9                         *((volatile  uint8_t *)(0x42668024UL))
#define bFM3_GPIO_PDOR0_P9                        *((volatile  uint8_t *)(0x42668024UL))
#define bFM_GPIO_PDOR0_PA                         *((volatile  uint8_t *)(0x42668028UL))
#define bFM3_GPIO_PDOR0_PA                        *((volatile  uint8_t *)(0x42668028UL))
#define bFM_GPIO_PDOR0_PB                         *((volatile  uint8_t *)(0x4266802CUL))
#define bFM3_GPIO_PDOR0_PB                        *((volatile  uint8_t *)(0x4266802CUL))
#define bFM_GPIO_PDOR0_PC                         *((volatile  uint8_t *)(0x42668030UL))
#define bFM3_GPIO_PDOR0_PC                        *((volatile  uint8_t *)(0x42668030UL))
#define bFM_GPIO_PDOR0_PD                         *((volatile  uint8_t *)(0x42668034UL))
#define bFM3_GPIO_PDOR0_PD                        *((volatile  uint8_t *)(0x42668034UL))
#define bFM_GPIO_PDOR0_PE                         *((volatile  uint8_t *)(0x42668038UL))
#define bFM3_GPIO_PDOR0_PE                        *((volatile  uint8_t *)(0x42668038UL))
#define bFM_GPIO_PDOR0_PF                         *((volatile  uint8_t *)(0x4266803CUL))
#define bFM3_GPIO_PDOR0_PF                        *((volatile  uint8_t *)(0x4266803CUL))

#define bFM_GPIO_PDOR1_P0                         *((volatile  uint8_t *)(0x42668080UL))
#define bFM3_GPIO_PDOR1_P0                        *((volatile  uint8_t *)(0x42668080UL))
#define bFM_GPIO_PDOR1_P1                         *((volatile  uint8_t *)(0x42668084UL))
#define bFM3_GPIO_PDOR1_P1                        *((volatile  uint8_t *)(0x42668084UL))
#define bFM_GPIO_PDOR1_P2                         *((volatile  uint8_t *)(0x42668088UL))
#define bFM3_GPIO_PDOR1_P2                        *((volatile  uint8_t *)(0x42668088UL))
#define bFM_GPIO_PDOR1_P3                         *((volatile  uint8_t *)(0x4266808CUL))
#define bFM3_GPIO_PDOR1_P3                        *((volatile  uint8_t *)(0x4266808CUL))
#define bFM_GPIO_PDOR1_P4                         *((volatile  uint8_t *)(0x42668090UL))
#define bFM3_GPIO_PDOR1_P4                        *((volatile  uint8_t *)(0x42668090UL))
#define bFM_GPIO_PDOR1_P5                         *((volatile  uint8_t *)(0x42668094UL))
#define bFM3_GPIO_PDOR1_P5                        *((volatile  uint8_t *)(0x42668094UL))
#define bFM_GPIO_PDOR1_P6                         *((volatile  uint8_t *)(0x42668098UL))
#define bFM3_GPIO_PDOR1_P6                        *((volatile  uint8_t *)(0x42668098UL))
#define bFM_GPIO_PDOR1_P7                         *((volatile  uint8_t *)(0x4266809CUL))
#define bFM3_GPIO_PDOR1_P7                        *((volatile  uint8_t *)(0x4266809CUL))
#define bFM_GPIO_PDOR1_P8                         *((volatile  uint8_t *)(0x426680A0UL))
#define bFM3_GPIO_PDOR1_P8                        *((volatile  uint8_t *)(0x426680A0UL))
#define bFM_GPIO_PDOR1_P9                         *((volatile  uint8_t *)(0x426680A4UL))
#define bFM3_GPIO_PDOR1_P9                        *((volatile  uint8_t *)(0x426680A4UL))
#define bFM_GPIO_PDOR1_PA                         *((volatile  uint8_t *)(0x426680A8UL))
#define bFM3_GPIO_PDOR1_PA                        *((volatile  uint8_t *)(0x426680A8UL))
#define bFM_GPIO_PDOR1_PB                         *((volatile  uint8_t *)(0x426680ACUL))
#define bFM3_GPIO_PDOR1_PB                        *((volatile  uint8_t *)(0x426680ACUL))
#define bFM_GPIO_PDOR1_PC                         *((volatile  uint8_t *)(0x426680B0UL))
#define bFM3_GPIO_PDOR1_PC                        *((volatile  uint8_t *)(0x426680B0UL))
#define bFM_GPIO_PDOR1_PD                         *((volatile  uint8_t *)(0x426680B4UL))
#define bFM3_GPIO_PDOR1_PD                        *((volatile  uint8_t *)(0x426680B4UL))
#define bFM_GPIO_PDOR1_PE                         *((volatile  uint8_t *)(0x426680B8UL))
#define bFM3_GPIO_PDOR1_PE                        *((volatile  uint8_t *)(0x426680B8UL))
#define bFM_GPIO_PDOR1_PF                         *((volatile  uint8_t *)(0x426680BCUL))
#define bFM3_GPIO_PDOR1_PF                        *((volatile  uint8_t *)(0x426680BCUL))

#define bFM_GPIO_PDOR2_P0                         *((volatile  uint8_t *)(0x42668100UL))
#define bFM3_GPIO_PDOR2_P0                        *((volatile  uint8_t *)(0x42668100UL))
#define bFM_GPIO_PDOR2_P1                         *((volatile  uint8_t *)(0x42668104UL))
#define bFM3_GPIO_PDOR2_P1                        *((volatile  uint8_t *)(0x42668104UL))
#define bFM_GPIO_PDOR2_P2                         *((volatile  uint8_t *)(0x42668108UL))
#define bFM3_GPIO_PDOR2_P2                        *((volatile  uint8_t *)(0x42668108UL))
#define bFM_GPIO_PDOR2_P3                         *((volatile  uint8_t *)(0x4266810CUL))
#define bFM3_GPIO_PDOR2_P3                        *((volatile  uint8_t *)(0x4266810CUL))
#define bFM_GPIO_PDOR2_P4                         *((volatile  uint8_t *)(0x42668110UL))
#define bFM3_GPIO_PDOR2_P4                        *((volatile  uint8_t *)(0x42668110UL))
#define bFM_GPIO_PDOR2_P5                         *((volatile  uint8_t *)(0x42668114UL))
#define bFM3_GPIO_PDOR2_P5                        *((volatile  uint8_t *)(0x42668114UL))
#define bFM_GPIO_PDOR2_P6                         *((volatile  uint8_t *)(0x42668118UL))
#define bFM3_GPIO_PDOR2_P6                        *((volatile  uint8_t *)(0x42668118UL))
#define bFM_GPIO_PDOR2_P7                         *((volatile  uint8_t *)(0x4266811CUL))
#define bFM3_GPIO_PDOR2_P7                        *((volatile  uint8_t *)(0x4266811CUL))
#define bFM_GPIO_PDOR2_P8                         *((volatile  uint8_t *)(0x42668120UL))
#define bFM3_GPIO_PDOR2_P8                        *((volatile  uint8_t *)(0x42668120UL))
#define bFM_GPIO_PDOR2_P9                         *((volatile  uint8_t *)(0x42668124UL))
#define bFM3_GPIO_PDOR2_P9                        *((volatile  uint8_t *)(0x42668124UL))
#define bFM_GPIO_PDOR2_PA                         *((volatile  uint8_t *)(0x42668128UL))
#define bFM3_GPIO_PDOR2_PA                        *((volatile  uint8_t *)(0x42668128UL))
#define bFM_GPIO_PDOR2_PB                         *((volatile  uint8_t *)(0x4266812CUL))
#define bFM3_GPIO_PDOR2_PB                        *((volatile  uint8_t *)(0x4266812CUL))
#define bFM_GPIO_PDOR2_PC                         *((volatile  uint8_t *)(0x42668130UL))
#define bFM3_GPIO_PDOR2_PC                        *((volatile  uint8_t *)(0x42668130UL))
#define bFM_GPIO_PDOR2_PD                         *((volatile  uint8_t *)(0x42668134UL))
#define bFM3_GPIO_PDOR2_PD                        *((volatile  uint8_t *)(0x42668134UL))
#define bFM_GPIO_PDOR2_PE                         *((volatile  uint8_t *)(0x42668138UL))
#define bFM3_GPIO_PDOR2_PE                        *((volatile  uint8_t *)(0x42668138UL))
#define bFM_GPIO_PDOR2_PF                         *((volatile  uint8_t *)(0x4266813CUL))
#define bFM3_GPIO_PDOR2_PF                        *((volatile  uint8_t *)(0x4266813CUL))

#define bFM_GPIO_PDOR3_P0                         *((volatile  uint8_t *)(0x42668180UL))
#define bFM3_GPIO_PDOR3_P0                        *((volatile  uint8_t *)(0x42668180UL))
#define bFM_GPIO_PDOR3_P1                         *((volatile  uint8_t *)(0x42668184UL))
#define bFM3_GPIO_PDOR3_P1                        *((volatile  uint8_t *)(0x42668184UL))
#define bFM_GPIO_PDOR3_P2                         *((volatile  uint8_t *)(0x42668188UL))
#define bFM3_GPIO_PDOR3_P2                        *((volatile  uint8_t *)(0x42668188UL))
#define bFM_GPIO_PDOR3_P3                         *((volatile  uint8_t *)(0x4266818CUL))
#define bFM3_GPIO_PDOR3_P3                        *((volatile  uint8_t *)(0x4266818CUL))
#define bFM_GPIO_PDOR3_P4                         *((volatile  uint8_t *)(0x42668190UL))
#define bFM3_GPIO_PDOR3_P4                        *((volatile  uint8_t *)(0x42668190UL))
#define bFM_GPIO_PDOR3_P5                         *((volatile  uint8_t *)(0x42668194UL))
#define bFM3_GPIO_PDOR3_P5                        *((volatile  uint8_t *)(0x42668194UL))
#define bFM_GPIO_PDOR3_P6                         *((volatile  uint8_t *)(0x42668198UL))
#define bFM3_GPIO_PDOR3_P6                        *((volatile  uint8_t *)(0x42668198UL))
#define bFM_GPIO_PDOR3_P7                         *((volatile  uint8_t *)(0x4266819CUL))
#define bFM3_GPIO_PDOR3_P7                        *((volatile  uint8_t *)(0x4266819CUL))
#define bFM_GPIO_PDOR3_P8                         *((volatile  uint8_t *)(0x426681A0UL))
#define bFM3_GPIO_PDOR3_P8                        *((volatile  uint8_t *)(0x426681A0UL))
#define bFM_GPIO_PDOR3_P9                         *((volatile  uint8_t *)(0x426681A4UL))
#define bFM3_GPIO_PDOR3_P9                        *((volatile  uint8_t *)(0x426681A4UL))
#define bFM_GPIO_PDOR3_PA                         *((volatile  uint8_t *)(0x426681A8UL))
#define bFM3_GPIO_PDOR3_PA                        *((volatile  uint8_t *)(0x426681A8UL))
#define bFM_GPIO_PDOR3_PB                         *((volatile  uint8_t *)(0x426681ACUL))
#define bFM3_GPIO_PDOR3_PB                        *((volatile  uint8_t *)(0x426681ACUL))
#define bFM_GPIO_PDOR3_PC                         *((volatile  uint8_t *)(0x426681B0UL))
#define bFM3_GPIO_PDOR3_PC                        *((volatile  uint8_t *)(0x426681B0UL))
#define bFM_GPIO_PDOR3_PD                         *((volatile  uint8_t *)(0x426681B4UL))
#define bFM3_GPIO_PDOR3_PD                        *((volatile  uint8_t *)(0x426681B4UL))
#define bFM_GPIO_PDOR3_PE                         *((volatile  uint8_t *)(0x426681B8UL))
#define bFM3_GPIO_PDOR3_PE                        *((volatile  uint8_t *)(0x426681B8UL))
#define bFM_GPIO_PDOR3_PF                         *((volatile  uint8_t *)(0x426681BCUL))
#define bFM3_GPIO_PDOR3_PF                        *((volatile  uint8_t *)(0x426681BCUL))

#define bFM_GPIO_PDOR4_P0                         *((volatile  uint8_t *)(0x42668200UL))
#define bFM3_GPIO_PDOR4_P0                        *((volatile  uint8_t *)(0x42668200UL))
#define bFM_GPIO_PDOR4_P1                         *((volatile  uint8_t *)(0x42668204UL))
#define bFM3_GPIO_PDOR4_P1                        *((volatile  uint8_t *)(0x42668204UL))
#define bFM_GPIO_PDOR4_P2                         *((volatile  uint8_t *)(0x42668208UL))
#define bFM3_GPIO_PDOR4_P2                        *((volatile  uint8_t *)(0x42668208UL))
#define bFM_GPIO_PDOR4_P3                         *((volatile  uint8_t *)(0x4266820CUL))
#define bFM3_GPIO_PDOR4_P3                        *((volatile  uint8_t *)(0x4266820CUL))
#define bFM_GPIO_PDOR4_P4                         *((volatile  uint8_t *)(0x42668210UL))
#define bFM3_GPIO_PDOR4_P4                        *((volatile  uint8_t *)(0x42668210UL))
#define bFM_GPIO_PDOR4_P5                         *((volatile  uint8_t *)(0x42668214UL))
#define bFM3_GPIO_PDOR4_P5                        *((volatile  uint8_t *)(0x42668214UL))
#define bFM_GPIO_PDOR4_P6                         *((volatile  uint8_t *)(0x42668218UL))
#define bFM3_GPIO_PDOR4_P6                        *((volatile  uint8_t *)(0x42668218UL))
#define bFM_GPIO_PDOR4_P7                         *((volatile  uint8_t *)(0x4266821CUL))
#define bFM3_GPIO_PDOR4_P7                        *((volatile  uint8_t *)(0x4266821CUL))
#define bFM_GPIO_PDOR4_P8                         *((volatile  uint8_t *)(0x42668220UL))
#define bFM3_GPIO_PDOR4_P8                        *((volatile  uint8_t *)(0x42668220UL))
#define bFM_GPIO_PDOR4_P9                         *((volatile  uint8_t *)(0x42668224UL))
#define bFM3_GPIO_PDOR4_P9                        *((volatile  uint8_t *)(0x42668224UL))
#define bFM_GPIO_PDOR4_PA                         *((volatile  uint8_t *)(0x42668228UL))
#define bFM3_GPIO_PDOR4_PA                        *((volatile  uint8_t *)(0x42668228UL))
#define bFM_GPIO_PDOR4_PB                         *((volatile  uint8_t *)(0x4266822CUL))
#define bFM3_GPIO_PDOR4_PB                        *((volatile  uint8_t *)(0x4266822CUL))
#define bFM_GPIO_PDOR4_PC                         *((volatile  uint8_t *)(0x42668230UL))
#define bFM3_GPIO_PDOR4_PC                        *((volatile  uint8_t *)(0x42668230UL))
#define bFM_GPIO_PDOR4_PD                         *((volatile  uint8_t *)(0x42668234UL))
#define bFM3_GPIO_PDOR4_PD                        *((volatile  uint8_t *)(0x42668234UL))
#define bFM_GPIO_PDOR4_PE                         *((volatile  uint8_t *)(0x42668238UL))
#define bFM3_GPIO_PDOR4_PE                        *((volatile  uint8_t *)(0x42668238UL))
#define bFM_GPIO_PDOR4_PF                         *((volatile  uint8_t *)(0x4266823CUL))
#define bFM3_GPIO_PDOR4_PF                        *((volatile  uint8_t *)(0x4266823CUL))

#define bFM_GPIO_PDOR5_P0                         *((volatile  uint8_t *)(0x42668280UL))
#define bFM3_GPIO_PDOR5_P0                        *((volatile  uint8_t *)(0x42668280UL))
#define bFM_GPIO_PDOR5_P1                         *((volatile  uint8_t *)(0x42668284UL))
#define bFM3_GPIO_PDOR5_P1                        *((volatile  uint8_t *)(0x42668284UL))
#define bFM_GPIO_PDOR5_P2                         *((volatile  uint8_t *)(0x42668288UL))
#define bFM3_GPIO_PDOR5_P2                        *((volatile  uint8_t *)(0x42668288UL))
#define bFM_GPIO_PDOR5_P3                         *((volatile  uint8_t *)(0x4266828CUL))
#define bFM3_GPIO_PDOR5_P3                        *((volatile  uint8_t *)(0x4266828CUL))
#define bFM_GPIO_PDOR5_P4                         *((volatile  uint8_t *)(0x42668290UL))
#define bFM3_GPIO_PDOR5_P4                        *((volatile  uint8_t *)(0x42668290UL))
#define bFM_GPIO_PDOR5_P5                         *((volatile  uint8_t *)(0x42668294UL))
#define bFM3_GPIO_PDOR5_P5                        *((volatile  uint8_t *)(0x42668294UL))
#define bFM_GPIO_PDOR5_P6                         *((volatile  uint8_t *)(0x42668298UL))
#define bFM3_GPIO_PDOR5_P6                        *((volatile  uint8_t *)(0x42668298UL))
#define bFM_GPIO_PDOR5_P7                         *((volatile  uint8_t *)(0x4266829CUL))
#define bFM3_GPIO_PDOR5_P7                        *((volatile  uint8_t *)(0x4266829CUL))
#define bFM_GPIO_PDOR5_P8                         *((volatile  uint8_t *)(0x426682A0UL))
#define bFM3_GPIO_PDOR5_P8                        *((volatile  uint8_t *)(0x426682A0UL))
#define bFM_GPIO_PDOR5_P9                         *((volatile  uint8_t *)(0x426682A4UL))
#define bFM3_GPIO_PDOR5_P9                        *((volatile  uint8_t *)(0x426682A4UL))
#define bFM_GPIO_PDOR5_PA                         *((volatile  uint8_t *)(0x426682A8UL))
#define bFM3_GPIO_PDOR5_PA                        *((volatile  uint8_t *)(0x426682A8UL))
#define bFM_GPIO_PDOR5_PB                         *((volatile  uint8_t *)(0x426682ACUL))
#define bFM3_GPIO_PDOR5_PB                        *((volatile  uint8_t *)(0x426682ACUL))
#define bFM_GPIO_PDOR5_PC                         *((volatile  uint8_t *)(0x426682B0UL))
#define bFM3_GPIO_PDOR5_PC                        *((volatile  uint8_t *)(0x426682B0UL))
#define bFM_GPIO_PDOR5_PD                         *((volatile  uint8_t *)(0x426682B4UL))
#define bFM3_GPIO_PDOR5_PD                        *((volatile  uint8_t *)(0x426682B4UL))
#define bFM_GPIO_PDOR5_PE                         *((volatile  uint8_t *)(0x426682B8UL))
#define bFM3_GPIO_PDOR5_PE                        *((volatile  uint8_t *)(0x426682B8UL))
#define bFM_GPIO_PDOR5_PF                         *((volatile  uint8_t *)(0x426682BCUL))
#define bFM3_GPIO_PDOR5_PF                        *((volatile  uint8_t *)(0x426682BCUL))

#define bFM_GPIO_PDOR6_P0                         *((volatile  uint8_t *)(0x42668300UL))
#define bFM3_GPIO_PDOR6_P0                        *((volatile  uint8_t *)(0x42668300UL))
#define bFM_GPIO_PDOR6_P1                         *((volatile  uint8_t *)(0x42668304UL))
#define bFM3_GPIO_PDOR6_P1                        *((volatile  uint8_t *)(0x42668304UL))
#define bFM_GPIO_PDOR6_P2                         *((volatile  uint8_t *)(0x42668308UL))
#define bFM3_GPIO_PDOR6_P2                        *((volatile  uint8_t *)(0x42668308UL))
#define bFM_GPIO_PDOR6_P3                         *((volatile  uint8_t *)(0x4266830CUL))
#define bFM3_GPIO_PDOR6_P3                        *((volatile  uint8_t *)(0x4266830CUL))
#define bFM_GPIO_PDOR6_P4                         *((volatile  uint8_t *)(0x42668310UL))
#define bFM3_GPIO_PDOR6_P4                        *((volatile  uint8_t *)(0x42668310UL))
#define bFM_GPIO_PDOR6_P5                         *((volatile  uint8_t *)(0x42668314UL))
#define bFM3_GPIO_PDOR6_P5                        *((volatile  uint8_t *)(0x42668314UL))
#define bFM_GPIO_PDOR6_P6                         *((volatile  uint8_t *)(0x42668318UL))
#define bFM3_GPIO_PDOR6_P6                        *((volatile  uint8_t *)(0x42668318UL))
#define bFM_GPIO_PDOR6_P7                         *((volatile  uint8_t *)(0x4266831CUL))
#define bFM3_GPIO_PDOR6_P7                        *((volatile  uint8_t *)(0x4266831CUL))
#define bFM_GPIO_PDOR6_P8                         *((volatile  uint8_t *)(0x42668320UL))
#define bFM3_GPIO_PDOR6_P8                        *((volatile  uint8_t *)(0x42668320UL))
#define bFM_GPIO_PDOR6_P9                         *((volatile  uint8_t *)(0x42668324UL))
#define bFM3_GPIO_PDOR6_P9                        *((volatile  uint8_t *)(0x42668324UL))
#define bFM_GPIO_PDOR6_PA                         *((volatile  uint8_t *)(0x42668328UL))
#define bFM3_GPIO_PDOR6_PA                        *((volatile  uint8_t *)(0x42668328UL))
#define bFM_GPIO_PDOR6_PB                         *((volatile  uint8_t *)(0x4266832CUL))
#define bFM3_GPIO_PDOR6_PB                        *((volatile  uint8_t *)(0x4266832CUL))
#define bFM_GPIO_PDOR6_PC                         *((volatile  uint8_t *)(0x42668330UL))
#define bFM3_GPIO_PDOR6_PC                        *((volatile  uint8_t *)(0x42668330UL))
#define bFM_GPIO_PDOR6_PD                         *((volatile  uint8_t *)(0x42668334UL))
#define bFM3_GPIO_PDOR6_PD                        *((volatile  uint8_t *)(0x42668334UL))
#define bFM_GPIO_PDOR6_PE                         *((volatile  uint8_t *)(0x42668338UL))
#define bFM3_GPIO_PDOR6_PE                        *((volatile  uint8_t *)(0x42668338UL))
#define bFM_GPIO_PDOR6_PF                         *((volatile  uint8_t *)(0x4266833CUL))
#define bFM3_GPIO_PDOR6_PF                        *((volatile  uint8_t *)(0x4266833CUL))

#define bFM_GPIO_PDOR7_P0                         *((volatile  uint8_t *)(0x42668380UL))
#define bFM3_GPIO_PDOR7_P0                        *((volatile  uint8_t *)(0x42668380UL))
#define bFM_GPIO_PDOR7_P1                         *((volatile  uint8_t *)(0x42668384UL))
#define bFM3_GPIO_PDOR7_P1                        *((volatile  uint8_t *)(0x42668384UL))
#define bFM_GPIO_PDOR7_P2                         *((volatile  uint8_t *)(0x42668388UL))
#define bFM3_GPIO_PDOR7_P2                        *((volatile  uint8_t *)(0x42668388UL))
#define bFM_GPIO_PDOR7_P3                         *((volatile  uint8_t *)(0x4266838CUL))
#define bFM3_GPIO_PDOR7_P3                        *((volatile  uint8_t *)(0x4266838CUL))
#define bFM_GPIO_PDOR7_P4                         *((volatile  uint8_t *)(0x42668390UL))
#define bFM3_GPIO_PDOR7_P4                        *((volatile  uint8_t *)(0x42668390UL))
#define bFM_GPIO_PDOR7_P5                         *((volatile  uint8_t *)(0x42668394UL))
#define bFM3_GPIO_PDOR7_P5                        *((volatile  uint8_t *)(0x42668394UL))
#define bFM_GPIO_PDOR7_P6                         *((volatile  uint8_t *)(0x42668398UL))
#define bFM3_GPIO_PDOR7_P6                        *((volatile  uint8_t *)(0x42668398UL))
#define bFM_GPIO_PDOR7_P7                         *((volatile  uint8_t *)(0x4266839CUL))
#define bFM3_GPIO_PDOR7_P7                        *((volatile  uint8_t *)(0x4266839CUL))
#define bFM_GPIO_PDOR7_P8                         *((volatile  uint8_t *)(0x426683A0UL))
#define bFM3_GPIO_PDOR7_P8                        *((volatile  uint8_t *)(0x426683A0UL))
#define bFM_GPIO_PDOR7_P9                         *((volatile  uint8_t *)(0x426683A4UL))
#define bFM3_GPIO_PDOR7_P9                        *((volatile  uint8_t *)(0x426683A4UL))
#define bFM_GPIO_PDOR7_PA                         *((volatile  uint8_t *)(0x426683A8UL))
#define bFM3_GPIO_PDOR7_PA                        *((volatile  uint8_t *)(0x426683A8UL))
#define bFM_GPIO_PDOR7_PB                         *((volatile  uint8_t *)(0x426683ACUL))
#define bFM3_GPIO_PDOR7_PB                        *((volatile  uint8_t *)(0x426683ACUL))
#define bFM_GPIO_PDOR7_PC                         *((volatile  uint8_t *)(0x426683B0UL))
#define bFM3_GPIO_PDOR7_PC                        *((volatile  uint8_t *)(0x426683B0UL))
#define bFM_GPIO_PDOR7_PD                         *((volatile  uint8_t *)(0x426683B4UL))
#define bFM3_GPIO_PDOR7_PD                        *((volatile  uint8_t *)(0x426683B4UL))
#define bFM_GPIO_PDOR7_PE                         *((volatile  uint8_t *)(0x426683B8UL))
#define bFM3_GPIO_PDOR7_PE                        *((volatile  uint8_t *)(0x426683B8UL))
#define bFM_GPIO_PDOR7_PF                         *((volatile  uint8_t *)(0x426683BCUL))
#define bFM3_GPIO_PDOR7_PF                        *((volatile  uint8_t *)(0x426683BCUL))

#define bFM_GPIO_PDOR8_P0                         *((volatile  uint8_t *)(0x42668400UL))
#define bFM3_GPIO_PDOR8_P0                        *((volatile  uint8_t *)(0x42668400UL))
#define bFM_GPIO_PDOR8_P1                         *((volatile  uint8_t *)(0x42668404UL))
#define bFM3_GPIO_PDOR8_P1                        *((volatile  uint8_t *)(0x42668404UL))
#define bFM_GPIO_PDOR8_P2                         *((volatile  uint8_t *)(0x42668408UL))
#define bFM3_GPIO_PDOR8_P2                        *((volatile  uint8_t *)(0x42668408UL))
#define bFM_GPIO_PDOR8_P3                         *((volatile  uint8_t *)(0x4266840CUL))
#define bFM3_GPIO_PDOR8_P3                        *((volatile  uint8_t *)(0x4266840CUL))
#define bFM_GPIO_PDOR8_P4                         *((volatile  uint8_t *)(0x42668410UL))
#define bFM3_GPIO_PDOR8_P4                        *((volatile  uint8_t *)(0x42668410UL))
#define bFM_GPIO_PDOR8_P5                         *((volatile  uint8_t *)(0x42668414UL))
#define bFM3_GPIO_PDOR8_P5                        *((volatile  uint8_t *)(0x42668414UL))
#define bFM_GPIO_PDOR8_P6                         *((volatile  uint8_t *)(0x42668418UL))
#define bFM3_GPIO_PDOR8_P6                        *((volatile  uint8_t *)(0x42668418UL))
#define bFM_GPIO_PDOR8_P7                         *((volatile  uint8_t *)(0x4266841CUL))
#define bFM3_GPIO_PDOR8_P7                        *((volatile  uint8_t *)(0x4266841CUL))
#define bFM_GPIO_PDOR8_P8                         *((volatile  uint8_t *)(0x42668420UL))
#define bFM3_GPIO_PDOR8_P8                        *((volatile  uint8_t *)(0x42668420UL))
#define bFM_GPIO_PDOR8_P9                         *((volatile  uint8_t *)(0x42668424UL))
#define bFM3_GPIO_PDOR8_P9                        *((volatile  uint8_t *)(0x42668424UL))
#define bFM_GPIO_PDOR8_PA                         *((volatile  uint8_t *)(0x42668428UL))
#define bFM3_GPIO_PDOR8_PA                        *((volatile  uint8_t *)(0x42668428UL))
#define bFM_GPIO_PDOR8_PB                         *((volatile  uint8_t *)(0x4266842CUL))
#define bFM3_GPIO_PDOR8_PB                        *((volatile  uint8_t *)(0x4266842CUL))
#define bFM_GPIO_PDOR8_PC                         *((volatile  uint8_t *)(0x42668430UL))
#define bFM3_GPIO_PDOR8_PC                        *((volatile  uint8_t *)(0x42668430UL))
#define bFM_GPIO_PDOR8_PD                         *((volatile  uint8_t *)(0x42668434UL))
#define bFM3_GPIO_PDOR8_PD                        *((volatile  uint8_t *)(0x42668434UL))
#define bFM_GPIO_PDOR8_PE                         *((volatile  uint8_t *)(0x42668438UL))
#define bFM3_GPIO_PDOR8_PE                        *((volatile  uint8_t *)(0x42668438UL))
#define bFM_GPIO_PDOR8_PF                         *((volatile  uint8_t *)(0x4266843CUL))
#define bFM3_GPIO_PDOR8_PF                        *((volatile  uint8_t *)(0x4266843CUL))

#define bFM_GPIO_PDOR9_P0                         *((volatile  uint8_t *)(0x42668480UL))
#define bFM3_GPIO_PDOR9_P0                        *((volatile  uint8_t *)(0x42668480UL))
#define bFM_GPIO_PDOR9_P1                         *((volatile  uint8_t *)(0x42668484UL))
#define bFM3_GPIO_PDOR9_P1                        *((volatile  uint8_t *)(0x42668484UL))
#define bFM_GPIO_PDOR9_P2                         *((volatile  uint8_t *)(0x42668488UL))
#define bFM3_GPIO_PDOR9_P2                        *((volatile  uint8_t *)(0x42668488UL))
#define bFM_GPIO_PDOR9_P3                         *((volatile  uint8_t *)(0x4266848CUL))
#define bFM3_GPIO_PDOR9_P3                        *((volatile  uint8_t *)(0x4266848CUL))
#define bFM_GPIO_PDOR9_P4                         *((volatile  uint8_t *)(0x42668490UL))
#define bFM3_GPIO_PDOR9_P4                        *((volatile  uint8_t *)(0x42668490UL))
#define bFM_GPIO_PDOR9_P5                         *((volatile  uint8_t *)(0x42668494UL))
#define bFM3_GPIO_PDOR9_P5                        *((volatile  uint8_t *)(0x42668494UL))
#define bFM_GPIO_PDOR9_P6                         *((volatile  uint8_t *)(0x42668498UL))
#define bFM3_GPIO_PDOR9_P6                        *((volatile  uint8_t *)(0x42668498UL))
#define bFM_GPIO_PDOR9_P7                         *((volatile  uint8_t *)(0x4266849CUL))
#define bFM3_GPIO_PDOR9_P7                        *((volatile  uint8_t *)(0x4266849CUL))
#define bFM_GPIO_PDOR9_P8                         *((volatile  uint8_t *)(0x426684A0UL))
#define bFM3_GPIO_PDOR9_P8                        *((volatile  uint8_t *)(0x426684A0UL))
#define bFM_GPIO_PDOR9_P9                         *((volatile  uint8_t *)(0x426684A4UL))
#define bFM3_GPIO_PDOR9_P9                        *((volatile  uint8_t *)(0x426684A4UL))
#define bFM_GPIO_PDOR9_PA                         *((volatile  uint8_t *)(0x426684A8UL))
#define bFM3_GPIO_PDOR9_PA                        *((volatile  uint8_t *)(0x426684A8UL))
#define bFM_GPIO_PDOR9_PB                         *((volatile  uint8_t *)(0x426684ACUL))
#define bFM3_GPIO_PDOR9_PB                        *((volatile  uint8_t *)(0x426684ACUL))
#define bFM_GPIO_PDOR9_PC                         *((volatile  uint8_t *)(0x426684B0UL))
#define bFM3_GPIO_PDOR9_PC                        *((volatile  uint8_t *)(0x426684B0UL))
#define bFM_GPIO_PDOR9_PD                         *((volatile  uint8_t *)(0x426684B4UL))
#define bFM3_GPIO_PDOR9_PD                        *((volatile  uint8_t *)(0x426684B4UL))
#define bFM_GPIO_PDOR9_PE                         *((volatile  uint8_t *)(0x426684B8UL))
#define bFM3_GPIO_PDOR9_PE                        *((volatile  uint8_t *)(0x426684B8UL))
#define bFM_GPIO_PDOR9_PF                         *((volatile  uint8_t *)(0x426684BCUL))
#define bFM3_GPIO_PDOR9_PF                        *((volatile  uint8_t *)(0x426684BCUL))

#define bFM_GPIO_PDORA_P0                         *((volatile  uint8_t *)(0x42668500UL))
#define bFM3_GPIO_PDORA_P0                        *((volatile  uint8_t *)(0x42668500UL))
#define bFM_GPIO_PDORA_P1                         *((volatile  uint8_t *)(0x42668504UL))
#define bFM3_GPIO_PDORA_P1                        *((volatile  uint8_t *)(0x42668504UL))
#define bFM_GPIO_PDORA_P2                         *((volatile  uint8_t *)(0x42668508UL))
#define bFM3_GPIO_PDORA_P2                        *((volatile  uint8_t *)(0x42668508UL))
#define bFM_GPIO_PDORA_P3                         *((volatile  uint8_t *)(0x4266850CUL))
#define bFM3_GPIO_PDORA_P3                        *((volatile  uint8_t *)(0x4266850CUL))
#define bFM_GPIO_PDORA_P4                         *((volatile  uint8_t *)(0x42668510UL))
#define bFM3_GPIO_PDORA_P4                        *((volatile  uint8_t *)(0x42668510UL))
#define bFM_GPIO_PDORA_P5                         *((volatile  uint8_t *)(0x42668514UL))
#define bFM3_GPIO_PDORA_P5                        *((volatile  uint8_t *)(0x42668514UL))
#define bFM_GPIO_PDORA_P6                         *((volatile  uint8_t *)(0x42668518UL))
#define bFM3_GPIO_PDORA_P6                        *((volatile  uint8_t *)(0x42668518UL))
#define bFM_GPIO_PDORA_P7                         *((volatile  uint8_t *)(0x4266851CUL))
#define bFM3_GPIO_PDORA_P7                        *((volatile  uint8_t *)(0x4266851CUL))
#define bFM_GPIO_PDORA_P8                         *((volatile  uint8_t *)(0x42668520UL))
#define bFM3_GPIO_PDORA_P8                        *((volatile  uint8_t *)(0x42668520UL))
#define bFM_GPIO_PDORA_P9                         *((volatile  uint8_t *)(0x42668524UL))
#define bFM3_GPIO_PDORA_P9                        *((volatile  uint8_t *)(0x42668524UL))
#define bFM_GPIO_PDORA_PA                         *((volatile  uint8_t *)(0x42668528UL))
#define bFM3_GPIO_PDORA_PA                        *((volatile  uint8_t *)(0x42668528UL))
#define bFM_GPIO_PDORA_PB                         *((volatile  uint8_t *)(0x4266852CUL))
#define bFM3_GPIO_PDORA_PB                        *((volatile  uint8_t *)(0x4266852CUL))
#define bFM_GPIO_PDORA_PC                         *((volatile  uint8_t *)(0x42668530UL))
#define bFM3_GPIO_PDORA_PC                        *((volatile  uint8_t *)(0x42668530UL))
#define bFM_GPIO_PDORA_PD                         *((volatile  uint8_t *)(0x42668534UL))
#define bFM3_GPIO_PDORA_PD                        *((volatile  uint8_t *)(0x42668534UL))
#define bFM_GPIO_PDORA_PE                         *((volatile  uint8_t *)(0x42668538UL))
#define bFM3_GPIO_PDORA_PE                        *((volatile  uint8_t *)(0x42668538UL))
#define bFM_GPIO_PDORA_PF                         *((volatile  uint8_t *)(0x4266853CUL))
#define bFM3_GPIO_PDORA_PF                        *((volatile  uint8_t *)(0x4266853CUL))

#define bFM_GPIO_PDORB_P0                         *((volatile  uint8_t *)(0x42668580UL))
#define bFM3_GPIO_PDORB_P0                        *((volatile  uint8_t *)(0x42668580UL))
#define bFM_GPIO_PDORB_P1                         *((volatile  uint8_t *)(0x42668584UL))
#define bFM3_GPIO_PDORB_P1                        *((volatile  uint8_t *)(0x42668584UL))
#define bFM_GPIO_PDORB_P2                         *((volatile  uint8_t *)(0x42668588UL))
#define bFM3_GPIO_PDORB_P2                        *((volatile  uint8_t *)(0x42668588UL))
#define bFM_GPIO_PDORB_P3                         *((volatile  uint8_t *)(0x4266858CUL))
#define bFM3_GPIO_PDORB_P3                        *((volatile  uint8_t *)(0x4266858CUL))
#define bFM_GPIO_PDORB_P4                         *((volatile  uint8_t *)(0x42668590UL))
#define bFM3_GPIO_PDORB_P4                        *((volatile  uint8_t *)(0x42668590UL))
#define bFM_GPIO_PDORB_P5                         *((volatile  uint8_t *)(0x42668594UL))
#define bFM3_GPIO_PDORB_P5                        *((volatile  uint8_t *)(0x42668594UL))
#define bFM_GPIO_PDORB_P6                         *((volatile  uint8_t *)(0x42668598UL))
#define bFM3_GPIO_PDORB_P6                        *((volatile  uint8_t *)(0x42668598UL))
#define bFM_GPIO_PDORB_P7                         *((volatile  uint8_t *)(0x4266859CUL))
#define bFM3_GPIO_PDORB_P7                        *((volatile  uint8_t *)(0x4266859CUL))
#define bFM_GPIO_PDORB_P8                         *((volatile  uint8_t *)(0x426685A0UL))
#define bFM3_GPIO_PDORB_P8                        *((volatile  uint8_t *)(0x426685A0UL))
#define bFM_GPIO_PDORB_P9                         *((volatile  uint8_t *)(0x426685A4UL))
#define bFM3_GPIO_PDORB_P9                        *((volatile  uint8_t *)(0x426685A4UL))
#define bFM_GPIO_PDORB_PA                         *((volatile  uint8_t *)(0x426685A8UL))
#define bFM3_GPIO_PDORB_PA                        *((volatile  uint8_t *)(0x426685A8UL))
#define bFM_GPIO_PDORB_PB                         *((volatile  uint8_t *)(0x426685ACUL))
#define bFM3_GPIO_PDORB_PB                        *((volatile  uint8_t *)(0x426685ACUL))
#define bFM_GPIO_PDORB_PC                         *((volatile  uint8_t *)(0x426685B0UL))
#define bFM3_GPIO_PDORB_PC                        *((volatile  uint8_t *)(0x426685B0UL))
#define bFM_GPIO_PDORB_PD                         *((volatile  uint8_t *)(0x426685B4UL))
#define bFM3_GPIO_PDORB_PD                        *((volatile  uint8_t *)(0x426685B4UL))
#define bFM_GPIO_PDORB_PE                         *((volatile  uint8_t *)(0x426685B8UL))
#define bFM3_GPIO_PDORB_PE                        *((volatile  uint8_t *)(0x426685B8UL))
#define bFM_GPIO_PDORB_PF                         *((volatile  uint8_t *)(0x426685BCUL))
#define bFM3_GPIO_PDORB_PF                        *((volatile  uint8_t *)(0x426685BCUL))

#define bFM_GPIO_PDORC_P0                         *((volatile  uint8_t *)(0x42668600UL))
#define bFM3_GPIO_PDORC_P0                        *((volatile  uint8_t *)(0x42668600UL))
#define bFM_GPIO_PDORC_P1                         *((volatile  uint8_t *)(0x42668604UL))
#define bFM3_GPIO_PDORC_P1                        *((volatile  uint8_t *)(0x42668604UL))
#define bFM_GPIO_PDORC_P2                         *((volatile  uint8_t *)(0x42668608UL))
#define bFM3_GPIO_PDORC_P2                        *((volatile  uint8_t *)(0x42668608UL))
#define bFM_GPIO_PDORC_P3                         *((volatile  uint8_t *)(0x4266860CUL))
#define bFM3_GPIO_PDORC_P3                        *((volatile  uint8_t *)(0x4266860CUL))
#define bFM_GPIO_PDORC_P4                         *((volatile  uint8_t *)(0x42668610UL))
#define bFM3_GPIO_PDORC_P4                        *((volatile  uint8_t *)(0x42668610UL))
#define bFM_GPIO_PDORC_P5                         *((volatile  uint8_t *)(0x42668614UL))
#define bFM3_GPIO_PDORC_P5                        *((volatile  uint8_t *)(0x42668614UL))
#define bFM_GPIO_PDORC_P6                         *((volatile  uint8_t *)(0x42668618UL))
#define bFM3_GPIO_PDORC_P6                        *((volatile  uint8_t *)(0x42668618UL))
#define bFM_GPIO_PDORC_P7                         *((volatile  uint8_t *)(0x4266861CUL))
#define bFM3_GPIO_PDORC_P7                        *((volatile  uint8_t *)(0x4266861CUL))
#define bFM_GPIO_PDORC_P8                         *((volatile  uint8_t *)(0x42668620UL))
#define bFM3_GPIO_PDORC_P8                        *((volatile  uint8_t *)(0x42668620UL))
#define bFM_GPIO_PDORC_P9                         *((volatile  uint8_t *)(0x42668624UL))
#define bFM3_GPIO_PDORC_P9                        *((volatile  uint8_t *)(0x42668624UL))
#define bFM_GPIO_PDORC_PA                         *((volatile  uint8_t *)(0x42668628UL))
#define bFM3_GPIO_PDORC_PA                        *((volatile  uint8_t *)(0x42668628UL))
#define bFM_GPIO_PDORC_PB                         *((volatile  uint8_t *)(0x4266862CUL))
#define bFM3_GPIO_PDORC_PB                        *((volatile  uint8_t *)(0x4266862CUL))
#define bFM_GPIO_PDORC_PC                         *((volatile  uint8_t *)(0x42668630UL))
#define bFM3_GPIO_PDORC_PC                        *((volatile  uint8_t *)(0x42668630UL))
#define bFM_GPIO_PDORC_PD                         *((volatile  uint8_t *)(0x42668634UL))
#define bFM3_GPIO_PDORC_PD                        *((volatile  uint8_t *)(0x42668634UL))
#define bFM_GPIO_PDORC_PE                         *((volatile  uint8_t *)(0x42668638UL))
#define bFM3_GPIO_PDORC_PE                        *((volatile  uint8_t *)(0x42668638UL))
#define bFM_GPIO_PDORC_PF                         *((volatile  uint8_t *)(0x4266863CUL))
#define bFM3_GPIO_PDORC_PF                        *((volatile  uint8_t *)(0x4266863CUL))

#define bFM_GPIO_PDORD_P0                         *((volatile  uint8_t *)(0x42668680UL))
#define bFM3_GPIO_PDORD_P0                        *((volatile  uint8_t *)(0x42668680UL))
#define bFM_GPIO_PDORD_P1                         *((volatile  uint8_t *)(0x42668684UL))
#define bFM3_GPIO_PDORD_P1                        *((volatile  uint8_t *)(0x42668684UL))
#define bFM_GPIO_PDORD_P2                         *((volatile  uint8_t *)(0x42668688UL))
#define bFM3_GPIO_PDORD_P2                        *((volatile  uint8_t *)(0x42668688UL))
#define bFM_GPIO_PDORD_P3                         *((volatile  uint8_t *)(0x4266868CUL))
#define bFM3_GPIO_PDORD_P3                        *((volatile  uint8_t *)(0x4266868CUL))
#define bFM_GPIO_PDORD_P4                         *((volatile  uint8_t *)(0x42668690UL))
#define bFM3_GPIO_PDORD_P4                        *((volatile  uint8_t *)(0x42668690UL))
#define bFM_GPIO_PDORD_P5                         *((volatile  uint8_t *)(0x42668694UL))
#define bFM3_GPIO_PDORD_P5                        *((volatile  uint8_t *)(0x42668694UL))
#define bFM_GPIO_PDORD_P6                         *((volatile  uint8_t *)(0x42668698UL))
#define bFM3_GPIO_PDORD_P6                        *((volatile  uint8_t *)(0x42668698UL))
#define bFM_GPIO_PDORD_P7                         *((volatile  uint8_t *)(0x4266869CUL))
#define bFM3_GPIO_PDORD_P7                        *((volatile  uint8_t *)(0x4266869CUL))
#define bFM_GPIO_PDORD_P8                         *((volatile  uint8_t *)(0x426686A0UL))
#define bFM3_GPIO_PDORD_P8                        *((volatile  uint8_t *)(0x426686A0UL))
#define bFM_GPIO_PDORD_P9                         *((volatile  uint8_t *)(0x426686A4UL))
#define bFM3_GPIO_PDORD_P9                        *((volatile  uint8_t *)(0x426686A4UL))
#define bFM_GPIO_PDORD_PA                         *((volatile  uint8_t *)(0x426686A8UL))
#define bFM3_GPIO_PDORD_PA                        *((volatile  uint8_t *)(0x426686A8UL))
#define bFM_GPIO_PDORD_PB                         *((volatile  uint8_t *)(0x426686ACUL))
#define bFM3_GPIO_PDORD_PB                        *((volatile  uint8_t *)(0x426686ACUL))
#define bFM_GPIO_PDORD_PC                         *((volatile  uint8_t *)(0x426686B0UL))
#define bFM3_GPIO_PDORD_PC                        *((volatile  uint8_t *)(0x426686B0UL))
#define bFM_GPIO_PDORD_PD                         *((volatile  uint8_t *)(0x426686B4UL))
#define bFM3_GPIO_PDORD_PD                        *((volatile  uint8_t *)(0x426686B4UL))
#define bFM_GPIO_PDORD_PE                         *((volatile  uint8_t *)(0x426686B8UL))
#define bFM3_GPIO_PDORD_PE                        *((volatile  uint8_t *)(0x426686B8UL))
#define bFM_GPIO_PDORD_PF                         *((volatile  uint8_t *)(0x426686BCUL))
#define bFM3_GPIO_PDORD_PF                        *((volatile  uint8_t *)(0x426686BCUL))

#define bFM_GPIO_PDORE_P0                         *((volatile  uint8_t *)(0x42668700UL))
#define bFM3_GPIO_PDORE_P0                        *((volatile  uint8_t *)(0x42668700UL))
#define bFM_GPIO_PDORE_P1                         *((volatile  uint8_t *)(0x42668704UL))
#define bFM3_GPIO_PDORE_P1                        *((volatile  uint8_t *)(0x42668704UL))
#define bFM_GPIO_PDORE_P2                         *((volatile  uint8_t *)(0x42668708UL))
#define bFM3_GPIO_PDORE_P2                        *((volatile  uint8_t *)(0x42668708UL))
#define bFM_GPIO_PDORE_P3                         *((volatile  uint8_t *)(0x4266870CUL))
#define bFM3_GPIO_PDORE_P3                        *((volatile  uint8_t *)(0x4266870CUL))
#define bFM_GPIO_PDORE_P4                         *((volatile  uint8_t *)(0x42668710UL))
#define bFM3_GPIO_PDORE_P4                        *((volatile  uint8_t *)(0x42668710UL))
#define bFM_GPIO_PDORE_P5                         *((volatile  uint8_t *)(0x42668714UL))
#define bFM3_GPIO_PDORE_P5                        *((volatile  uint8_t *)(0x42668714UL))
#define bFM_GPIO_PDORE_P6                         *((volatile  uint8_t *)(0x42668718UL))
#define bFM3_GPIO_PDORE_P6                        *((volatile  uint8_t *)(0x42668718UL))
#define bFM_GPIO_PDORE_P7                         *((volatile  uint8_t *)(0x4266871CUL))
#define bFM3_GPIO_PDORE_P7                        *((volatile  uint8_t *)(0x4266871CUL))
#define bFM_GPIO_PDORE_P8                         *((volatile  uint8_t *)(0x42668720UL))
#define bFM3_GPIO_PDORE_P8                        *((volatile  uint8_t *)(0x42668720UL))
#define bFM_GPIO_PDORE_P9                         *((volatile  uint8_t *)(0x42668724UL))
#define bFM3_GPIO_PDORE_P9                        *((volatile  uint8_t *)(0x42668724UL))
#define bFM_GPIO_PDORE_PA                         *((volatile  uint8_t *)(0x42668728UL))
#define bFM3_GPIO_PDORE_PA                        *((volatile  uint8_t *)(0x42668728UL))
#define bFM_GPIO_PDORE_PB                         *((volatile  uint8_t *)(0x4266872CUL))
#define bFM3_GPIO_PDORE_PB                        *((volatile  uint8_t *)(0x4266872CUL))
#define bFM_GPIO_PDORE_PC                         *((volatile  uint8_t *)(0x42668730UL))
#define bFM3_GPIO_PDORE_PC                        *((volatile  uint8_t *)(0x42668730UL))
#define bFM_GPIO_PDORE_PD                         *((volatile  uint8_t *)(0x42668734UL))
#define bFM3_GPIO_PDORE_PD                        *((volatile  uint8_t *)(0x42668734UL))
#define bFM_GPIO_PDORE_PE                         *((volatile  uint8_t *)(0x42668738UL))
#define bFM3_GPIO_PDORE_PE                        *((volatile  uint8_t *)(0x42668738UL))
#define bFM_GPIO_PDORE_PF                         *((volatile  uint8_t *)(0x4266873CUL))
#define bFM3_GPIO_PDORE_PF                        *((volatile  uint8_t *)(0x4266873CUL))

#define bFM_GPIO_PDORF_P0                         *((volatile  uint8_t *)(0x42668780UL))
#define bFM3_GPIO_PDORF_P0                        *((volatile  uint8_t *)(0x42668780UL))
#define bFM_GPIO_PDORF_P1                         *((volatile  uint8_t *)(0x42668784UL))
#define bFM3_GPIO_PDORF_P1                        *((volatile  uint8_t *)(0x42668784UL))
#define bFM_GPIO_PDORF_P2                         *((volatile  uint8_t *)(0x42668788UL))
#define bFM3_GPIO_PDORF_P2                        *((volatile  uint8_t *)(0x42668788UL))
#define bFM_GPIO_PDORF_P3                         *((volatile  uint8_t *)(0x4266878CUL))
#define bFM3_GPIO_PDORF_P3                        *((volatile  uint8_t *)(0x4266878CUL))
#define bFM_GPIO_PDORF_P4                         *((volatile  uint8_t *)(0x42668790UL))
#define bFM3_GPIO_PDORF_P4                        *((volatile  uint8_t *)(0x42668790UL))
#define bFM_GPIO_PDORF_P5                         *((volatile  uint8_t *)(0x42668794UL))
#define bFM3_GPIO_PDORF_P5                        *((volatile  uint8_t *)(0x42668794UL))
#define bFM_GPIO_PDORF_P6                         *((volatile  uint8_t *)(0x42668798UL))
#define bFM3_GPIO_PDORF_P6                        *((volatile  uint8_t *)(0x42668798UL))
#define bFM_GPIO_PDORF_P7                         *((volatile  uint8_t *)(0x4266879CUL))
#define bFM3_GPIO_PDORF_P7                        *((volatile  uint8_t *)(0x4266879CUL))
#define bFM_GPIO_PDORF_P8                         *((volatile  uint8_t *)(0x426687A0UL))
#define bFM3_GPIO_PDORF_P8                        *((volatile  uint8_t *)(0x426687A0UL))
#define bFM_GPIO_PDORF_P9                         *((volatile  uint8_t *)(0x426687A4UL))
#define bFM3_GPIO_PDORF_P9                        *((volatile  uint8_t *)(0x426687A4UL))
#define bFM_GPIO_PDORF_PA                         *((volatile  uint8_t *)(0x426687A8UL))
#define bFM3_GPIO_PDORF_PA                        *((volatile  uint8_t *)(0x426687A8UL))
#define bFM_GPIO_PDORF_PB                         *((volatile  uint8_t *)(0x426687ACUL))
#define bFM3_GPIO_PDORF_PB                        *((volatile  uint8_t *)(0x426687ACUL))
#define bFM_GPIO_PDORF_PC                         *((volatile  uint8_t *)(0x426687B0UL))
#define bFM3_GPIO_PDORF_PC                        *((volatile  uint8_t *)(0x426687B0UL))
#define bFM_GPIO_PDORF_PD                         *((volatile  uint8_t *)(0x426687B4UL))
#define bFM3_GPIO_PDORF_PD                        *((volatile  uint8_t *)(0x426687B4UL))
#define bFM_GPIO_PDORF_PE                         *((volatile  uint8_t *)(0x426687B8UL))
#define bFM3_GPIO_PDORF_PE                        *((volatile  uint8_t *)(0x426687B8UL))
#define bFM_GPIO_PDORF_PF                         *((volatile  uint8_t *)(0x426687BCUL))
#define bFM3_GPIO_PDORF_PF                        *((volatile  uint8_t *)(0x426687BCUL))

#define bFM_GPIO_PFR0_P0                          *((volatile  uint8_t *)(0x42660000UL))
#define bFM3_GPIO_PFR0_P0                         *((volatile  uint8_t *)(0x42660000UL))
#define bFM_GPIO_PFR0_P1                          *((volatile  uint8_t *)(0x42660004UL))
#define bFM3_GPIO_PFR0_P1                         *((volatile  uint8_t *)(0x42660004UL))
#define bFM_GPIO_PFR0_P2                          *((volatile  uint8_t *)(0x42660008UL))
#define bFM3_GPIO_PFR0_P2                         *((volatile  uint8_t *)(0x42660008UL))
#define bFM_GPIO_PFR0_P3                          *((volatile  uint8_t *)(0x4266000CUL))
#define bFM3_GPIO_PFR0_P3                         *((volatile  uint8_t *)(0x4266000CUL))
#define bFM_GPIO_PFR0_P4                          *((volatile  uint8_t *)(0x42660010UL))
#define bFM3_GPIO_PFR0_P4                         *((volatile  uint8_t *)(0x42660010UL))
#define bFM_GPIO_PFR0_P5                          *((volatile  uint8_t *)(0x42660014UL))
#define bFM3_GPIO_PFR0_P5                         *((volatile  uint8_t *)(0x42660014UL))
#define bFM_GPIO_PFR0_P6                          *((volatile  uint8_t *)(0x42660018UL))
#define bFM3_GPIO_PFR0_P6                         *((volatile  uint8_t *)(0x42660018UL))
#define bFM_GPIO_PFR0_P7                          *((volatile  uint8_t *)(0x4266001CUL))
#define bFM3_GPIO_PFR0_P7                         *((volatile  uint8_t *)(0x4266001CUL))
#define bFM_GPIO_PFR0_P8                          *((volatile  uint8_t *)(0x42660020UL))
#define bFM3_GPIO_PFR0_P8                         *((volatile  uint8_t *)(0x42660020UL))
#define bFM_GPIO_PFR0_P9                          *((volatile  uint8_t *)(0x42660024UL))
#define bFM3_GPIO_PFR0_P9                         *((volatile  uint8_t *)(0x42660024UL))
#define bFM_GPIO_PFR0_PA                          *((volatile  uint8_t *)(0x42660028UL))
#define bFM3_GPIO_PFR0_PA                         *((volatile  uint8_t *)(0x42660028UL))
#define bFM_GPIO_PFR0_PB                          *((volatile  uint8_t *)(0x4266002CUL))
#define bFM3_GPIO_PFR0_PB                         *((volatile  uint8_t *)(0x4266002CUL))
#define bFM_GPIO_PFR0_PC                          *((volatile  uint8_t *)(0x42660030UL))
#define bFM3_GPIO_PFR0_PC                         *((volatile  uint8_t *)(0x42660030UL))
#define bFM_GPIO_PFR0_PD                          *((volatile  uint8_t *)(0x42660034UL))
#define bFM3_GPIO_PFR0_PD                         *((volatile  uint8_t *)(0x42660034UL))
#define bFM_GPIO_PFR0_PE                          *((volatile  uint8_t *)(0x42660038UL))
#define bFM3_GPIO_PFR0_PE                         *((volatile  uint8_t *)(0x42660038UL))
#define bFM_GPIO_PFR0_PF                          *((volatile  uint8_t *)(0x4266003CUL))
#define bFM3_GPIO_PFR0_PF                         *((volatile  uint8_t *)(0x4266003CUL))

#define bFM_GPIO_PFR1_P0                          *((volatile  uint8_t *)(0x42660080UL))
#define bFM3_GPIO_PFR1_P0                         *((volatile  uint8_t *)(0x42660080UL))
#define bFM_GPIO_PFR1_P1                          *((volatile  uint8_t *)(0x42660084UL))
#define bFM3_GPIO_PFR1_P1                         *((volatile  uint8_t *)(0x42660084UL))
#define bFM_GPIO_PFR1_P2                          *((volatile  uint8_t *)(0x42660088UL))
#define bFM3_GPIO_PFR1_P2                         *((volatile  uint8_t *)(0x42660088UL))
#define bFM_GPIO_PFR1_P3                          *((volatile  uint8_t *)(0x4266008CUL))
#define bFM3_GPIO_PFR1_P3                         *((volatile  uint8_t *)(0x4266008CUL))
#define bFM_GPIO_PFR1_P4                          *((volatile  uint8_t *)(0x42660090UL))
#define bFM3_GPIO_PFR1_P4                         *((volatile  uint8_t *)(0x42660090UL))
#define bFM_GPIO_PFR1_P5                          *((volatile  uint8_t *)(0x42660094UL))
#define bFM3_GPIO_PFR1_P5                         *((volatile  uint8_t *)(0x42660094UL))
#define bFM_GPIO_PFR1_P6                          *((volatile  uint8_t *)(0x42660098UL))
#define bFM3_GPIO_PFR1_P6                         *((volatile  uint8_t *)(0x42660098UL))
#define bFM_GPIO_PFR1_P7                          *((volatile  uint8_t *)(0x4266009CUL))
#define bFM3_GPIO_PFR1_P7                         *((volatile  uint8_t *)(0x4266009CUL))
#define bFM_GPIO_PFR1_P8                          *((volatile  uint8_t *)(0x426600A0UL))
#define bFM3_GPIO_PFR1_P8                         *((volatile  uint8_t *)(0x426600A0UL))
#define bFM_GPIO_PFR1_P9                          *((volatile  uint8_t *)(0x426600A4UL))
#define bFM3_GPIO_PFR1_P9                         *((volatile  uint8_t *)(0x426600A4UL))
#define bFM_GPIO_PFR1_PA                          *((volatile  uint8_t *)(0x426600A8UL))
#define bFM3_GPIO_PFR1_PA                         *((volatile  uint8_t *)(0x426600A8UL))
#define bFM_GPIO_PFR1_PB                          *((volatile  uint8_t *)(0x426600ACUL))
#define bFM3_GPIO_PFR1_PB                         *((volatile  uint8_t *)(0x426600ACUL))
#define bFM_GPIO_PFR1_PC                          *((volatile  uint8_t *)(0x426600B0UL))
#define bFM3_GPIO_PFR1_PC                         *((volatile  uint8_t *)(0x426600B0UL))
#define bFM_GPIO_PFR1_PD                          *((volatile  uint8_t *)(0x426600B4UL))
#define bFM3_GPIO_PFR1_PD                         *((volatile  uint8_t *)(0x426600B4UL))
#define bFM_GPIO_PFR1_PE                          *((volatile  uint8_t *)(0x426600B8UL))
#define bFM3_GPIO_PFR1_PE                         *((volatile  uint8_t *)(0x426600B8UL))
#define bFM_GPIO_PFR1_PF                          *((volatile  uint8_t *)(0x426600BCUL))
#define bFM3_GPIO_PFR1_PF                         *((volatile  uint8_t *)(0x426600BCUL))

#define bFM_GPIO_PFR2_P0                          *((volatile  uint8_t *)(0x42660100UL))
#define bFM3_GPIO_PFR2_P0                         *((volatile  uint8_t *)(0x42660100UL))
#define bFM_GPIO_PFR2_P1                          *((volatile  uint8_t *)(0x42660104UL))
#define bFM3_GPIO_PFR2_P1                         *((volatile  uint8_t *)(0x42660104UL))
#define bFM_GPIO_PFR2_P2                          *((volatile  uint8_t *)(0x42660108UL))
#define bFM3_GPIO_PFR2_P2                         *((volatile  uint8_t *)(0x42660108UL))
#define bFM_GPIO_PFR2_P3                          *((volatile  uint8_t *)(0x4266010CUL))
#define bFM3_GPIO_PFR2_P3                         *((volatile  uint8_t *)(0x4266010CUL))
#define bFM_GPIO_PFR2_P4                          *((volatile  uint8_t *)(0x42660110UL))
#define bFM3_GPIO_PFR2_P4                         *((volatile  uint8_t *)(0x42660110UL))
#define bFM_GPIO_PFR2_P5                          *((volatile  uint8_t *)(0x42660114UL))
#define bFM3_GPIO_PFR2_P5                         *((volatile  uint8_t *)(0x42660114UL))
#define bFM_GPIO_PFR2_P6                          *((volatile  uint8_t *)(0x42660118UL))
#define bFM3_GPIO_PFR2_P6                         *((volatile  uint8_t *)(0x42660118UL))
#define bFM_GPIO_PFR2_P7                          *((volatile  uint8_t *)(0x4266011CUL))
#define bFM3_GPIO_PFR2_P7                         *((volatile  uint8_t *)(0x4266011CUL))
#define bFM_GPIO_PFR2_P8                          *((volatile  uint8_t *)(0x42660120UL))
#define bFM3_GPIO_PFR2_P8                         *((volatile  uint8_t *)(0x42660120UL))
#define bFM_GPIO_PFR2_P9                          *((volatile  uint8_t *)(0x42660124UL))
#define bFM3_GPIO_PFR2_P9                         *((volatile  uint8_t *)(0x42660124UL))
#define bFM_GPIO_PFR2_PA                          *((volatile  uint8_t *)(0x42660128UL))
#define bFM3_GPIO_PFR2_PA                         *((volatile  uint8_t *)(0x42660128UL))
#define bFM_GPIO_PFR2_PB                          *((volatile  uint8_t *)(0x4266012CUL))
#define bFM3_GPIO_PFR2_PB                         *((volatile  uint8_t *)(0x4266012CUL))
#define bFM_GPIO_PFR2_PC                          *((volatile  uint8_t *)(0x42660130UL))
#define bFM3_GPIO_PFR2_PC                         *((volatile  uint8_t *)(0x42660130UL))
#define bFM_GPIO_PFR2_PD                          *((volatile  uint8_t *)(0x42660134UL))
#define bFM3_GPIO_PFR2_PD                         *((volatile  uint8_t *)(0x42660134UL))
#define bFM_GPIO_PFR2_PE                          *((volatile  uint8_t *)(0x42660138UL))
#define bFM3_GPIO_PFR2_PE                         *((volatile  uint8_t *)(0x42660138UL))
#define bFM_GPIO_PFR2_PF                          *((volatile  uint8_t *)(0x4266013CUL))
#define bFM3_GPIO_PFR2_PF                         *((volatile  uint8_t *)(0x4266013CUL))

#define bFM_GPIO_PFR3_P0                          *((volatile  uint8_t *)(0x42660180UL))
#define bFM3_GPIO_PFR3_P0                         *((volatile  uint8_t *)(0x42660180UL))
#define bFM_GPIO_PFR3_P1                          *((volatile  uint8_t *)(0x42660184UL))
#define bFM3_GPIO_PFR3_P1                         *((volatile  uint8_t *)(0x42660184UL))
#define bFM_GPIO_PFR3_P2                          *((volatile  uint8_t *)(0x42660188UL))
#define bFM3_GPIO_PFR3_P2                         *((volatile  uint8_t *)(0x42660188UL))
#define bFM_GPIO_PFR3_P3                          *((volatile  uint8_t *)(0x4266018CUL))
#define bFM3_GPIO_PFR3_P3                         *((volatile  uint8_t *)(0x4266018CUL))
#define bFM_GPIO_PFR3_P4                          *((volatile  uint8_t *)(0x42660190UL))
#define bFM3_GPIO_PFR3_P4                         *((volatile  uint8_t *)(0x42660190UL))
#define bFM_GPIO_PFR3_P5                          *((volatile  uint8_t *)(0x42660194UL))
#define bFM3_GPIO_PFR3_P5                         *((volatile  uint8_t *)(0x42660194UL))
#define bFM_GPIO_PFR3_P6                          *((volatile  uint8_t *)(0x42660198UL))
#define bFM3_GPIO_PFR3_P6                         *((volatile  uint8_t *)(0x42660198UL))
#define bFM_GPIO_PFR3_P7                          *((volatile  uint8_t *)(0x4266019CUL))
#define bFM3_GPIO_PFR3_P7                         *((volatile  uint8_t *)(0x4266019CUL))
#define bFM_GPIO_PFR3_P8                          *((volatile  uint8_t *)(0x426601A0UL))
#define bFM3_GPIO_PFR3_P8                         *((volatile  uint8_t *)(0x426601A0UL))
#define bFM_GPIO_PFR3_P9                          *((volatile  uint8_t *)(0x426601A4UL))
#define bFM3_GPIO_PFR3_P9                         *((volatile  uint8_t *)(0x426601A4UL))
#define bFM_GPIO_PFR3_PA                          *((volatile  uint8_t *)(0x426601A8UL))
#define bFM3_GPIO_PFR3_PA                         *((volatile  uint8_t *)(0x426601A8UL))
#define bFM_GPIO_PFR3_PB                          *((volatile  uint8_t *)(0x426601ACUL))
#define bFM3_GPIO_PFR3_PB                         *((volatile  uint8_t *)(0x426601ACUL))
#define bFM_GPIO_PFR3_PC                          *((volatile  uint8_t *)(0x426601B0UL))
#define bFM3_GPIO_PFR3_PC                         *((volatile  uint8_t *)(0x426601B0UL))
#define bFM_GPIO_PFR3_PD                          *((volatile  uint8_t *)(0x426601B4UL))
#define bFM3_GPIO_PFR3_PD                         *((volatile  uint8_t *)(0x426601B4UL))
#define bFM_GPIO_PFR3_PE                          *((volatile  uint8_t *)(0x426601B8UL))
#define bFM3_GPIO_PFR3_PE                         *((volatile  uint8_t *)(0x426601B8UL))
#define bFM_GPIO_PFR3_PF                          *((volatile  uint8_t *)(0x426601BCUL))
#define bFM3_GPIO_PFR3_PF                         *((volatile  uint8_t *)(0x426601BCUL))

#define bFM_GPIO_PFR4_P0                          *((volatile  uint8_t *)(0x42660200UL))
#define bFM3_GPIO_PFR4_P0                         *((volatile  uint8_t *)(0x42660200UL))
#define bFM_GPIO_PFR4_P1                          *((volatile  uint8_t *)(0x42660204UL))
#define bFM3_GPIO_PFR4_P1                         *((volatile  uint8_t *)(0x42660204UL))
#define bFM_GPIO_PFR4_P2                          *((volatile  uint8_t *)(0x42660208UL))
#define bFM3_GPIO_PFR4_P2                         *((volatile  uint8_t *)(0x42660208UL))
#define bFM_GPIO_PFR4_P3                          *((volatile  uint8_t *)(0x4266020CUL))
#define bFM3_GPIO_PFR4_P3                         *((volatile  uint8_t *)(0x4266020CUL))
#define bFM_GPIO_PFR4_P4                          *((volatile  uint8_t *)(0x42660210UL))
#define bFM3_GPIO_PFR4_P4                         *((volatile  uint8_t *)(0x42660210UL))
#define bFM_GPIO_PFR4_P5                          *((volatile  uint8_t *)(0x42660214UL))
#define bFM3_GPIO_PFR4_P5                         *((volatile  uint8_t *)(0x42660214UL))
#define bFM_GPIO_PFR4_P6                          *((volatile  uint8_t *)(0x42660218UL))
#define bFM3_GPIO_PFR4_P6                         *((volatile  uint8_t *)(0x42660218UL))
#define bFM_GPIO_PFR4_P7                          *((volatile  uint8_t *)(0x4266021CUL))
#define bFM3_GPIO_PFR4_P7                         *((volatile  uint8_t *)(0x4266021CUL))
#define bFM_GPIO_PFR4_P8                          *((volatile  uint8_t *)(0x42660220UL))
#define bFM3_GPIO_PFR4_P8                         *((volatile  uint8_t *)(0x42660220UL))
#define bFM_GPIO_PFR4_P9                          *((volatile  uint8_t *)(0x42660224UL))
#define bFM3_GPIO_PFR4_P9                         *((volatile  uint8_t *)(0x42660224UL))
#define bFM_GPIO_PFR4_PA                          *((volatile  uint8_t *)(0x42660228UL))
#define bFM3_GPIO_PFR4_PA                         *((volatile  uint8_t *)(0x42660228UL))
#define bFM_GPIO_PFR4_PB                          *((volatile  uint8_t *)(0x4266022CUL))
#define bFM3_GPIO_PFR4_PB                         *((volatile  uint8_t *)(0x4266022CUL))
#define bFM_GPIO_PFR4_PC                          *((volatile  uint8_t *)(0x42660230UL))
#define bFM3_GPIO_PFR4_PC                         *((volatile  uint8_t *)(0x42660230UL))
#define bFM_GPIO_PFR4_PD                          *((volatile  uint8_t *)(0x42660234UL))
#define bFM3_GPIO_PFR4_PD                         *((volatile  uint8_t *)(0x42660234UL))
#define bFM_GPIO_PFR4_PE                          *((volatile  uint8_t *)(0x42660238UL))
#define bFM3_GPIO_PFR4_PE                         *((volatile  uint8_t *)(0x42660238UL))
#define bFM_GPIO_PFR4_PF                          *((volatile  uint8_t *)(0x4266023CUL))
#define bFM3_GPIO_PFR4_PF                         *((volatile  uint8_t *)(0x4266023CUL))

#define bFM_GPIO_PFR5_P0                          *((volatile  uint8_t *)(0x42660280UL))
#define bFM3_GPIO_PFR5_P0                         *((volatile  uint8_t *)(0x42660280UL))
#define bFM_GPIO_PFR5_P1                          *((volatile  uint8_t *)(0x42660284UL))
#define bFM3_GPIO_PFR5_P1                         *((volatile  uint8_t *)(0x42660284UL))
#define bFM_GPIO_PFR5_P2                          *((volatile  uint8_t *)(0x42660288UL))
#define bFM3_GPIO_PFR5_P2                         *((volatile  uint8_t *)(0x42660288UL))
#define bFM_GPIO_PFR5_P3                          *((volatile  uint8_t *)(0x4266028CUL))
#define bFM3_GPIO_PFR5_P3                         *((volatile  uint8_t *)(0x4266028CUL))
#define bFM_GPIO_PFR5_P4                          *((volatile  uint8_t *)(0x42660290UL))
#define bFM3_GPIO_PFR5_P4                         *((volatile  uint8_t *)(0x42660290UL))
#define bFM_GPIO_PFR5_P5                          *((volatile  uint8_t *)(0x42660294UL))
#define bFM3_GPIO_PFR5_P5                         *((volatile  uint8_t *)(0x42660294UL))
#define bFM_GPIO_PFR5_P6                          *((volatile  uint8_t *)(0x42660298UL))
#define bFM3_GPIO_PFR5_P6                         *((volatile  uint8_t *)(0x42660298UL))
#define bFM_GPIO_PFR5_P7                          *((volatile  uint8_t *)(0x4266029CUL))
#define bFM3_GPIO_PFR5_P7                         *((volatile  uint8_t *)(0x4266029CUL))
#define bFM_GPIO_PFR5_P8                          *((volatile  uint8_t *)(0x426602A0UL))
#define bFM3_GPIO_PFR5_P8                         *((volatile  uint8_t *)(0x426602A0UL))
#define bFM_GPIO_PFR5_P9                          *((volatile  uint8_t *)(0x426602A4UL))
#define bFM3_GPIO_PFR5_P9                         *((volatile  uint8_t *)(0x426602A4UL))
#define bFM_GPIO_PFR5_PA                          *((volatile  uint8_t *)(0x426602A8UL))
#define bFM3_GPIO_PFR5_PA                         *((volatile  uint8_t *)(0x426602A8UL))
#define bFM_GPIO_PFR5_PB                          *((volatile  uint8_t *)(0x426602ACUL))
#define bFM3_GPIO_PFR5_PB                         *((volatile  uint8_t *)(0x426602ACUL))
#define bFM_GPIO_PFR5_PC                          *((volatile  uint8_t *)(0x426602B0UL))
#define bFM3_GPIO_PFR5_PC                         *((volatile  uint8_t *)(0x426602B0UL))
#define bFM_GPIO_PFR5_PD                          *((volatile  uint8_t *)(0x426602B4UL))
#define bFM3_GPIO_PFR5_PD                         *((volatile  uint8_t *)(0x426602B4UL))
#define bFM_GPIO_PFR5_PE                          *((volatile  uint8_t *)(0x426602B8UL))
#define bFM3_GPIO_PFR5_PE                         *((volatile  uint8_t *)(0x426602B8UL))
#define bFM_GPIO_PFR5_PF                          *((volatile  uint8_t *)(0x426602BCUL))
#define bFM3_GPIO_PFR5_PF                         *((volatile  uint8_t *)(0x426602BCUL))

#define bFM_GPIO_PFR6_P0                          *((volatile  uint8_t *)(0x42660300UL))
#define bFM3_GPIO_PFR6_P0                         *((volatile  uint8_t *)(0x42660300UL))
#define bFM_GPIO_PFR6_P1                          *((volatile  uint8_t *)(0x42660304UL))
#define bFM3_GPIO_PFR6_P1                         *((volatile  uint8_t *)(0x42660304UL))
#define bFM_GPIO_PFR6_P2                          *((volatile  uint8_t *)(0x42660308UL))
#define bFM3_GPIO_PFR6_P2                         *((volatile  uint8_t *)(0x42660308UL))
#define bFM_GPIO_PFR6_P3                          *((volatile  uint8_t *)(0x4266030CUL))
#define bFM3_GPIO_PFR6_P3                         *((volatile  uint8_t *)(0x4266030CUL))
#define bFM_GPIO_PFR6_P4                          *((volatile  uint8_t *)(0x42660310UL))
#define bFM3_GPIO_PFR6_P4                         *((volatile  uint8_t *)(0x42660310UL))
#define bFM_GPIO_PFR6_P5                          *((volatile  uint8_t *)(0x42660314UL))
#define bFM3_GPIO_PFR6_P5                         *((volatile  uint8_t *)(0x42660314UL))
#define bFM_GPIO_PFR6_P6                          *((volatile  uint8_t *)(0x42660318UL))
#define bFM3_GPIO_PFR6_P6                         *((volatile  uint8_t *)(0x42660318UL))
#define bFM_GPIO_PFR6_P7                          *((volatile  uint8_t *)(0x4266031CUL))
#define bFM3_GPIO_PFR6_P7                         *((volatile  uint8_t *)(0x4266031CUL))
#define bFM_GPIO_PFR6_P8                          *((volatile  uint8_t *)(0x42660320UL))
#define bFM3_GPIO_PFR6_P8                         *((volatile  uint8_t *)(0x42660320UL))
#define bFM_GPIO_PFR6_P9                          *((volatile  uint8_t *)(0x42660324UL))
#define bFM3_GPIO_PFR6_P9                         *((volatile  uint8_t *)(0x42660324UL))
#define bFM_GPIO_PFR6_PA                          *((volatile  uint8_t *)(0x42660328UL))
#define bFM3_GPIO_PFR6_PA                         *((volatile  uint8_t *)(0x42660328UL))
#define bFM_GPIO_PFR6_PB                          *((volatile  uint8_t *)(0x4266032CUL))
#define bFM3_GPIO_PFR6_PB                         *((volatile  uint8_t *)(0x4266032CUL))
#define bFM_GPIO_PFR6_PC                          *((volatile  uint8_t *)(0x42660330UL))
#define bFM3_GPIO_PFR6_PC                         *((volatile  uint8_t *)(0x42660330UL))
#define bFM_GPIO_PFR6_PD                          *((volatile  uint8_t *)(0x42660334UL))
#define bFM3_GPIO_PFR6_PD                         *((volatile  uint8_t *)(0x42660334UL))
#define bFM_GPIO_PFR6_PE                          *((volatile  uint8_t *)(0x42660338UL))
#define bFM3_GPIO_PFR6_PE                         *((volatile  uint8_t *)(0x42660338UL))
#define bFM_GPIO_PFR6_PF                          *((volatile  uint8_t *)(0x4266033CUL))
#define bFM3_GPIO_PFR6_PF                         *((volatile  uint8_t *)(0x4266033CUL))

#define bFM_GPIO_PFR7_P0                          *((volatile  uint8_t *)(0x42660380UL))
#define bFM3_GPIO_PFR7_P0                         *((volatile  uint8_t *)(0x42660380UL))
#define bFM_GPIO_PFR7_P1                          *((volatile  uint8_t *)(0x42660384UL))
#define bFM3_GPIO_PFR7_P1                         *((volatile  uint8_t *)(0x42660384UL))
#define bFM_GPIO_PFR7_P2                          *((volatile  uint8_t *)(0x42660388UL))
#define bFM3_GPIO_PFR7_P2                         *((volatile  uint8_t *)(0x42660388UL))
#define bFM_GPIO_PFR7_P3                          *((volatile  uint8_t *)(0x4266038CUL))
#define bFM3_GPIO_PFR7_P3                         *((volatile  uint8_t *)(0x4266038CUL))
#define bFM_GPIO_PFR7_P4                          *((volatile  uint8_t *)(0x42660390UL))
#define bFM3_GPIO_PFR7_P4                         *((volatile  uint8_t *)(0x42660390UL))
#define bFM_GPIO_PFR7_P5                          *((volatile  uint8_t *)(0x42660394UL))
#define bFM3_GPIO_PFR7_P5                         *((volatile  uint8_t *)(0x42660394UL))
#define bFM_GPIO_PFR7_P6                          *((volatile  uint8_t *)(0x42660398UL))
#define bFM3_GPIO_PFR7_P6                         *((volatile  uint8_t *)(0x42660398UL))
#define bFM_GPIO_PFR7_P7                          *((volatile  uint8_t *)(0x4266039CUL))
#define bFM3_GPIO_PFR7_P7                         *((volatile  uint8_t *)(0x4266039CUL))
#define bFM_GPIO_PFR7_P8                          *((volatile  uint8_t *)(0x426603A0UL))
#define bFM3_GPIO_PFR7_P8                         *((volatile  uint8_t *)(0x426603A0UL))
#define bFM_GPIO_PFR7_P9                          *((volatile  uint8_t *)(0x426603A4UL))
#define bFM3_GPIO_PFR7_P9                         *((volatile  uint8_t *)(0x426603A4UL))
#define bFM_GPIO_PFR7_PA                          *((volatile  uint8_t *)(0x426603A8UL))
#define bFM3_GPIO_PFR7_PA                         *((volatile  uint8_t *)(0x426603A8UL))
#define bFM_GPIO_PFR7_PB                          *((volatile  uint8_t *)(0x426603ACUL))
#define bFM3_GPIO_PFR7_PB                         *((volatile  uint8_t *)(0x426603ACUL))
#define bFM_GPIO_PFR7_PC                          *((volatile  uint8_t *)(0x426603B0UL))
#define bFM3_GPIO_PFR7_PC                         *((volatile  uint8_t *)(0x426603B0UL))
#define bFM_GPIO_PFR7_PD                          *((volatile  uint8_t *)(0x426603B4UL))
#define bFM3_GPIO_PFR7_PD                         *((volatile  uint8_t *)(0x426603B4UL))
#define bFM_GPIO_PFR7_PE                          *((volatile  uint8_t *)(0x426603B8UL))
#define bFM3_GPIO_PFR7_PE                         *((volatile  uint8_t *)(0x426603B8UL))
#define bFM_GPIO_PFR7_PF                          *((volatile  uint8_t *)(0x426603BCUL))
#define bFM3_GPIO_PFR7_PF                         *((volatile  uint8_t *)(0x426603BCUL))

#define bFM_GPIO_PFR8_P0                          *((volatile  uint8_t *)(0x42660400UL))
#define bFM3_GPIO_PFR8_P0                         *((volatile  uint8_t *)(0x42660400UL))
#define bFM_GPIO_PFR8_P1                          *((volatile  uint8_t *)(0x42660404UL))
#define bFM3_GPIO_PFR8_P1                         *((volatile  uint8_t *)(0x42660404UL))
#define bFM_GPIO_PFR8_P2                          *((volatile  uint8_t *)(0x42660408UL))
#define bFM3_GPIO_PFR8_P2                         *((volatile  uint8_t *)(0x42660408UL))
#define bFM_GPIO_PFR8_P3                          *((volatile  uint8_t *)(0x4266040CUL))
#define bFM3_GPIO_PFR8_P3                         *((volatile  uint8_t *)(0x4266040CUL))
#define bFM_GPIO_PFR8_P4                          *((volatile  uint8_t *)(0x42660410UL))
#define bFM3_GPIO_PFR8_P4                         *((volatile  uint8_t *)(0x42660410UL))
#define bFM_GPIO_PFR8_P5                          *((volatile  uint8_t *)(0x42660414UL))
#define bFM3_GPIO_PFR8_P5                         *((volatile  uint8_t *)(0x42660414UL))
#define bFM_GPIO_PFR8_P6                          *((volatile  uint8_t *)(0x42660418UL))
#define bFM3_GPIO_PFR8_P6                         *((volatile  uint8_t *)(0x42660418UL))
#define bFM_GPIO_PFR8_P7                          *((volatile  uint8_t *)(0x4266041CUL))
#define bFM3_GPIO_PFR8_P7                         *((volatile  uint8_t *)(0x4266041CUL))
#define bFM_GPIO_PFR8_P8                          *((volatile  uint8_t *)(0x42660420UL))
#define bFM3_GPIO_PFR8_P8                         *((volatile  uint8_t *)(0x42660420UL))
#define bFM_GPIO_PFR8_P9                          *((volatile  uint8_t *)(0x42660424UL))
#define bFM3_GPIO_PFR8_P9                         *((volatile  uint8_t *)(0x42660424UL))
#define bFM_GPIO_PFR8_PA                          *((volatile  uint8_t *)(0x42660428UL))
#define bFM3_GPIO_PFR8_PA                         *((volatile  uint8_t *)(0x42660428UL))
#define bFM_GPIO_PFR8_PB                          *((volatile  uint8_t *)(0x4266042CUL))
#define bFM3_GPIO_PFR8_PB                         *((volatile  uint8_t *)(0x4266042CUL))
#define bFM_GPIO_PFR8_PC                          *((volatile  uint8_t *)(0x42660430UL))
#define bFM3_GPIO_PFR8_PC                         *((volatile  uint8_t *)(0x42660430UL))
#define bFM_GPIO_PFR8_PD                          *((volatile  uint8_t *)(0x42660434UL))
#define bFM3_GPIO_PFR8_PD                         *((volatile  uint8_t *)(0x42660434UL))
#define bFM_GPIO_PFR8_PE                          *((volatile  uint8_t *)(0x42660438UL))
#define bFM3_GPIO_PFR8_PE                         *((volatile  uint8_t *)(0x42660438UL))
#define bFM_GPIO_PFR8_PF                          *((volatile  uint8_t *)(0x4266043CUL))
#define bFM3_GPIO_PFR8_PF                         *((volatile  uint8_t *)(0x4266043CUL))

#define bFM_GPIO_PFR9_P0                          *((volatile  uint8_t *)(0x42660480UL))
#define bFM3_GPIO_PFR9_P0                         *((volatile  uint8_t *)(0x42660480UL))
#define bFM_GPIO_PFR9_P1                          *((volatile  uint8_t *)(0x42660484UL))
#define bFM3_GPIO_PFR9_P1                         *((volatile  uint8_t *)(0x42660484UL))
#define bFM_GPIO_PFR9_P2                          *((volatile  uint8_t *)(0x42660488UL))
#define bFM3_GPIO_PFR9_P2                         *((volatile  uint8_t *)(0x42660488UL))
#define bFM_GPIO_PFR9_P3                          *((volatile  uint8_t *)(0x4266048CUL))
#define bFM3_GPIO_PFR9_P3                         *((volatile  uint8_t *)(0x4266048CUL))
#define bFM_GPIO_PFR9_P4                          *((volatile  uint8_t *)(0x42660490UL))
#define bFM3_GPIO_PFR9_P4                         *((volatile  uint8_t *)(0x42660490UL))
#define bFM_GPIO_PFR9_P5                          *((volatile  uint8_t *)(0x42660494UL))
#define bFM3_GPIO_PFR9_P5                         *((volatile  uint8_t *)(0x42660494UL))
#define bFM_GPIO_PFR9_P6                          *((volatile  uint8_t *)(0x42660498UL))
#define bFM3_GPIO_PFR9_P6                         *((volatile  uint8_t *)(0x42660498UL))
#define bFM_GPIO_PFR9_P7                          *((volatile  uint8_t *)(0x4266049CUL))
#define bFM3_GPIO_PFR9_P7                         *((volatile  uint8_t *)(0x4266049CUL))
#define bFM_GPIO_PFR9_P8                          *((volatile  uint8_t *)(0x426604A0UL))
#define bFM3_GPIO_PFR9_P8                         *((volatile  uint8_t *)(0x426604A0UL))
#define bFM_GPIO_PFR9_P9                          *((volatile  uint8_t *)(0x426604A4UL))
#define bFM3_GPIO_PFR9_P9                         *((volatile  uint8_t *)(0x426604A4UL))
#define bFM_GPIO_PFR9_PA                          *((volatile  uint8_t *)(0x426604A8UL))
#define bFM3_GPIO_PFR9_PA                         *((volatile  uint8_t *)(0x426604A8UL))
#define bFM_GPIO_PFR9_PB                          *((volatile  uint8_t *)(0x426604ACUL))
#define bFM3_GPIO_PFR9_PB                         *((volatile  uint8_t *)(0x426604ACUL))
#define bFM_GPIO_PFR9_PC                          *((volatile  uint8_t *)(0x426604B0UL))
#define bFM3_GPIO_PFR9_PC                         *((volatile  uint8_t *)(0x426604B0UL))
#define bFM_GPIO_PFR9_PD                          *((volatile  uint8_t *)(0x426604B4UL))
#define bFM3_GPIO_PFR9_PD                         *((volatile  uint8_t *)(0x426604B4UL))
#define bFM_GPIO_PFR9_PE                          *((volatile  uint8_t *)(0x426604B8UL))
#define bFM3_GPIO_PFR9_PE                         *((volatile  uint8_t *)(0x426604B8UL))
#define bFM_GPIO_PFR9_PF                          *((volatile  uint8_t *)(0x426604BCUL))
#define bFM3_GPIO_PFR9_PF                         *((volatile  uint8_t *)(0x426604BCUL))

#define bFM_GPIO_PFRA_P0                          *((volatile  uint8_t *)(0x42660500UL))
#define bFM3_GPIO_PFRA_P0                         *((volatile  uint8_t *)(0x42660500UL))
#define bFM_GPIO_PFRA_P1                          *((volatile  uint8_t *)(0x42660504UL))
#define bFM3_GPIO_PFRA_P1                         *((volatile  uint8_t *)(0x42660504UL))
#define bFM_GPIO_PFRA_P2                          *((volatile  uint8_t *)(0x42660508UL))
#define bFM3_GPIO_PFRA_P2                         *((volatile  uint8_t *)(0x42660508UL))
#define bFM_GPIO_PFRA_P3                          *((volatile  uint8_t *)(0x4266050CUL))
#define bFM3_GPIO_PFRA_P3                         *((volatile  uint8_t *)(0x4266050CUL))
#define bFM_GPIO_PFRA_P4                          *((volatile  uint8_t *)(0x42660510UL))
#define bFM3_GPIO_PFRA_P4                         *((volatile  uint8_t *)(0x42660510UL))
#define bFM_GPIO_PFRA_P5                          *((volatile  uint8_t *)(0x42660514UL))
#define bFM3_GPIO_PFRA_P5                         *((volatile  uint8_t *)(0x42660514UL))
#define bFM_GPIO_PFRA_P6                          *((volatile  uint8_t *)(0x42660518UL))
#define bFM3_GPIO_PFRA_P6                         *((volatile  uint8_t *)(0x42660518UL))
#define bFM_GPIO_PFRA_P7                          *((volatile  uint8_t *)(0x4266051CUL))
#define bFM3_GPIO_PFRA_P7                         *((volatile  uint8_t *)(0x4266051CUL))
#define bFM_GPIO_PFRA_P8                          *((volatile  uint8_t *)(0x42660520UL))
#define bFM3_GPIO_PFRA_P8                         *((volatile  uint8_t *)(0x42660520UL))
#define bFM_GPIO_PFRA_P9                          *((volatile  uint8_t *)(0x42660524UL))
#define bFM3_GPIO_PFRA_P9                         *((volatile  uint8_t *)(0x42660524UL))
#define bFM_GPIO_PFRA_PA                          *((volatile  uint8_t *)(0x42660528UL))
#define bFM3_GPIO_PFRA_PA                         *((volatile  uint8_t *)(0x42660528UL))
#define bFM_GPIO_PFRA_PB                          *((volatile  uint8_t *)(0x4266052CUL))
#define bFM3_GPIO_PFRA_PB                         *((volatile  uint8_t *)(0x4266052CUL))
#define bFM_GPIO_PFRA_PC                          *((volatile  uint8_t *)(0x42660530UL))
#define bFM3_GPIO_PFRA_PC                         *((volatile  uint8_t *)(0x42660530UL))
#define bFM_GPIO_PFRA_PD                          *((volatile  uint8_t *)(0x42660534UL))
#define bFM3_GPIO_PFRA_PD                         *((volatile  uint8_t *)(0x42660534UL))
#define bFM_GPIO_PFRA_PE                          *((volatile  uint8_t *)(0x42660538UL))
#define bFM3_GPIO_PFRA_PE                         *((volatile  uint8_t *)(0x42660538UL))
#define bFM_GPIO_PFRA_PF                          *((volatile  uint8_t *)(0x4266053CUL))
#define bFM3_GPIO_PFRA_PF                         *((volatile  uint8_t *)(0x4266053CUL))

#define bFM_GPIO_PFRB_P0                          *((volatile  uint8_t *)(0x42660580UL))
#define bFM3_GPIO_PFRB_P0                         *((volatile  uint8_t *)(0x42660580UL))
#define bFM_GPIO_PFRB_P1                          *((volatile  uint8_t *)(0x42660584UL))
#define bFM3_GPIO_PFRB_P1                         *((volatile  uint8_t *)(0x42660584UL))
#define bFM_GPIO_PFRB_P2                          *((volatile  uint8_t *)(0x42660588UL))
#define bFM3_GPIO_PFRB_P2                         *((volatile  uint8_t *)(0x42660588UL))
#define bFM_GPIO_PFRB_P3                          *((volatile  uint8_t *)(0x4266058CUL))
#define bFM3_GPIO_PFRB_P3                         *((volatile  uint8_t *)(0x4266058CUL))
#define bFM_GPIO_PFRB_P4                          *((volatile  uint8_t *)(0x42660590UL))
#define bFM3_GPIO_PFRB_P4                         *((volatile  uint8_t *)(0x42660590UL))
#define bFM_GPIO_PFRB_P5                          *((volatile  uint8_t *)(0x42660594UL))
#define bFM3_GPIO_PFRB_P5                         *((volatile  uint8_t *)(0x42660594UL))
#define bFM_GPIO_PFRB_P6                          *((volatile  uint8_t *)(0x42660598UL))
#define bFM3_GPIO_PFRB_P6                         *((volatile  uint8_t *)(0x42660598UL))
#define bFM_GPIO_PFRB_P7                          *((volatile  uint8_t *)(0x4266059CUL))
#define bFM3_GPIO_PFRB_P7                         *((volatile  uint8_t *)(0x4266059CUL))
#define bFM_GPIO_PFRB_P8                          *((volatile  uint8_t *)(0x426605A0UL))
#define bFM3_GPIO_PFRB_P8                         *((volatile  uint8_t *)(0x426605A0UL))
#define bFM_GPIO_PFRB_P9                          *((volatile  uint8_t *)(0x426605A4UL))
#define bFM3_GPIO_PFRB_P9                         *((volatile  uint8_t *)(0x426605A4UL))
#define bFM_GPIO_PFRB_PA                          *((volatile  uint8_t *)(0x426605A8UL))
#define bFM3_GPIO_PFRB_PA                         *((volatile  uint8_t *)(0x426605A8UL))
#define bFM_GPIO_PFRB_PB                          *((volatile  uint8_t *)(0x426605ACUL))
#define bFM3_GPIO_PFRB_PB                         *((volatile  uint8_t *)(0x426605ACUL))
#define bFM_GPIO_PFRB_PC                          *((volatile  uint8_t *)(0x426605B0UL))
#define bFM3_GPIO_PFRB_PC                         *((volatile  uint8_t *)(0x426605B0UL))
#define bFM_GPIO_PFRB_PD                          *((volatile  uint8_t *)(0x426605B4UL))
#define bFM3_GPIO_PFRB_PD                         *((volatile  uint8_t *)(0x426605B4UL))
#define bFM_GPIO_PFRB_PE                          *((volatile  uint8_t *)(0x426605B8UL))
#define bFM3_GPIO_PFRB_PE                         *((volatile  uint8_t *)(0x426605B8UL))
#define bFM_GPIO_PFRB_PF                          *((volatile  uint8_t *)(0x426605BCUL))
#define bFM3_GPIO_PFRB_PF                         *((volatile  uint8_t *)(0x426605BCUL))

#define bFM_GPIO_PFRC_P0                          *((volatile  uint8_t *)(0x42660600UL))
#define bFM3_GPIO_PFRC_P0                         *((volatile  uint8_t *)(0x42660600UL))
#define bFM_GPIO_PFRC_P1                          *((volatile  uint8_t *)(0x42660604UL))
#define bFM3_GPIO_PFRC_P1                         *((volatile  uint8_t *)(0x42660604UL))
#define bFM_GPIO_PFRC_P2                          *((volatile  uint8_t *)(0x42660608UL))
#define bFM3_GPIO_PFRC_P2                         *((volatile  uint8_t *)(0x42660608UL))
#define bFM_GPIO_PFRC_P3                          *((volatile  uint8_t *)(0x4266060CUL))
#define bFM3_GPIO_PFRC_P3                         *((volatile  uint8_t *)(0x4266060CUL))
#define bFM_GPIO_PFRC_P4                          *((volatile  uint8_t *)(0x42660610UL))
#define bFM3_GPIO_PFRC_P4                         *((volatile  uint8_t *)(0x42660610UL))
#define bFM_GPIO_PFRC_P5                          *((volatile  uint8_t *)(0x42660614UL))
#define bFM3_GPIO_PFRC_P5                         *((volatile  uint8_t *)(0x42660614UL))
#define bFM_GPIO_PFRC_P6                          *((volatile  uint8_t *)(0x42660618UL))
#define bFM3_GPIO_PFRC_P6                         *((volatile  uint8_t *)(0x42660618UL))
#define bFM_GPIO_PFRC_P7                          *((volatile  uint8_t *)(0x4266061CUL))
#define bFM3_GPIO_PFRC_P7                         *((volatile  uint8_t *)(0x4266061CUL))
#define bFM_GPIO_PFRC_P8                          *((volatile  uint8_t *)(0x42660620UL))
#define bFM3_GPIO_PFRC_P8                         *((volatile  uint8_t *)(0x42660620UL))
#define bFM_GPIO_PFRC_P9                          *((volatile  uint8_t *)(0x42660624UL))
#define bFM3_GPIO_PFRC_P9                         *((volatile  uint8_t *)(0x42660624UL))
#define bFM_GPIO_PFRC_PA                          *((volatile  uint8_t *)(0x42660628UL))
#define bFM3_GPIO_PFRC_PA                         *((volatile  uint8_t *)(0x42660628UL))
#define bFM_GPIO_PFRC_PB                          *((volatile  uint8_t *)(0x4266062CUL))
#define bFM3_GPIO_PFRC_PB                         *((volatile  uint8_t *)(0x4266062CUL))
#define bFM_GPIO_PFRC_PC                          *((volatile  uint8_t *)(0x42660630UL))
#define bFM3_GPIO_PFRC_PC                         *((volatile  uint8_t *)(0x42660630UL))
#define bFM_GPIO_PFRC_PD                          *((volatile  uint8_t *)(0x42660634UL))
#define bFM3_GPIO_PFRC_PD                         *((volatile  uint8_t *)(0x42660634UL))
#define bFM_GPIO_PFRC_PE                          *((volatile  uint8_t *)(0x42660638UL))
#define bFM3_GPIO_PFRC_PE                         *((volatile  uint8_t *)(0x42660638UL))
#define bFM_GPIO_PFRC_PF                          *((volatile  uint8_t *)(0x4266063CUL))
#define bFM3_GPIO_PFRC_PF                         *((volatile  uint8_t *)(0x4266063CUL))

#define bFM_GPIO_PFRD_P0                          *((volatile  uint8_t *)(0x42660680UL))
#define bFM3_GPIO_PFRD_P0                         *((volatile  uint8_t *)(0x42660680UL))
#define bFM_GPIO_PFRD_P1                          *((volatile  uint8_t *)(0x42660684UL))
#define bFM3_GPIO_PFRD_P1                         *((volatile  uint8_t *)(0x42660684UL))
#define bFM_GPIO_PFRD_P2                          *((volatile  uint8_t *)(0x42660688UL))
#define bFM3_GPIO_PFRD_P2                         *((volatile  uint8_t *)(0x42660688UL))
#define bFM_GPIO_PFRD_P3                          *((volatile  uint8_t *)(0x4266068CUL))
#define bFM3_GPIO_PFRD_P3                         *((volatile  uint8_t *)(0x4266068CUL))
#define bFM_GPIO_PFRD_P4                          *((volatile  uint8_t *)(0x42660690UL))
#define bFM3_GPIO_PFRD_P4                         *((volatile  uint8_t *)(0x42660690UL))
#define bFM_GPIO_PFRD_P5                          *((volatile  uint8_t *)(0x42660694UL))
#define bFM3_GPIO_PFRD_P5                         *((volatile  uint8_t *)(0x42660694UL))
#define bFM_GPIO_PFRD_P6                          *((volatile  uint8_t *)(0x42660698UL))
#define bFM3_GPIO_PFRD_P6                         *((volatile  uint8_t *)(0x42660698UL))
#define bFM_GPIO_PFRD_P7                          *((volatile  uint8_t *)(0x4266069CUL))
#define bFM3_GPIO_PFRD_P7                         *((volatile  uint8_t *)(0x4266069CUL))
#define bFM_GPIO_PFRD_P8                          *((volatile  uint8_t *)(0x426606A0UL))
#define bFM3_GPIO_PFRD_P8                         *((volatile  uint8_t *)(0x426606A0UL))
#define bFM_GPIO_PFRD_P9                          *((volatile  uint8_t *)(0x426606A4UL))
#define bFM3_GPIO_PFRD_P9                         *((volatile  uint8_t *)(0x426606A4UL))
#define bFM_GPIO_PFRD_PA                          *((volatile  uint8_t *)(0x426606A8UL))
#define bFM3_GPIO_PFRD_PA                         *((volatile  uint8_t *)(0x426606A8UL))
#define bFM_GPIO_PFRD_PB                          *((volatile  uint8_t *)(0x426606ACUL))
#define bFM3_GPIO_PFRD_PB                         *((volatile  uint8_t *)(0x426606ACUL))
#define bFM_GPIO_PFRD_PC                          *((volatile  uint8_t *)(0x426606B0UL))
#define bFM3_GPIO_PFRD_PC                         *((volatile  uint8_t *)(0x426606B0UL))
#define bFM_GPIO_PFRD_PD                          *((volatile  uint8_t *)(0x426606B4UL))
#define bFM3_GPIO_PFRD_PD                         *((volatile  uint8_t *)(0x426606B4UL))
#define bFM_GPIO_PFRD_PE                          *((volatile  uint8_t *)(0x426606B8UL))
#define bFM3_GPIO_PFRD_PE                         *((volatile  uint8_t *)(0x426606B8UL))
#define bFM_GPIO_PFRD_PF                          *((volatile  uint8_t *)(0x426606BCUL))
#define bFM3_GPIO_PFRD_PF                         *((volatile  uint8_t *)(0x426606BCUL))

#define bFM_GPIO_PFRE_P0                          *((volatile  uint8_t *)(0x42660700UL))
#define bFM3_GPIO_PFRE_P0                         *((volatile  uint8_t *)(0x42660700UL))
#define bFM_GPIO_PFRE_P1                          *((volatile  uint8_t *)(0x42660704UL))
#define bFM3_GPIO_PFRE_P1                         *((volatile  uint8_t *)(0x42660704UL))
#define bFM_GPIO_PFRE_P2                          *((volatile  uint8_t *)(0x42660708UL))
#define bFM3_GPIO_PFRE_P2                         *((volatile  uint8_t *)(0x42660708UL))
#define bFM_GPIO_PFRE_P3                          *((volatile  uint8_t *)(0x4266070CUL))
#define bFM3_GPIO_PFRE_P3                         *((volatile  uint8_t *)(0x4266070CUL))
#define bFM_GPIO_PFRE_P4                          *((volatile  uint8_t *)(0x42660710UL))
#define bFM3_GPIO_PFRE_P4                         *((volatile  uint8_t *)(0x42660710UL))
#define bFM_GPIO_PFRE_P5                          *((volatile  uint8_t *)(0x42660714UL))
#define bFM3_GPIO_PFRE_P5                         *((volatile  uint8_t *)(0x42660714UL))
#define bFM_GPIO_PFRE_P6                          *((volatile  uint8_t *)(0x42660718UL))
#define bFM3_GPIO_PFRE_P6                         *((volatile  uint8_t *)(0x42660718UL))
#define bFM_GPIO_PFRE_P7                          *((volatile  uint8_t *)(0x4266071CUL))
#define bFM3_GPIO_PFRE_P7                         *((volatile  uint8_t *)(0x4266071CUL))
#define bFM_GPIO_PFRE_P8                          *((volatile  uint8_t *)(0x42660720UL))
#define bFM3_GPIO_PFRE_P8                         *((volatile  uint8_t *)(0x42660720UL))
#define bFM_GPIO_PFRE_P9                          *((volatile  uint8_t *)(0x42660724UL))
#define bFM3_GPIO_PFRE_P9                         *((volatile  uint8_t *)(0x42660724UL))
#define bFM_GPIO_PFRE_PA                          *((volatile  uint8_t *)(0x42660728UL))
#define bFM3_GPIO_PFRE_PA                         *((volatile  uint8_t *)(0x42660728UL))
#define bFM_GPIO_PFRE_PB                          *((volatile  uint8_t *)(0x4266072CUL))
#define bFM3_GPIO_PFRE_PB                         *((volatile  uint8_t *)(0x4266072CUL))
#define bFM_GPIO_PFRE_PC                          *((volatile  uint8_t *)(0x42660730UL))
#define bFM3_GPIO_PFRE_PC                         *((volatile  uint8_t *)(0x42660730UL))
#define bFM_GPIO_PFRE_PD                          *((volatile  uint8_t *)(0x42660734UL))
#define bFM3_GPIO_PFRE_PD                         *((volatile  uint8_t *)(0x42660734UL))
#define bFM_GPIO_PFRE_PE                          *((volatile  uint8_t *)(0x42660738UL))
#define bFM3_GPIO_PFRE_PE                         *((volatile  uint8_t *)(0x42660738UL))
#define bFM_GPIO_PFRE_PF                          *((volatile  uint8_t *)(0x4266073CUL))
#define bFM3_GPIO_PFRE_PF                         *((volatile  uint8_t *)(0x4266073CUL))

#define bFM_GPIO_PFRF_P0                          *((volatile  uint8_t *)(0x42660780UL))
#define bFM3_GPIO_PFRF_P0                         *((volatile  uint8_t *)(0x42660780UL))
#define bFM_GPIO_PFRF_P1                          *((volatile  uint8_t *)(0x42660784UL))
#define bFM3_GPIO_PFRF_P1                         *((volatile  uint8_t *)(0x42660784UL))
#define bFM_GPIO_PFRF_P2                          *((volatile  uint8_t *)(0x42660788UL))
#define bFM3_GPIO_PFRF_P2                         *((volatile  uint8_t *)(0x42660788UL))
#define bFM_GPIO_PFRF_P3                          *((volatile  uint8_t *)(0x4266078CUL))
#define bFM3_GPIO_PFRF_P3                         *((volatile  uint8_t *)(0x4266078CUL))
#define bFM_GPIO_PFRF_P4                          *((volatile  uint8_t *)(0x42660790UL))
#define bFM3_GPIO_PFRF_P4                         *((volatile  uint8_t *)(0x42660790UL))
#define bFM_GPIO_PFRF_P5                          *((volatile  uint8_t *)(0x42660794UL))
#define bFM3_GPIO_PFRF_P5                         *((volatile  uint8_t *)(0x42660794UL))
#define bFM_GPIO_PFRF_P6                          *((volatile  uint8_t *)(0x42660798UL))
#define bFM3_GPIO_PFRF_P6                         *((volatile  uint8_t *)(0x42660798UL))
#define bFM_GPIO_PFRF_P7                          *((volatile  uint8_t *)(0x4266079CUL))
#define bFM3_GPIO_PFRF_P7                         *((volatile  uint8_t *)(0x4266079CUL))
#define bFM_GPIO_PFRF_P8                          *((volatile  uint8_t *)(0x426607A0UL))
#define bFM3_GPIO_PFRF_P8                         *((volatile  uint8_t *)(0x426607A0UL))
#define bFM_GPIO_PFRF_P9                          *((volatile  uint8_t *)(0x426607A4UL))
#define bFM3_GPIO_PFRF_P9                         *((volatile  uint8_t *)(0x426607A4UL))
#define bFM_GPIO_PFRF_PA                          *((volatile  uint8_t *)(0x426607A8UL))
#define bFM3_GPIO_PFRF_PA                         *((volatile  uint8_t *)(0x426607A8UL))
#define bFM_GPIO_PFRF_PB                          *((volatile  uint8_t *)(0x426607ACUL))
#define bFM3_GPIO_PFRF_PB                         *((volatile  uint8_t *)(0x426607ACUL))
#define bFM_GPIO_PFRF_PC                          *((volatile  uint8_t *)(0x426607B0UL))
#define bFM3_GPIO_PFRF_PC                         *((volatile  uint8_t *)(0x426607B0UL))
#define bFM_GPIO_PFRF_PD                          *((volatile  uint8_t *)(0x426607B4UL))
#define bFM3_GPIO_PFRF_PD                         *((volatile  uint8_t *)(0x426607B4UL))
#define bFM_GPIO_PFRF_PE                          *((volatile  uint8_t *)(0x426607B8UL))
#define bFM3_GPIO_PFRF_PE                         *((volatile  uint8_t *)(0x426607B8UL))
#define bFM_GPIO_PFRF_PF                          *((volatile  uint8_t *)(0x426607BCUL))
#define bFM3_GPIO_PFRF_PF                         *((volatile  uint8_t *)(0x426607BCUL))

#define bFM_GPIO_PZR0_P0                          *((volatile  uint8_t *)(0x4266E000UL))
#define bFM3_GPIO_PZR0_P0                         *((volatile  uint8_t *)(0x4266E000UL))
#define bFM_GPIO_PZR0_P1                          *((volatile  uint8_t *)(0x4266E004UL))
#define bFM3_GPIO_PZR0_P1                         *((volatile  uint8_t *)(0x4266E004UL))
#define bFM_GPIO_PZR0_P2                          *((volatile  uint8_t *)(0x4266E008UL))
#define bFM3_GPIO_PZR0_P2                         *((volatile  uint8_t *)(0x4266E008UL))
#define bFM_GPIO_PZR0_P3                          *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM3_GPIO_PZR0_P3                         *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM_GPIO_PZR0_P4                          *((volatile  uint8_t *)(0x4266E010UL))
#define bFM3_GPIO_PZR0_P4                         *((volatile  uint8_t *)(0x4266E010UL))
#define bFM_GPIO_PZR0_P5                          *((volatile  uint8_t *)(0x4266E014UL))
#define bFM3_GPIO_PZR0_P5                         *((volatile  uint8_t *)(0x4266E014UL))
#define bFM_GPIO_PZR0_P6                          *((volatile  uint8_t *)(0x4266E018UL))
#define bFM3_GPIO_PZR0_P6                         *((volatile  uint8_t *)(0x4266E018UL))
#define bFM_GPIO_PZR0_P7                          *((volatile  uint8_t *)(0x4266E01CUL))
#define bFM3_GPIO_PZR0_P7                         *((volatile  uint8_t *)(0x4266E01CUL))
#define bFM_GPIO_PZR0_P8                          *((volatile  uint8_t *)(0x4266E020UL))
#define bFM3_GPIO_PZR0_P8                         *((volatile  uint8_t *)(0x4266E020UL))
#define bFM_GPIO_PZR0_P9                          *((volatile  uint8_t *)(0x4266E024UL))
#define bFM3_GPIO_PZR0_P9                         *((volatile  uint8_t *)(0x4266E024UL))
#define bFM_GPIO_PZR0_PA                          *((volatile  uint8_t *)(0x4266E028UL))
#define bFM3_GPIO_PZR0_PA                         *((volatile  uint8_t *)(0x4266E028UL))
#define bFM_GPIO_PZR0_PB                          *((volatile  uint8_t *)(0x4266E02CUL))
#define bFM3_GPIO_PZR0_PB                         *((volatile  uint8_t *)(0x4266E02CUL))
#define bFM_GPIO_PZR0_PC                          *((volatile  uint8_t *)(0x4266E030UL))
#define bFM3_GPIO_PZR0_PC                         *((volatile  uint8_t *)(0x4266E030UL))
#define bFM_GPIO_PZR0_PD                          *((volatile  uint8_t *)(0x4266E034UL))
#define bFM3_GPIO_PZR0_PD                         *((volatile  uint8_t *)(0x4266E034UL))
#define bFM_GPIO_PZR0_PE                          *((volatile  uint8_t *)(0x4266E038UL))
#define bFM3_GPIO_PZR0_PE                         *((volatile  uint8_t *)(0x4266E038UL))
#define bFM_GPIO_PZR0_PF                          *((volatile  uint8_t *)(0x4266E03CUL))
#define bFM3_GPIO_PZR0_PF                         *((volatile  uint8_t *)(0x4266E03CUL))

#define bFM_GPIO_PZR1_P0                          *((volatile  uint8_t *)(0x4266E080UL))
#define bFM3_GPIO_PZR1_P0                         *((volatile  uint8_t *)(0x4266E080UL))
#define bFM_GPIO_PZR1_P1                          *((volatile  uint8_t *)(0x4266E084UL))
#define bFM3_GPIO_PZR1_P1                         *((volatile  uint8_t *)(0x4266E084UL))
#define bFM_GPIO_PZR1_P2                          *((volatile  uint8_t *)(0x4266E088UL))
#define bFM3_GPIO_PZR1_P2                         *((volatile  uint8_t *)(0x4266E088UL))
#define bFM_GPIO_PZR1_P3                          *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM3_GPIO_PZR1_P3                         *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM_GPIO_PZR1_P4                          *((volatile  uint8_t *)(0x4266E090UL))
#define bFM3_GPIO_PZR1_P4                         *((volatile  uint8_t *)(0x4266E090UL))
#define bFM_GPIO_PZR1_P5                          *((volatile  uint8_t *)(0x4266E094UL))
#define bFM3_GPIO_PZR1_P5                         *((volatile  uint8_t *)(0x4266E094UL))
#define bFM_GPIO_PZR1_P6                          *((volatile  uint8_t *)(0x4266E098UL))
#define bFM3_GPIO_PZR1_P6                         *((volatile  uint8_t *)(0x4266E098UL))
#define bFM_GPIO_PZR1_P7                          *((volatile  uint8_t *)(0x4266E09CUL))
#define bFM3_GPIO_PZR1_P7                         *((volatile  uint8_t *)(0x4266E09CUL))
#define bFM_GPIO_PZR1_P8                          *((volatile  uint8_t *)(0x4266E0A0UL))
#define bFM3_GPIO_PZR1_P8                         *((volatile  uint8_t *)(0x4266E0A0UL))
#define bFM_GPIO_PZR1_P9                          *((volatile  uint8_t *)(0x4266E0A4UL))
#define bFM3_GPIO_PZR1_P9                         *((volatile  uint8_t *)(0x4266E0A4UL))
#define bFM_GPIO_PZR1_PA                          *((volatile  uint8_t *)(0x4266E0A8UL))
#define bFM3_GPIO_PZR1_PA                         *((volatile  uint8_t *)(0x4266E0A8UL))
#define bFM_GPIO_PZR1_PB                          *((volatile  uint8_t *)(0x4266E0ACUL))
#define bFM3_GPIO_PZR1_PB                         *((volatile  uint8_t *)(0x4266E0ACUL))
#define bFM_GPIO_PZR1_PC                          *((volatile  uint8_t *)(0x4266E0B0UL))
#define bFM3_GPIO_PZR1_PC                         *((volatile  uint8_t *)(0x4266E0B0UL))
#define bFM_GPIO_PZR1_PD                          *((volatile  uint8_t *)(0x4266E0B4UL))
#define bFM3_GPIO_PZR1_PD                         *((volatile  uint8_t *)(0x4266E0B4UL))
#define bFM_GPIO_PZR1_PE                          *((volatile  uint8_t *)(0x4266E0B8UL))
#define bFM3_GPIO_PZR1_PE                         *((volatile  uint8_t *)(0x4266E0B8UL))
#define bFM_GPIO_PZR1_PF                          *((volatile  uint8_t *)(0x4266E0BCUL))
#define bFM3_GPIO_PZR1_PF                         *((volatile  uint8_t *)(0x4266E0BCUL))

#define bFM_GPIO_PZR2_P0                          *((volatile  uint8_t *)(0x4266E100UL))
#define bFM3_GPIO_PZR2_P0                         *((volatile  uint8_t *)(0x4266E100UL))
#define bFM_GPIO_PZR2_P1                          *((volatile  uint8_t *)(0x4266E104UL))
#define bFM3_GPIO_PZR2_P1                         *((volatile  uint8_t *)(0x4266E104UL))
#define bFM_GPIO_PZR2_P2                          *((volatile  uint8_t *)(0x4266E108UL))
#define bFM3_GPIO_PZR2_P2                         *((volatile  uint8_t *)(0x4266E108UL))
#define bFM_GPIO_PZR2_P3                          *((volatile  uint8_t *)(0x4266E10CUL))
#define bFM3_GPIO_PZR2_P3                         *((volatile  uint8_t *)(0x4266E10CUL))
#define bFM_GPIO_PZR2_P4                          *((volatile  uint8_t *)(0x4266E110UL))
#define bFM3_GPIO_PZR2_P4                         *((volatile  uint8_t *)(0x4266E110UL))
#define bFM_GPIO_PZR2_P5                          *((volatile  uint8_t *)(0x4266E114UL))
#define bFM3_GPIO_PZR2_P5                         *((volatile  uint8_t *)(0x4266E114UL))
#define bFM_GPIO_PZR2_P6                          *((volatile  uint8_t *)(0x4266E118UL))
#define bFM3_GPIO_PZR2_P6                         *((volatile  uint8_t *)(0x4266E118UL))
#define bFM_GPIO_PZR2_P7                          *((volatile  uint8_t *)(0x4266E11CUL))
#define bFM3_GPIO_PZR2_P7                         *((volatile  uint8_t *)(0x4266E11CUL))
#define bFM_GPIO_PZR2_P8                          *((volatile  uint8_t *)(0x4266E120UL))
#define bFM3_GPIO_PZR2_P8                         *((volatile  uint8_t *)(0x4266E120UL))
#define bFM_GPIO_PZR2_P9                          *((volatile  uint8_t *)(0x4266E124UL))
#define bFM3_GPIO_PZR2_P9                         *((volatile  uint8_t *)(0x4266E124UL))
#define bFM_GPIO_PZR2_PA                          *((volatile  uint8_t *)(0x4266E128UL))
#define bFM3_GPIO_PZR2_PA                         *((volatile  uint8_t *)(0x4266E128UL))
#define bFM_GPIO_PZR2_PB                          *((volatile  uint8_t *)(0x4266E12CUL))
#define bFM3_GPIO_PZR2_PB                         *((volatile  uint8_t *)(0x4266E12CUL))
#define bFM_GPIO_PZR2_PC                          *((volatile  uint8_t *)(0x4266E130UL))
#define bFM3_GPIO_PZR2_PC                         *((volatile  uint8_t *)(0x4266E130UL))
#define bFM_GPIO_PZR2_PD                          *((volatile  uint8_t *)(0x4266E134UL))
#define bFM3_GPIO_PZR2_PD                         *((volatile  uint8_t *)(0x4266E134UL))
#define bFM_GPIO_PZR2_PE                          *((volatile  uint8_t *)(0x4266E138UL))
#define bFM3_GPIO_PZR2_PE                         *((volatile  uint8_t *)(0x4266E138UL))
#define bFM_GPIO_PZR2_PF                          *((volatile  uint8_t *)(0x4266E13CUL))
#define bFM3_GPIO_PZR2_PF                         *((volatile  uint8_t *)(0x4266E13CUL))

#define bFM_GPIO_PZR3_P0                          *((volatile  uint8_t *)(0x4266E180UL))
#define bFM3_GPIO_PZR3_P0                         *((volatile  uint8_t *)(0x4266E180UL))
#define bFM_GPIO_PZR3_P1                          *((volatile  uint8_t *)(0x4266E184UL))
#define bFM3_GPIO_PZR3_P1                         *((volatile  uint8_t *)(0x4266E184UL))
#define bFM_GPIO_PZR3_P2                          *((volatile  uint8_t *)(0x4266E188UL))
#define bFM3_GPIO_PZR3_P2                         *((volatile  uint8_t *)(0x4266E188UL))
#define bFM_GPIO_PZR3_P3                          *((volatile  uint8_t *)(0x4266E18CUL))
#define bFM3_GPIO_PZR3_P3                         *((volatile  uint8_t *)(0x4266E18CUL))
#define bFM_GPIO_PZR3_P4                          *((volatile  uint8_t *)(0x4266E190UL))
#define bFM3_GPIO_PZR3_P4                         *((volatile  uint8_t *)(0x4266E190UL))
#define bFM_GPIO_PZR3_P5                          *((volatile  uint8_t *)(0x4266E194UL))
#define bFM3_GPIO_PZR3_P5                         *((volatile  uint8_t *)(0x4266E194UL))
#define bFM_GPIO_PZR3_P6                          *((volatile  uint8_t *)(0x4266E198UL))
#define bFM3_GPIO_PZR3_P6                         *((volatile  uint8_t *)(0x4266E198UL))
#define bFM_GPIO_PZR3_P7                          *((volatile  uint8_t *)(0x4266E19CUL))
#define bFM3_GPIO_PZR3_P7                         *((volatile  uint8_t *)(0x4266E19CUL))
#define bFM_GPIO_PZR3_P8                          *((volatile  uint8_t *)(0x4266E1A0UL))
#define bFM3_GPIO_PZR3_P8                         *((volatile  uint8_t *)(0x4266E1A0UL))
#define bFM_GPIO_PZR3_P9                          *((volatile  uint8_t *)(0x4266E1A4UL))
#define bFM3_GPIO_PZR3_P9                         *((volatile  uint8_t *)(0x4266E1A4UL))
#define bFM_GPIO_PZR3_PA                          *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM3_GPIO_PZR3_PA                         *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM_GPIO_PZR3_PB                          *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM3_GPIO_PZR3_PB                         *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM_GPIO_PZR3_PC                          *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM3_GPIO_PZR3_PC                         *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM_GPIO_PZR3_PD                          *((volatile  uint8_t *)(0x4266E1B4UL))
#define bFM3_GPIO_PZR3_PD                         *((volatile  uint8_t *)(0x4266E1B4UL))
#define bFM_GPIO_PZR3_PE                          *((volatile  uint8_t *)(0x4266E1B8UL))
#define bFM3_GPIO_PZR3_PE                         *((volatile  uint8_t *)(0x4266E1B8UL))
#define bFM_GPIO_PZR3_PF                          *((volatile  uint8_t *)(0x4266E1BCUL))
#define bFM3_GPIO_PZR3_PF                         *((volatile  uint8_t *)(0x4266E1BCUL))

#define bFM_GPIO_PZR4_P0                          *((volatile  uint8_t *)(0x4266E200UL))
#define bFM3_GPIO_PZR4_P0                         *((volatile  uint8_t *)(0x4266E200UL))
#define bFM_GPIO_PZR4_P1                          *((volatile  uint8_t *)(0x4266E204UL))
#define bFM3_GPIO_PZR4_P1                         *((volatile  uint8_t *)(0x4266E204UL))
#define bFM_GPIO_PZR4_P2                          *((volatile  uint8_t *)(0x4266E208UL))
#define bFM3_GPIO_PZR4_P2                         *((volatile  uint8_t *)(0x4266E208UL))
#define bFM_GPIO_PZR4_P3                          *((volatile  uint8_t *)(0x4266E20CUL))
#define bFM3_GPIO_PZR4_P3                         *((volatile  uint8_t *)(0x4266E20CUL))
#define bFM_GPIO_PZR4_P4                          *((volatile  uint8_t *)(0x4266E210UL))
#define bFM3_GPIO_PZR4_P4                         *((volatile  uint8_t *)(0x4266E210UL))
#define bFM_GPIO_PZR4_P5                          *((volatile  uint8_t *)(0x4266E214UL))
#define bFM3_GPIO_PZR4_P5                         *((volatile  uint8_t *)(0x4266E214UL))
#define bFM_GPIO_PZR4_P6                          *((volatile  uint8_t *)(0x4266E218UL))
#define bFM3_GPIO_PZR4_P6                         *((volatile  uint8_t *)(0x4266E218UL))
#define bFM_GPIO_PZR4_P7                          *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM3_GPIO_PZR4_P7                         *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM_GPIO_PZR4_P8                          *((volatile  uint8_t *)(0x4266E220UL))
#define bFM3_GPIO_PZR4_P8                         *((volatile  uint8_t *)(0x4266E220UL))
#define bFM_GPIO_PZR4_P9                          *((volatile  uint8_t *)(0x4266E224UL))
#define bFM3_GPIO_PZR4_P9                         *((volatile  uint8_t *)(0x4266E224UL))
#define bFM_GPIO_PZR4_PA                          *((volatile  uint8_t *)(0x4266E228UL))
#define bFM3_GPIO_PZR4_PA                         *((volatile  uint8_t *)(0x4266E228UL))
#define bFM_GPIO_PZR4_PB                          *((volatile  uint8_t *)(0x4266E22CUL))
#define bFM3_GPIO_PZR4_PB                         *((volatile  uint8_t *)(0x4266E22CUL))
#define bFM_GPIO_PZR4_PC                          *((volatile  uint8_t *)(0x4266E230UL))
#define bFM3_GPIO_PZR4_PC                         *((volatile  uint8_t *)(0x4266E230UL))
#define bFM_GPIO_PZR4_PD                          *((volatile  uint8_t *)(0x4266E234UL))
#define bFM3_GPIO_PZR4_PD                         *((volatile  uint8_t *)(0x4266E234UL))
#define bFM_GPIO_PZR4_PE                          *((volatile  uint8_t *)(0x4266E238UL))
#define bFM3_GPIO_PZR4_PE                         *((volatile  uint8_t *)(0x4266E238UL))
#define bFM_GPIO_PZR4_PF                          *((volatile  uint8_t *)(0x4266E23CUL))
#define bFM3_GPIO_PZR4_PF                         *((volatile  uint8_t *)(0x4266E23CUL))

#define bFM_GPIO_PZR5_P0                          *((volatile  uint8_t *)(0x4266E280UL))
#define bFM3_GPIO_PZR5_P0                         *((volatile  uint8_t *)(0x4266E280UL))
#define bFM_GPIO_PZR5_P1                          *((volatile  uint8_t *)(0x4266E284UL))
#define bFM3_GPIO_PZR5_P1                         *((volatile  uint8_t *)(0x4266E284UL))
#define bFM_GPIO_PZR5_P2                          *((volatile  uint8_t *)(0x4266E288UL))
#define bFM3_GPIO_PZR5_P2                         *((volatile  uint8_t *)(0x4266E288UL))
#define bFM_GPIO_PZR5_P3                          *((volatile  uint8_t *)(0x4266E28CUL))
#define bFM3_GPIO_PZR5_P3                         *((volatile  uint8_t *)(0x4266E28CUL))
#define bFM_GPIO_PZR5_P4                          *((volatile  uint8_t *)(0x4266E290UL))
#define bFM3_GPIO_PZR5_P4                         *((volatile  uint8_t *)(0x4266E290UL))
#define bFM_GPIO_PZR5_P5                          *((volatile  uint8_t *)(0x4266E294UL))
#define bFM3_GPIO_PZR5_P5                         *((volatile  uint8_t *)(0x4266E294UL))
#define bFM_GPIO_PZR5_P6                          *((volatile  uint8_t *)(0x4266E298UL))
#define bFM3_GPIO_PZR5_P6                         *((volatile  uint8_t *)(0x4266E298UL))
#define bFM_GPIO_PZR5_P7                          *((volatile  uint8_t *)(0x4266E29CUL))
#define bFM3_GPIO_PZR5_P7                         *((volatile  uint8_t *)(0x4266E29CUL))
#define bFM_GPIO_PZR5_P8                          *((volatile  uint8_t *)(0x4266E2A0UL))
#define bFM3_GPIO_PZR5_P8                         *((volatile  uint8_t *)(0x4266E2A0UL))
#define bFM_GPIO_PZR5_P9                          *((volatile  uint8_t *)(0x4266E2A4UL))
#define bFM3_GPIO_PZR5_P9                         *((volatile  uint8_t *)(0x4266E2A4UL))
#define bFM_GPIO_PZR5_PA                          *((volatile  uint8_t *)(0x4266E2A8UL))
#define bFM3_GPIO_PZR5_PA                         *((volatile  uint8_t *)(0x4266E2A8UL))
#define bFM_GPIO_PZR5_PB                          *((volatile  uint8_t *)(0x4266E2ACUL))
#define bFM3_GPIO_PZR5_PB                         *((volatile  uint8_t *)(0x4266E2ACUL))
#define bFM_GPIO_PZR5_PC                          *((volatile  uint8_t *)(0x4266E2B0UL))
#define bFM3_GPIO_PZR5_PC                         *((volatile  uint8_t *)(0x4266E2B0UL))
#define bFM_GPIO_PZR5_PD                          *((volatile  uint8_t *)(0x4266E2B4UL))
#define bFM3_GPIO_PZR5_PD                         *((volatile  uint8_t *)(0x4266E2B4UL))
#define bFM_GPIO_PZR5_PE                          *((volatile  uint8_t *)(0x4266E2B8UL))
#define bFM3_GPIO_PZR5_PE                         *((volatile  uint8_t *)(0x4266E2B8UL))
#define bFM_GPIO_PZR5_PF                          *((volatile  uint8_t *)(0x4266E2BCUL))
#define bFM3_GPIO_PZR5_PF                         *((volatile  uint8_t *)(0x4266E2BCUL))

#define bFM_GPIO_PZR6_P0                          *((volatile  uint8_t *)(0x4266E300UL))
#define bFM3_GPIO_PZR6_P0                         *((volatile  uint8_t *)(0x4266E300UL))
#define bFM_GPIO_PZR6_P1                          *((volatile  uint8_t *)(0x4266E304UL))
#define bFM3_GPIO_PZR6_P1                         *((volatile  uint8_t *)(0x4266E304UL))
#define bFM_GPIO_PZR6_P2                          *((volatile  uint8_t *)(0x4266E308UL))
#define bFM3_GPIO_PZR6_P2                         *((volatile  uint8_t *)(0x4266E308UL))
#define bFM_GPIO_PZR6_P3                          *((volatile  uint8_t *)(0x4266E30CUL))
#define bFM3_GPIO_PZR6_P3                         *((volatile  uint8_t *)(0x4266E30CUL))
#define bFM_GPIO_PZR6_P4                          *((volatile  uint8_t *)(0x4266E310UL))
#define bFM3_GPIO_PZR6_P4                         *((volatile  uint8_t *)(0x4266E310UL))
#define bFM_GPIO_PZR6_P5                          *((volatile  uint8_t *)(0x4266E314UL))
#define bFM3_GPIO_PZR6_P5                         *((volatile  uint8_t *)(0x4266E314UL))
#define bFM_GPIO_PZR6_P6                          *((volatile  uint8_t *)(0x4266E318UL))
#define bFM3_GPIO_PZR6_P6                         *((volatile  uint8_t *)(0x4266E318UL))
#define bFM_GPIO_PZR6_P7                          *((volatile  uint8_t *)(0x4266E31CUL))
#define bFM3_GPIO_PZR6_P7                         *((volatile  uint8_t *)(0x4266E31CUL))
#define bFM_GPIO_PZR6_P8                          *((volatile  uint8_t *)(0x4266E320UL))
#define bFM3_GPIO_PZR6_P8                         *((volatile  uint8_t *)(0x4266E320UL))
#define bFM_GPIO_PZR6_P9                          *((volatile  uint8_t *)(0x4266E324UL))
#define bFM3_GPIO_PZR6_P9                         *((volatile  uint8_t *)(0x4266E324UL))
#define bFM_GPIO_PZR6_PA                          *((volatile  uint8_t *)(0x4266E328UL))
#define bFM3_GPIO_PZR6_PA                         *((volatile  uint8_t *)(0x4266E328UL))
#define bFM_GPIO_PZR6_PB                          *((volatile  uint8_t *)(0x4266E32CUL))
#define bFM3_GPIO_PZR6_PB                         *((volatile  uint8_t *)(0x4266E32CUL))
#define bFM_GPIO_PZR6_PC                          *((volatile  uint8_t *)(0x4266E330UL))
#define bFM3_GPIO_PZR6_PC                         *((volatile  uint8_t *)(0x4266E330UL))
#define bFM_GPIO_PZR6_PD                          *((volatile  uint8_t *)(0x4266E334UL))
#define bFM3_GPIO_PZR6_PD                         *((volatile  uint8_t *)(0x4266E334UL))
#define bFM_GPIO_PZR6_PE                          *((volatile  uint8_t *)(0x4266E338UL))
#define bFM3_GPIO_PZR6_PE                         *((volatile  uint8_t *)(0x4266E338UL))
#define bFM_GPIO_PZR6_PF                          *((volatile  uint8_t *)(0x4266E33CUL))
#define bFM3_GPIO_PZR6_PF                         *((volatile  uint8_t *)(0x4266E33CUL))

#define bFM_GPIO_PZR7_P0                          *((volatile  uint8_t *)(0x4266E380UL))
#define bFM3_GPIO_PZR7_P0                         *((volatile  uint8_t *)(0x4266E380UL))
#define bFM_GPIO_PZR7_P1                          *((volatile  uint8_t *)(0x4266E384UL))
#define bFM3_GPIO_PZR7_P1                         *((volatile  uint8_t *)(0x4266E384UL))
#define bFM_GPIO_PZR7_P2                          *((volatile  uint8_t *)(0x4266E388UL))
#define bFM3_GPIO_PZR7_P2                         *((volatile  uint8_t *)(0x4266E388UL))
#define bFM_GPIO_PZR7_P3                          *((volatile  uint8_t *)(0x4266E38CUL))
#define bFM3_GPIO_PZR7_P3                         *((volatile  uint8_t *)(0x4266E38CUL))
#define bFM_GPIO_PZR7_P4                          *((volatile  uint8_t *)(0x4266E390UL))
#define bFM3_GPIO_PZR7_P4                         *((volatile  uint8_t *)(0x4266E390UL))
#define bFM_GPIO_PZR7_P5                          *((volatile  uint8_t *)(0x4266E394UL))
#define bFM3_GPIO_PZR7_P5                         *((volatile  uint8_t *)(0x4266E394UL))
#define bFM_GPIO_PZR7_P6                          *((volatile  uint8_t *)(0x4266E398UL))
#define bFM3_GPIO_PZR7_P6                         *((volatile  uint8_t *)(0x4266E398UL))
#define bFM_GPIO_PZR7_P7                          *((volatile  uint8_t *)(0x4266E39CUL))
#define bFM3_GPIO_PZR7_P7                         *((volatile  uint8_t *)(0x4266E39CUL))
#define bFM_GPIO_PZR7_P8                          *((volatile  uint8_t *)(0x4266E3A0UL))
#define bFM3_GPIO_PZR7_P8                         *((volatile  uint8_t *)(0x4266E3A0UL))
#define bFM_GPIO_PZR7_P9                          *((volatile  uint8_t *)(0x4266E3A4UL))
#define bFM3_GPIO_PZR7_P9                         *((volatile  uint8_t *)(0x4266E3A4UL))
#define bFM_GPIO_PZR7_PA                          *((volatile  uint8_t *)(0x4266E3A8UL))
#define bFM3_GPIO_PZR7_PA                         *((volatile  uint8_t *)(0x4266E3A8UL))
#define bFM_GPIO_PZR7_PB                          *((volatile  uint8_t *)(0x4266E3ACUL))
#define bFM3_GPIO_PZR7_PB                         *((volatile  uint8_t *)(0x4266E3ACUL))
#define bFM_GPIO_PZR7_PC                          *((volatile  uint8_t *)(0x4266E3B0UL))
#define bFM3_GPIO_PZR7_PC                         *((volatile  uint8_t *)(0x4266E3B0UL))
#define bFM_GPIO_PZR7_PD                          *((volatile  uint8_t *)(0x4266E3B4UL))
#define bFM3_GPIO_PZR7_PD                         *((volatile  uint8_t *)(0x4266E3B4UL))
#define bFM_GPIO_PZR7_PE                          *((volatile  uint8_t *)(0x4266E3B8UL))
#define bFM3_GPIO_PZR7_PE                         *((volatile  uint8_t *)(0x4266E3B8UL))
#define bFM_GPIO_PZR7_PF                          *((volatile  uint8_t *)(0x4266E3BCUL))
#define bFM3_GPIO_PZR7_PF                         *((volatile  uint8_t *)(0x4266E3BCUL))

#define bFM_GPIO_PZR8_P0                          *((volatile  uint8_t *)(0x4266E400UL))
#define bFM3_GPIO_PZR8_P0                         *((volatile  uint8_t *)(0x4266E400UL))
#define bFM_GPIO_PZR8_P1                          *((volatile  uint8_t *)(0x4266E404UL))
#define bFM3_GPIO_PZR8_P1                         *((volatile  uint8_t *)(0x4266E404UL))
#define bFM_GPIO_PZR8_P2                          *((volatile  uint8_t *)(0x4266E408UL))
#define bFM3_GPIO_PZR8_P2                         *((volatile  uint8_t *)(0x4266E408UL))
#define bFM_GPIO_PZR8_P3                          *((volatile  uint8_t *)(0x4266E40CUL))
#define bFM3_GPIO_PZR8_P3                         *((volatile  uint8_t *)(0x4266E40CUL))
#define bFM_GPIO_PZR8_P4                          *((volatile  uint8_t *)(0x4266E410UL))
#define bFM3_GPIO_PZR8_P4                         *((volatile  uint8_t *)(0x4266E410UL))
#define bFM_GPIO_PZR8_P5                          *((volatile  uint8_t *)(0x4266E414UL))
#define bFM3_GPIO_PZR8_P5                         *((volatile  uint8_t *)(0x4266E414UL))
#define bFM_GPIO_PZR8_P6                          *((volatile  uint8_t *)(0x4266E418UL))
#define bFM3_GPIO_PZR8_P6                         *((volatile  uint8_t *)(0x4266E418UL))
#define bFM_GPIO_PZR8_P7                          *((volatile  uint8_t *)(0x4266E41CUL))
#define bFM3_GPIO_PZR8_P7                         *((volatile  uint8_t *)(0x4266E41CUL))
#define bFM_GPIO_PZR8_P8                          *((volatile  uint8_t *)(0x4266E420UL))
#define bFM3_GPIO_PZR8_P8                         *((volatile  uint8_t *)(0x4266E420UL))
#define bFM_GPIO_PZR8_P9                          *((volatile  uint8_t *)(0x4266E424UL))
#define bFM3_GPIO_PZR8_P9                         *((volatile  uint8_t *)(0x4266E424UL))
#define bFM_GPIO_PZR8_PA                          *((volatile  uint8_t *)(0x4266E428UL))
#define bFM3_GPIO_PZR8_PA                         *((volatile  uint8_t *)(0x4266E428UL))
#define bFM_GPIO_PZR8_PB                          *((volatile  uint8_t *)(0x4266E42CUL))
#define bFM3_GPIO_PZR8_PB                         *((volatile  uint8_t *)(0x4266E42CUL))
#define bFM_GPIO_PZR8_PC                          *((volatile  uint8_t *)(0x4266E430UL))
#define bFM3_GPIO_PZR8_PC                         *((volatile  uint8_t *)(0x4266E430UL))
#define bFM_GPIO_PZR8_PD                          *((volatile  uint8_t *)(0x4266E434UL))
#define bFM3_GPIO_PZR8_PD                         *((volatile  uint8_t *)(0x4266E434UL))
#define bFM_GPIO_PZR8_PE                          *((volatile  uint8_t *)(0x4266E438UL))
#define bFM3_GPIO_PZR8_PE                         *((volatile  uint8_t *)(0x4266E438UL))
#define bFM_GPIO_PZR8_PF                          *((volatile  uint8_t *)(0x4266E43CUL))
#define bFM3_GPIO_PZR8_PF                         *((volatile  uint8_t *)(0x4266E43CUL))

#define bFM_GPIO_PZR9_P0                          *((volatile  uint8_t *)(0x4266E480UL))
#define bFM3_GPIO_PZR9_P0                         *((volatile  uint8_t *)(0x4266E480UL))
#define bFM_GPIO_PZR9_P1                          *((volatile  uint8_t *)(0x4266E484UL))
#define bFM3_GPIO_PZR9_P1                         *((volatile  uint8_t *)(0x4266E484UL))
#define bFM_GPIO_PZR9_P2                          *((volatile  uint8_t *)(0x4266E488UL))
#define bFM3_GPIO_PZR9_P2                         *((volatile  uint8_t *)(0x4266E488UL))
#define bFM_GPIO_PZR9_P3                          *((volatile  uint8_t *)(0x4266E48CUL))
#define bFM3_GPIO_PZR9_P3                         *((volatile  uint8_t *)(0x4266E48CUL))
#define bFM_GPIO_PZR9_P4                          *((volatile  uint8_t *)(0x4266E490UL))
#define bFM3_GPIO_PZR9_P4                         *((volatile  uint8_t *)(0x4266E490UL))
#define bFM_GPIO_PZR9_P5                          *((volatile  uint8_t *)(0x4266E494UL))
#define bFM3_GPIO_PZR9_P5                         *((volatile  uint8_t *)(0x4266E494UL))
#define bFM_GPIO_PZR9_P6                          *((volatile  uint8_t *)(0x4266E498UL))
#define bFM3_GPIO_PZR9_P6                         *((volatile  uint8_t *)(0x4266E498UL))
#define bFM_GPIO_PZR9_P7                          *((volatile  uint8_t *)(0x4266E49CUL))
#define bFM3_GPIO_PZR9_P7                         *((volatile  uint8_t *)(0x4266E49CUL))
#define bFM_GPIO_PZR9_P8                          *((volatile  uint8_t *)(0x4266E4A0UL))
#define bFM3_GPIO_PZR9_P8                         *((volatile  uint8_t *)(0x4266E4A0UL))
#define bFM_GPIO_PZR9_P9                          *((volatile  uint8_t *)(0x4266E4A4UL))
#define bFM3_GPIO_PZR9_P9                         *((volatile  uint8_t *)(0x4266E4A4UL))
#define bFM_GPIO_PZR9_PA                          *((volatile  uint8_t *)(0x4266E4A8UL))
#define bFM3_GPIO_PZR9_PA                         *((volatile  uint8_t *)(0x4266E4A8UL))
#define bFM_GPIO_PZR9_PB                          *((volatile  uint8_t *)(0x4266E4ACUL))
#define bFM3_GPIO_PZR9_PB                         *((volatile  uint8_t *)(0x4266E4ACUL))
#define bFM_GPIO_PZR9_PC                          *((volatile  uint8_t *)(0x4266E4B0UL))
#define bFM3_GPIO_PZR9_PC                         *((volatile  uint8_t *)(0x4266E4B0UL))
#define bFM_GPIO_PZR9_PD                          *((volatile  uint8_t *)(0x4266E4B4UL))
#define bFM3_GPIO_PZR9_PD                         *((volatile  uint8_t *)(0x4266E4B4UL))
#define bFM_GPIO_PZR9_PE                          *((volatile  uint8_t *)(0x4266E4B8UL))
#define bFM3_GPIO_PZR9_PE                         *((volatile  uint8_t *)(0x4266E4B8UL))
#define bFM_GPIO_PZR9_PF                          *((volatile  uint8_t *)(0x4266E4BCUL))
#define bFM3_GPIO_PZR9_PF                         *((volatile  uint8_t *)(0x4266E4BCUL))

#define bFM_GPIO_PZRA_P0                          *((volatile  uint8_t *)(0x4266E500UL))
#define bFM3_GPIO_PZRA_P0                         *((volatile  uint8_t *)(0x4266E500UL))
#define bFM_GPIO_PZRA_P1                          *((volatile  uint8_t *)(0x4266E504UL))
#define bFM3_GPIO_PZRA_P1                         *((volatile  uint8_t *)(0x4266E504UL))
#define bFM_GPIO_PZRA_P2                          *((volatile  uint8_t *)(0x4266E508UL))
#define bFM3_GPIO_PZRA_P2                         *((volatile  uint8_t *)(0x4266E508UL))
#define bFM_GPIO_PZRA_P3                          *((volatile  uint8_t *)(0x4266E50CUL))
#define bFM3_GPIO_PZRA_P3                         *((volatile  uint8_t *)(0x4266E50CUL))
#define bFM_GPIO_PZRA_P4                          *((volatile  uint8_t *)(0x4266E510UL))
#define bFM3_GPIO_PZRA_P4                         *((volatile  uint8_t *)(0x4266E510UL))
#define bFM_GPIO_PZRA_P5                          *((volatile  uint8_t *)(0x4266E514UL))
#define bFM3_GPIO_PZRA_P5                         *((volatile  uint8_t *)(0x4266E514UL))
#define bFM_GPIO_PZRA_P6                          *((volatile  uint8_t *)(0x4266E518UL))
#define bFM3_GPIO_PZRA_P6                         *((volatile  uint8_t *)(0x4266E518UL))
#define bFM_GPIO_PZRA_P7                          *((volatile  uint8_t *)(0x4266E51CUL))
#define bFM3_GPIO_PZRA_P7                         *((volatile  uint8_t *)(0x4266E51CUL))
#define bFM_GPIO_PZRA_P8                          *((volatile  uint8_t *)(0x4266E520UL))
#define bFM3_GPIO_PZRA_P8                         *((volatile  uint8_t *)(0x4266E520UL))
#define bFM_GPIO_PZRA_P9                          *((volatile  uint8_t *)(0x4266E524UL))
#define bFM3_GPIO_PZRA_P9                         *((volatile  uint8_t *)(0x4266E524UL))
#define bFM_GPIO_PZRA_PA                          *((volatile  uint8_t *)(0x4266E528UL))
#define bFM3_GPIO_PZRA_PA                         *((volatile  uint8_t *)(0x4266E528UL))
#define bFM_GPIO_PZRA_PB                          *((volatile  uint8_t *)(0x4266E52CUL))
#define bFM3_GPIO_PZRA_PB                         *((volatile  uint8_t *)(0x4266E52CUL))
#define bFM_GPIO_PZRA_PC                          *((volatile  uint8_t *)(0x4266E530UL))
#define bFM3_GPIO_PZRA_PC                         *((volatile  uint8_t *)(0x4266E530UL))
#define bFM_GPIO_PZRA_PD                          *((volatile  uint8_t *)(0x4266E534UL))
#define bFM3_GPIO_PZRA_PD                         *((volatile  uint8_t *)(0x4266E534UL))
#define bFM_GPIO_PZRA_PE                          *((volatile  uint8_t *)(0x4266E538UL))
#define bFM3_GPIO_PZRA_PE                         *((volatile  uint8_t *)(0x4266E538UL))
#define bFM_GPIO_PZRA_PF                          *((volatile  uint8_t *)(0x4266E53CUL))
#define bFM3_GPIO_PZRA_PF                         *((volatile  uint8_t *)(0x4266E53CUL))

#define bFM_GPIO_PZRB_P0                          *((volatile  uint8_t *)(0x4266E580UL))
#define bFM3_GPIO_PZRB_P0                         *((volatile  uint8_t *)(0x4266E580UL))
#define bFM_GPIO_PZRB_P1                          *((volatile  uint8_t *)(0x4266E584UL))
#define bFM3_GPIO_PZRB_P1                         *((volatile  uint8_t *)(0x4266E584UL))
#define bFM_GPIO_PZRB_P2                          *((volatile  uint8_t *)(0x4266E588UL))
#define bFM3_GPIO_PZRB_P2                         *((volatile  uint8_t *)(0x4266E588UL))
#define bFM_GPIO_PZRB_P3                          *((volatile  uint8_t *)(0x4266E58CUL))
#define bFM3_GPIO_PZRB_P3                         *((volatile  uint8_t *)(0x4266E58CUL))
#define bFM_GPIO_PZRB_P4                          *((volatile  uint8_t *)(0x4266E590UL))
#define bFM3_GPIO_PZRB_P4                         *((volatile  uint8_t *)(0x4266E590UL))
#define bFM_GPIO_PZRB_P5                          *((volatile  uint8_t *)(0x4266E594UL))
#define bFM3_GPIO_PZRB_P5                         *((volatile  uint8_t *)(0x4266E594UL))
#define bFM_GPIO_PZRB_P6                          *((volatile  uint8_t *)(0x4266E598UL))
#define bFM3_GPIO_PZRB_P6                         *((volatile  uint8_t *)(0x4266E598UL))
#define bFM_GPIO_PZRB_P7                          *((volatile  uint8_t *)(0x4266E59CUL))
#define bFM3_GPIO_PZRB_P7                         *((volatile  uint8_t *)(0x4266E59CUL))
#define bFM_GPIO_PZRB_P8                          *((volatile  uint8_t *)(0x4266E5A0UL))
#define bFM3_GPIO_PZRB_P8                         *((volatile  uint8_t *)(0x4266E5A0UL))
#define bFM_GPIO_PZRB_P9                          *((volatile  uint8_t *)(0x4266E5A4UL))
#define bFM3_GPIO_PZRB_P9                         *((volatile  uint8_t *)(0x4266E5A4UL))
#define bFM_GPIO_PZRB_PA                          *((volatile  uint8_t *)(0x4266E5A8UL))
#define bFM3_GPIO_PZRB_PA                         *((volatile  uint8_t *)(0x4266E5A8UL))
#define bFM_GPIO_PZRB_PB                          *((volatile  uint8_t *)(0x4266E5ACUL))
#define bFM3_GPIO_PZRB_PB                         *((volatile  uint8_t *)(0x4266E5ACUL))
#define bFM_GPIO_PZRB_PC                          *((volatile  uint8_t *)(0x4266E5B0UL))
#define bFM3_GPIO_PZRB_PC                         *((volatile  uint8_t *)(0x4266E5B0UL))
#define bFM_GPIO_PZRB_PD                          *((volatile  uint8_t *)(0x4266E5B4UL))
#define bFM3_GPIO_PZRB_PD                         *((volatile  uint8_t *)(0x4266E5B4UL))
#define bFM_GPIO_PZRB_PE                          *((volatile  uint8_t *)(0x4266E5B8UL))
#define bFM3_GPIO_PZRB_PE                         *((volatile  uint8_t *)(0x4266E5B8UL))
#define bFM_GPIO_PZRB_PF                          *((volatile  uint8_t *)(0x4266E5BCUL))
#define bFM3_GPIO_PZRB_PF                         *((volatile  uint8_t *)(0x4266E5BCUL))

#define bFM_GPIO_PZRC_P0                          *((volatile  uint8_t *)(0x4266E600UL))
#define bFM3_GPIO_PZRC_P0                         *((volatile  uint8_t *)(0x4266E600UL))
#define bFM_GPIO_PZRC_P1                          *((volatile  uint8_t *)(0x4266E604UL))
#define bFM3_GPIO_PZRC_P1                         *((volatile  uint8_t *)(0x4266E604UL))
#define bFM_GPIO_PZRC_P2                          *((volatile  uint8_t *)(0x4266E608UL))
#define bFM3_GPIO_PZRC_P2                         *((volatile  uint8_t *)(0x4266E608UL))
#define bFM_GPIO_PZRC_P3                          *((volatile  uint8_t *)(0x4266E60CUL))
#define bFM3_GPIO_PZRC_P3                         *((volatile  uint8_t *)(0x4266E60CUL))
#define bFM_GPIO_PZRC_P4                          *((volatile  uint8_t *)(0x4266E610UL))
#define bFM3_GPIO_PZRC_P4                         *((volatile  uint8_t *)(0x4266E610UL))
#define bFM_GPIO_PZRC_P5                          *((volatile  uint8_t *)(0x4266E614UL))
#define bFM3_GPIO_PZRC_P5                         *((volatile  uint8_t *)(0x4266E614UL))
#define bFM_GPIO_PZRC_P6                          *((volatile  uint8_t *)(0x4266E618UL))
#define bFM3_GPIO_PZRC_P6                         *((volatile  uint8_t *)(0x4266E618UL))
#define bFM_GPIO_PZRC_P7                          *((volatile  uint8_t *)(0x4266E61CUL))
#define bFM3_GPIO_PZRC_P7                         *((volatile  uint8_t *)(0x4266E61CUL))
#define bFM_GPIO_PZRC_P8                          *((volatile  uint8_t *)(0x4266E620UL))
#define bFM3_GPIO_PZRC_P8                         *((volatile  uint8_t *)(0x4266E620UL))
#define bFM_GPIO_PZRC_P9                          *((volatile  uint8_t *)(0x4266E624UL))
#define bFM3_GPIO_PZRC_P9                         *((volatile  uint8_t *)(0x4266E624UL))
#define bFM_GPIO_PZRC_PA                          *((volatile  uint8_t *)(0x4266E628UL))
#define bFM3_GPIO_PZRC_PA                         *((volatile  uint8_t *)(0x4266E628UL))
#define bFM_GPIO_PZRC_PB                          *((volatile  uint8_t *)(0x4266E62CUL))
#define bFM3_GPIO_PZRC_PB                         *((volatile  uint8_t *)(0x4266E62CUL))
#define bFM_GPIO_PZRC_PC                          *((volatile  uint8_t *)(0x4266E630UL))
#define bFM3_GPIO_PZRC_PC                         *((volatile  uint8_t *)(0x4266E630UL))
#define bFM_GPIO_PZRC_PD                          *((volatile  uint8_t *)(0x4266E634UL))
#define bFM3_GPIO_PZRC_PD                         *((volatile  uint8_t *)(0x4266E634UL))
#define bFM_GPIO_PZRC_PE                          *((volatile  uint8_t *)(0x4266E638UL))
#define bFM3_GPIO_PZRC_PE                         *((volatile  uint8_t *)(0x4266E638UL))
#define bFM_GPIO_PZRC_PF                          *((volatile  uint8_t *)(0x4266E63CUL))
#define bFM3_GPIO_PZRC_PF                         *((volatile  uint8_t *)(0x4266E63CUL))

#define bFM_GPIO_PZRD_P0                          *((volatile  uint8_t *)(0x4266E680UL))
#define bFM3_GPIO_PZRD_P0                         *((volatile  uint8_t *)(0x4266E680UL))
#define bFM_GPIO_PZRD_P1                          *((volatile  uint8_t *)(0x4266E684UL))
#define bFM3_GPIO_PZRD_P1                         *((volatile  uint8_t *)(0x4266E684UL))
#define bFM_GPIO_PZRD_P2                          *((volatile  uint8_t *)(0x4266E688UL))
#define bFM3_GPIO_PZRD_P2                         *((volatile  uint8_t *)(0x4266E688UL))
#define bFM_GPIO_PZRD_P3                          *((volatile  uint8_t *)(0x4266E68CUL))
#define bFM3_GPIO_PZRD_P3                         *((volatile  uint8_t *)(0x4266E68CUL))
#define bFM_GPIO_PZRD_P4                          *((volatile  uint8_t *)(0x4266E690UL))
#define bFM3_GPIO_PZRD_P4                         *((volatile  uint8_t *)(0x4266E690UL))
#define bFM_GPIO_PZRD_P5                          *((volatile  uint8_t *)(0x4266E694UL))
#define bFM3_GPIO_PZRD_P5                         *((volatile  uint8_t *)(0x4266E694UL))
#define bFM_GPIO_PZRD_P6                          *((volatile  uint8_t *)(0x4266E698UL))
#define bFM3_GPIO_PZRD_P6                         *((volatile  uint8_t *)(0x4266E698UL))
#define bFM_GPIO_PZRD_P7                          *((volatile  uint8_t *)(0x4266E69CUL))
#define bFM3_GPIO_PZRD_P7                         *((volatile  uint8_t *)(0x4266E69CUL))
#define bFM_GPIO_PZRD_P8                          *((volatile  uint8_t *)(0x4266E6A0UL))
#define bFM3_GPIO_PZRD_P8                         *((volatile  uint8_t *)(0x4266E6A0UL))
#define bFM_GPIO_PZRD_P9                          *((volatile  uint8_t *)(0x4266E6A4UL))
#define bFM3_GPIO_PZRD_P9                         *((volatile  uint8_t *)(0x4266E6A4UL))
#define bFM_GPIO_PZRD_PA                          *((volatile  uint8_t *)(0x4266E6A8UL))
#define bFM3_GPIO_PZRD_PA                         *((volatile  uint8_t *)(0x4266E6A8UL))
#define bFM_GPIO_PZRD_PB                          *((volatile  uint8_t *)(0x4266E6ACUL))
#define bFM3_GPIO_PZRD_PB                         *((volatile  uint8_t *)(0x4266E6ACUL))
#define bFM_GPIO_PZRD_PC                          *((volatile  uint8_t *)(0x4266E6B0UL))
#define bFM3_GPIO_PZRD_PC                         *((volatile  uint8_t *)(0x4266E6B0UL))
#define bFM_GPIO_PZRD_PD                          *((volatile  uint8_t *)(0x4266E6B4UL))
#define bFM3_GPIO_PZRD_PD                         *((volatile  uint8_t *)(0x4266E6B4UL))
#define bFM_GPIO_PZRD_PE                          *((volatile  uint8_t *)(0x4266E6B8UL))
#define bFM3_GPIO_PZRD_PE                         *((volatile  uint8_t *)(0x4266E6B8UL))
#define bFM_GPIO_PZRD_PF                          *((volatile  uint8_t *)(0x4266E6BCUL))
#define bFM3_GPIO_PZRD_PF                         *((volatile  uint8_t *)(0x4266E6BCUL))

#define bFM_GPIO_PZRE_P0                          *((volatile  uint8_t *)(0x4266E700UL))
#define bFM3_GPIO_PZRE_P0                         *((volatile  uint8_t *)(0x4266E700UL))
#define bFM_GPIO_PZRE_P1                          *((volatile  uint8_t *)(0x4266E704UL))
#define bFM3_GPIO_PZRE_P1                         *((volatile  uint8_t *)(0x4266E704UL))
#define bFM_GPIO_PZRE_P2                          *((volatile  uint8_t *)(0x4266E708UL))
#define bFM3_GPIO_PZRE_P2                         *((volatile  uint8_t *)(0x4266E708UL))
#define bFM_GPIO_PZRE_P3                          *((volatile  uint8_t *)(0x4266E70CUL))
#define bFM3_GPIO_PZRE_P3                         *((volatile  uint8_t *)(0x4266E70CUL))
#define bFM_GPIO_PZRE_P4                          *((volatile  uint8_t *)(0x4266E710UL))
#define bFM3_GPIO_PZRE_P4                         *((volatile  uint8_t *)(0x4266E710UL))
#define bFM_GPIO_PZRE_P5                          *((volatile  uint8_t *)(0x4266E714UL))
#define bFM3_GPIO_PZRE_P5                         *((volatile  uint8_t *)(0x4266E714UL))
#define bFM_GPIO_PZRE_P6                          *((volatile  uint8_t *)(0x4266E718UL))
#define bFM3_GPIO_PZRE_P6                         *((volatile  uint8_t *)(0x4266E718UL))
#define bFM_GPIO_PZRE_P7                          *((volatile  uint8_t *)(0x4266E71CUL))
#define bFM3_GPIO_PZRE_P7                         *((volatile  uint8_t *)(0x4266E71CUL))
#define bFM_GPIO_PZRE_P8                          *((volatile  uint8_t *)(0x4266E720UL))
#define bFM3_GPIO_PZRE_P8                         *((volatile  uint8_t *)(0x4266E720UL))
#define bFM_GPIO_PZRE_P9                          *((volatile  uint8_t *)(0x4266E724UL))
#define bFM3_GPIO_PZRE_P9                         *((volatile  uint8_t *)(0x4266E724UL))
#define bFM_GPIO_PZRE_PA                          *((volatile  uint8_t *)(0x4266E728UL))
#define bFM3_GPIO_PZRE_PA                         *((volatile  uint8_t *)(0x4266E728UL))
#define bFM_GPIO_PZRE_PB                          *((volatile  uint8_t *)(0x4266E72CUL))
#define bFM3_GPIO_PZRE_PB                         *((volatile  uint8_t *)(0x4266E72CUL))
#define bFM_GPIO_PZRE_PC                          *((volatile  uint8_t *)(0x4266E730UL))
#define bFM3_GPIO_PZRE_PC                         *((volatile  uint8_t *)(0x4266E730UL))
#define bFM_GPIO_PZRE_PD                          *((volatile  uint8_t *)(0x4266E734UL))
#define bFM3_GPIO_PZRE_PD                         *((volatile  uint8_t *)(0x4266E734UL))
#define bFM_GPIO_PZRE_PE                          *((volatile  uint8_t *)(0x4266E738UL))
#define bFM3_GPIO_PZRE_PE                         *((volatile  uint8_t *)(0x4266E738UL))
#define bFM_GPIO_PZRE_PF                          *((volatile  uint8_t *)(0x4266E73CUL))
#define bFM3_GPIO_PZRE_PF                         *((volatile  uint8_t *)(0x4266E73CUL))

#define bFM_GPIO_PZRF_P0                          *((volatile  uint8_t *)(0x4266E780UL))
#define bFM3_GPIO_PZRF_P0                         *((volatile  uint8_t *)(0x4266E780UL))
#define bFM_GPIO_PZRF_P1                          *((volatile  uint8_t *)(0x4266E784UL))
#define bFM3_GPIO_PZRF_P1                         *((volatile  uint8_t *)(0x4266E784UL))
#define bFM_GPIO_PZRF_P2                          *((volatile  uint8_t *)(0x4266E788UL))
#define bFM3_GPIO_PZRF_P2                         *((volatile  uint8_t *)(0x4266E788UL))
#define bFM_GPIO_PZRF_P3                          *((volatile  uint8_t *)(0x4266E78CUL))
#define bFM3_GPIO_PZRF_P3                         *((volatile  uint8_t *)(0x4266E78CUL))
#define bFM_GPIO_PZRF_P4                          *((volatile  uint8_t *)(0x4266E790UL))
#define bFM3_GPIO_PZRF_P4                         *((volatile  uint8_t *)(0x4266E790UL))
#define bFM_GPIO_PZRF_P5                          *((volatile  uint8_t *)(0x4266E794UL))
#define bFM3_GPIO_PZRF_P5                         *((volatile  uint8_t *)(0x4266E794UL))
#define bFM_GPIO_PZRF_P6                          *((volatile  uint8_t *)(0x4266E798UL))
#define bFM3_GPIO_PZRF_P6                         *((volatile  uint8_t *)(0x4266E798UL))
#define bFM_GPIO_PZRF_P7                          *((volatile  uint8_t *)(0x4266E79CUL))
#define bFM3_GPIO_PZRF_P7                         *((volatile  uint8_t *)(0x4266E79CUL))
#define bFM_GPIO_PZRF_P8                          *((volatile  uint8_t *)(0x4266E7A0UL))
#define bFM3_GPIO_PZRF_P8                         *((volatile  uint8_t *)(0x4266E7A0UL))
#define bFM_GPIO_PZRF_P9                          *((volatile  uint8_t *)(0x4266E7A4UL))
#define bFM3_GPIO_PZRF_P9                         *((volatile  uint8_t *)(0x4266E7A4UL))
#define bFM_GPIO_PZRF_PA                          *((volatile  uint8_t *)(0x4266E7A8UL))
#define bFM3_GPIO_PZRF_PA                         *((volatile  uint8_t *)(0x4266E7A8UL))
#define bFM_GPIO_PZRF_PB                          *((volatile  uint8_t *)(0x4266E7ACUL))
#define bFM3_GPIO_PZRF_PB                         *((volatile  uint8_t *)(0x4266E7ACUL))
#define bFM_GPIO_PZRF_PC                          *((volatile  uint8_t *)(0x4266E7B0UL))
#define bFM3_GPIO_PZRF_PC                         *((volatile  uint8_t *)(0x4266E7B0UL))
#define bFM_GPIO_PZRF_PD                          *((volatile  uint8_t *)(0x4266E7B4UL))
#define bFM3_GPIO_PZRF_PD                         *((volatile  uint8_t *)(0x4266E7B4UL))
#define bFM_GPIO_PZRF_PE                          *((volatile  uint8_t *)(0x4266E7B8UL))
#define bFM3_GPIO_PZRF_PE                         *((volatile  uint8_t *)(0x4266E7B8UL))
#define bFM_GPIO_PZRF_PF                          *((volatile  uint8_t *)(0x4266E7BCUL))
#define bFM3_GPIO_PZRF_PF                         *((volatile  uint8_t *)(0x4266E7BCUL))

#define bFM_GPIO_SPSR_USB0C                       *((volatile  uint8_t *)(0x4266B010UL))
#define bFM3_GPIO_SPSR_USB0C                      *((volatile  uint8_t *)(0x4266B010UL))
#define bFM_GPIO_SPSR_USB1C                       *((volatile  uint8_t *)(0x4266B014UL))
#define bFM3_GPIO_SPSR_USB1C                      *((volatile  uint8_t *)(0x4266B014UL))


/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HWWDT_WDG_CTL_INTEN                   *((volatile  uint32_t*)(0x42220100UL))
#define bFM3_HWWDT_WDG_CTL_INTEN                  *((volatile  uint32_t*)(0x42220100UL))
#define bFM_HWWDT_WDG_CTL_RESEN                   *((volatile  uint32_t*)(0x42220104UL))
#define bFM3_HWWDT_WDG_CTL_RESEN                  *((volatile  uint32_t*)(0x42220104UL))

#define bFM_HWWDT_WDG_RIS_RIS                     *((volatile  uint32_t*)(0x42220200UL))
#define bFM3_HWWDT_WDG_RIS_RIS                    *((volatile  uint32_t*)(0x42220200UL))


/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_INTREQ_DRQSEL_USBEP1                  *((volatile  uint8_t *)(0x42620000UL))
#define bFM3_INTREQ_DRQSEL_USBEP1                 *((volatile  uint8_t *)(0x42620000UL))
#define bFM_INTREQ_DRQSEL_USBEP2                  *((volatile  uint8_t *)(0x42620004UL))
#define bFM3_INTREQ_DRQSEL_USBEP2                 *((volatile  uint8_t *)(0x42620004UL))
#define bFM_INTREQ_DRQSEL_USBEP3                  *((volatile  uint8_t *)(0x42620008UL))
#define bFM3_INTREQ_DRQSEL_USBEP3                 *((volatile  uint8_t *)(0x42620008UL))
#define bFM_INTREQ_DRQSEL_USBEP4                  *((volatile  uint8_t *)(0x4262000CUL))
#define bFM3_INTREQ_DRQSEL_USBEP4                 *((volatile  uint8_t *)(0x4262000CUL))
#define bFM_INTREQ_DRQSEL_USBEP5                  *((volatile  uint8_t *)(0x42620010UL))
#define bFM3_INTREQ_DRQSEL_USBEP5                 *((volatile  uint8_t *)(0x42620010UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN0                *((volatile  uint8_t *)(0x42620014UL))
#define bFM3_INTREQ_DRQSEL_ADCSCAN0               *((volatile  uint8_t *)(0x42620014UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN1                *((volatile  uint8_t *)(0x42620018UL))
#define bFM3_INTREQ_DRQSEL_ADCSCAN1               *((volatile  uint8_t *)(0x42620018UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN2                *((volatile  uint8_t *)(0x4262001CUL))
#define bFM3_INTREQ_DRQSEL_ADCSCAN2               *((volatile  uint8_t *)(0x4262001CUL))
#define bFM_INTREQ_DRQSEL_IRQ0BT0                 *((volatile  uint8_t *)(0x42620020UL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT0                *((volatile  uint8_t *)(0x42620020UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT2                 *((volatile  uint8_t *)(0x42620024UL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT2                *((volatile  uint8_t *)(0x42620024UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT4                 *((volatile  uint8_t *)(0x42620028UL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT4                *((volatile  uint8_t *)(0x42620028UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT6                 *((volatile  uint8_t *)(0x4262002CUL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT6                *((volatile  uint8_t *)(0x4262002CUL))
#define bFM_INTREQ_DRQSEL_MFS0RX                  *((volatile  uint8_t *)(0x42620030UL))
#define bFM3_INTREQ_DRQSEL_MFS0RX                 *((volatile  uint8_t *)(0x42620030UL))
#define bFM_INTREQ_DRQSEL_MFS0TX                  *((volatile  uint8_t *)(0x42620034UL))
#define bFM3_INTREQ_DRQSEL_MFS0TX                 *((volatile  uint8_t *)(0x42620034UL))
#define bFM_INTREQ_DRQSEL_MFS1RX                  *((volatile  uint8_t *)(0x42620038UL))
#define bFM3_INTREQ_DRQSEL_MFS1RX                 *((volatile  uint8_t *)(0x42620038UL))
#define bFM_INTREQ_DRQSEL_MFS1TX                  *((volatile  uint8_t *)(0x4262003CUL))
#define bFM3_INTREQ_DRQSEL_MFS1TX                 *((volatile  uint8_t *)(0x4262003CUL))
#define bFM_INTREQ_DRQSEL_MFS2RX                  *((volatile  uint8_t *)(0x42620040UL))
#define bFM3_INTREQ_DRQSEL_MFS2RX                 *((volatile  uint8_t *)(0x42620040UL))
#define bFM_INTREQ_DRQSEL_MFS2TX                  *((volatile  uint8_t *)(0x42620044UL))
#define bFM3_INTREQ_DRQSEL_MFS2TX                 *((volatile  uint8_t *)(0x42620044UL))
#define bFM_INTREQ_DRQSEL_MFS3RX                  *((volatile  uint8_t *)(0x42620048UL))
#define bFM3_INTREQ_DRQSEL_MFS3RX                 *((volatile  uint8_t *)(0x42620048UL))
#define bFM_INTREQ_DRQSEL_MFS3TX                  *((volatile  uint8_t *)(0x4262004CUL))
#define bFM3_INTREQ_DRQSEL_MFS3TX                 *((volatile  uint8_t *)(0x4262004CUL))
#define bFM_INTREQ_DRQSEL_MFS4RX                  *((volatile  uint8_t *)(0x42620050UL))
#define bFM3_INTREQ_DRQSEL_MFS4RX                 *((volatile  uint8_t *)(0x42620050UL))
#define bFM_INTREQ_DRQSEL_MFS4TX                  *((volatile  uint8_t *)(0x42620054UL))
#define bFM3_INTREQ_DRQSEL_MFS4TX                 *((volatile  uint8_t *)(0x42620054UL))
#define bFM_INTREQ_DRQSEL_MFS5RX                  *((volatile  uint8_t *)(0x42620058UL))
#define bFM3_INTREQ_DRQSEL_MFS5RX                 *((volatile  uint8_t *)(0x42620058UL))
#define bFM_INTREQ_DRQSEL_MFS5TX                  *((volatile  uint8_t *)(0x4262005CUL))
#define bFM3_INTREQ_DRQSEL_MFS5TX                 *((volatile  uint8_t *)(0x4262005CUL))
#define bFM_INTREQ_DRQSEL_MFS6RX                  *((volatile  uint8_t *)(0x42620060UL))
#define bFM3_INTREQ_DRQSEL_MFS6RX                 *((volatile  uint8_t *)(0x42620060UL))
#define bFM_INTREQ_DRQSEL_MFS6TX                  *((volatile  uint8_t *)(0x42620064UL))
#define bFM3_INTREQ_DRQSEL_MFS6TX                 *((volatile  uint8_t *)(0x42620064UL))
#define bFM_INTREQ_DRQSEL_MFS7RX                  *((volatile  uint8_t *)(0x42620068UL))
#define bFM3_INTREQ_DRQSEL_MFS7RX                 *((volatile  uint8_t *)(0x42620068UL))
#define bFM_INTREQ_DRQSEL_MFS7TX                  *((volatile  uint8_t *)(0x4262006CUL))
#define bFM3_INTREQ_DRQSEL_MFS7TX                 *((volatile  uint8_t *)(0x4262006CUL))
#define bFM_INTREQ_DRQSEL_EXINT0                  *((volatile  uint8_t *)(0x42620070UL))
#define bFM3_INTREQ_DRQSEL_EXINT0                 *((volatile  uint8_t *)(0x42620070UL))
#define bFM_INTREQ_DRQSEL_EXINT1                  *((volatile  uint8_t *)(0x42620074UL))
#define bFM3_INTREQ_DRQSEL_EXINT1                 *((volatile  uint8_t *)(0x42620074UL))
#define bFM_INTREQ_DRQSEL_EXINT2                  *((volatile  uint8_t *)(0x42620078UL))
#define bFM3_INTREQ_DRQSEL_EXINT2                 *((volatile  uint8_t *)(0x42620078UL))
#define bFM_INTREQ_DRQSEL_EXINT3                  *((volatile  uint8_t *)(0x4262007CUL))
#define bFM3_INTREQ_DRQSEL_EXINT3                 *((volatile  uint8_t *)(0x4262007CUL))

#define bFM_INTREQ_EXC02MON_NMI                   *((volatile  uint8_t *)(0x42620200UL))
#define bFM3_INTREQ_EXC02MON_NMI                  *((volatile  uint8_t *)(0x42620200UL))
#define bFM_INTREQ_EXC02MON_HWINT                 *((volatile  uint8_t *)(0x42620204UL))
#define bFM3_INTREQ_EXC02MON_HWINT                *((volatile  uint8_t *)(0x42620204UL))

#define bFM_INTREQ_IRQ00MON_FCSINT                *((volatile  uint8_t *)(0x42620280UL))
#define bFM3_INTREQ_IRQ00MON_FCSINT               *((volatile  uint8_t *)(0x42620280UL))

#define bFM_INTREQ_IRQ01MON_SWWDTINT              *((volatile  uint8_t *)(0x42620300UL))
#define bFM3_INTREQ_IRQ01MON_SWWDTINT             *((volatile  uint8_t *)(0x42620300UL))

#define bFM_INTREQ_IRQ02MON_LVDINT                *((volatile  uint8_t *)(0x42620380UL))
#define bFM3_INTREQ_IRQ02MON_LVDINT               *((volatile  uint8_t *)(0x42620380UL))

#define bFM_INTREQ_IRQ04MON_EXTINT0               *((volatile  uint8_t *)(0x42620480UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT0              *((volatile  uint8_t *)(0x42620480UL))
#define bFM_INTREQ_IRQ04MON_EXTINT1               *((volatile  uint8_t *)(0x42620484UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT1              *((volatile  uint8_t *)(0x42620484UL))
#define bFM_INTREQ_IRQ04MON_EXTINT2               *((volatile  uint8_t *)(0x42620488UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT2              *((volatile  uint8_t *)(0x42620488UL))
#define bFM_INTREQ_IRQ04MON_EXTINT3               *((volatile  uint8_t *)(0x4262048CUL))
#define bFM3_INTREQ_IRQ04MON_EXTINT3              *((volatile  uint8_t *)(0x4262048CUL))
#define bFM_INTREQ_IRQ04MON_EXTINT4               *((volatile  uint8_t *)(0x42620490UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT4              *((volatile  uint8_t *)(0x42620490UL))
#define bFM_INTREQ_IRQ04MON_EXTINT5               *((volatile  uint8_t *)(0x42620494UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT5              *((volatile  uint8_t *)(0x42620494UL))
#define bFM_INTREQ_IRQ04MON_EXTINT6               *((volatile  uint8_t *)(0x42620498UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT6              *((volatile  uint8_t *)(0x42620498UL))
#define bFM_INTREQ_IRQ04MON_EXTINT7               *((volatile  uint8_t *)(0x4262049CUL))
#define bFM3_INTREQ_IRQ04MON_EXTINT7              *((volatile  uint8_t *)(0x4262049CUL))

#define bFM_INTREQ_IRQ05MON_EXTINT8               *((volatile  uint8_t *)(0x42620500UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT8              *((volatile  uint8_t *)(0x42620500UL))
#define bFM_INTREQ_IRQ05MON_EXTINT9               *((volatile  uint8_t *)(0x42620504UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT9              *((volatile  uint8_t *)(0x42620504UL))
#define bFM_INTREQ_IRQ05MON_EXTINT10              *((volatile  uint8_t *)(0x42620508UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT10             *((volatile  uint8_t *)(0x42620508UL))
#define bFM_INTREQ_IRQ05MON_EXTINT11              *((volatile  uint8_t *)(0x4262050CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT11             *((volatile  uint8_t *)(0x4262050CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT12              *((volatile  uint8_t *)(0x42620510UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT12             *((volatile  uint8_t *)(0x42620510UL))
#define bFM_INTREQ_IRQ05MON_EXTINT13              *((volatile  uint8_t *)(0x42620514UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT13             *((volatile  uint8_t *)(0x42620514UL))
#define bFM_INTREQ_IRQ05MON_EXTINT14              *((volatile  uint8_t *)(0x42620518UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT14             *((volatile  uint8_t *)(0x42620518UL))
#define bFM_INTREQ_IRQ05MON_EXTINT15              *((volatile  uint8_t *)(0x4262051CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT15             *((volatile  uint8_t *)(0x4262051CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT16              *((volatile  uint8_t *)(0x42620520UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT16             *((volatile  uint8_t *)(0x42620520UL))
#define bFM_INTREQ_IRQ05MON_EXTINT17              *((volatile  uint8_t *)(0x42620524UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT17             *((volatile  uint8_t *)(0x42620524UL))
#define bFM_INTREQ_IRQ05MON_EXTINT18              *((volatile  uint8_t *)(0x42620528UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT18             *((volatile  uint8_t *)(0x42620528UL))
#define bFM_INTREQ_IRQ05MON_EXTINT19              *((volatile  uint8_t *)(0x4262052CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT19             *((volatile  uint8_t *)(0x4262052CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT20              *((volatile  uint8_t *)(0x42620530UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT20             *((volatile  uint8_t *)(0x42620530UL))
#define bFM_INTREQ_IRQ05MON_EXTINT21              *((volatile  uint8_t *)(0x42620534UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT21             *((volatile  uint8_t *)(0x42620534UL))
#define bFM_INTREQ_IRQ05MON_EXTINT22              *((volatile  uint8_t *)(0x42620538UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT22             *((volatile  uint8_t *)(0x42620538UL))
#define bFM_INTREQ_IRQ05MON_EXTINT23              *((volatile  uint8_t *)(0x4262053CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT23             *((volatile  uint8_t *)(0x4262053CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT24              *((volatile  uint8_t *)(0x42620540UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT24             *((volatile  uint8_t *)(0x42620540UL))
#define bFM_INTREQ_IRQ05MON_EXTINT25              *((volatile  uint8_t *)(0x42620544UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT25             *((volatile  uint8_t *)(0x42620544UL))
#define bFM_INTREQ_IRQ05MON_EXTINT26              *((volatile  uint8_t *)(0x42620548UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT26             *((volatile  uint8_t *)(0x42620548UL))
#define bFM_INTREQ_IRQ05MON_EXTINT27              *((volatile  uint8_t *)(0x4262054CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT27             *((volatile  uint8_t *)(0x4262054CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT28              *((volatile  uint8_t *)(0x42620550UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT28             *((volatile  uint8_t *)(0x42620550UL))
#define bFM_INTREQ_IRQ05MON_EXTINT29              *((volatile  uint8_t *)(0x42620554UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT29             *((volatile  uint8_t *)(0x42620554UL))
#define bFM_INTREQ_IRQ05MON_EXTINT30              *((volatile  uint8_t *)(0x42620558UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT30             *((volatile  uint8_t *)(0x42620558UL))
#define bFM_INTREQ_IRQ05MON_EXTINT31              *((volatile  uint8_t *)(0x4262055CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT31             *((volatile  uint8_t *)(0x4262055CUL))

#define bFM_INTREQ_IRQ23MON_PPGINT00              *((volatile  uint8_t *)(0x42620E00UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT00             *((volatile  uint8_t *)(0x42620E00UL))
#define bFM_INTREQ_IRQ23MON_PPGINT02              *((volatile  uint8_t *)(0x42620E04UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT02             *((volatile  uint8_t *)(0x42620E04UL))
#define bFM_INTREQ_IRQ23MON_PPGINT04              *((volatile  uint8_t *)(0x42620E08UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT04             *((volatile  uint8_t *)(0x42620E08UL))
#define bFM_INTREQ_IRQ23MON_PPGINT08              *((volatile  uint8_t *)(0x42620E0CUL))
#define bFM3_INTREQ_IRQ23MON_PPGINT08             *((volatile  uint8_t *)(0x42620E0CUL))
#define bFM_INTREQ_IRQ23MON_PPGINT10              *((volatile  uint8_t *)(0x42620E10UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT10             *((volatile  uint8_t *)(0x42620E10UL))
#define bFM_INTREQ_IRQ23MON_PPGINT12              *((volatile  uint8_t *)(0x42620E14UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT12             *((volatile  uint8_t *)(0x42620E14UL))
#define bFM_INTREQ_IRQ23MON_PPGINT16              *((volatile  uint8_t *)(0x42620E18UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT16             *((volatile  uint8_t *)(0x42620E18UL))
#define bFM_INTREQ_IRQ23MON_PPGINT18              *((volatile  uint8_t *)(0x42620E1CUL))
#define bFM3_INTREQ_IRQ23MON_PPGINT18             *((volatile  uint8_t *)(0x42620E1CUL))
#define bFM_INTREQ_IRQ23MON_PPGINT20              *((volatile  uint8_t *)(0x42620E20UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT20             *((volatile  uint8_t *)(0x42620E20UL))

#define bFM_INTREQ_IRQ24MON_MOSCINT               *((volatile  uint8_t *)(0x42620E80UL))
#define bFM3_INTREQ_IRQ24MON_MOSCINT              *((volatile  uint8_t *)(0x42620E80UL))
#define bFM_INTREQ_IRQ24MON_SOSCINT               *((volatile  uint8_t *)(0x42620E84UL))
#define bFM3_INTREQ_IRQ24MON_SOSCINT              *((volatile  uint8_t *)(0x42620E84UL))
#define bFM_INTREQ_IRQ24MON_MPLLINT               *((volatile  uint8_t *)(0x42620E88UL))
#define bFM3_INTREQ_IRQ24MON_MPLLINT              *((volatile  uint8_t *)(0x42620E88UL))
#define bFM_INTREQ_IRQ24MON_UPLLINT               *((volatile  uint8_t *)(0x42620E8CUL))
#define bFM3_INTREQ_IRQ24MON_UPLLINT              *((volatile  uint8_t *)(0x42620E8CUL))
#define bFM_INTREQ_IRQ24MON_WCINT                 *((volatile  uint8_t *)(0x42620E90UL))
#define bFM3_INTREQ_IRQ24MON_WCINT                *((volatile  uint8_t *)(0x42620E90UL))
#define bFM_INTREQ_IRQ24MON_RTCINT                *((volatile  uint8_t *)(0x42620E94UL))
#define bFM3_INTREQ_IRQ24MON_RTCINT               *((volatile  uint8_t *)(0x42620E94UL))

#define bFM_INTREQ_IRQ25MON_ADCINT0               *((volatile  uint8_t *)(0x42620F00UL))
#define bFM3_INTREQ_IRQ25MON_ADCINT0              *((volatile  uint8_t *)(0x42620F00UL))
#define bFM_INTREQ_IRQ25MON_ADCINT1               *((volatile  uint8_t *)(0x42620F04UL))
#define bFM3_INTREQ_IRQ25MON_ADCINT1              *((volatile  uint8_t *)(0x42620F04UL))
#define bFM_INTREQ_IRQ25MON_ADCINT2               *((volatile  uint8_t *)(0x42620F08UL))
#define bFM3_INTREQ_IRQ25MON_ADCINT2              *((volatile  uint8_t *)(0x42620F08UL))
#define bFM_INTREQ_IRQ25MON_ADCINT3               *((volatile  uint8_t *)(0x42620F0CUL))
#define bFM3_INTREQ_IRQ25MON_ADCINT3              *((volatile  uint8_t *)(0x42620F0CUL))

#define bFM_INTREQ_IRQ26MON_ADCINT0               *((volatile  uint8_t *)(0x42620F80UL))
#define bFM3_INTREQ_IRQ26MON_ADCINT0              *((volatile  uint8_t *)(0x42620F80UL))
#define bFM_INTREQ_IRQ26MON_ADCINT1               *((volatile  uint8_t *)(0x42620F84UL))
#define bFM3_INTREQ_IRQ26MON_ADCINT1              *((volatile  uint8_t *)(0x42620F84UL))
#define bFM_INTREQ_IRQ26MON_ADCINT2               *((volatile  uint8_t *)(0x42620F88UL))
#define bFM3_INTREQ_IRQ26MON_ADCINT2              *((volatile  uint8_t *)(0x42620F88UL))
#define bFM_INTREQ_IRQ26MON_ADCINT3               *((volatile  uint8_t *)(0x42620F8CUL))
#define bFM3_INTREQ_IRQ26MON_ADCINT3              *((volatile  uint8_t *)(0x42620F8CUL))

#define bFM_INTREQ_IRQ27MON_ADCINT0               *((volatile  uint8_t *)(0x42621000UL))
#define bFM3_INTREQ_IRQ27MON_ADCINT0              *((volatile  uint8_t *)(0x42621000UL))
#define bFM_INTREQ_IRQ27MON_ADCINT1               *((volatile  uint8_t *)(0x42621004UL))
#define bFM3_INTREQ_IRQ27MON_ADCINT1              *((volatile  uint8_t *)(0x42621004UL))
#define bFM_INTREQ_IRQ27MON_ADCINT2               *((volatile  uint8_t *)(0x42621008UL))
#define bFM3_INTREQ_IRQ27MON_ADCINT2              *((volatile  uint8_t *)(0x42621008UL))
#define bFM_INTREQ_IRQ27MON_ADCINT3               *((volatile  uint8_t *)(0x4262100CUL))
#define bFM3_INTREQ_IRQ27MON_ADCINT3              *((volatile  uint8_t *)(0x4262100CUL))
#define bFM_INTREQ_IRQ27MON_LCDCINT               *((volatile  uint8_t *)(0x42621010UL))
#define bFM3_INTREQ_IRQ27MON_LCDCINT              *((volatile  uint8_t *)(0x42621010UL))

#define bFM_INTREQ_IRQ31MON_BTINT0                *((volatile  uint8_t *)(0x42621200UL))
#define bFM3_INTREQ_IRQ31MON_BTINT0               *((volatile  uint8_t *)(0x42621200UL))
#define bFM_INTREQ_IRQ31MON_BTINT1                *((volatile  uint8_t *)(0x42621204UL))
#define bFM3_INTREQ_IRQ31MON_BTINT1               *((volatile  uint8_t *)(0x42621204UL))
#define bFM_INTREQ_IRQ31MON_BTINT2                *((volatile  uint8_t *)(0x42621208UL))
#define bFM3_INTREQ_IRQ31MON_BTINT2               *((volatile  uint8_t *)(0x42621208UL))
#define bFM_INTREQ_IRQ31MON_BTINT3                *((volatile  uint8_t *)(0x4262120CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT3               *((volatile  uint8_t *)(0x4262120CUL))
#define bFM_INTREQ_IRQ31MON_BTINT4                *((volatile  uint8_t *)(0x42621210UL))
#define bFM3_INTREQ_IRQ31MON_BTINT4               *((volatile  uint8_t *)(0x42621210UL))
#define bFM_INTREQ_IRQ31MON_BTINT5                *((volatile  uint8_t *)(0x42621214UL))
#define bFM3_INTREQ_IRQ31MON_BTINT5               *((volatile  uint8_t *)(0x42621214UL))
#define bFM_INTREQ_IRQ31MON_BTINT6                *((volatile  uint8_t *)(0x42621218UL))
#define bFM3_INTREQ_IRQ31MON_BTINT6               *((volatile  uint8_t *)(0x42621218UL))
#define bFM_INTREQ_IRQ31MON_BTINT7                *((volatile  uint8_t *)(0x4262121CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT7               *((volatile  uint8_t *)(0x4262121CUL))
#define bFM_INTREQ_IRQ31MON_BTINT8                *((volatile  uint8_t *)(0x42621220UL))
#define bFM3_INTREQ_IRQ31MON_BTINT8               *((volatile  uint8_t *)(0x42621220UL))
#define bFM_INTREQ_IRQ31MON_BTINT9                *((volatile  uint8_t *)(0x42621224UL))
#define bFM3_INTREQ_IRQ31MON_BTINT9               *((volatile  uint8_t *)(0x42621224UL))
#define bFM_INTREQ_IRQ31MON_BTINT10               *((volatile  uint8_t *)(0x42621228UL))
#define bFM3_INTREQ_IRQ31MON_BTINT10              *((volatile  uint8_t *)(0x42621228UL))
#define bFM_INTREQ_IRQ31MON_BTINT11               *((volatile  uint8_t *)(0x4262122CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT11              *((volatile  uint8_t *)(0x4262122CUL))
#define bFM_INTREQ_IRQ31MON_BTINT12               *((volatile  uint8_t *)(0x42621230UL))
#define bFM3_INTREQ_IRQ31MON_BTINT12              *((volatile  uint8_t *)(0x42621230UL))
#define bFM_INTREQ_IRQ31MON_BTINT13               *((volatile  uint8_t *)(0x42621234UL))
#define bFM3_INTREQ_IRQ31MON_BTINT13              *((volatile  uint8_t *)(0x42621234UL))
#define bFM_INTREQ_IRQ31MON_BTINT14               *((volatile  uint8_t *)(0x42621238UL))
#define bFM3_INTREQ_IRQ31MON_BTINT14              *((volatile  uint8_t *)(0x42621238UL))
#define bFM_INTREQ_IRQ31MON_BTINT15               *((volatile  uint8_t *)(0x4262123CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT15              *((volatile  uint8_t *)(0x4262123CUL))

#define bFM_INTREQ_IRQ32MON_CAN0INT               *((volatile  uint8_t *)(0x42621280UL))
#define bFM3_INTREQ_IRQ32MON_CAN0INT              *((volatile  uint8_t *)(0x42621280UL))
#define bFM_INTREQ_IRQ32MON_MAC0SBD               *((volatile  uint8_t *)(0x42621284UL))
#define bFM3_INTREQ_IRQ32MON_MAC0SBD              *((volatile  uint8_t *)(0x42621284UL))
#define bFM_INTREQ_IRQ32MON_MAC0PMI               *((volatile  uint8_t *)(0x42621288UL))
#define bFM3_INTREQ_IRQ32MON_MAC0PMI              *((volatile  uint8_t *)(0x42621288UL))
#define bFM_INTREQ_IRQ32MON_MAC0LPI               *((volatile  uint8_t *)(0x4262128CUL))
#define bFM3_INTREQ_IRQ32MON_MAC0LPI              *((volatile  uint8_t *)(0x4262128CUL))

#define bFM_INTREQ_IRQ33MON_CAN1INT               *((volatile  uint8_t *)(0x42621300UL))
#define bFM3_INTREQ_IRQ33MON_CAN1INT              *((volatile  uint8_t *)(0x42621300UL))
#define bFM_INTREQ_IRQ33MON_MAC1SBD               *((volatile  uint8_t *)(0x42621304UL))
#define bFM3_INTREQ_IRQ33MON_MAC1SBD              *((volatile  uint8_t *)(0x42621304UL))
#define bFM_INTREQ_IRQ33MON_MAC1PMI               *((volatile  uint8_t *)(0x42621308UL))
#define bFM3_INTREQ_IRQ33MON_MAC1PMI              *((volatile  uint8_t *)(0x42621308UL))

#define bFM_INTREQ_IRQ34MON_USB0INT0              *((volatile  uint8_t *)(0x42621380UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT0             *((volatile  uint8_t *)(0x42621380UL))
#define bFM_INTREQ_IRQ34MON_USB0INT1              *((volatile  uint8_t *)(0x42621384UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT1             *((volatile  uint8_t *)(0x42621384UL))
#define bFM_INTREQ_IRQ34MON_USB0INT2              *((volatile  uint8_t *)(0x42621388UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT2             *((volatile  uint8_t *)(0x42621388UL))
#define bFM_INTREQ_IRQ34MON_USB0INT3              *((volatile  uint8_t *)(0x4262138CUL))
#define bFM3_INTREQ_IRQ34MON_USB0INT3             *((volatile  uint8_t *)(0x4262138CUL))
#define bFM_INTREQ_IRQ34MON_USB0INT4              *((volatile  uint8_t *)(0x42621390UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT4             *((volatile  uint8_t *)(0x42621390UL))

#define bFM_INTREQ_IRQ35MON_USB0INT0              *((volatile  uint8_t *)(0x42621400UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT0             *((volatile  uint8_t *)(0x42621400UL))
#define bFM_INTREQ_IRQ35MON_USB0INT1              *((volatile  uint8_t *)(0x42621404UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT1             *((volatile  uint8_t *)(0x42621404UL))
#define bFM_INTREQ_IRQ35MON_USB0INT2              *((volatile  uint8_t *)(0x42621408UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT2             *((volatile  uint8_t *)(0x42621408UL))
#define bFM_INTREQ_IRQ35MON_USB0INT3              *((volatile  uint8_t *)(0x4262140CUL))
#define bFM3_INTREQ_IRQ35MON_USB0INT3             *((volatile  uint8_t *)(0x4262140CUL))
#define bFM_INTREQ_IRQ35MON_USB0INT4              *((volatile  uint8_t *)(0x42621410UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT4             *((volatile  uint8_t *)(0x42621410UL))
#define bFM_INTREQ_IRQ35MON_USB0INT5              *((volatile  uint8_t *)(0x42621414UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT5             *((volatile  uint8_t *)(0x42621414UL))

#define bFM_INTREQ_IRQ36MON_USB1INT0              *((volatile  uint8_t *)(0x42621480UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT0             *((volatile  uint8_t *)(0x42621480UL))
#define bFM_INTREQ_IRQ36MON_USB1INT1              *((volatile  uint8_t *)(0x42621484UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT1             *((volatile  uint8_t *)(0x42621484UL))
#define bFM_INTREQ_IRQ36MON_USB1INT2              *((volatile  uint8_t *)(0x42621488UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT2             *((volatile  uint8_t *)(0x42621488UL))
#define bFM_INTREQ_IRQ36MON_USB1INT3              *((volatile  uint8_t *)(0x4262148CUL))
#define bFM3_INTREQ_IRQ36MON_USB1INT3             *((volatile  uint8_t *)(0x4262148CUL))
#define bFM_INTREQ_IRQ36MON_USB1INT4              *((volatile  uint8_t *)(0x42621490UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT4             *((volatile  uint8_t *)(0x42621490UL))
#define bFM_INTREQ_IRQ36MON_RCEC0INT              *((volatile  uint8_t *)(0x42621494UL))
#define bFM3_INTREQ_IRQ36MON_RCEC0INT             *((volatile  uint8_t *)(0x42621494UL))

#define bFM_INTREQ_IRQ37MON_USB1INT0              *((volatile  uint8_t *)(0x42621500UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT0             *((volatile  uint8_t *)(0x42621500UL))
#define bFM_INTREQ_IRQ37MON_USB1INT1              *((volatile  uint8_t *)(0x42621504UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT1             *((volatile  uint8_t *)(0x42621504UL))
#define bFM_INTREQ_IRQ37MON_USB1INT2              *((volatile  uint8_t *)(0x42621508UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT2             *((volatile  uint8_t *)(0x42621508UL))
#define bFM_INTREQ_IRQ37MON_USB1INT3              *((volatile  uint8_t *)(0x4262150CUL))
#define bFM3_INTREQ_IRQ37MON_USB1INT3             *((volatile  uint8_t *)(0x4262150CUL))
#define bFM_INTREQ_IRQ37MON_USB1INT4              *((volatile  uint8_t *)(0x42621510UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT4             *((volatile  uint8_t *)(0x42621510UL))
#define bFM_INTREQ_IRQ37MON_USB1INT5              *((volatile  uint8_t *)(0x42621514UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT5             *((volatile  uint8_t *)(0x42621514UL))
#define bFM_INTREQ_IRQ37MON_RCEC1INT              *((volatile  uint8_t *)(0x42621518UL))
#define bFM3_INTREQ_IRQ37MON_RCEC1INT             *((volatile  uint8_t *)(0x42621518UL))

#define bFM_INTREQ_IRQ38MON_DMAINT                *((volatile  uint8_t *)(0x42621580UL))
#define bFM3_INTREQ_IRQ38MON_DMAINT               *((volatile  uint8_t *)(0x42621580UL))

#define bFM_INTREQ_IRQ39MON_DMAINT                *((volatile  uint8_t *)(0x42621600UL))
#define bFM3_INTREQ_IRQ39MON_DMAINT               *((volatile  uint8_t *)(0x42621600UL))

#define bFM_INTREQ_IRQ40MON_DMAINT                *((volatile  uint8_t *)(0x42621680UL))
#define bFM3_INTREQ_IRQ40MON_DMAINT               *((volatile  uint8_t *)(0x42621680UL))

#define bFM_INTREQ_IRQ41MON_DMAINT                *((volatile  uint8_t *)(0x42621700UL))
#define bFM3_INTREQ_IRQ41MON_DMAINT               *((volatile  uint8_t *)(0x42621700UL))

#define bFM_INTREQ_IRQ42MON_DMAINT                *((volatile  uint8_t *)(0x42621780UL))
#define bFM3_INTREQ_IRQ42MON_DMAINT               *((volatile  uint8_t *)(0x42621780UL))

#define bFM_INTREQ_IRQ43MON_DMAINT                *((volatile  uint8_t *)(0x42621800UL))
#define bFM3_INTREQ_IRQ43MON_DMAINT               *((volatile  uint8_t *)(0x42621800UL))

#define bFM_INTREQ_IRQ44MON_DMAINT                *((volatile  uint8_t *)(0x42621880UL))
#define bFM3_INTREQ_IRQ44MON_DMAINT               *((volatile  uint8_t *)(0x42621880UL))

#define bFM_INTREQ_IRQ45MON_DMAINT                *((volatile  uint8_t *)(0x42621900UL))
#define bFM3_INTREQ_IRQ45MON_DMAINT               *((volatile  uint8_t *)(0x42621900UL))

#define bFM_INTREQ_IRQ46MON_BTINT0                *((volatile  uint8_t *)(0x42621980UL))
#define bFM3_INTREQ_IRQ46MON_BTINT0               *((volatile  uint8_t *)(0x42621980UL))
#define bFM_INTREQ_IRQ46MON_BTINT1                *((volatile  uint8_t *)(0x42621984UL))
#define bFM3_INTREQ_IRQ46MON_BTINT1               *((volatile  uint8_t *)(0x42621984UL))
#define bFM_INTREQ_IRQ46MON_BTINT2                *((volatile  uint8_t *)(0x42621988UL))
#define bFM3_INTREQ_IRQ46MON_BTINT2               *((volatile  uint8_t *)(0x42621988UL))
#define bFM_INTREQ_IRQ46MON_BTINT3                *((volatile  uint8_t *)(0x4262198CUL))
#define bFM3_INTREQ_IRQ46MON_BTINT3               *((volatile  uint8_t *)(0x4262198CUL))
#define bFM_INTREQ_IRQ46MON_BTINT4                *((volatile  uint8_t *)(0x42621990UL))
#define bFM3_INTREQ_IRQ46MON_BTINT4               *((volatile  uint8_t *)(0x42621990UL))
#define bFM_INTREQ_IRQ46MON_BTINT5                *((volatile  uint8_t *)(0x42621994UL))
#define bFM3_INTREQ_IRQ46MON_BTINT5               *((volatile  uint8_t *)(0x42621994UL))
#define bFM_INTREQ_IRQ46MON_BTINT6                *((volatile  uint8_t *)(0x42621998UL))
#define bFM3_INTREQ_IRQ46MON_BTINT6               *((volatile  uint8_t *)(0x42621998UL))
#define bFM_INTREQ_IRQ46MON_BTINT7                *((volatile  uint8_t *)(0x4262199CUL))
#define bFM3_INTREQ_IRQ46MON_BTINT7               *((volatile  uint8_t *)(0x4262199CUL))
#define bFM_INTREQ_IRQ46MON_BTINT8                *((volatile  uint8_t *)(0x426219A0UL))
#define bFM3_INTREQ_IRQ46MON_BTINT8               *((volatile  uint8_t *)(0x426219A0UL))
#define bFM_INTREQ_IRQ46MON_BTINT9                *((volatile  uint8_t *)(0x426219A4UL))
#define bFM3_INTREQ_IRQ46MON_BTINT9               *((volatile  uint8_t *)(0x426219A4UL))
#define bFM_INTREQ_IRQ46MON_BTINT10               *((volatile  uint8_t *)(0x426219A8UL))
#define bFM3_INTREQ_IRQ46MON_BTINT10              *((volatile  uint8_t *)(0x426219A8UL))
#define bFM_INTREQ_IRQ46MON_BTINT11               *((volatile  uint8_t *)(0x426219ACUL))
#define bFM3_INTREQ_IRQ46MON_BTINT11              *((volatile  uint8_t *)(0x426219ACUL))
#define bFM_INTREQ_IRQ46MON_BTINT12               *((volatile  uint8_t *)(0x426219B0UL))
#define bFM3_INTREQ_IRQ46MON_BTINT12              *((volatile  uint8_t *)(0x426219B0UL))
#define bFM_INTREQ_IRQ46MON_BTINT13               *((volatile  uint8_t *)(0x426219B4UL))
#define bFM3_INTREQ_IRQ46MON_BTINT13              *((volatile  uint8_t *)(0x426219B4UL))
#define bFM_INTREQ_IRQ46MON_BTINT14               *((volatile  uint8_t *)(0x426219B8UL))
#define bFM3_INTREQ_IRQ46MON_BTINT14              *((volatile  uint8_t *)(0x426219B8UL))
#define bFM_INTREQ_IRQ46MON_BTINT15               *((volatile  uint8_t *)(0x426219BCUL))
#define bFM3_INTREQ_IRQ46MON_BTINT15              *((volatile  uint8_t *)(0x426219BCUL))

#define bFM_INTREQ_IRQ47MON_FLASHINT              *((volatile  uint8_t *)(0x42621A2CUL))
#define bFM3_INTREQ_IRQ47MON_FLASHINT             *((volatile  uint8_t *)(0x42621A2CUL))

#define bFM_INTREQ_ODDPKS_ODDPKS0                 *((volatile  uint8_t *)(0x42620160UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS0                *((volatile  uint8_t *)(0x42620160UL))
#define bFM_INTREQ_ODDPKS_ODDPKS1                 *((volatile  uint8_t *)(0x42620164UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS1                *((volatile  uint8_t *)(0x42620164UL))
#define bFM_INTREQ_ODDPKS_ODDPKS2                 *((volatile  uint8_t *)(0x42620168UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS2                *((volatile  uint8_t *)(0x42620168UL))
#define bFM_INTREQ_ODDPKS_ODDPKS3                 *((volatile  uint8_t *)(0x4262016CUL))
#define bFM3_INTREQ_ODDPKS_ODDPKS3                *((volatile  uint8_t *)(0x4262016CUL))
#define bFM_INTREQ_ODDPKS_ODDPKS4                 *((volatile  uint8_t *)(0x42620170UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS4                *((volatile  uint8_t *)(0x42620170UL))


/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_LVD_LVD_CLR_LVDCL                     *((volatile  uint8_t *)(0x426A011CUL))
#define bFM3_LVD_LVD_CLR_LVDCL                    *((volatile  uint8_t *)(0x426A011CUL))

#define bFM_LVD_LVD_CTL_LVDIE                     *((volatile  uint8_t *)(0x426A001CUL))
#define bFM3_LVD_LVD_CTL_LVDIE                    *((volatile  uint8_t *)(0x426A001CUL))

#define bFM_LVD_LVD_STR_LVDIR                     *((volatile  uint8_t *)(0x426A009CUL))
#define bFM3_LVD_LVD_STR_LVDIR                    *((volatile  uint8_t *)(0x426A009CUL))

#define bFM_LVD_LVD_STR2_LVDIRDY                  *((volatile  uint8_t *)(0x426A021CUL))
#define bFM3_LVD_LVD_STR2_LVDIRDY                 *((volatile  uint8_t *)(0x426A021CUL))


/******************************************************************************
 ** MFS_NFC Registers MFS_NFC
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS0_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270009CUL))
#define bFM3_MFS0_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42700034UL))
#define bFM3_MFS0_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42700038UL))
#define bFM3_MFS0_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM3_MFS0_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42700004UL))
#define bFM3_MFS0_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42700004UL))
#define bFM_MFS0_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM3_MFS0_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM3_MFS0_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42700038UL))
#define bFM3_MFS0_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42700080UL))
#define bFM3_MFS0_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42700080UL))
#define bFM_MFS0_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42700084UL))
#define bFM3_MFS0_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42700084UL))
#define bFM_MFS0_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42700088UL))
#define bFM3_MFS0_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42700088UL))
#define bFM_MFS0_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM3_MFS0_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42700090UL))
#define bFM3_MFS0_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42700094UL))
#define bFM3_MFS0_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM3_MFS0_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270009CUL))
#define bFM3_MFS0_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270021CUL))
#define bFM3_MFS0_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270021CUL))

#define bFM_MFS0_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270023CUL))
#define bFM3_MFS0_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270023CUL))

#define bFM_MFS0_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42700008UL))
#define bFM3_MFS0_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM3_MFS0_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM3_MFS0_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427000B8UL))
#define bFM3_MFS0_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427000B8UL))
#define bFM_MFS0_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427001BCUL))
#define bFM3_MFS0_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM3_MFS0_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM3_MFS0_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x42700098UL))

#define bFM_MFS0_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42700034UL))
#define bFM3_MFS0_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42700038UL))
#define bFM3_MFS0_LIN_SCR_MS                      *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42700000UL))
#define bFM3_MFS0_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427000B0UL))
#define bFM3_MFS0_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM3_MFS0_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_LIN_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427001BCUL))
#define bFM3_MFS0_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM3_MFS0_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM3_MFS0_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42700094UL))
#define bFM3_MFS0_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM3_MFS0_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270009CUL))
#define bFM3_MFS0_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM3_MFS0_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM3_MFS0_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM3_MFS0_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_UART_SSR_PE                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM3_MFS0_UART_SSR_PE                     *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_UART_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_UART_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))


/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS1_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270209CUL))
#define bFM3_MFS1_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42702034UL))
#define bFM3_MFS1_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42702038UL))
#define bFM3_MFS1_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM3_MFS1_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42702004UL))
#define bFM3_MFS1_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42702004UL))
#define bFM_MFS1_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM3_MFS1_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM3_MFS1_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42702038UL))
#define bFM3_MFS1_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42702080UL))
#define bFM3_MFS1_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42702080UL))
#define bFM_MFS1_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42702084UL))
#define bFM3_MFS1_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42702084UL))
#define bFM_MFS1_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42702088UL))
#define bFM3_MFS1_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42702088UL))
#define bFM_MFS1_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM3_MFS1_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42702090UL))
#define bFM3_MFS1_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42702094UL))
#define bFM3_MFS1_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM3_MFS1_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270209CUL))
#define bFM3_MFS1_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270221CUL))
#define bFM3_MFS1_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270221CUL))

#define bFM_MFS1_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270223CUL))
#define bFM3_MFS1_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270223CUL))

#define bFM_MFS1_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42702008UL))
#define bFM3_MFS1_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM3_MFS1_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM3_MFS1_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427020B8UL))
#define bFM3_MFS1_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427020B8UL))
#define bFM_MFS1_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427021BCUL))
#define bFM3_MFS1_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM3_MFS1_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM3_MFS1_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x42702098UL))

#define bFM_MFS1_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42702034UL))
#define bFM3_MFS1_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42702038UL))
#define bFM3_MFS1_LIN_SCR_MS                      *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42702000UL))
#define bFM3_MFS1_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427020B0UL))
#define bFM3_MFS1_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM3_MFS1_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_LIN_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427021BCUL))
#define bFM3_MFS1_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM3_MFS1_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM3_MFS1_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42702094UL))
#define bFM3_MFS1_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM3_MFS1_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270209CUL))
#define bFM3_MFS1_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM3_MFS1_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM3_MFS1_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM3_MFS1_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_UART_SSR_PE                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM3_MFS1_UART_SSR_PE                     *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_UART_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_UART_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))


/******************************************************************************
 ** MFS Registers MFS2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS2_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270409CUL))
#define bFM3_MFS2_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270409CUL))

#define bFM_MFS2_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42704034UL))
#define bFM3_MFS2_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42704034UL))
#define bFM_MFS2_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42704038UL))
#define bFM3_MFS2_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42704038UL))
#define bFM_MFS2_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42704000UL))
#define bFM3_MFS2_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42704000UL))
#define bFM_MFS2_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42704004UL))
#define bFM3_MFS2_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42704004UL))
#define bFM_MFS2_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42704008UL))
#define bFM3_MFS2_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42704008UL))
#define bFM_MFS2_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427040BCUL))

#define bFM_MFS2_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42704034UL))
#define bFM3_MFS2_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42704034UL))
#define bFM_MFS2_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42704038UL))
#define bFM3_MFS2_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42704038UL))
#define bFM_MFS2_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42704080UL))
#define bFM3_MFS2_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42704080UL))
#define bFM_MFS2_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42704084UL))
#define bFM3_MFS2_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42704084UL))
#define bFM_MFS2_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42704088UL))
#define bFM3_MFS2_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42704088UL))
#define bFM_MFS2_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270408CUL))
#define bFM3_MFS2_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270408CUL))
#define bFM_MFS2_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42704090UL))
#define bFM3_MFS2_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42704090UL))
#define bFM_MFS2_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42704094UL))
#define bFM3_MFS2_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42704094UL))
#define bFM_MFS2_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42704098UL))
#define bFM3_MFS2_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42704098UL))
#define bFM_MFS2_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270409CUL))
#define bFM3_MFS2_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270409CUL))

#define bFM_MFS2_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270421CUL))
#define bFM3_MFS2_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270421CUL))

#define bFM_MFS2_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270423CUL))
#define bFM3_MFS2_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270423CUL))

#define bFM_MFS2_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42704008UL))
#define bFM3_MFS2_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42704008UL))
#define bFM_MFS2_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427040B0UL))
#define bFM3_MFS2_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427040B0UL))
#define bFM_MFS2_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427040B4UL))
#define bFM3_MFS2_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427040B4UL))
#define bFM_MFS2_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427040B8UL))
#define bFM3_MFS2_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427040B8UL))
#define bFM_MFS2_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))

#define bFM_MFS2_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427041BCUL))
#define bFM3_MFS2_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x427041BCUL))

#define bFM_MFS2_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42704090UL))
#define bFM3_MFS2_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x42704090UL))
#define bFM_MFS2_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42704098UL))
#define bFM3_MFS2_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x42704098UL))

#define bFM_MFS2_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42704034UL))
#define bFM3_MFS2_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x42704034UL))
#define bFM_MFS2_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42704038UL))
#define bFM3_MFS2_LIN_SCR_MS                      *((volatile  uint8_t *)(0x42704038UL))
#define bFM_MFS2_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42704000UL))
#define bFM3_MFS2_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x42704000UL))
#define bFM_MFS2_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427040B0UL))
#define bFM3_MFS2_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x427040B0UL))
#define bFM_MFS2_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427040B4UL))
#define bFM3_MFS2_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x427040B4UL))
#define bFM_MFS2_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_LIN_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))

#define bFM_MFS2_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427041BCUL))
#define bFM3_MFS2_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427041BCUL))

#define bFM_MFS2_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270408CUL))
#define bFM3_MFS2_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270408CUL))
#define bFM_MFS2_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42704090UL))
#define bFM3_MFS2_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42704090UL))
#define bFM_MFS2_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42704094UL))
#define bFM3_MFS2_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42704094UL))
#define bFM_MFS2_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42704098UL))
#define bFM3_MFS2_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42704098UL))
#define bFM_MFS2_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270409CUL))
#define bFM3_MFS2_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270409CUL))

#define bFM_MFS2_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42704000UL))
#define bFM3_MFS2_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42704000UL))
#define bFM_MFS2_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42704008UL))
#define bFM3_MFS2_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42704008UL))
#define bFM_MFS2_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427040B0UL))
#define bFM3_MFS2_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427040B0UL))
#define bFM_MFS2_UART_SSR_PE                      *((volatile  uint8_t *)(0x427040B4UL))
#define bFM3_MFS2_UART_SSR_PE                     *((volatile  uint8_t *)(0x427040B4UL))
#define bFM_MFS2_UART_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_UART_SSR_REC                    *((volatile  uint8_t *)(0x427040BCUL))


/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS3_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270609CUL))
#define bFM3_MFS3_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42706034UL))
#define bFM3_MFS3_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42706038UL))
#define bFM3_MFS3_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM3_MFS3_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42706004UL))
#define bFM3_MFS3_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42706004UL))
#define bFM_MFS3_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM3_MFS3_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM3_MFS3_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42706038UL))
#define bFM3_MFS3_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42706080UL))
#define bFM3_MFS3_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42706080UL))
#define bFM_MFS3_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42706084UL))
#define bFM3_MFS3_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42706084UL))
#define bFM_MFS3_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42706088UL))
#define bFM3_MFS3_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42706088UL))
#define bFM_MFS3_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM3_MFS3_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42706090UL))
#define bFM3_MFS3_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42706094UL))
#define bFM3_MFS3_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM3_MFS3_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270609CUL))
#define bFM3_MFS3_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270621CUL))
#define bFM3_MFS3_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270621CUL))

#define bFM_MFS3_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270623CUL))
#define bFM3_MFS3_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270623CUL))

#define bFM_MFS3_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42706008UL))
#define bFM3_MFS3_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM3_MFS3_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM3_MFS3_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427060B8UL))
#define bFM3_MFS3_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427060B8UL))
#define bFM_MFS3_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427061BCUL))
#define bFM3_MFS3_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM3_MFS3_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM3_MFS3_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x42706098UL))

#define bFM_MFS3_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42706034UL))
#define bFM3_MFS3_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42706038UL))
#define bFM3_MFS3_LIN_SCR_MS                      *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42706000UL))
#define bFM3_MFS3_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427060B0UL))
#define bFM3_MFS3_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM3_MFS3_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_LIN_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427061BCUL))
#define bFM3_MFS3_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM3_MFS3_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM3_MFS3_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42706094UL))
#define bFM3_MFS3_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM3_MFS3_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270609CUL))
#define bFM3_MFS3_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM3_MFS3_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM3_MFS3_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM3_MFS3_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_UART_SSR_PE                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM3_MFS3_UART_SSR_PE                     *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_UART_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_UART_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))


/******************************************************************************
 ** MFS Registers MFS4
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS4_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270809CUL))
#define bFM3_MFS4_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42708034UL))
#define bFM3_MFS4_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42708038UL))
#define bFM3_MFS4_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM3_MFS4_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42708004UL))
#define bFM3_MFS4_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42708004UL))
#define bFM_MFS4_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM3_MFS4_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42708034UL))
#define bFM3_MFS4_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42708038UL))
#define bFM3_MFS4_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42708080UL))
#define bFM3_MFS4_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42708080UL))
#define bFM_MFS4_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42708084UL))
#define bFM3_MFS4_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42708084UL))
#define bFM_MFS4_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42708088UL))
#define bFM3_MFS4_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42708088UL))
#define bFM_MFS4_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270808CUL))
#define bFM3_MFS4_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270808CUL))
#define bFM_MFS4_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42708090UL))
#define bFM3_MFS4_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42708094UL))
#define bFM3_MFS4_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42708098UL))
#define bFM3_MFS4_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270809CUL))
#define bFM3_MFS4_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270821CUL))
#define bFM3_MFS4_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270821CUL))

#define bFM_MFS4_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270823CUL))
#define bFM3_MFS4_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270823CUL))

#define bFM_MFS4_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42708008UL))
#define bFM3_MFS4_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM3_MFS4_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM3_MFS4_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427080B8UL))
#define bFM3_MFS4_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427080B8UL))
#define bFM_MFS4_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x427081BCUL))
#define bFM3_MFS4_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x427081BCUL))

#define bFM_MFS4_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM3_MFS4_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x42708098UL))
#define bFM3_MFS4_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x42708098UL))

#define bFM_MFS4_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_LIN_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_LIN_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_LIN_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_LIN_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_LIN_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_LIN_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_LIN_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_LIN_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_LIN_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_LIN_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_LIN_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_LIN_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x42708034UL))
#define bFM3_MFS4_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_LIN_SCR_MS                       *((volatile  uint8_t *)(0x42708038UL))
#define bFM3_MFS4_LIN_SCR_MS                      *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x42708000UL))
#define bFM3_MFS4_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x427080B0UL))
#define bFM3_MFS4_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM3_MFS4_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_LIN_SSR_REC                      *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_LIN_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427081BCUL))
#define bFM3_MFS4_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427081BCUL))

#define bFM_MFS4_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270808CUL))
#define bFM3_MFS4_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270808CUL))
#define bFM_MFS4_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM3_MFS4_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42708094UL))
#define bFM3_MFS4_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42708098UL))
#define bFM3_MFS4_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270809CUL))
#define bFM3_MFS4_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_UART_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_UART_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_UART_FCR_FSET                   *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_UART_FCR_FLD                    *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_UART_FCR_FLST                   *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM3_MFS4_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM3_MFS4_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM3_MFS4_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_UART_SSR_PE                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM3_MFS4_UART_SSR_PE                     *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_UART_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_UART_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))


/******************************************************************************
 ** MFS Registers MFS5
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS5_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270A09CUL))
#define bFM3_MFS5_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270A09CUL))

#define bFM_MFS5_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270A034UL))
#define bFM3_MFS5_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x4270A034UL))
#define bFM_MFS5_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270A038UL))
#define bFM3_MFS5_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x4270A038UL))
#define bFM_MFS5_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270A000UL))
#define bFM3_MFS5_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x4270A000UL))
#define bFM_MFS5_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270A004UL))
#define bFM3_MFS5_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x4270A004UL))
#define bFM_MFS5_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270A008UL))
#define bFM3_MFS5_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x4270A008UL))
#define bFM_MFS5_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x4270A0BCUL))

#define bFM_MFS5_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270A034UL))
#define bFM3_MFS5_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x4270A034UL))
#define bFM_MFS5_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270A038UL))
#define bFM3_MFS5_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x4270A038UL))
#define bFM_MFS5_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270A080UL))
#define bFM3_MFS5_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x4270A080UL))
#define bFM_MFS5_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270A084UL))
#define bFM3_MFS5_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x4270A084UL))
#define bFM_MFS5_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270A088UL))
#define bFM3_MFS5_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x4270A088UL))
#define bFM_MFS5_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM3_MFS5_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM_MFS5_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270A090UL))
#define bFM3_MFS5_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x4270A090UL))
#define bFM_MFS5_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270A094UL))
#define bFM3_MFS5_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x4270A094UL))
#define bFM_MFS5_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270A098UL))
#define bFM3_MFS5_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x4270A098UL))
#define bFM_MFS5_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270A09CUL))
#define bFM3_MFS5_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270A09CUL))

#define bFM_MFS5_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270A21CUL))
#define bFM3_MFS5_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270A21CUL))

#define bFM_MFS5_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270A23CUL))
#define bFM3_MFS5_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270A23CUL))

#define bFM_MFS5_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270A008UL))
#define bFM3_MFS5_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x4270A008UL))
#define bFM_MFS5_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM3_MFS5_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM_MFS5_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM3_MFS5_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM_MFS5_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270A0B8UL))
#define bFM3_MFS5_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x4270A0B8UL))
#define bFM_MFS5_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_I2C_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))

#define bFM_MFS5_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x4270A1BCUL))
#define bFM3_MFS5_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x4270A1BCUL))

#define bFM_MFS5_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x4270A090UL))
#define bFM3_MFS5_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x4270A090UL))
#define bFM_MFS5_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x4270A098UL))
#define bFM3_MFS5_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270A098UL))

#define bFM_MFS5_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_LIN_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_LIN_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_LIN_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_LIN_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_LIN_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_LIN_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_LIN_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_LIN_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_LIN_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_LIN_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_LIN_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_LIN_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x4270A034UL))
#define bFM3_MFS5_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x4270A034UL))
#define bFM_MFS5_LIN_SCR_MS                       *((volatile  uint8_t *)(0x4270A038UL))
#define bFM3_MFS5_LIN_SCR_MS                      *((volatile  uint8_t *)(0x4270A038UL))
#define bFM_MFS5_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x4270A000UL))
#define bFM3_MFS5_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x4270A000UL))
#define bFM_MFS5_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM3_MFS5_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM_MFS5_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM3_MFS5_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM_MFS5_LIN_SSR_REC                      *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_LIN_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))

#define bFM_MFS5_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270A1BCUL))
#define bFM3_MFS5_UART_BGR_EXT                    *((volatile  uint8_t *)(0x4270A1BCUL))

#define bFM_MFS5_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM3_MFS5_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM_MFS5_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270A090UL))
#define bFM3_MFS5_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x4270A090UL))
#define bFM_MFS5_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270A094UL))
#define bFM3_MFS5_UART_ESCR_INV                   *((volatile  uint8_t *)(0x4270A094UL))
#define bFM_MFS5_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270A098UL))
#define bFM3_MFS5_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270A098UL))
#define bFM_MFS5_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270A09CUL))
#define bFM3_MFS5_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270A09CUL))

#define bFM_MFS5_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_UART_FCR_FE1                    *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_UART_FCR_FE2                    *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_UART_FCR_FSET                   *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_UART_FCR_FLD                    *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_UART_FCR_FLST                   *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_UART_SCR_TXE                    *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_UART_SCR_RXE                    *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_UART_SCR_RIE                    *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270A000UL))
#define bFM3_MFS5_UART_SMR_SOE                    *((volatile  uint8_t *)(0x4270A000UL))
#define bFM_MFS5_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270A008UL))
#define bFM3_MFS5_UART_SMR_BDS                    *((volatile  uint8_t *)(0x4270A008UL))
#define bFM_MFS5_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_UART_SSR_TBI                    *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_UART_SSR_ORE                    *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM3_MFS5_UART_SSR_FRE                    *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM_MFS5_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM3_MFS5_UART_SSR_PE                     *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM_MFS5_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_UART_SSR_REC                    *((volatile  uint8_t *)(0x4270A0BCUL))


/******************************************************************************
 ** MFS Registers MFS6
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS6_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM3_MFS6_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270C034UL))
#define bFM3_MFS6_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270C038UL))
#define bFM3_MFS6_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM3_MFS6_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270C004UL))
#define bFM3_MFS6_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x4270C004UL))
#define bFM_MFS6_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM3_MFS6_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270C034UL))
#define bFM3_MFS6_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270C038UL))
#define bFM3_MFS6_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270C080UL))
#define bFM3_MFS6_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x4270C080UL))
#define bFM_MFS6_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270C084UL))
#define bFM3_MFS6_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x4270C084UL))
#define bFM_MFS6_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270C088UL))
#define bFM3_MFS6_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x4270C088UL))
#define bFM_MFS6_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM3_MFS6_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM_MFS6_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270C090UL))
#define bFM3_MFS6_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270C094UL))
#define bFM3_MFS6_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270C098UL))
#define bFM3_MFS6_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM3_MFS6_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270C21CUL))
#define bFM3_MFS6_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270C21CUL))

#define bFM_MFS6_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270C23CUL))
#define bFM3_MFS6_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270C23CUL))

#define bFM_MFS6_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270C008UL))
#define bFM3_MFS6_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM3_MFS6_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM3_MFS6_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270C0B8UL))
#define bFM3_MFS6_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x4270C0B8UL))
#define bFM_MFS6_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_I2C_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x4270C1BCUL))
#define bFM3_MFS6_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x4270C1BCUL))

#define bFM_MFS6_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM3_MFS6_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x4270C098UL))
#define bFM3_MFS6_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270C098UL))

#define bFM_MFS6_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_LIN_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_LIN_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_LIN_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_LIN_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_LIN_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_LIN_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_LIN_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_LIN_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_LIN_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_LIN_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_LIN_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_LIN_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x4270C034UL))
#define bFM3_MFS6_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_LIN_SCR_MS                       *((volatile  uint8_t *)(0x4270C038UL))
#define bFM3_MFS6_LIN_SCR_MS                      *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x4270C000UL))
#define bFM3_MFS6_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM3_MFS6_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM3_MFS6_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_LIN_SSR_REC                      *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_LIN_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270C1BCUL))
#define bFM3_MFS6_UART_BGR_EXT                    *((volatile  uint8_t *)(0x4270C1BCUL))

#define bFM_MFS6_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM3_MFS6_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM_MFS6_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM3_MFS6_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270C094UL))
#define bFM3_MFS6_UART_ESCR_INV                   *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270C098UL))
#define bFM3_MFS6_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM3_MFS6_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_UART_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_UART_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_UART_FCR_FSET                   *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_UART_FCR_FLD                    *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_UART_FCR_FLST                   *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_UART_SCR_TXE                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_UART_SCR_RXE                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_UART_SCR_RIE                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM3_MFS6_UART_SMR_SOE                    *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM3_MFS6_UART_SMR_BDS                    *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_UART_SSR_TBI                    *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_UART_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM3_MFS6_UART_SSR_FRE                    *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM3_MFS6_UART_SSR_PE                     *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_UART_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))


/******************************************************************************
 ** MFS Registers MFS7
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS7_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM3_MFS7_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270E034UL))
#define bFM3_MFS7_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270E038UL))
#define bFM3_MFS7_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM3_MFS7_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270E004UL))
#define bFM3_MFS7_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x4270E004UL))
#define bFM_MFS7_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM3_MFS7_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270E034UL))
#define bFM3_MFS7_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270E038UL))
#define bFM3_MFS7_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270E080UL))
#define bFM3_MFS7_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x4270E080UL))
#define bFM_MFS7_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270E084UL))
#define bFM3_MFS7_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x4270E084UL))
#define bFM_MFS7_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270E088UL))
#define bFM3_MFS7_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x4270E088UL))
#define bFM_MFS7_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM3_MFS7_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM_MFS7_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270E090UL))
#define bFM3_MFS7_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270E094UL))
#define bFM3_MFS7_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270E098UL))
#define bFM3_MFS7_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM3_MFS7_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270E21CUL))
#define bFM3_MFS7_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270E21CUL))

#define bFM_MFS7_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270E23CUL))
#define bFM3_MFS7_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270E23CUL))

#define bFM_MFS7_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270E008UL))
#define bFM3_MFS7_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM3_MFS7_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM3_MFS7_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270E0B8UL))
#define bFM3_MFS7_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x4270E0B8UL))
#define bFM_MFS7_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_I2C_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_LIN_BGR_EXT                      *((volatile  uint8_t *)(0x4270E1BCUL))
#define bFM3_MFS7_LIN_BGR_EXT                     *((volatile  uint8_t *)(0x4270E1BCUL))

#define bFM_MFS7_LIN_ESCR_LBIE                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM3_MFS7_LIN_ESCR_LBIE                   *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_LIN_ESCR_ESBL                    *((volatile  uint8_t *)(0x4270E098UL))
#define bFM3_MFS7_LIN_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270E098UL))

#define bFM_MFS7_LIN_FCR_FE1                      *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_LIN_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_LIN_FCR_FE2                      *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_LIN_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_LIN_FCR_FCL1                     *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_LIN_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_LIN_FCR_FCL2                     *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_LIN_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_LIN_FCR_FSET                     *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_LIN_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_LIN_FCR_FLD                      *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_LIN_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_LIN_FCR_FLST                     *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_LIN_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_LIN_FCR_FSEL                     *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_LIN_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_LIN_FCR_FTIE                     *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_LIN_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_LIN_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_LIN_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_LIN_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_LIN_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_LIN_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_LIN_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_LIN_SCR_TXE                      *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_LIN_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_LIN_SCR_RXE                      *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_LIN_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_LIN_SCR_TBIE                     *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_LIN_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_LIN_SCR_TIE                      *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_LIN_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_LIN_SCR_RIE                      *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_LIN_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_LIN_SCR_LBR                      *((volatile  uint8_t *)(0x4270E034UL))
#define bFM3_MFS7_LIN_SCR_LBR                     *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_LIN_SCR_MS                       *((volatile  uint8_t *)(0x4270E038UL))
#define bFM3_MFS7_LIN_SCR_MS                      *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_LIN_SCR_UPCL                     *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_LIN_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_LIN_SMR_SOE                      *((volatile  uint8_t *)(0x4270E000UL))
#define bFM3_MFS7_LIN_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_LIN_SMR_SBL                      *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_LIN_SMR_SBL                     *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_LIN_SSR_TBI                      *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_LIN_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_LIN_SSR_TDRE                     *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_LIN_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_LIN_SSR_RDRF                     *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_LIN_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_LIN_SSR_ORE                      *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_LIN_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_LIN_SSR_FRE                      *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM3_MFS7_LIN_SSR_FRE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_LIN_SSR_LBD                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM3_MFS7_LIN_SSR_LBD                     *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_LIN_SSR_REC                      *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_LIN_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270E1BCUL))
#define bFM3_MFS7_UART_BGR_EXT                    *((volatile  uint8_t *)(0x4270E1BCUL))

#define bFM_MFS7_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM3_MFS7_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM_MFS7_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM3_MFS7_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270E094UL))
#define bFM3_MFS7_UART_ESCR_INV                   *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270E098UL))
#define bFM3_MFS7_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM3_MFS7_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_UART_FCR_FE1                    *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_UART_FCR_FE2                    *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_UART_FCR_FSET                   *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_UART_FCR_FLD                    *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_UART_FCR_FLST                   *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_UART_SCR_TXE                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_UART_SCR_RXE                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_UART_SCR_RIE                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM3_MFS7_UART_SMR_SOE                    *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM3_MFS7_UART_SMR_BDS                    *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_UART_SSR_TBI                    *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_UART_SSR_ORE                    *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM3_MFS7_UART_SSR_FRE                    *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM3_MFS7_UART_SSR_PE                     *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_UART_SSR_REC                    *((volatile  uint8_t *)(0x4270E0BCUL))


/******************************************************************************
 ** MFT_PPG Registers MFT_PPG
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFT_PPG_GATEC0_EDGE0                  *((volatile  uint8_t *)(0x42484300UL))
#define bFM3_MFT_PPG_GATEC0_EDGE0                 *((volatile  uint8_t *)(0x42484300UL))
#define bFM_MFT_PPG_GATEC0_STRG0                  *((volatile  uint8_t *)(0x42484304UL))
#define bFM3_MFT_PPG_GATEC0_STRG0                 *((volatile  uint8_t *)(0x42484304UL))
#define bFM_MFT_PPG_GATEC0_EDGE2                  *((volatile  uint8_t *)(0x42484310UL))
#define bFM3_MFT_PPG_GATEC0_EDGE2                 *((volatile  uint8_t *)(0x42484310UL))
#define bFM_MFT_PPG_GATEC0_STRG2                  *((volatile  uint8_t *)(0x42484314UL))
#define bFM3_MFT_PPG_GATEC0_STRG2                 *((volatile  uint8_t *)(0x42484314UL))

#define bFM_MFT_PPG_GATEC12_EDGE12                *((volatile  uint8_t *)(0x42485B00UL))
#define bFM3_MFT_PPG_GATEC12_EDGE12               *((volatile  uint8_t *)(0x42485B00UL))
#define bFM_MFT_PPG_GATEC12_STRG12                *((volatile  uint8_t *)(0x42485B04UL))
#define bFM3_MFT_PPG_GATEC12_STRG12               *((volatile  uint8_t *)(0x42485B04UL))
#define bFM_MFT_PPG_GATEC12_EDGE14                *((volatile  uint8_t *)(0x42485B10UL))
#define bFM3_MFT_PPG_GATEC12_EDGE14               *((volatile  uint8_t *)(0x42485B10UL))
#define bFM_MFT_PPG_GATEC12_STRG14                *((volatile  uint8_t *)(0x42485B14UL))
#define bFM3_MFT_PPG_GATEC12_STRG14               *((volatile  uint8_t *)(0x42485B14UL))

#define bFM_MFT_PPG_GATEC16_EDGE16                *((volatile  uint8_t *)(0x42486300UL))
#define bFM3_MFT_PPG_GATEC16_EDGE16               *((volatile  uint8_t *)(0x42486300UL))
#define bFM_MFT_PPG_GATEC16_STRG16                *((volatile  uint8_t *)(0x42486304UL))
#define bFM3_MFT_PPG_GATEC16_STRG16               *((volatile  uint8_t *)(0x42486304UL))
#define bFM_MFT_PPG_GATEC16_EDGE18                *((volatile  uint8_t *)(0x42486310UL))
#define bFM3_MFT_PPG_GATEC16_EDGE18               *((volatile  uint8_t *)(0x42486310UL))
#define bFM_MFT_PPG_GATEC16_STRG18                *((volatile  uint8_t *)(0x42486314UL))
#define bFM3_MFT_PPG_GATEC16_STRG18               *((volatile  uint8_t *)(0x42486314UL))

#define bFM_MFT_PPG_GATEC20_EDGE20                *((volatile  uint8_t *)(0x42486B00UL))
#define bFM3_MFT_PPG_GATEC20_EDGE20               *((volatile  uint8_t *)(0x42486B00UL))
#define bFM_MFT_PPG_GATEC20_STRG20                *((volatile  uint8_t *)(0x42486B04UL))
#define bFM3_MFT_PPG_GATEC20_STRG20               *((volatile  uint8_t *)(0x42486B04UL))
#define bFM_MFT_PPG_GATEC20_EDGE22                *((volatile  uint8_t *)(0x42486B10UL))
#define bFM3_MFT_PPG_GATEC20_EDGE22               *((volatile  uint8_t *)(0x42486B10UL))
#define bFM_MFT_PPG_GATEC20_STRG22                *((volatile  uint8_t *)(0x42486B14UL))
#define bFM3_MFT_PPG_GATEC20_STRG22               *((volatile  uint8_t *)(0x42486B14UL))

#define bFM_MFT_PPG_GATEC4_EDGE4                  *((volatile  uint8_t *)(0x42484B00UL))
#define bFM3_MFT_PPG_GATEC4_EDGE4                 *((volatile  uint8_t *)(0x42484B00UL))
#define bFM_MFT_PPG_GATEC4_STRG4                  *((volatile  uint8_t *)(0x42484B04UL))
#define bFM3_MFT_PPG_GATEC4_STRG4                 *((volatile  uint8_t *)(0x42484B04UL))
#define bFM_MFT_PPG_GATEC4_EDGE6                  *((volatile  uint8_t *)(0x42484B10UL))
#define bFM3_MFT_PPG_GATEC4_EDGE6                 *((volatile  uint8_t *)(0x42484B10UL))
#define bFM_MFT_PPG_GATEC4_STRG6                  *((volatile  uint8_t *)(0x42484B14UL))
#define bFM3_MFT_PPG_GATEC4_STRG6                 *((volatile  uint8_t *)(0x42484B14UL))

#define bFM_MFT_PPG_GATEC8_EDGE8                  *((volatile  uint8_t *)(0x42485300UL))
#define bFM3_MFT_PPG_GATEC8_EDGE8                 *((volatile  uint8_t *)(0x42485300UL))
#define bFM_MFT_PPG_GATEC8_STRG8                  *((volatile  uint8_t *)(0x42485304UL))
#define bFM3_MFT_PPG_GATEC8_STRG8                 *((volatile  uint8_t *)(0x42485304UL))
#define bFM_MFT_PPG_GATEC8_EDGE10                 *((volatile  uint8_t *)(0x42485310UL))
#define bFM3_MFT_PPG_GATEC8_EDGE10                *((volatile  uint8_t *)(0x42485310UL))
#define bFM_MFT_PPG_GATEC8_STRG10                 *((volatile  uint8_t *)(0x42485314UL))
#define bFM3_MFT_PPG_GATEC8_STRG10                *((volatile  uint8_t *)(0x42485314UL))

#define bFM_MFT_PPG_PPGC0_TTRG                    *((volatile  uint8_t *)(0x42484020UL))
#define bFM3_MFT_PPG_PPGC0_TTRG                   *((volatile  uint8_t *)(0x42484020UL))
#define bFM_MFT_PPG_PPGC0_INTM                    *((volatile  uint8_t *)(0x42484034UL))
#define bFM3_MFT_PPG_PPGC0_INTM                   *((volatile  uint8_t *)(0x42484034UL))
#define bFM_MFT_PPG_PPGC0_PUF                     *((volatile  uint8_t *)(0x42484038UL))
#define bFM3_MFT_PPG_PPGC0_PUF                    *((volatile  uint8_t *)(0x42484038UL))
#define bFM_MFT_PPG_PPGC0_PIE                     *((volatile  uint8_t *)(0x4248403CUL))
#define bFM3_MFT_PPG_PPGC0_PIE                    *((volatile  uint8_t *)(0x4248403CUL))

#define bFM_MFT_PPG_PPGC1_INTM                    *((volatile  uint8_t *)(0x42484014UL))
#define bFM3_MFT_PPG_PPGC1_INTM                   *((volatile  uint8_t *)(0x42484014UL))
#define bFM_MFT_PPG_PPGC1_PUF                     *((volatile  uint8_t *)(0x42484018UL))
#define bFM3_MFT_PPG_PPGC1_PUF                    *((volatile  uint8_t *)(0x42484018UL))
#define bFM_MFT_PPG_PPGC1_PIE                     *((volatile  uint8_t *)(0x4248401CUL))
#define bFM3_MFT_PPG_PPGC1_PIE                    *((volatile  uint8_t *)(0x4248401CUL))

#define bFM_MFT_PPG_PPGC10_TTRG                   *((volatile  uint8_t *)(0x424850A0UL))
#define bFM3_MFT_PPG_PPGC10_TTRG                  *((volatile  uint8_t *)(0x424850A0UL))
#define bFM_MFT_PPG_PPGC10_INTM                   *((volatile  uint8_t *)(0x424850B4UL))
#define bFM3_MFT_PPG_PPGC10_INTM                  *((volatile  uint8_t *)(0x424850B4UL))
#define bFM_MFT_PPG_PPGC10_PUF                    *((volatile  uint8_t *)(0x424850B8UL))
#define bFM3_MFT_PPG_PPGC10_PUF                   *((volatile  uint8_t *)(0x424850B8UL))
#define bFM_MFT_PPG_PPGC10_PIE                    *((volatile  uint8_t *)(0x424850BCUL))
#define bFM3_MFT_PPG_PPGC10_PIE                   *((volatile  uint8_t *)(0x424850BCUL))

#define bFM_MFT_PPG_PPGC11_INTM                   *((volatile  uint8_t *)(0x42485094UL))
#define bFM3_MFT_PPG_PPGC11_INTM                  *((volatile  uint8_t *)(0x42485094UL))
#define bFM_MFT_PPG_PPGC11_PUF                    *((volatile  uint8_t *)(0x42485098UL))
#define bFM3_MFT_PPG_PPGC11_PUF                   *((volatile  uint8_t *)(0x42485098UL))
#define bFM_MFT_PPG_PPGC11_PIE                    *((volatile  uint8_t *)(0x4248509CUL))
#define bFM3_MFT_PPG_PPGC11_PIE                   *((volatile  uint8_t *)(0x4248509CUL))

#define bFM_MFT_PPG_PPGC12_TTRG                   *((volatile  uint8_t *)(0x42485820UL))
#define bFM3_MFT_PPG_PPGC12_TTRG                  *((volatile  uint8_t *)(0x42485820UL))
#define bFM_MFT_PPG_PPGC12_INTM                   *((volatile  uint8_t *)(0x42485834UL))
#define bFM3_MFT_PPG_PPGC12_INTM                  *((volatile  uint8_t *)(0x42485834UL))
#define bFM_MFT_PPG_PPGC12_PUF                    *((volatile  uint8_t *)(0x42485838UL))
#define bFM3_MFT_PPG_PPGC12_PUF                   *((volatile  uint8_t *)(0x42485838UL))
#define bFM_MFT_PPG_PPGC12_PIE                    *((volatile  uint8_t *)(0x4248583CUL))
#define bFM3_MFT_PPG_PPGC12_PIE                   *((volatile  uint8_t *)(0x4248583CUL))

#define bFM_MFT_PPG_PPGC13_INTM                   *((volatile  uint8_t *)(0x42485814UL))
#define bFM3_MFT_PPG_PPGC13_INTM                  *((volatile  uint8_t *)(0x42485814UL))
#define bFM_MFT_PPG_PPGC13_PUF                    *((volatile  uint8_t *)(0x42485818UL))
#define bFM3_MFT_PPG_PPGC13_PUF                   *((volatile  uint8_t *)(0x42485818UL))
#define bFM_MFT_PPG_PPGC13_PIE                    *((volatile  uint8_t *)(0x4248581CUL))
#define bFM3_MFT_PPG_PPGC13_PIE                   *((volatile  uint8_t *)(0x4248581CUL))

#define bFM_MFT_PPG_PPGC14_TTRG                   *((volatile  uint8_t *)(0x424858A0UL))
#define bFM3_MFT_PPG_PPGC14_TTRG                  *((volatile  uint8_t *)(0x424858A0UL))
#define bFM_MFT_PPG_PPGC14_INTM                   *((volatile  uint8_t *)(0x424858B4UL))
#define bFM3_MFT_PPG_PPGC14_INTM                  *((volatile  uint8_t *)(0x424858B4UL))
#define bFM_MFT_PPG_PPGC14_PUF                    *((volatile  uint8_t *)(0x424858B8UL))
#define bFM3_MFT_PPG_PPGC14_PUF                   *((volatile  uint8_t *)(0x424858B8UL))
#define bFM_MFT_PPG_PPGC14_PIE                    *((volatile  uint8_t *)(0x424858BCUL))
#define bFM3_MFT_PPG_PPGC14_PIE                   *((volatile  uint8_t *)(0x424858BCUL))

#define bFM_MFT_PPG_PPGC15_INTM                   *((volatile  uint8_t *)(0x42485894UL))
#define bFM3_MFT_PPG_PPGC15_INTM                  *((volatile  uint8_t *)(0x42485894UL))
#define bFM_MFT_PPG_PPGC15_PUF                    *((volatile  uint8_t *)(0x42485898UL))
#define bFM3_MFT_PPG_PPGC15_PUF                   *((volatile  uint8_t *)(0x42485898UL))
#define bFM_MFT_PPG_PPGC15_PIE                    *((volatile  uint8_t *)(0x4248589CUL))
#define bFM3_MFT_PPG_PPGC15_PIE                   *((volatile  uint8_t *)(0x4248589CUL))

#define bFM_MFT_PPG_PPGC16_TTRG                   *((volatile  uint8_t *)(0x42486020UL))
#define bFM3_MFT_PPG_PPGC16_TTRG                  *((volatile  uint8_t *)(0x42486020UL))
#define bFM_MFT_PPG_PPGC16_INTM                   *((volatile  uint8_t *)(0x42486034UL))
#define bFM3_MFT_PPG_PPGC16_INTM                  *((volatile  uint8_t *)(0x42486034UL))
#define bFM_MFT_PPG_PPGC16_PUF                    *((volatile  uint8_t *)(0x42486038UL))
#define bFM3_MFT_PPG_PPGC16_PUF                   *((volatile  uint8_t *)(0x42486038UL))
#define bFM_MFT_PPG_PPGC16_PIE                    *((volatile  uint8_t *)(0x4248603CUL))
#define bFM3_MFT_PPG_PPGC16_PIE                   *((volatile  uint8_t *)(0x4248603CUL))

#define bFM_MFT_PPG_PPGC17_INTM                   *((volatile  uint8_t *)(0x42486014UL))
#define bFM3_MFT_PPG_PPGC17_INTM                  *((volatile  uint8_t *)(0x42486014UL))
#define bFM_MFT_PPG_PPGC17_PUF                    *((volatile  uint8_t *)(0x42486018UL))
#define bFM3_MFT_PPG_PPGC17_PUF                   *((volatile  uint8_t *)(0x42486018UL))
#define bFM_MFT_PPG_PPGC17_PIE                    *((volatile  uint8_t *)(0x4248601CUL))
#define bFM3_MFT_PPG_PPGC17_PIE                   *((volatile  uint8_t *)(0x4248601CUL))

#define bFM_MFT_PPG_PPGC18_TTRG                   *((volatile  uint8_t *)(0x424860A0UL))
#define bFM3_MFT_PPG_PPGC18_TTRG                  *((volatile  uint8_t *)(0x424860A0UL))
#define bFM_MFT_PPG_PPGC18_INTM                   *((volatile  uint8_t *)(0x424860B4UL))
#define bFM3_MFT_PPG_PPGC18_INTM                  *((volatile  uint8_t *)(0x424860B4UL))
#define bFM_MFT_PPG_PPGC18_PUF                    *((volatile  uint8_t *)(0x424860B8UL))
#define bFM3_MFT_PPG_PPGC18_PUF                   *((volatile  uint8_t *)(0x424860B8UL))
#define bFM_MFT_PPG_PPGC18_PIE                    *((volatile  uint8_t *)(0x424860BCUL))
#define bFM3_MFT_PPG_PPGC18_PIE                   *((volatile  uint8_t *)(0x424860BCUL))

#define bFM_MFT_PPG_PPGC19_INTM                   *((volatile  uint8_t *)(0x42486094UL))
#define bFM3_MFT_PPG_PPGC19_INTM                  *((volatile  uint8_t *)(0x42486094UL))
#define bFM_MFT_PPG_PPGC19_PUF                    *((volatile  uint8_t *)(0x42486098UL))
#define bFM3_MFT_PPG_PPGC19_PUF                   *((volatile  uint8_t *)(0x42486098UL))
#define bFM_MFT_PPG_PPGC19_PIE                    *((volatile  uint8_t *)(0x4248609CUL))
#define bFM3_MFT_PPG_PPGC19_PIE                   *((volatile  uint8_t *)(0x4248609CUL))

#define bFM_MFT_PPG_PPGC2_TTRG                    *((volatile  uint8_t *)(0x424840A0UL))
#define bFM3_MFT_PPG_PPGC2_TTRG                   *((volatile  uint8_t *)(0x424840A0UL))
#define bFM_MFT_PPG_PPGC2_INTM                    *((volatile  uint8_t *)(0x424840B4UL))
#define bFM3_MFT_PPG_PPGC2_INTM                   *((volatile  uint8_t *)(0x424840B4UL))
#define bFM_MFT_PPG_PPGC2_PUF                     *((volatile  uint8_t *)(0x424840B8UL))
#define bFM3_MFT_PPG_PPGC2_PUF                    *((volatile  uint8_t *)(0x424840B8UL))
#define bFM_MFT_PPG_PPGC2_PIE                     *((volatile  uint8_t *)(0x424840BCUL))
#define bFM3_MFT_PPG_PPGC2_PIE                    *((volatile  uint8_t *)(0x424840BCUL))

#define bFM_MFT_PPG_PPGC20_TTRG                   *((volatile  uint8_t *)(0x42486820UL))
#define bFM3_MFT_PPG_PPGC20_TTRG                  *((volatile  uint8_t *)(0x42486820UL))
#define bFM_MFT_PPG_PPGC20_INTM                   *((volatile  uint8_t *)(0x42486834UL))
#define bFM3_MFT_PPG_PPGC20_INTM                  *((volatile  uint8_t *)(0x42486834UL))
#define bFM_MFT_PPG_PPGC20_PUF                    *((volatile  uint8_t *)(0x42486838UL))
#define bFM3_MFT_PPG_PPGC20_PUF                   *((volatile  uint8_t *)(0x42486838UL))
#define bFM_MFT_PPG_PPGC20_PIE                    *((volatile  uint8_t *)(0x4248683CUL))
#define bFM3_MFT_PPG_PPGC20_PIE                   *((volatile  uint8_t *)(0x4248683CUL))

#define bFM_MFT_PPG_PPGC21_INTM                   *((volatile  uint8_t *)(0x42486814UL))
#define bFM3_MFT_PPG_PPGC21_INTM                  *((volatile  uint8_t *)(0x42486814UL))
#define bFM_MFT_PPG_PPGC21_PUF                    *((volatile  uint8_t *)(0x42486818UL))
#define bFM3_MFT_PPG_PPGC21_PUF                   *((volatile  uint8_t *)(0x42486818UL))
#define bFM_MFT_PPG_PPGC21_PIE                    *((volatile  uint8_t *)(0x4248681CUL))
#define bFM3_MFT_PPG_PPGC21_PIE                   *((volatile  uint8_t *)(0x4248681CUL))

#define bFM_MFT_PPG_PPGC22_TTRG                   *((volatile  uint8_t *)(0x424868A0UL))
#define bFM3_MFT_PPG_PPGC22_TTRG                  *((volatile  uint8_t *)(0x424868A0UL))
#define bFM_MFT_PPG_PPGC22_INTM                   *((volatile  uint8_t *)(0x424868B4UL))
#define bFM3_MFT_PPG_PPGC22_INTM                  *((volatile  uint8_t *)(0x424868B4UL))
#define bFM_MFT_PPG_PPGC22_PUF                    *((volatile  uint8_t *)(0x424868B8UL))
#define bFM3_MFT_PPG_PPGC22_PUF                   *((volatile  uint8_t *)(0x424868B8UL))
#define bFM_MFT_PPG_PPGC22_PIE                    *((volatile  uint8_t *)(0x424868BCUL))
#define bFM3_MFT_PPG_PPGC22_PIE                   *((volatile  uint8_t *)(0x424868BCUL))

#define bFM_MFT_PPG_PPGC23_INTM                   *((volatile  uint8_t *)(0x42486894UL))
#define bFM3_MFT_PPG_PPGC23_INTM                  *((volatile  uint8_t *)(0x42486894UL))
#define bFM_MFT_PPG_PPGC23_PUF                    *((volatile  uint8_t *)(0x42486898UL))
#define bFM3_MFT_PPG_PPGC23_PUF                   *((volatile  uint8_t *)(0x42486898UL))
#define bFM_MFT_PPG_PPGC23_PIE                    *((volatile  uint8_t *)(0x4248689CUL))
#define bFM3_MFT_PPG_PPGC23_PIE                   *((volatile  uint8_t *)(0x4248689CUL))

#define bFM_MFT_PPG_PPGC3_INTM                    *((volatile  uint8_t *)(0x42484094UL))
#define bFM3_MFT_PPG_PPGC3_INTM                   *((volatile  uint8_t *)(0x42484094UL))
#define bFM_MFT_PPG_PPGC3_PUF                     *((volatile  uint8_t *)(0x42484098UL))
#define bFM3_MFT_PPG_PPGC3_PUF                    *((volatile  uint8_t *)(0x42484098UL))
#define bFM_MFT_PPG_PPGC3_PIE                     *((volatile  uint8_t *)(0x4248409CUL))
#define bFM3_MFT_PPG_PPGC3_PIE                    *((volatile  uint8_t *)(0x4248409CUL))

#define bFM_MFT_PPG_PPGC4_TTRG                    *((volatile  uint8_t *)(0x42484820UL))
#define bFM3_MFT_PPG_PPGC4_TTRG                   *((volatile  uint8_t *)(0x42484820UL))
#define bFM_MFT_PPG_PPGC4_INTM                    *((volatile  uint8_t *)(0x42484834UL))
#define bFM3_MFT_PPG_PPGC4_INTM                   *((volatile  uint8_t *)(0x42484834UL))
#define bFM_MFT_PPG_PPGC4_PUF                     *((volatile  uint8_t *)(0x42484838UL))
#define bFM3_MFT_PPG_PPGC4_PUF                    *((volatile  uint8_t *)(0x42484838UL))
#define bFM_MFT_PPG_PPGC4_PIE                     *((volatile  uint8_t *)(0x4248483CUL))
#define bFM3_MFT_PPG_PPGC4_PIE                    *((volatile  uint8_t *)(0x4248483CUL))

#define bFM_MFT_PPG_PPGC5_INTM                    *((volatile  uint8_t *)(0x42484814UL))
#define bFM3_MFT_PPG_PPGC5_INTM                   *((volatile  uint8_t *)(0x42484814UL))
#define bFM_MFT_PPG_PPGC5_PUF                     *((volatile  uint8_t *)(0x42484818UL))
#define bFM3_MFT_PPG_PPGC5_PUF                    *((volatile  uint8_t *)(0x42484818UL))
#define bFM_MFT_PPG_PPGC5_PIE                     *((volatile  uint8_t *)(0x4248481CUL))
#define bFM3_MFT_PPG_PPGC5_PIE                    *((volatile  uint8_t *)(0x4248481CUL))

#define bFM_MFT_PPG_PPGC6_TTRG                    *((volatile  uint8_t *)(0x424848A0UL))
#define bFM3_MFT_PPG_PPGC6_TTRG                   *((volatile  uint8_t *)(0x424848A0UL))
#define bFM_MFT_PPG_PPGC6_INTM                    *((volatile  uint8_t *)(0x424848B4UL))
#define bFM3_MFT_PPG_PPGC6_INTM                   *((volatile  uint8_t *)(0x424848B4UL))
#define bFM_MFT_PPG_PPGC6_PUF                     *((volatile  uint8_t *)(0x424848B8UL))
#define bFM3_MFT_PPG_PPGC6_PUF                    *((volatile  uint8_t *)(0x424848B8UL))
#define bFM_MFT_PPG_PPGC6_PIE                     *((volatile  uint8_t *)(0x424848BCUL))
#define bFM3_MFT_PPG_PPGC6_PIE                    *((volatile  uint8_t *)(0x424848BCUL))

#define bFM_MFT_PPG_PPGC7_INTM                    *((volatile  uint8_t *)(0x42484894UL))
#define bFM3_MFT_PPG_PPGC7_INTM                   *((volatile  uint8_t *)(0x42484894UL))
#define bFM_MFT_PPG_PPGC7_PUF                     *((volatile  uint8_t *)(0x42484898UL))
#define bFM3_MFT_PPG_PPGC7_PUF                    *((volatile  uint8_t *)(0x42484898UL))
#define bFM_MFT_PPG_PPGC7_PIE                     *((volatile  uint8_t *)(0x4248489CUL))
#define bFM3_MFT_PPG_PPGC7_PIE                    *((volatile  uint8_t *)(0x4248489CUL))

#define bFM_MFT_PPG_PPGC8_TTRG                    *((volatile  uint8_t *)(0x42485020UL))
#define bFM3_MFT_PPG_PPGC8_TTRG                   *((volatile  uint8_t *)(0x42485020UL))
#define bFM_MFT_PPG_PPGC8_INTM                    *((volatile  uint8_t *)(0x42485034UL))
#define bFM3_MFT_PPG_PPGC8_INTM                   *((volatile  uint8_t *)(0x42485034UL))
#define bFM_MFT_PPG_PPGC8_PUF                     *((volatile  uint8_t *)(0x42485038UL))
#define bFM3_MFT_PPG_PPGC8_PUF                    *((volatile  uint8_t *)(0x42485038UL))
#define bFM_MFT_PPG_PPGC8_PIE                     *((volatile  uint8_t *)(0x4248503CUL))
#define bFM3_MFT_PPG_PPGC8_PIE                    *((volatile  uint8_t *)(0x4248503CUL))

#define bFM_MFT_PPG_PPGC9_INTM                    *((volatile  uint8_t *)(0x42485014UL))
#define bFM3_MFT_PPG_PPGC9_INTM                   *((volatile  uint8_t *)(0x42485014UL))
#define bFM_MFT_PPG_PPGC9_PUF                     *((volatile  uint8_t *)(0x42485018UL))
#define bFM3_MFT_PPG_PPGC9_PUF                    *((volatile  uint8_t *)(0x42485018UL))
#define bFM_MFT_PPG_PPGC9_PIE                     *((volatile  uint8_t *)(0x4248501CUL))
#define bFM3_MFT_PPG_PPGC9_PIE                    *((volatile  uint8_t *)(0x4248501CUL))

#define bFM_MFT_PPG_REVC0_REV00                   *((volatile  uint8_t *)(0x42482080UL))
#define bFM3_MFT_PPG_REVC0_REV00                  *((volatile  uint8_t *)(0x42482080UL))
#define bFM_MFT_PPG_REVC0_REV01                   *((volatile  uint8_t *)(0x42482084UL))
#define bFM3_MFT_PPG_REVC0_REV01                  *((volatile  uint8_t *)(0x42482084UL))
#define bFM_MFT_PPG_REVC0_REV02                   *((volatile  uint8_t *)(0x42482088UL))
#define bFM3_MFT_PPG_REVC0_REV02                  *((volatile  uint8_t *)(0x42482088UL))
#define bFM_MFT_PPG_REVC0_REV03                   *((volatile  uint8_t *)(0x4248208CUL))
#define bFM3_MFT_PPG_REVC0_REV03                  *((volatile  uint8_t *)(0x4248208CUL))
#define bFM_MFT_PPG_REVC0_REV04                   *((volatile  uint8_t *)(0x42482090UL))
#define bFM3_MFT_PPG_REVC0_REV04                  *((volatile  uint8_t *)(0x42482090UL))
#define bFM_MFT_PPG_REVC0_REV05                   *((volatile  uint8_t *)(0x42482094UL))
#define bFM3_MFT_PPG_REVC0_REV05                  *((volatile  uint8_t *)(0x42482094UL))
#define bFM_MFT_PPG_REVC0_REV06                   *((volatile  uint8_t *)(0x42482098UL))
#define bFM3_MFT_PPG_REVC0_REV06                  *((volatile  uint8_t *)(0x42482098UL))
#define bFM_MFT_PPG_REVC0_REV07                   *((volatile  uint8_t *)(0x4248209CUL))
#define bFM3_MFT_PPG_REVC0_REV07                  *((volatile  uint8_t *)(0x4248209CUL))
#define bFM_MFT_PPG_REVC0_REV08                   *((volatile  uint8_t *)(0x424820A0UL))
#define bFM3_MFT_PPG_REVC0_REV08                  *((volatile  uint8_t *)(0x424820A0UL))
#define bFM_MFT_PPG_REVC0_REV09                   *((volatile  uint8_t *)(0x424820A4UL))
#define bFM3_MFT_PPG_REVC0_REV09                  *((volatile  uint8_t *)(0x424820A4UL))
#define bFM_MFT_PPG_REVC0_REV10                   *((volatile  uint8_t *)(0x424820A8UL))
#define bFM3_MFT_PPG_REVC0_REV10                  *((volatile  uint8_t *)(0x424820A8UL))
#define bFM_MFT_PPG_REVC0_REV11                   *((volatile  uint8_t *)(0x424820ACUL))
#define bFM3_MFT_PPG_REVC0_REV11                  *((volatile  uint8_t *)(0x424820ACUL))
#define bFM_MFT_PPG_REVC0_REV12                   *((volatile  uint8_t *)(0x424820B0UL))
#define bFM3_MFT_PPG_REVC0_REV12                  *((volatile  uint8_t *)(0x424820B0UL))
#define bFM_MFT_PPG_REVC0_REV13                   *((volatile  uint8_t *)(0x424820B4UL))
#define bFM3_MFT_PPG_REVC0_REV13                  *((volatile  uint8_t *)(0x424820B4UL))
#define bFM_MFT_PPG_REVC0_REV14                   *((volatile  uint8_t *)(0x424820B8UL))
#define bFM3_MFT_PPG_REVC0_REV14                  *((volatile  uint8_t *)(0x424820B8UL))
#define bFM_MFT_PPG_REVC0_REV15                   *((volatile  uint8_t *)(0x424820BCUL))
#define bFM3_MFT_PPG_REVC0_REV15                  *((volatile  uint8_t *)(0x424820BCUL))

#define bFM_MFT_PPG_REVC1_REV16                   *((volatile  uint8_t *)(0x42482880UL))
#define bFM3_MFT_PPG_REVC1_REV16                  *((volatile  uint8_t *)(0x42482880UL))
#define bFM_MFT_PPG_REVC1_REV17                   *((volatile  uint8_t *)(0x42482884UL))
#define bFM3_MFT_PPG_REVC1_REV17                  *((volatile  uint8_t *)(0x42482884UL))
#define bFM_MFT_PPG_REVC1_REV18                   *((volatile  uint8_t *)(0x42482888UL))
#define bFM3_MFT_PPG_REVC1_REV18                  *((volatile  uint8_t *)(0x42482888UL))
#define bFM_MFT_PPG_REVC1_REV19                   *((volatile  uint8_t *)(0x4248288CUL))
#define bFM3_MFT_PPG_REVC1_REV19                  *((volatile  uint8_t *)(0x4248288CUL))
#define bFM_MFT_PPG_REVC1_REV20                   *((volatile  uint8_t *)(0x42482890UL))
#define bFM3_MFT_PPG_REVC1_REV20                  *((volatile  uint8_t *)(0x42482890UL))
#define bFM_MFT_PPG_REVC1_REV21                   *((volatile  uint8_t *)(0x42482894UL))
#define bFM3_MFT_PPG_REVC1_REV21                  *((volatile  uint8_t *)(0x42482894UL))
#define bFM_MFT_PPG_REVC1_REV22                   *((volatile  uint8_t *)(0x42482898UL))
#define bFM3_MFT_PPG_REVC1_REV22                  *((volatile  uint8_t *)(0x42482898UL))
#define bFM_MFT_PPG_REVC1_REV23                   *((volatile  uint8_t *)(0x4248289CUL))
#define bFM3_MFT_PPG_REVC1_REV23                  *((volatile  uint8_t *)(0x4248289CUL))

#define bFM_MFT_PPG_TRG0_PEN00                    *((volatile  uint8_t *)(0x42482000UL))
#define bFM3_MFT_PPG_TRG0_PEN00                   *((volatile  uint8_t *)(0x42482000UL))
#define bFM_MFT_PPG_TRG0_PEN01                    *((volatile  uint8_t *)(0x42482004UL))
#define bFM3_MFT_PPG_TRG0_PEN01                   *((volatile  uint8_t *)(0x42482004UL))
#define bFM_MFT_PPG_TRG0_PEN02                    *((volatile  uint8_t *)(0x42482008UL))
#define bFM3_MFT_PPG_TRG0_PEN02                   *((volatile  uint8_t *)(0x42482008UL))
#define bFM_MFT_PPG_TRG0_PEN03                    *((volatile  uint8_t *)(0x4248200CUL))
#define bFM3_MFT_PPG_TRG0_PEN03                   *((volatile  uint8_t *)(0x4248200CUL))
#define bFM_MFT_PPG_TRG0_PEN04                    *((volatile  uint8_t *)(0x42482010UL))
#define bFM3_MFT_PPG_TRG0_PEN04                   *((volatile  uint8_t *)(0x42482010UL))
#define bFM_MFT_PPG_TRG0_PEN05                    *((volatile  uint8_t *)(0x42482014UL))
#define bFM3_MFT_PPG_TRG0_PEN05                   *((volatile  uint8_t *)(0x42482014UL))
#define bFM_MFT_PPG_TRG0_PEN06                    *((volatile  uint8_t *)(0x42482018UL))
#define bFM3_MFT_PPG_TRG0_PEN06                   *((volatile  uint8_t *)(0x42482018UL))
#define bFM_MFT_PPG_TRG0_PEN07                    *((volatile  uint8_t *)(0x4248201CUL))
#define bFM3_MFT_PPG_TRG0_PEN07                   *((volatile  uint8_t *)(0x4248201CUL))
#define bFM_MFT_PPG_TRG0_PEN08                    *((volatile  uint8_t *)(0x42482020UL))
#define bFM3_MFT_PPG_TRG0_PEN08                   *((volatile  uint8_t *)(0x42482020UL))
#define bFM_MFT_PPG_TRG0_PEN09                    *((volatile  uint8_t *)(0x42482024UL))
#define bFM3_MFT_PPG_TRG0_PEN09                   *((volatile  uint8_t *)(0x42482024UL))
#define bFM_MFT_PPG_TRG0_PEN10                    *((volatile  uint8_t *)(0x42482028UL))
#define bFM3_MFT_PPG_TRG0_PEN10                   *((volatile  uint8_t *)(0x42482028UL))
#define bFM_MFT_PPG_TRG0_PEN11                    *((volatile  uint8_t *)(0x4248202CUL))
#define bFM3_MFT_PPG_TRG0_PEN11                   *((volatile  uint8_t *)(0x4248202CUL))
#define bFM_MFT_PPG_TRG0_PEN12                    *((volatile  uint8_t *)(0x42482030UL))
#define bFM3_MFT_PPG_TRG0_PEN12                   *((volatile  uint8_t *)(0x42482030UL))
#define bFM_MFT_PPG_TRG0_PEN13                    *((volatile  uint8_t *)(0x42482034UL))
#define bFM3_MFT_PPG_TRG0_PEN13                   *((volatile  uint8_t *)(0x42482034UL))
#define bFM_MFT_PPG_TRG0_PEN14                    *((volatile  uint8_t *)(0x42482038UL))
#define bFM3_MFT_PPG_TRG0_PEN14                   *((volatile  uint8_t *)(0x42482038UL))
#define bFM_MFT_PPG_TRG0_PEN15                    *((volatile  uint8_t *)(0x4248203CUL))
#define bFM3_MFT_PPG_TRG0_PEN15                   *((volatile  uint8_t *)(0x4248203CUL))

#define bFM_MFT_PPG_TRG1_PEN16                    *((volatile  uint8_t *)(0x42482800UL))
#define bFM3_MFT_PPG_TRG1_PEN16                   *((volatile  uint8_t *)(0x42482800UL))
#define bFM_MFT_PPG_TRG1_PEN17                    *((volatile  uint8_t *)(0x42482804UL))
#define bFM3_MFT_PPG_TRG1_PEN17                   *((volatile  uint8_t *)(0x42482804UL))
#define bFM_MFT_PPG_TRG1_PEN18                    *((volatile  uint8_t *)(0x42482808UL))
#define bFM3_MFT_PPG_TRG1_PEN18                   *((volatile  uint8_t *)(0x42482808UL))
#define bFM_MFT_PPG_TRG1_PEN19                    *((volatile  uint8_t *)(0x4248280CUL))
#define bFM3_MFT_PPG_TRG1_PEN19                   *((volatile  uint8_t *)(0x4248280CUL))
#define bFM_MFT_PPG_TRG1_PEN20                    *((volatile  uint8_t *)(0x42482810UL))
#define bFM3_MFT_PPG_TRG1_PEN20                   *((volatile  uint8_t *)(0x42482810UL))
#define bFM_MFT_PPG_TRG1_PEN21                    *((volatile  uint8_t *)(0x42482814UL))
#define bFM3_MFT_PPG_TRG1_PEN21                   *((volatile  uint8_t *)(0x42482814UL))
#define bFM_MFT_PPG_TRG1_PEN22                    *((volatile  uint8_t *)(0x42482818UL))
#define bFM3_MFT_PPG_TRG1_PEN22                   *((volatile  uint8_t *)(0x42482818UL))
#define bFM_MFT_PPG_TRG1_PEN23                    *((volatile  uint8_t *)(0x4248281CUL))
#define bFM3_MFT_PPG_TRG1_PEN23                   *((volatile  uint8_t *)(0x4248281CUL))

#define bFM_MFT_PPG_TTCR0_STR0                    *((volatile  uint8_t *)(0x42480020UL))
#define bFM3_MFT_PPG_TTCR0_STR0                   *((volatile  uint8_t *)(0x42480020UL))
#define bFM_MFT_PPG_TTCR0_MONI0                   *((volatile  uint8_t *)(0x42480024UL))
#define bFM3_MFT_PPG_TTCR0_MONI0                  *((volatile  uint8_t *)(0x42480024UL))
#define bFM_MFT_PPG_TTCR0_TRG0O                   *((volatile  uint8_t *)(0x42480030UL))
#define bFM3_MFT_PPG_TTCR0_TRG0O                  *((volatile  uint8_t *)(0x42480030UL))
#define bFM_MFT_PPG_TTCR0_TRG2O                   *((volatile  uint8_t *)(0x42480034UL))
#define bFM3_MFT_PPG_TTCR0_TRG2O                  *((volatile  uint8_t *)(0x42480034UL))
#define bFM_MFT_PPG_TTCR0_TRG4O                   *((volatile  uint8_t *)(0x42480038UL))
#define bFM3_MFT_PPG_TTCR0_TRG4O                  *((volatile  uint8_t *)(0x42480038UL))
#define bFM_MFT_PPG_TTCR0_TRG6O                   *((volatile  uint8_t *)(0x4248003CUL))
#define bFM3_MFT_PPG_TTCR0_TRG6O                  *((volatile  uint8_t *)(0x4248003CUL))

#define bFM_MFT_PPG_TTCR1_STR1                    *((volatile  uint8_t *)(0x42480420UL))
#define bFM3_MFT_PPG_TTCR1_STR1                   *((volatile  uint8_t *)(0x42480420UL))
#define bFM_MFT_PPG_TTCR1_MONI1                   *((volatile  uint8_t *)(0x42480424UL))
#define bFM3_MFT_PPG_TTCR1_MONI1                  *((volatile  uint8_t *)(0x42480424UL))
#define bFM_MFT_PPG_TTCR1_TRG1O                   *((volatile  uint8_t *)(0x42480430UL))
#define bFM3_MFT_PPG_TTCR1_TRG1O                  *((volatile  uint8_t *)(0x42480430UL))
#define bFM_MFT_PPG_TTCR1_TRG3O                   *((volatile  uint8_t *)(0x42480434UL))
#define bFM3_MFT_PPG_TTCR1_TRG3O                  *((volatile  uint8_t *)(0x42480434UL))
#define bFM_MFT_PPG_TTCR1_TRG5O                   *((volatile  uint8_t *)(0x42480438UL))
#define bFM3_MFT_PPG_TTCR1_TRG5O                  *((volatile  uint8_t *)(0x42480438UL))
#define bFM_MFT_PPG_TTCR1_TRG7O                   *((volatile  uint8_t *)(0x4248043CUL))
#define bFM3_MFT_PPG_TTCR1_TRG7O                  *((volatile  uint8_t *)(0x4248043CUL))

#define bFM_MFT_PPG_TTCR2_STR2                    *((volatile  uint8_t *)(0x42480820UL))
#define bFM3_MFT_PPG_TTCR2_STR2                   *((volatile  uint8_t *)(0x42480820UL))
#define bFM_MFT_PPG_TTCR2_MONI2                   *((volatile  uint8_t *)(0x42480824UL))
#define bFM3_MFT_PPG_TTCR2_MONI2                  *((volatile  uint8_t *)(0x42480824UL))
#define bFM_MFT_PPG_TTCR2_TRG16O                  *((volatile  uint8_t *)(0x42480830UL))
#define bFM3_MFT_PPG_TTCR2_TRG16O                 *((volatile  uint8_t *)(0x42480830UL))
#define bFM_MFT_PPG_TTCR2_TRG18O                  *((volatile  uint8_t *)(0x42480834UL))
#define bFM3_MFT_PPG_TTCR2_TRG18O                 *((volatile  uint8_t *)(0x42480834UL))
#define bFM_MFT_PPG_TTCR2_TRG20O                  *((volatile  uint8_t *)(0x42480838UL))
#define bFM3_MFT_PPG_TTCR2_TRG20O                 *((volatile  uint8_t *)(0x42480838UL))
#define bFM_MFT_PPG_TTCR2_TRG22O                  *((volatile  uint8_t *)(0x4248083CUL))
#define bFM3_MFT_PPG_TTCR2_TRG22O                 *((volatile  uint8_t *)(0x4248083CUL))


/******************************************************************************
 ** MFT Registers MFT0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFT0_ADCMP_ACSB_BDIS0                 *((volatile  uint8_t *)(0x42401700UL))
#define bFM3_MFT0_ADCMP_ACSB_BDIS0                *((volatile  uint8_t *)(0x42401700UL))
#define bFM_MFT0_ADCMP_ACSB_BDIS1                 *((volatile  uint8_t *)(0x42401704UL))
#define bFM3_MFT0_ADCMP_ACSB_BDIS1                *((volatile  uint8_t *)(0x42401704UL))
#define bFM_MFT0_ADCMP_ACSB_BDIS2                 *((volatile  uint8_t *)(0x42401708UL))
#define bFM3_MFT0_ADCMP_ACSB_BDIS2                *((volatile  uint8_t *)(0x42401708UL))
#define bFM_MFT0_ADCMP_ACSB_BTS0                  *((volatile  uint8_t *)(0x42401710UL))
#define bFM3_MFT0_ADCMP_ACSB_BTS0                 *((volatile  uint8_t *)(0x42401710UL))
#define bFM_MFT0_ADCMP_ACSB_BTS1                  *((volatile  uint8_t *)(0x42401714UL))
#define bFM3_MFT0_ADCMP_ACSB_BTS1                 *((volatile  uint8_t *)(0x42401714UL))
#define bFM_MFT0_ADCMP_ACSB_BTS2                  *((volatile  uint8_t *)(0x42401718UL))
#define bFM3_MFT0_ADCMP_ACSB_BTS2                 *((volatile  uint8_t *)(0x42401718UL))

#define bFM_MFT0_FRT_TCSA0_SCLR                   *((volatile  uint8_t *)(0x42400610UL))
#define bFM3_MFT0_FRT_TCSA0_SCLR                  *((volatile  uint8_t *)(0x42400610UL))
#define bFM_MFT0_FRT_TCSA0_MODE                   *((volatile  uint8_t *)(0x42400614UL))
#define bFM3_MFT0_FRT_TCSA0_MODE                  *((volatile  uint8_t *)(0x42400614UL))
#define bFM_MFT0_FRT_TCSA0_STOP                   *((volatile  uint8_t *)(0x42400618UL))
#define bFM3_MFT0_FRT_TCSA0_STOP                  *((volatile  uint8_t *)(0x42400618UL))
#define bFM_MFT0_FRT_TCSA0_BFE                    *((volatile  uint8_t *)(0x4240061CUL))
#define bFM3_MFT0_FRT_TCSA0_BFE                   *((volatile  uint8_t *)(0x4240061CUL))
#define bFM_MFT0_FRT_TCSA0_ICRE                   *((volatile  uint8_t *)(0x42400620UL))
#define bFM3_MFT0_FRT_TCSA0_ICRE                  *((volatile  uint8_t *)(0x42400620UL))
#define bFM_MFT0_FRT_TCSA0_ICLR                   *((volatile  uint8_t *)(0x42400624UL))
#define bFM3_MFT0_FRT_TCSA0_ICLR                  *((volatile  uint8_t *)(0x42400624UL))
#define bFM_MFT0_FRT_TCSA0_IRQZE                  *((volatile  uint8_t *)(0x42400634UL))
#define bFM3_MFT0_FRT_TCSA0_IRQZE                 *((volatile  uint8_t *)(0x42400634UL))
#define bFM_MFT0_FRT_TCSA0_IRQZF                  *((volatile  uint8_t *)(0x42400638UL))
#define bFM3_MFT0_FRT_TCSA0_IRQZF                 *((volatile  uint8_t *)(0x42400638UL))
#define bFM_MFT0_FRT_TCSA0_ECKE                   *((volatile  uint8_t *)(0x4240063CUL))
#define bFM3_MFT0_FRT_TCSA0_ECKE                  *((volatile  uint8_t *)(0x4240063CUL))

#define bFM_MFT0_FRT_TCSA1_SCLR                   *((volatile  uint8_t *)(0x42400810UL))
#define bFM3_MFT0_FRT_TCSA1_SCLR                  *((volatile  uint8_t *)(0x42400810UL))
#define bFM_MFT0_FRT_TCSA1_MODE                   *((volatile  uint8_t *)(0x42400814UL))
#define bFM3_MFT0_FRT_TCSA1_MODE                  *((volatile  uint8_t *)(0x42400814UL))
#define bFM_MFT0_FRT_TCSA1_STOP                   *((volatile  uint8_t *)(0x42400818UL))
#define bFM3_MFT0_FRT_TCSA1_STOP                  *((volatile  uint8_t *)(0x42400818UL))
#define bFM_MFT0_FRT_TCSA1_BFE                    *((volatile  uint8_t *)(0x4240081CUL))
#define bFM3_MFT0_FRT_TCSA1_BFE                   *((volatile  uint8_t *)(0x4240081CUL))
#define bFM_MFT0_FRT_TCSA1_ICRE                   *((volatile  uint8_t *)(0x42400820UL))
#define bFM3_MFT0_FRT_TCSA1_ICRE                  *((volatile  uint8_t *)(0x42400820UL))
#define bFM_MFT0_FRT_TCSA1_ICLR                   *((volatile  uint8_t *)(0x42400824UL))
#define bFM3_MFT0_FRT_TCSA1_ICLR                  *((volatile  uint8_t *)(0x42400824UL))
#define bFM_MFT0_FRT_TCSA1_IRQZE                  *((volatile  uint8_t *)(0x42400834UL))
#define bFM3_MFT0_FRT_TCSA1_IRQZE                 *((volatile  uint8_t *)(0x42400834UL))
#define bFM_MFT0_FRT_TCSA1_IRQZF                  *((volatile  uint8_t *)(0x42400838UL))
#define bFM3_MFT0_FRT_TCSA1_IRQZF                 *((volatile  uint8_t *)(0x42400838UL))
#define bFM_MFT0_FRT_TCSA1_ECKE                   *((volatile  uint8_t *)(0x4240083CUL))
#define bFM3_MFT0_FRT_TCSA1_ECKE                  *((volatile  uint8_t *)(0x4240083CUL))

#define bFM_MFT0_FRT_TCSA2_SCLR                   *((volatile  uint8_t *)(0x42400A10UL))
#define bFM3_MFT0_FRT_TCSA2_SCLR                  *((volatile  uint8_t *)(0x42400A10UL))
#define bFM_MFT0_FRT_TCSA2_MODE                   *((volatile  uint8_t *)(0x42400A14UL))
#define bFM3_MFT0_FRT_TCSA2_MODE                  *((volatile  uint8_t *)(0x42400A14UL))
#define bFM_MFT0_FRT_TCSA2_STOP                   *((volatile  uint8_t *)(0x42400A18UL))
#define bFM3_MFT0_FRT_TCSA2_STOP                  *((volatile  uint8_t *)(0x42400A18UL))
#define bFM_MFT0_FRT_TCSA2_BFE                    *((volatile  uint8_t *)(0x42400A1CUL))
#define bFM3_MFT0_FRT_TCSA2_BFE                   *((volatile  uint8_t *)(0x42400A1CUL))
#define bFM_MFT0_FRT_TCSA2_ICRE                   *((volatile  uint8_t *)(0x42400A20UL))
#define bFM3_MFT0_FRT_TCSA2_ICRE                  *((volatile  uint8_t *)(0x42400A20UL))
#define bFM_MFT0_FRT_TCSA2_ICLR                   *((volatile  uint8_t *)(0x42400A24UL))
#define bFM3_MFT0_FRT_TCSA2_ICLR                  *((volatile  uint8_t *)(0x42400A24UL))
#define bFM_MFT0_FRT_TCSA2_IRQZE                  *((volatile  uint8_t *)(0x42400A34UL))
#define bFM3_MFT0_FRT_TCSA2_IRQZE                 *((volatile  uint8_t *)(0x42400A34UL))
#define bFM_MFT0_FRT_TCSA2_IRQZF                  *((volatile  uint8_t *)(0x42400A38UL))
#define bFM3_MFT0_FRT_TCSA2_IRQZF                 *((volatile  uint8_t *)(0x42400A38UL))
#define bFM_MFT0_FRT_TCSA2_ECKE                   *((volatile  uint8_t *)(0x42400A3CUL))
#define bFM3_MFT0_FRT_TCSA2_ECKE                  *((volatile  uint8_t *)(0x42400A3CUL))

#define bFM_MFT0_FRT_TCSB0_AD0E                   *((volatile  uint8_t *)(0x42400680UL))
#define bFM3_MFT0_FRT_TCSB0_AD0E                  *((volatile  uint8_t *)(0x42400680UL))
#define bFM_MFT0_FRT_TCSB0_AD1E                   *((volatile  uint8_t *)(0x42400684UL))
#define bFM3_MFT0_FRT_TCSB0_AD1E                  *((volatile  uint8_t *)(0x42400684UL))
#define bFM_MFT0_FRT_TCSB0_AD2E                   *((volatile  uint8_t *)(0x42400688UL))
#define bFM3_MFT0_FRT_TCSB0_AD2E                  *((volatile  uint8_t *)(0x42400688UL))

#define bFM_MFT0_FRT_TCSB1_AD0E                   *((volatile  uint8_t *)(0x42400880UL))
#define bFM3_MFT0_FRT_TCSB1_AD0E                  *((volatile  uint8_t *)(0x42400880UL))
#define bFM_MFT0_FRT_TCSB1_AD1E                   *((volatile  uint8_t *)(0x42400884UL))
#define bFM3_MFT0_FRT_TCSB1_AD1E                  *((volatile  uint8_t *)(0x42400884UL))
#define bFM_MFT0_FRT_TCSB1_AD2E                   *((volatile  uint8_t *)(0x42400888UL))
#define bFM3_MFT0_FRT_TCSB1_AD2E                  *((volatile  uint8_t *)(0x42400888UL))

#define bFM_MFT0_FRT_TCSB2_AD0E                   *((volatile  uint8_t *)(0x42400A80UL))
#define bFM3_MFT0_FRT_TCSB2_AD0E                  *((volatile  uint8_t *)(0x42400A80UL))
#define bFM_MFT0_FRT_TCSB2_AD1E                   *((volatile  uint8_t *)(0x42400A84UL))
#define bFM3_MFT0_FRT_TCSB2_AD1E                  *((volatile  uint8_t *)(0x42400A84UL))
#define bFM_MFT0_FRT_TCSB2_AD2E                   *((volatile  uint8_t *)(0x42400A88UL))
#define bFM3_MFT0_FRT_TCSB2_AD2E                  *((volatile  uint8_t *)(0x42400A88UL))

#define bFM_MFT0_ICU_ICSA10_ICE0                  *((volatile  uint8_t *)(0x42400F10UL))
#define bFM3_MFT0_ICU_ICSA10_ICE0                 *((volatile  uint8_t *)(0x42400F10UL))
#define bFM_MFT0_ICU_ICSA10_ICE1                  *((volatile  uint8_t *)(0x42400F14UL))
#define bFM3_MFT0_ICU_ICSA10_ICE1                 *((volatile  uint8_t *)(0x42400F14UL))
#define bFM_MFT0_ICU_ICSA10_ICP0                  *((volatile  uint8_t *)(0x42400F18UL))
#define bFM3_MFT0_ICU_ICSA10_ICP0                 *((volatile  uint8_t *)(0x42400F18UL))
#define bFM_MFT0_ICU_ICSA10_ICP1                  *((volatile  uint8_t *)(0x42400F1CUL))
#define bFM3_MFT0_ICU_ICSA10_ICP1                 *((volatile  uint8_t *)(0x42400F1CUL))

#define bFM_MFT0_ICU_ICSA32_ICE2                  *((volatile  uint8_t *)(0x42400F90UL))
#define bFM3_MFT0_ICU_ICSA32_ICE2                 *((volatile  uint8_t *)(0x42400F90UL))
#define bFM_MFT0_ICU_ICSA32_ICE3                  *((volatile  uint8_t *)(0x42400F94UL))
#define bFM3_MFT0_ICU_ICSA32_ICE3                 *((volatile  uint8_t *)(0x42400F94UL))
#define bFM_MFT0_ICU_ICSA32_ICP2                  *((volatile  uint8_t *)(0x42400F98UL))
#define bFM3_MFT0_ICU_ICSA32_ICP2                 *((volatile  uint8_t *)(0x42400F98UL))
#define bFM_MFT0_ICU_ICSA32_ICP3                  *((volatile  uint8_t *)(0x42400F9CUL))
#define bFM3_MFT0_ICU_ICSA32_ICP3                 *((volatile  uint8_t *)(0x42400F9CUL))

#define bFM_MFT0_ICU_ICSB10_IEI0                  *((volatile  uint8_t *)(0x42400F20UL))
#define bFM3_MFT0_ICU_ICSB10_IEI0                 *((volatile  uint8_t *)(0x42400F20UL))
#define bFM_MFT0_ICU_ICSB10_IEI1                  *((volatile  uint8_t *)(0x42400F24UL))
#define bFM3_MFT0_ICU_ICSB10_IEI1                 *((volatile  uint8_t *)(0x42400F24UL))

#define bFM_MFT0_ICU_ICSB32_IEI2                  *((volatile  uint8_t *)(0x42400FA0UL))
#define bFM3_MFT0_ICU_ICSB32_IEI2                 *((volatile  uint8_t *)(0x42400FA0UL))
#define bFM_MFT0_ICU_ICSB32_IEI3                  *((volatile  uint8_t *)(0x42400FA4UL))
#define bFM3_MFT0_ICU_ICSB32_IEI3                 *((volatile  uint8_t *)(0x42400FA4UL))

#define bFM_MFT0_OCU_OCSA10_CST0                  *((volatile  uint8_t *)(0x42400300UL))
#define bFM3_MFT0_OCU_OCSA10_CST0                 *((volatile  uint8_t *)(0x42400300UL))
#define bFM_MFT0_OCU_OCSA10_CST1                  *((volatile  uint8_t *)(0x42400304UL))
#define bFM3_MFT0_OCU_OCSA10_CST1                 *((volatile  uint8_t *)(0x42400304UL))
#define bFM_MFT0_OCU_OCSA10_BDIS0                 *((volatile  uint8_t *)(0x42400308UL))
#define bFM3_MFT0_OCU_OCSA10_BDIS0                *((volatile  uint8_t *)(0x42400308UL))
#define bFM_MFT0_OCU_OCSA10_BDIS1                 *((volatile  uint8_t *)(0x4240030CUL))
#define bFM3_MFT0_OCU_OCSA10_BDIS1                *((volatile  uint8_t *)(0x4240030CUL))
#define bFM_MFT0_OCU_OCSA10_IOE0                  *((volatile  uint8_t *)(0x42400310UL))
#define bFM3_MFT0_OCU_OCSA10_IOE0                 *((volatile  uint8_t *)(0x42400310UL))
#define bFM_MFT0_OCU_OCSA10_IOE1                  *((volatile  uint8_t *)(0x42400314UL))
#define bFM3_MFT0_OCU_OCSA10_IOE1                 *((volatile  uint8_t *)(0x42400314UL))
#define bFM_MFT0_OCU_OCSA10_IOP0                  *((volatile  uint8_t *)(0x42400318UL))
#define bFM3_MFT0_OCU_OCSA10_IOP0                 *((volatile  uint8_t *)(0x42400318UL))
#define bFM_MFT0_OCU_OCSA10_IOP1                  *((volatile  uint8_t *)(0x4240031CUL))
#define bFM3_MFT0_OCU_OCSA10_IOP1                 *((volatile  uint8_t *)(0x4240031CUL))

#define bFM_MFT0_OCU_OCSA32_CST2                  *((volatile  uint8_t *)(0x42400380UL))
#define bFM3_MFT0_OCU_OCSA32_CST2                 *((volatile  uint8_t *)(0x42400380UL))
#define bFM_MFT0_OCU_OCSA32_CST3                  *((volatile  uint8_t *)(0x42400384UL))
#define bFM3_MFT0_OCU_OCSA32_CST3                 *((volatile  uint8_t *)(0x42400384UL))
#define bFM_MFT0_OCU_OCSA32_BDIS2                 *((volatile  uint8_t *)(0x42400388UL))
#define bFM3_MFT0_OCU_OCSA32_BDIS2                *((volatile  uint8_t *)(0x42400388UL))
#define bFM_MFT0_OCU_OCSA32_BDIS3                 *((volatile  uint8_t *)(0x4240038CUL))
#define bFM3_MFT0_OCU_OCSA32_BDIS3                *((volatile  uint8_t *)(0x4240038CUL))
#define bFM_MFT0_OCU_OCSA32_IOE2                  *((volatile  uint8_t *)(0x42400390UL))
#define bFM3_MFT0_OCU_OCSA32_IOE2                 *((volatile  uint8_t *)(0x42400390UL))
#define bFM_MFT0_OCU_OCSA32_IOE3                  *((volatile  uint8_t *)(0x42400394UL))
#define bFM3_MFT0_OCU_OCSA32_IOE3                 *((volatile  uint8_t *)(0x42400394UL))
#define bFM_MFT0_OCU_OCSA32_IOP2                  *((volatile  uint8_t *)(0x42400398UL))
#define bFM3_MFT0_OCU_OCSA32_IOP2                 *((volatile  uint8_t *)(0x42400398UL))
#define bFM_MFT0_OCU_OCSA32_IOP3                  *((volatile  uint8_t *)(0x4240039CUL))
#define bFM3_MFT0_OCU_OCSA32_IOP3                 *((volatile  uint8_t *)(0x4240039CUL))

#define bFM_MFT0_OCU_OCSA54_CST4                  *((volatile  uint8_t *)(0x42400400UL))
#define bFM3_MFT0_OCU_OCSA54_CST4                 *((volatile  uint8_t *)(0x42400400UL))
#define bFM_MFT0_OCU_OCSA54_CST5                  *((volatile  uint8_t *)(0x42400404UL))
#define bFM3_MFT0_OCU_OCSA54_CST5                 *((volatile  uint8_t *)(0x42400404UL))
#define bFM_MFT0_OCU_OCSA54_BDIS4                 *((volatile  uint8_t *)(0x42400408UL))
#define bFM3_MFT0_OCU_OCSA54_BDIS4                *((volatile  uint8_t *)(0x42400408UL))
#define bFM_MFT0_OCU_OCSA54_BDIS5                 *((volatile  uint8_t *)(0x4240040CUL))
#define bFM3_MFT0_OCU_OCSA54_BDIS5                *((volatile  uint8_t *)(0x4240040CUL))
#define bFM_MFT0_OCU_OCSA54_IOE4                  *((volatile  uint8_t *)(0x42400410UL))
#define bFM3_MFT0_OCU_OCSA54_IOE4                 *((volatile  uint8_t *)(0x42400410UL))
#define bFM_MFT0_OCU_OCSA54_IOE5                  *((volatile  uint8_t *)(0x42400414UL))
#define bFM3_MFT0_OCU_OCSA54_IOE5                 *((volatile  uint8_t *)(0x42400414UL))
#define bFM_MFT0_OCU_OCSA54_IOP4                  *((volatile  uint8_t *)(0x42400418UL))
#define bFM3_MFT0_OCU_OCSA54_IOP4                 *((volatile  uint8_t *)(0x42400418UL))
#define bFM_MFT0_OCU_OCSA54_IOP5                  *((volatile  uint8_t *)(0x4240041CUL))
#define bFM3_MFT0_OCU_OCSA54_IOP5                 *((volatile  uint8_t *)(0x4240041CUL))

#define bFM_MFT0_OCU_OCSB10_OTD0                  *((volatile  uint8_t *)(0x42400320UL))
#define bFM3_MFT0_OCU_OCSB10_OTD0                 *((volatile  uint8_t *)(0x42400320UL))
#define bFM_MFT0_OCU_OCSB10_OTD1                  *((volatile  uint8_t *)(0x42400324UL))
#define bFM3_MFT0_OCU_OCSB10_OTD1                 *((volatile  uint8_t *)(0x42400324UL))
#define bFM_MFT0_OCU_OCSB10_CMOD                  *((volatile  uint8_t *)(0x42400330UL))
#define bFM3_MFT0_OCU_OCSB10_CMOD                 *((volatile  uint8_t *)(0x42400330UL))
#define bFM_MFT0_OCU_OCSB10_BTS0                  *((volatile  uint8_t *)(0x42400334UL))
#define bFM3_MFT0_OCU_OCSB10_BTS0                 *((volatile  uint8_t *)(0x42400334UL))
#define bFM_MFT0_OCU_OCSB10_BTS1                  *((volatile  uint8_t *)(0x42400338UL))
#define bFM3_MFT0_OCU_OCSB10_BTS1                 *((volatile  uint8_t *)(0x42400338UL))

#define bFM_MFT0_OCU_OCSB32_OTD2                  *((volatile  uint8_t *)(0x424003A0UL))
#define bFM3_MFT0_OCU_OCSB32_OTD2                 *((volatile  uint8_t *)(0x424003A0UL))
#define bFM_MFT0_OCU_OCSB32_OTD3                  *((volatile  uint8_t *)(0x424003A4UL))
#define bFM3_MFT0_OCU_OCSB32_OTD3                 *((volatile  uint8_t *)(0x424003A4UL))
#define bFM_MFT0_OCU_OCSB32_CMOD                  *((volatile  uint8_t *)(0x424003B0UL))
#define bFM3_MFT0_OCU_OCSB32_CMOD                 *((volatile  uint8_t *)(0x424003B0UL))
#define bFM_MFT0_OCU_OCSB32_BTS2                  *((volatile  uint8_t *)(0x424003B4UL))
#define bFM3_MFT0_OCU_OCSB32_BTS2                 *((volatile  uint8_t *)(0x424003B4UL))
#define bFM_MFT0_OCU_OCSB32_BTS3                  *((volatile  uint8_t *)(0x424003B8UL))
#define bFM3_MFT0_OCU_OCSB32_BTS3                 *((volatile  uint8_t *)(0x424003B8UL))

#define bFM_MFT0_OCU_OCSB54_OTD4                  *((volatile  uint8_t *)(0x42400420UL))
#define bFM3_MFT0_OCU_OCSB54_OTD4                 *((volatile  uint8_t *)(0x42400420UL))
#define bFM_MFT0_OCU_OCSB54_OTD5                  *((volatile  uint8_t *)(0x42400424UL))
#define bFM3_MFT0_OCU_OCSB54_OTD5                 *((volatile  uint8_t *)(0x42400424UL))
#define bFM_MFT0_OCU_OCSB54_CMOD                  *((volatile  uint8_t *)(0x42400430UL))
#define bFM3_MFT0_OCU_OCSB54_CMOD                 *((volatile  uint8_t *)(0x42400430UL))
#define bFM_MFT0_OCU_OCSB54_BTS4                  *((volatile  uint8_t *)(0x42400434UL))
#define bFM3_MFT0_OCU_OCSB54_BTS4                 *((volatile  uint8_t *)(0x42400434UL))
#define bFM_MFT0_OCU_OCSB54_BTS5                  *((volatile  uint8_t *)(0x42400438UL))
#define bFM3_MFT0_OCU_OCSB54_BTS5                 *((volatile  uint8_t *)(0x42400438UL))

#define bFM_MFT0_OCU_OCSC_MOD0                    *((volatile  uint8_t *)(0x424004A0UL))
#define bFM3_MFT0_OCU_OCSC_MOD0                   *((volatile  uint8_t *)(0x424004A0UL))
#define bFM_MFT0_OCU_OCSC_MOD1                    *((volatile  uint8_t *)(0x424004A4UL))
#define bFM3_MFT0_OCU_OCSC_MOD1                   *((volatile  uint8_t *)(0x424004A4UL))
#define bFM_MFT0_OCU_OCSC_MOD2                    *((volatile  uint8_t *)(0x424004A8UL))
#define bFM3_MFT0_OCU_OCSC_MOD2                   *((volatile  uint8_t *)(0x424004A8UL))
#define bFM_MFT0_OCU_OCSC_MOD3                    *((volatile  uint8_t *)(0x424004ACUL))
#define bFM3_MFT0_OCU_OCSC_MOD3                   *((volatile  uint8_t *)(0x424004ACUL))
#define bFM_MFT0_OCU_OCSC_MOD4                    *((volatile  uint8_t *)(0x424004B0UL))
#define bFM3_MFT0_OCU_OCSC_MOD4                   *((volatile  uint8_t *)(0x424004B0UL))
#define bFM_MFT0_OCU_OCSC_MOD5                    *((volatile  uint8_t *)(0x424004B4UL))
#define bFM3_MFT0_OCU_OCSC_MOD5                   *((volatile  uint8_t *)(0x424004B4UL))

#define bFM_MFT0_WFG_NZCL_DTIEA                   *((volatile  uint16_t*)(0x42401380UL))
#define bFM3_MFT0_WFG_NZCL_DTIEA                  *((volatile  uint16_t*)(0x42401380UL))
#define bFM_MFT0_WFG_NZCL_SDTI                    *((volatile  uint16_t*)(0x42401390UL))
#define bFM3_MFT0_WFG_NZCL_SDTI                   *((volatile  uint16_t*)(0x42401390UL))

#define bFM_MFT0_WFG_WFIR_DTIFA                   *((volatile  uint16_t*)(0x42401300UL))
#define bFM3_MFT0_WFG_WFIR_DTIFA                  *((volatile  uint16_t*)(0x42401300UL))
#define bFM_MFT0_WFG_WFIR_DTICA                   *((volatile  uint16_t*)(0x42401304UL))
#define bFM3_MFT0_WFG_WFIR_DTICA                  *((volatile  uint16_t*)(0x42401304UL))
#define bFM_MFT0_WFG_WFIR_TMIF10                  *((volatile  uint16_t*)(0x42401310UL))
#define bFM3_MFT0_WFG_WFIR_TMIF10                 *((volatile  uint16_t*)(0x42401310UL))
#define bFM_MFT0_WFG_WFIR_TMIC10                  *((volatile  uint16_t*)(0x42401314UL))
#define bFM3_MFT0_WFG_WFIR_TMIC10                 *((volatile  uint16_t*)(0x42401314UL))
#define bFM_MFT0_WFG_WFIR_TMIE10                  *((volatile  uint16_t*)(0x42401318UL))
#define bFM3_MFT0_WFG_WFIR_TMIE10                 *((volatile  uint16_t*)(0x42401318UL))
#define bFM_MFT0_WFG_WFIR_TMIS10                  *((volatile  uint16_t*)(0x4240131CUL))
#define bFM3_MFT0_WFG_WFIR_TMIS10                 *((volatile  uint16_t*)(0x4240131CUL))
#define bFM_MFT0_WFG_WFIR_TMIF32                  *((volatile  uint16_t*)(0x42401320UL))
#define bFM3_MFT0_WFG_WFIR_TMIF32                 *((volatile  uint16_t*)(0x42401320UL))
#define bFM_MFT0_WFG_WFIR_TMIC32                  *((volatile  uint16_t*)(0x42401324UL))
#define bFM3_MFT0_WFG_WFIR_TMIC32                 *((volatile  uint16_t*)(0x42401324UL))
#define bFM_MFT0_WFG_WFIR_TMIE32                  *((volatile  uint16_t*)(0x42401328UL))
#define bFM3_MFT0_WFG_WFIR_TMIE32                 *((volatile  uint16_t*)(0x42401328UL))
#define bFM_MFT0_WFG_WFIR_TMIS32                  *((volatile  uint16_t*)(0x4240132CUL))
#define bFM3_MFT0_WFG_WFIR_TMIS32                 *((volatile  uint16_t*)(0x4240132CUL))
#define bFM_MFT0_WFG_WFIR_TMIF54                  *((volatile  uint16_t*)(0x42401330UL))
#define bFM3_MFT0_WFG_WFIR_TMIF54                 *((volatile  uint16_t*)(0x42401330UL))
#define bFM_MFT0_WFG_WFIR_TMIC54                  *((volatile  uint16_t*)(0x42401334UL))
#define bFM3_MFT0_WFG_WFIR_TMIC54                 *((volatile  uint16_t*)(0x42401334UL))
#define bFM_MFT0_WFG_WFIR_TMIE54                  *((volatile  uint16_t*)(0x42401338UL))
#define bFM3_MFT0_WFG_WFIR_TMIE54                 *((volatile  uint16_t*)(0x42401338UL))
#define bFM_MFT0_WFG_WFIR_TMIS54                  *((volatile  uint16_t*)(0x4240133CUL))
#define bFM3_MFT0_WFG_WFIR_TMIS54                 *((volatile  uint16_t*)(0x4240133CUL))

#define bFM_MFT0_WFG_WFSA10_DMOD                  *((volatile  uint16_t*)(0x424011B0UL))
#define bFM3_MFT0_WFG_WFSA10_DMOD                 *((volatile  uint16_t*)(0x424011B0UL))

#define bFM_MFT0_WFG_WFSA32_DMOD                  *((volatile  uint16_t*)(0x42401230UL))
#define bFM3_MFT0_WFG_WFSA32_DMOD                 *((volatile  uint16_t*)(0x42401230UL))

#define bFM_MFT0_WFG_WFSA54_DMOD                  *((volatile  uint16_t*)(0x424012B0UL))
#define bFM3_MFT0_WFG_WFSA54_DMOD                 *((volatile  uint16_t*)(0x424012B0UL))


/******************************************************************************
 ** MFT Registers MFT1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFT1_ADCMP_ACSB_BDIS0                 *((volatile  uint8_t *)(0x42421700UL))
#define bFM3_MFT1_ADCMP_ACSB_BDIS0                *((volatile  uint8_t *)(0x42421700UL))
#define bFM_MFT1_ADCMP_ACSB_BDIS1                 *((volatile  uint8_t *)(0x42421704UL))
#define bFM3_MFT1_ADCMP_ACSB_BDIS1                *((volatile  uint8_t *)(0x42421704UL))
#define bFM_MFT1_ADCMP_ACSB_BDIS2                 *((volatile  uint8_t *)(0x42421708UL))
#define bFM3_MFT1_ADCMP_ACSB_BDIS2                *((volatile  uint8_t *)(0x42421708UL))
#define bFM_MFT1_ADCMP_ACSB_BTS0                  *((volatile  uint8_t *)(0x42421710UL))
#define bFM3_MFT1_ADCMP_ACSB_BTS0                 *((volatile  uint8_t *)(0x42421710UL))
#define bFM_MFT1_ADCMP_ACSB_BTS1                  *((volatile  uint8_t *)(0x42421714UL))
#define bFM3_MFT1_ADCMP_ACSB_BTS1                 *((volatile  uint8_t *)(0x42421714UL))
#define bFM_MFT1_ADCMP_ACSB_BTS2                  *((volatile  uint8_t *)(0x42421718UL))
#define bFM3_MFT1_ADCMP_ACSB_BTS2                 *((volatile  uint8_t *)(0x42421718UL))

#define bFM_MFT1_FRT_TCSA0_SCLR                   *((volatile  uint8_t *)(0x42420610UL))
#define bFM3_MFT1_FRT_TCSA0_SCLR                  *((volatile  uint8_t *)(0x42420610UL))
#define bFM_MFT1_FRT_TCSA0_MODE                   *((volatile  uint8_t *)(0x42420614UL))
#define bFM3_MFT1_FRT_TCSA0_MODE                  *((volatile  uint8_t *)(0x42420614UL))
#define bFM_MFT1_FRT_TCSA0_STOP                   *((volatile  uint8_t *)(0x42420618UL))
#define bFM3_MFT1_FRT_TCSA0_STOP                  *((volatile  uint8_t *)(0x42420618UL))
#define bFM_MFT1_FRT_TCSA0_BFE                    *((volatile  uint8_t *)(0x4242061CUL))
#define bFM3_MFT1_FRT_TCSA0_BFE                   *((volatile  uint8_t *)(0x4242061CUL))
#define bFM_MFT1_FRT_TCSA0_ICRE                   *((volatile  uint8_t *)(0x42420620UL))
#define bFM3_MFT1_FRT_TCSA0_ICRE                  *((volatile  uint8_t *)(0x42420620UL))
#define bFM_MFT1_FRT_TCSA0_ICLR                   *((volatile  uint8_t *)(0x42420624UL))
#define bFM3_MFT1_FRT_TCSA0_ICLR                  *((volatile  uint8_t *)(0x42420624UL))
#define bFM_MFT1_FRT_TCSA0_IRQZE                  *((volatile  uint8_t *)(0x42420634UL))
#define bFM3_MFT1_FRT_TCSA0_IRQZE                 *((volatile  uint8_t *)(0x42420634UL))
#define bFM_MFT1_FRT_TCSA0_IRQZF                  *((volatile  uint8_t *)(0x42420638UL))
#define bFM3_MFT1_FRT_TCSA0_IRQZF                 *((volatile  uint8_t *)(0x42420638UL))
#define bFM_MFT1_FRT_TCSA0_ECKE                   *((volatile  uint8_t *)(0x4242063CUL))
#define bFM3_MFT1_FRT_TCSA0_ECKE                  *((volatile  uint8_t *)(0x4242063CUL))

#define bFM_MFT1_FRT_TCSA1_SCLR                   *((volatile  uint8_t *)(0x42420810UL))
#define bFM3_MFT1_FRT_TCSA1_SCLR                  *((volatile  uint8_t *)(0x42420810UL))
#define bFM_MFT1_FRT_TCSA1_MODE                   *((volatile  uint8_t *)(0x42420814UL))
#define bFM3_MFT1_FRT_TCSA1_MODE                  *((volatile  uint8_t *)(0x42420814UL))
#define bFM_MFT1_FRT_TCSA1_STOP                   *((volatile  uint8_t *)(0x42420818UL))
#define bFM3_MFT1_FRT_TCSA1_STOP                  *((volatile  uint8_t *)(0x42420818UL))
#define bFM_MFT1_FRT_TCSA1_BFE                    *((volatile  uint8_t *)(0x4242081CUL))
#define bFM3_MFT1_FRT_TCSA1_BFE                   *((volatile  uint8_t *)(0x4242081CUL))
#define bFM_MFT1_FRT_TCSA1_ICRE                   *((volatile  uint8_t *)(0x42420820UL))
#define bFM3_MFT1_FRT_TCSA1_ICRE                  *((volatile  uint8_t *)(0x42420820UL))
#define bFM_MFT1_FRT_TCSA1_ICLR                   *((volatile  uint8_t *)(0x42420824UL))
#define bFM3_MFT1_FRT_TCSA1_ICLR                  *((volatile  uint8_t *)(0x42420824UL))
#define bFM_MFT1_FRT_TCSA1_IRQZE                  *((volatile  uint8_t *)(0x42420834UL))
#define bFM3_MFT1_FRT_TCSA1_IRQZE                 *((volatile  uint8_t *)(0x42420834UL))
#define bFM_MFT1_FRT_TCSA1_IRQZF                  *((volatile  uint8_t *)(0x42420838UL))
#define bFM3_MFT1_FRT_TCSA1_IRQZF                 *((volatile  uint8_t *)(0x42420838UL))
#define bFM_MFT1_FRT_TCSA1_ECKE                   *((volatile  uint8_t *)(0x4242083CUL))
#define bFM3_MFT1_FRT_TCSA1_ECKE                  *((volatile  uint8_t *)(0x4242083CUL))

#define bFM_MFT1_FRT_TCSA2_SCLR                   *((volatile  uint8_t *)(0x42420A10UL))
#define bFM3_MFT1_FRT_TCSA2_SCLR                  *((volatile  uint8_t *)(0x42420A10UL))
#define bFM_MFT1_FRT_TCSA2_MODE                   *((volatile  uint8_t *)(0x42420A14UL))
#define bFM3_MFT1_FRT_TCSA2_MODE                  *((volatile  uint8_t *)(0x42420A14UL))
#define bFM_MFT1_FRT_TCSA2_STOP                   *((volatile  uint8_t *)(0x42420A18UL))
#define bFM3_MFT1_FRT_TCSA2_STOP                  *((volatile  uint8_t *)(0x42420A18UL))
#define bFM_MFT1_FRT_TCSA2_BFE                    *((volatile  uint8_t *)(0x42420A1CUL))
#define bFM3_MFT1_FRT_TCSA2_BFE                   *((volatile  uint8_t *)(0x42420A1CUL))
#define bFM_MFT1_FRT_TCSA2_ICRE                   *((volatile  uint8_t *)(0x42420A20UL))
#define bFM3_MFT1_FRT_TCSA2_ICRE                  *((volatile  uint8_t *)(0x42420A20UL))
#define bFM_MFT1_FRT_TCSA2_ICLR                   *((volatile  uint8_t *)(0x42420A24UL))
#define bFM3_MFT1_FRT_TCSA2_ICLR                  *((volatile  uint8_t *)(0x42420A24UL))
#define bFM_MFT1_FRT_TCSA2_IRQZE                  *((volatile  uint8_t *)(0x42420A34UL))
#define bFM3_MFT1_FRT_TCSA2_IRQZE                 *((volatile  uint8_t *)(0x42420A34UL))
#define bFM_MFT1_FRT_TCSA2_IRQZF                  *((volatile  uint8_t *)(0x42420A38UL))
#define bFM3_MFT1_FRT_TCSA2_IRQZF                 *((volatile  uint8_t *)(0x42420A38UL))
#define bFM_MFT1_FRT_TCSA2_ECKE                   *((volatile  uint8_t *)(0x42420A3CUL))
#define bFM3_MFT1_FRT_TCSA2_ECKE                  *((volatile  uint8_t *)(0x42420A3CUL))

#define bFM_MFT1_FRT_TCSB0_AD0E                   *((volatile  uint8_t *)(0x42420680UL))
#define bFM3_MFT1_FRT_TCSB0_AD0E                  *((volatile  uint8_t *)(0x42420680UL))
#define bFM_MFT1_FRT_TCSB0_AD1E                   *((volatile  uint8_t *)(0x42420684UL))
#define bFM3_MFT1_FRT_TCSB0_AD1E                  *((volatile  uint8_t *)(0x42420684UL))
#define bFM_MFT1_FRT_TCSB0_AD2E                   *((volatile  uint8_t *)(0x42420688UL))
#define bFM3_MFT1_FRT_TCSB0_AD2E                  *((volatile  uint8_t *)(0x42420688UL))

#define bFM_MFT1_FRT_TCSB1_AD0E                   *((volatile  uint8_t *)(0x42420880UL))
#define bFM3_MFT1_FRT_TCSB1_AD0E                  *((volatile  uint8_t *)(0x42420880UL))
#define bFM_MFT1_FRT_TCSB1_AD1E                   *((volatile  uint8_t *)(0x42420884UL))
#define bFM3_MFT1_FRT_TCSB1_AD1E                  *((volatile  uint8_t *)(0x42420884UL))
#define bFM_MFT1_FRT_TCSB1_AD2E                   *((volatile  uint8_t *)(0x42420888UL))
#define bFM3_MFT1_FRT_TCSB1_AD2E                  *((volatile  uint8_t *)(0x42420888UL))

#define bFM_MFT1_FRT_TCSB2_AD0E                   *((volatile  uint8_t *)(0x42420A80UL))
#define bFM3_MFT1_FRT_TCSB2_AD0E                  *((volatile  uint8_t *)(0x42420A80UL))
#define bFM_MFT1_FRT_TCSB2_AD1E                   *((volatile  uint8_t *)(0x42420A84UL))
#define bFM3_MFT1_FRT_TCSB2_AD1E                  *((volatile  uint8_t *)(0x42420A84UL))
#define bFM_MFT1_FRT_TCSB2_AD2E                   *((volatile  uint8_t *)(0x42420A88UL))
#define bFM3_MFT1_FRT_TCSB2_AD2E                  *((volatile  uint8_t *)(0x42420A88UL))

#define bFM_MFT1_ICU_ICSA10_ICE0                  *((volatile  uint8_t *)(0x42420F10UL))
#define bFM3_MFT1_ICU_ICSA10_ICE0                 *((volatile  uint8_t *)(0x42420F10UL))
#define bFM_MFT1_ICU_ICSA10_ICE1                  *((volatile  uint8_t *)(0x42420F14UL))
#define bFM3_MFT1_ICU_ICSA10_ICE1                 *((volatile  uint8_t *)(0x42420F14UL))
#define bFM_MFT1_ICU_ICSA10_ICP0                  *((volatile  uint8_t *)(0x42420F18UL))
#define bFM3_MFT1_ICU_ICSA10_ICP0                 *((volatile  uint8_t *)(0x42420F18UL))
#define bFM_MFT1_ICU_ICSA10_ICP1                  *((volatile  uint8_t *)(0x42420F1CUL))
#define bFM3_MFT1_ICU_ICSA10_ICP1                 *((volatile  uint8_t *)(0x42420F1CUL))

#define bFM_MFT1_ICU_ICSA32_ICE2                  *((volatile  uint8_t *)(0x42420F90UL))
#define bFM3_MFT1_ICU_ICSA32_ICE2                 *((volatile  uint8_t *)(0x42420F90UL))
#define bFM_MFT1_ICU_ICSA32_ICE3                  *((volatile  uint8_t *)(0x42420F94UL))
#define bFM3_MFT1_ICU_ICSA32_ICE3                 *((volatile  uint8_t *)(0x42420F94UL))
#define bFM_MFT1_ICU_ICSA32_ICP2                  *((volatile  uint8_t *)(0x42420F98UL))
#define bFM3_MFT1_ICU_ICSA32_ICP2                 *((volatile  uint8_t *)(0x42420F98UL))
#define bFM_MFT1_ICU_ICSA32_ICP3                  *((volatile  uint8_t *)(0x42420F9CUL))
#define bFM3_MFT1_ICU_ICSA32_ICP3                 *((volatile  uint8_t *)(0x42420F9CUL))

#define bFM_MFT1_ICU_ICSB10_IEI0                  *((volatile  uint8_t *)(0x42420F20UL))
#define bFM3_MFT1_ICU_ICSB10_IEI0                 *((volatile  uint8_t *)(0x42420F20UL))
#define bFM_MFT1_ICU_ICSB10_IEI1                  *((volatile  uint8_t *)(0x42420F24UL))
#define bFM3_MFT1_ICU_ICSB10_IEI1                 *((volatile  uint8_t *)(0x42420F24UL))

#define bFM_MFT1_ICU_ICSB32_IEI2                  *((volatile  uint8_t *)(0x42420FA0UL))
#define bFM3_MFT1_ICU_ICSB32_IEI2                 *((volatile  uint8_t *)(0x42420FA0UL))
#define bFM_MFT1_ICU_ICSB32_IEI3                  *((volatile  uint8_t *)(0x42420FA4UL))
#define bFM3_MFT1_ICU_ICSB32_IEI3                 *((volatile  uint8_t *)(0x42420FA4UL))

#define bFM_MFT1_OCU_OCSA10_CST0                  *((volatile  uint8_t *)(0x42420300UL))
#define bFM3_MFT1_OCU_OCSA10_CST0                 *((volatile  uint8_t *)(0x42420300UL))
#define bFM_MFT1_OCU_OCSA10_CST1                  *((volatile  uint8_t *)(0x42420304UL))
#define bFM3_MFT1_OCU_OCSA10_CST1                 *((volatile  uint8_t *)(0x42420304UL))
#define bFM_MFT1_OCU_OCSA10_BDIS0                 *((volatile  uint8_t *)(0x42420308UL))
#define bFM3_MFT1_OCU_OCSA10_BDIS0                *((volatile  uint8_t *)(0x42420308UL))
#define bFM_MFT1_OCU_OCSA10_BDIS1                 *((volatile  uint8_t *)(0x4242030CUL))
#define bFM3_MFT1_OCU_OCSA10_BDIS1                *((volatile  uint8_t *)(0x4242030CUL))
#define bFM_MFT1_OCU_OCSA10_IOE0                  *((volatile  uint8_t *)(0x42420310UL))
#define bFM3_MFT1_OCU_OCSA10_IOE0                 *((volatile  uint8_t *)(0x42420310UL))
#define bFM_MFT1_OCU_OCSA10_IOE1                  *((volatile  uint8_t *)(0x42420314UL))
#define bFM3_MFT1_OCU_OCSA10_IOE1                 *((volatile  uint8_t *)(0x42420314UL))
#define bFM_MFT1_OCU_OCSA10_IOP0                  *((volatile  uint8_t *)(0x42420318UL))
#define bFM3_MFT1_OCU_OCSA10_IOP0                 *((volatile  uint8_t *)(0x42420318UL))
#define bFM_MFT1_OCU_OCSA10_IOP1                  *((volatile  uint8_t *)(0x4242031CUL))
#define bFM3_MFT1_OCU_OCSA10_IOP1                 *((volatile  uint8_t *)(0x4242031CUL))

#define bFM_MFT1_OCU_OCSA32_CST2                  *((volatile  uint8_t *)(0x42420380UL))
#define bFM3_MFT1_OCU_OCSA32_CST2                 *((volatile  uint8_t *)(0x42420380UL))
#define bFM_MFT1_OCU_OCSA32_CST3                  *((volatile  uint8_t *)(0x42420384UL))
#define bFM3_MFT1_OCU_OCSA32_CST3                 *((volatile  uint8_t *)(0x42420384UL))
#define bFM_MFT1_OCU_OCSA32_BDIS2                 *((volatile  uint8_t *)(0x42420388UL))
#define bFM3_MFT1_OCU_OCSA32_BDIS2                *((volatile  uint8_t *)(0x42420388UL))
#define bFM_MFT1_OCU_OCSA32_BDIS3                 *((volatile  uint8_t *)(0x4242038CUL))
#define bFM3_MFT1_OCU_OCSA32_BDIS3                *((volatile  uint8_t *)(0x4242038CUL))
#define bFM_MFT1_OCU_OCSA32_IOE2                  *((volatile  uint8_t *)(0x42420390UL))
#define bFM3_MFT1_OCU_OCSA32_IOE2                 *((volatile  uint8_t *)(0x42420390UL))
#define bFM_MFT1_OCU_OCSA32_IOE3                  *((volatile  uint8_t *)(0x42420394UL))
#define bFM3_MFT1_OCU_OCSA32_IOE3                 *((volatile  uint8_t *)(0x42420394UL))
#define bFM_MFT1_OCU_OCSA32_IOP2                  *((volatile  uint8_t *)(0x42420398UL))
#define bFM3_MFT1_OCU_OCSA32_IOP2                 *((volatile  uint8_t *)(0x42420398UL))
#define bFM_MFT1_OCU_OCSA32_IOP3                  *((volatile  uint8_t *)(0x4242039CUL))
#define bFM3_MFT1_OCU_OCSA32_IOP3                 *((volatile  uint8_t *)(0x4242039CUL))

#define bFM_MFT1_OCU_OCSA54_CST4                  *((volatile  uint8_t *)(0x42420400UL))
#define bFM3_MFT1_OCU_OCSA54_CST4                 *((volatile  uint8_t *)(0x42420400UL))
#define bFM_MFT1_OCU_OCSA54_CST5                  *((volatile  uint8_t *)(0x42420404UL))
#define bFM3_MFT1_OCU_OCSA54_CST5                 *((volatile  uint8_t *)(0x42420404UL))
#define bFM_MFT1_OCU_OCSA54_BDIS4                 *((volatile  uint8_t *)(0x42420408UL))
#define bFM3_MFT1_OCU_OCSA54_BDIS4                *((volatile  uint8_t *)(0x42420408UL))
#define bFM_MFT1_OCU_OCSA54_BDIS5                 *((volatile  uint8_t *)(0x4242040CUL))
#define bFM3_MFT1_OCU_OCSA54_BDIS5                *((volatile  uint8_t *)(0x4242040CUL))
#define bFM_MFT1_OCU_OCSA54_IOE4                  *((volatile  uint8_t *)(0x42420410UL))
#define bFM3_MFT1_OCU_OCSA54_IOE4                 *((volatile  uint8_t *)(0x42420410UL))
#define bFM_MFT1_OCU_OCSA54_IOE5                  *((volatile  uint8_t *)(0x42420414UL))
#define bFM3_MFT1_OCU_OCSA54_IOE5                 *((volatile  uint8_t *)(0x42420414UL))
#define bFM_MFT1_OCU_OCSA54_IOP4                  *((volatile  uint8_t *)(0x42420418UL))
#define bFM3_MFT1_OCU_OCSA54_IOP4                 *((volatile  uint8_t *)(0x42420418UL))
#define bFM_MFT1_OCU_OCSA54_IOP5                  *((volatile  uint8_t *)(0x4242041CUL))
#define bFM3_MFT1_OCU_OCSA54_IOP5                 *((volatile  uint8_t *)(0x4242041CUL))

#define bFM_MFT1_OCU_OCSB10_OTD0                  *((volatile  uint8_t *)(0x42420320UL))
#define bFM3_MFT1_OCU_OCSB10_OTD0                 *((volatile  uint8_t *)(0x42420320UL))
#define bFM_MFT1_OCU_OCSB10_OTD1                  *((volatile  uint8_t *)(0x42420324UL))
#define bFM3_MFT1_OCU_OCSB10_OTD1                 *((volatile  uint8_t *)(0x42420324UL))
#define bFM_MFT1_OCU_OCSB10_CMOD                  *((volatile  uint8_t *)(0x42420330UL))
#define bFM3_MFT1_OCU_OCSB10_CMOD                 *((volatile  uint8_t *)(0x42420330UL))
#define bFM_MFT1_OCU_OCSB10_BTS0                  *((volatile  uint8_t *)(0x42420334UL))
#define bFM3_MFT1_OCU_OCSB10_BTS0                 *((volatile  uint8_t *)(0x42420334UL))
#define bFM_MFT1_OCU_OCSB10_BTS1                  *((volatile  uint8_t *)(0x42420338UL))
#define bFM3_MFT1_OCU_OCSB10_BTS1                 *((volatile  uint8_t *)(0x42420338UL))

#define bFM_MFT1_OCU_OCSB32_OTD2                  *((volatile  uint8_t *)(0x424203A0UL))
#define bFM3_MFT1_OCU_OCSB32_OTD2                 *((volatile  uint8_t *)(0x424203A0UL))
#define bFM_MFT1_OCU_OCSB32_OTD3                  *((volatile  uint8_t *)(0x424203A4UL))
#define bFM3_MFT1_OCU_OCSB32_OTD3                 *((volatile  uint8_t *)(0x424203A4UL))
#define bFM_MFT1_OCU_OCSB32_CMOD                  *((volatile  uint8_t *)(0x424203B0UL))
#define bFM3_MFT1_OCU_OCSB32_CMOD                 *((volatile  uint8_t *)(0x424203B0UL))
#define bFM_MFT1_OCU_OCSB32_BTS2                  *((volatile  uint8_t *)(0x424203B4UL))
#define bFM3_MFT1_OCU_OCSB32_BTS2                 *((volatile  uint8_t *)(0x424203B4UL))
#define bFM_MFT1_OCU_OCSB32_BTS3                  *((volatile  uint8_t *)(0x424203B8UL))
#define bFM3_MFT1_OCU_OCSB32_BTS3                 *((volatile  uint8_t *)(0x424203B8UL))

#define bFM_MFT1_OCU_OCSB54_OTD4                  *((volatile  uint8_t *)(0x42420420UL))
#define bFM3_MFT1_OCU_OCSB54_OTD4                 *((volatile  uint8_t *)(0x42420420UL))
#define bFM_MFT1_OCU_OCSB54_OTD5                  *((volatile  uint8_t *)(0x42420424UL))
#define bFM3_MFT1_OCU_OCSB54_OTD5                 *((volatile  uint8_t *)(0x42420424UL))
#define bFM_MFT1_OCU_OCSB54_CMOD                  *((volatile  uint8_t *)(0x42420430UL))
#define bFM3_MFT1_OCU_OCSB54_CMOD                 *((volatile  uint8_t *)(0x42420430UL))
#define bFM_MFT1_OCU_OCSB54_BTS4                  *((volatile  uint8_t *)(0x42420434UL))
#define bFM3_MFT1_OCU_OCSB54_BTS4                 *((volatile  uint8_t *)(0x42420434UL))
#define bFM_MFT1_OCU_OCSB54_BTS5                  *((volatile  uint8_t *)(0x42420438UL))
#define bFM3_MFT1_OCU_OCSB54_BTS5                 *((volatile  uint8_t *)(0x42420438UL))

#define bFM_MFT1_OCU_OCSC_MOD0                    *((volatile  uint8_t *)(0x424204A0UL))
#define bFM3_MFT1_OCU_OCSC_MOD0                   *((volatile  uint8_t *)(0x424204A0UL))
#define bFM_MFT1_OCU_OCSC_MOD1                    *((volatile  uint8_t *)(0x424204A4UL))
#define bFM3_MFT1_OCU_OCSC_MOD1                   *((volatile  uint8_t *)(0x424204A4UL))
#define bFM_MFT1_OCU_OCSC_MOD2                    *((volatile  uint8_t *)(0x424204A8UL))
#define bFM3_MFT1_OCU_OCSC_MOD2                   *((volatile  uint8_t *)(0x424204A8UL))
#define bFM_MFT1_OCU_OCSC_MOD3                    *((volatile  uint8_t *)(0x424204ACUL))
#define bFM3_MFT1_OCU_OCSC_MOD3                   *((volatile  uint8_t *)(0x424204ACUL))
#define bFM_MFT1_OCU_OCSC_MOD4                    *((volatile  uint8_t *)(0x424204B0UL))
#define bFM3_MFT1_OCU_OCSC_MOD4                   *((volatile  uint8_t *)(0x424204B0UL))
#define bFM_MFT1_OCU_OCSC_MOD5                    *((volatile  uint8_t *)(0x424204B4UL))
#define bFM3_MFT1_OCU_OCSC_MOD5                   *((volatile  uint8_t *)(0x424204B4UL))

#define bFM_MFT1_WFG_NZCL_DTIEA                   *((volatile  uint16_t*)(0x42421380UL))
#define bFM3_MFT1_WFG_NZCL_DTIEA                  *((volatile  uint16_t*)(0x42421380UL))
#define bFM_MFT1_WFG_NZCL_SDTI                    *((volatile  uint16_t*)(0x42421390UL))
#define bFM3_MFT1_WFG_NZCL_SDTI                   *((volatile  uint16_t*)(0x42421390UL))

#define bFM_MFT1_WFG_WFIR_DTIFA                   *((volatile  uint16_t*)(0x42421300UL))
#define bFM3_MFT1_WFG_WFIR_DTIFA                  *((volatile  uint16_t*)(0x42421300UL))
#define bFM_MFT1_WFG_WFIR_DTICA                   *((volatile  uint16_t*)(0x42421304UL))
#define bFM3_MFT1_WFG_WFIR_DTICA                  *((volatile  uint16_t*)(0x42421304UL))
#define bFM_MFT1_WFG_WFIR_TMIF10                  *((volatile  uint16_t*)(0x42421310UL))
#define bFM3_MFT1_WFG_WFIR_TMIF10                 *((volatile  uint16_t*)(0x42421310UL))
#define bFM_MFT1_WFG_WFIR_TMIC10                  *((volatile  uint16_t*)(0x42421314UL))
#define bFM3_MFT1_WFG_WFIR_TMIC10                 *((volatile  uint16_t*)(0x42421314UL))
#define bFM_MFT1_WFG_WFIR_TMIE10                  *((volatile  uint16_t*)(0x42421318UL))
#define bFM3_MFT1_WFG_WFIR_TMIE10                 *((volatile  uint16_t*)(0x42421318UL))
#define bFM_MFT1_WFG_WFIR_TMIS10                  *((volatile  uint16_t*)(0x4242131CUL))
#define bFM3_MFT1_WFG_WFIR_TMIS10                 *((volatile  uint16_t*)(0x4242131CUL))
#define bFM_MFT1_WFG_WFIR_TMIF32                  *((volatile  uint16_t*)(0x42421320UL))
#define bFM3_MFT1_WFG_WFIR_TMIF32                 *((volatile  uint16_t*)(0x42421320UL))
#define bFM_MFT1_WFG_WFIR_TMIC32                  *((volatile  uint16_t*)(0x42421324UL))
#define bFM3_MFT1_WFG_WFIR_TMIC32                 *((volatile  uint16_t*)(0x42421324UL))
#define bFM_MFT1_WFG_WFIR_TMIE32                  *((volatile  uint16_t*)(0x42421328UL))
#define bFM3_MFT1_WFG_WFIR_TMIE32                 *((volatile  uint16_t*)(0x42421328UL))
#define bFM_MFT1_WFG_WFIR_TMIS32                  *((volatile  uint16_t*)(0x4242132CUL))
#define bFM3_MFT1_WFG_WFIR_TMIS32                 *((volatile  uint16_t*)(0x4242132CUL))
#define bFM_MFT1_WFG_WFIR_TMIF54                  *((volatile  uint16_t*)(0x42421330UL))
#define bFM3_MFT1_WFG_WFIR_TMIF54                 *((volatile  uint16_t*)(0x42421330UL))
#define bFM_MFT1_WFG_WFIR_TMIC54                  *((volatile  uint16_t*)(0x42421334UL))
#define bFM3_MFT1_WFG_WFIR_TMIC54                 *((volatile  uint16_t*)(0x42421334UL))
#define bFM_MFT1_WFG_WFIR_TMIE54                  *((volatile  uint16_t*)(0x42421338UL))
#define bFM3_MFT1_WFG_WFIR_TMIE54                 *((volatile  uint16_t*)(0x42421338UL))
#define bFM_MFT1_WFG_WFIR_TMIS54                  *((volatile  uint16_t*)(0x4242133CUL))
#define bFM3_MFT1_WFG_WFIR_TMIS54                 *((volatile  uint16_t*)(0x4242133CUL))

#define bFM_MFT1_WFG_WFSA10_DMOD                  *((volatile  uint16_t*)(0x424211B0UL))
#define bFM3_MFT1_WFG_WFSA10_DMOD                 *((volatile  uint16_t*)(0x424211B0UL))

#define bFM_MFT1_WFG_WFSA32_DMOD                  *((volatile  uint16_t*)(0x42421230UL))
#define bFM3_MFT1_WFG_WFSA32_DMOD                 *((volatile  uint16_t*)(0x42421230UL))

#define bFM_MFT1_WFG_WFSA54_DMOD                  *((volatile  uint16_t*)(0x424212B0UL))
#define bFM3_MFT1_WFG_WFSA54_DMOD                 *((volatile  uint16_t*)(0x424212B0UL))


/******************************************************************************
 ** QPRC Registers QPRC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_QPRC0_QCR_PSTP                        *((volatile  uint8_t *)(0x424C0310UL))
#define bFM3_QPRC0_QCR_PSTP                       *((volatile  uint8_t *)(0x424C0310UL))
#define bFM_QPRC0_QCR_CGSC                        *((volatile  uint8_t *)(0x424C0314UL))
#define bFM3_QPRC0_QCR_CGSC                       *((volatile  uint8_t *)(0x424C0314UL))
#define bFM_QPRC0_QCR_RSEL                        *((volatile  uint8_t *)(0x424C0318UL))
#define bFM3_QPRC0_QCR_RSEL                       *((volatile  uint8_t *)(0x424C0318UL))
#define bFM_QPRC0_QCR_SWAP                        *((volatile  uint8_t *)(0x424C031CUL))
#define bFM3_QPRC0_QCR_SWAP                       *((volatile  uint8_t *)(0x424C031CUL))

#define bFM_QPRC0_QECR_ORNGMD                     *((volatile  uint8_t *)(0x424C0380UL))
#define bFM3_QPRC0_QECR_ORNGMD                    *((volatile  uint8_t *)(0x424C0380UL))
#define bFM_QPRC0_QECR_ORNGF                      *((volatile  uint8_t *)(0x424C0384UL))
#define bFM3_QPRC0_QECR_ORNGF                     *((volatile  uint8_t *)(0x424C0384UL))
#define bFM_QPRC0_QECR_ORNGIE                     *((volatile  uint8_t *)(0x424C0388UL))
#define bFM3_QPRC0_QECR_ORNGIE                    *((volatile  uint8_t *)(0x424C0388UL))

#define bFM_QPRC0_QICRH_CDCIE                     *((volatile  uint8_t *)(0x424C02A0UL))
#define bFM3_QPRC0_QICRH_CDCIE                    *((volatile  uint8_t *)(0x424C02A0UL))
#define bFM_QPRC0_QICRH_CDCF                      *((volatile  uint8_t *)(0x424C02A4UL))
#define bFM3_QPRC0_QICRH_CDCF                     *((volatile  uint8_t *)(0x424C02A4UL))
#define bFM_QPRC0_QICRH_DIRPC                     *((volatile  uint8_t *)(0x424C02A8UL))
#define bFM3_QPRC0_QICRH_DIRPC                    *((volatile  uint8_t *)(0x424C02A8UL))
#define bFM_QPRC0_QICRH_DIROU                     *((volatile  uint8_t *)(0x424C02ACUL))
#define bFM3_QPRC0_QICRH_DIROU                    *((volatile  uint8_t *)(0x424C02ACUL))
#define bFM_QPRC0_QICRH_QPCNRCMIE                 *((volatile  uint8_t *)(0x424C02B0UL))
#define bFM3_QPRC0_QICRH_QPCNRCMIE                *((volatile  uint8_t *)(0x424C02B0UL))
#define bFM_QPRC0_QICRH_QPCNRCMF                  *((volatile  uint8_t *)(0x424C02B4UL))
#define bFM3_QPRC0_QICRH_QPCNRCMF                 *((volatile  uint8_t *)(0x424C02B4UL))

#define bFM_QPRC0_QICRL_QPCMIE                    *((volatile  uint8_t *)(0x424C0280UL))
#define bFM3_QPRC0_QICRL_QPCMIE                   *((volatile  uint8_t *)(0x424C0280UL))
#define bFM_QPRC0_QICRL_QPCMF                     *((volatile  uint8_t *)(0x424C0284UL))
#define bFM3_QPRC0_QICRL_QPCMF                    *((volatile  uint8_t *)(0x424C0284UL))
#define bFM_QPRC0_QICRL_QPRCMIE                   *((volatile  uint8_t *)(0x424C0288UL))
#define bFM3_QPRC0_QICRL_QPRCMIE                  *((volatile  uint8_t *)(0x424C0288UL))
#define bFM_QPRC0_QICRL_QPRCMF                    *((volatile  uint8_t *)(0x424C028CUL))
#define bFM3_QPRC0_QICRL_QPRCMF                   *((volatile  uint8_t *)(0x424C028CUL))
#define bFM_QPRC0_QICRL_OUZIE                     *((volatile  uint8_t *)(0x424C0290UL))
#define bFM3_QPRC0_QICRL_OUZIE                    *((volatile  uint8_t *)(0x424C0290UL))
#define bFM_QPRC0_QICRL_UFDF                      *((volatile  uint8_t *)(0x424C0294UL))
#define bFM3_QPRC0_QICRL_UFDF                     *((volatile  uint8_t *)(0x424C0294UL))
#define bFM_QPRC0_QICRL_OFDF                      *((volatile  uint8_t *)(0x424C0298UL))
#define bFM3_QPRC0_QICRL_OFDF                     *((volatile  uint8_t *)(0x424C0298UL))
#define bFM_QPRC0_QICRL_ZIIF                      *((volatile  uint8_t *)(0x424C029CUL))
#define bFM3_QPRC0_QICRL_ZIIF                     *((volatile  uint8_t *)(0x424C029CUL))


/******************************************************************************
 ** QPRC Registers QPRC1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_QPRC1_QCR_PSTP                        *((volatile  uint8_t *)(0x424C0B10UL))
#define bFM3_QPRC1_QCR_PSTP                       *((volatile  uint8_t *)(0x424C0B10UL))
#define bFM_QPRC1_QCR_CGSC                        *((volatile  uint8_t *)(0x424C0B14UL))
#define bFM3_QPRC1_QCR_CGSC                       *((volatile  uint8_t *)(0x424C0B14UL))
#define bFM_QPRC1_QCR_RSEL                        *((volatile  uint8_t *)(0x424C0B18UL))
#define bFM3_QPRC1_QCR_RSEL                       *((volatile  uint8_t *)(0x424C0B18UL))
#define bFM_QPRC1_QCR_SWAP                        *((volatile  uint8_t *)(0x424C0B1CUL))
#define bFM3_QPRC1_QCR_SWAP                       *((volatile  uint8_t *)(0x424C0B1CUL))

#define bFM_QPRC1_QECR_ORNGMD                     *((volatile  uint8_t *)(0x424C0B80UL))
#define bFM3_QPRC1_QECR_ORNGMD                    *((volatile  uint8_t *)(0x424C0B80UL))
#define bFM_QPRC1_QECR_ORNGF                      *((volatile  uint8_t *)(0x424C0B84UL))
#define bFM3_QPRC1_QECR_ORNGF                     *((volatile  uint8_t *)(0x424C0B84UL))
#define bFM_QPRC1_QECR_ORNGIE                     *((volatile  uint8_t *)(0x424C0B88UL))
#define bFM3_QPRC1_QECR_ORNGIE                    *((volatile  uint8_t *)(0x424C0B88UL))

#define bFM_QPRC1_QICRH_CDCIE                     *((volatile  uint8_t *)(0x424C0AA0UL))
#define bFM3_QPRC1_QICRH_CDCIE                    *((volatile  uint8_t *)(0x424C0AA0UL))
#define bFM_QPRC1_QICRH_CDCF                      *((volatile  uint8_t *)(0x424C0AA4UL))
#define bFM3_QPRC1_QICRH_CDCF                     *((volatile  uint8_t *)(0x424C0AA4UL))
#define bFM_QPRC1_QICRH_DIRPC                     *((volatile  uint8_t *)(0x424C0AA8UL))
#define bFM3_QPRC1_QICRH_DIRPC                    *((volatile  uint8_t *)(0x424C0AA8UL))
#define bFM_QPRC1_QICRH_DIROU                     *((volatile  uint8_t *)(0x424C0AACUL))
#define bFM3_QPRC1_QICRH_DIROU                    *((volatile  uint8_t *)(0x424C0AACUL))
#define bFM_QPRC1_QICRH_QPCNRCMIE                 *((volatile  uint8_t *)(0x424C0AB0UL))
#define bFM3_QPRC1_QICRH_QPCNRCMIE                *((volatile  uint8_t *)(0x424C0AB0UL))
#define bFM_QPRC1_QICRH_QPCNRCMF                  *((volatile  uint8_t *)(0x424C0AB4UL))
#define bFM3_QPRC1_QICRH_QPCNRCMF                 *((volatile  uint8_t *)(0x424C0AB4UL))

#define bFM_QPRC1_QICRL_QPCMIE                    *((volatile  uint8_t *)(0x424C0A80UL))
#define bFM3_QPRC1_QICRL_QPCMIE                   *((volatile  uint8_t *)(0x424C0A80UL))
#define bFM_QPRC1_QICRL_QPCMF                     *((volatile  uint8_t *)(0x424C0A84UL))
#define bFM3_QPRC1_QICRL_QPCMF                    *((volatile  uint8_t *)(0x424C0A84UL))
#define bFM_QPRC1_QICRL_QPRCMIE                   *((volatile  uint8_t *)(0x424C0A88UL))
#define bFM3_QPRC1_QICRL_QPRCMIE                  *((volatile  uint8_t *)(0x424C0A88UL))
#define bFM_QPRC1_QICRL_QPRCMF                    *((volatile  uint8_t *)(0x424C0A8CUL))
#define bFM3_QPRC1_QICRL_QPRCMF                   *((volatile  uint8_t *)(0x424C0A8CUL))
#define bFM_QPRC1_QICRL_OUZIE                     *((volatile  uint8_t *)(0x424C0A90UL))
#define bFM3_QPRC1_QICRL_OUZIE                    *((volatile  uint8_t *)(0x424C0A90UL))
#define bFM_QPRC1_QICRL_UFDF                      *((volatile  uint8_t *)(0x424C0A94UL))
#define bFM3_QPRC1_QICRL_UFDF                     *((volatile  uint8_t *)(0x424C0A94UL))
#define bFM_QPRC1_QICRL_OFDF                      *((volatile  uint8_t *)(0x424C0A98UL))
#define bFM3_QPRC1_QICRL_OFDF                     *((volatile  uint8_t *)(0x424C0A98UL))
#define bFM_QPRC1_QICRL_ZIIF                      *((volatile  uint8_t *)(0x424C0A9CUL))
#define bFM3_QPRC1_QICRL_ZIIF                     *((volatile  uint8_t *)(0x424C0A9CUL))


/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SBSSR_BTSSSR_SSSR0                    *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM3_SBSSR_BTSSSR_SSSR0                   *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM_SBSSR_BTSSSR_SSSR1                    *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM3_SBSSR_BTSSSR_SSSR1                   *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM_SBSSR_BTSSSR_SSSR2                    *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM3_SBSSR_BTSSSR_SSSR2                   *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM_SBSSR_BTSSSR_SSSR3                    *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM3_SBSSR_BTSSSR_SSSR3                   *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM_SBSSR_BTSSSR_SSSR4                    *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM3_SBSSR_BTSSSR_SSSR4                   *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM_SBSSR_BTSSSR_SSSR5                    *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM3_SBSSR_BTSSSR_SSSR5                   *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM_SBSSR_BTSSSR_SSSR6                    *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM3_SBSSR_BTSSSR_SSSR6                   *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM_SBSSR_BTSSSR_SSSR7                    *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM3_SBSSR_BTSSSR_SSSR7                   *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM_SBSSR_BTSSSR_SSSR8                    *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM3_SBSSR_BTSSSR_SSSR8                   *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM_SBSSR_BTSSSR_SSSR9                    *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM3_SBSSR_BTSSSR_SSSR9                   *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM_SBSSR_BTSSSR_SSSR10                   *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM3_SBSSR_BTSSSR_SSSR10                  *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM_SBSSR_BTSSSR_SSSR11                   *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM3_SBSSR_BTSSSR_SSSR11                  *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM_SBSSR_BTSSSR_SSSR12                   *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM3_SBSSR_BTSSSR_SSSR12                  *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM_SBSSR_BTSSSR_SSSR13                   *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM3_SBSSR_BTSSSR_SSSR13                  *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM_SBSSR_BTSSSR_SSSR14                   *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM3_SBSSR_BTSSSR_SSSR14                  *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM_SBSSR_BTSSSR_SSSR15                   *((volatile  uint8_t *)(0x424BFFBCUL))
#define bFM3_SBSSR_BTSSSR_SSSR15                  *((volatile  uint8_t *)(0x424BFFBCUL))


/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SWWDT_WDOGCONTROL_INTEN               *((volatile  uint32_t*)(0x42240100UL))
#define bFM3_SWWDT_WDOGCONTROL_INTEN              *((volatile  uint32_t*)(0x42240100UL))
#define bFM_SWWDT_WDOGCONTROL_RESEN               *((volatile  uint32_t*)(0x42240104UL))
#define bFM3_SWWDT_WDOGCONTROL_RESEN              *((volatile  uint32_t*)(0x42240104UL))

#define bFM_SWWDT_WDOGRIS_RIS                     *((volatile  uint32_t*)(0x42240200UL))
#define bFM3_SWWDT_WDOGRIS_RIS                    *((volatile  uint32_t*)(0x42240200UL))


/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_WC_CLK_EN_CLK_EN                      *((volatile  uint8_t *)(0x42740280UL))
#define bFM3_WC_CLK_EN_CLK_EN                     *((volatile  uint8_t *)(0x42740280UL))
#define bFM_WC_CLK_EN_CLK_EN_R                    *((volatile  uint8_t *)(0x42740284UL))
#define bFM3_WC_CLK_EN_CLK_EN_R                   *((volatile  uint8_t *)(0x42740284UL))

#define bFM_WC_CLK_SEL_SEL_IN                     *((volatile  uint8_t *)(0x42740200UL))
#define bFM3_WC_CLK_SEL_SEL_IN                    *((volatile  uint8_t *)(0x42740200UL))
#define bFM_WC_CLK_SEL_SEL_OUT                    *((volatile  uint8_t *)(0x42740220UL))
#define bFM3_WC_CLK_SEL_SEL_OUT                   *((volatile  uint8_t *)(0x42740220UL))

#define bFM_WC_WCCR_WCIF                          *((volatile  uint8_t *)(0x42740040UL))
#define bFM3_WC_WCCR_WCIF                         *((volatile  uint8_t *)(0x42740040UL))
#define bFM_WC_WCCR_WCIE                          *((volatile  uint8_t *)(0x42740044UL))
#define bFM3_WC_WCCR_WCIE                         *((volatile  uint8_t *)(0x42740044UL))
#define bFM_WC_WCCR_WCOP                          *((volatile  uint8_t *)(0x42740058UL))
#define bFM3_WC_WCCR_WCOP                         *((volatile  uint8_t *)(0x42740058UL))
#define bFM_WC_WCCR_WCEN                          *((volatile  uint8_t *)(0x4274005CUL))
#define bFM3_WC_WCCR_WCEN                         *((volatile  uint8_t *)(0x4274005CUL))


#if defined __cplusplus
}
#endif

#endif /* _MB9AF11XN_H_ */
